
// astroem.js: astronomy/astrophysics utilities compiled to javascript
// see: https://github.com/kripken/emscripten
var Module;if(typeof Module!=="object"){Module={}}Module["noExitRuntime"]=true;Module["onRuntimeInitialized"]=(function(){if(window.jQuery){if(Module["astroemReady"]){$(document).trigger("astroem:ready",{status:"OK"})}else{Module["astroemReady"]=true}}});var Module;if(!Module)Module=(typeof Module!=="undefined"?Module:null)||{};var moduleOverrides={};for(var key in Module){if(Module.hasOwnProperty(key)){moduleOverrides[key]=Module[key]}}var ENVIRONMENT_IS_WEB=false;var ENVIRONMENT_IS_WORKER=false;var ENVIRONMENT_IS_NODE=false;var ENVIRONMENT_IS_SHELL=false;if(Module["ENVIRONMENT"]){if(Module["ENVIRONMENT"]==="WEB"){ENVIRONMENT_IS_WEB=true}else if(Module["ENVIRONMENT"]==="WORKER"){ENVIRONMENT_IS_WORKER=true}else if(Module["ENVIRONMENT"]==="NODE"){ENVIRONMENT_IS_NODE=true}else if(Module["ENVIRONMENT"]==="SHELL"){ENVIRONMENT_IS_SHELL=true}else{throw new Error("The provided Module['ENVIRONMENT'] value is not valid. It must be one of: WEB|WORKER|NODE|SHELL.")}}else{ENVIRONMENT_IS_WEB=typeof window==="object";ENVIRONMENT_IS_WORKER=typeof importScripts==="function";ENVIRONMENT_IS_NODE=typeof process==="object"&&typeof require==="function"&&!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_WORKER;ENVIRONMENT_IS_SHELL=!ENVIRONMENT_IS_WEB&&!ENVIRONMENT_IS_NODE&&!ENVIRONMENT_IS_WORKER}if(ENVIRONMENT_IS_NODE){if(!Module["print"])Module["print"]=console.log;if(!Module["printErr"])Module["printErr"]=console.warn;var nodeFS;var nodePath;Module["read"]=function shell_read(filename,binary){if(!nodeFS)nodeFS=require("fs");if(!nodePath)nodePath=require("path");filename=nodePath["normalize"](filename);var ret=nodeFS["readFileSync"](filename);return binary?ret:ret.toString()};Module["readBinary"]=function readBinary(filename){var ret=Module["read"](filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}assert(ret.buffer);return ret};Module["load"]=function load(f){globalEval(read(f))};if(!Module["thisProgram"]){if(process["argv"].length>1){Module["thisProgram"]=process["argv"][1].replace(/\\/g,"/")}else{Module["thisProgram"]="unknown-program"}}Module["arguments"]=process["argv"].slice(2);if(typeof module!=="undefined"){module["exports"]=Module}process["on"]("uncaughtException",(function(ex){if(!(ex instanceof ExitStatus)){throw ex}}));Module["inspect"]=(function(){return"[Emscripten Module object]"})}else if(ENVIRONMENT_IS_SHELL){if(!Module["print"])Module["print"]=print;if(typeof printErr!="undefined")Module["printErr"]=printErr;if(typeof read!="undefined"){Module["read"]=read}else{Module["read"]=function shell_read(){throw"no read() available"}}Module["readBinary"]=function readBinary(f){if(typeof readbuffer==="function"){return new Uint8Array(readbuffer(f))}var data=read(f,"binary");assert(typeof data==="object");return data};if(typeof scriptArgs!="undefined"){Module["arguments"]=scriptArgs}else if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof quit==="function"){Module["quit"]=(function(status,toThrow){quit(status)})}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){Module["read"]=function shell_read(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};if(ENVIRONMENT_IS_WORKER){Module["readBinary"]=function readBinary(url){var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.responseType="arraybuffer";xhr.send(null);return new Uint8Array(xhr.response)}}Module["readAsync"]=function readAsync(url,onload,onerror){var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=function xhr_onload(){if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response)}else{onerror()}};xhr.onerror=onerror;xhr.send(null)};if(typeof arguments!="undefined"){Module["arguments"]=arguments}if(typeof console!=="undefined"){if(!Module["print"])Module["print"]=function shell_print(x){console.log(x)};if(!Module["printErr"])Module["printErr"]=function shell_printErr(x){console.warn(x)}}else{var TRY_USE_DUMP=false;if(!Module["print"])Module["print"]=TRY_USE_DUMP&&typeof dump!=="undefined"?(function(x){dump(x)}):(function(x){})}if(ENVIRONMENT_IS_WORKER){Module["load"]=importScripts}if(typeof Module["setWindowTitle"]==="undefined"){Module["setWindowTitle"]=(function(title){document.title=title})}}else{throw"Unknown runtime environment. Where are we?"}function globalEval(x){eval.call(null,x)}if(!Module["load"]&&Module["read"]){Module["load"]=function load(f){globalEval(Module["read"](f))}}if(!Module["print"]){Module["print"]=(function(){})}if(!Module["printErr"]){Module["printErr"]=Module["print"]}if(!Module["arguments"]){Module["arguments"]=[]}if(!Module["thisProgram"]){Module["thisProgram"]="./this.program"}if(!Module["quit"]){Module["quit"]=(function(status,toThrow){throw toThrow})}Module.print=Module["print"];Module.printErr=Module["printErr"];Module["preRun"]=[];Module["postRun"]=[];for(var key in moduleOverrides){if(moduleOverrides.hasOwnProperty(key)){Module[key]=moduleOverrides[key]}}moduleOverrides=undefined;var Runtime={setTempRet0:(function(value){tempRet0=value;return value}),getTempRet0:(function(){return tempRet0}),stackSave:(function(){return STACKTOP}),stackRestore:(function(stackTop){STACKTOP=stackTop}),getNativeTypeSize:(function(type){switch(type){case"i1":case"i8":return 1;case"i16":return 2;case"i32":return 4;case"i64":return 8;case"float":return 4;case"double":return 8;default:{if(type[type.length-1]==="*"){return Runtime.QUANTUM_SIZE}else if(type[0]==="i"){var bits=parseInt(type.substr(1));assert(bits%8===0);return bits/8}else{return 0}}}}),getNativeFieldSize:(function(type){return Math.max(Runtime.getNativeTypeSize(type),Runtime.QUANTUM_SIZE)}),STACK_ALIGN:16,prepVararg:(function(ptr,type){if(type==="double"||type==="i64"){if(ptr&7){assert((ptr&7)===4);ptr+=4}}else{assert((ptr&3)===0)}return ptr}),getAlignSize:(function(type,size,vararg){if(!vararg&&(type=="i64"||type=="double"))return 8;if(!type)return Math.min(size,8);return Math.min(size||(type?Runtime.getNativeFieldSize(type):0),Runtime.QUANTUM_SIZE)}),dynCall:(function(sig,ptr,args){if(args&&args.length){return Module["dynCall_"+sig].apply(null,[ptr].concat(args))}else{return Module["dynCall_"+sig].call(null,ptr)}}),functionPointers:[],addFunction:(function(func){for(var i=0;i<Runtime.functionPointers.length;i++){if(!Runtime.functionPointers[i]){Runtime.functionPointers[i]=func;return 2*(1+i)}}throw"Finished up all reserved function pointers. Use a higher value for RESERVED_FUNCTION_POINTERS."}),removeFunction:(function(index){Runtime.functionPointers[(index-2)/2]=null}),warnOnce:(function(text){if(!Runtime.warnOnce.shown)Runtime.warnOnce.shown={};if(!Runtime.warnOnce.shown[text]){Runtime.warnOnce.shown[text]=1;Module.printErr(text)}}),funcWrappers:{},getFuncWrapper:(function(func,sig){assert(sig);if(!Runtime.funcWrappers[sig]){Runtime.funcWrappers[sig]={}}var sigCache=Runtime.funcWrappers[sig];if(!sigCache[func]){if(sig.length===1){sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func)}}else if(sig.length===2){sigCache[func]=function dynCall_wrapper(arg){return Runtime.dynCall(sig,func,[arg])}}else{sigCache[func]=function dynCall_wrapper(){return Runtime.dynCall(sig,func,Array.prototype.slice.call(arguments))}}}return sigCache[func]}),getCompilerSetting:(function(name){throw"You must build with -s RETAIN_COMPILER_SETTINGS=1 for Runtime.getCompilerSetting or emscripten_get_compiler_setting to work"}),stackAlloc:(function(size){var ret=STACKTOP;STACKTOP=STACKTOP+size|0;STACKTOP=STACKTOP+15&-16;return ret}),staticAlloc:(function(size){var ret=STATICTOP;STATICTOP=STATICTOP+size|0;STATICTOP=STATICTOP+15&-16;return ret}),dynamicAlloc:(function(size){var ret=HEAP32[DYNAMICTOP_PTR>>2];var end=(ret+size+15|0)&-16;HEAP32[DYNAMICTOP_PTR>>2]=end;if(end>=TOTAL_MEMORY){var success=enlargeMemory();if(!success){HEAP32[DYNAMICTOP_PTR>>2]=ret;return 0}}return ret}),alignMemory:(function(size,quantum){var ret=size=Math.ceil(size/(quantum?quantum:16))*(quantum?quantum:16);return ret}),makeBigInt:(function(low,high,unsigned){var ret=unsigned?+(low>>>0)+ +(high>>>0)*+4294967296:+(low>>>0)+ +(high|0)*+4294967296;return ret}),GLOBAL_BASE:8,QUANTUM_SIZE:4,__dummy__:0};Module["Runtime"]=Runtime;var ABORT=0;var EXITSTATUS=0;function assert(condition,text){if(!condition){abort("Assertion failed: "+text)}}function getCFunc(ident){var func=Module["_"+ident];if(!func){try{func=eval("_"+ident)}catch(e){}}assert(func,"Cannot call unknown function "+ident+" (perhaps LLVM optimizations or closure removed it?)");return func}var cwrap,ccall;((function(){var JSfuncs={"stackSave":(function(){Runtime.stackSave()}),"stackRestore":(function(){Runtime.stackRestore()}),"arrayToC":(function(arr){var ret=Runtime.stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}),"stringToC":(function(str){var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=Runtime.stackAlloc(len);stringToUTF8(str,ret,len)}return ret})};var toC={"string":JSfuncs["stringToC"],"array":JSfuncs["arrayToC"]};ccall=function ccallFunc(ident,returnType,argTypes,args,opts){var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=Runtime.stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);if(returnType==="string")ret=Pointer_stringify(ret);if(stack!==0){if(opts&&opts.async){EmterpreterAsync.asyncFinalizers.push((function(){Runtime.stackRestore(stack)}));return}Runtime.stackRestore(stack)}return ret};var sourceRegex=/^function\s*[a-zA-Z$_0-9]*\s*\(([^)]*)\)\s*{\s*([^*]*?)[\s;]*(?:return\s*(.*?)[;\s]*)?}$/;function parseJSFunc(jsfunc){var parsed=jsfunc.toString().match(sourceRegex).slice(1);return{arguments:parsed[0],body:parsed[1],returnValue:parsed[2]}}var JSsource=null;function ensureJSsource(){if(!JSsource){JSsource={};for(var fun in JSfuncs){if(JSfuncs.hasOwnProperty(fun)){JSsource[fun]=parseJSFunc(JSfuncs[fun])}}}}cwrap=function cwrap(ident,returnType,argTypes){argTypes=argTypes||[];var cfunc=getCFunc(ident);var numericArgs=argTypes.every((function(type){return type==="number"}));var numericRet=returnType!=="string";if(numericRet&&numericArgs){return cfunc}var argNames=argTypes.map((function(x,i){return"$"+i}));var funcstr="(function("+argNames.join(",")+") {";var nargs=argTypes.length;if(!numericArgs){ensureJSsource();funcstr+="var stack = "+JSsource["stackSave"].body+";";for(var i=0;i<nargs;i++){var arg=argNames[i],type=argTypes[i];if(type==="number")continue;var convertCode=JSsource[type+"ToC"];funcstr+="var "+convertCode.arguments+" = "+arg+";";funcstr+=convertCode.body+";";funcstr+=arg+"=("+convertCode.returnValue+");"}}var cfuncname=parseJSFunc((function(){return cfunc})).returnValue;funcstr+="var ret = "+cfuncname+"("+argNames.join(",")+");";if(!numericRet){var strgfy=parseJSFunc((function(){return Pointer_stringify})).returnValue;funcstr+="ret = "+strgfy+"(ret);"}if(!numericArgs){ensureJSsource();funcstr+=JSsource["stackRestore"].body.replace("()","(stack)")+";"}funcstr+="return ret})";return eval(funcstr)}}))();Module["ccall"]=ccall;Module["cwrap"]=cwrap;function setValue(ptr,value,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math_abs(tempDouble)>=+1?tempDouble>+0?(Math_min(+Math_floor(tempDouble/+4294967296),+4294967295)|0)>>>0:~~+Math_ceil((tempDouble- +(~~tempDouble>>>0))/+4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function getValue(ptr,type,noSafe){type=type||"i8";if(type.charAt(type.length-1)==="*")type="i32";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];default:abort("invalid type for setValue: "+type)}return null}Module["getValue"]=getValue;var ALLOC_NORMAL=0;var ALLOC_STACK=1;var ALLOC_STATIC=2;var ALLOC_DYNAMIC=3;var ALLOC_NONE=4;Module["ALLOC_NORMAL"]=ALLOC_NORMAL;Module["ALLOC_STACK"]=ALLOC_STACK;Module["ALLOC_STATIC"]=ALLOC_STATIC;Module["ALLOC_DYNAMIC"]=ALLOC_DYNAMIC;Module["ALLOC_NONE"]=ALLOC_NONE;function allocate(slab,types,allocator,ptr){var zeroinit,size;if(typeof slab==="number"){zeroinit=true;size=slab}else{zeroinit=false;size=slab.length}var singleType=typeof types==="string"?types:null;var ret;if(allocator==ALLOC_NONE){ret=ptr}else{ret=[typeof _malloc==="function"?_malloc:Runtime.staticAlloc,Runtime.stackAlloc,Runtime.staticAlloc,Runtime.dynamicAlloc][allocator===undefined?ALLOC_STATIC:allocator](Math.max(size,singleType?1:types.length))}if(zeroinit){var ptr=ret,stop;assert((ret&3)==0);stop=ret+(size&~3);for(;ptr<stop;ptr+=4){HEAP32[ptr>>2]=0}stop=ret+size;while(ptr<stop){HEAP8[ptr++>>0]=0}return ret}if(singleType==="i8"){if(slab.subarray||slab.slice){HEAPU8.set(slab,ret)}else{HEAPU8.set(new Uint8Array(slab),ret)}return ret}var i=0,type,typeSize,previousType;while(i<size){var curr=slab[i];if(typeof curr==="function"){curr=Runtime.getFunctionIndex(curr)}type=singleType||types[i];if(type===0){i++;continue}if(type=="i64")type="i32";setValue(ret+i,curr,type);if(previousType!==type){typeSize=Runtime.getNativeTypeSize(type);previousType=type}i+=typeSize}return ret}Module["allocate"]=allocate;function getMemory(size){if(!staticSealed)return Runtime.staticAlloc(size);if(!runtimeInitialized)return Runtime.dynamicAlloc(size);return _malloc(size)}Module["getMemory"]=getMemory;function Pointer_stringify(ptr,length){if(length===0||!ptr)return"";var hasUtf=0;var t;var i=0;while(1){t=HEAPU8[ptr+i>>0];hasUtf|=t;if(t==0&&!length)break;i++;if(length&&i==length)break}if(!length)length=i;var ret="";if(hasUtf<128){var MAX_CHUNK=1024;var curr;while(length>0){curr=String.fromCharCode.apply(String,HEAPU8.subarray(ptr,ptr+Math.min(length,MAX_CHUNK)));ret=ret?ret+curr:curr;ptr+=MAX_CHUNK;length-=MAX_CHUNK}return ret}return Module["UTF8ToString"](ptr)}Module["Pointer_stringify"]=Pointer_stringify;function AsciiToString(ptr){var str="";while(1){var ch=HEAP8[ptr++>>0];if(!ch)return str;str+=String.fromCharCode(ch)}}Module["AsciiToString"]=AsciiToString;function stringToAscii(str,outPtr){return writeAsciiToMemory(str,outPtr,false)}Module["stringToAscii"]=stringToAscii;var UTF8Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(u8Array,idx){var endPtr=idx;while(u8Array[endPtr])++endPtr;if(endPtr-idx>16&&u8Array.subarray&&UTF8Decoder){return UTF8Decoder.decode(u8Array.subarray(idx,endPtr))}else{var u0,u1,u2,u3,u4,u5;var str="";while(1){u0=u8Array[idx++];if(!u0)return str;if(!(u0&128)){str+=String.fromCharCode(u0);continue}u1=u8Array[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}u2=u8Array[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u3=u8Array[idx++]&63;if((u0&248)==240){u0=(u0&7)<<18|u1<<12|u2<<6|u3}else{u4=u8Array[idx++]&63;if((u0&252)==248){u0=(u0&3)<<24|u1<<18|u2<<12|u3<<6|u4}else{u5=u8Array[idx++]&63;u0=(u0&1)<<30|u1<<24|u2<<18|u3<<12|u4<<6|u5}}}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}}}Module["UTF8ArrayToString"]=UTF8ArrayToString;function UTF8ToString(ptr){return UTF8ArrayToString(HEAPU8,ptr)}Module["UTF8ToString"]=UTF8ToString;function stringToUTF8Array(str,outU8Array,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){if(outIdx>=endIdx)break;outU8Array[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;outU8Array[outIdx++]=192|u>>6;outU8Array[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;outU8Array[outIdx++]=224|u>>12;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=2097151){if(outIdx+3>=endIdx)break;outU8Array[outIdx++]=240|u>>18;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else if(u<=67108863){if(outIdx+4>=endIdx)break;outU8Array[outIdx++]=248|u>>24;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}else{if(outIdx+5>=endIdx)break;outU8Array[outIdx++]=252|u>>30;outU8Array[outIdx++]=128|u>>24&63;outU8Array[outIdx++]=128|u>>18&63;outU8Array[outIdx++]=128|u>>12&63;outU8Array[outIdx++]=128|u>>6&63;outU8Array[outIdx++]=128|u&63}}outU8Array[outIdx]=0;return outIdx-startIdx}Module["stringToUTF8Array"]=stringToUTF8Array;function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}Module["stringToUTF8"]=stringToUTF8;function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343)u=65536+((u&1023)<<10)|str.charCodeAt(++i)&1023;if(u<=127){++len}else if(u<=2047){len+=2}else if(u<=65535){len+=3}else if(u<=2097151){len+=4}else if(u<=67108863){len+=5}else{len+=6}}return len}Module["lengthBytesUTF8"]=lengthBytesUTF8;var UTF16Decoder=typeof TextDecoder!=="undefined"?new TextDecoder("utf-16le"):undefined;function demangle(func){var __cxa_demangle_func=Module["___cxa_demangle"]||Module["__cxa_demangle"];if(__cxa_demangle_func){try{var s=func.substr(1);var len=lengthBytesUTF8(s)+1;var buf=_malloc(len);stringToUTF8(s,buf,len);var status=_malloc(4);var ret=__cxa_demangle_func(buf,0,0,status);if(getValue(status,"i32")===0&&ret){return Pointer_stringify(ret)}}catch(e){}finally{if(buf)_free(buf);if(status)_free(status);if(ret)_free(ret)}return func}Runtime.warnOnce("warning: build with  -s DEMANGLE_SUPPORT=1  to link in libcxxabi demangling");return func}function demangleAll(text){var regex=/__Z[\w\d_]+/g;return text.replace(regex,(function(x){var y=demangle(x);return x===y?x:x+" ["+y+"]"}))}function jsStackTrace(){var err=new Error;if(!err.stack){try{throw new Error(0)}catch(e){err=e}if(!err.stack){return"(no stack trace available)"}}return err.stack.toString()}function stackTrace(){var js=jsStackTrace();if(Module["extraStackTrace"])js+="\n"+Module["extraStackTrace"]();return demangleAll(js)}Module["stackTrace"]=stackTrace;var WASM_PAGE_SIZE=65536;var ASMJS_PAGE_SIZE=16777216;var MIN_TOTAL_MEMORY=16777216;function alignUp(x,multiple){if(x%multiple>0){x+=multiple-x%multiple}return x}var HEAP,buffer,HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateGlobalBuffer(buf){Module["buffer"]=buffer=buf}function updateGlobalBufferViews(){Module["HEAP8"]=HEAP8=new Int8Array(buffer);Module["HEAP16"]=HEAP16=new Int16Array(buffer);Module["HEAP32"]=HEAP32=new Int32Array(buffer);Module["HEAPU8"]=HEAPU8=new Uint8Array(buffer);Module["HEAPU16"]=HEAPU16=new Uint16Array(buffer);Module["HEAPU32"]=HEAPU32=new Uint32Array(buffer);Module["HEAPF32"]=HEAPF32=new Float32Array(buffer);Module["HEAPF64"]=HEAPF64=new Float64Array(buffer)}var STATIC_BASE,STATICTOP,staticSealed;var STACK_BASE,STACKTOP,STACK_MAX;var DYNAMIC_BASE,DYNAMICTOP_PTR;STATIC_BASE=STATICTOP=STACK_BASE=STACKTOP=STACK_MAX=DYNAMIC_BASE=DYNAMICTOP_PTR=0;staticSealed=false;function abortOnCannotGrowMemory(){abort("Cannot enlarge memory arrays. Either (1) compile with  -s TOTAL_MEMORY=X  with X higher than the current value "+TOTAL_MEMORY+", (2) compile with  -s ALLOW_MEMORY_GROWTH=1  which allows increasing the size at runtime but prevents some optimizations, (3) set Module.TOTAL_MEMORY to a higher value before the program runs, or (4) if you want malloc to return NULL (0) instead of this abort, compile with  -s ABORTING_MALLOC=0 ")}if(!Module["reallocBuffer"])Module["reallocBuffer"]=(function(size){var ret;try{if(ArrayBuffer.transfer){ret=ArrayBuffer.transfer(buffer,size)}else{var oldHEAP8=HEAP8;ret=new ArrayBuffer(size);var temp=new Int8Array(ret);temp.set(oldHEAP8)}}catch(e){return false}var success=_emscripten_replace_memory(ret);if(!success)return false;return ret});function enlargeMemory(){var PAGE_MULTIPLE=Module["usingWasm"]?WASM_PAGE_SIZE:ASMJS_PAGE_SIZE;var LIMIT=2147483648-PAGE_MULTIPLE;if(HEAP32[DYNAMICTOP_PTR>>2]>LIMIT){return false}var OLD_TOTAL_MEMORY=TOTAL_MEMORY;TOTAL_MEMORY=Math.max(TOTAL_MEMORY,MIN_TOTAL_MEMORY);while(TOTAL_MEMORY<HEAP32[DYNAMICTOP_PTR>>2]){if(TOTAL_MEMORY<=536870912){TOTAL_MEMORY=alignUp(2*TOTAL_MEMORY,PAGE_MULTIPLE)}else{TOTAL_MEMORY=Math.min(alignUp((3*TOTAL_MEMORY+2147483648)/4,PAGE_MULTIPLE),LIMIT)}}var replacement=Module["reallocBuffer"](TOTAL_MEMORY);if(!replacement||replacement.byteLength!=TOTAL_MEMORY){TOTAL_MEMORY=OLD_TOTAL_MEMORY;return false}updateGlobalBuffer(replacement);updateGlobalBufferViews();return true}var byteLength;try{byteLength=Function.prototype.call.bind(Object.getOwnPropertyDescriptor(ArrayBuffer.prototype,"byteLength").get);byteLength(new ArrayBuffer(4))}catch(e){byteLength=(function(buffer){return buffer.byteLength})}var TOTAL_STACK=Module["TOTAL_STACK"]||5242880;var TOTAL_MEMORY=Module["TOTAL_MEMORY"]||67108864;if(TOTAL_MEMORY<TOTAL_STACK)Module.printErr("TOTAL_MEMORY should be larger than TOTAL_STACK, was "+TOTAL_MEMORY+"! (TOTAL_STACK="+TOTAL_STACK+")");if(Module["buffer"]){buffer=Module["buffer"]}else{{buffer=new ArrayBuffer(TOTAL_MEMORY)}}updateGlobalBufferViews();function getTotalMemory(){return TOTAL_MEMORY}HEAP32[0]=1668509029;HEAP16[1]=25459;if(HEAPU8[2]!==115||HEAPU8[3]!==99)throw"Runtime error: expected the system to be little-endian!";Module["HEAP"]=HEAP;Module["buffer"]=buffer;Module["HEAP8"]=HEAP8;Module["HEAP16"]=HEAP16;Module["HEAP32"]=HEAP32;Module["HEAPU8"]=HEAPU8;Module["HEAPU16"]=HEAPU16;Module["HEAPU32"]=HEAPU32;Module["HEAPF32"]=HEAPF32;Module["HEAPF64"]=HEAPF64;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){var callback=callbacks.shift();if(typeof callback=="function"){callback();continue}var func=callback.func;if(typeof func==="number"){if(callback.arg===undefined){Module["dynCall_v"](func)}else{Module["dynCall_vi"](func,callback.arg)}}else{func(callback.arg===undefined?null:callback.arg)}}}var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATEXIT__=[];var __ATPOSTRUN__=[];var runtimeInitialized=false;var runtimeExited=false;function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function ensureInitRuntime(){if(runtimeInitialized)return;runtimeInitialized=true;callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function exitRuntime(){callRuntimeCallbacks(__ATEXIT__);runtimeExited=true}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}Module["addOnPreRun"]=addOnPreRun;function addOnInit(cb){__ATINIT__.unshift(cb)}Module["addOnInit"]=addOnInit;function addOnPreMain(cb){__ATMAIN__.unshift(cb)}Module["addOnPreMain"]=addOnPreMain;function addOnExit(cb){__ATEXIT__.unshift(cb)}Module["addOnExit"]=addOnExit;function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}Module["addOnPostRun"]=addOnPostRun;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;function intArrayToString(array){var ret=[];for(var i=0;i<array.length;i++){var chr=array[i];if(chr>255){chr&=255}ret.push(String.fromCharCode(chr))}return ret.join("")}Module["intArrayToString"]=intArrayToString;function writeStringToMemory(string,buffer,dontAddNull){Runtime.warnOnce("writeStringToMemory is deprecated and should not be called! Use stringToUTF8() instead!");var lastChar,end;if(dontAddNull){end=buffer+lengthBytesUTF8(string);lastChar=HEAP8[end]}stringToUTF8(string,buffer,Infinity);if(dontAddNull)HEAP8[end]=lastChar}Module["writeStringToMemory"]=writeStringToMemory;function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}Module["writeArrayToMemory"]=writeArrayToMemory;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;if(!Math["imul"]||Math["imul"](4294967295,5)!==-5)Math["imul"]=function imul(a,b){var ah=a>>>16;var al=a&65535;var bh=b>>>16;var bl=b&65535;return al*bl+(ah*bl+al*bh<<16)|0};Math.imul=Math["imul"];if(!Math["clz32"])Math["clz32"]=(function(x){x=x>>>0;for(var i=0;i<32;i++){if(x&1<<31-i)return i}return 32});Math.clz32=Math["clz32"];if(!Math["trunc"])Math["trunc"]=(function(x){return x<0?Math.ceil(x):Math.floor(x)});Math.trunc=Math["trunc"];var Math_abs=Math.abs;var Math_cos=Math.cos;var Math_sin=Math.sin;var Math_tan=Math.tan;var Math_acos=Math.acos;var Math_asin=Math.asin;var Math_atan=Math.atan;var Math_atan2=Math.atan2;var Math_exp=Math.exp;var Math_log=Math.log;var Math_sqrt=Math.sqrt;var Math_ceil=Math.ceil;var Math_floor=Math.floor;var Math_pow=Math.pow;var Math_imul=Math.imul;var Math_fround=Math.fround;var Math_round=Math.round;var Math_min=Math.min;var Math_clz32=Math.clz32;var Math_trunc=Math.trunc;var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}Module["addRunDependency"]=addRunDependency;function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}Module["removeRunDependency"]=removeRunDependency;Module["preloadedImages"]={};Module["preloadedAudios"]={};var ASM_CONSTS=[];STATIC_BASE=Runtime.GLOBAL_BASE;STATICTOP=STATIC_BASE+3020240;__ATINIT__.push();allocate([1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,126,132,46,193,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,236,57,250,254,66,46,230,63,2,32,42,250,11,171,252,63,250,44,146,124,167,108,9,64,201,121,68,60,100,38,19,64,202,1,207,58,39,81,26,64,48,204,45,243,225,12,33,64,13,183,252,130,142,53,37,64,207,247,167,33,137,154,41,64,21,77,149,144,117,53,46,64,116,141,58,63,151,128,49,64,67,1,213,22,186,252,51,64,205,50,59,156,90,141,54,64,67,42,22,223,243,48,57,64,71,211,63,166,54,230,59,64,133,26,31,6,255,171,62,64,58,53,47,63,166,192,64,64,82,238,213,242,157,50,66,64,133,57,54,83,129,171,67,64,190,119,237,122,245,42,69,64,169,114,52,100,168,176,70,64,6,79,168,171,79,60,72,64,69,106,133,139,167,205,73,64,20,141,78,3,114,100,75,64,231,101,205,34,118,0,77,64,148,103,124,113,127,161,78,64,238,79,126,182,174,35,80,64,63,2,51,141,241,248,80,64,48,114,145,83,115,208,81,64,229,208,89,139,32,170,82,64,64,90,158,253,230,133,83,64,131,32,148,155,181,99,84,64,74,206,58,99,124,67,85,64,186,150,72,71,44,37,86,64,87,22,225,25,183,8,87,64,88,103,178,121,15,238,87,64,150,61,36,193,40,213,88,64,163,87,82,247,246,189,89,64,17,152,150,194,110,168,90,64,162,43,112,92,133,148,91,64,4,161,156,134,48,130,92,64,237,18,62,129,102,113,93,64,79,186,238,1,30,98,94,64,240,156,166,43,78,84,95,64,160,221,173,67,247,35,96,64,168,30,164,126,123,158,96,64,107,98,98,231,175,25,97,64,89,165,83,200,144,149,97,64,195,110,12,147,26,18,98,64,49,31,235,221,73,143,98,64,53,99,232,97,27,13,99,64,219,29,147,248,139,139,99,64,206,166,51,154,152,10,100,64,25,175,18,92,62,138,100,64,17,135,224,110,122,10,101,64,116,218,57,29,74,139,101,64,71,71,71,202,170,12,102,64,121,121,117,240,153,142,102,64,197,178,67,32,21,17,103,64,89,220,38,255,25,148,103,64,185,111,127,70,166,23,104,64,160,174,160,194,183,155,104,64,99,199,231,81,76,32,105,64,189,164,225,227,97,165,105,64,8,70,126,120,246,42,106,64,38,151,80,31,8,177,106,64,176,215,217,246,148,55,107,64,34,182,223,43,155,190,107,64,246,86,204,248,24,70,108,64,255,144,23,165,12,206,108,64,182,183,184,132,116,86,109,64,113,90,160,247,78,223,109,64,240,107,57,105,154,104,110,64,73,81,241,79,85,242,110,64,131,97,198,44,126,124,111,64,97,52,110,197,137,3,112,64,43,101,139,255,9,73,112,64,99,242,219,19,191,142,112,64,41,177,2,86,168,212,112,64,42,147,248,29,197,26,113,64,54,71,227,199,20,97,113,64,172,225,237,179,150,167,113,64,62,109,35,70,74,238,113,64,213,70,75,230,46,53,114,64,97,41,199,255,67,124,114,64,86,208,114,1,137,195,114,64,86,25,133,93,253,10,115,64,27,143,114,137,160,82,115,64,70,73,209,253,113,154,115,64,247,13,62,54,113,226,115,64,107,163,66,177,157,42,116,64,12,65,61,240,246,114,116,64,102,16,73,119,124,187,116,64,100,175,39,205,45,4,117,64,87,166,43,123,10,77,117,64,236,196,35,13,18,150,117,64,28,90,71,17,68,223,117,64,237,59,35,24,160,40,118,64,97,148,135,180,37,114,118,64,182,105,118,123,212,187,118,64,158,216,18,4,172,5,119,64,190,247,144,231,171,79,119,64,14,92,38,193,211,153,119,64,125,54,251,45,35,228,119,64,104,3,28,205,153,46,120,64,254,196,107,63,55,121,120,64,27,194,150,39,251,195,120,64,95,195,5,42,229,14,121,64,179,200,209,236,244,89,121,64,203,49,184,23,42,165,121,64,93,84,15,84,132,240,121,64,45,123,187,76,3,60,122,64,58,73,36,174,166,135,122,64,192,124,42,38,110,211,122,64,182,13,30,100,89,31,123,64,235,163,180,24,104,107,123,64,10,97,0,246,153,183,123,64,205,250,102,175,238,3,124,64,38,34,153,249,101,80,124,64,12,52,138,138,255,156,124,64,234,48,104,25,187,233,124,64,182,247,147,94,152,54,125,64,18,194,153,19,151,131,125,64,163,222,41,243,182,208,125,64,75,167,17,185,247,29,126,64,200,176,52,34,89,107,126,64,130,49,134,236,218,184,126,64,76,157,2,215,124,6,127,64,39,116,169,161,62,84,127,64,234,65,119,13,32,162,127,64,13,205,95,220,32,240,127,64,93,57,164,104,32,31,128,64,61,87,1,216,63,70,128,64,237,101,163,158,110,109,128,64,57,96,87,159,172,148,128,64,99,150,88,189,249,187,128,64,101,65,78,220,85,227,128,64,41,40,73,224,192,10,129,64,63,86,193,173,58,50,129,64,80,227,147,41,195,89,129,64,194,202,0,57,90,129,129,64,254,210,168,193,255,168,129,64,193,131,139,169,179,208,129,64,254,42,5,215,117,248,129,64,195,239,204,48,70,32,130,64,178,242,242,157,36,72,130,64,141,123,222,5,17,112,130,64,114,51,76,80,11,152,130,64,64,107,76,101,19,192,130,64,222,109,65,45,41,232,130,64,223,221,221,144,76,16,131,64,61,30,35,121,125,56,131,64,192,197,95,207,187,96,131,64,179,28,46,125,7,137,131,64,164,164,114,108,96,177,131,64,207,169,90,135,198,217,131,64,224,221,90,184,57,2,132,64,209,251,45,234,185,42,132,64,143,116,211,7,71,83,132,64,30,36,142,252,224,123,132,64,255,14,227,179,135,164,132,64,148,39,152,25,59,205,132,64,63,27,179,25,251,245,132,64,8,39,120,160,199,30,133,64,136,243,104,154,160,71,133,64,223,119,67,244,133,112,133,64,142,227,0,155,119,153,133,64,232,142,212,123,117,194,133,64,1,242,42,132,127,235,133,64,214,161,168,161,149,20,134,64,139,83,41,194,183,61,134,64,148,229,190,211,229,102,134,64,138,110,176,196,31,144,134,64,152,81,121,131,101,185,134,64,82,88,200,254,182,226,134,64,195,209,126,37,20,12,135,64,151,182,175,230,124,53,135,64,60,210,158,49,241,94,135,64,205,240,191,245,112,136,135,64,179,17,182,34,252,177,135,64,210,158,82,168,146,219,135,64,26,168,148,118,52,5,136,64,116,35,168,125,225,46,136,64,211,48,229,173,153,88,136,64,97,98,207,247,92,130,136,64,157,8,21,76,43,172,136,64,83,130,142,155,4,214,136,64,97,144,61,215,232,255,136,64,19,173,76,240,215,41,137,64,27,103,14,216,209,83,137,64,252,191,252,127,214,125,137,64,212,141,184,217,229,167,137,64,113,224,8,215,255,209,137,64,153,105,218,105,36,252,137,64,108,232,62,132,83,38,138,64,228,151,108,24,141,80,138,64,43,160,189,24,209,122,138,64,245,138,175,119,31,165,138,64,143,186,226,39,120,207,138,64,199,227,25,28,219,249,138,64,108,138,57,71,72,36,139,64,110,128,71,156,191,78,139,64,154,103,106,14,65,121,139,64,184,53,233,144,204,163,139,64,43,187,42,23,98,206,139,64,226,43,181,148,1,249,139,64,153,170,45,253,170,35,140,64,93,214,87,68,94,78,140,64,72,90,21,94,27,121,140,64,77,127,101,62,226,163,140,64,49,192,100,217,178,206,140,64,137,95,76,35,141,249,140,64,185,255,113,16,113,36,141,64,214,60,71,149,94,79,141,64,136,72,89,166,85,122,141,64,184,135,80,56,86,165,141,64,18,50,240,63,96,208,141,64,74,243,21,178,115,251,141,64,43,142,185,131,144,38,142,64,70,129,236,169,182,81,142,64,83,173,217,25,230,124,142,64,42,253,196,200,30,168,142,64,95,15,11,172,96,211,142,64,83,225,32,185,171,254,142,64,227,123,147,229,255,41,143,64,122,161,7,39,93,85,143,64,157,125,57,115,195,128,143,64,239,85,252,191,50,172,143,64,127,60,58,3,171,215,143,64,196,225,121,25,150,1,144,64,56,217,159,34,91,23,144,64,12,94,37,152,36,45,144,64,67,155,43,117,242,66,144,64,209,105,222,180,196,88,144,64,173,45,116,82,155,110,144,64,102,179,45,73,118,132,144,64,88,14,86,148,85,154,144,64,117,119,66,47,57,176,144,64,149,44,82,21,33,198,144,64,87,80,238,65,13,220,144,64,131,202,137,176,253,241,144,64,2,41,161,92,242,7,145,64,69,129,186,65,235,29,145,64,64,82,101,91,232,51,145,64,209,102,58,165,233,73,145,64,174,184,219,26,239,95,145,64,206,83,244,183,248,117,145,64,58,58,56,120,6,140,145,64,95,72,100,87,24,162,145,64,208,25,62,81,46,184,145,64,114,238,147,97,72,206,145,64,24,144,60,132,102,228,145,64,142,56,23,181,136,250,145,64,4,120,11,240,174,16,146,64,1,0,0,0,128,116,210,26,5,0,0,0,4,0,0,0,4,0,0,0,6,0,0,0,9,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,5,0,0,0,8,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,4,0,0,0,11,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,3,0,0,0,7,0,0,0,10,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,2,0,0,0,6,0,0,0,8,0,0,0,4,0,0,0,4,0,0,0,11,0,0,0,255,255,255,255,5,0,0,0,0,0,0,0,3,0,0,0,7,0,0,0,255,255,255,255,5,0,0,0,1,0,0,0,2,0,0,0,7,0,0,0,255,255,255,255,9,0,0,0,6,0,0,0,6,0,0,0,10,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,6,0,0,0,6,0,0,0,2,0,0,0,255,255,255,255,5,0,0,0,9,0,0,0,10,0,0,0,7,0,0,0,255,255,255,255,5,0,0,0,8,0,0,0,11,0,0,0,7,0,0,0,255,255,255,255,0,0,0,0,4,0,0,0,4,0,0,0,3,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,2,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,252,255,255,255,0,0,0,0,0,0,0,0,253,255,255,255,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,252,255,255,255,0,0,0,0,0,0,0,0,253,255,255,255,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,4,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,254,255,255,255,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,253,255,255,255,255,255,255,255,0,0,0,0,2,0,0,0,4,0,0,0,254,255,255,255,1,0,0,0,3,0,0,0,253,255,255,255,255,255,255,255,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,1,0,0,0,128,0,0,0,16,0,0,0,31,0,0,0,28,0,0,0,31,0,0,0,30,0,0,0,31,0,0,0,30,0,0,0,31,0,0,0,31,0,0,0,30,0,0,0,31,0,0,0,30,0,0,0,31,0,0,0,29,0,0,0,1,0,0,0,118,100,1,0,218,103,1,0,157,105,1,0,59,227,0,0,12,130,1,0,66,227,0,0,19,130,1,0,73,227,0,0,58,94,1,0,80,227,0,0,25,130,1,0,87,227,0,0,94,227,0,0,102,227,0,0,109,227,0,0,117,227,0,0,124,227,0,0,131,227,0,0,138,227,0,0,146,227,0,0,153,227,0,0,160,227,0,0,167,227,0,0,175,227,0,0,182,227,0,0,189,227,0,0,196,227,0,0,204,227,0,0,211,227,0,0,218,227,0,0,225,227,0,0,233,227,0,0,240,227,0,0,247,227,0,0,254,227,0,0,6,228,0,0,13,228,0,0,20,228,0,0,27,228,0,0,34,228,0,0,41,228,0,0,48,228,0,0,55,228,0,0,62,228,0,0,69,228,0,0,77,228,0,0,84,228,0,0,92,228,0,0,99,228,0,0,106,228,0,0,113,228,0,0,122,228,0,0,34,42,1,0,88,42,1,0,95,42,1,0,104,42,1,0,111,42,1,0,120,42,1,0,127,42,1,0,136,42,1,0,143,42,1,0,151,42,1,0,157,42,1,0,180,42,1,0,187,42,1,0,129,228,0,0,136,228,0,0,165,42,1,0,171,42,1,0,125,43,1,0,40,141,1,0,133,43,1,0,40,141,1,0,147,43,1,0,40,141,1,0,96,43,1,0,40,141,1,0,144,228,0,0,40,141,1,0,151,228,0,0,40,141,1,0,158,228,0,0,40,141,1,0,165,228,0,0,40,141,1,0,172,228,0,0,40,141,1,0,179,228,0,0,40,141,1,0,186,228,0,0,40,141,1,0,193,228,0,0,40,141,1,0,200,228,0,0,40,141,1,0,207,228,0,0,40,141,1,0,214,228,0,0,40,141,1,0,221,228,0,0,40,141,1,0,228,228,0,0,40,141,1,0,235,228,0,0,40,141,1,0,242,228,0,0,40,141,1,0,249,228,0,0,40,141,1,0,0,229,0,0,40,141,1,0,7,229,0,0,40,141,1,0,14,229,0,0,40,141,1,0,21,229,0,0,40,141,1,0,28,229,0,0,40,141,1,0,35,229,0,0,40,141,1,0,42,229,0,0,40,141,1,0,49,229,0,0,40,141,1,0,55,229,0,0,40,141,1,0,62,229,0,0,40,141,1,0,69,229,0,0,40,141,1,0,220,160,1,0,40,141,1,0,246,81,1,0,40,141,1,0,102,43,1,0,40,141,1,0,168,130,1,0,40,141,1,0,186,130,1,0,40,141,1,0,203,130,1,0,205,130,1,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,40,41,1,0,47,41,1,0,54,41,1,0,61,41,1,0,69,41,1,0,76,41,1,0,83,41,1,0,90,41,1,0,98,41,1,0,105,41,1,0,112,41,1,0,119,41,1,0,127,41,1,0,134,41,1,0,141,41,1,0,148,41,1,0,156,41,1,0,163,41,1,0,170,41,1,0,177,41,1,0,185,41,1,0,192,41,1,0,199,41,1,0,206,41,1,0,213,41,1,0,206,41,1,0,220,41,1,0,227,41,1,0,234,41,1,0,227,41,1,0,241,41,1,0,248,41,1,0,255,41,1,0,248,41,1,0,6,42,1,0,13,42,1,0,20,42,1,0,13,42,1,0,27,42,1,0,34,42,1,0,43,42,1,0,50,42,1,0,58,42,1,0,65,42,1,0,73,42,1,0,80,42,1,0,88,42,1,0,95,42,1,0,104,42,1,0,111,42,1,0,120,42,1,0,127,42,1,0,136,42,1,0,143,42,1,0,151,42,1,0,157,42,1,0,165,42,1,0,171,42,1,0,180,42,1,0,187,42,1,0,196,42,1,0,203,42,1,0,212,42,1,0,219,42,1,0,228,42,1,0,235,42,1,0,244,42,1,0,251,42,1,0,4,43,1,0,11,43,1,0,95,42,1,0,205,130,1,0,111,42,1,0,205,130,1,0,127,42,1,0,205,130,1,0,20,43,1,0,205,130,1,0,26,43,1,0,205,130,1,0,35,43,1,0,205,130,1,0,44,43,1,0,205,130,1,0,187,42,1,0,205,130,1,0,53,43,1,0,205,130,1,0,62,43,1,0,205,130,1,0,71,43,1,0,205,130,1,0,80,43,1,0,205,130,1,0,127,90,1,0,205,130,1,0,60,130,1,0,40,141,1,0,253,129,1,0,40,141,1,0,78,130,1,0,40,141,1,0,89,43,1,0,40,141,1,0,138,130,1,0,40,141,1,0,153,130,1,0,40,141,1,0,58,141,1,0,40,141,1,0,96,43,1,0,40,141,1,0,80,141,1,0,40,141,1,0,220,160,1,0,40,141,1,0,246,81,1,0,40,141,1,0,102,43,1,0,40,141,1,0,168,130,1,0,40,141,1,0,186,130,1,0,40,141,1,0,111,43,1,0,40,141,1,0,118,43,1,0,40,141,1,0,131,86,1,0,40,141,1,0,125,43,1,0,40,141,1,0,133,43,1,0,40,141,1,0,140,43,1,0,40,141,1,0,147,43,1,0,40,141,1,0,154,43,1,0,40,141,1,0,161,43,1,0,40,141,1,0,168,43,1,0,40,141,1,0,175,43,1,0,40,141,1,0,182,43,1,0,40,141,1,0,188,43,1,0,40,141,1,0,195,43,1,0,40,141,1,0,201,43,1,0,40,141,1,0,208,43,1,0,40,141,1,0,215,43,1,0,40,141,1,0,222,43,1,0,40,141,1,0,229,43,1,0,40,141,1,0,236,43,1,0,40,141,1,0,243,43,1,0,40,141,1,0,208,43,1,0,40,141,1,0,222,43,1,0,40,141,1,0,250,43,1,0,40,141,1,0,1,44,1,0,40,141,1,0,8,44,1,0,40,141,1,0,15,44,1,0,40,141,1,0,22,44,1,0,40,141,1,0,29,44,1,0,40,141,1,0,36,44,1,0,40,141,1,0,43,44,1,0,40,141,1,0,50,44,1,0,40,141,1,0,57,44,1,0,40,141,1,0,64,44,1,0,40,141,1,0,71,44,1,0,40,141,1,0,78,44,1,0,40,141,1,0,203,130,1,0,205,130,1,0,74,71,1,0,246,81,1,0,220,160,1,0,58,141,1,0,153,130,1,0,106,130,1,0,255,255,255,255,165,81,1,0,0,0,0,0,174,81,1,0,1,0,0,0,181,81,1,0,2,0,0,0,60,130,1,0,3,0,0,0,45,130,1,0,4,0,0,0,0,0,0,0,255,255,255,255,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,225,135,1,0,241,135,1,0,248,135,1,0,103,2,46,0,103,2,46,0,103,2,46,0,45,130,1,0,40,141,1,0,253,129,1,0,40,141,1,0,78,130,1,0,40,141,1,0,91,130,1,0,40,141,1,0,138,130,1,0,40,141,1,0,106,130,1,0,40,141,1,0,153,130,1,0,40,141,1,0,168,130,1,0,40,141,1,0,186,130,1,0,40,141,1,0,220,160,1,0,40,141,1,0,42,141,1,0,40,141,1,0,50,141,1,0,40,141,1,0,203,130,1,0,205,130,1,0,60,130,1,0,40,141,1,0,253,129,1,0,40,141,1,0,78,130,1,0,40,141,1,0,91,130,1,0,40,141,1,0,138,130,1,0,40,141,1,0,153,130,1,0,40,141,1,0,58,141,1,0,40,141,1,0,66,141,1,0,40,141,1,0,73,141,1,0,40,141,1,0,80,141,1,0,40,141,1,0,222,132,1,0,40,141,1,0,31,130,1,0,40,141,1,0,107,128,1,0,40,141,1,0,86,141,1,0,40,141,1,0,135,125,1,0,40,141,1,0,144,125,1,0,40,141,1,0,93,141,1,0,40,141,1,0,100,141,1,0,40,141,1,0,168,130,1,0,40,141,1,0,186,130,1,0,40,141,1,0,220,160,1,0,205,130,1,0,203,130,1,0,205,130,1,0,0,0,0,0,1,0,0,0,3,0,0,0,7,0,0,0,15,0,0,0,31,0,0,0,63,0,0,0,127,0,0,0,255,0,0,0,255,1,0,0,255,3,0,0,255,7,0,0,255,15,0,0,255,31,0,0,255,63,0,0,255,127,0,0,255,255,0,0,255,255,1,0,255,255,3,0,255,255,7,0,255,255,15,0,255,255,31,0,255,255,63,0,255,255,127,0,255,255,255,0,255,255,255,1,255,255,255,3,255,255,255,7,255,255,255,15,255,255,255,31,255,255,255,63,255,255,255,127,255,255,255,255,0,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,6,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,7,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,8,0,0,0,62,0,0,0,0,0,0,0,1,0,0,0,8,0,0,0,2,0,0,0,9,0,0,0,26,0,0,0,27,0,0,0,3,0,0,0,28,0,0,0,10,0,0,0,29,0,0,0,11,0,0,0,30,0,0,0,63,0,0,0,12,0,0,0,6,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,3,0,0,0,5,0,0,0,4,0,0,0,5,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,4,0,0,0,0,0,0,0,1,0,0,0,3,0,0,0,7,0,0,0,15,0,0,0,31,0,0,0,63,0,0,0,127,0,0,0,255,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,1,0,0,0,8,0,0,0,9,0,0,0,10,0,0,0,11,0,0,0,12,0,0,0,13,0,0,0,1,0,0,0,13,0,0,0,14,0,0,0,1,0,0,0,15,0,0,0,15,0,0,0,16,0,0,0,16,0,0,0,16,0,0,0,16,0,0,0,16,0,0,0,16,0,0,0,17,0,0,0,17,0,0,0,1,0,0,0,1,0,0,0,18,0,0,0,19,0,0,0,20,0,0,0,1,0,0,0,1,0,0,0,21,0,0,0,22,0,0,0,23,0,0,0,24,0,0,0,25,0,0,0,26,0,0,0,27,0,0,0,28,0,0,0,29,0,0,0,30,0,0,0,30,0,0,0,31,0,0,0,30,0,0,0,32,0,0,0,33,0,0,0,30,0,0,0,34,0,0,0,35,0,0,0,30,0,0,0,36,0,0,0,37,0,0,0,30,0,0,0,30,0,0,0,38,0,0,0,30,0,0,0,30,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,39,0,0,0,40,0,0,0,1,0,0,0,41,0,0,0,42,0,0,0,23,0,0,0,43,0,0,0,44,0,0,0,45,0,0,0,46,0,0,0,28,0,0,0,47,0,0,0,30,0,0,0,30,0,0,0,48,0,0,0,30,0,0,0,49,0,0,0,50,0,0,0,30,0,0,0,51,0,0,0,52,0,0,0,30,0,0,0,53,0,0,0,54,0,0,0,30,0,0,0,30,0,0,0,38,0,0,0,30,0,0,0,30,0,0,0,1,0,0,0,55,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,3,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,1,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,4,0,4,0,8,0,4,0,3,0,0,0,4,0,5,0,16,0,8,0,3,0,0,0,4,0,6,0,32,0,32,0,3,0,0,0,4,0,4,0,16,0,16,0,4,0,0,0,8,0,16,0,32,0,32,0,4,0,0,0,8,0,16,0,128,0,128,0,4,0,0,0,8,0,32,0,128,0,0,1,4,0,0,0,32,0,128,0,2,1,0,4,4,0,0,0,32,0,2,1,2,1,0,16,4,0,0,0,254,128,0,0,24,31,0,0,1,1,0,0,30,1,0,0,15,0,0,0,134,128,0,0,160,30,0,0,0,0,0,0,30,0,0,0,15,0,0,0,0,0,0,0,84,30,0,0,0,0,0,0,19,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,3,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,6,0,0,0,6,0,0,0,7,0,0,0,7,0,0,0,8,0,0,0,8,0,0,0,9,0,0,0,9,0,0,0,10,0,0,0,10,0,0,0,11,0,0,0,11,0,0,0,12,0,0,0,12,0,0,0,13,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,1,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,2,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,3,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,4,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,5,0,0,0,6,0,0,0,7,0,0,0,8,0,0,0,10,0,0,0,12,0,0,0,14,0,0,0,16,0,0,0,20,0,0,0,24,0,0,0,28,0,0,0,32,0,0,0,40,0,0,0,48,0,0,0,56,0,0,0,64,0,0,0,80,0,0,0,96,0,0,0,112,0,0,0,128,0,0,0,160,0,0,0,192,0,0,0,224,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,6,0,0,0,8,0,0,0,12,0,0,0,16,0,0,0,24,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,0,128,0,0,0,192,0,0,0,0,1,0,0,128,1,0,0,0,2,0,0,0,3,0,0,0,4,0,0,0,6,0,0,0,8,0,0,0,12,0,0,0,16,0,0,0,24,0,0,0,32,0,0,0,48,0,0,0,64,0,0,0,96,0,0,165,167,1,0,181,167,1,0,194,21,46,0,192,167,1,0,203,167,1,0,216,167,1,0,227,167,1,0,247,167,1,0,4,168,1,0,194,21,46,0,0,0,0,0,150,48,7,119,44,97,14,238,186,81,9,153,25,196,109,7,143,244,106,112,53,165,99,233,163,149,100,158,50,136,219,14,164,184,220,121,30,233,213,224,136,217,210,151,43,76,182,9,189,124,177,126,7,45,184,231,145,29,191,144,100,16,183,29,242,32,176,106,72,113,185,243,222,65,190,132,125,212,218,26,235,228,221,109,81,181,212,244,199,133,211,131,86,152,108,19,192,168,107,100,122,249,98,253,236,201,101,138,79,92,1,20,217,108,6,99,99,61,15,250,245,13,8,141,200,32,110,59,94,16,105,76,228,65,96,213,114,113,103,162,209,228,3,60,71,212,4,75,253,133,13,210,107,181,10,165,250,168,181,53,108,152,178,66,214,201,187,219,64,249,188,172,227,108,216,50,117,92,223,69,207,13,214,220,89,61,209,171,172,48,217,38,58,0,222,81,128,81,215,200,22,97,208,191,181,244,180,33,35,196,179,86,153,149,186,207,15,165,189,184,158,184,2,40,8,136,5,95,178,217,12,198,36,233,11,177,135,124,111,47,17,76,104,88,171,29,97,193,61,45,102,182,144,65,220,118,6,113,219,1,188,32,210,152,42,16,213,239,137,133,177,113,31,181,182,6,165,228,191,159,51,212,184,232,162,201,7,120,52,249,0,15,142,168,9,150,24,152,14,225,187,13,106,127,45,61,109,8,151,108,100,145,1,92,99,230,244,81,107,107,98,97,108,28,216,48,101,133,78,0,98,242,237,149,6,108,123,165,1,27,193,244,8,130,87,196,15,245,198,217,176,101,80,233,183,18,234,184,190,139,124,136,185,252,223,29,221,98,73,45,218,21,243,124,211,140,101,76,212,251,88,97,178,77,206,81,181,58,116,0,188,163,226,48,187,212,65,165,223,74,215,149,216,61,109,196,209,164,251,244,214,211,106,233,105,67,252,217,110,52,70,136,103,173,208,184,96,218,115,45,4,68,229,29,3,51,95,76,10,170,201,124,13,221,60,113,5,80,170,65,2,39,16,16,11,190,134,32,12,201,37,181,104,87,179,133,111,32,9,212,102,185,159,228,97,206,14,249,222,94,152,201,217,41,34,152,208,176,180,168,215,199,23,61,179,89,129,13,180,46,59,92,189,183,173,108,186,192,32,131,184,237,182,179,191,154,12,226,182,3,154,210,177,116,57,71,213,234,175,119,210,157,21,38,219,4,131,22,220,115,18,11,99,227,132,59,100,148,62,106,109,13,168,90,106,122,11,207,14,228,157,255,9,147,39,174,0,10,177,158,7,125,68,147,15,240,210,163,8,135,104,242,1,30,254,194,6,105,93,87,98,247,203,103,101,128,113,54,108,25,231,6,107,110,118,27,212,254,224,43,211,137,90,122,218,16,204,74,221,103,111,223,185,249,249,239,190,142,67,190,183,23,213,142,176,96,232,163,214,214,126,147,209,161,196,194,216,56,82,242,223,79,241,103,187,209,103,87,188,166,221,6,181,63,75,54,178,72,218,43,13,216,76,27,10,175,246,74,3,54,96,122,4,65,195,239,96,223,85,223,103,168,239,142,110,49,121,190,105,70,140,179,97,203,26,131,102,188,160,210,111,37,54,226,104,82,149,119,12,204,3,71,11,187,185,22,2,34,47,38,5,85,190,59,186,197,40,11,189,178,146,90,180,43,4,106,179,92,167,255,215,194,49,207,208,181,139,158,217,44,29,174,222,91,176,194,100,155,38,242,99,236,156,163,106,117,10,147,109,2,169,6,9,156,63,54,14,235,133,103,7,114,19,87,0,5,130,74,191,149,20,122,184,226,174,43,177,123,56,27,182,12,155,142,210,146,13,190,213,229,183,239,220,124,33,223,219,11,212,210,211,134,66,226,212,241,248,179,221,104,110,131,218,31,205,22,190,129,91,38,185,246,225,119,176,111,119,71,183,24,230,90,8,136,112,106,15,255,202,59,6,102,92,11,1,17,255,158,101,143,105,174,98,248,211,255,107,97,69,207,108,22,120,226,10,160,238,210,13,215,84,131,4,78,194,179,3,57,97,38,103,167,247,22,96,208,77,71,105,73,219,119,110,62,74,106,209,174,220,90,214,217,102,11,223,64,240,59,216,55,83,174,188,169,197,158,187,222,127,207,178,71,233,255,181,48,28,242,189,189,138,194,186,202,48,147,179,83,166,163,180,36,5,54,208,186,147,6,215,205,41,87,222,84,191,103,217,35,46,122,102,179,184,74,97,196,2,27,104,93,148,43,111,42,55,190,11,180,161,142,12,195,27,223,5,90,141,239,2,45,0,0,0,0,65,49,27,25,130,98,54,50,195,83,45,43,4,197,108,100,69,244,119,125,134,167,90,86,199,150,65,79,8,138,217,200,73,187,194,209,138,232,239,250,203,217,244,227,12,79,181,172,77,126,174,181,142,45,131,158,207,28,152,135,81,18,194,74,16,35,217,83,211,112,244,120,146,65,239,97,85,215,174,46,20,230,181,55,215,181,152,28,150,132,131,5,89,152,27,130,24,169,0,155,219,250,45,176,154,203,54,169,93,93,119,230,28,108,108,255,223,63,65,212,158,14,90,205,162,36,132,149,227,21,159,140,32,70,178,167,97,119,169,190,166,225,232,241,231,208,243,232,36,131,222,195,101,178,197,218,170,174,93,93,235,159,70,68,40,204,107,111,105,253,112,118,174,107,49,57,239,90,42,32,44,9,7,11,109,56,28,18,243,54,70,223,178,7,93,198,113,84,112,237,48,101,107,244,247,243,42,187,182,194,49,162,117,145,28,137,52,160,7,144,251,188,159,23,186,141,132,14,121,222,169,37,56,239,178,60,255,121,243,115,190,72,232,106,125,27,197,65,60,42,222,88,5,79,121,240,68,126,98,233,135,45,79,194,198,28,84,219,1,138,21,148,64,187,14,141,131,232,35,166,194,217,56,191,13,197,160,56,76,244,187,33,143,167,150,10,206,150,141,19,9,0,204,92,72,49,215,69,139,98,250,110,202,83,225,119,84,93,187,186,21,108,160,163,214,63,141,136,151,14,150,145,80,152,215,222,17,169,204,199,210,250,225,236,147,203,250,245,92,215,98,114,29,230,121,107,222,181,84,64,159,132,79,89,88,18,14,22,25,35,21,15,218,112,56,36,155,65,35,61,167,107,253,101,230,90,230,124,37,9,203,87,100,56,208,78,163,174,145,1,226,159,138,24,33,204,167,51,96,253,188,42,175,225,36,173,238,208,63,180,45,131,18,159,108,178,9,134,171,36,72,201,234,21,83,208,41,70,126,251,104,119,101,226,246,121,63,47,183,72,36,54,116,27,9,29,53,42,18,4,242,188,83,75,179,141,72,82,112,222,101,121,49,239,126,96,254,243,230,231,191,194,253,254,124,145,208,213,61,160,203,204,250,54,138,131,187,7,145,154,120,84,188,177,57,101,167,168,75,152,131,59,10,169,152,34,201,250,181,9,136,203,174,16,79,93,239,95,14,108,244,70,205,63,217,109,140,14,194,116,67,18,90,243,2,35,65,234,193,112,108,193,128,65,119,216,71,215,54,151,6,230,45,142,197,181,0,165,132,132,27,188,26,138,65,113,91,187,90,104,152,232,119,67,217,217,108,90,30,79,45,21,95,126,54,12,156,45,27,39,221,28,0,62,18,0,152,185,83,49,131,160,144,98,174,139,209,83,181,146,22,197,244,221,87,244,239,196,148,167,194,239,213,150,217,246,233,188,7,174,168,141,28,183,107,222,49,156,42,239,42,133,237,121,107,202,172,72,112,211,111,27,93,248,46,42,70,225,225,54,222,102,160,7,197,127,99,84,232,84,34,101,243,77,229,243,178,2,164,194,169,27,103,145,132,48,38,160,159,41,184,174,197,228,249,159,222,253,58,204,243,214,123,253,232,207,188,107,169,128,253,90,178,153,62,9,159,178,127,56,132,171,176,36,28,44,241,21,7,53,50,70,42,30,115,119,49,7,180,225,112,72,245,208,107,81,54,131,70,122,119,178,93,99,78,215,250,203,15,230,225,210,204,181,204,249,141,132,215,224,74,18,150,175,11,35,141,182,200,112,160,157,137,65,187,132,70,93,35,3,7,108,56,26,196,63,21,49,133,14,14,40,66,152,79,103,3,169,84,126,192,250,121,85,129,203,98,76,31,197,56,129,94,244,35,152,157,167,14,179,220,150,21,170,27,0,84,229,90,49,79,252,153,98,98,215,216,83,121,206,23,79,225,73,86,126,250,80],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE);allocate([149,45,215,123,212,28,204,98,19,138,141,45,82,187,150,52,145,232,187,31,208,217,160,6,236,243,126,94,173,194,101,71,110,145,72,108,47,160,83,117,232,54,18,58,169,7,9,35,106,84,36,8,43,101,63,17,228,121,167,150,165,72,188,143,102,27,145,164,39,42,138,189,224,188,203,242,161,141,208,235,98,222,253,192,35,239,230,217,189,225,188,20,252,208,167,13,63,131,138,38,126,178,145,63,185,36,208,112,248,21,203,105,59,70,230,66,122,119,253,91,181,107,101,220,244,90,126,197,55,9,83,238,118,56,72,247,177,174,9,184,240,159,18,161,51,204,63,138,114,253,36,147,0,0,0,0,55,106,194,1,110,212,132,3,89,190,70,2,220,168,9,7,235,194,203,6,178,124,141,4,133,22,79,5,184,81,19,14,143,59,209,15,214,133,151,13,225,239,85,12,100,249,26,9,83,147,216,8,10,45,158,10,61,71,92,11,112,163,38,28,71,201,228,29,30,119,162,31,41,29,96,30,172,11,47,27,155,97,237,26,194,223,171,24,245,181,105,25,200,242,53,18,255,152,247,19,166,38,177,17,145,76,115,16,20,90,60,21,35,48,254,20,122,142,184,22,77,228,122,23,224,70,77,56,215,44,143,57,142,146,201,59,185,248,11,58,60,238,68,63,11,132,134,62,82,58,192,60,101,80,2,61,88,23,94,54,111,125,156,55,54,195,218,53,1,169,24,52,132,191,87,49,179,213,149,48,234,107,211,50,221,1,17,51,144,229,107,36,167,143,169,37,254,49,239,39,201,91,45,38,76,77,98,35,123,39,160,34,34,153,230,32,21,243,36,33,40,180,120,42,31,222,186,43,70,96,252,41,113,10,62,40,244,28,113,45,195,118,179,44,154,200,245,46,173,162,55,47,192,141,154,112,247,231,88,113,174,89,30,115,153,51,220,114,28,37,147,119,43,79,81,118,114,241,23,116,69,155,213,117,120,220,137,126,79,182,75,127,22,8,13,125,33,98,207,124,164,116,128,121,147,30,66,120,202,160,4,122,253,202,198,123,176,46,188,108,135,68,126,109,222,250,56,111,233,144,250,110,108,134,181,107,91,236,119,106,2,82,49,104,53,56,243,105,8,127,175,98,63,21,109,99,102,171,43,97,81,193,233,96,212,215,166,101,227,189,100,100,186,3,34,102,141,105,224,103,32,203,215,72,23,161,21,73,78,31,83,75,121,117,145,74,252,99,222,79,203,9,28,78,146,183,90,76,165,221,152,77,152,154,196,70,175,240,6,71,246,78,64,69,193,36,130,68,68,50,205,65,115,88,15,64,42,230,73,66,29,140,139,67,80,104,241,84,103,2,51,85,62,188,117,87,9,214,183,86,140,192,248,83,187,170,58,82,226,20,124,80,213,126,190,81,232,57,226,90,223,83,32,91,134,237,102,89,177,135,164,88,52,145,235,93,3,251,41,92,90,69,111,94,109,47,173,95,128,27,53,225,183,113,247,224,238,207,177,226,217,165,115,227,92,179,60,230,107,217,254,231,50,103,184,229,5,13,122,228,56,74,38,239,15,32,228,238,86,158,162,236,97,244,96,237,228,226,47,232,211,136,237,233,138,54,171,235,189,92,105,234,240,184,19,253,199,210,209,252,158,108,151,254,169,6,85,255,44,16,26,250,27,122,216,251,66,196,158,249,117,174,92,248,72,233,0,243,127,131,194,242,38,61,132,240,17,87,70,241,148,65,9,244,163,43,203,245,250,149,141,247,205,255,79,246,96,93,120,217,87,55,186,216,14,137,252,218,57,227,62,219,188,245,113,222,139,159,179,223,210,33,245,221,229,75,55,220,216,12,107,215,239,102,169,214,182,216,239,212,129,178,45,213,4,164,98,208,51,206,160,209,106,112,230,211,93,26,36,210,16,254,94,197,39,148,156,196,126,42,218,198,73,64,24,199,204,86,87,194,251,60,149,195,162,130,211,193,149,232,17,192,168,175,77,203,159,197,143,202,198,123,201,200,241,17,11,201,116,7,68,204,67,109,134,205,26,211,192,207,45,185,2,206,64,150,175,145,119,252,109,144,46,66,43,146,25,40,233,147,156,62,166,150,171,84,100,151,242,234,34,149,197,128,224,148,248,199,188,159,207,173,126,158,150,19,56,156,161,121,250,157,36,111,181,152,19,5,119,153,74,187,49,155,125,209,243,154,48,53,137,141,7,95,75,140,94,225,13,142,105,139,207,143,236,157,128,138,219,247,66,139,130,73,4,137,181,35,198,136,136,100,154,131,191,14,88,130,230,176,30,128,209,218,220,129,84,204,147,132,99,166,81,133,58,24,23,135,13,114,213,134,160,208,226,169,151,186,32,168,206,4,102,170,249,110,164,171,124,120,235,174,75,18,41,175,18,172,111,173,37,198,173,172,24,129,241,167,47,235,51,166,118,85,117,164,65,63,183,165,196,41,248,160,243,67,58,161,170,253,124,163,157,151,190,162,208,115,196,181,231,25,6,180,190,167,64,182,137,205,130,183,12,219,205,178,59,177,15,179,98,15,73,177,85,101,139,176,104,34,215,187,95,72,21,186,6,246,83,184,49,156,145,185,180,138,222,188,131,224,28,189,218,94,90,191,237,52,152,190,0,0,0,0,101,103,188,184,139,200,9,170,238,175,181,18,87,151,98,143,50,240,222,55,220,95,107,37,185,56,215,157,239,40,180,197,138,79,8,125,100,224,189,111,1,135,1,215,184,191,214,74,221,216,106,242,51,119,223,224,86,16,99,88,159,87,25,80,250,48,165,232,20,159,16,250,113,248,172,66,200,192,123,223,173,167,199,103,67,8,114,117,38,111,206,205,112,127,173,149,21,24,17,45,251,183,164,63,158,208,24,135,39,232,207,26,66,143,115,162,172,32,198,176,201,71,122,8,62,175,50,160,91,200,142,24,181,103,59,10,208,0,135,178,105,56,80,47,12,95,236,151,226,240,89,133,135,151,229,61,209,135,134,101,180,224,58,221,90,79,143,207,63,40,51,119,134,16,228,234,227,119,88,82,13,216,237,64,104,191,81,248,161,248,43,240,196,159,151,72,42,48,34,90,79,87,158,226,246,111,73,127,147,8,245,199,125,167,64,213,24,192,252,109,78,208,159,53,43,183,35,141,197,24,150,159,160,127,42,39,25,71,253,186,124,32,65,2,146,143,244,16,247,232,72,168,61,88,20,155,88,63,168,35,182,144,29,49,211,247,161,137,106,207,118,20,15,168,202,172,225,7,127,190,132,96,195,6,210,112,160,94,183,23,28,230,89,184,169,244,60,223,21,76,133,231,194,209,224,128,126,105,14,47,203,123,107,72,119,195,162,15,13,203,199,104,177,115,41,199,4,97,76,160,184,217,245,152,111,68,144,255,211,252,126,80,102,238,27,55,218,86,77,39,185,14,40,64,5,182,198,239,176,164,163,136,12,28,26,176,219,129,127,215,103,57,145,120,210,43,244,31,110,147,3,247,38,59,102,144,154,131,136,63,47,145,237,88,147,41,84,96,68,180,49,7,248,12,223,168,77,30,186,207,241,166,236,223,146,254,137,184,46,70,103,23,155,84,2,112,39,236,187,72,240,113,222,47,76,201,48,128,249,219,85,231,69,99,156,160,63,107,249,199,131,211,23,104,54,193,114,15,138,121,203,55,93,228,174,80,225,92,64,255,84,78,37,152,232,246,115,136,139,174,22,239,55,22,248,64,130,4,157,39,62,188,36,31,233,33,65,120,85,153,175,215,224,139,202,176,92,51,59,182,89,237,94,209,229,85,176,126,80,71,213,25,236,255,108,33,59,98,9,70,135,218,231,233,50,200,130,142,142,112,212,158,237,40,177,249,81,144,95,86,228,130,58,49,88,58,131,9,143,167,230,110,51,31,8,193,134,13,109,166,58,181,164,225,64,189,193,134,252,5,47,41,73,23,74,78,245,175,243,118,34,50,150,17,158,138,120,190,43,152,29,217,151,32,75,201,244,120,46,174,72,192,192,1,253,210,165,102,65,106,28,94,150,247,121,57,42,79,151,150,159,93,242,241,35,229,5,25,107,77,96,126,215,245,142,209,98,231,235,182,222,95,82,142,9,194,55,233,181,122,217,70,0,104,188,33,188,208,234,49,223,136,143,86,99,48,97,249,214,34,4,158,106,154,189,166,189,7,216,193,1,191,54,110,180,173,83,9,8,21,154,78,114,29,255,41,206,165,17,134,123,183,116,225,199,15,205,217,16,146,168,190,172,42,70,17,25,56,35,118,165,128,117,102,198,216,16,1,122,96,254,174,207,114,155,201,115,202,34,241,164,87,71,150,24,239,169,57,173,253,204,94,17,69,6,238,77,118,99,137,241,206,141,38,68,220,232,65,248,100,81,121,47,249,52,30,147,65,218,177,38,83,191,214,154,235,233,198,249,179,140,161,69,11,98,14,240,25,7,105,76,161,190,81,155,60,219,54,39,132,53,153,146,150,80,254,46,46,153,185,84,38,252,222,232,158,18,113,93,140,119,22,225,52,206,46,54,169,171,73,138,17,69,230,63,3,32,129,131,187,118,145,224,227,19,246,92,91,253,89,233,73,152,62,85,241,33,6,130,108,68,97,62,212,170,206,139,198,207,169,55,126,56,65,127,214,93,38,195,110,179,137,118,124,214,238,202,196,111,214,29,89,10,177,161,225,228,30,20,243,129,121,168,75,215,105,203,19,178,14,119,171,92,161,194,185,57,198,126,1,128,254,169,156,229,153,21,36,11,54,160,54,110,81,28,142,167,22,102,134,194,113,218,62,44,222,111,44,73,185,211,148,240,129,4,9,149,230,184,177,123,73,13,163,30,46,177,27,72,62,210,67,45,89,110,251,195,246,219,233,166,145,103,81,31,169,176,204,122,206,12,116,148,97,185,102,241,6,5,222,0,0,0,0,119,7,48,150,238,14,97,44,153,9,81,186,7,109,196,25,112,106,244,143,233,99,165,53,158,100,149,163,14,219,136,50,121,220,184,164,224,213,233,30,151,210,217,136,9,182,76,43,126,177,124,189,231,184,45,7,144,191,29,145,29,183,16,100,106,176,32,242,243,185,113,72,132,190,65,222,26,218,212,125,109,221,228,235,244,212,181,81,131,211,133,199,19,108,152,86,100,107,168,192,253,98,249,122,138,101,201,236,20,1,92,79,99,6,108,217,250,15,61,99,141,8,13,245,59,110,32,200,76,105,16,94,213,96,65,228,162,103,113,114,60,3,228,209,75,4,212,71,210,13,133,253,165,10,181,107,53,181,168,250,66,178,152,108,219,187,201,214,172,188,249,64,50,216,108,227,69,223,92,117,220,214,13,207,171,209,61,89,38,217,48,172,81,222,0,58,200,215,81,128,191,208,97,22,33,180,244,181,86,179,196,35,207,186,149,153,184,189,165,15,40,2,184,158,95,5,136,8,198,12,217,178,177,11,233,36,47,111,124,135,88,104,76,17,193,97,29,171,182,102,45,61,118,220,65,144,1,219,113,6,152,210,32,188,239,213,16,42,113,177,133,137,6,182,181,31,159,191,228,165,232,184,212,51,120,7,201,162,15,0,249,52,150,9,168,142,225,14,152,24,127,106,13,187,8,109,61,45,145,100,108,151,230,99,92,1,107,107,81,244,28,108,97,98,133,101,48,216,242,98,0,78,108,6,149,237,27,1,165,123,130,8,244,193,245,15,196,87,101,176,217,198,18,183,233,80,139,190,184,234,252,185,136,124,98,221,29,223,21,218,45,73,140,211,124,243,251,212,76,101,77,178,97,88,58,181,81,206,163,188,0,116,212,187,48,226,74,223,165,65,61,216,149,215,164,209,196,109,211,214,244,251,67,105,233,106,52,110,217,252,173,103,136,70,218,96,184,208,68,4,45,115,51,3,29,229,170,10,76,95,221,13,124,201,80,5,113,60,39,2,65,170,190,11,16,16,201,12,32,134,87,104,181,37,32,111,133,179,185,102,212,9,206,97,228,159,94,222,249,14,41,217,201,152,176,208,152,34,199,215,168,180,89,179,61,23,46,180,13,129,183,189,92,59,192,186,108,173,237,184,131,32,154,191,179,182,3,182,226,12,116,177,210,154,234,213,71,57,157,210,119,175,4,219,38,21,115,220,22,131,227,99,11,18,148,100,59,132,13,109,106,62,122,106,90,168,228,14,207,11,147,9,255,157,10,0,174,39,125,7,158,177,240,15,147,68,135,8,163,210,30,1,242,104,105,6,194,254,247,98,87,93,128,101,103,203,25,108,54,113,110,107,6,231,254,212,27,118,137,211,43,224,16,218,122,90,103,221,74,204,249,185,223,111,142,190,239,249,23,183,190,67,96,176,142,213,214,214,163,232,161,209,147,126,56,216,194,196,79,223,242,82,209,187,103,241,166,188,87,103,63,181,6,221,72,178,54,75,216,13,43,218,175,10,27,76,54,3,74,246,65,4,122,96,223,96,239,195,168,103,223,85,49,110,142,239,70,105,190,121,203,97,179,140,188,102,131,26,37,111,210,160,82,104,226,54,204,12,119,149,187,11,71,3,34,2,22,185,85,5,38,47,197,186,59,190,178,189,11,40,43,180,90,146,92,179,106,4,194,215,255,167,181,208,207,49,44,217,158,139,91,222,174,29,155,100,194,176,236,99,242,38,117,106,163,156,2,109,147,10,156,9,6,169,235,14,54,63,114,7,103,133,5,0,87,19,149,191,74,130,226,184,122,20,123,177,43,174,12,182,27,56,146,210,142,155,229,213,190,13,124,220,239,183,11,219,223,33,134,211,210,212,241,212,226,66,104,221,179,248,31,218,131,110,129,190,22,205,246,185,38,91,111,176,119,225,24,183,71,119,136,8,90,230,255,15,106,112,102,6,59,202,17,1,11,92,143,101,158,255,248,98,174,105,97,107,255,211,22,108,207,69,160,10,226,120,215,13,210,238,78,4,131,84,57,3,179,194,167,103,38,97,208,96,22,247,73,105,71,77,62,110,119,219,174,209,106,74,217,214,90,220,64,223,11,102,55,216,59,240,169,188,174,83,222,187,158,197,71,178,207,127,48,181,255,233,189,189,242,28,202,186,194,138,83,179,147,48,36,180,163,166,186,208,54,5,205,215,6,147,84,222,87,41,35,217,103,191,179,102,122,46,196,97,74,184,93,104,27,2,42,111,43,148,180,11,190,55,195,12,142,161,90,5,223,27,45,2,239,141,0,0,0,0,25,27,49,65,50,54,98,130,43,45,83,195,100,108,197,4,125,119,244,69,86,90,167,134,79,65,150,199,200,217,138,8,209,194,187,73,250,239,232,138,227,244,217,203,172,181,79,12,181,174,126,77,158,131,45,142,135,152,28,207,74,194,18,81,83,217,35,16,120,244,112,211,97,239,65,146,46,174,215,85,55,181,230,20,28,152,181,215,5,131,132,150,130,27,152,89,155,0,169,24,176,45,250,219,169,54,203,154,230,119,93,93,255,108,108,28,212,65,63,223,205,90,14,158,149,132,36,162,140,159,21,227,167,178,70,32,190,169,119,97,241,232,225,166,232,243,208,231,195,222,131,36,218,197,178,101,93,93,174,170,68,70,159,235,111,107,204,40,118,112,253,105,57,49,107,174,32,42,90,239,11,7,9,44,18,28,56,109,223,70,54,243,198,93,7,178,237,112,84,113,244,107,101,48,187,42,243,247,162,49,194,182,137,28,145,117,144,7,160,52,23,159,188,251,14,132,141,186,37,169,222,121,60,178,239,56,115,243,121,255,106,232,72,190,65,197,27,125,88,222,42,60,240,121,79,5,233,98,126,68,194,79,45,135,219,84,28,198,148,21,138,1,141,14,187,64,166,35,232,131,191,56,217,194,56,160,197,13,33,187,244,76,10,150,167,143,19,141,150,206,92,204,0,9,69,215,49,72,110,250,98,139,119,225,83,202,186,187,93,84,163,160,108,21,136,141,63,214,145,150,14,151,222,215,152,80,199,204,169,17,236,225,250,210,245,250,203,147,114,98,215,92,107,121,230,29,64,84,181,222,89,79,132,159,22,14,18,88,15,21,35,25,36,56,112,218,61,35,65,155,101,253,107,167,124,230,90,230,87,203,9,37,78,208,56,100,1,145,174,163,24,138,159,226,51,167,204,33,42,188,253,96,173,36,225,175,180,63,208,238,159,18,131,45,134,9,178,108,201,72,36,171,208,83,21,234,251,126,70,41,226,101,119,104,47,63,121,246,54,36,72,183,29,9,27,116,4,18,42,53,75,83,188,242,82,72,141,179,121,101,222,112,96,126,239,49,231,230,243,254,254,253,194,191,213,208,145,124,204,203,160,61,131,138,54,250,154,145,7,187,177,188,84,120,168,167,101,57,59,131,152,75,34,152,169,10,9,181,250,201,16,174,203,136,95,239,93,79,70,244,108,14,109,217,63,205,116,194,14,140,243,90,18,67,234,65,35,2,193,108,112,193,216,119,65,128,151,54,215,71,142,45,230,6,165,0,181,197,188,27,132,132,113,65,138,26,104,90,187,91,67,119,232,152,90,108,217,217,21,45,79,30,12,54,126,95,39,27,45,156,62,0,28,221,185,152,0,18,160,131,49,83,139,174,98,144,146,181,83,209,221,244,197,22,196,239,244,87,239,194,167,148,246,217,150,213,174,7,188,233,183,28,141,168,156,49,222,107,133,42,239,42,202,107,121,237,211,112,72,172,248,93,27,111,225,70,42,46,102,222,54,225,127,197,7,160,84,232,84,99,77,243,101,34,2,178,243,229,27,169,194,164,48,132,145,103,41,159,160,38,228,197,174,184,253,222,159,249,214,243,204,58,207,232,253,123,128,169,107,188,153,178,90,253,178,159,9,62,171,132,56,127,44,28,36,176,53,7,21,241,30,42,70,50,7,49,119,115,72,112,225,180,81,107,208,245,122,70,131,54,99,93,178,119,203,250,215,78,210,225,230,15,249,204,181,204,224,215,132,141,175,150,18,74,182,141,35,11,157,160,112,200,132,187,65,137,3,35,93,70,26,56,108,7,49,21,63,196,40,14,14,133,103,79,152,66,126,84,169,3,85,121,250,192,76,98,203,129,129,56,197,31,152,35,244,94,179,14,167,157,170,21,150,220,229,84,0,27,252,79,49,90,215,98,98,153,206,121,83,216,73,225,79,23,80,250,126,86,123,215,45,149,98,204,28,212,45,141,138,19,52,150,187,82,31,187,232,145,6,160,217,208,94,126,243,236,71,101,194,173,108,72,145,110,117,83,160,47,58,18,54,232,35,9,7,169,8,36,84,106,17,63,101,43,150,167,121,228,143,188,72,165,164,145,27,102,189,138,42,39,242,203,188,224,235,208,141,161,192,253,222,98,217,230,239,35,20,188,225,189,13,167,208,252,38,138,131,63,63,145,178,126,112,208,36,185,105,203,21,248,66,230,70,59,91,253,119,122,220,101,107,181,197,126,90,244,238,83,9,55,247,72,56,118,184,9,174,177,161,18,159,240,138,63,204,51,147,36,253,114,0,0,0,0,1,194,106,55,3,132,212,110,2,70,190,89,7,9,168,220,6,203,194,235,4,141,124,178,5,79,22,133,14,19,81,184,15,209,59,143,13,151,133,214,12,85,239,225,9,26,249,100,8,216,147,83,10,158,45,10,11,92,71,61,28,38,163,112,29,228,201,71,31,162,119,30,30,96,29,41,27,47,11,172,26,237,97,155,24,171,223,194,25,105,181,245,18,53,242,200,19,247,152,255,17,177,38,166,16,115,76,145,21,60,90,20,20,254,48,35,22,184,142,122,23,122,228,77,56,77,70,224,57,143,44,215,59,201,146,142,58,11,248,185,63,68,238,60,62,134,132,11,60,192,58,82,61,2,80,101,54,94,23,88,55,156,125,111,53,218,195,54,52,24,169,1,49,87,191,132,48,149,213,179,50,211,107,234,51,17,1,221,36,107,229,144,37,169,143,167,39,239,49,254,38,45,91,201,35,98,77,76,34,160,39,123,32,230,153,34,33,36,243,21,42,120,180,40,43,186,222,31,41,252,96,70,40,62,10,113,45,113,28,244,44,179,118,195,46,245,200,154,47,55,162,173,112,154,141,192,113,88,231,247,115,30,89,174,114,220,51,153,119,147,37,28,118,81,79,43,116,23,241,114,117,213,155,69,126,137,220,120,127,75,182,79,125,13,8,22,124,207,98,33,121,128,116,164,120,66,30,147,122,4,160,202,123,198,202,253,108,188,46,176,109,126,68,135,111,56,250,222,110,250,144,233,107,181,134,108,106,119,236,91,104,49,82,2,105,243,56,53,98,175,127,8,99,109,21,63,97,43,171,102,96,233,193,81,101,166,215,212,100,100,189,227,102,34,3,186,103,224,105,141,72,215,203,32,73,21,161,23,75,83,31,78,74,145,117,121,79,222,99,252,78,28,9,203,76,90,183,146,77,152,221,165,70,196,154,152,71,6,240,175,69,64,78,246,68,130,36,193,65,205,50,68,64,15,88,115,66,73,230,42,67,139,140,29,84,241,104,80,85,51,2,103,87,117,188,62,86,183,214,9,83,248,192,140,82,58,170,187,80,124,20,226,81,190,126,213,90,226,57,232,91,32,83,223,89,102,237,134,88,164,135,177,93,235,145,52,92,41,251,3,94,111,69,90,95,173,47,109,225,53,27,128,224,247,113,183,226,177,207,238,227,115,165,217,230,60,179,92,231,254,217,107,229,184,103,50,228,122,13,5,239,38,74,56,238,228,32,15,236,162,158,86,237,96,244,97,232,47,226,228,233,237,136,211,235,171,54,138,234,105,92,189,253,19,184,240,252,209,210,199,254,151,108,158,255,85,6,169,250,26,16,44,251,216,122,27,249,158,196,66,248,92,174,117,243,0,233,72,242,194,131,127,240,132,61,38,241,70,87,17,244,9,65,148,245,203,43,163,247,141,149,250,246,79,255,205,217,120,93,96,216,186,55,87,218,252,137,14,219,62,227,57,222,113,245,188,223,179,159,139,221,245,33,210,220,55,75,229,215,107,12,216,214,169,102,239,212,239,216,182,213,45,178,129,208,98,164,4,209,160,206,51,211,230,112,106,210,36,26,93,197,94,254,16,196,156,148,39,198,218,42,126,199,24,64,73,194,87,86,204,195,149,60,251,193,211,130,162,192,17,232,149,203,77,175,168,202,143,197,159,200,201,123,198,201,11,17,241,204,68,7,116,205,134,109,67,207,192,211,26,206,2,185,45,145,175,150,64,144,109,252,119,146,43,66,46,147,233,40,25,150,166,62,156,151,100,84,171,149,34,234,242,148,224,128,197,159,188,199,248,158,126,173,207,156,56,19,150,157,250,121,161,152,181,111,36,153,119,5,19,155,49,187,74,154,243,209,125,141,137,53,48,140,75,95,7,142,13,225,94,143,207,139,105,138,128,157,236,139,66,247,219,137,4,73,130,136,198,35,181,131,154,100,136,130,88,14,191,128,30,176,230,129,220,218,209,132,147,204,84,133,81,166,99,135,23,24,58,134,213,114,13,169,226,208,160,168,32,186,151,170,102,4,206,171,164,110,249,174,235,120,124,175,41,18,75,173,111,172,18,172,173,198,37,167,241,129,24,166,51,235,47,164,117,85,118,165,183,63,65,160,248,41,196,161,58,67,243,163,124,253,170,162,190,151,157,181,196,115,208,180,6,25,231,182,64,167,190,183,130,205,137,178,205,219,12,179,15,177,59,177,73,15,98,176,139,101,85,187,215,34,104,186,21,72,95,184,83,246,6,185,145,156,49,188,222,138,180,189,28,224,131,191,90,94,218,190,152,52,237,0,0,0,0,184,188,103,101,170,9,200,139,18,181,175,238,143,98,151,87,55,222,240,50,37,107,95,220,157,215,56,185,197,180,40,239,125,8,79,138,111,189,224,100,215,1,135,1,74,214,191,184,242,106,216,221,224,223,119,51,88,99,16,86,80,25,87,159,232,165,48,250,250,16,159,20,66,172,248,113,223,123,192,200,103,199,167,173,117,114,8,67,205,206,111,38,149,173,127,112,45,17,24,21,63,164,183,251,135,24,208,158,26,207,232,39,162,115,143,66,176,198,32,172,8,122,71,201,160,50,175,62,24,142,200,91,10,59,103,181,178,135,0,208,47,80,56,105,151,236,95,12,133,89,240,226,61,229,151,135,101,134,135,209,221,58,224,180,207,143,79,90,119,51,40,63,234,228,16,134,82,88,119,227,64,237,216,13,248,81,191,104,240,43,248,161,72,151,159,196,90,34,48,42,226,158,87,79,127,73,111,246,199,245,8,147,213,64,167,125,109,252,192,24,53,159,208,78,141,35,183,43,159,150,24,197,39,42,127,160,186,253,71,25,2,65,32,124,16,244,143,146,168,72,232,247,155,20,88,61,35,168,63,88,49,29,144,182,137,161,247,211,20,118,207,106,172,202,168,15,190,127,7,225,6,195,96,132,94,160,112,210,230,28,23,183,244,169,184,89,76,21,223,60,209,194,231,133,105,126,128,224,123,203,47,14,195,119,72,107,203,13,15,162,115,177,104,199,97,4,199,41,217,184,160,76,68,111,152,245,252,211,255,144,238,102,80,126,86,218,55,27,14,185,39,77,182,5,64,40,164,176,239,198,28,12,136,163,129,219,176,26,57,103,215,127,43,210,120,145,147,110,31,244,59,38,247,3,131,154,144,102,145,47,63,136,41,147,88,237,180,68,96,84,12,248,7,49,30,77,168,223,166,241,207,186,254,146,223,236,70,46,184,137,84,155,23,103,236,39,112,2,113,240,72,187,201,76,47,222,219,249,128,48,99,69,231,85,107,63,160,156,211,131,199,249,193,54,104,23,121,138,15,114,228,93,55,203,92,225,80,174,78,84,255,64,246,232,152,37,174,139,136,115,22,55,239,22,4,130,64,248,188,62,39,157,33,233,31,36,153,85,120,65,139,224,215,175,51,92,176,202,237,89,182,59,85,229,209,94,71,80,126,176,255,236,25,213,98,59,33,108,218,135,70,9,200,50,233,231,112,142,142,130,40,237,158,212,144,81,249,177,130,228,86,95,58,88,49,58,167,143,9,131,31,51,110,230,13,134,193,8,181,58,166,109,189,64,225,164,5,252,134,193,23,73,41,47,175,245,78,74,50,34,118,243,138,158,17,150,152,43,190,120,32,151,217,29,120,244,201,75,192,72,174,46,210,253,1,192,106,65,102,165,247,150,94,28,79,42,57,121,93,159,150,151,229,35,241,242,77,107,25,5,245,215,126,96,231,98,209,142,95,222,182,235,194,9,142,82,122,181,233,55,104,0,70,217,208,188,33,188,136,223,49,234,48,99,86,143,34,214,249,97,154,106,158,4,7,189,166,189,191,1,193,216,173,180,110,54,21,8,9,83,29,114,78,154,165,206,41,255,183,123,134,17,15,199,225,116,146,16,217,205,42,172,190,168,56,25,17,70,128,165,118,35,216,198,102,117,96,122,1,16,114,207,174,254,202,115,201,155,87,164,241,34,239,24,150,71,253,173,57,169,69,17,94,204,118,77,238,6,206,241,137,99,220,68,38,141,100,248,65,232,249,47,121,81,65,147,30,52,83,38,177,218,235,154,214,191,179,249,198,233,11,69,161,140,25,240,14,98,161,76,105,7,60,155,81,190,132,39,54,219,150,146,153,53,46,46,254,80,38,84,185,153,158,232,222,252,140,93,113,18,52,225,22,119,169,54,46,206,17,138,73,171,3,63,230,69,187,131,129,32,227,224,145,118,91,92,246,19,73,233,89,253,241,85,62,152,108,130,6,33,212,62,97,68,198,139,206,170,126,55,169,207,214,127,65,56,110,195,38,93,124,118,137,179,196,202,238,214,89,29,214,111,225,161,177,10,243,20,30,228,75,168,121,129,19,203,105,215,171,119,14,178,185,194,161,92,1,126,198,57,156,169,254,128,36,21,153,229,54,160,54,11,142,28,81,110,134,102,22,167,62,218,113,194,44,111,222,44,148,211,185,73,9,4,129,240,177,184,230,149,163,13,73,123,27,177,46,30,67,210,62,72,251,110,89,45,233,219,246,195,81,103,145,166,204,176,169,31,116,12,206,122,102,185,97,148,222,5,6,241,0,0,0,0,183,29,193,4,110,59,130,9,217,38,67,13,220,118,4,19,107,107,197,23,178,77,134,26,5,80,71,30,184,237,8,38,15,240,201,34,214,214,138,47,97,203,75,43,100,155,12,53,211,134,205,49,10,160,142,60,189,189,79,56,112,219,17,76,199,198,208,72,30,224,147,69,169,253,82,65,172,173,21,95,27,176,212,91,194,150,151,86,117,139,86,82,200,54,25,106,127,43,216,110,166,13,155,99,17,16,90,103,20,64,29,121,163,93,220,125,122,123,159,112,205,102,94,116,224,182,35,152,87,171,226,156,142,141,161,145,57,144,96,149,60,192,39,139,139,221,230,143,82,251,165,130,229,230,100,134,88,91,43,190,239,70,234,186,54,96,169,183,129,125,104,179,132,45,47,173,51,48,238,169,234,22,173,164,93,11,108,160,144,109,50,212,39,112,243,208,254,86,176,221,73,75,113,217,76,27,54,199,251,6,247,195,34,32,180,206,149,61,117,202,40,128,58,242,159,157,251,246,70,187,184,251,241,166,121,255,244,246,62,225,67,235,255,229,154,205,188,232,45,208,125,236,119,112,134,52,192,109,71,48,25,75,4,61,174,86,197,57,171,6,130,39,28,27,67,35,197,61,0,46,114,32,193,42,207,157,142,18,120,128,79,22,161,166,12,27,22,187,205,31,19,235,138,1,164,246,75,5,125,208,8,8,202,205,201,12,7,171,151,120,176,182,86,124,105,144,21,113,222,141,212,117,219,221,147,107,108,192,82,111,181,230,17,98,2,251,208,102,191,70,159,94,8,91,94,90,209,125,29,87,102,96,220,83,99,48,155,77,212,45,90,73,13,11,25,68,186,22,216,64,151,198,165,172,32,219,100,168,249,253,39,165,78,224,230,161,75,176,161,191,252,173,96,187,37,139,35,182,146,150,226,178,47,43,173,138,152,54,108,142,65,16,47,131,246,13,238,135,243,93,169,153,68,64,104,157,157,102,43,144,42,123,234,148,231,29,180,224,80,0,117,228,137,38,54,233,62,59,247,237,59,107,176,243,140,118,113,247,85,80,50,250,226,77,243,254,95,240,188,198,232,237,125,194,49,203,62,207,134,214,255,203,131,134,184,213,52,155,121,209,237,189,58,220,90,160,251,216,238,224,12,105,89,253,205,109,128,219,142,96,55,198,79,100,50,150,8,122,133,139,201,126,92,173,138,115,235,176,75,119,86,13,4,79,225,16,197,75,56,54,134,70,143,43,71,66,138,123,0,92,61,102,193,88,228,64,130,85,83,93,67,81,158,59,29,37,41,38,220,33,240,0,159,44,71,29,94,40,66,77,25,54,245,80,216,50,44,118,155,63,155,107,90,59,38,214,21,3,145,203,212,7,72,237,151,10,255,240,86,14,250,160,17,16,77,189,208,20,148,155,147,25,35,134,82,29,14,86,47,241,185,75,238,245,96,109,173,248,215,112,108,252,210,32,43,226,101,61,234,230,188,27,169,235,11,6,104,239,182,187,39,215,1,166,230,211,216,128,165,222,111,157,100,218,106,205,35,196,221,208,226,192,4,246,161,205,179,235,96,201,126,141,62,189,201,144,255,185,16,182,188,180,167,171,125,176,162,251,58,174,21,230,251,170,204,192,184,167,123,221,121,163,198,96,54,155,113,125,247,159,168,91,180,146,31,70,117,150,26,22,50,136,173,11,243,140,116,45,176,129,195,48,113,133,153,144,138,93,46,141,75,89,247,171,8,84,64,182,201,80,69,230,142,78,242,251,79,74,43,221,12,71,156,192,205,67,33,125,130,123,150,96,67,127,79,70,0,114,248,91,193,118,253,11,134,104,74,22,71,108,147,48,4,97,36,45,197,101,233,75,155,17,94,86,90,21,135,112,25,24,48,109,216,28,53,61,159,2,130,32,94,6,91,6,29,11,236,27,220,15,81,166,147,55,230,187,82,51,63,157,17,62,136,128,208,58,141,208,151,36,58,205,86,32,227,235,21,45,84,246,212,41,121,38,169,197,206,59,104,193,23,29,43,204,160,0,234,200,165,80,173,214,18,77,108,210,203,107,47,223,124,118,238,219,193,203,161,227,118,214,96,231,175,240,35,234,24,237,226,238,29,189,165,240,170,160,100,244,115,134,39,249,196,155,230,253,9,253,184,137,190,224,121,141,103,198,58,128,208,219,251,132,213,139,188,154,98,150,125,158,187,176,62,147,12,173,255,151,177,16,176,175,6,13,113,171,223,43,50,166,104,54,243,162,109,102,180,188,218,123,117,184,3,93,54,181,180,64,247,177,107,2,0,0,208,2,0,0,127,0,0,0,225,1,0,0,163,3,0,0,48,3,0,0,45,3,0,0,233,0,0,0,54,2,0,0,247,0,0,0,217,3,0,0,212,2,0,0,205,0,0,0,198,1,0,0,95,3,0,0,235,1,0,0,229,2,0,0,242,0,0,0,181,3,0,0,214,0,0,0,221,2,0,0,91,3,0,0,79,1,0,0,196,2,0,0,109,2,0,0,62,2,0,0,73,0,0,0,142,2,0,0,218,2,0,0,216,1,0,0,163,1,0,0,180,1,0,0,22,1,0,0,240,1,0,0,99,3,0,0,210,0,0,0,143,1,0,0,168,2,0,0,224,1,0,0,51,0,0,0,110,3,0,0,209,1,0,0,43,3,0,0,169,0,0,0,101,3,0,0,163,2,0,0,99,2,0,0,185,2,0,0,99,3,0,0,49,2,0,0,94,3,0,0,175,2,0,0,251,1,0,0,27,1,0,0,226,1,0,0,129,0,0,0,39,3,0,0,79,2,0,0,221,2,0,0,111,2,0,0,150,0,0,0,238,0,0,0,59,0,0,0,123,1,0,0,172,2,0,0,109,3,0,0,113,2,0,0,169,0,0,0,131,2,0,0,105,0,0,0,170,0,0,0,95,2,0,0,8,2,0,0,164,3,0,0,215,2,0,0,220,1,0,0,181,2,0,0,169,1,0,0,174,0,0,0,135,2,0,0,73,0,0,0,122,0,0,0,79,1,0,0,18,2,0,0,186,1,0,0,85,3,0,0,183,2,0,0,249,0,0,0,189,1,0,0,3,2,0,0,141,3,0,0,33,2,0,0,191,2,0,0,151,3,0,0,106,3,0,0,218,1,0,0,114,3,0,0,244,1,0,0,82,2,0,0,100,2,0,0,129,2,0,0,33,3,0,0,220,0,0,0,162,0,0,0,51,3,0,0,216,3,0,0,77,2,0,0,1,2,0,0,239,1,0,0,31,3,0,0,161,0,0,0,92,2,0,0,190,3,0,0,21,2,0,0,221,0,0,0,144,1,0,0,130,1,0,0,99,3,0,0,88,2,0,0,14,3,0,0,126,1,0,0,84,2,0,0,158,1,0,0,171,0,0,0,4,2,0,0,119,1,0,0,170,2,0,0,229,1,0,0,143,3,0,0,20,1,0,0,98,0,0,0,41,2,0,0,163,0,0,0,98,1,0,0,154,2,0,0,165,3,0,0,168,1,0,0,85,1,0,0,21,2,0,0,102,3,0,0,227,0,0,0,218,2,0,0,219,1,0,0,186,0,0,0,7,1,0,0,135,2,0,0,25,2,0,0,174,2,0,0,88,2,0,0,224,0,0,0,213,1,0,0,68,0,0,0,2,3,0,0,151,3,0,0,190,0,0,0,117,1,0,0,38,1,0,0,54,3,0,0,40,3,0,0,206,0,0,0,184,0,0,0,175,3,0,0,27,3,0,0,128,1,0,0,127,1,0,0,205,1,0,0,148,1,0,0,246,2,0,0,71,3,0,0,119,3,0,0,203,2,0,0,67,0,0,0,106,2,0,0,20,1,0,0,204,0,0,0,150,3,0,0,105,3,0,0,9,3,0,0,92,2,0,0,48,2,0,0,183,3,0,0,160,0,0,0,66,2,0,0,210,2,0,0,79,0,0,0,36,3,0,0,96,0,0,0,153,1,0,0,201,2,0,0,172,3,0,0,140,2,0,0,166,3,0,0,202,3,0,0,191,1,0,0,62,1,0,0,97,1,0,0,91,3,0,0,160,2,0,0,112,0,0,0,17,3,0,0,133,2,0,0,95,3,0,0,35,3,0,0,94,1,0,0,139,0,0,0,93,0,0,0,98,1,0,0,99,0,0,0,52,3,0,0,140,3,0,0,97,2,0,0,4,3,0,0,154,0,0,0,18,1,0,0,68,2,0,0,184,0,0,0,79,0,0,0,114,2,0,0,118,2,0,0,230,2,0,0,141,2,0,0,26,1,0,0,250,2,0,0,111,2,0,0,168,2,0,0,81,0,0,0,159,3,0,0,114,2,0,0,21,3,0,0,125,0,0,0,155,1,0,0,9,2,0,0,170,3,0,0,44,1,0,0,53,3,0,0,78,0,0,0,87,1,0,0,175,0,0,0,128,0,0,0,250,0,0,0,170,0,0,0,6,3,0,0,204,3,0,0,19,1,0,0,231,3,0,0,127,2,0,0,239,1,0,0,78,0,0,0,96,1,0,0,126,0,0,0,89,3,0,0,188,3,0,0,102,1,0,0,107,2,0,0,68,2,0,0,124,0,0,0,225,2,0,0,82,2,0,0,189,2,0,0,100,2,0,0,157,2,0,0,112,0,0,0,134,0,0,0,182,2,0,0,107,1,0,0,224,3,0,0,41,3,0,0,231,2,0,0,168,0,0,0,206,3,0,0,176,3,0,0,119,1,0,0,236,2,0,0,52,0,0,0,88,2,0,0,235,2,0,0,130,2,0,0,182,0,0,0,94,3,0,0,81,0,0,0,88,1,0,0,37,3,0,0,220,3,0,0,227,2,0,0,255,1,0,0,143,2,0,0,46,3,0,0,78,1,0,0,249,0,0,0,3,2,0,0,129,3,0,0,187,3,0,0,152,2,0,0,213,3,0,0,137,2,0,0,113,0,0,0,206,3,0,0,203,1,0,0,125,3,0,0,228,0,0,0,177,1,0,0,69,3,0,0,41,2,0,0,12,1,0,0,158,3,0,0,240,0,0,0,102,0,0,0,142,2,0,0,203,1,0,0,51,0,0,0,174,2,0,0,242,2,0,0,38,3,0,0,248,2,0,0,237,1,0,0,147,1,0,0,159,1,0,0,138,1,0,0,175,2,0,0,188,2,0,0,178,3,0,0,158,2,0,0,144,2,0,0,98,2,0,0,226,2,0,0,136,1,0,0,248,2,0,0,31,3,0,0,119,3,0,0,141,2,0,0,210,3,0,0,65,1,0,0,64,2,0,0,105,2,0,0,114,2,0,0,246,1,0,0,126,3,0,0,167,2,0,0,243,0,0,0,184,1,0,0,168,2,0,0,111,3,0,0,194,0,0,0,60,2,0,0,128,2,0,0,212,2,0,0,158,3,0,0,56,0,0,0,204,0,0,0,188,2,0,0,195,2,0,0,151,0,0,0,201,1,0,0,193,1,0,0,29,3,0,0,195,0,0,0,23,3,0,0,46,2,0,0,177,3,0,0,167,2,0,0,41,1,0,0,59,0,0,0,87,0,0,0,56,3,0,0,201,2,0,0,151,2,0,0,156,1,0,0,181,2,0,0,86,1,0,0,94,2,0,0,134,0,0,0,108,0,0,0,59,2,0,0,108,1,0,0,119,2,0,0,212,0,0,0,174,0,0,0,131,2,0,0,48,1,0,0,73,1,0,0,87,1,0,0,97,0,0,0,174,1,0,0,239,2,0,0,241,1,0,0,58,1,0,0,215,3,0,0,118,1,0,0,54,3,0,0,160,3,0,0,140,0,0,0,206,0,0,0,73,0,0,0,7,1,0,0,212,3,0,0,224,2,0,0,108,3,0,0,222,1,0,0,174,1,0,0,49,1,0,0,170,0,0,0,2,2,0,0,108,1,0,0,180,2,0,0,61,3,0,0,82,0,0,0,87,3,0,0,185,3,0,0,164,2,0,0,246,0,0,0,113,1,0,0,202,3,0,0,38,1,0,0,238,2,0,0,39,3,0,0,59,3,0,0,150,0,0,0,22,3,0,0,32,1,0,0,155,3,0,0,36,3,0,0,122,1,0,0,215,0,0,0,60,3,0,0,80,2,0,0,25,1,0,0,53,2,0,0,43,2,0,0,198,2,0,0,82,0,0,0,128,3,0,0,63,3,0,0,35,2,0,0,5,1,0,0,12,2,0,0,206,1,0,0,37,1,0,0,209,1,0,0,246,1,0,0,56,0,0,0,149,2,0,0,53,3,0,0,208,3,0,0,223,3,0,0,146,2,0,0,101,3,0,0,137,3,0,0,246,2,0,0,233,2,0,0,193,0,0,0,0,3,0,0,38,2,0,0,96,2,0,0,165,3,0,0,122,1,0,0,30,1,0,0,215,0,0,0,211,3,0,0,24,3,0,0,193,3,0,0,61,0,0,0,176,2,0,0,25,3,0,0,132,2,0,0,218,3,0,0,147,1,0,0,106,0,0,0,110,1,0,0,137,3,0,0,132,2,0,0,116,1,0,0,55,2,0,0,210,1,0,0,178,1,0,0,133,2,0,0,210,0,0,0,133,1,0,0,38,2,0,0,151,3,0,0,135,0,0,0,12,3,0,0,5,3,0,0,123,2,0,0,133,1,0,0,195,2,0,0,100,0,0,0,114,2,0,0,190,3,0,0,165,0,0,0,248,1,0,0,152,3,0,0,176,0,0,0,193,0,0,0,201,2,0,0,89,3,0,0,9,1,0,0,203,0,0,0,50,0,0,0,156,2,0,0,108,0,0,0,133,2,0,0,222,3,0,0,114,2,0,0,197,0,0,0,254,1,0,0,101,1,0,0,102,1,0,0,82,3,0,0,90,3,0,0,108,1,0,0,168,3,0,0,126,2,0,0,1,0,0,0,4,0,0,0,13,0,0,0,40,0,0,0,121,0,0,0,108,1,0,0,69,4,0,0,208,12,0,0,113,38,0,0,84,115,0,0,253,89,1,0,248,13,4,0,233,41,12,0,188,125,36,0,1,0,0,0,1,0,0,0,2,0,0,192,3,0,0,192,4,0,0,192,5,0,0,192,6,0,0,192,7,0,0,192,8,0,0,192,9,0,0,192,10,0,0,192,11,0,0,192,12,0,0,192,13,0,0,192,14,0,0,192,15,0,0,192,16,0,0,192,17,0,0,192,18,0,0,192,19,0,0,192,20,0,0,192,21,0,0,192,22,0,0,192,23,0,0,192,24,0,0,192,25,0,0,192,26,0,0,192,27,0,0,192,28,0,0,192,29,0,0,192,30,0,0,192,31,0,0,192,0,0,0,179,1,0,0,195,2,0,0,195,3,0,0,195,4,0,0,195,5,0,0,195,6,0,0,195,7,0,0,195,8,0,0,195,9,0,0,195,10,0,0,195,11,0,0,195,12,0,0,195,13,0,0,211,14,0,0,195,15,0,0,195,0,0,12,187,1,0,12,195,2,0,12,195,3,0,12,195,4,0,12,211,176,77,0,0,5,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,2,0,0,0,178,13,46,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,196,102,3,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,36,79,0,0,9,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,0,0,0,0,0,0,0,2,0,0,0,186,13,46,0,0,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,164,79,0,0,5,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,0,0,0,2,0,0,0,194,17,46,0,0,4,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,255,255,255,255],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+10240);allocate([164,79,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,255,255,255,255,255,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,100,0,0,0,232,3,0,0,16,39,0,0,160,134,1,0,64,66,15,0,128,150,152,0,0,225,245,5,95,112,137,0,255,9,47,15,190,188,1,0,194,21,46,0,194,21,46,0,194,21,46,0,194,21,46,0,194,21,46,0,194,21,46,0,194,21,46,0,194,21,46,0,194,21,46,0,127,127,127,127,127,127,127,127,127,127,127,127,127,127,0,0,221,153,0,0,0,0,0,0,27,0,25,0,1,0,24,0,15,0,25,0,25,0,25,0,25,0,25,0,25,0,25,0,7,0,5,0,21,0,25,0,20,0,10,0,10,0,10,0,10,0,6,0,10,0,10,0,10,0,10,0,10,0,14,0,10,0,10,0,10,0,10,0,10,0,10,0,10,0,25,0,1,0,19,0,0,0,9,0,0,0,8,0,0,0,10,0,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,5,0,0,0,23,0,18,0,22,0,10,0,10,0,10,0,2,0,10,0,10,0,10,0,4,0,10,0,10,0,10,0,10,0,3,0,10,0,10,0,10,0,10,0,10,0,10,0,10,0,10,0,10,0,10,0,16,0,0,0,8,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,7,0,11,0,10,0,20,0,21,0,10,0,10,0,10,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,0,0,0,0,0,0,0,0,111,1,112,1,108,1,112,1,90,1,103,1,100,1,99,1,97,1,95,1,32,0,91,1,66,0,103,0,83,1,44,0,82,1,25,0,52,0,60,1,26,0,59,1,34,0,133,0,48,0,61,0,125,0,112,1,0,0,29,0,45,0,60,0,81,0,82,0,93,0,43,1,95,1,112,1,91,1,112,1,88,1,87,1,86,1,112,1,112,1,83,1,58,1,59,1,57,1,38,1,39,1,37,1,112,1,121,0,164,0,51,1,45,1,70,0,117,0,43,0,40,1,20,1,15,1,58,0,86,0,79,0,13,1,152,0,168,0,181,0,112,1,112,1,112,1,151,0,162,0,0,0,180,0,189,0,190,0,191,0,53,1,196,0,199,0,205,0,204,0,211,0,214,0,207,0,223,0,224,0,232,0,238,0,243,0,245,0,222,0,246,0,112,1,55,1,54,1,23,1,26,1,22,1,3,1,6,1,2,1,252,0,30,1,39,1,38,1,37,1,36,1,35,1,34,1,11,1,32,1,2,1,29,1,28,1,22,1,14,1,12,1,3,1,218,0,252,0,8,1,16,1,112,1,251,0,112,1,112,1,4,1,24,1,27,1,236,0,222,0,230,0,193,0,184,0,212,0,208,0,202,0,173,0,156,0,112,1,133,0,126,0,112,1,104,0,98,0,119,0,132,0,80,0,94,0,92,0,112,1,78,0,112,1,67,1,69,1,73,1,77,1,68,0,67,0,81,1,0,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,1,0,13,0,20,0,13,0,25,0,23,0,13,0,18,0,18,0,18,0,20,0,23,0,21,0,62,0,32,0,25,0,165,0,164,0,27,0,25,0,13,0,62,0,13,0,32,0,13,0,15,0,15,0,15,0,15,0,27,0,33,0,28,0,15,0,27,0,158,0,21,0,15,0,21,0,15,0,28,0,60,0,33,0,15,0,15,0,15,0,34,0,28,0,66,0,156,0,34,0,155,0,60,0,15,0,37,0,37,0,15,0,66,0,15,0,34,0,15,0,15,0,15,0,16,0,16,0,16,0,16,0,35,0,36,0,68,0,154,0,35,0,36,0,16,0,16,0,68,0,67,0,37,0,36,0,37,0,35,0,56,0,56,0,56,0,56,0,67,0,29,0,29,0,61,0,153,0,152,0,37,0,16,0,16,0,26,0,26,0,26,0,151,0,150,0,61,0,26,0,26,0,26,0,26,0,26,0,26,0,29,0,76,0,148,0,29,0,147,0,29,0,70,0,70,0,70,0,70,0,145,0,26,0,77,0,26,0,26,0,26,0,26,0,26,0,26,0,57,0,57,0,57,0,71,0,71,0,71,0,71,0,77,0,144,0,57,0,57,0,79,0,76,0,71,0,71,0,72,0,79,0,72,0,72,0,72,0,80,0,81,0,82,0,77,0,80,0,81,0,82,0,84,0,57,0,57,0,85,0,84,0,71,0,71,0,85,0,87,0,86,0,143,0,90,0,79,0,86,0,79,0,88,0,142,0,141,0,89,0,140,0,88,0,88,0,89,0,80,0,81,0,82,0,97,0,91,0,92,0,139,0,84,0,91,0,92,0,85,0,87,0,138,0,93,0,137,0,87,0,86,0,93,0,90,0,94,0,88,0,90,0,88,0,94,0,95,0,89,0,96,0,98,0,95,0,136,0,96,0,98,0,130,0,97,0,91,0,92,0,130,0,126,0,108,0,108,0,108,0,133,0,125,0,93,0,124,0,133,0,97,0,108,0,108,0,94,0,127,0,127,0,127,0,123,0,95,0,122,0,96,0,98,0,128,0,128,0,128,0,134,0,130,0,121,0,135,0,134,0,108,0,108,0,135,0,120,0,119,0,133,0,118,0,117,0,116,0,115,0,114,0,113,0,112,0,111,0,110,0,109,0,107,0,106,0,105,0,104,0,103,0,102,0,101,0,100,0,83,0,134,0,69,0,65,0,135,0,160,0,64,0,160,0,160,0,161,0,161,0,162,0,63,0,162,0,162,0,163,0,59,0,163,0,163,0,166,0,58,0,166,0,166,0,54,0,53,0,52,0,51,0,50,0,49,0,48,0,45,0,44,0,43,0,41,0,39,0,38,0,24,0,22,0,19,0,17,0,14,0,12,0,11,0,10,0,9,0,8,0,7,0,5,0,3,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,0,0,159,0,1,0,159,0,159,0,159,0,159,0,159,0,160,0,161,0,162,0,159,0,163,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,159,0,165,0,164,0,164,0,164,0,164,0,164,0,164,0,159,0,159,0,159,0,160,0,159,0,166,0,161,0,162,0,159,0,159,0,163,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,164,0,164,0,165,0,164,0,164,0,164,0,164,0,26,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,164,0,159,0,166,0,166,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,164,0,159,0,159,0,164,0,164,0,164,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,0,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,0,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,12,0,13,0,4,0,14,0,4,0,15,0,16,0,16,0,16,0,17,0,18,0,19,0,20,0,21,0,22,0,22,0,23,0,24,0,25,0,26,0,22,0,22,0,27,0,28,0,29,0,22,0,22,0,24,0,22,0,22,0,30,0,31,0,32,0,21,0,22,0,33,0,24,0,34,0,22,0,35,0,36,0,37,0,22,0,22,0,24,0,22,0,38,0,49,0,77,0,50,0,81,0,80,0,51,0,73,0,74,0,75,0,78,0,78,0,79,0,115,0,78,0,82,0,78,0,76,0,84,0,78,0,52,0,116,0,53,0,90,0,54,0,56,0,57,0,57,0,57,0,85,0,78,0,86,0,58,0,78,0,157,0,79,0,59,0,78,0,60,0,87,0,111,0,91,0,61,0,62,0,63,0,78,0,78,0,120,0,157,0,92,0,157,0,112,0,64,0,88,0,88,0,65,0,121,0,66,0,93,0,67,0,68,0,69,0,70,0,71,0,71,0,71,0,78,0,78,0,124,0,158,0,94,0,96,0,72,0,72,0,125,0,122,0,88,0,97,0,78,0,95,0,56,0,108,0,108,0,108,0,123,0,88,0,88,0,113,0,157,0,156,0,98,0,72,0,72,0,83,0,83,0,83,0,155,0,154,0,114,0,83,0,83,0,83,0,83,0,83,0,83,0,89,0,129,0,153,0,88,0,152,0,78,0,56,0,57,0,57,0,57,0,146,0,83,0,129,0,78,0,83,0,83,0,83,0,83,0,83,0,57,0,57,0,57,0,70,0,71,0,71,0,71,0,130,0,47,0,72,0,72,0,129,0,78,0,72,0,72,0,127,0,79,0,128,0,128,0,128,0,129,0,129,0,129,0,78,0,74,0,75,0,131,0,129,0,72,0,72,0,129,0,73,0,72,0,72,0,132,0,129,0,129,0,146,0,129,0,79,0,40,0,78,0,129,0,47,0,149,0,129,0,151,0,88,0,88,0,99,0,78,0,78,0,78,0,129,0,129,0,129,0,150,0,78,0,74,0,75,0,78,0,133,0,149,0,129,0,148,0,78,0,78,0,131,0,78,0,129,0,88,0,134,0,78,0,73,0,129,0,78,0,129,0,129,0,132,0,147,0,40,0,99,0,129,0,78,0,78,0,78,0,47,0,99,0,108,0,108,0,108,0,129,0,145,0,78,0,40,0,146,0,135,0,72,0,72,0,78,0,128,0,128,0,128,0,132,0,78,0,73,0,78,0,78,0,128,0,128,0,128,0,129,0,78,0,131,0,129,0,47,0,72,0,72,0,146,0,75,0,74,0,78,0,144,0,99,0,143,0,40,0,132,0,73,0,131,0,75,0,74,0,142,0,141,0,140,0,139,0,138,0,137,0,136,0,101,0,101,0,129,0,78,0,126,0,119,0,78,0,41,0,118,0,41,0,41,0,44,0,44,0,45,0,117,0,45,0,45,0,48,0,110,0,48,0,48,0,100,0,109,0,100,0,100,0,107,0,106,0,105,0,104,0,103,0,102,0,42,0,46,0,159,0,101,0,42,0,39,0,99,0,78,0,78,0,75,0,73,0,55,0,42,0,47,0,46,0,43,0,42,0,40,0,39,0,159,0,3,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,159,0,210,255,41,1,210,255,211,255,210,255,210,255,210,255,210,255,210,255,91,1,142,1,142,1,251,255,0,0,252,255,5,0,19,0,23,0,210,255,210,255,210,255,142,1,142,1,142,1,142,1,142,1,142,1,210,255,142,1,210,255,6,0,17,0,64,4,40,1,188,5,210,5,210,255,210,255,168,1,9,0,94,5,135,0,196,1,168,0,238,5,88,1,75,5,169,5,19,6,246,255,210,255,247,255,142,1,142,1,142,1,142,1,75,5,169,5,250,0,254,255,254,255,10,0,11,0,254,255,10,0,254,255,10,0,107,2,240,0,119,5,144,5,142,1,210,255,142,1,210,255,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,142,1,210,255,142,1,142,1,142,1,142,1,142,1,142,1,142,1,210,255,253,255,253,255,253,255,253,255,253,255,253,255,253,255,253,255,253,255,142,1,210,255,142,1,142,1,142,1,142,1,142,1,142,1,142,1,210,255,142,1,210,255,142,1,210,255,210,255,142,1,210,255,142,1,210,255,210,255,210,255,142,1,142,1,210,255,142,1,210,255,207,4,227,4,247,4,11,5,210,255,210,255,210,255,210,255,75,5,169,5,75,5,169,5,33,5,255,5,255,5,255,5,20,6,20,6,20,6,20,6,55,0,55,0,55,0,216,255,10,0,216,255,216,255,216,2,55,5,144,1,201,0,74,0,111,0,221,255,221,255,216,255,240,2,253,255,253,255,24,0,24,0,24,0,24,0,24,0,24,0,79,0,11,0,11,0,8,3,239,255,239,255,28,0,28,0,28,0,28,0,210,255,224,1,86,1,87,4,151,5,107,4,158,5,252,1,127,4,210,255,210,255,210,255,210,255,142,1,142,1,210,255,142,1,142,1,142,1,142,1,210,255,11,0,20,0,142,1,210,255,142,1,210,255,210,255,142,1,210,255,142,1,210,255,60,0,210,255,142,1,219,5,32,3,219,5,169,5,219,5,169,5,250,0,56,3,80,3,147,4,134,2,24,2,48,0,52,2,142,1,210,255,142,1,210,255,142,1,210,255,142,1,210,255,142,1,210,255,63,0,83,0,210,255,104,3,128,3,152,3,161,2,167,4,39,0,45,0,142,1,210,255,142,1,210,255,142,1,210,255,210,255,142,1,210,255,210,255,176,3,200,3,224,3,80,2,142,1,210,255,142,1,210,255,142,1,210,255,142,1,210,255,248,3,16,4,40,4,187,4,210,255,210,255,210,255,142,1,188,2,210,255,1,0,6,0,42,0,38,0,7,0,50,0,6,0,47,0,9,0,10,0,20,0,20,0,47,0,16,0,31,0,32,0,33,0,34,0,35,0,23,0,21,0,22,0,23,0,1,0,25,0,26,0,20,0,28,0,23,0,20,0,24,0,9,0,10,0,11,0,25,0,26,0,27,0,20,0,29,0,30,0,43,0,24,0,23,0,53,0,53,0,47,0,23,0,38,0,53,0,52,0,28,0,52,0,53,0,54,0,55,0,35,0,47,0,47,0,47,0,35,0,40,0,41,0,53,0,35,0,40,0,41,0,6,0,47,0,20,0,6,0,71,0,47,0,73,0,53,0,75,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,88,0,89,0,6,0,91,0,1,0,53,0,38,0,39,0,96,0,97,0,42,0,53,0,9,0,10,0,27,0,47,0,29,0,30,0,255,255,255,255,108,0,255,255,255,255,255,255,21,0,38,0,91,0,24,0,25,0,26,0,118,0,28,0,40,0,41,0,47,0,123,0,255,255,125,0,255,255,47,0,255,255,255,255,130,0,255,255,132,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,255,255,29,0,30,0,255,255,255,255,255,255,123,0,255,255,255,255,1,0,38,0,255,255,129,0,255,255,255,255,255,255,20,0,9,0,255,255,47,0,255,255,255,255,71,0,255,255,73,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,24,0,255,255,255,255,255,255,28,0,86,0,255,255,255,255,255,255,255,255,91,0,92,0,93,0,94,0,95,0,255,255,255,255,53,0,255,255,255,255,255,255,255,255,25,0,26,0,27,0,255,255,29,0,30,0,255,255,255,255,202,0,203,0,255,255,205,0,206,0,38,0,208,0,255,255,255,255,120,0,212,0,255,255,214,0,255,255,47,0,217,0,255,255,219,0,255,255,255,255,53,0,223,0,22,0,255,255,255,255,255,255,255,255,255,255,207,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,238,0,255,255,240,0,255,255,242,0,255,255,244,0,255,255,246,0,99,0,100,0,101,0,102,0,103,0,104,0,105,0,106,0,107,0,255,255,255,255,2,1,255,255,4,1,255,255,6,1,255,255,255,255,9,1,25,0,26,0,27,0,255,255,29,0,30,0,16,1,255,255,18,1,255,255,20,1,255,255,22,1,38,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,31,1,47,0,255,255,255,255,255,255,255,255,255,255,53,0,255,255,205,0,206,0,0,0,1,0,255,255,3,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,12,0,13,0,14,0,15,0,16,0,17,0,18,0,19,0,255,255,171,0,172,0,23,0,25,0,26,0,27,0,255,255,29,0,30,0,255,255,255,255,255,255,255,255,255,255,35,0,36,0,38,0,255,255,255,255,255,255,255,255,255,255,43,0,44,0,45,0,47,0,255,255,255,255,50,0,50,0,255,255,52,0,3,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,12,0,13,0,14,0,15,0,16,0,17,0,18,0,19,0,25,0,26,0,27,0,23,0,29,0,30,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,38,0,255,255,35,0,36,0,255,255,255,255,255,255,255,255,255,255,47,0,43,0,44,0,45,0,255,255,255,255,53,0,255,255,53,0,255,255,52,0,53,0,3,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,12,0,13,0,14,0,15,0,16,0,17,0,18,0,19,0,255,255,255,255,255,255,23,0,22,0,255,255,255,255,25,0,26,0,27,0,255,255,29,0,30,0,255,255,255,255,35,0,36,0,255,255,255,255,255,255,38,0,255,255,255,255,43,0,44,0,45,0,20,0,21,0,255,255,47,0,255,255,255,255,52,0,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,20,0,21,0,255,255,255,255,255,255,53,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,20,0,21,0,255,255,255,255,255,255,53,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,20,0,21,0,255,255,255,255,255,255,53,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,20,0,21,0,255,255,255,255,255,255,53,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,20,0,21,0,255,255,255,255,255,255,53,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,20,0,21,0,255,255,255,255,255,255,53,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,21,0,255,255,255,255,255,255,255,255,53,0,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,21,0,255,255,255,255,255,255,255,255,53,0,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,21,0,255,255,255,255,255,255,255,255,53,0,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,21,0,255,255,255,255,255,255,255,255,53,0,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,20,0,21,0,255,255,255,255,255,255,53,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,20,0,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,21,0,255,255,47,0,255,255,255,255,255,255,51,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,20,0,21,0,255,255,255,255,47,0,255,255,255,255,50,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,20,0,21,0,42,0,255,255,255,255,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,20,0,21,0,42,0,255,255,255,255,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,20,0,21,0,42,0,255,255,255,255,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,20,0,21,0,42,0,255,255,255,255,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,20,0,21,0,42,0,255,255,255,255,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,21,0,42,0,255,255,24,0,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,21,0,42,0,255,255,24,0,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,21,0,42,0,255,255,24,0,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,21,0,42,0,255,255,24,0,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,21,0,22,0,255,255,255,255,47,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,21,0,22,0,255,255,255,255,47,0,255,255,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,21,0,42,0,255,255,255,255,255,255,255,255,47,0,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,255,255,255,255,255,255,255,255,40,0,41,0,255,255,255,255,255,255,255,255,255,255,47,0,255,255,255,255,255,255,255,255,255,255,53,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,255,255,255,255,255,255,255,255,40,0,41,0,255,255,255,255,255,255,255,255,255,255,47,0,255,255,255,255,255,255,255,255,255,255,53,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,25,0,26,0,27,0,53,0,29,0,30,0,255,255,255,255,255,255,255,255,53,0,255,255,255,255,38,0,255,255,255,255,255,255,53,0,255,255,255,255,255,255,255,255,47,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,255,255,255,255,255,255,255,255,40,0,41,0,255,255,255,255,255,255,255,255,255,255,47,0,255,255,255,255,50,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,255,255,28,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,255,255,50,0,42,0,255,255,255,255,255,255,255,255,47,0,29,0,30,0,31,0,32,0,33,0,34,0,35,0,255,255,255,255,255,255,255,255,40,0,41,0,255,255,255,255,255,255,255,255,255,255,47,0,31,0,32,0,33,0,34,0,35,0,36,0,37,0,38,0,39,0,20,0,255,255,42,0,255,255,255,255,255,255,255,255,47,0,255,255,29,0,30,0,31,0,32,0,33,0,34,0,35,0,35,0,36,0,37,0,38,0,39,0,255,255,255,255,42,0,255,255,255,255,255,255,255,255,47,0,32,0,49,0,88,0,96,0,8,0,36,0,51,0,89,0,38,0,42,0,130,0,132,0,97,0,17,0,112,0,113,0,114,0,115,0,116,0,52,0,56,0,59,0,60,0,35,0,63,0,65,0,71,0,67,0,53,0,120,0,72,0,41,0,45,0,48,0,91,0,92,0,93,0,73,0,94,0,95,0,171,0,74,0,54,0,131,0,133,0,89,0,55,0,96,0,50,0,172,0,70,0,134,0,135,0,136,0,137,0,105,0,97,0,97,0,108,0,105,0,106,0,107,0,121,0,116,0,106,0,107,0,236,0,108,0,248,0,0,1,142,0,108,0,144,0,140,0,146,0,147,0,148,0,149,0,150,0,151,0,152,0,153,0,154,0,155,0,156,0,157,0,159,0,160,0,161,0,1,1,162,0,33,0,10,1,86,0,87,0,169,0,170,0,88,0,11,1,39,0,43,0,93,0,89,0,94,0,95,0,0,0,0,0,182,0,0,0,0,0,0,0,57,0,96,0,164,0,61,0,64,0,66,0,190,0,68,0,106,0,107,0,97,0,192,0,0,0,194,0,0,0,108,0,0,0,0,0,196,0,0,0,197,0,183,0,184,0,185,0,186,0,187,0,188,0,189,0,0,0,94,0,95,0,0,0,0,0,0,0,193,0,0,0,0,0,34,0,96,0,0,0,195,0,0,0,0,0,0,0,123,0,40,0,0,0,97,0,0,0,0,0,143,0,0,0,145,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,62,0,0,0,0,0,0,0,69,0,158,0,0,0,0,0,0,0,0,0,163,0,165,0,166,0,167,0,168,0,0,0,0,0,124,0,0,0,0,0,0,0,0,0,91,0,92,0,93,0,0,0,94,0,95,0,0,0,0,0,224,0,225,0,0,0,226,0,228,0,96,0,231,0,0,0,0,0,191,0,232,0,0,0,233,0,0,0,97,0,234,0,0,0,235,0,0,0,0,0,127,0,237,0,207,0,0,0,0,0,0,0,0,0,0,0,230,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,251,0,0,0,252,0,0,0,253,0,0,0,254,0,0,0,255,0,173,0,174,0,175,0,176,0,177,0,178,0,179,0,180,0,181,0,0,0,0,0,12,1,0,0,13,1,0,0,14,1,0,0,0,0,15,1,91,0,92,0,93,0,0,0,94,0,95,0,24,1,0,0,25,1,0,0,26,1,0,0,27,1,96,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,32,1,97,0,0,0,0,0,0,0,0,0,0,0,139,0,0,0,227,0,229,0,2,0,3,0,0,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,12,0,13,0,14,0,15,0,16,0,17,0,18,0,19,0,20,0,0,0,210,0,211,0,21,0,91,0,92,0,93,0,0,0,94,0,95,0,0,0,0,0,0,0,0,0,0,0,22,0,23,0,96,0,0,0,0,0,0,0,0,0,0,0,24,0,25,0,26,0,97,0,0,0,0,0,98,0,27,0,0,0,28,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,12,0,13,0,14,0,15,0,16,0,17,0,18,0,19,0,20,0,91,0,92,0,93,0,21,0,94,0,95,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,96,0,0,0,22,0,23,0,0,0,0,0,0,0,0,0,0,0,97,0,24,0,25,0,26,0,0,0,0,0,216,0,0,0,128,0,0,0,28,0,37,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,12,0,13,0,14,0,15,0,16,0,17,0,18,0,19,0,20,0,0,0,0,0,0,0,21,0,206,0,0,0,0,0,91,0,92,0,93,0,0,0,94,0,95,0,0,0,0,0,22,0,23,0,0,0,0,0,0,0,96,0,0,0,0,0,24,0,25,0,26,0,118,0,75,0,0,0,97,0,0,0,0,0,28,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,125,0,75,0,0,0,0,0,0,0,119,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,214,0,75,0,0,0,0,0,0,0,126,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,221,0,75,0,0,0,0,0,0,0,215,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,246,0,75,0,0,0,0,0,0,0,222,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,249,0,75,0,0,0,0,0,0,0,247,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,22,1,75,0,0,0,0,0,0,0,250,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,75,0,0,0,0,0,0,0,0,0,23,1,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,75,0,0,0,0,0,0,0,0,0,138,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,75,0,0,0,0,0,0,0,0,0,245,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,75,0,0,0,0,0,0,0,0,0,8,1,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,203,0,75,0,0,0,0,0,0,0,33,1,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,208,0,75,0,0,0,89,0,0,0,0,0,0,0,204,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,212,0,75,0,0,0,89,0,0,0,0,0,0,0,209,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,238,0,75,0,0,0,89,0,0,0,0,0,0,0,213,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,240,0,75,0,0,0,89,0,0,0,0,0,0,0,239,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,242,0,75,0,0,0,89,0,0,0,0,0,0,0,241,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,2,1,75,0,0,0,89,0,0,0,0,0,0,0,243,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,4,1,75,0,0,0,89,0,0,0,0,0,0,0,3,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,6,1,75,0,0,0,89,0,0,0,0,0,0,0,5,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,16,1,75,0,0,0,89,0,0,0,0,0,0,0,7,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,18,1,75,0,0,0,89,0,0,0,0,0,0,0,17,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,20,1,75,0,0,0,89,0,0,0,0,0,0,0,19,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,75,0,0,0,89,0,0,0,0,0,0,0,21,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,75,0,0,0,89,0,0,0,0,0,0,0,28,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,75,0,0,0,89,0,0,0,0,0,0,0,29,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,75,0,0,0,89,0,0,0,0,0,0,0,30,1,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,217,0,75,0,0,0,0,0,89,0,0,0,0,0,90,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,219,0,75,0,88,0,0,0,0,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,223,0,75,0,88,0,0,0,0,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,244,0,75,0,88,0,0,0,0,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,9,1,75,0,88,0,0,0,0,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,31,1,75,0,88,0,0,0,0,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,75,0,88,0,0,0,198,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,75,0,88,0,0,0,199,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,75,0,88,0,0,0,200,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,75,0,88,0,0,0,201,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,75,0,202,0,0,0,0,0,89,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,75,0,205,0,0,0,0,0,89,0,0,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,75,0,88,0,0,0,0,0,0,0,0,0,89,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,99,0,100,0,101,0,102,0,103,0,104,0,105,0,0,0,0,0,0,0,0,0,106,0,107,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,122,0,99,0,100,0,101,0,102,0,103,0,104,0,105,0,0,0,0,0,0,0,0,0,106,0,107,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,0,0,0,0,0,0,140,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,91,0,92,0,93,0,141,0,94,0,95,0,0,0,0,0,0,0,0,0,218,0,0,0,0,0,96,0,0,0,0,0,0,0,220,0,0,0,0,0,0,0,0,0,97,0,99,0,100,0,101,0,102,0,103,0,104,0,105,0,0,0,0,0,0,0,0,0,106,0,107,0,0,0,0,0,0,0,0,0,0,0,108,0,0,0,0,0,109,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,0,0,76,0,77,0,78,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,0,0,117,0,88,0,0,0,0,0,0,0,0,0,89,0,99,0,100,0,101,0,102,0,103,0,104,0,105,0,0,0,0,0,0,0,0,0,106,0,107,0,0,0,0,0,0,0,0,0,0,0,108,0,79,0,80,0,81,0,82,0,83,0,84,0,85,0,86,0,87,0,129,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,0,0,110,0,111,0,112,0,113,0,114,0,115,0,116,0,83,0,84,0,85,0,86,0,87,0,0,0,0,0,88,0,0,0,0,0,0,0,0,0,89,0,210,255,210,255,210,255,210,255,210,255,255,255,90,0,147,0,22,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,192,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,160,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,224,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,144,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,208,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,176,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,240,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,200,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,168,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,232,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,152,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,216,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,184,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,248,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,196,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,164,0,0,8,2,0,0,8,130,0,0,8,66],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+20504);allocate([9,228,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,148,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,212,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,180,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,244,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,204,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,172,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,236,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,156,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,220,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,188,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,252,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,194,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,162,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,226,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,146,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,210,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,178,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,242,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,202,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,170,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,234,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,154,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,218,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,186,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,250,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,198,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,166,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,230,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,150,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,214,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,182,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,246,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,206,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,174,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,238,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,158,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,222,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,190,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,254,0,96,7,0,0,0,8,80,0,0,8,16,0,20,8,115,0,18,7,31,0,0,8,112,0,0,8,48,0,0,9,193,0,16,7,10,0,0,8,96,0,0,8,32,0,0,9,161,0,0,8,0,0,0,8,128,0,0,8,64,0,0,9,225,0,16,7,6,0,0,8,88,0,0,8,24,0,0,9,145,0,19,7,59,0,0,8,120,0,0,8,56,0,0,9,209,0,17,7,17,0,0,8,104,0,0,8,40,0,0,9,177,0,0,8,8,0,0,8,136,0,0,8,72,0,0,9,241,0,16,7,4,0,0,8,84,0,0,8,20,0,21,8,227,0,19,7,43,0,0,8,116,0,0,8,52,0,0,9,201,0,17,7,13,0,0,8,100,0,0,8,36,0,0,9,169,0,0,8,4,0,0,8,132,0,0,8,68,0,0,9,233,0,16,7,8,0,0,8,92,0,0,8,28,0,0,9,153,0,20,7,83,0,0,8,124,0,0,8,60,0,0,9,217,0,18,7,23,0,0,8,108,0,0,8,44,0,0,9,185,0,0,8,12,0,0,8,140,0,0,8,76,0,0,9,249,0,16,7,3,0,0,8,82,0,0,8,18,0,21,8,163,0,19,7,35,0,0,8,114,0,0,8,50,0,0,9,197,0,17,7,11,0,0,8,98,0,0,8,34,0,0,9,165,0,0,8,2,0,0,8,130,0,0,8,66,0,0,9,229,0,16,7,7,0,0,8,90,0,0,8,26,0,0,9,149,0,20,7,67,0,0,8,122,0,0,8,58,0,0,9,213,0,18,7,19,0,0,8,106,0,0,8,42,0,0,9,181,0,0,8,10,0,0,8,138,0,0,8,74,0,0,9,245,0,16,7,5,0,0,8,86,0,0,8,22,0,64,8,0,0,19,7,51,0,0,8,118,0,0,8,54,0,0,9,205,0,17,7,15,0,0,8,102,0,0,8,38,0,0,9,173,0,0,8,6,0,0,8,134,0,0,8,70,0,0,9,237,0,16,7,9,0,0,8,94,0,0,8,30,0,0,9,157,0,20,7,99,0,0,8,126,0,0,8,62,0,0,9,221,0,18,7,27,0,0,8,110,0,0,8,46,0,0,9,189,0,0,8,14,0,0,8,142,0,0,8,78,0,0,9,253,0,96,7,0,0,0,8,81,0,0,8,17,0,21,8,131,0,18,7,31,0,0,8,113,0,0,8,49,0,0,9,195,0,16,7,10,0,0,8,97,0,0,8,33,0,0,9,163,0,0,8,1,0,0,8,129,0,0,8,65,0,0,9,227,0,16,7,6,0,0,8,89,0,0,8,25,0,0,9,147,0,19,7,59,0,0,8,121,0,0,8,57,0,0,9,211,0,17,7,17,0,0,8,105,0,0,8,41,0,0,9,179,0,0,8,9,0,0,8,137,0,0,8,73,0,0,9,243,0,16,7,4,0,0,8,85,0,0,8,21,0,16,8,2,1,19,7,43,0,0,8,117,0,0,8,53,0,0,9,203,0,17,7,13,0,0,8,101,0,0,8,37,0,0,9,171,0,0,8,5,0,0,8,133,0,0,8,69,0,0,9,235,0,16,7,8,0,0,8,93,0,0,8,29,0,0,9,155,0,20,7,83,0,0,8,125,0,0,8,61,0,0,9,219,0,18,7,23,0,0,8,109,0,0,8,45,0,0,9,187,0,0,8,13,0,0,8,141,0,0,8,77,0,0,9,251,0,16,7,3,0,0,8,83,0,0,8,19,0,21,8,195,0,19,7,35,0,0,8,115,0,0,8,51,0,0,9,199,0,17,7,11,0,0,8,99,0,0,8,35,0,0,9,167,0,0,8,3,0,0,8,131,0,0,8,67,0,0,9,231,0,16,7,7,0,0,8,91,0,0,8,27,0,0,9,151,0,20,7,67,0,0,8,123,0,0,8,59,0,0,9,215,0,18,7,19,0,0,8,107,0,0,8,43,0,0,9,183,0,0,8,11,0,0,8,139,0,0,8,75,0,0,9,247,0,16,7,5,0,0,8,87,0,0,8,23,0,64,8,0,0,19,7,51,0,0,8,119,0,0,8,55,0,0,9,207,0,17,7,15,0,0,8,103,0,0,8,39,0,0,9,175,0,0,8,7,0,0,8,135,0,0,8,71,0,0,9,239,0,16,7,9,0,0,8,95,0,0,8,31,0,0,9,159,0,20,7,99,0,0,8,127,0,0,8,63,0,0,9,223,0,18,7,27,0,0,8,111,0,0,8,47,0,0,9,191,0,0,8,15,0,0,8,143,0,0,8,79,0,0,9,255,0,16,5,1,0,23,5,1,1,19,5,17,0,27,5,1,16,17,5,5,0,25,5,1,4,21,5,65,0,29,5,1,64,16,5,3,0,24,5,1,2,20,5,33,0,28,5,1,32,18,5,9,0,26,5,1,8,22,5,129,0,64,5,0,0,16,5,2,0,23,5,129,1,19,5,25,0,27,5,1,24,17,5,7,0,25,5,1,6,21,5,97,0,29,5,1,96,16,5,4,0,24,5,1,3,20,5,49,0,28,5,1,48,18,5,13,0,26,5,1,12,22,5,193,0,64,5,0,0,16,0,17,0,18,0,0,0,8,0,7,0,9,0,6,0,10,0,5,0,11,0,4,0,12,0,3,0,13,0,2,0,14,0,1,0,15,0,1,0,2,0,3,0,4,0,5,0,7,0,9,0,13,0,17,0,25,0,33,0,49,0,65,0,97,0,129,0,193,0,1,1,129,1,1,2,1,3,1,4,1,6,1,8,1,12,1,16,1,24,1,32,1,48,1,64,1,96,0,0,0,0,3,0,4,0,5,0,6,0,7,0,8,0,9,0,10,0,11,0,13,0,15,0,17,0,19,0,23,0,27,0,31,0,35,0,43,0,51,0,59,0,67,0,83,0,99,0,115,0,131,0,163,0,195,0,227,0,2,1,0,0,0,0,16,0,16,0,16,0,16,0,17,0,17,0,18,0,18,0,19,0,19,0,20,0,20,0,21,0,21,0,22,0,22,0,23,0,23,0,24,0,24,0,25,0,25,0,26,0,26,0,27,0,27,0,28,0,28,0,29,0,29,0,64,0,64,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,16,0,17,0,17,0,17,0,17,0,18,0,18,0,18,0,18,0,19,0,19,0,19,0,19,0,20,0,20,0,20,0,20,0,21,0,21,0,21,0,21,0,16,0,77,0,202,0,0,0,5,0,16,0,5,0,8,0,5,0,24,0,5,0,4,0,5,0,20,0,5,0,12,0,5,0,28,0,5,0,2,0,5,0,18,0,5,0,10,0,5,0,26,0,5,0,6,0,5,0,22,0,5,0,14,0,5,0,30,0,5,0,1,0,5,0,17,0,5,0,9,0,5,0,25,0,5,0,5,0,5,0,21,0,5,0,13,0,5,0,29,0,5,0,3,0,5,0,19,0,5,0,11,0,5,0,27,0,5,0,7,0,5,0,23,0,5,0,12,0,8,0,140,0,8,0,76,0,8,0,204,0,8,0,44,0,8,0,172,0,8,0,108,0,8,0,236,0,8,0,28,0,8,0,156,0,8,0,92,0,8,0,220,0,8,0,60,0,8,0,188,0,8,0,124,0,8,0,252,0,8,0,2,0,8,0,130,0,8,0,66,0,8,0,194,0,8,0,34,0,8,0,162,0,8,0,98,0,8,0,226,0,8,0,18,0,8,0,146,0,8,0,82,0,8,0,210,0,8,0,50,0,8,0,178,0,8,0,114,0,8,0,242,0,8,0,10,0,8,0,138,0,8,0,74,0,8,0,202,0,8,0,42,0,8,0,170,0,8,0,106,0,8,0,234,0,8,0,26,0,8,0,154,0,8,0,90,0,8,0,218,0,8,0,58,0,8,0,186,0,8,0,122,0,8,0,250,0,8,0,6,0,8,0,134,0,8,0,70,0,8,0,198,0,8,0,38,0,8,0,166,0,8,0,102,0,8,0,230,0,8,0,22,0,8,0,150,0,8,0,86,0,8,0,214,0,8,0,54,0,8,0,182,0,8,0,118,0,8,0,246,0,8,0,14,0,8,0,142,0,8,0,78,0,8,0,206,0,8,0,46,0,8,0,174,0,8,0,110,0,8,0,238,0,8,0,30,0,8,0,158,0,8,0,94,0,8,0,222,0,8,0,62,0,8,0,190,0,8,0,126,0,8,0,254,0,8,0,1,0,8,0,129,0,8,0,65,0,8,0,193,0,8,0,33,0,8,0,161,0,8,0,97,0,8,0,225,0,8,0,17,0,8,0,145,0,8,0,81,0,8,0,209,0,8,0,49,0,8,0,177,0,8,0,113,0,8,0,241,0,8,0,9,0,8,0,137,0,8,0,73,0,8,0,201,0,8,0,41,0,8,0,169,0,8,0,105,0,8,0,233,0,8,0,25,0,8,0,153,0,8,0,89,0,8,0,217,0,8,0,57,0,8,0,185,0,8,0,121,0,8,0,249,0,8,0,5,0,8,0,133,0,8,0,69,0,8,0,197,0,8,0,37,0,8,0,165,0,8,0,101,0,8,0,229,0,8,0,21,0,8,0,149,0,8,0,85,0,8,0,213,0,8,0,53,0,8,0,181,0,8,0,117,0,8,0,245,0,8,0,13,0,8,0,141,0,8,0,77,0,8,0,205,0,8,0,45,0,8,0,173,0,8,0,109,0,8,0,237,0,8,0,29,0,8,0,157,0,8,0,93,0,8,0,221,0,8,0,61,0,8,0,189,0,8,0,125,0,8,0,253,0,8,0,19,0,9,0,19,1,9,0,147,0,9,0,147,1,9,0,83,0,9,0,83,1,9,0,211,0,9,0,211,1,9,0,51,0,9,0,51,1,9,0,179,0,9,0,179,1,9,0,115,0,9,0,115,1,9,0,243,0,9,0,243,1,9,0,11,0,9,0,11,1,9,0,139,0,9,0,139,1,9,0,75,0,9,0,75,1,9,0,203,0,9,0,203,1,9,0,43,0,9,0,43,1,9,0,171,0,9,0,171,1,9,0,107,0,9,0,107,1,9,0,235,0,9,0,235,1,9,0,27,0,9,0,27,1,9,0,155,0,9,0,155,1,9,0,91,0,9,0,91,1,9,0,219,0,9,0,219,1,9,0,59,0,9,0,59,1,9,0,187,0,9,0,187,1,9,0,123,0,9,0,123,1,9,0,251,0,9,0,251,1,9,0,7,0,9,0,7,1,9,0,135,0,9,0,135,1,9,0,71,0,9,0,71,1,9,0,199,0,9,0,199,1,9,0,39,0,9,0,39,1,9,0,167,0,9,0,167,1,9,0,103,0,9,0,103,1,9,0,231,0,9,0,231,1,9,0,23,0,9,0,23,1,9,0,151,0,9,0,151,1,9,0,87,0,9,0,87,1,9,0,215,0,9,0,215,1,9,0,55,0,9,0,55,1,9,0,183,0,9,0,183,1,9,0,119,0,9,0,119,1,9,0,247,0,9,0,247,1,9,0,15,0,9,0,15,1,9,0,143,0,9,0,143,1,9,0,79,0,9,0,79,1,9,0,207,0,9,0,207,1,9,0,47,0,9,0,47,1,9,0,175,0,9,0,175,1,9,0,111,0,9,0,111,1,9,0,239,0,9,0,239,1,9,0,31,0,9,0,31,1,9,0,159,0,9,0,159,1,9,0,95,0,9,0,95,1,9,0,223,0,9,0,223,1,9,0,63,0,9,0,63,1,9,0,191,0,9,0,191,1,9,0,127,0,9,0,127,1,9,0,255,0,9,0,255,1,9,0,0,0,7,0,64,0,7,0,32,0,7,0,96,0,7,0,16,0,7,0,80,0,7,0,48,0,7,0,112,0,7,0,8,0,7,0,72,0,7,0,40,0,7,0,104,0,7,0,24,0,7,0,88,0,7,0,56,0,7,0,120,0,7,0,4,0,7,0,68,0,7,0,36,0,7,0,100,0,7,0,20,0,7,0,84,0,7,0,52,0,7,0,116,0,7,0,3,0,8,0,131,0,8,0,67,0,8,0,195,0,8,0,35,0,8,0,163,0,8,0,99,0,8,0,227,0,8,0,123,34,99,114,118,97,108,49,34,58,32,37,46,49,52,103,44,32,34,99,114,118,97,108,50,34,58,32,37,46,49,52,103,44,32,34,99,114,112,105,120,49,34,58,32,37,46,49,52,103,44,32,34,99,114,112,105,120,50,34,58,32,37,46,49,52,103,44,32,34,99,100,101,108,116,49,34,58,32,37,46,49,52,103,44,32,34,99,100,101,108,116,50,34,58,32,37,46,49,52,103,44,32,34,99,114,111,116,34,58,32,37,46,49,52,103,44,32,34,99,116,121,112,101,49,34,58,32,34,37,115,34,44,32,34,99,116,121,112,101,50,34,58,32,34,37,115,34,44,32,32,34,112,116,121,112,101,34,58,32,34,37,115,34,44,32,34,114,97,100,101,99,115,121,115,34,58,32,34,37,115,34,125,0,37,46,51,102,32,37,46,51,102,0,103,97,108,97,99,116,105,99,0,101,99,108,105,112,116,105,99,0,108,105,110,101,97,114,0,100,101,103,114,101,101,115,0,115,101,120,97,103,101,115,105,109,97,108,0,37,115,40,0,37,46,54,102,44,32,37,46,54,102,0,37,115,44,32,37,115,0,116,101,120,116,0,44,37,115,0,44,32,37,115,44,32,37,115,0,44,32,37,46,54,102,44,32,37,46,54,102,0,44,32,37,46,54,102,34,0,44,32,37,46,54,102,39,0,44,32,37,46,54,102,100,0,44,32,37,46,54,102,0,32,123,34,115,105,122,101,34,58,37,46,50,102,44,34,117,110,105,116,115,34,58,34,97,114,99,115,101,99,34,125,0,32,123,34,115,105,122,101,34,58,37,46,54,102,44,34,117,110,105,116,115,34,58,34,97,114,99,109,105,110,34,125,0,32,123,34,115,105,122,101,34,58,37,46,54,102,44,34,117,110,105,116,115,34,58,34,100,101,103,114,101,101,115,34,125,0,37,102,32,37,102,0,109,84,65,78,72,100,114,0,32,9,0,45,115,0,37,115,115,116,97,116,117,115,95,37,100,46,116,120,116,0,37,115,37,115,0,69,114,114,111,114,58,32,116,97,110,104,100,114,32,102,97,105,108,101,100,59,32,110,111,32,115,116,97,116,117,115,32,102,105,108,101,32,99,114,101,97,116,101,100,0,109,80,114,111,106,101,99,116,80,80,0,69,114,114,111,114,58,32,114,101,112,114,111,106,101,99,116,32,102,97,105,108,101,100,59,32,110,111,32,115,116,97,116,117,115,32,102,105,108,101,32,99,114,101,97,116,101,100,0,37,115,37,115,46,104,100,117,108,105,115,116,0,69,114,114,111,114,58,32,108,105,115,116,104,100,117,32,102,97,105,108,101,100,59,32,110,111,32,108,105,115,116,32,102,105,108,101,32,99,114,101,97,116,101,100,0,69,114,114,111,114,58,32,99,97,110,39,116,32,111,112,101,110,32,100,105,114,101,99,116,111,114,121,32,45,32,37,115,10,0,37,115,47,37,115,0,100,105,114,0,99,100,101,118,0,98,100,101,118,0,102,105,102,111,0,108,105,110,107,0,63,0,102,105,108,101,0,37,115,32,40,100,105,114,41,10,0,37,115,32,40,37,115,41,58,10,9,115,105,122,101,58,32,37,100,10,9,99,114,101,58,32,37,115,9,109,111,100,58,32,37,115,10,0,37,115,32,40,117,110,107,110,111,119,110,41,10,0,102,111,111,0,76,84,77,49,95,49,0,76,84,77,49,95,50,0,76,84,77,50,95,49,0,76,84,77,50,95,50,0,32,58,44,0,80,73,88,84,89,80,69,0,72,69,65,76,80,73,88,0,72,80,88,99,118,116,0,79,114,105,103,105,110,97,108,32,105,110,112,117,116,32,102,105,108,101,58,32,37,115,0,32,32,32,32,32,79,114,105,103,105,110,97,108,32,78,83,73,68,69,58,32,37,100,0,78,69,83,84,69,68,0,82,73,78,71,0,32,32,79,114,105,103,105,110,97,108,32,111,114,100,101,114,105,110,103,58,32,37,115,0,32,40,97,115,115,117,109,101,100,41,0,78,111,32,70,73,84,83,32,101,120,116,101,110,115,105,111,110,115,32,97,114,101,32,112,114,101,115,101,110,116,0,67,111,111,114,100,105,110,97,116,101,32,114,101,102,101,114,101,110,99,101,32,112,105,120,101,108,0,84,114,97,110,115,102,111,114,109,97,116,105,111,110,32,109,97,116,114,105,120,32,101,108,101,109,101,110,116,0,91,100,101,103,93,32,67,111,111,114,100,105,110,97,116,101,32,105,110,99,114,101,109,101,110,116,0,69,99,108,105,112,116,105,99,32,32,108,97,116,105,116,117,100,101,0,68,101,99,108,105,110,97,116,105,111,110,0,32,76,97,116,105,116,117,100,101,0,71,97,108,97,99,116,105,99,32,32,108,97,116,105,116,117,100,101,0,69,99,108,105,112,116,105,99,32,108,111,110,103,105,116,117,100,101,0,82,105,103,104,116,32,97,115,99,101,110,115,105,111,110,0,76,111,110,103,105,116,117,100,101,0,71,97,108,97,99,116,105,99,32,108,111,110,103,105,116,117,100,101,0,88,76,65,84,0,88,76,79,78,0,37,115,32,105,110,32,97,110,32,37,115,32,112,114,111,106,101,99,116,105,111,110,0,91,100,101,103,93,32,37,115,32,97,116,32,116,104,101,32,114,101,102,101,114,101,110,99,101,32,112,111,105,110,116,0,91,100,101,103,93,32,78,97,116,105,118,101,32,108,111,110,103,105,116,117,100,101,32,111,102,32,116,104,101,32,99,101,108,101,115,116,105,97,108,32,112,111,108,101,0,72,80,88,32,72,32,112,97,114,97,109,101,116,101,114,32,40,108,111,110,103,105,116,117,100,101,41,0,72,80,88,32,75,32,112,97,114,97,109,101,116,101,114,32,32,40,108,97,116,105,116,117,100,101,41,0,67,101,108,101,115,116,105,97,108,32,109,97,112,32,119,105,116,104,32,70,73,84,83,45,115,116,97,110,100,97,114,100,32,72,80,88,32,99,111,111,114,100,105,110,97,116,101,32,115,121,115,116,101,109,32,103,101,110,101,114,97,116,101,100,32,98,121,0,67,101,108,101,115,116,105,97,108,32,109,97,112,32,119,105,116,104,32,88,80,72,32,99,111,111,114,100,105,110,97,116,101,32,115,121,115,116,101,109,32,40,112,111,108,97,114,32,72,80,88,41,32,103,101,110,101,114,97,116,101,100,32,98,121,0,39,72,80,88,99,118,116,39,32,119,104,105,99,104,32,114,101,111,114,103,97,110,105,115,101,115,32,72,69,65,76,80,105,120,32,100,97,116,97,32,119,105,116,104,111,117,116,32,105,110,116,101,114,112,111,108,97,116,105,111,110,32,97,115,0,100,101,115,99,114,105,98,101,100,32,105,110,32,34,77,97,112,112,105,110,103,32,111,110,32,116,104,101,32,72,69,65,76,80,105,120,32,103,114,105,100,34,32,98,121,32,77,97,114,107,32,67,97,108,97,98,114,101,116,116,97,32,97,110,100,0,66,111,117,100,32,82,111,117,107,101,109,97,46,32,32,83,101,101,32,104,116,116,112,58,47,47,119,119,119,46,97,116,110,102,46,99,115,105,114,111,46,97,117,47,112,101,111,112,108,101,47,77,97,114,107,46,67,97,108,97,98,114,101,116,116,97,0,69,82,82,79,82,58,32,37,115,32,100,111,101,115,32,110,111,116,32,99,111,110,116,97,105,110,32,72,69,65,76,80,105,120,32,100,97,116,97,46,10,0,69,82,82,79,82,58,32,67,111,117,108,100,32,110,111,116,32,100,101,116,101,114,109,105,110,101,32,105,109,97,103,101,32,115,105,122,101,46,10,0,78,83,73,68,69,0,70,73,82,83,84,80,73,88,0,76,65,83,84,80,73,88,0,67,79,79,82,68,83,89,83,0,79,82,68,69,82,73,78,71,0,87,65,82,78,73,78,71,58,32,73,110,118,97,108,105,100,32,79,82,68,69,82,73,78,71,32,107,101,121,119,111,114,100,58,32,37,115,46,10,0,69,82,82,79,82,58,32,99,97,110,39,116,32,111,112,101,110,32,111,117,116,112,117,116,32,102,105,108,101,58,32,37,115,10,0,34,104,100,117,34,58,37,100,0,44,34,110,97,109,101,34,58,34,37,115,34,0,44,34,116,121,112,101,34,58,34,105,109,97,103,101,34,44,34,110,97,120,105,115,34,58,37,100,0,44,34,110,97,120,101,115,34,58,91,0,44,34,98,105,116,112,105,120,34,58,37,100,0,44,34,116,121,112,101,34,58,34,97,115,99,105,105,34,0,44,34,116,121,112,101,34,58,34,116,97,98,108,101,34,0,44,34,114,111,119,115,34,58,37,108,100,0,44,34,99,111,108,115,34,58,91,0,123,34,110,97,109,101,34,58,34,37,115,34,44,34,116,121,112,101,34,58,34,37,115,34,125,0,122,58,100,58,115,58,98,58,111,58,105,58,104,58,119,58,87,58,116,58,120,58,88,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,68,114,105,122,122,108,101,32,102,97,99,116,111,114,32,115,116,114,105,110,103,32,40,37,115,41,32,99,97,110,110,111,116,32,98,101,32,105,110,116,101,114,112,114,101,116,101,100,32,97,115,32,97,32,114,101,97,108,32,110,117,109,98,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,70,105,120,101,100,32,119,101,105,103,104,116,32,118,97,108,117,101,32,40,37,115,41,32,99,97,110,110,111,116,32,98,101,32,105,110,116,101,114,112,114,101,116,101,100,32,97,115,32,97,32,114,101,97,108,32,110,117,109,98,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,87,101,105,103,104,116,32,116,104,114,101,115,104,111,108,100,32,115,116,114,105,110,103,32,40,37,115,41,32,99,97,110,110,111,116,32,98,101,32,105,110,116,101,114,112,114,101,116,101,100,32,97,115,32,97,32,114,101,97,108,32,110,117,109,98,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,70,108,117,120,32,115,99,97,108,101,32,115,116,114,105,110,103,32,40,37,115,41,32,99,97,110,110,111,116,32,98,101,32,105,110,116,101,114,112,114,101,116,101,100,32,97,115,32,97,32,114,101,97,108,32,110,117,109,98,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,66,111,114,100,101,114,32,118,97,108,117,101,32,115,116,114,105,110,103,32,40,37,115,41,32,99,97,110,110,111,116,32,98,101,32,105,110,116,101,114,112,114,101,116,101,100,32,97,115,32,97,110,32,105,110,116,101,103,101,114,32,111,114,32,97,32,115,101,116,32,111,102,32,112,111,108,121,103,111,110,32,118,101,114,116,105,99,101,115,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,66,111,114,100,101,114,32,118,97,108,117,101,32,40,37,100,41,32,109,117,115,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,111,114,32,101,113,117,97,108,32,116,111,32,122,101,114,111,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,72,68,85,32,118,97,108,117,101,32,40,37,115,41,32,109,117,115,116,32,98,101,32,97,32,110,111,110,45,110,101,103,97,116,105,118,101,32,105,110,116,101,103,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,85,115,97,103,101,58,32,37,115,32,91,45,122,32,102,97,99,116,111,114,93,91,45,100,32,108,101,118,101,108,93,91,45,98,32,98,111,114,100,101,114,93,91,45,115,32,115,116,97,116,117,115,102,105,108,101,93,91,45,111,32,97,108,116,111,117,116,46,104,100,114,93,91,45,105,32,97,108,116,105,110,46,104,100,114,93,91,45,104,32,104,100,117,93,91,45,120,32,115,99,97,108,101,93,91,45,119,32,119,101,105,103,104,116,102,105,108,101,93,91,45,116,32,116,104,114,101,115,104,111,108,100,93,91,45,88,40,101,120,112,97,110,100,41,93,32,105,110,46,102,105,116,115,32,111,117,116,46,102,105,116,115,32,116,101,109,112,108,97,116,101,46,104,100,114,34,93,10,0,46,70,73,84,83,0,46,102,105,116,115,0,46,70,73,84,0,46,102,105,116,0,95,97,114,101,97,46,102,105,116,115,0,10,105,110,112,117,116,95,102,105,108,101,32,32,32,32,61,32,91,37,115,93,10,0,111,117,116,112,117,116,95,102,105,108,101,32,32,32,61,32,91,37,115,93,10,0,97,114,101,97,95,102,105,108,101,32,32,32,32,32,61,32,91,37,115,93,10,0,116,101,109,112,108,97,116,101,95,102,105,108,101,32,61,32,91,37,115,93,10,0,97,108,116,105,110,32,32,32,32,32,32,32,32,32,61,32,91,37,115,93,10,10,0,97,108,116,111,117,116,32,32,32,32,32,32,32,32,61,32,91,37,115,93,10,10,0,10,83,116,97,114,116,105,110,103,32,116,111,32,112,114,111,99,101,115,115,32,112,105,120,101,108,115,32,40,116,105,109,101,32,37,46,48,102,41,10,10,0,105,110,112,117,116,46,110,97,120,101,115,91,48,93,32,32,32,61,32,32,37,108,100,10,0,105,110,112,117,116,46,110,97,120,101,115,91,49,93,32,32,32,61,32,32,37,108,100,10,0,105,110,112,117,116,46,115,121,115,32,32,32,32,32,32,32,32,61,32,32,37,100,10,0,105,110,112,117,116,46,101,112,111,99,104,32,32,32,32,32,32,61,32,32,37,45,103,10,0,105,110,112,117,116,46,99,108,111,99,107,119,105,115,101,32,32,61,32,32,37,100,10,0,105,110,112,117,116,32,112,114,111,106,32,32,32,32,32,32,32,61,32,32,37,115,10,10,0,73,110,112,117,116,32,105,109,97,103,101,32,112,114,111,106,101,99,116,105,111,110,32,40,37,115,41,32,109,117,115,116,32,98,101,32,84,65,78,44,32,83,73,78,44,32,90,69,65,44,32,83,84,71,32,111,114,32,65,82,67,32,102,111,114,32,102,97,115,116,32,114,101,112,114,111,106,101,99,116,105,111,110,0,10,101,120,112,97,110,100,32,111,117,116,112,117,116,32,116,101,109,112,108,97,116,101,32,98,121,32,37,45,103,32,111,110,32,97,108,108,32,115,105,100,101,115,10,10,0,10,111,117,116,112,117,116,46,110,97,120,101,115,91,48,93,32,32,61,32,32,37,108,100,10,0,111,117,116,112,117,116,46,110,97,120,101,115,91,49,93,32,32,61,32,32,37,108,100,10,0,111,117,116,112,117,116,46,115,121,115,32,32,32,32,32,32,32,61,32,32,37,100,10,0,111,117,116,112,117,116,46,101,112,111,99,104,32,32,32,32,32,61,32,32,37,45,103,10,0,111,117,116,112,117,116,46,99,108,111,99,107,119,105,115,101,32,61,32,32,37,100,10,0,111,117,116,112,117,116,32,112,114,111,106,32,32,32,32,32,32,61,32,32,37,115,10,0,79,117,116,112,117,116,32,105,109,97,103,101,32,112,114,111,106,101,99,116,105,111,110,32,40,37,115,41,32,109,117,115,116,32,98,101,32,84,65,78,44,32,83,73,78,44,32,90,69,65,44,32,83,84,71,32,111,114,32,65,82,67,32,102,111,114,32,102,97,115,116,32,114,101,112,114,111,106,101,99,116,105,111,110,0,73,110,112,117,116,32,97,110,100,32,111,117,116,112,117,116,32,109,117,115,116,32,98,101,32,105,110,32,116,104,101,32,115,97,109,101,32,99,111,111,114,100,105,110,97,116,101,32,115,121,115,116,101,109,32,102,111,114,32,102,97,115,116,32,114,101,112,114,111,106,101,99,116,105,111,110,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,67,111,117,108,100,32,110,111,116,32,115,101,116,32,117,112,32,112,108,97,110,101,45,116,111,45,112,108,97,110,101,32,116,114,97,110,115,102,111,114,109,46,32,32,67,104,101,99,107,32,102,111,114,32,99,111,109,112,108,105,97,110,116,32,104,101,97,100,101,114,115,46,34,93,10,0,73,110,105,116,105,97,108,105,122,101,95,84,119,111,80,108,97,110,101,95,66,111,116,104,68,105,115,116,111,114,116,40,41,32,115,117,99,99,101,115,115,102,117,108,0,82,97,110,103,101,58,32,37,45,103,44,37,45,103,32,45,62,32,37,45,103,44,37,45,103,32,40,37,100,41,10,0,32,32,32,32,32,45,62,32,37,45,103,44,37,45,103,32,45,62,37,45,103,44,37,45,103,32,40,37,100,41,10,0,10,79,117,116,112,117,116,32,114,97,110,103,101,58,0,32,111,120,112,105,120,77,105,110,32,61,32,37,45,103,10,0,32,111,120,112,105,120,77,97,120,32,61,32,37,45,103,10,0,32,111,121,112,105,120,77,105,110,32,61,32,37,45,103,10,0,32,111,121,112,105,120,77,97,120,32,61,32,37,45,103,10,0,32,105,115,116,97,114,116,32,32,32,61,32,37,45,100,10,0,32,105,108,101,110,103,116,104,32,32,61,32,37,45,100,10,0,32,106,115,116,97,114,116,32,32,32,61,32,37,45,100,10,0,32,106,108,101,110,103,116,104,32,32,61,32,37,45,100,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,78,111,32,111,118,101,114,108,97,112,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,78,111,116,32,101,110,111,117,103,104,32,109,101,109,111,114,121,32,102,111,114,32,111,117,116,112,117,116,32,100,97,116,97,32,105,109,97,103,101,32,97,114,114,97,121,34,93,10,0,10,37,117,32,98,121,116,101,115,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,105,109,97,103,101,32,112,105,120,101,108,115,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,78,111,116,32,101,110,111,117,103,104,32,109,101,109,111,114,121,32,102,111,114,32,111,117,116,112,117,116,32,97,114,101,97,32,105,109,97,103,101,32,97,114,114,97,121,34,93,10,0,37,117,32,98,121,116,101,115,32,97,108,108,111,99,97,116,101,100,32,102,111,114,32,112,105,120,101,108,32,97,114,101,97,115,10,0,13,80,114,111,99,101,115,115,105,110,103,32,105,110,112,117,116,32,114,111,119,32,37,53,100,58,32,98,111,114,100,101,114,32,114,97,110,103,101,32,37,100,32,116,111,32,37,100,32,40,37,100,41,0,13,80,114,111,99,101,115,115,105,110,103,32,105,110,112,117,116,32,114,111,119,32,37,53,100,32,32,0,10,73,110,112,117,116,58,32,108,105,110,101,32,37,100,32,47,32,112,105,120,101,108,32,37,100,44,32,118,97,108,117,101,32,61,32,37,45,103,32,40,119,101,105,103,104,116,58,32,37,45,103,41,10,10,0,10,73,110,112,117,116,58,32,108,105,110,101,32,37,100,32,47,32,112,105,120,101,108,32,37,100,44,32,118,97,108,117,101,32,61,32,37,45,103,10,10,0,32,111,120,112,105,120,77,105,110,32,61,32,37,50,48,46,49,51,101,10,0,32,111,120,112,105,120,77,97,120,32,61,32,37,50,48,46,49,51,101,10,0,32,111,121,112,105,120,77,105,110,32,61,32,37,50,48,46,49,51,101,10,0,32,111,121,112,105,120,77,97,120,32,61,32,37,50,48,46,49,51,101,10,0,79,117,116,112,117,116,32,88,32,114,97,110,103,101,58,32,37,53,100,32,116,111,32,37,53,100,10,0,79,117,116,112,117,116,32,89,32,114,97,110,103,101,58,32,37,53,100,32,116,111,32,37,53,100,10,0,67,111,109,112,97,114,101,32,111,117,116,40,37,100,44,37,100,41,32,116,111,32,105,110,40,37,100,44,37,100,41,32,61,62,32,0,111,118,101,114,108,97,112,65,114,101,97,32,61,32,37,49,50,46,53,101,32,40,37,49,50,46,53,101,32,47,32,37,49,50,46,53,101,41,10,0,10,10,68,111,110,101,32,112,114,111,99,101,115,115,105,110,103,32,112,105,120,101,108,115,32,40,37,46,48,102,32,115,101,99,111,110,100,115,41,10,10,0,68,97,116,97,32,109,105,110,32,61,32,37,45,103,10,0,68,97,116,97,32,109,97,120,32,61,32,37,45,103,10,0,65,114,101,97,32,109,105,110,32,61,32,37,45,103,10,0,65,114,101,97,32,109,97,120,32,61,32,37,45,103,10,10,0,105,32,109,105,110,32,32,32,32,61,32,37,100,10,0,105,32,109,97,120,32,32,32,32,61,32,37,100,10,0,106,32,109,105,110,32,32,32,32,61,32,37,100,10,0,106,32,109,97,120,32,32,32,32,61,32,37,100,10,0,65,108,108,32,112,105,120,101,108,115,32,97,114,101,32,98,108,97,110,107,46,32,67,104,101,99,107,32,102,111,114,32,111,118,101,114,108,97,112,32,111,102,32,111,117,116,112,117,116,32,116,101,109,112,108,97,116,101,32,119,105,116,104,32,105,109,97,103,101,32,102,105,108,101,46,0,10,70,73,84,83,32,100,97,116,97,32,105,109,97,103,101,32,99,114,101,97,116,101,100,32,40,110,111,116,32,121,101,116,32,112,111,112,117,108,97,116,101,100,41,0,70,73,84,83,32,97,114,101,97,32,105,109,97,103,101,32,99,114,101,97,116,101,100,32,40,110,111,116,32,121,101,116,32,112,111,112,117,108,97,116,101,100,41,0,84,101,109,112,108,97,116,101,32,107,101,121,119,111,114,100,115,32,119,114,105,116,116,101,110,32,116,111,32,70,73,84,83,32,100,97,116,97,32,105,109,97,103,101,0,84,101,109,112,108,97,116,101,32,107,101,121,119,111,114,100,115,32,119,114,105,116,116,101,110,32,116,111,32,70,73,84,83,32,97,114,101,97,32,105,109,97,103,101,10,0,76,84,86,49,0,76,84,86,50,0,84,101,109,112,108,97,116,101,32,107,101,121,119,111,114,100,115,32,66,73,84,80,73,88,44,32,67,82,80,73,88,44,32,97,110,100,32,78,65,88,73,83,32,117,112,100,97,116,101,100,0,68,97,116,97,32,119,114,105,116,116,101,110,32,116,111,32,70,73,84,83,32,100,97,116,97,32,105,109,97,103,101,0,68,97,116,97,32,119,114,105,116,116,101,110,32,116,111,32,70,73,84,83,32,97,114,101,97,32,105,109,97,103,101,10,0,70,73,84,83,32,100,97,116,97,32,105,109,97,103,101,32,102,105,110,97,108,105,122,101,100,0,70,73,84,83,32,97,114,101,97,32,105,109,97,103,101,32,102,105,110,97,108,105,122,101,100,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,79,75,34,44,32,116,105,109,101,61,37,46,48,102,93,10,0,66,111,117,110,100,115,58,32,37,45,103,44,37,45,103,32,45,62,32,37,45,103,44,37,45,103,32,40,37,100,41,10,0,114,101,97,100,84,101,109,112,108,97,116,101,40,41,32,102,105,108,101,32,61,32,91,37,115,93,10,0,84,101,109,112,108,97,116,101,32,102,105,108,101,32,91,37,115,93,32,110,111,116,32,102,111,117,110,100,46,0,84,101,109,112,108,97,116,101,32,108,105,110,101,58,32,91,37,115,93,10,0,65,108,116,101,114,110,97,116,101,32,105,110,112,117,116,32,104,101,97,100,101,114,32,116,111,32,119,99,115,105,110,105,116,40,41,32,91,105,110,112,117,116,46,119,99,115,93,58,10,37,115,10,0,73,110,112,117,116,32,112,105,120,101,108,115,32,97,114,101,32,99,108,111,99,107,119,105,115,101,46,0,73,110,112,117,116,32,112,105,120,101,108,115,32,97,114,101,32,99,111,117,110,116,101,114,99,108,111,99,107,119,105,115,101,46,0,65,108,116,101,114,110,97,116,101,32,111,117,116,112,117,116,32,104,101,97,100,101,114,32,116,111,32,119,99,115,105,110,105,116,40,41,32,91,111,117,116,112,117,116,46,119,99,115,93,58,10,37,115,10,0,84,101,109,112,108,97,116,101,32,111,117,116,112,117,116,32,104,101,97,100,101,114,32,116,111,32,119,99,115,105,110,105,116,40,41,32,91,111,117,116,112,117,116,46,119,99,115,93,58,10,37,115,10,0,79,117,116,112,117,116,32,112,105,120,101,108,115,32,97,114,101,32,99,108,111,99,107,119,105,115,101,46,0,79,117,116,112,117,116,32,112,105,120,101,108,115,32,97,114,101,32,99,111,117,110,116,101,114,99,108,111,99,107,119,105,115,101,46,0,107,101,121,119,111,114,100,32,91,37,115,93,32,61,32,118,97,108,117,101,32,91,37,115,93,10,0,78,65,88,73,83,49,32,32,61,32,37,108,100,0,78,65,88,73,83,50,32,32,61,32,37,108,100,0,67,82,80,73,88,49,32,32,61,32,37,49,49,46,54,102,0,67,82,80,73,88,50,32,32,61,32,37,49,49,46,54,102,0,76,84,86,49,32,32,61,32,37,49,49,46,54,102,0,76,84,86,50,32,32,61,32,37,49,49,46,54,102,0,73,109,97,103,101,32,102,105,108,101,32,37,115,32,109,105,115,115,105,110,103,32,111,114,32,105,110,118,97,108,105,100,32,70,73,84,83,0,87,101,105,103,104,116,32,102,105,108,101,32,37,115,32,109,105,115,115,105,110,103,32,111,114,32,105,110,118,97,108,105,100,32,70,73,84,83,0,73,110,112,117,116,32,104,101,97,100,101,114,32,116,111,32,119,99,115,105,110,105,116,40,41,32,91,105,110,112,117,116,46,119,99,115,93,58,10,37,115,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,112,117,116,32,119,99,115,105,110,105,116,40,41,32,102,97,105,108,101,100,46,34,93,10,0,80,111,108,121,103,111,110,32,115,116,114,105,110,103,58,32,91,37,115,93,10,0,80,111,108,121,103,111,110,32,98,111,114,100,101,114,32,32,37,51,100,58,32,37,54,100,32,37,54,100,10,0,100,117,105,58,111,58,116,58,115,58,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,45,105,32,40,105,116,101,114,97,116,105,111,110,115,41,32,97,114,103,117,109,101,110,116,32,34,37,115,34,32,110,111,116,32,97,110,32,105,110,116,101,103,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,45,111,32,40,111,114,100,101,114,41,32,97,114,103,117,109,101,110,116,32,34,37,115,34,32,110,111,116,32,97,110,32,105,110,116,101,103,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,45,116,32,40,116,111,108,101,114,97,110,99,101,41,32,97,114,103,117,109,101,110,116,32,34,37,115,34,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,67,97,110,110,111,116,32,111,112,101,110,32,115,116,97,116,117,115,32,102,105,108,101,58,32,37,115,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,85,115,97,103,101,58,32,37,115,32,91,45,100,93,91,45,111,32,111,114,100,101,114,93,91,45,105,32,109,97,120,105,116,101,114,93,91,45,116,32,116,111,108,101,114,97,110,99,101,93,91,45,115,32,115,116,97,116,117,115,102,105,108,101,93,32,111,114,105,103,46,104,100,114,32,110,101,119,46,104,100,114,32,40,100,101,102,97,117,108,116,58,32,111,114,100,101,114,32,61,32,53,44,32,109,97,120,105,116,101,114,32,61,32,53,48,44,32,116,111,108,101,114,97,110,99,101,32,61,32,48,46,48,49,41,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,67,97,110,110,111,116,32,111,112,101,110,32,111,117,116,112,117,116,32,116,101,109,112,108,97,116,101,32,102,105,108,101,32,37,115,34,93,10,0,68,69,66,85,71,62,32,67,111,109,109,97,110,100,45,108,105,110,101,32,114,101,97,100,46,0,68,69,66,85,71,62,32,70,87,68,58,32,32,110,97,116,105,118,101,32,112,114,111,106,101,99,116,105,111,110,32,116,111,32,100,105,115,116,111,114,116,101,100,32,84,65,78,32,40,119,99,115,45,62,87,67,83,41,0,68,69,66,85,71,62,32,82,69,86,58,32,32,100,105,115,116,111,114,116,101,100,32,84,65,78,32,116,111,32,110,97,116,105,118,101,32,112,114,111,106,101,99,116,105,111,110,32,40,87,67,83,45,62,119,99,115,41,0,68,69,66,85,71,62,32,68,105,115,116,111,114,116,105,111,110,32,112,97,114,97,109,101,116,101,114,115,32,105,110,105,116,105,97,108,105,122,101,100,46,0,37,49,53,46,49,48,102,0,10,68,69,66,85,71,62,32,70,87,68],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+30745);allocate([58,32,65,32,40,120,45,100,105,114,101,99,116,105,111,110,41,32,100,105,115,116,111,114,116,105,111,110,115,32,91,37,100,93,10,0,68,69,66,85,71,62,32,70,87,68,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,45,62,32,37,46,53,102,32,37,46,53,102,32,45,62,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,45,62,32,37,49,48,46,50,102,32,40,37,100,41,10,0,10,68,69,66,85,71,62,32,70,87,68,58,32,66,32,40,121,45,100,105,114,101,99,116,105,111,110,41,32,100,105,115,116,111,114,116,105,111,110,115,32,91,37,100,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,65,108,108,32,112,111,105,110,116,115,32,111,102,102,115,99,97,108,101,32,105,110,32,102,111,114,119,97,114,100,32,116,114,97,110,115,102,111,114,109,34,93,10,0,10,10,70,87,68,58,32,66,101,102,111,114,101,32,103,97,117,115,115,106,40,41,58,0,109,97,116,114,105,120,58,0,37,49,50,46,53,101,32,0,10,118,101,99,116,111,114,58,0,32,32,37,49,50,46,53,101,10,0,10,10,65,102,116,101,114,32,103,97,117,115,115,106,40,41,58,0,97,112,91,37,100,93,91,37,100,93,32,61,32,37,49,50,46,53,101,32,40,37,53,46,49,102,37,37,41,10,0,98,112,91,37,100,93,91,37,100,93,32,61,32,37,49,50,46,53,101,32,40,37,53,46,49,102,37,37,41,10,0,10,68,69,66,85,71,62,32,70,87,68,58,32,109,97,120,105,109,117,109,32,112,111,115,105,116,105,111,110,97,108,32,101,114,114,111,114,32,91,37,100,93,10,0,68,69,66,85,71,62,32,70,87,68,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,45,62,32,37,46,53,102,32,37,46,53,102,32,45,62,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,40,37,100,41,10,0,102,119,100,109,97,120,120,32,61,32,37,45,103,32,91,37,100,93,10,0,102,119,100,109,97,120,121,32,61,32,37,45,103,32,91,37,100,93,10,0,10,68,69,66,85,71,62,32,82,69,86,58,32,65,32,40,120,45,100,105,114,101,99,116,105,111,110,41,32,100,105,115,116,111,114,116,105,111,110,115,32,91,37,100,93,10,0,68,69,66,85,71,62,32,82,69,86,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,45,62,32,37,46,53,102,32,37,46,53,102,32,45,62,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,45,62,32,37,49,48,46,50,102,32,40,37,100,41,10,0,10,68,69,66,85,71,62,32,82,69,86,58,32,66,32,40,121,45,100,105,114,101,99,116,105,111,110,41,32,100,105,115,116,111,114,116,105,111,110,115,32,91,37,100,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,65,108,108,32,112,111,105,110,116,115,32,111,102,102,115,99,97,108,101,32,105,110,32,114,101,118,101,114,115,101,32,116,114,97,110,115,102,111,114,109,34,93,10,0,10,10,82,69,86,58,32,66,101,102,111,114,101,32,103,97,117,115,115,106,40,41,58,0,97,91,37,100,93,91,37,100,93,32,61,32,37,49,50,46,53,101,32,40,37,53,46,49,102,37,37,41,10,0,98,91,37,100,93,91,37,100,93,32,61,32,37,49,50,46,53,101,32,40,37,53,46,49,102,37,37,41,10,0,10,68,69,66,85,71,62,32,82,69,86,58,32,109,97,120,105,109,117,109,32,112,111,115,105,116,105,111,110,97,108,32,101,114,114,111,114,32,91,37,100,93,10,0,68,69,66,85,71,62,32,82,69,86,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,45,62,32,37,46,53,102,32,37,46,53,102,32,45,62,32,37,49,48,46,50,102,32,37,49,48,46,50,102,32,40,37,100,41,10,0,114,101,118,109,97,120,120,32,61,32,37,45,103,32,91,37,100,93,10,0,114,101,118,109,97,120,121,32,61,32,37,45,103,32,91,37,100,93,10,0,10,68,69,66,85,71,62,32,70,87,68,58,32,87,111,114,115,116,32,99,97,115,101,32,112,105,120,101,108,32,101,114,114,111,114,0,102,105,110,97,108,32,102,119,100,109,97,120,120,32,61,32,37,45,103,10,0,102,105,110,97,108,32,102,119,100,109,97,120,121,32,61,32,37,45,103,10,0,10,68,69,66,85,71,62,32,82,69,86,58,32,87,111,114,115,116,32,99,97,115,101,32,112,105,120,101,108,32,101,114,114,111,114,0,102,105,110,97,108,32,114,101,118,109,97,120,120,32,61,32,37,45,103,10,0,102,105,110,97,108,32,114,101,118,109,97,120,121,32,61,32,37,45,103,10,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,79,75,34,44,32,102,119,100,120,101,114,114,61,37,45,103,44,32,102,119,100,121,101,114,114,61,37,45,103,44,32,102,119,100,105,116,101,114,61,37,100,44,32,114,101,118,120,101,114,114,61,37,45,103,44,32,114,101,118,121,101,114,114,61,37,45,103,44,32,114,101,118,105,116,101,114,61,37,100,93,10,0,65,108,108,111,99,97,116,105,111,110,32,102,97,105,108,117,114,101,32,105,110,32,105,118,101,99,116,111,114,40,41,0,83,105,110,103,117,108,97,114,32,77,97,116,114,105,120,45,49,0,83,105,110,103,117,108,97,114,32,77,97,116,114,105,120,45,50,0,10,10,67,111,114,114,101,108,97,116,105,111,110,32,77,97,116,114,105,120,58,0,37,53,46,50,102,32,0,10,77,97,120,105,109,117,109,32,99,111,114,114,101,108,97,116,105,111,110,58,32,37,46,53,102,32,97,116,32,40,37,100,44,37,100,41,10,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,32,109,115,103,61,34,37,115,34,93,10,0,83,73,77,80,76,69,32,32,61,32,84,0,66,73,84,80,73,88,32,32,61,32,45,54,52,0,78,65,88,73,83,32,32,32,61,32,50,0,78,65,88,73,83,49,32,32,61,32,37,100,0,78,65,88,73,83,50,32,32,61,32,37,100,0,67,84,89,80,69,49,32,32,61,32,39,82,65,45,45,45,84,65,78,45,83,73,80,39,0,67,84,89,80,69,50,32,32,61,32,39,68,69,67,45,45,84,65,78,45,83,73,80,39,0,67,84,89,80,69,49,32,32,61,32,39,37,115,45,84,65,78,45,83,73,80,39,0,67,84,89,80,69,50,32,32,61,32,39,37,115,45,84,65,78,45,83,73,80,39,0,67,82,86,65,76,49,32,32,61,32,37,49,53,46,49,48,102,0,67,82,86,65,76,50,32,32,61,32,37,49,53,46,49,48,102,0,67,82,80,73,88,49,32,32,61,32,37,49,53,46,49,48,102,0,67,82,80,73,88,50,32,32,61,32,37,49,53,46,49,48,102,0,67,68,69,76,84,49,32,32,61,32,37,46,49,48,102,0,67,68,69,76,84,50,32,32,61,32,37,46,49,48,102,0,67,82,79,84,65,50,32,32,61,32,37,115,0,67,68,49,95,49,32,32,32,61,32,37,115,0,67,68,49,95,50,32,32,32,61,32,37,115,0,67,68,50,95,49,32,32,32,61,32,37,115,0,67,68,50,95,50,32,32,32,61,32,37,115,0,80,67,49,95,49,32,32,32,61,32,37,115,0,80,67,49,95,50,32,32,32,61,32,37,115,0,80,67,50,95,49,32,32,32,61,32,37,115,0,80,67,50,95,50,32,32,32,61,32,37,115,0,69,80,79,67,72,32,32,32,61,32,37,115,0,69,81,85,73,78,79,88,32,61,32,37,115,0,65,95,79,82,68,69,82,32,61,32,37,100,0,65,95,37,100,95,37,100,32,32,32,61,32,37,49,48,46,51,101,0,66,95,79,82,68,69,82,32,61,32,37,100,0,66,95,37,100,95,37,100,32,32,32,61,32,37,49,48,46,51,101,0,65,80,95,79,82,68,69,82,61,32,37,100,0,65,80,95,37,100,95,37,100,32,32,61,32,37,49,48,46,51,101,0,66,80,95,79,82,68,69,82,61,32,37,100,0,66,80,95,37,100,95,37,100,32,32,61,32,37,49,48,46,51,101,0,10,68,69,66,85,71,62,32,68,105,115,116,111,114,116,101,100,32,84,65,78,32,72,101,97,100,101,114,58,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,79,117,116,112,117,116,32,119,99,115,105,110,105,116,40,41,32,102,97,105,108,101,100,46,34,93,10,0,68,69,66,85,71,62,32,68,105,115,116,111,114,116,101,100,32,84,65,78,32,87,67,83,32,105,110,105,116,105,97,108,105,122,101,100,10,0,37,52,100,58,32,37,115,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,66,97,100,32,116,101,109,112,108,97,116,101,58,32,37,115,34,93,10,0,10,68,69,66,85,71,62,32,79,114,105,103,105,110,97,108,32,72,101,97,100,101,114,58,10,0,68,69,66,85,71,62,32,79,114,105,103,105,110,97,108,32,105,109,97,103,101,32,87,67,83,32,105,110,105,116,105,97,108,105,122,101,100,10,0,68,69,66,85,71,62,32,120,99,111,114,114,101,99,116,105,111,110,32,61,32,37,46,50,102,10,0,68,69,66,85,71,62,32,121,99,111,114,114,101,99,116,105,111,110,32,61,32,37,46,50,102,10,10,0,10,101,120,116,114,97,99,116,67,68,40,41,58,0,99,100,101,108,116,49,32,32,61,32,91,37,115,93,10,0,99,100,101,108,116,50,32,32,61,32,91,37,115,93,10,0,99,114,111,116,97,50,32,32,61,32,91,37,115,93,10,0,99,100,49,49,32,32,32,32,61,32,91,37,115,93,10,0,99,100,49,50,32,32,32,32,61,32,91,37,115,93,10,0,99,100,50,49,32,32,32,32,61,32,91,37,115,93,10,0,99,100,50,50,32,32,32,32,61,32,91,37,115,93,10,0,112,99,49,49,32,32,32,32,61,32,91,37,115,93,10,0,112,99,49,50,32,32,32,32,61,32,91,37,115,93,10,0,112,99,50,49,32,32,32,32,61,32,91,37,115,93,10,0,112,99,50,50,32,32,32,32,61,32,91,37,115,93,10,0,101,112,111,99,104,32,32,32,61,32,91,37,115,93,10,0,101,113,117,105,110,111,120,32,61,32,91,37,115,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,68,101,98,117,103,32,108,101,118,101,108,32,115,116,114,105,110,103,32,105,115,32,105,110,118,97,108,105,100,58,32,39,37,115,39,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,68,101,98,117,103,32,108,101,118,101,108,32,118,97,108,117,101,32,99,97,110,110,111,116,32,98,101,32,110,101,103,97,116,105,118,101,34,93,10,0,119,43,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,67,97,110,110,111,116,32,111,112,101,110,32,111,117,116,112,117,116,32,102,105,108,101,32,37,115,46,34,93,10,0,10,70,73,84,83,32,102,105,108,101,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,70,73,84,83,32,102,105,108,101,32,40,37,115,41,32,99,97,110,110,111,116,32,98,101,32,117,115,101,100,32,97,115,32,97,32,104,101,97,100,101,114,32,116,101,109,112,108,97,116,101,34,93,10,0,110,99,97,114,100,32,61,32,37,100,10,0,37,45,56,115,61,32,37,50,48,115,0,10,84,101,109,112,108,97,116,101,32,102,105,108,101,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,70,105,108,101,32,37,115,32,110,111,116,32,102,111,117,110,100,46,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,70,105,108,101,32,40,37,115,41,32,105,115,32,110,111,116,32,97,32,70,73,84,83,32,105,109,97,103,101,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,70,73,84,83,32,104,101,97,100,101,114,32,108,105,110,101,115,32,99,97,110,110,111,116,32,98,101,32,103,114,101,97,116,101,114,32,116,104,97,110,32,56,48,32,99,104,97,114,97,99,116,101,114,115,46,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,37,115,34,93,10,0,78,111,32,66,73,84,80,73,88,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,78,65,88,73,83,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,78,65,88,73,83,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,78,65,88,73,83,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,84,89,80,69,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,84,89,80,69,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,82,80,73,88,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,82,80,73,88,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,82,86,65,76,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,82,86,65,76,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,68,69,76,84,49,32,107,101,121,119,111,114,100,32,40,111,114,32,105,110,99,111,109,112,108,101,116,101,32,67,68,32,109,97,116,114,105,120,41,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,78,111,32,67,68,69,76,84,50,32,107,101,121,119,111,114,100,32,40,111,114,32,105,110,99,111,109,112,108,101,116,101,32,67,68,32,109,97,116,114,105,120,41,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,0,67,84,89,80,69,49,32,109,117,115,116,32,98,101,32,97,116,32,108,101,97,115,116,32,56,32,99,104,97,114,97,99,116,101,114,115,0,67,84,89,80,69,50,32,109,117,115,116,32,98,101,32,97,116,32,108,101,97,115,116,32,56,32,99,104,97,114,97,99,116,101,114,115,0,73,110,118,97,108,105,100,32,67,84,89,80,69,49,32,111,114,32,67,84,89,80,69,50,32,112,114,111,106,101,99,116,105,111,110,32,105,110,102,111,114,109,97,116,105,111,110,0,67,84,89,80,69,49,44,32,67,84,89,80,69,50,32,112,114,111,106,101,99,116,105,111,110,32,105,110,102,111,114,109,97,116,105,111,110,32,109,105,115,109,97,116,99,104,0,73,110,118,97,108,105,100,32,67,84,89,80,69,49,32,112,114,111,106,101,99,116,105,111,110,32,105,110,102,111,114,109,97,116,105,111,110,0,73,110,118,97,108,105,100,32,67,84,89,80,69,50,32,112,114,111,106,101,99,116,105,111,110,32,105,110,102,111,114,109,97,116,105,111,110,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,37,100,32,69,114,114,111,114,115,34,93,10,0,102,105,116,115,67,104,101,99,107,40,41,32,91,37,115,93,32,61,32,91,37,115,93,10,0,83,73,77,80,76,69,32,107,101,121,119,111,114,100,32,109,117,115,116,32,98,101,32,84,32,111,114,32,70,0,66,73,84,80,73,88,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,110,32,105,110,116,101,103,101,114,0,73,110,118,97,108,105,100,32,66,73,84,80,73,88,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,40,109,117,115,116,32,98,101,32,56,44,49,54,44,51,50,44,54,52,44,45,51,50,32,111,114,32,45,54,52,41,0,78,65,88,73,83,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,110,32,105,110,116,101,103,101,114,0,78,65,88,73,83,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,109,117,115,116,32,98,101,32,62,61,32,50,0,78,65,88,73,83,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,110,32,105,110,116,101,103,101,114,0,78,65,88,73,83,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,109,117,115,116,32,98,101,32,62,32,48,0,78,65,88,73,83,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,110,32,105,110,116,101,103,101,114,0,78,65,88,73,83,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,109,117,115,116,32,98,101,32,62,32,48,0,67,82,80,73,88,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,82,80,73,88,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,82,86,65,76,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,82,86,65,76,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,68,69,76,84,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,68,69,76,84,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,82,79,84,65,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,68,49,95,49,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,68,49,95,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,67,68,50,95,50,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,66,83,67,65,76,69,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,66,90,69,82,79,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,66,76,65,78,75,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,69,80,79,67,72,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,69,81,85,73,78,79,88,32,107,101,121,119,111,114,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,32,110,111,116,32,97,32,114,101,97,108,32,110,117,109,98,101,114,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,115,116,97,116,117,115,61,37,100,44,32,109,115,103,61,34,37,115,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,78,111,32,87,67,83,32,105,110,102,111,114,109,97,116,105,111,110,32,40,111,114,32,110,111,116,32,70,73,84,83,32,104,101,97,100,101,114,41,34,93,10,0,112,114,106,99,111,100,101,32,32,32,32,61,32,37,100,10,0,112,116,121,112,101,32,32,32,32,32,32,61,32,91,37,115,93,10,0,110,120,112,105,120,32,32,32,32,32,32,61,32,37,45,103,10,0,110,121,112,105,120,32,32,32,32,32,32,61,32,37,45,103,10,0,99,49,116,121,112,101,32,32,32,32,32,61,32,91,37,115,93,10,0,99,50,116,121,112,101,32,32,32,32,32,61,32,91,37,115,93,10,0,110,97,120,105,115,32,32,32,32,32,32,61,32,37,100,10,0,99,114,118,97,108,91,37,100,93,32,32,32,61,32,37,45,103,10,0,120,114,101,102,32,32,32,32,32,32,32,61,32,37,45,103,10,0,121,114,101,102,32,32,32,32,32,32,32,61,32,37,45,103,10,0,99,114,112,105,120,91,37,100,93,32,32,32,61,32,37,45,103,10,0,120,114,101,102,112,105,120,32,32,32,32,61,32,37,45,103,10,0,121,114,101,102,112,105,120,32,32,32,32,61,32,37,45,103,10,0,99,100,91,37,100,93,32,32,32,32,32,32,61,32,37,45,103,10,0,99,100,101,108,116,91,37,100,93,32,32,32,61,32,37,45,103,10,0,120,105,110,99,32,32,32,32,32,32,32,61,32,37,45,103,10,0,121,105,110,99,32,32,32,32,32,32,32,61,32,37,45,103,10,0,114,111,116,32,32,32,32,32,32,32,32,61,32,37,45,103,10,0,101,113,117,105,110,111,120,32,32,32,32,61,32,37,45,103,10,0,101,112,111,99,104,32,32,32,32,32,32,61,32,37,45,103,10,0,112,99,91,37,50,100,93,32,32,32,32,32,61,32,37,45,103,10,0,112,114,111,106,112,91,37,50,100,93,32,32,61,32,37,45,103,10,0,108,111,110,103,112,111,108,101,32,32,32,61,32,37,45,103,10,0,108,97,116,112,111,108,101,32,32,32,32,61,32,37,45,103,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,77,117,115,116,32,104,97,118,101,32,97,116,32,108,101,97,115,116,32,116,119,111,32,100,105,109,101,110,115,105,111,110,115,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,118,97,108,105,100,32,112,114,111,106,101,99,116,105,111,110,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,118,97,108,105,100,32,78,65,88,73,83,49,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,118,97,108,105,100,32,78,65,88,73,83,50,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,67,84,89,80,69,49,32,97,110,100,32,67,84,89,80,69,50,32,100,111,110,39,116,32,109,97,116,99,104,34,93,10,0,71,76,79,78,0,71,76,65,84,0,69,76,79,78,0,69,76,65,84,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,118,97,108,105,100,32,67,84,89,80,69,49,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,118,97,108,105,100,32,67,68,32,109,97,116,114,105,120,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,118,97,108,105,100,32,67,68,69,76,84,49,34,93,10,0,91,115,116,114,117,99,116,32,115,116,97,116,61,34,69,82,82,79,82,34,44,32,109,115,103,61,34,73,110,118,97,108,105,100,32,67,68,69,76,84,50,34,93,10,0,69,82,82,79,82,58,32,68,76,67,83,58,32,115,111,109,101,116,104,105,110,103,32,105,115,32,119,114,111,110,103,32,119,105,116,104,32,116,104,101,32,99,100,45,109,97,116,114,105,120,32,102,111,114,32,116,104,101,32,115,101,99,111,110,100,32,102,114,97,109,101,10,0,69,82,82,79,82,58,32,68,76,67,83,58,32,115,111,109,101,116,104,105,110,103,32,105,115,32,119,114,111,110,103,32,119,105,116,104,32,116,104,101,32,99,100,45,109,97,116,114,105,120,32,102,111,114,32,116,104,101,32,102,105,114,115,116,32,102,114,97,109,101,10,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,107,101,121,119,111,114,100,32,91,37,115,93,10,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,67,82,80,73,88,49,10,0,119,97,114,110,105,110,103,44,32,117,110,107,110,111,119,110,32,102,108,97,103,115,32,105,110,32,117,110,108,122,119,32,100,101,99,111,109,112,114,101,115,115,105,111,110,0,99,111,109,112,114,101,115,115,101,100,32,119,105,116,104,32,116,111,111,32,109,97,110,121,32,98,105,116,115,59,32,99,97,110,110,111,116,32,104,97,110,100,108,101,32,102,105,108,101,0,99,111,114,114,117,112,116,32,105,110,112,117,116,46,0,102,97,105,108,101,100,32,116,111,32,119,114,105,116,101,32,98,117,102,102,101,114,32,116,111,32,117,110,99,111,109,112,114,101,115,115,101,100,32,111,117,116,112,117,116,32,102,105,108,101,32,40,119,114,105,116,101,95,98,117,102,41,0,109,97,108,108,111,99,32,102,97,105,108,101,100,32,119,104,105,108,101,32,117,110,99,111,109,112,114,101,115,115,105,110,103,32,40,119,114,105,116,101,95,98,117,102,41,0,69,82,82,79,82,58,32,105,110,112,117,116,32,46,90,32,102,105,108,101,32,105,115,32,105,110,32,117,110,114,101,99,111,103,110,105,122,101,100,32,99,111,109,112,114,101,115,115,105,111,110,32,102,111,114,109,97,116,46,10,0,91,99,100,108,95,122,115,99,97,108,101,93,32,37,100,120,37,100,45,37,100,32,32,99,111,110,116,61,37,103,32,111,112,116,115,122,61,37,100,32,108,101,110,61,37,100,10,0,91,99,100,108,95,122,115,99,97,108,101,93,32,122,109,105,110,61,37,103,32,122,109,97,120,61,37,103,32,108,101,102,116,61,37,103,32,109,101,100,105,97,110,61,37,103,10,0,91,99,100,108,95,122,115,99,97,108,101,93,32,109,105,110,112,105,120,61,37,100,32,110,103,114,111,119,61,37,100,32,110,103,111,111,100,112,105,120,61,37,100,10,0,91,99,100,108,95,122,115,99,97,108,101,93,32,122,115,108,111,112,101,61,37,103,32,99,101,110,116,101,114,95,112,105,120,61,37,100,32,122,49,61,37,103,32,122,50,61,37,103,10,0,91,115,97,109,112,108,101,73,109,97,103,101,93,32,111,112,116,95,110,112,105,120,47,108,105,110,101,61,37,100,32,99,111,108,95,115,116,101,112,61,37,100,32,110,47,108,105,110,101,61,37,100,10,0,91,115,97,109,112,108,101,73,109,97,103,101,93,32,110,108,95,105,110,95,115,97,109,112,61,37,100,47,37,100,32,111,112,116,95,110,108,47,115,97,109,112,61,37,100,32,108,115,116,101,112,61,37,100,10,0,87,67,83,73,78,73,84,78,58,32,87,67,83,32,110,97,109,101,32,37,115,32,110,111,116,32,109,97,116,99,104,101,100,32,105,110,32,70,73,84,83,32,104,101,97,100,101,114,10,0,87,67,83,78,65,77,69,0,87,67,83,65,88,69,83,0,87,67,83,68,73,77,0,87,67,83,73,78,73,84,58,32,78,111,32,87,67,83,65,88,69,83,44,32,78,65,88,73,83,44,32,111,114,32,87,67,83,68,73,77,32,107,101,121,119,111,114,100,0,73,77,65,71,69,87,0,87,67,83,73,78,73,84,58,32,78,111,32,78,65,88,73,83,49,32,111,114,32,73,77,65,71,69,87,32,107,101,121,119,111,114,100,0,73,77,65,71,69,72,0,87,67,83,73,78,73,84,58,32,78,111,32,78,65,88,73,83,50,32,111,114,32,73,77,65,71,69,72,32,107,101,121,119,111,114,100,0,87,67,83,73,78,73,84,58,32,77,105,115,115,105,110,103,32,107,101,121,119,111,114,100,32,37,115,32,97,115,115,117,109,101,100,32,49,10,0,45,84,65,66,0,68,69,84,69,67,84,79,82,0,68,67,45,70,76,65,71,0,87,67,83,68,69,80,0,87,67,83,73,78,73,84,58,32,100,101,112,101,110,100,101,100,32,111,110,32,87,67,83,32,99,111,117,108,100,32,110,111,116,32,98,101,32,115,101,116,0,86,83,79,85,82,67,69,0,90,83,79,85,82,67,69,0,86,69,76,79,67,73,84,89,0,67,84,89,80,69,50,0,67,84,89,80,69,51,0,67,84,89,80,69,52,0,67,85,78,73,84,49,0,117,110,105,116,115,0,67,85,78,73,84,50,0,76,79,78,80,79,76,69,0,76,65,84,80,79,76,69,0,80,82,79,74,82,48,0,80,82,79,74,80,37,100,0,80,86,37,100,95,49,0,80,86,37,100,95,50,0,80,86,37,100,95,51,0,80,86,37,100,95,37,100,0,80,86,50,95,49,0,80,86,50,95,50,0,67,79,49,95,49,0,80,76,65,84,69,0,67,79,49,95,37,100,0,67,79,50,95,49,0,67,79,50,95,37,100,0,83,69,67,80,73,88,0,80,73,88,83,67,65,76,69,0,80,73,88,83,67,65,76,49,0,88,80,73,88,83,73,90,69,0,83,69,67,80,73,88,49,0,83,69,67,80,73,88,50,0,89,80,73,88,83,73,90,69,0,80,73,88,83,67,65,76,50,0,80,67,48,48,49,48,48,49,0,80,67,48,48,37,49,100,48,48,37,49,100,0,80,67,37,49,100,95,37,49,100,0,67,82,79,84,65,49,0,87,67,83,73,78,73,84,58,32,115,101,116,116,105,110,103,32,67,68,69,76,84,32,116,111,32,49,0,68,65,84,69,45,79,66,83,0,85,84,0,85,84,77,73,68,0,87,67,83,73,78,73,84,67,58,32,78,111,32,105,109,97,103,101,32,115,99,97,108,101,32,102,111,114,32,87,67,83,32,37,99,0,80,76,84,82,65,72,0,80,76,84,82,65,77,0,80,76,84,82,65,83,0,80,76,84,68,69,67,83,78,0,80,76,84,68,69,67,68,0,80,76,84,68,69,67,77,0,80,76,84,68,69,67,83,0,69,81,85,73,78,79,88,0,37,50,46,48,102,58,37,50,46,48,102,58,37,53,46,51,102,32,37,99,37,50,46,48,102,58,37,50,46,48,102,58,37,53,46,51,102,32,37,115,0,80,76,84,83,67,65,76,69,0,88,80,73,88,69,76,83,90,0,89,80,73,88,69,76,83,90,0,67,78,80,73,88,49,0,67,78,80,73,88,50,0,80,80,79,49,0,80,80,79,37,100,0,65,77,68,88,49,0,65,77,68,88,37,100,0,65,77,68,89,49,0,65,77,68,89,37,100,0,82,65,45,45,45,68,83,83,0,68,69,67,45,45,68,83,83,0,87,67,83,73,78,73,84,58,32,78,111,32,82,65,32,119,105,116,104,32,83,69,67,80,73,88,44,32,110,111,32,87,67,83,0,87,67,83,73,78,73,84,32,78,111,32,68,69,67,32,119,105,116,104,32,83,69,67,80,73,88,44,32,110,111,32,87,67,83,0,76,79,78,71,80,79,76,69,0,82,65,45,45,45,84,65,78,0,68,69,67,45,45,84,65,78,0,87,67,83,73,78,73,84,58,32,78,111,32,105,109,97,103,101,32,115,99,97,108,101,0,42,69,114,114,111,114,42,58,32,105,110,99,111,114,114,101,99,116,32,108,105,110,101,97,114,32,99,111,110,118,101,114,115,105,111,110,32,105,110,32,37,115,0,87,65,82,78,73,78,71,58,32,83,105,103,110,105,102,105,99,97,110,116,32,105,110,97,99,99,117,114,97,99,121,32,108,105,107,101,108,121,32,116,111,32,111,99,99,117,114,32,105,110,32,112,114,111,106,101,99,116,105,111,110,0,69,81,85,73,78,79,88,37,99,0,82,65,68,69,67,83,89,83,37,99,0,71,65,76,0,69,67,76,0,71,65,76,65,67,84,73,67,0,69,67,76,73,80,84,73,67,0,83,71,65,76,65,67,84,67,0,72,69,76,73,79,69,67,76,0,65,76,84,65,90,0,87,67,83,95,67,79,77,77,65,78,68,0,87,67,83,95,67,79,77,77,65,78,68,37,100,0,37,46,52,102,0,66,49,57,53,48,0,74,50,48,48,48,0,73,77,83,89,83,0,105,109,115,121,115,0,76,73,78,69,65,82,0,80,73,88,69,76,0,68,69,84,0,37,45,52,115,37,52,115,0,78,80,79,76,0,78,80,79,76,69,0,83,80,65,45,0,68,69,67,0,37,115,9,37,115,0,37,115,32,37,115,0,42,42,42,42,42,42,42,42,42,9,42,42,42,42,42,42,42,42,42,42,0,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,0,42,42,42,42,42,42,42,42,42,42,42,42,42,9,42,42,42,42,42,42,42,42,42,42,42,42,42,0,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,42,0,9,103,97,108,97,99,116,105,99,0,32,103,97,108,97,99,116,105,99,0,9,101,99,108,105,112,116,105,99,0,32,101,99,108,105,112,116,105,99,0,9,108,111,110,103,45,110,112,97,0,32,108,111,110,103,45,110,112,97,0,9,108,111,110,103,45,115,112,97,0,32,108,111,110,103,45,115,112,97,0,42,42,42,42,42,42,42,42,42,42,9,42,42,42,42,42,42,42,42,42,0,37,48,50,100,58,37,48,50,100,58,37,48,54,46,51,102,32,37,99,37,48,50,100,58,37,48,50,100,58,37,48,53,46,50,102,0,70,75,53,50,71,65,76,58,32,74,50,48,48,48,32,82,65,44,68,101,99,61,32,37,115,10,0,70,75,53,50,71,65,76,58,32,108,111,110,103,32,61,32,37,46,53,102,32,108,97,116,32,61,32,37,46,53,102,10,0,70,75,52,50,71,65,76,58,32,66,49,57,53,48,32,82,65,44,68,101,99,61,32,37,115,10,0,70,75,52,50,71,65,76,58,32,108,111,110,103,32,61,32,37,46,53,102,32,108,97,116,32,61,32,37,46,53,102,10,0,71,65,76,50,70,75,53,58,32,108,111,110,103,32,61,32,37,46,53,102,32,108,97,116,32,61,32,37,46,53,102,10,0,71,65,76,50,70,75,53,58,32,74,50,48,48,48,32,82,65,44,68,101,99,61,32,37,115,10,0,71,65,76,50,70,75,52,58,32,108,111,110,103,32,61,32,37,46,53,102,32,108,97,116,32,61,32,37,46,53,102,10,0,71,65,76,50,70,75,52,58,32,66,49,57,53,48,32,82,65,44,68,101,99,61,32,37,115,10,0,50,48,48,48,0,50,48,48,48,46,48,0,73,67,82,83,0,70,75,53,0,49,57,53,48,0,49,57,53,48,46,48,0,70,75,52,0,37,115,95,49,0,37,115,95,37,100,0,37,115,95,48,49,0,37,115,95,48,48,49,0,37,37,46,37,100,102,0,37,48,50,100,58,37,48,50,100,58,37,48,57,46,54,102,0,37,48,50,100,58,37,48,50,100,58,37,48,56,46,53,102,0,37,48,50,100,58,37,48,50,100,58,37,48,55,46,52,102,0,37,48,50,100,58,37,48,50,100,58,37,48,54,46,51,102,0,37,48,50,100,58,37,48,50,100,58,37,48,53,46,50,102,0,37,48,50,100,58,37,48,50,100,58,37,48,52,46,49,102,0,37,48,50,100,58,37,48,50,100,58,37,48,50,100,0,37,99,37,48,50,100,58,37,48,50,100,58,37,48,57,46,54,102,0,37,99,37,48,50,100,58,37,48,50,100,58,37,48,56,46,53,102,0,37,99,37,48,50,100,58,37,48,50,100,58,37,48,55,46,52,102,0,37,99,37,48,50,100,58,37,48,50,100,58,37,48,54,46,51,102,0,37,99,37,48,50,100,58,37,48,50,100,58,37,48,53,46,50,102,0,37,99,37,48,50,100,58,37,48,50,100,58,37,48,52,46,49,102,0,37,99,37,48,50,100,58,37,48,50,100,58,37,48,50,100,0,37,37,37,100,46,37,100,102,0,37,37,37,52,100,0,37,37,37,100,100,0,119,102,95,103,115,114,101,115,116,111,114,101,58,32,105,108,108,101,103,97,108,32,120,32,111,114,100,101,114,32,37,100,10,0,119,102,95,103,115,114,101,115,116,111,114,101,58,32,105,108,108,101,103,97,108,32,121,32,111,114,100,101,114,32,37,100,10,0,119,102,95,103,115,114,101,115,116,111,114,101,58,32,105,108,108,101,103,97,108,32,120,32,114,97,110,103,101,32,37,102,45,37,102,10,0,119,102,95,103,115,114,101,115,116,111,114,101,58,32,105,108,108,101,103,97,108,32,121,32,114,97,110,103,101,32,37,102,45,37,102,10,0,119,102,95,103,115,114,101,115,116,111,114,101,58,32,117,110,107,110,111,119,110,32,115,117,114,102,97,99,101,32,116,121,112,101,32,37,100,10,0,84,78,88,95,71,83,69,86,65,76,58,32,117,110,107,110,111,119,110,32,115,117,114,102,97,99,101,32,116,121,112,101,10,0,84,78,88,95,71,83,68,69,82,58,32,111,114,100,101,114,32,111,102,32,100,101,114,105,118,97,116,105,118,101,115,32,99,97,110,110,111,116,32,98,101,32,60,32,48,10,0,84,78,88,95,71,83,68,69,82,58,32,117,110,107,110,111,119,110,32,115,117,114,102,97,99,101,32,116,121,112,101,32,37,100,10,0,87,65,84,49,0,87,65,84,49,95,48,48,49,61,32,39,119,116,121,112,101,61,122,112,120,32,97,120,116,121,112,101,61,114,97,32,112,114,111,106,112,48,61,48,46,32,112,114,111,106,112,49,61,49,46,32,112,114,111,106,112,50,61,48,46,32,112,114,111,106,112,51,61,51,51,55,46,55,52,32,112,114,111,106,39,87,65,84,50,95,48,48,49,61,32,39,119,116,121,112,101,61,122,112,120,32,97,120,116,121,112,101,61,100,101,99,32,112,114,111,106,112,48,61,48,46,32,112,114,111,106,112,49,61,49,46,32,112,114,111,106,112,50,61,48,46,32,112,114,111,106,112,51,61,51,51,55,46,55,52,32,112,114,111,39,0,87,65,84,50,0,108,111,110,103,112,111,108,101,0,114,111,0,112,114,111,106,112,37,100,0,108,110,103,99,111,114,0,108,97,116,99,111,114,0,10,62,32,37,115,37,115,10,10,0,78,111,116,32,101,110,111,117,103,104,32,109,101,109,111,114,121,32,102,111,114,32,0,112,111,108,121,32,40,49,32,101,108,101,109,101,110,116,115,41,32,33,0,84,104,101,32,100,105,109,101,110,115,105,111,110,97,108,105,116,121,32,111,102,32,116,104,101,32,112,111,108,121,110,111,109,32,40,37,100,41,32,101,120,99,101,101,100,115,32,116,104,101,32,109,97,120,105,109,117,109,10,97,108,108,111,119,101,100,32,111,110,101,32,40,37,100,41,0,42,69,114,114,111,114,42,58,32,0,112,111,108,121,45,62,103,114,111,117,112,32,40,112,111,108,121,45,62,110,100,105,109,32,101,108,101,109,101,110,116,115,41,32,33,0,112,111,108,121,45,62,100,101,103,114,101,101,32,40,112,111,108,121,45,62,110,103,114,111,117,112,32,101,108,101,109,101,110,116,115,41,32,33,0,42,69,114,114,111,114,42,58,32,112,111,108,121,110,111,109,105,97,108,32,71,82,79,85,80,32,111,117,116,32,111,102,32,114,97,110,103,101,0,84,104,101,32,100,101,103,114,101,101,32,111,102,32,116,104,101,32,112,111,108,121,110,111,109,32,40,37,100,41,32,101,120,99,101,101,100,115,32,116,104,101,32,109,97,120,105,109,117,109,10,97,108,108,111,119,101,100,32,111,110,101,32,40,37,100,41,0,112,111,108,121,45,62,98,97,115,105,115,32,40,112,111,108,121,45,62,110,99,111,101,102,102,32,101,108,101,109,101,110,116,115,41,32,33,0,112,111,108,121,45,62,99,111,101,102,102,32,40,112,111,108,121,45,62,110,99,111,101,102,102,32,101,108,101,109,101,110,116,115,41,32,33,0,42,73,110,116,101,114,110,97,108,32,69,114,114,111,114,42,58,32,79,110,101,32,111,102,32,120,32,111,114,32,101,120,116,98,97,115,105,115,32,115,104,111,117,108,100,32,98,101,32,100,105,102,102,101,114,101,110,116,32,102,114,111,109,32,78,85,76,76,10,105,110,32,0,112,111,108,121,95,102,117,110,99,40,41,0,97,108,112,104,97,32,40,109,97,116,115,105,122,101,32,101,108,101,109,101,110,116,115,41,32,33,0,98,101,116,97,32,40,110,99,111,101,102,102,32,101,108,101,109,101,110,116,115,41,32,33,0,118,109,97,116,32,40,110,42,110,32,101,108,101,109,101,110,116,115,41,32,33,0,119,109,97,116,32,40,110,32,101,108,101,109,101,110,116,115,41,32,33,0,42,69,114,114,111,114,42,58,32,78,111,116,32,101,110,111,117,103,104,32,114,111,119,115,32,102,111,114,32,115,111,108,118,105,110,103,32,116,104,101,32,115,121,115,116,101,109,32,0,105,110,32,115,118,100,102,105,116,40,41,0,114,118,49,32,40,110,32,101,108,101,109,101,110,116,115,41,32,33,0,116,109,112,32,40,110,32,101,108,101,109,101,110,116,115,41,32,33,0,42,69,114,114,111,114,42,58,32,78,111,32,99,111,110,118,101,114,103,101,110,99,101,32,105,110,32,49,48,48,32,83,86,68,32,105,116,101,114,97,116,105,111,110,115,32,0,112,32,40,110,32,101,108,101,109,101,110,116,115,41,32,33,0,67,85,66,69,70,65,67,69,0,78,67,80,0,71,76,83,0,37,46,51,115,0,82,65,45,45,0,82,65,0,68,69,67,45,45,37,115,0,82,65,45,45,45,37,115,0,76,79,78,0,37,99,76,79,78,0,37,99,76,65,84,0,37,115,45,37,115,0,76,78,0,37,99,37,99,76,78,0,37,99,37,99,76,84,0,76,84,0,71,76,83,0,78,67,80,0,65,90,80,0,83,90,80,0,84,65,78,0,83,84,71,0,83,73,78,0,65,82,67,0,90,80,78,0,90,69,65,0,65,73,82,0,67,89,80,0,67,69,65,0,67,65,82,0,77,69,82,0,67,79,80,0,67,79,69,0,67,79,68,0,67,79,79,0,83,70,76,0,80,65,82,0,77,79,76,0,65,73,84,0,66,79,78,0,80,67,79,0,84,83,67,0,67,83,67,0,81,83,67,0,72,80,88,0,88,80,72,0,84,79,65,0,65,90,80,0,83,90,80,0,84,65,78,0,83,84,71,0,83,73,78,0,65,82],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+40985);allocate([67,0,90,80,78,0,90,69,65,0,65,73,82,0,67,89,80,0,67,69,65,0,67,65,82,0,77,69,82,0,83,70,76,0,80,65,82,0,77,79,76,0,65,73,84,0,67,79,80,0,67,79,69,0,67,79,68,0,67,79,79,0,66,79,78,0,80,67,79,0,84,83,67,0,67,83,67,0,81,83,67,0,72,80,88,0,88,80,72,0,84,79,65,0,65,95,79,82,68,69,82,0,68,73,83,84,73,78,73,84,58,32,77,105,115,115,105,110,103,32,65,95,79,82,68,69,82,32,107,101,121,119,111,114,100,32,102,111,114,32,83,112,105,116,122,101,114,32,100,105,115,116,111,114,116,105,111,110,0,65,95,37,100,95,37,100,0,66,95,79,82,68,69,82,0,68,73,83,84,73,78,73,84,58,32,77,105,115,115,105,110,103,32,66,95,79,82,68,69,82,32,107,101,121,119,111,114,100,32,102,111,114,32,83,112,105,116,122,101,114,32,100,105,115,116,111,114,116,105,111,110,0,66,95,37,100,95,37,100,0,65,80,95,79,82,68,69,82,0,68,73,83,84,73,78,73,84,58,32,77,105,115,115,105,110,103,32,65,80,95,79,82,68,69,82,32,107,101,121,119,111,114,100,32,102,111,114,32,83,112,105,116,122,101,114,32,100,105,115,116,111,114,116,105,111,110,0,65,80,95,37,100,95,37,100,0,66,80,95,79,82,68,69,82,0,68,73,83,84,73,78,73,84,58,32,77,105,115,115,105,110,103,32,66,80,95,79,82,68,69,82,32,107,101,121,119,111,114,100,32,102,111,114,32,83,112,105,116,122,101,114,32,100,105,115,116,111,114,116,105,111,110,0,66,80,95,37,100,95,37,100,0,45,83,73,80,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,100,114,105,118,101,114,32,102,111,114,32,112,114,101,45,101,120,105,115,116,105,110,103,32,109,101,109,111,114,121,32,102,105,108,101,58,32,40,102,102,111,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,112,114,101,45,101,120,105,115,116,105,110,103,32,109,101,109,111,114,121,32,102,105,108,101,58,32,40,102,102,111,109,101,109,41,0,102,97,105,108,101,100,32,103,101,116,32,116,104,101,32,115,105,122,101,32,111,102,32,116,104,101,32,109,101,109,111,114,121,32,102,105,108,101,58,32,40,102,102,111,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,115,116,114,117,99,116,117,114,101,32,102,111,114,32,102,111,108,108,111,119,105,110,103,32,102,105,108,101,58,32,40,102,102,111,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,102,105,108,101,110,97,109,101,58,32,40,102,102,111,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,104,101,97,100,115,116,97,114,116,32,97,114,114,97,121,58,32,40,102,102,111,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,105,111,98,117,102,102,101,114,32,97,114,114,97,121,58,32,40,102,102,111,109,101,109,41,0,102,102,111,109,101,109,32,99,111,117,108,100,32,110,111,116,32,105,110,116,101,114,112,114,101,116,32,112,114,105,109,97,114,121,32,97,114,114,97,121,32,104,101,97,100,101,114,32,111,102,32,102,105,108,101,58,32,40,102,102,111,109,101,109,41,0,102,102,111,109,101,109,32,99,111,117,108,100,32,110,111,116,32,109,111,118,101,32,116,111,32,116,104,101,32,115,112,101,99,105,102,105,101,100,32,101,120,116,101,110,115,105,111,110,58,0,32,101,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,32,37,100,32,100,111,101,115,110,39,116,32,101,120,105,115,116,32,111,114,32,99,111,117,108,100,110,39,116,32,98,101,32,111,112,101,110,101,100,46,0,32,101,120,116,101,110,115,105,111,110,32,119,105,116,104,32,69,88,84,78,65,77,69,32,61,32,37,115,44,0,32,32,32,32,32,32,32,32,32,32,32,97,110,100,32,119,105,116,104,32,69,88,84,86,69,82,83,32,61,32,37,100,44,0,32,32,32,32,32,32,32,32,32,32,32,97,110,100,32,119,105,116,104,32,88,84,69,78,83,73,79,78,32,61,32,37,115,44,0,32,100,111,101,115,110,39,116,32,101,120,105,115,116,32,111,114,32,99,111,117,108,100,110,39,116,32,98,101,32,111,112,101,110,101,100,46,0,115,112,101,99,105,102,105,101,100,32,101,120,116,101,110,115,105,111,110,32,110,117,109,98,101,114,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,58,0,44,58,59,0,32,44,58,0,105,108,108,101,103,97,108,32,69,88,84,86,69,82,32,118,97,108,117,101,32,105,110,32,105,110,112,117,116,32,85,82,76,58,0,59,0,117,110,107,110,111,119,110,32,116,121,112,101,32,111,102,32,72,68,85,32,105,110,32,105,110,112,117,116,32,85,82,76,58,0,80,0,105,108,108,101,103,97,108,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,111,102,32,105,109,97,103,101,32,105,110,32,116,97,98,108,101,32,99,101,108,108,32,105,110,32,105,110,112,117,116,32,85,82,76,58,0,32,100,105,100,32,110,111,116,32,102,105,110,100,32,97,32,114,111,119,32,101,120,112,114,101,115,115,105,111,110,32,101,110,99,108,111,115,101,100,32,105,110,32,40,32,41,0,102,97,105,108,101,100,32,116,111,32,99,108,111,115,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,102,105,108,101,58,32,40,102,102,99,108,111,115,41,0,115,116,100,105,110,0,103,115,105,102,116,112,58,0,103,115,105,102,116,112,58,47,47,0,115,104,109,101,109,58,0,102,105,108,101,58,0,78,97,109,101,32,111,102,32,102,105,108,101,32,105,115,32,116,111,111,32,108,111,110,103,46,0,58,91,0,46,105,109,104,0,105,110,112,117,116,32,102,105,108,101,32,85,82,76,32,105,115,32,109,105,115,115,105,110,103,32,99,108,111,115,105,110,103,32,98,114,97,99,107,101,116,32,39,93,39,0,114,97,119,115,116,100,105,110,58,47,47,0,114,97,119,102,105,108,101,58,47,47,0,99,111,108,32,0,98,105,110,0,112,105,120,0,99,111,109,112,114,101,115,115,32,0,99,111,109,112,114,101,115,115,93,0,103,116,105,102,105,108,116,101,114,40,0,114,101,103,102,105,108,116,101,114,40,0,91,98,105,110,0,91,66,73,78,0,91,66,105,110,0,91,99,111,108,32,0,91,67,79,76,32,0,91,67,111,108,32,0,108,105,116,101,114,97,108,32,115,116,114,105,110,103,32,105,110,32,105,110,112,117,116,32,102,105,108,101,32,85,82,76,32,105,115,32,109,105,115,115,105,110,103,32,99,108,111,115,105,110,103,32,115,105,110,103,108,101,32,113,117,111,116,101,0,110,101,115,116,101,100,32,98,114,97,99,107,101,116,115,32,105,110,32,105,110,112,117,116,32,102,105,108,101,32,85,82,76,32,105,115,32,109,105,115,115,105,110,103,32,99,108,111,115,105,110,103,32,98,114,97,99,107,101,116,0,91,112,105,120,0,91,80,73,88,0,91,80,105,120,0,91,99,111,109,112,114,101,115,115,0,105,110,112,117,116,32,102,105,108,101,32,85,82,76,32,108,97,99,107,115,32,118,97,108,105,100,32,114,111,119,32,102,105,108,116,101,114,32,101,120,112,114,101,115,115,105,111,110,0,86,105,116,97,108,32,67,70,73,84,83,73,79,32,112,97,114,97,109,101,116,101,114,115,32,104,101,108,100,32,105,110,32,109,101,109,111,114,121,32,104,97,118,101,32,98,101,101,110,32,99,111,114,114,117,112,116,101,100,33,33,0,70,97,116,97,108,32,99,111,110,100,105,116,105,111,110,32,100,101,116,101,99,116,101,100,32,105,110,32,102,105,116,115,95,114,101,103,105,115,116,101,114,95,100,114,105,118,101,114,46,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,102,105,108,101,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,109,101,109,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,109,101,109,107,101,101,112,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,115,116,100,105,110,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,115,116,100,105,110,102,105,108,101,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,115,116,100,111,117,116,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,105,114,97,102,109,101,109,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,114,97,119,102,105,108,101,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,99,111,109,112,114,101,115,115,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,99,111,109,112,114,101,115,115,109,101,109,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,99,111,109,112,114,101,115,115,102,105,108,101,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,99,111,109,112,114,101,115,115,111,117,116,102,105,108,101,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,99,111,109,112,114,101,115,115,111,117,116,102,105,108,101,58,47,47,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,114,111,111,116,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,104,116,116,112,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,104,116,116,112,102,105,108,101,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,104,116,116,112,109,101,109,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,104,116,116,112,99,111,109,112,114,101,115,115,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,102,116,112,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,102,116,112,102,105,108,101,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,102,116,112,109,101,109,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,102,116,112,99,111,109,112,114,101,115,115,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,102,97,105,108,101,100,32,116,111,32,114,101,103,105,115,116,101,114,32,116,104,101,32,115,116,114,101,97,109,58,47,47,32,100,114,105,118,101,114,32,40,105,110,105,116,95,99,102,105,116,115,105,111,41,0,78,97,109,101,32,111,102,32,102,105,108,101,32,116,111,32,111,112,101,110,32,105,115,32,98,108,97,110,107,46,32,40,102,102,111,112,101,110,41,0,78,97,109,101,32,111,102,32,102,105,108,101,32,116,111,32,111,112,101,110,32,105,115,32,116,111,111,32,108,111,110,103,46,32,40,102,102,111,112,101,110,41,0,99,111,117,108,100,32,110,111,116,32,112,97,114,115,101,32,116,104,101,32,105,110,112,117,116,32,102,105,108,101,110,97,109,101,58,32,40,102,102,111,112,101,110,41,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,100,114,105,118,101,114,32,102,111,114,32,116,104,105,115,32,102,105,108,101,58,32,40,102,102,111,112,101,110,41,0,99,104,101,99,107,102,105,108,101,32,102,97,105,108,101,100,32,102,111,114,32,116,104,105,115,32,102,105,108,101,58,32,40,102,102,111,112,101,110,41,0,99,111,117,108,100,32,110,111,116,32,99,104,97,110,103,101,32,100,114,105,118,101,114,32,102,111,114,32,116,104,105,115,32,102,105,108,101,58,32,40,102,102,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,102,105,110,100,32,111,114,32,111,112,101,110,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,102,105,108,101,58,32,40,102,102,111,112,101,110,41,0,99,97,110,110,111,116,32,111,112,101,110,32,97,110,32,101,120,105,115,116,105,110,103,32,102,105,108,101,32,111,102,32,116,104,105,115,32,116,121,112,101,58,32,40,102,102,111,112,101,110,41,0,102,97,105,108,101,100,32,103,101,116,32,116,104,101,32,115,105,122,101,32,111,102,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,102,105,108,101,58,32,40,102,102,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,115,116,114,117,99,116,117,114,101,32,102,111,114,32,102,111,108,108,111,119,105,110,103,32,102,105,108,101,58,32,40,102,102,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,102,105,108,101,110,97,109,101,58,32,40,102,102,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,104,101,97,100,115,116,97,114,116,32,97,114,114,97,121,58,32,40,102,102,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,105,111,98,117,102,102,101,114,32,97,114,114,97,121,58,32,40,102,102,111,112,101,110,41,0,102,102,111,112,101,110,32,99,111,117,108,100,32,110,111,116,32,105,110,116,101,114,112,114,101,116,32,112,114,105,109,97,114,121,32,97,114,114,97,121,32,104,101,97,100,101,114,32,111,102,32,102,105,108,101,58,32,0,102,102,111,112,101,110,32,99,111,117,108,100,32,110,111,116,32,109,111,118,101,32,116,111,32,116,104,101,32,115,112,101,99,105,102,105,101,100,32,101,120,116,101,110,115,105,111,110,58,0,103,116,105,0,79,66,83,84,65,66,76,69,0,105,108,108,101,103,97,108,32,114,111,119,110,117,109,32,102,111,114,32,105,109,97,103,101,32,99,101,108,108,58,0,67,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,109,97,103,101,32,105,110,32,97,32,116,97,98,108,101,32,99,101,108,108,58,0,70,97,105,108,101,100,32,116,111,32,102,105,110,100,32,114,111,119,32,109,97,116,99,104,105,110,103,32,116,104,105,115,32,101,120,112,114,101,115,115,105,111,110,58,0,114,111,119,32,115,116,97,116,105,115,102,121,105,110,103,32,116,104,105,115,32,101,120,112,114,101,115,115,105,111,110,32,100,111,101,115,110,39,116,32,101,120,105,115,116,58,58,0,109,101,109,58,47,47,95,49,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,102,105,108,101,32,102,111,114,32,99,111,112,121,32,111,102,32,105,109,97,103,101,32,105,110,32,116,97,98,108,101,32,99,101,108,108,58,0,70,97,105,108,101,100,32,116,111,32,99,111,112,121,32,116,97,98,108,101,32,99,101,108,108,32,116,111,32,110,101,119,32,112,114,105,109,97,114,121,32,97,114,114,97,121,58,0,109,101,109,0,99,111,109,112,114,101,115,115,0,104,116,116,112,0,102,116,112,0,103,115,105,102,116,112,0,101,100,105,116,105,110,103,32,99,111,108,117,109,110,115,32,105,110,32,105,110,112,117,116,32,116,97,98,108,101,32,102,97,105,108,101,100,32,40,102,102,111,112,101,110,41,0,32,119,104,105,108,101,32,116,114,121,105,110,103,32,116,111,32,112,101,114,102,111,114,109,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,111,112,101,114,97,116,105,111,110,58,0,109,101,109,58,47,47,95,50,0,111,110,45,116,104,101,45,102,108,121,32,115,101,108,101,99,116,105,111,110,32,111,102,32,105,109,97,103,101,32,115,101,99,116,105,111,110,32,102,97,105,108,101,100,32,40,102,102,111,112,101,110,41,0,32,119,104,105,108,101,32,116,114,121,105,110,103,32,116,111,32,117,115,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,115,101,99,116,105,111,110,32,102,105,108,116,101,114,58,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,115,101,108,101,99,116,101,100,32,99,111,108,117,109,110,115,32,97,114,114,97,121,32,40,102,102,111,112,101,110,41,0,32,119,104,105,108,101,32,116,114,121,105,110,103,32,116,111,32,115,101,108,101,99,116,32,114,111,119,115,32,119,105,116,104,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,102,105,108,116,101,114,58,0,115,101,108,101,99,116,105,111,110,32,111,102,32,114,111,119,115,32,105,110,32,105,110,112,117,116,32,116,97,98,108,101,32,102,97,105,108,101,100,32,40,102,102,111,112,101,110,41,0,111,110,45,116,104,101,45,102,108,121,32,115,101,108,101,99,116,105,111,110,32,111,102,32,114,111,119,115,32,105,110,32,105,110,112,117,116,32,116,97,98,108,101,32,102,97,105,108,101,100,32,40,102,102,111,112,101,110,41,0,67,70,73,84,83,73,79,32,117,115,101,100,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,102,105,108,116,101,114,105,110,103,32,101,120,112,114,101,115,115,105,111,110,32,116,111,32,99,114,101,97,116,101,32,116,104,105,115,32,116,97,98,108,101,58,0,109,101,109,58,47,47,95,51,0,111,110,45,116,104,101,45,102,108,121,32,104,105,115,116,111,103,114,97,109,109,105,110,103,32,111,102,32,105,110,112,117,116,32,116,97,98,108,101,32,102,97,105,108,101,100,32,40,102,102,111,112,101,110,41,0,32,119,104,105,108,101,32,116,114,121,105,110,103,32,116,111,32,101,120,101,99,117,116,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,104,105,115,116,111,103,114,97,109,32,115,112,101,99,105,102,105,99,97,116,105,111,110,58,0,67,70,73,84,83,73,79,32,117,115,101,100,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,101,120,112,114,101,115,115,105,111,110,32,116,111,32,99,114,101,97,116,101,32,116,104,105,115,32,104,105,115,116,111,103,114,97,109,58,0,109,101,109,58,47,47,95,52,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,32,102,111,114,32,112,105,120,101,108,32,102,105,108,116,101,114,58,0,112,105,120,101,108,32,102,105,108,116,101,114,105,110,103,32,101,120,112,114,101,115,115,105,111,110,32,110,111,116,32,115,112,97,99,101,32,115,101,112,97,114,97,116,101,100,58,0,102,97,105,108,101,100,32,116,111,32,101,120,101,99,117,116,101,32,105,109,97,103,101,32,102,105,108,116,101,114,58,0,112,105,120,101,108,32,102,105,108,116,101,114,105,110,103,32,111,102,32,105,110,112,117,116,32,105,109,97,103,101,32,102,97,105,108,101,100,32,40,102,102,111,112,101,110,41,0,32,119,104,105,108,101,32,116,114,121,105,110,103,32,116,111,32,101,120,101,99,117,116,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,58,0,67,70,73,84,83,73,79,32,117,115,101,100,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,101,120,112,114,101,115,115,105,111,110,32,116,111,32,99,114,101,97,116,101,32,116,104,105,115,32,105,109,97,103,101,58,0,99,97,110,110,111,116,32,117,115,101,32,112,105,120,101,108,32,102,105,108,116,101,114,32,111,110,32,110,111,110,45,73,77,65,71,69,32,72,68,85,0,67,79,77,80,82,69,83,83,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,102,105,108,101,32,102,111,114,32,115,101,108,101,99,116,101,100,32,114,111,119,115,32,102,114,111,109,32,105,110,112,117,116,32,116,97,98,108,101,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,32,102,111,114,32,105,109,97,103,101,32,115,101,99,116,105,111,110,58,0,73,110,112,117,116,32,105,109,97,103,101,32,101,105,116,104,101,114,32,104,97,100,32,78,65,88,73,83,32,61,32,48,32,40,78,85,76,76,32,105,109,97,103,101,41,32,111,114,32,104,97,115,32,62,32,52,32,100,105,109,101,110,115,105,111,110,115,0,101,114,114,111,114,32,99,111,112,121,105,110,103,32,104,101,97,100,101,114,32,102,114,111,109,32,105,110,112,117,116,32,105,109,97,103,101,32,116,111,32,111,117,116,112,117,116,32,105,109,97,103,101,0,101,114,114,111,114,32,112,97,114,115,105,110,103,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,109,97,103,101,32,115,101,99,116,105,111,110,32,115,112,101,99,105,102,105,101,114,58,0,105,109,97,103,101,32,115,101,99,116,105,111,110,32,101,120,99,101,101,100,115,32,100,105,109,101,110,115,105,111,110,115,32,111,102,32,105,110,112,117,116,32,105,109,97,103,101,58,0,67,68,49,95,0,102,105,116,115,95,99,111,112,121,95,105,109,97,103,101,95,115,101,99,116,105,111,110,58,32,110,111,32,109,101,109,111,114,121,32,102,111,114,32,105,109,97,103,101,32,115,101,99,116,105,111,110,0,102,105,116,115,95,99,111,112,121,95,105,109,97,103,101,95,115,101,99,116,105,111,110,58,32,101,114,114,111,114,32,99,111,112,121,105,110,103,32,105,109,97,103,101,32,115,101,99,116,105,111,110,0,32,44,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,102,105,108,101,32,102,111,114,32,99,111,112,121,32,40,102,102,101,100,105,116,95,99,111,108,117,109,110,115,41,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,97,108,108,32,72,68,85,115,32,102,114,111,109,32,105,110,112,117,116,32,102,105,108,101,32,40,102,102,101,100,105,116,95,99,111,108,117,109,110,115,41,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,116,104,101,32,105,110,112,117,116,32,102,105,108,101,32,40,102,102,101,100,105,116,95,99,111,108,117,109,110,115,41,0,112,97,114,115,105,110,103,32,101,114,114,111,114,32,105,110,32,99,111,108,117,109,110,32,102,105,108,116,101,114,32,101,120,112,114,101,115,115,105,111,110,0,67,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,116,111,32,104,111,108,100,32,116,111,107,101,110,32,115,116,114,105,110,103,32,40,102,105,116,115,95,103,101,116,95,116,111,107,101,110,50,41,46,0,102,97,105,108,101,100,32,116,111,32,100,101,108,101,116,101,32,99,111,108,117,109,110,32,105,110,32,105,110,112,117,116,32,102,105,108,101,58,0,99,111,108,117,109,110,32,111,114,32,107,101,121,119,111,114,100,32,116,111,32,98,101,32,100,101,108,101,116,101,100,32,100,111,101,115,32,110,111,116,32,101,120,105,115,116,58,0,40,32,61,0,101,114,114,111,114,58,32,99,111,108,117,109,110,32,111,114,32,107,101,121,119,111,114,100,32,110,97,109,101,32,105,115,32,98,108,97,110,107,58,0,84,104,101,32,107,101,121,119,111,114,100,32,110,97,109,101,58,0,105,115,32,105,110,118,97,108,105,100,32,117,110,108,101,115,115,32,97,32,99,111,108,117,109,110,32,104,97,115,32,98,101,101,110,32,112,114,101,118,105,111,117,115,108,121,0,99,114,101,97,116,101,100,32,111,114,32,101,100,105,116,116,101,100,32,98,121,32,97,32,99,97,108,99,117,108,97,116,111,114,32,99,111,109,109,97,110,100,0,83,121,110,116,97,120,32,101,114,114,111,114,32,105,110,32,99,111,108,117,109,110,115,32,115,112,101,99,105,102,105,101,114,32,105,110,32,105,110,112,117,116,32,85,82,76,58,0,102,97,105,108,101,100,32,116,111,32,114,101,110,97,109,101,32,99,111,108,117,109,110,32,105,110,32,105,110,112,117,116,32,102,105,108,101,0,32,111,108,100,110,97,109,101,32,61,0,32,110,101,119,110,97,109,101,32,61,0,99,111,108,117,109,110,32,111,114,32,107,101,121,119,111,114,100,32,116,111,32,98,101,32,114,101,110,97,109,101,100,32,100,111,101,115,32,110,111,116,32,101,120,105,115,116,58,0,40,0,85,110,97,98,108,101,32,116,111,32,99,97,108,99,117,108,97,116,101,32,101,120,112,114,101,115,115,105,111,110,0,67,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,116,111,32,104,111,108,100,32,65,83,67,73,73,32,102,105,108,101,32,99,111,110,116,101,110,116,115,46,0,67,111,117,108,100,32,110,111,116,32,111,112,101,110,32,65,83,67,73,73,32,102,105,108,101,32,37,115,46,0,99,111,108,117,109,110,32,99,111,110,116,97,105,110,105,110,103,32,105,109,97,103,101,32,105,110,32,116,97,98,108,101,32,99,101,108,108,32,100,111,101,115,32,110,111,116,32,101,120,105,115,116,58,0,84,104,105,115,32,101,120,116,101,110,115,105,111,110,32,105,115,32,110,111,116,32,97,32,98,105,110,97,114,121,32,116,97,98,108,101,46,0,32,67,97,110,110,111,116,32,111,112,101,110,32,116,104,101,32,105,109,97,103,101,32,105,110,32,97,32,98,105,110,97,114,121,32,116,97,98,108,101,32,99,101,108,108,46,0,69,114,114,111,114,32,103,101,116,116,105,110,103,32,116,104,101,32,100,105,109,101,110,115,105,111,110,115,32,111,102,32,116,104,101,32,105,109,97,103,101,0,69,114,114,111,114,58,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,105,109,97,103,101,32,99,111,108,117,109,110,32,104,97,115,32,105,110,118,97,108,105,100,32,100,97,116,97,116,121,112,101,58,0,67,97,110,110,111,116,32,111,112,101,110,32,97,110,32,105,109,97,103,101,32,105,110,32,97,32,115,105,110,103,108,101,32,114,111,119,32,111,102,32,116,104,105,115,32,99,111,108,117,109,110,46,0,102,97,105,108,101,100,32,116,111,32,119,114,105,116,101,32,114,101,113,117,105,114,101,100,32,112,114,105,109,97,114,121,32,97,114,114,97,121,32,107,101,121,119,111,114,100,115,32,105,110,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,0,72,73,83,84,79,82,89,32,32,84,104,105,115,32,105,109,97,103,101,32,119,97,115,32,99,111,112,105,101,100,32,102,114,111,109,32,114,111,119,32,37,108,100,32,111,102,32,99,111,108,117,109,110,32,39,37,115,39,44,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,100,97,116,97,32,98,117,102,102,101,114,32,102,114,111,109,32,102,105,108,101,58,0,84,83,67,65,76,110,0,84,90,69,82,79,110,0,84,85,78,73,84,110,0,84,78,85,76,76,110,0,84,68,77,73,78,110,0,68,65,84,65,77,73,78,0,84,68,77,65,88,110,0,68,65,84,65,77,65,88,0,105,67,84,89,80,110,0,67,84,89,80,69,105,0,105,67,84,89,110,97,0,67,84,89,80,69,105,97,0,105,67,85,78,73,110,0,67,85,78,73,84,105,0,105,67,85,78,110,97,0,67,85,78,73,84,105,97,0,105,67,82,86,76,110,0,67,82,86,65,76,105,0,105,67,82,86,110,97,0,67,82,86,65,76,105,97,0,105,67,68,76,84,110,0,67,68,69,76,84,105,0,105,67,68,69,110,97,0,67,68,69,76,84,105,97,0,105,67,82,80,88,110,0,67,82,80,73,88,105,0,105,67,82,80,110,97,0,67,82,80,73,88,105,97,0,105,106,80,67,110,97,0,80,67,105,95,106,97,0,105,106,67,68,110,97,0,67,68,105,95,106,97,0,105,86,110,95,109,97,0,80,86,105,95,109,97,0,105,83,110,95,109,97,0,80,83,105,95,109,97,0,105,67,82,68,110,97,0,67,82,68,69,82,105,97,0,105,67,83,89,110,97,0,67,83,89,69,82,105,97,0,105,67,82,79,84,110,0,67,82,79,84,65,105,0,87,67,65,88,110,97,0,87,67,83,65,88,69,83,97,0,87,67,83,78,110,97,0,105,67,78,65,110,97,0,67,78,65,77,69,105,97,0,105,67,84,89,80,109,0,105,67,85,78,73,109,0,105,67,82,86,76,109,0,105,67,68,76,84,109,0,105,67,82,80,88,109,0,105,67,84,89,109,97,0,105,67,85,78,109,97,0,105,67,82,86,109,97,0,105,67,68,69,109,97,0,105,67,82,80,109,97,0,105,106,80,67,109,97,0,105,106,67,68,109,97,0,105,86,109,95,109,97,0,105,83,109,95,109,97,0,105,67,82,68,109,97,0,105,67,83,89,109,97,0,105,67,82,79,84,109,0,87,67,65,88,109,97,0,87,67,83,78,109,97,0,76,79,78,80,109,97,0,76,65,84,80,109,97,0,69,81,85,73,109,97,0,77,74,68,79,66,109,0,77,74,68,65,109,0,82,65,68,69,109,97,0,105,67,78,65,109,97,0,68,65,86,71,109,0,78,97,109,101,32,111,102,32,102,105,108,101,32,116,111,32,99,114,101,97,116,101,32,105,115,32,98,108,97,110,107,46,32,40,102,102,105,110,105,116,41,0,70,105,108,101,110,97,109,101,32,105,115,32,116,111,111,32,108,111,110,103,46,32,40,102,102,105,110,105,116,41,0,99,111,117,108,100,32,110,111,116,32,112,97,114,115,101,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,110,97,109,101,58,32,40,102,102,105,110,105,116,41,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,100,114,105,118,101,114,32,102,111,114,32,116,104,105,115,32,102,105,108,101,58,32,40,102,102,105,110,105,116,41,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,110,101,119,32,102,105,108,101,32,40,97,108,114,101,97,100,121,32,101,120,105,115,116,115,63,41,58,0,99,97,110,110,111,116,32,99,114,101,97,116,101,32,97,32,110,101,119,32,102,105,108,101,32,111,102,32,116,104,105,115,32,116,121,112,101,58,32,40,102,102,105,110,105,116,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,102,105,108,101,110,97,109,101,58,32,40,102,102,105,110,105,116,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,104,101,97,100,115,116,97,114,116,32,97,114,114,97,121,58,32,40,102,102,105,110,105,116,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,105,111,98,117,102,102,101,114,32,97,114,114,97,121,58,32,40,102,102,105,110,105,116,41,0,32,32,32,32,48,0,80,67,79,85,78,84,32,32,61,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,48,0,115,116,100,111,117,116,0,83,84,68,79,85,84,0,70,73,76,69,58,47,47,0,70,105,108,101,32,110,97,109,101,32,105,115,32,116,111,111,32,108,111,110,103,46,32,40,102,105,116,115,95,97,108,114,101,97,100,121,95,111,112,101,110,41,0,99,111,117,108,100,32,110,111,116,32,112,97,114,115,101,32,116,104,101,32,112,114,101,118,105,111,117,115,108,121,32,111,112,101,110,101,100,32,102,105,108,101,110,97,109,101,58,32,40,102,102,111,112,101,110,41,0,99,97,110,110,111,116,32,114,101,111,112,101,110,32,102,105,108,101,32,82,69,65,68,87,82,73,84,69,32,119,104,101,110,32,112,114,101,118,105,111,117,115,108,121,32,111,112,101,110,101,100,32,82,69,65,68,79,78,76,89,0,10,69,82,82,79,82,58,32,77,105,115,109,97,116,99,104,32,105,110,32,116,104,101,32,67,70,73,84,83,73,79,95,83,79,78,65,77,69,32,118,97,108,117,101,32,105,110,32,116,104,101,32,102,105,116,115,105,111,46,104,32,105,110,99,108,117,100,101,32,102,105,108,101,0,116,104,97,116,32,119,97,115,32,117,115,101,100,32,116,111,32,98,117,105,108,100,32,116,104,101,32,67,70,73,84,83,73,79,32,108,105,98,114,97,114,121,44,32,97,110,100,32,116,104,101,32,118,97,108,117,101,32,105,110,32,116,104,101,32,105,110,99,108,117,100,101,32,102,105,108,101,0,116,104,97,116,32,119,97,115,32,117,115,101,100,32,119,104,101,110,32,99,111,109,112,105,108,105,110,103,32,116,104,101,32,97,112,112,108,105,99,97,116,105,111,110,32,112,114,111,103,114,97,109,58,0,32,32,32,86,101,114,115,105,111,110,32,117,115,101,100,32,116,111,32,98,117,105,108,100,32,116,104,101,32,67,70,73,84,83,73,79,32,108,105,98,114,97,114,121,32,32,32,61,32,37,100,10,0,32,32,32,86,101,114,115,105,111,110,32,105,110,99,108,117,100,101,100,32,98,121,32,116,104,101,32,97,112,112,108,105,99,97,116,105,111,110,32,112,114,111,103,114,97,109,32,61,32,37,100,10,0,10,70,105,120,32,116,104,105,115,32,98,121,32,114,101,99,111,109,112,105,108,105,110,103,32,97,110,100,32,116,104,101,110,32,114,101,108,105,110,107,105,110,103,32,116,104,105,115,32,97,112,112,108,105,99,97,116,105,111,110,32,112,114,111,103,114,97,109,32,0,119,105,116,104,32,116,104,101,32,67,70,73,84,83,73,79,32,108,105,98,114,97,114,121,46,0,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,100,114,105,118,101,114,32,102,111,114,32,112,114,101,45,101,120,105,115,116,105,110,103,32,109,101,109,111,114,121,32,102,105,108,101,58,32,40,102,102,105,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,112,114,101,45,101,120,105,115,116,105,110,103,32,109,101,109,111,114,121,32,102,105,108,101,58,32,40,102,102,105,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,115,116,114,117,99,116,117,114,101,32,102,111,114,32,109,101,109,111,114,121,32,102,105,108,101,58,32,40,102,102,105,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,102,105,108,101,110,97,109,101,58,32,40,102,102,105,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,104,101,97,100,115,116,97,114,116,32,97,114,114,97,121,58,32,40,102,102,105,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,105,111,98,117,102,102,101,114,32,97,114,114,97,121,58,32,40,102,102,105,109,101,109,41,0,83,84,68,73,78,0,102,97,105,108,101,100,32,116,111,32,99,108,111,115,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,102,105,108,101,58,32,40,102,102,100,101,108,116,41,0,102,97,105,108,101,100,32,116,111,32,100,101,108,101,116,101,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,102,105,108,101,58,32,40,102,102,100,101,108,116,41,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,100,97,116,97,32,98,117,102,102,101,114,32,116,111,32,102,105,108,101,58,0,10,70,73,84,83,73,79,32,115,116,97,116,117,115,32,61,32,37,100,58,32,37,115,10,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,32,102,111,114,32,99,111,112,121,32,111,102,32,105,110,112,117,116,32,102,105,108,101,58,0,72,69,82,65,95,68,65,84,65,95,68,73,82,69,67,84,79,82,89,0,105,110,118,97,108,105,100,32,67,87,68,58,32,100,111,101,115,32,110,111,116,32,109,97,116,99,104,32,114,111,111,116,32,100,97,116,97,32,100,105,114,101,99,116,111,114,121,0,105,110,118,97,108,105,100,32,67,87,68,58,32,110,111,116,32,101,113,117,97,108,32,116,111,32,114,111,111,116,32,100,97,116,97,32,100,105,114,101,99,116,111,114,121,32,43,32,117,115,101,114,110,97,109,101,0,105,110,118,97,108,105,100,32,102,105,108,101,110,97,109,101,58,32,112,97,116,104,32,110,111,116,32,119,105,116,104,105,110,32,117,115,101,114,32,100,105,114,101,99,116,111,114,121,0,72,79,77,69,0,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,99,111,109,112,114,101,115,115,101,100,32,100,105,115,107,32,102,105,108,101,32,40,102,105,108,101,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,117,110,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,32,97,108,114,101,97,100,121,32,101,120,105,115,116,115,58,32,40,102,105,108,101,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,119,43,98,0,99,111,117,108,100,32,110,111,116,32,99,114,101,97,116,101,32,117,110,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,58,32,40,102,105,108,101,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,101,114,114,111,114,32,105,110,32,102,105,108,101,95,99,111,109,112,114,101,115,115,95,111,112,101,110,58,32,102,97,105,108,101,100,32,116,111,32,117,110,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,58,0,32,105,110,116,111,32,110,101,119,32,111,117,116,112,117,116,32,102,105,108,101,58,0,46,122,0,46,122,105,112,0,45,122,0,99,111,109,112,114,101,115,115,109,101,109,58,47,47,0,109,97,108,108,111,99,32,111,102,32,105,110,105,116,105,97,108,32,109,101,109,111,114,121,32,102,97,105,108,101,100,32,40,109,101,109,95,99,114,101,97,116,101,109,101,109,41,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,109,112,116,121,32,109,101,109,111,114,121,32,102,105,108,101,32,40,109,101,109,95,99,114,101,97,116,101,41,0,45,46,103,122,0,115,116,100,111,117,116,46,103,122,0,83,84,68,79,85,84,46,103,122,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,109,112,116,121,32,109,101,109,111,114,121,32,102,105,108,101,32,40,109,101,109,95,99,114,101,97,116,101,95,99,111,109,112,41,0,70,97,105,108,101,100,32,116,111,32,114,101,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,40,109,101,109,95,116,114,117,110,99,97,116,101,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,32,116,111,32,99,111,112,121,32,115,116,100,105,110,32,40,115,116,100,105,110,95,111,112,101,110,41,58,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,115,116,100,105,110,32,116,111,32,102,105,108,101,32,40,115,116,100,105,110,95,111,112,101,110,41,0,99,97,110,110,111,116,32,111,112,101,110,32,115,116,100,105,110,32,119,105,116,104,32,87,82,73,84,69,32,97,99,99,101,115,115,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,109,112,116,121,32,109,101,109,111,114,121,32,102,105,108,101,32,40,115,116,100,105,110,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,115,116,100,105,110,32,105,110,116,111,32,109,101,109,111,114,121,32,40,115,116,100,105,110,95,111,112,101,110,41,0,67,111,117,108,100,110,39,116,32,102,105,110,100,32,116,104,101,32,115,116,114,105,110,103,32,39,83,73,77,80,76,69,39,32,105,110,32,116,104,101,32,115,116,100,105,110,32,115,116,114,101,97,109,46,0,84,104,105,115,32,100,111,101,115,32,110,111,116,32,108,111,111,107,32,108,105,107,101,32,97,32,70,73,84,83,32,102,105,108,101,46,0,114,101,97,108,108,111,99,32,102,97,105,108,101,100,32,119,104,105,108,101,32,99,111,112,121,105,110,103,32,115,116,100,105,110,32,40,115,116,100,105,110,50,109,101,109,41,0,99,97,110,110,111,116,32,111,112,101,110,32,99,111,109,112,114,101,115,115,101,100,32,105,110,112,117,116,32,115,116,114,101,97,109,32,119,105,116,104,32,87,82,73,84,69,32,97,99,99,101,115,115,32,40,109,101,109,95,99,111,109,112,114,101,115,115,95,115,116,100,105,110,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,109,112,116,121,32,109,101,109,111,114,121,32,102,105,108,101,32,40,99,111,109,112,114,101,115,115,95,115,116,100,105,110,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,117],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+51225);allocate([110,99,111,109,112,114,101,115,115,32,115,116,100,105,110,32,105,110,116,111,32,109,101,109,111,114,121,32,40,99,111,109,112,114,101,115,115,95,115,116,100,105,110,95,111,112,101,110,41,0,70,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,115,105,122,101,32,111,102,32,97,108,108,111,99,97,116,101,100,32,109,101,109,111,114,121,32,40,99,111,109,112,114,101,115,115,95,115,116,100,105,110,95,111,112,101,110,41,0,67,111,117,108,100,110,39,116,32,102,105,110,100,32,116,104,101,32,115,116,114,105,110,103,32,39,83,73,77,80,76,69,39,32,105,110,32,116,104,101,32,115,116,100,105,110,32,115,116,114,101,97,109,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,109,101,109,111,114,121,32,102,105,108,101,32,116,111,32,115,116,100,111,117,116,32,40,115,116,100,111,117,116,95,99,108,111,115,101,41,0,99,97,110,110,111,116,32,111,112,101,110,32,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,32,119,105,116,104,32,87,82,73,84,69,32,97,99,99,101,115,115,32,40,109,101,109,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,99,111,109,112,114,101,115,115,101,100,32,100,105,115,107,32,102,105,108,101,32,40,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,31,139,0,80,75,0,31,30,0,31,157,0,31,160,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,109,112,116,121,32,109,101,109,111,114,121,32,102,105,108,101,32,40,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,117,110,99,111,109,112,114,101,115,115,32,102,105,108,101,32,105,110,116,111,32,109,101,109,111,114,121,32,40,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,70,97,105,108,101,100,32,116,111,32,114,101,100,117,99,101,32,115,105,122,101,32,111,102,32,97,108,108,111,99,97,116,101,100,32,109,101,109,111,114,121,32,40,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,101,109,112,116,121,32,109,101,109,111,114,121,32,102,105,108,101,32,40,109,101,109,95,105,114,97,102,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,99,111,110,118,101,114,116,32,73,82,65,70,32,102,105,108,101,32,105,110,116,111,32,109,101,109,111,114,121,32,40,109,101,109,95,105,114,97,102,95,111,112,101,110,41,0,99,97,110,110,111,116,32,111,112,101,110,32,114,97,119,32,98,105,110,97,114,121,32,102,105,108,101,32,119,105,116,104,32,87,82,73,84,69,32,97,99,99,101,115,115,32,40,109,101,109,95,114,97,119,102,105,108,101,95,111,112,101,110,41,0,98,105,110,97,114,121,32,102,105,108,101,32,110,97,109,101,32,109,105,115,115,105,110,103,32,39,91,39,32,99,104,97,114,97,99,116,101,114,32,40,109,101,109,95,114,97,119,102,105,108,101,95,111,112,101,110,41,0,101,114,114,111,114,32,105,110,32,114,97,119,32,98,105,110,97,114,121,32,102,105,108,101,32,100,97,116,97,116,121,112,101,32,40,109,101,109,95,114,97,119,102,105,108,101,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,111,112,101,110,32,114,97,119,32,32,98,105,110,97,114,121,32,102,105,108,101,32,40,109,101,109,95,114,97,119,102,105,108,101,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,109,101,109,111,114,121,32,102,105,108,101,32,40,109,101,109,95,114,97,119,102,105,108,101,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,119,114,105,116,101,32,98,97,115,105,99,32,105,109,97,103,101,32,104,101,97,100,101,114,32,40,109,101,109,95,114,97,119,102,105,108,101,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,114,97,119,32,102,105,108,101,32,100,97,116,97,32,105,110,116,111,32,109,101,109,111,114,121,32,40,109,101,109,95,114,97,119,102,105,108,101,95,111,112,101,110,41,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,109,101,109,111,114,121,32,102,105,108,101,32,116,111,32,102,105,108,101,32,40,109,101,109,95,99,108,111,115,101,95,99,111,109,112,41,0,114,101,97,108,108,111,99,32,102,117,110,99,116,105,111,110,32,110,111,116,32,100,101,102,105,110,101,100,32,40,109,101,109,95,119,114,105,116,101,41,0,70,97,105,108,101,100,32,116,111,32,114,101,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,40,109,101,109,95,119,114,105,116,101,41,0,67,97,110,39,116,32,111,112,101,110,32,104,116,116,112,58,47,47,32,116,121,112,101,32,102,105,108,101,32,119,105,116,104,32,82,69,65,68,87,82,73,84,69,32,97,99,99,101,115,115,0,32,32,83,112,101,99,105,102,121,32,97,110,32,111,117,116,102,105,108,101,32,102,111,114,32,114,47,119,32,97,99,99,101,115,115,32,40,104,116,116,112,95,111,112,101,110,41,0,84,105,109,101,111,117,116,32,40,104,116,116,112,95,111,112,101,110,41,0,46,90,0,46,103,122,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,104,116,116,112,32,102,105,108,101,32,40,104,116,116,112,95,111,112,101,110,41,58,0,104,116,116,112,32,102,105,108,101,32,110,97,109,101,32,105,115,32,116,111,111,32,108,111,110,103,32,40,104,116,116,112,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,104,116,116,112,32,102,105,108,101,32,40,104,116,116,112,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,109,101,109,111,114,121,32,102,105,108,101,32,40,104,116,116,112,95,111,112,101,110,41,0,120,45,103,122,105,112,0,120,45,99,111,109,112,114,101,115,115,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,99,111,109,112,114,101,115,115,101,100,32,109,101,109,111,114,121,32,102,105,108,101,32,40,104,116,116,112,95,111,112,101,110,41,0,67,111,110,116,101,110,116,45,76,101,110,103,116,104,32,110,111,116,32,97,32,109,117,108,116,105,112,108,101,32,111,102,32,50,56,56,48,32,40,104,116,116,112,95,111,112,101,110,41,32,37,100,0,69,114,114,111,114,32,99,111,112,121,105,110,103,32,104,116,116,112,32,102,105,108,101,32,105,110,116,111,32,109,101,109,111,114,121,32,40,104,116,116,112,95,111,112,101,110,41,0,85,82,76,32,80,97,114,115,101,32,69,114,114,111,114,32,40,104,116,116,112,95,111,112,101,110,41,32,37,115,0,104,116,116,112,95,112,114,111,120,121,0,67,111,117,108,100,110,39,116,32,99,111,110,110,101,99,116,32,116,111,32,104,111,115,116,32,118,105,97,32,112,114,111,120,121,32,115,101,114,118,101,114,32,40,104,116,116,112,95,111,112,101,110,95,110,101,116,119,111,114,107,41,0,102,100,111,112,101,110,32,102,97,105,108,101,100,32,116,111,32,99,111,110,118,101,114,116,32,115,111,99,107,101,116,32,116,111,32,102,105,108,101,32,40,104,116,116,112,95,111,112,101,110,95,110,101,116,119,111,114,107,41,0,71,69,84,32,104,116,116,112,58,47,47,37,115,58,37,45,100,37,115,32,72,84,84,80,47,49,46,48,13,10,0,71,69,84,32,37,115,32,72,84,84,80,47,49,46,48,13,10,0,65,66,67,68,69,70,71,72,73,74,75,76,77,78,79,80,81,82,83,84,85,86,87,88,89,90,97,98,99,100,101,102,103,104,105,106,107,108,109,110,111,112,113,114,115,116,117,118,119,120,121,122,48,49,50,51,52,53,54,55,56,57,43,47,0,65,117,116,104,111,114,105,122,97,116,105,111,110,58,32,66,97,115,105,99,32,37,115,13,10,0,85,115,101,114,45,65,103,101,110,116,58,32,72,69,65,83,65,82,67,47,67,70,73,84,83,73,79,47,37,45,56,46,51,102,13,10,0,72,111,115,116,58,32,37,115,58,37,45,100,13,10,13,10,0,104,116,116,112,32,104,101,97,100,101,114,32,115,104,111,114,116,32,40,104,116,116,112,95,111,112,101,110,95,110,101,116,119,111,114,107,41,32,37,115,0,37,115,32,37,100,0,78,111,116,101,58,32,87,101,98,32,115,101,114,118,101,114,32,114,101,112,108,105,101,100,32,119,105,116,104,32,97,32,116,101,109,112,111,114,97,114,121,32,114,101,100,105,114,101,99,116,32,102,114,111,109,0,78,111,116,101,58,32,87,101,98,32,115,101,114,118,101,114,32,114,101,112,108,105,101,100,32,119,105,116,104,32,97,32,114,101,100,105,114,101,99,116,32,102,114,111,109,0,60,65,32,72,82,69,70,61,34,0,34,0,116,111,32,37,115,10,0,98,117,116,32,119,101,32,119,101,114,101,32,117,110,97,98,108,101,32,116,111,32,102,105,110,100,32,116,104,101,32,114,101,100,105,114,101,99,116,101,100,32,117,114,108,32,105,110,32,116,104,101,32,115,101,114,118,101,114,115,32,114,101,115,112,111,110,115,101,0,67,111,110,116,101,110,116,45,76,101,110,103,116,104,58,0,67,111,110,116,101,110,116,45,69,110,99,111,100,105,110,103,58,0,67,97,110,39,116,32,99,114,101,97,116,101,32,115,111,99,107,101,116,0,104,116,116,112,58,0,108,111,99,97,108,104,111,115,116,0,114,111,111,116,58,0,102,116,112,58,0,79,117,116,112,117,116,32,102,105,108,101,32,110,111,116,32,115,101,116,44,32,115,104,111,117,108,100,110,39,116,32,104,97,118,101,32,104,97,112,112,101,110,101,100,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,67,97,110,39,116,32,111,112,101,110,32,99,111,109,112,114,101,115,115,101,100,32,104,116,116,112,58,47,47,32,116,121,112,101,32,102,105,108,101,32,119,105,116,104,32,82,69,65,68,87,82,73,84,69,32,97,99,99,101,115,115,0,32,32,83,112,101,99,105,102,121,32,97,110,32,85,78,67,79,77,80,82,69,83,83,69,68,32,111,117,116,102,105,108,101,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,104,116,116,112,32,102,105,108,101,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,100,105,115,107,32,102,105,108,101,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,58,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,100,105,115,107,32,102,105,108,101,32,40,104,116,116,112,95,99,111,109,112,114,101,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,114,101,111,112,101,110,32,100,105,115,107,32,102,105,108,101,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,109,101,109,111,114,121,32,102,105,108,101,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,69,114,114,111,114,32,117,110,99,111,109,112,114,101,115,115,105,110,103,32,100,105,115,107,32,102,105,108,101,32,116,111,32,109,101,109,111,114,121,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,67,97,110,32,111,110,108,121,32,104,97,118,101,32,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,115,32,104,101,114,101,32,40,104,116,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,109,101,109,58,0,79,117,116,112,117,116,32,102,105,108,101,32,110,111,116,32,115,101,116,44,32,115,104,111,117,108,100,110,39,116,32,104,97,118,101,32,104,97,112,112,101,110,101,100,32,40,104,116,116,112,95,102,105,108,101,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,104,116,116,112,32,102,105,108,101,32,40,104,116,116,112,95,102,105,108,101,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,32,40,104,116,116,112,95,102,105,108,101,95,111,112,101,110,41,0,119,0,85,110,97,98,108,101,32,116,111,32,114,101,111,112,101,110,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,40,104,116,116,112,95,102,105,108,101,95,111,112,101,110,41,0,69,114,114,111,114,32,117,110,99,111,109,112,114,101,115,115,105,110,103,32,104,116,116,112,32,102,105,108,101,32,116,111,32,100,105,115,107,32,102,105,108,101,32,40,104,116,116,112,95,102,105,108,101,95,111,112,101,110,41,0,67,111,110,116,101,110,116,45,76,101,110,103,116,104,32,110,111,116,32,97,32,109,117,108,116,105,112,108,101,32,111,102,32,50,56,56,48,32,40,104,116,116,112,95,102,105,108,101,95,111,112,101,110,41,32,37,100,0,69,114,114,111,114,32,99,111,112,121,105,110,103,32,104,116,116,112,32,102,105,108,101,32,116,111,32,100,105,115,107,32,102,105,108,101,32,40,104,116,116,112,95,102,105,108,101,95,111,112,101,110,41,0,67,97,110,39,116,32,111,112,101,110,32,102,116,112,58,47,47,32,116,121,112,101,32,102,105,108,101,32,119,105,116,104,32,82,69,65,68,87,82,73,84,69,32,97,99,99,101,115,115,0,83,112,101,99,105,102,121,32,97,110,32,111,117,116,102,105,108,101,32,102,111,114,32,114,47,119,32,97,99,99,101,115,115,32,40,102,116,112,95,111,112,101,110,41,0,102,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,32,40,102,116,112,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,102,116,112,32,102,105,108,101,32,40,102,116,112,95,111,112,101,110,41,0,67,111,117,108,100,32,110,111,116,32,99,114,101,97,116,101,32,109,101,109,111,114,121,32,102,105,108,101,32,116,111,32,112,97,115,115,105,118,101,32,112,111,114,116,32,40,102,116,112,95,111,112,101,110,41,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,99,111,109,112,114,101,115,115,101,100,32,109,101,109,111,114,121,32,102,105,108,101,32,40,102,116,112,95,111,112,101,110,41,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,109,101,109,111,114,121,32,102,105,108,101,32,40,104,116,116,112,95,111,112,101,110,41,0,81,85,73,84,10,0,102,116,112,32,102,105,108,101,110,97,109,101,32,105,115,32,116,111,111,32,108,111,110,103,32,40,102,116,112,95,111,112,101,110,41,0,85,82,76,32,80,97,114,115,101,32,69,114,114,111,114,32,40,102,116,112,95,111,112,101,110,41,32,37,115,0,97,110,111,110,121,109,111,117,115,0,117,115,101,114,64,104,111,115,116,46,99,111,109,0,102,100,111,112,101,110,32,102,97,105,108,101,100,32,116,111,32,99,111,110,118,101,114,116,32,115,111,99,107,101,116,32,116,111,32,115,116,100,105,111,32,102,105,108,101,32,40,102,116,112,95,111,112,101,110,41,0,50,50,48,32,0,101,114,114,111,114,32,99,111,110,110,101,99,116,105,110,103,32,116,111,32,114,101,109,111,116,101,32,115,101,114,118,101,114,44,32,110,111,32,50,50,48,32,115,101,101,110,32,40,102,116,112,95,111,112,101,110,41,0,85,83,69,82,32,37,115,10,0,51,51,49,32,0,85,83,69,82,32,101,114,114,111,114,32,110,111,32,51,51,49,32,115,101,101,110,32,40,102,116,112,95,111,112,101,110,41,0,80,65,83,83,32,37,115,10,0,50,51,48,32,0,80,65,83,83,32,101,114,114,111,114,44,32,110,111,32,50,51,48,32,115,101,101,110,32,40,102,116,112,95,111,112,101,110,41,0,67,87,68,32,47,10,0,67,87,68,32,37,115,10,0,50,53,48,32,0,67,87,68,32,101,114,114,111,114,44,32,110,111,32,50,53,48,32,115,101,101,110,32,40,102,116,112,95,111,112,101,110,41,0,78,117,108,108,32,102,105,108,101,32,110,97,109,101,32,40,102,116,112,95,111,112,101,110,41,0,50,48,48,32,0,84,89,80,69,32,73,32,101,114,114,111,114,44,32,50,48,48,32,110,111,116,32,115,101,101,110,32,40,102,116,112,95,111,112,101,110,41,0,80,65,83,86,10,0,80,65,83,86,32,101,114,114,111,114,32,40,102,116,112,95,111,112,101,110,41,0,44,41,0,67,111,117,108,100,32,110,111,116,32,99,111,110,110,101,99,116,32,116,111,32,112,97,115,115,105,118,101,32,112,111,114,116,32,40,102,116,112,95,111,112,101,110,41,0,82,69,84,82,32,37,115,10,0,49,53,48,32,0,79,117,116,112,117,116,32,102,105,108,101,32,110,111,116,32,115,101,116,44,32,115,104,111,117,108,100,110,39,116,32,104,97,118,101,32,104,97,112,112,101,110,101,100,32,40,102,116,112,95,102,105,108,101,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,104,116,116,112,32,102,105,108,101,32,40,102,116,112,95,102,105,108,101,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,32,40,102,116,112,95,102,105,108,101,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,114,101,111,112,101,110,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,40,102,116,112,95,102,105,108,101,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,117,110,99,111,109,112,114,101,115,115,32,116,104,101,32,111,117,116,112,117,116,32,102,105,108,101,32,40,102,116,112,95,102,105,108,101,95,111,112,101,110,41,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,102,105,108,101,32,40,102,116,112,95,102,105,108,101,95,111,112,101,110,41,0,67,111,109,112,114,101,115,115,101,100,32,102,105,108,101,115,32,109,117,115,116,32,98,101,32,114,47,111,0,79,117,116,112,117,116,32,102,105,108,101,32,110,111,116,32,115,101,116,44,32,115,104,111,117,108,100,110,39,116,32,104,97,118,101,32,104,97,112,112,101,110,101,100,32,40,102,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,111,112,101,110,32,102,116,112,32,102,105,108,101,32,40,102,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,102,105,108,101,32,40,102,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,102,105,108,101,32,40,102,116,112,95,99,111,109,112,114,101,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,114,101,111,112,101,110,32,100,105,115,107,32,102,105,108,101,32,40,102,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,109,101,109,111,114,121,32,102,105,108,101,32,40,102,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,99,111,109,112,114,101,115,115,101,100,32,109,101,109,111,114,121,32,102,105,108,101,32,40,102,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,67,97,110,32,111,110,108,121,32,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,115,32,104,101,114,101,32,40,102,116,112,95,99,111,109,112,114,101,115,115,95,111,112,101,110,41,0,104,116,116,112,109,101,109,58,47,47,0,102,116,112,109,101,109,58,47,47,0,114,101,97,100,0,117,112,100,97,116,101,0,85,82,76,32,80,97,114,115,101,32,69,114,114,111,114,32,40,114,111,111,116,95,111,112,101,110,41,32,37,115,0,67,111,117,108,100,110,39,116,32,99,111,110,110,101,99,116,32,116,111,32,104,111,115,116,32,40,104,116,116,112,95,111,112,101,110,95,110,101,116,119,111,114,107,41,0,82,79,79,84,85,83,69,82,78,65,77,69,0,85,115,101,114,110,97,109,101,58,32,0,101,114,114,111,114,32,116,97,108,107,105,110,103,32,116,111,32,114,101,109,111,116,101,32,115,121,115,116,101,109,32,111,110,32,117,115,101,114,110,97,109,101,32,0,101,114,114,111,114,32,116,97,108,107,105,110,103,32,116,111,32,114,101,109,111,116,101,32,115,121,115,116,101,109,32,111,110,32,117,115,101,114,110,97,109,101,0,69,82,82,79,82,32,111,110,32,82,79,79,84,68,95,85,83,69,82,0,82,79,79,84,80,65,83,83,87,79,82,68,0,80,97,115,115,119,111,114,100,58,32,0,101,114,114,111,114,32,116,97,108,107,105,110,103,32,116,111,32,114,101,109,111,116,101,32,115,121,115,116,101,109,32,115,101,110,100,105,110,103,32,112,97,115,115,119,111,114,100,0,101,114,114,111,114,32,116,97,108,107,105,110,103,32,116,111,32,114,101,109,111,116,101,32,115,121,115,116,101,109,32,97,99,107,105,110,103,32,112,97,115,115,119,111,114,100,0,69,82,82,79,82,32,111,110,32,82,79,79,84,68,95,80,65,83,83,0,101,114,114,111,114,32,116,97,108,107,105,110,103,32,116,111,32,114,101,109,111,116,101,32,115,121,115,116,101,109,32,111,110,32,111,112,101,110,32,0,101,114,114,111,114,32,116,97,108,107,105,110,103,32,116,111,32,114,101,109,111,116,101,32,115,121,115,116,101,109,32,111,110,32,111,112,101,110,0,69,82,82,79,82,32,111,110,32,82,79,79,84,68,95,79,80,69,78,0,99,114,101,97,116,101,0,85,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,102,105,108,101,0,37,108,100,32,37,108,100,32,0,67,97,110,32,111,110,108,121,32,97,100,100,32,114,111,119,115,32,116,111,32,84,65,66,76,69,32,111,114,32,66,73,78,84,65,66,76,69,32,101,120,116,101,110,115,105,111,110,32,40,102,102,105,114,111,119,41,0,73,110,115,101,114,116,32,112,111,115,105,116,105,111,110,32,103,114,101,97,116,101,114,32,116,104,97,110,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,32,105,110,32,116,104,101,32,116,97,98,108,101,32,40,102,102,105,114,111,119,41,0,73,110,115,101,114,116,32,112,111,115,105,116,105,111,110,32,105,115,32,108,101,115,115,32,116,104,97,110,32,48,32,40,102,102,105,114,111,119,41,0,69,114,114,111,114,32,119,104,105,108,101,32,115,104,105,102,116,105,110,103,32,98,108,111,99,107,32,40,102,102,115,104,102,116,41,0,67,97,110,32,111,110,108,121,32,100,101,108,101,116,101,32,114,111,119,115,32,105,110,32,84,65,66,76,69,32,111,114,32,66,73,78,84,65,66,76,69,32,101,120,116,101,110,115,105,111,110,32,40,102,102,100,114,111,119,41,0,68,101,108,101,116,101,32,112,111,115,105,116,105,111,110,32,103,114,101,97,116,101,114,32,116,104,97,110,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,32,105,110,32,116,104,101,32,116,97,98,108,101,32,40,102,102,100,114,111,119,41,0,68,101,108,101,116,101,32,112,111,115,105,116,105,111,110,32,105,115,32,108,101,115,115,32,116,104,97,110,32,49,32,40,102,102,100,114,111,119,41,0,78,111,46,32,111,102,32,114,111,119,115,32,116,111,32,100,101,108,101,116,101,32,101,120,99,101,101,100,115,32,115,105,122,101,32,111,102,32,116,97,98,108,101,32,40,102,102,100,114,111,119,41,0,67,97,110,32,111,110,108,121,32,97,100,100,32,99,111,108,117,109,110,115,32,116,111,32,84,65,66,76,69,32,111,114,32,66,73,78,84,65,66,76,69,32,101,120,116,101,110,115,105,111,110,32,40,102,102,105,99,111,108,41,0,108,97,98,101,108,32,102,111,114,32,102,105,101,108,100,0,102,111,114,109,97,116,32,111,102,32,102,105,101,108,100,0,98,101,103,105,110,110,105,110,103,32,99,111,108,117,109,110,32,111,102,32,102,105,101,108,100,0,67,97,110,32,111,110,108,121,32,100,101,108,101,116,101,32,99,111,108,117,109,110,32,102,114,111,109,32,84,65,66,76,69,32,111,114,32,66,73,78,84,65,66,76,69,32,101,120,116,101,110,115,105,111,110,32,40,102,102,100,99,111,108,41,0,69,88,84,69,78,68,32,32,0,67,79,77,77,69,78,84,32,32,32,70,73,84,83,32,40,70,108,101,120,105,98,108,101,32,73,109,97,103,101,32,84,114,97,110,115,112,111,114,116,32,83,121,115,116,101,109,41,32,102,111,114,109,97,116,32,105,115,0,80,67,79,85,78,84,32,32,0,71,67,79,85,78,84,32,32,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,102,111,114,32,84,70,73,69,76,68,83,32,107,101,121,119,111,114,100,58,32,37,100,0,69,120,112,114,101,115,115,105,111,110,32,100,111,101,115,32,110,111,116,32,101,118,97,108,117,97,116,101,32,116,111,32,97,32,108,111,103,105,99,97,108,32,115,99,97,108,97,114,46,0,112,97,114,115,101,95,100,97,116,97,40,116,111,116,97,108,61,37,108,100,44,32,111,102,102,115,101,116,61,37,108,100,44,32,102,105,114,115,116,61,37,108,100,44,32,114,111,119,115,61,37,108,100,44,32,99,111,108,115,61,37,100,41,10,0,79,117,116,112,117,116,32,99,111,108,117,109,110,32,102,111,114,32,112,97,114,115,101,114,32,114,101,115,117,108,116,115,32,110,111,116,32,102,111,117,110,100,33,0,105,110,118,97,108,105,100,32,102,114,101,101,40,98,105,116,83,116,114,115,91,48,93,41,32,97,116,32,37,115,58,37,100,10,0,101,118,97,108,95,102,46,99,0,83,101,116,117,112,68,97,116,97,65,114,114,97,121,115,44,32,117,110,104,97,110,100,108,101,100,32,116,121,112,101,32,37,100,10,0,105,110,118,97,108,105,100,32,102,114,101,101,40,40,40,99,104,97,114,42,42,41,118,97,114,68,97,116,97,45,62,100,97,116,97,41,91,48,93,41,32,97,116,32,37,115,58,37,100,10,0,105,110,118,97,108,105,100,32,102,114,101,101,40,118,97,114,68,97,116,97,45,62,117,110,100,101,102,41,32,97,116,32,37,115,58,37,100,10,0,105,110,118,97,108,105,100,32,102,114,101,101,40,114,101,115,117,108,116,45,62,118,97,108,117,101,46,100,97,116,97,46,112,116,114,41,32,97,116,32,37,115,58,37,100,10,0,78,117,109,101,114,105,99,97,108,32,111,118,101,114,102,108,111,119,32,119,104,105,108,101,32,99,111,110,118,101,114,116,105,110,103,32,101,120,112,114,101,115,115,105,111,110,32,116,111,32,110,101,99,101,115,115,97,114,121,32,100,97,116,97,116,121,112,101,0,67,97,110,110,111,116,32,99,111,110,118,101,114,116,32,98,105,116,32,101,120,112,114,101,115,115,105,111,110,32,116,111,32,100,101,115,105,114,101,100,32,116,121,112,101,46,0,105,110,118,97,108,105,100,32,102,114,101,101,40,114,101,115,117,108,116,45,62,118,97,108,117,101,46,100,97,116,97,46,115,116,114,112,116,114,91,48,93,41,32,97,116,32,37,115,58,37,100,10,0,105,110,118,97,108,105,100,32,102,114,101,101,40,114,101,115,117,108,116,45,62,118,97,108,117,101,46,100,97,116,97,46,115,116,114,112,116,114,41,32,97,116,32,37,115,58,37,100,10,0,67,97,110,110,111,116,32,99,111,110,118,101,114,116,32,115,116,114,105,110,103,32,101,120,112,114,101,115,115,105,111,110,32,116,111,32,100,101,115,105,114,101,100,32,116,121,112,101,46,0,105,110,118,97,108,105,100,32,102,114,101,101,40,103,80,97,114,115,101,46,99,111,108,68,97,116,97,41,32,97,116,32,37,115,58,37,100,10,0,105,110,118,97,108,105,100,32,102,114,101,101,40,40,40,99,104,97,114,42,42,41,103,80,97,114,115,101,46,118,97,114,68,97,116,97,91,99,111,108,93,46,100,97,116,97,41,91,48,93,41,32,97,116,32,37,115,58,37,100,10,0,105,110,118,97,108,105,100,32,102,114,101,101,40,103,80,97,114,115,101,46,118,97,114,68,97,116,97,41,32,97,116,32,37,115,58,37,100,10,0,102,102,105,112,114,115,58,32,117,110,97,98,108,101,32,116,111,32,103,101,116,32,105,109,97,103,101,32,100,105,109,101,110,115,105,111,110,115,0,110,97,120,105,115,61,37,100,44,32,103,80,97,114,115,101,46,116,111,116,97,108,82,111,119,115,61,37,108,100,10,0,66,108,97,110,107,32,101,120,112,114,101,115,115,105,111,110,0,66,97,100,32,114,101,116,117,114,110,32,100,97,116,97,32,116,121,112,101,0,105,110,118,97,108,105,100,32,102,114,101,101,40,103,80,97,114,115,101,46,101,120,112,114,41,32,97,116,32,37,115,58,37,100,10,0,108,111,97,100,95,99,111,108,117,109,110,58,32,73,77,65,71,69,95,72,68,85,32,102,82,111,119,61,37,108,100,44,32,110,82,111,119,115,61,37,108,100,32,61,62,32,37,100,10,0,105,110,118,97,108,105,100,32,102,114,101,101,40,40,99,104,97,114,32,42,41,98,121,116,101,115,41,32,97,116,32,37,115,58,37,100,10,0,108,111,97,100,95,99,111,108,117,109,110,58,32,117,110,101,120,112,101,99,116,101,100,32,100,97,116,97,116,121,112,101,32,37,100,0,102,105,110,100,95,99,111,108,117,109,110,40,37,115,41,10,0,102,105,110,100,95,99,111,108,117,109,110,58,32,73,77,65,71,69,95,72,68,85,32,98,117,116,32,110,111,32,80,105,120,101,108,70,105,108,116,101,114,0,102,105,110,100,95,99,111,108,117,109,110,58,32,80,105,120,101,108,70,105,108,116,101,114,32,116,97,103,32,37,115,32,110,111,116,32,102,111,117,110,100,0,84,90,69,82,79,37,100,0,84,83,67,65,76,37,100,0,99,111,108,117,109,110,32,37,100,32,105,115,32,119,105,100,101,114,32,116,104,97,110,32,109,97,120,105,109,117,109,32,37,100,32,99,104,97,114,97,99,116,101,114,115,0,118,97,114,105,97,98,108,101,45,108,101,110,103,116,104,32,97,114,114,97,121,32,99,111,108,117,109,110,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,46,32,116,121,112,101,99,111,100,101,32,61,32,37,100,0,117,115,101,32,68,79,85,66,76,69,32,102,111,114,32,37,115,32,119,105,116,104,32,66,83,67,65,76,69,61,37,103,47,66,90,69,82,79,61,37,103,10,0,115,101,116,95,105,109,97,103,101,95,99,111,108,95,116,121,112,101,115,58,32,117,110,114,101,99,111,103,110,105,122,101,100,32,105,109,97,103,101,32,98,105,116,112,105,120,32,91,37,100,93,10,0,102,102,103,107,101,121,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,107,101,121,119,111,114,100,58,32,37,115,0,79,117,116,112,117,116,32,116,97,98,108,101,32,104,97,115,32,100,105,102,102,101,114,101,110,116,32,114,111,119,32,108,101,110,103,116,104,32,102,114,111,109,32,105,110,112,117,116,0,85,110,97,98,108,101,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,114,111,119,32,115,101,108,101,99,116,105,111,110,0,105,110,118,97,108,105,100,32,102,114,101,101,40,73,110,102,111,46,100,97,116,97,80,116,114,41,32,97,116,32,37,115,58,37,100,10,0,67,97,110,110,111,116,32,112,117,116,32,116,97,98,117,108,97,114,32,114,101,115,117,108,116,32,105,110,116,111,32,107,101,121,119,111,114,100,32,40,102,102,99,97,108,99,41,0,72,73,83,84,79,82,89,32,97,110,100,32,67,79,77,77,69,78,84,32,118,97,108,117,101,115,32,109,117,115,116,32,98,101,32,115,116,114,105,110,103,115,32,40,102,102,99,97,108,99,41,0,67,97,110,110,111,116,32,99,114,101,97,116,101,32,76,79,71,73,67,65,76,32,99,111,108,117,109,110,32,105,110,32,65,83,67,73,73,32,116,97,98,108,101,0,68,50,51,46,49,53,0,65,37,108,100,0,37,108,100,37,115,0,78,117,108,108,32,118,97,108,117,101,0,78,117,108,108,32,118,97,108,117,101,32,115,116,114,105,110,103,0,68,69,66,85,71,95,80,73,88,70,73,76,84,69,82,0,117,115,105,110,103,32,100,101,102,97,117,108,116,32,116,97,103,32,39,37,115,39,10,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,99,97,110,110,111,116,32,104,97,118,101,32,115,116,114,105,110,103,32,105,109,97,103,101,0,104,109,109,44,32,105,109,97,103,101,32,102,114,111,109,32,98,105,116,115,63,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,101,120,112,101,99,116,101,100,32,114,101,115,117,108,116,32,100,97,116,97,116,121,112,101,0,76,79,71,73,67,65,76,0,76,79,78,71,0,68,79,85,66,76,69,0,66,73,84,0,85,78,75,78,79,87,78,63,33,0,114,101,115,117,108,116,32,116,121,112,101,32,105,115,32,37,115,32,91,37,100,93,10,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,105,110,112,117,116,32,105,109,97,103,101,32,112,97,114,97,109,101,116,101,114,115,0,105,110,112,117,116,32,98,105,116,112,105,120,32,37,100,10,0,111,117,116,112,117,116,32,98,105,116,112,105,120,32,37,100,10,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,97,98,108,101,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,105,109,97,103,101,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,97,98,108,101,32,116,111,32,100,101,116,101,114,109,105,110,101,32,110,117,109,98,101,114,32,111,102,32,107,101,121,99,97,114,100,115,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,97,98,108,101,32,116,111,32,114,101,97,100,32,107,101,121,99,97,114,100,32,37,100,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,97,98,108,101,32,116,111,32,119,114,105,116,101,32,107,101,121,99,97,114,100,32,39,37,115,39,32,91,37,100,93,10,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,101,120,112,101,99,116,101,100,32,111,117,116,112,117,116,32,98,105,116,112,105,120,32,37,100,10,0,117,110,104,97,110,100,108,101,100,32,112,111,115,105,116,105,118,101,32,111,117,116,112,117,116,32,66,73,84,80,73,88,32,37,100,10,0,117,115,105,110,103,32,98,108,97,110,107,32,37,108,100,10,0,67,82,69,65,84,69,68,0,78,85,76,76,32,112,105,120,101,108,32,118,97,108,117,101,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,97,98,108,101,32,116,111,32,119,114,105,116,101,32,66,76,65,78,75,32,107,101,121,119,111,114,100,0,111,117,116,112,117,116,32,104,97,115,32,78,85,76,76,115,0,119,114,111,116,101,32,98,108,97,110,107,32,91,37,100,93,10,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,97,98,108,101,32,116,111,32,114,101,115,101,116,32,105,109,103,110,117,108,108,0,112,105,120,101,108,95,102,105,108,116,101,114,58,32,117,110,101,120,112,101,99,116,101,100,32,99,111,110,115,116,97,110,116,32,114,101,115,117,108,116,32,116,121,112,101,32,91,37,100,93,10,0,79,75,32,45,32,110,111,32,101,114,114,111,114,0,110,111,110,45,67,70,73,84,83,73,79,32,112,114,111,103,114,97,109,32,101,114,114,111,114,0,115,97,109,101,32,105,110,112,117,116,32,97,110,100,32,111,117,116,112,117,116,32,102,105,108,101,115,0,97,116,116,101,109,112,116,32,116,111,32,111,112,101,110,32,116,111,111,32,109,97,110,121,32,102,105,108,101,115,0,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,110,97,109,101,100,32,102,105,108,101,0,99,111,117,108,100,110,39,116,32,99,114,101,97,116,101,32,116,104,101,32,110,97,109,101,100,32,102,105,108,101,0,101,114,114,111,114,32,119,114,105,116,105,110,103,32,116,111,32,70,73,84,83,32,102,105,108,101,0,116,114,105,101,100,32,116,111,32,109,111,118,101,32,112,97,115,116,32,101,110,100,32,111,102,32,102,105,108,101,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,102,114,111,109,32,70,73,84,83,32,102,105,108,101,0,99,111,117,108,100,32,110,111,116,32,99,108,111,115,101,32,116,104,101,32,102,105,108,101,0,97,114,114,97,121,32,100,105,109,101,110,115,105,111,110,115,32,116,111,111,32,98,105,103,0,99,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,114,101,97,100,111,110,108,121,32,102,105,108,101,0,99,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,0,105,110,118,97,108,105,100,32,102,105,116,115,102,105,108,101,32,112,111,105,110,116,101,114,0,78,85,76,76,32,105,110,112,117,116,32,112,111,105,110,116,101,114,0,101,114,114,111,114,32,115,101,101,107,105,110,103,32,102,105,108,101,32,112,111,115,105,116,105,111,110,0,105,110,118,97,108,105,100,32,85,82,76,32,112,114,101,102,105,120,0,116,111,111,32,109,97,110,121,32,73,47,79,32,100,114,105,118,101,114,115,0,73,47,79,32,100,114,105,118,101,114,32,105,110,105,116,32,102,97,105,108,101,100,0,110,111,32,73,47,79,32,100,114,105,118,101,114,32,102,111,114,32,116,104,105,115,32,85,82,76,116,121,112,101,0,112,97,114,115,101,32,101,114,114,111,114,32,105,110,32,105,110,112,117,116,32,102,105,108,101,32,85,82,76,0,112,97,114,115,101,32,101,114,114,111,114,32,105,110,32,114,97,110,103,101,32,108,105,115,116,0,98,97,100,32,97,114,103,117,109,101,110,116,32,40,115,104,97,114,101,100,32,109,101,109,32,100,114,118,114,41,0,110,117,108,108,32,112,116,114,32,97,114,103,32,40,115,104,97,114,101,100,32,109,101,109,32,100,114,118,114,41,0,110,111,32,102,114,101,101,32,115,104,97,114,101,100,32,109,101,109,111,114,121,32,104,97,110,100,108,101,115,0,115,104,97,114,101,32,109,101,109,32,100,114,118,114,32,110,111,116,32,105,110,105,116,105,97,108,105,122,101,100,0,73,80,67,32,115,121,115,116,101,109,32,101,114,114,111,114,32,40,115,104,97,114,101,100,32,109,101,109,41,0,110,111,32,109,101,109,111,114,121,32,40,115,104,97,114,101,100,32,109,101,109,32,100,114,118,114,41,0,115,104,97,114,101,32,109,101,109,32,114,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,0,108,111,99,107,32,102,105,108,101,32,111,112,101,110,47,99,114,101,97,116,101,32,102,97,105,108,101,100,0,99,97,110,39,116,32,114,101,115,105,122,101,32,115,104,97,114,101,32,109,101,109,32,98,108,111,99,107,0,104,101,97,100,101,114,32,97,108,114,101,97,100,121,32,104,97,115,32,107,101,121,119,111,114,100,115,0,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,32,105,110,32,104,101,97,100,101,114,0,107,101,121,119,111,114,100,32,110,117,109,98,101,114,32,111,117,116,32,111,102,32,98,111,117,110,100,115,0,107,101,121,119,111,114,100,32,118,97,108,117,101,32,105,115,32,117,110,100,101,102,105,110,101,100,0,115,116,114,105,110,103,32,109,105,115,115,105,110,103,32,99,108,111,115,105,110,103,32,113,117,111,116,101,0,101,114,114,111,114,32,105,110,32,105,110,100,101,120,101,100,32,107,101,121,119,111,114,100,32,110,97,109,101,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,32,105,110,32,107,101,121,119,111,114,100,0,114,101,113,117,105,114,101,100,32,107,101,121,119,111,114,100,115,32,111,117,116,32,111,102,32,111,114,100,101,114,0,107,101,121,119,111,114,100,32,118,97,108,117,101,32,110,111,116,32,112,111,115,105,116,105,118,101,32,105,110,116,0,69,78,68,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,105,108,108,101,103,97,108,32,66,73,84,80,73,88,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,105,108,108,101,103,97,108,32,78,65,88,73,83,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,105,108,108,101,103,97,108,32,78,65,88,73,83,110,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,105,108,108,101,103,97,108,32,80,67,79,85,78,84,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,105,108,108,101,103,97,108,32,71,67,79,85,78,84,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,105,108,108,101,103,97,108,32,84,70,73,69,76,68,83,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,110,101,103,97,116,105,118,101,32,116,97,98,108,101,32,114,111,119,32,115,105,122,101,0,110,101,103,97,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,114,111,119,115,0,110,97,109,101,100,32,99,111,108,117,109,110,32,110,111,116,32,102,111,117,110,100,0,105,108,108,101,103,97,108,32,83,73,77,80,76,69,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,102,105,114,115,116,32,107,101,121,119,111,114,100,32,110,111,116,32,83,73,77,80,76,69,0,115,101,99,111,110,100,32,107,101,121,119,111,114,100,32,110,111,116,32,66,73,84,80,73,88,0,116,104,105,114,100,32,107,101,121,119,111,114,100,32,110,111,116,32,78,65,88,73,83,0,109,105,115,115,105,110,103,32,78,65,88,73,83,110,32,107,101,121,119,111,114,100,115,0,102,105,114,115,116,32,107,101,121,119,111,114,100,32,110,111,116,32,88,84,69,78,83,73,79,78,0,67,72,68,85,32,110,111,116,32,97,110,32,65,83,67,73,73,32,116,97,98,108,101,0,67,72,68,85,32,110,111,116,32,97,32,98,105,110,97,114,121,32,116,97,98,108,101,0,80,67,79,85,78,84,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,71,67,79,85,78,84,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,84,70,73,69,76,68,83,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,109,105,115,115,105,110,103,32,84,66,67,79,76,110,32,107,101,121,119,111,114,100,0,109,105,115,115,105,110,103,32,84,70,79,82,77,110,32,107,101,121,119,111,114,100,0,67,72,68,85,32,110,111,116,32,97,110,32,73,77,65,71,69,32,101,120,116,101,110,115,105,111,110,0,105,108,108,101,103,97,108,32,84,66,67,79,76,110,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,67,72,68,85,32],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+61465);allocate([110,111,116,32,97,32,116,97,98,108,101,32,101,120,116,101,110,115,105,111,110,0,99,111,108,117,109,110,32,101,120,99,101,101,100,115,32,119,105,100,116,104,32,111,102,32,116,97,98,108,101,0,109,111,114,101,32,116,104,97,110,32,49,32,109,97,116,99,104,105,110,103,32,99,111,108,46,32,110,97,109,101,0,114,111,119,32,119,105,100,116,104,32,110,111,116,32,61,32,102,105,101,108,100,32,119,105,100,116,104,115,0,117,110,107,110,111,119,110,32,70,73,84,83,32,101,120,116,101,110,115,105,111,110,32,116,121,112,101,0,49,115,116,32,107,101,121,32,110,111,116,32,83,73,77,80,76,69,32,111,114,32,88,84,69,78,83,73,79,78,0,69,78,68,32,107,101,121,119,111,114,100,32,105,115,32,110,111,116,32,98,108,97,110,107,0,72,101,97,100,101,114,32,102,105,108,108,32,97,114,101,97,32,110,111,116,32,98,108,97,110,107,0,68,97,116,97,32,102,105,108,108,32,97,114,101,97,32,105,110,118,97,108,105,100,0,105,108,108,101,103,97,108,32,84,70,79,82,77,32,102,111,114,109,97,116,32,99,111,100,101,0,117,110,107,110,111,119,110,32,84,70,79,82,77,32,100,97,116,97,116,121,112,101,32,99,111,100,101,0,105,108,108,101,103,97,108,32,84,68,73,77,110,32,107,101,121,119,111,114,100,32,118,97,108,117,101,0,105,110,118,97,108,105,100,32,66,73,78,84,65,66,76,69,32,104,101,97,112,32,112,111,105,110,116,101,114,0,117,110,107,110,111,119,110,32,101,114,114,111,114,32,115,116,97,116,117,115,0,105,108,108,101,103,97,108,32,72,68,85,32,110,117,109,98,101,114,0,99,111,108,117,109,110,32,110,117,109,98,101,114,32,60,32,49,32,111,114,32,62,32,116,102,105,101,108,100,115,0,110,101,103,97,116,105,118,101,32,98,121,116,101,32,97,100,100,114,101,115,115,0,110,101,103,97,116,105,118,101,32,110,117,109,98,101,114,32,111,102,32,101,108,101,109,101,110,116,115,0,98,97,100,32,102,105,114,115,116,32,114,111,119,32,110,117,109,98,101,114,0,98,97,100,32,102,105,114,115,116,32,101,108,101,109,101,110,116,32,110,117,109,98,101,114,0,110,111,116,32,97,110,32,65,83,67,73,73,32,40,65,41,32,99,111,108,117,109,110,0,110,111,116,32,97,32,108,111,103,105,99,97,108,32,40,76,41,32,99,111,108,117,109,110,0,98,97,100,32,65,83,67,73,73,32,116,97,98,108,101,32,100,97,116,97,116,121,112,101,0,98,97,100,32,98,105,110,97,114,121,32,116,97,98,108,101,32,100,97,116,97,116,121,112,101,0,110,117,108,108,32,118,97,108,117,101,32,110,111,116,32,100,101,102,105,110,101,100,0,110,111,116,32,97,32,118,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,99,111,108,117,109,110,0,105,108,108,101,103,97,108,32,110,117,109,98,101,114,32,111,102,32,100,105,109,101,110,115,105,111,110,115,0,49,115,116,32,112,105,120,101,108,32,110,111,46,32,62,32,108,97,115,116,32,112,105,120,101,108,32,110,111,46,0,66,83,67,65,76,69,32,111,114,32,84,83,67,65,76,110,32,61,32,48,46,0,105,108,108,101,103,97,108,32,97,120,105,115,32,108,101,110,103,116,104,32,60,32,49,0,110,111,116,32,103,114,111,117,112,32,116,97,98,108,101,0,72,68,85,32,97,108,114,101,97,100,121,32,109,101,109,98,101,114,32,111,102,32,103,114,111,117,112,0,103,114,111,117,112,32,109,101,109,98,101,114,32,110,111,116,32,102,111,117,110,100,0,103,114,111,117,112,32,110,111,116,32,102,111,117,110,100,0,98,97,100,32,103,114,111,117,112,32,105,100,0,116,111,111,32,109,97,110,121,32,72,68,85,115,32,116,114,97,99,107,101,100,0,72,68,85,32,97,108,114,101,97,100,32,116,114,97,99,107,101,100,0,98,97,100,32,71,114,111,117,112,105,110,103,32,111,112,116,105,111,110,0,105,100,101,110,116,105,99,97,108,32,112,111,105,110,116,101,114,115,32,40,103,114,111,117,112,115,41,0,109,97,108,108,111,99,32,102,97,105,108,101,100,32,105,110,32,112,97,114,115,101,114,0,102,105,108,101,32,114,101,97,100,32,101,114,114,111,114,32,105,110,32,112,97,114,115,101,114,0,110,117,108,108,32,112,111,105,110,116,101,114,32,97,114,103,32,40,112,97,114,115,101,114,41,0,101,109,112,116,121,32,108,105,110,101,32,40,112,97,114,115,101,114,41,0,99,97,110,110,111,116,32,117,110,114,101,97,100,32,62,32,49,32,108,105,110,101,0,112,97,114,115,101,114,32,116,111,111,32,100,101,101,112,108,121,32,110,101,115,116,101,100,0,102,105,108,101,32,111,112,101,110,32,102,97,105,108,101,100,32,40,112,97,114,115,101,114,41,0,104,105,116,32,69,79,70,32,40,112,97,114,115,101,114,41,0,98,97,100,32,97,114,103,117,109,101,110,116,32,40,112,97,114,115,101,114,41,0,117,110,101,120,112,101,99,116,101,100,32,116,111,107,101,110,32,40,112,97,114,115,101,114,41,0,98,97,100,32,105,110,116,32,116,111,32,115,116,114,105,110,103,32,99,111,110,118,101,114,115,105,111,110,0,98,97,100,32,102,108,111,97,116,32,116,111,32,115,116,114,105,110,103,32,99,111,110,118,101,114,115,105,111,110,0,107,101,121,119,111,114,100,32,118,97,108,117,101,32,110,111,116,32,105,110,116,101,103,101,114,0,107,101,121,119,111,114,100,32,118,97,108,117,101,32,110,111,116,32,108,111,103,105,99,97,108,0,107,101,121,119,111,114,100,32,118,97,108,117,101,32,110,111,116,32,102,108,111,97,116,105,110,103,32,112,116,0,107,101,121,119,111,114,100,32,118,97,108,117,101,32,110,111,116,32,100,111,117,98,108,101,0,98,97,100,32,115,116,114,105,110,103,32,116,111,32,105,110,116,32,99,111,110,118,101,114,115,105,111,110,0,98,97,100,32,115,116,114,105,110,103,32,116,111,32,102,108,111,97,116,32,99,111,110,118,101,114,115,105,111,110,0,98,97,100,32,115,116,114,105,110,103,32,116,111,32,100,111,117,98,108,101,32,99,111,110,118,101,114,116,0,105,108,108,101,103,97,108,32,100,97,116,97,116,121,112,101,32,99,111,100,101,32,118,97,108,117,101,0,105,108,108,101,103,97,108,32,110,111,46,32,111,102,32,100,101,99,105,109,97,108,115,0,100,97,116,97,116,121,112,101,32,99,111,110,118,101,114,115,105,111,110,32,111,118,101,114,102,108,111,119,0,101,114,114,111,114,32,99,111,109,112,114,101,115,115,105,110,103,32,105,109,97,103,101,0,101,114,114,111,114,32,117,110,99,111,109,112,114,101,115,115,105,110,103,32,105,109,97,103,101,0,98,97,100,32,100,97,116,101,32,111,114,32,116,105,109,101,32,99,111,110,118,101,114,115,105,111,110,0,115,121,110,116,97,120,32,101,114,114,111,114,32,105,110,32,101,120,112,114,101,115,115,105,111,110,0,101,120,112,114,101,115,115,105,111,110,32,114,101,115,117,108,116,32,119,114,111,110,103,32,116,121,112,101,0,118,101,99,116,111,114,32,114,101,115,117,108,116,32,116,111,111,32,108,97,114,103,101,0,109,105,115,115,105,110,103,32,111,117,116,112,117,116,32,99,111,108,117,109,110,0,98,97,100,32,100,97,116,97,32,105,110,32,112,97,114,115,101,100,32,99,111,108,117,109,110,0,111,117,116,112,117,116,32,101,120,116,101,110,115,105,111,110,32,111,102,32,119,114,111,110,103,32,116,121,112,101,0,87,67,83,32,97,110,103,108,101,32,116,111,111,32,108,97,114,103,101,0,98,97,100,32,87,67,83,32,99,111,111,114,100,105,110,97,116,101,0,101,114,114,111,114,32,105,110,32,87,67,83,32,99,97,108,99,117,108,97,116,105,111,110,0,98,97,100,32,87,67,83,32,112,114,111,106,101,99,116,105,111,110,32,116,121,112,101,0,87,67,83,32,107,101,121,119,111,114,100,115,32,110,111,116,32,102,111,117,110,100,0,75,101,121,119,111,114,100,32,110,97,109,101,32,99,111,110,116,97,105,110,115,32,101,109,98,101,100,100,101,100,32,115,112,97,99,101,40,115,41,58,32,37,46,56,115,0,67,104,97,114,97,99,116,101,114,32,37,100,32,105,110,32,116,104,105,115,32,107,101,121,119,111,114,100,32,105,115,32,105,108,108,101,103,97,108,58,32,37,46,56,115,0,32,40,84,104,105,115,32,97,32,78,85,76,76,32,40,48,41,32,99,104,97,114,97,99,116,101,114,41,46,0,32,40,84,104,105,115,32,97,110,32,65,83,67,73,73,32,84,65,66,32,40,57,41,32,99,104,97,114,97,99,116,101,114,41,46,0,67,104,97,114,97,99,116,101,114,32,37,100,32,105,110,32,116,104,105,115,32,107,101,121,119,111,114,100,32,105,115,32,105,108,108,101,103,97,108,46,32,72,101,120,32,86,97,108,117,101,32,61,32,37,88,0,32,40,78,85,76,76,32,99,104,97,114,46,41,0,32,40,84,65,66,32,99,104,97,114,46,41,0,32,40,76,105,110,101,32,70,101,101,100,32,99,104,97,114,46,41,0,32,40,86,101,114,116,105,99,97,108,32,84,97,98,41,0,32,40,70,111,114,109,32,70,101,101,100,32,99,104,97,114,46,41,0,32,40,67,97,114,114,105,97,103,101,32,82,101,116,117,114,110,41,0,32,40,69,115,99,97,112,101,32,99,104,97,114,46,41,0,32,40,68,101,108,101,116,101,32,99,104,97,114,46,41,0,73,108,108,101,103,97,108,32,107,101,121,119,111,114,100,32,110,97,109,101,59,32,99,111,110,116,97,105,110,115,32,97,110,32,101,113,117,97,108,115,32,115,105,103,110,32,40,61,41,0,104,105,101,114,97,114,99,104,32,0,61,32,0,73,108,108,101,103,97,108,32,107,101,121,119,111,114,100,32,110,97,109,101,58,0,84,104,101,32,102,111,108,108,111,119,105,110,103,32,107,101,121,119,111,114,100,32,43,32,118,97,108,117,101,32,105,115,32,116,111,111,32,108,111,110,103,32,116,111,32,102,105,116,32,111,110,32,97,32,99,97,114,100,58,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,87,97,114,110,105,110,103,58,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,107,101,121,119,111,114,100,32,100,111,101,115,32,110,111,116,32,99,111,110,102,111,114,109,32,116,111,32,116,104,101,32,72,73,69,82,65,82,67,72,32,99,111,110,118,101,110,116,105,111,110,0,70,97,105,108,101,100,32,116,111,32,109,111,118,101,32,116,111,32,72,68,85,32,110,117,109,98,101,114,32,37,100,32,40,102,102,109,97,104,100,41,46,0,37,46,48,102,0,69,78,68,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,69,114,114,111,114,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,69,78,68,32,99,97,114,100,32,40,102,102,119,101,110,100,41,46,0,67,97,110,110,111,116,32,114,101,97,100,32,102,105,114,115,116,32,107,101,121,119,111,114,100,32,105,110,32,104,101,97,100,101,114,32,40,102,102,114,104,100,117,41,46,0,67,97,110,110,111,116,32,114,101,97,100,32,118,97,108,117,101,32,111,102,32,102,105,114,115,116,32,32,107,101,121,119,111,114,100,32,105,110,32,104,101,97,100,101,114,32,40,102,102,114,104,100,117,41,58,0,65,51,68,84,65,66,76,69,0,51,68,84,65,66,76,69,0,69,120,116,101,110,115,105,111,110,32,100,111,101,115,110,39,116,32,115,116,97,114,116,32,119,105,116,104,32,83,73,77,80,76,69,32,111,114,32,88,84,69,78,83,73,79,78,32,107,101,121,119,111,114,100,46,32,40,102,102,114,104,100,117,41,0,109,97,108,108,111,99,32,102,97,105,108,101,100,32,116,111,32,103,101,116,32,109,101,109,111,114,121,32,102,111,114,32,70,73,84,83,32,116,97,98,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,40,102,102,98,105,110,105,116,41,0,69,78,68,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,32,105,110,32,98,105,110,97,114,121,32,116,97,98,108,101,32,104,101,97,100,101,114,32,40,102,102,98,105,110,105,116,41,46,0,82,101,113,117,105,114,101,100,32,37,115,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,32,40,102,102,98,105,110,105,116,41,46,0,78,65,88,73,83,49,32,61,32,37,108,100,32,105,115,32,110,111,116,32,101,113,117,97,108,32,116,111,32,116,104,101,32,115,117,109,32,111,102,32,99,111,108,117,109,110,32,119,105,100,116,104,115,58,32,37,108,100,0,117,110,107,110,111,119,110,32,98,105,110,97,114,121,32,116,97,98,108,101,32,99,111,108,117,109,110,32,116,121,112,101,58,32,37,115,0,84,89,80,69,0,82,97,110,103,101,32,69,114,114,111,114,32,105,110,32,102,102,99,50,105,105,32,99,111,110,118,101,114,116,105,110,103,32,115,116,114,105,110,103,32,116,111,32,108,111,110,103,32,105,110,116,58,32,0,70,79,82,77,0,66,67,79,76,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,118,97,108,117,101,32,111,102,32,37,115,32,97,115,32,97,110,32,105,110,116,101,103,101,114,58,32,37,115,0,83,67,65,76,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,118,97,108,117,101,32,111,102,32,37,115,32,97,115,32,97,32,100,111,117,98,108,101,58,32,37,115,0,90,69,82,79,0,82,97,110,103,101,32,69,114,114,111,114,32,105,110,32,102,102,99,50,106,106,32,99,111,110,118,101,114,116,105,110,103,32,115,116,114,105,110,103,32,116,111,32,108,111,110,103,108,111,110,103,32,105,110,116,58,32,0,68,73,77,0,72,69,65,80,0,69,114,114,111,114,32,105,110,32,102,102,99,50,100,100,32,99,111,110,118,101,114,116,105,110,103,32,115,116,114,105,110,103,32,116,111,32,100,111,117,98,108,101,58,32,0,69,114,114,111,114,58,32,98,105,110,97,114,121,32,116,97,98,108,101,32,84,70,79,82,77,32,99,111,100,101,32,105,115,32,98,108,97,110,107,32,40,102,102,98,110,102,109,41,46,0,73,108,108,101,103,97,108,32,98,105,110,97,114,121,32,116,97,98,108,101,32,84,70,79,82,77,110,32,100,97,116,97,116,121,112,101,58,32,39,37,115,39,32,0,69,114,114,111,114,58,32,65,83,67,73,73,32,116,97,98,108,101,32,84,70,79,82,77,32,99,111,100,101,32,105,115,32,98,108,97,110,107,0,73,108,108,101,103,97,108,32,65,83,67,73,73,32,116,97,98,108,101,32,84,70,79,82,77,110,32,100,97,116,97,116,121,112,101,58,32,39,37,115,39,0,73,108,108,101,103,97,108,32,65,83,67,73,73,32,116,97,98,108,101,32,84,70,79,82,77,110,32,99,111,100,101,58,32,39,37,115,39,0,69,114,114,111,114,32,105,110,32,102,102,99,50,114,114,32,99,111,110,118,101,114,116,105,110,103,32,115,116,114,105,110,103,32,116,111,32,102,108,111,97,116,58,32,0,80,67,79,85,78,84,32,107,101,121,119,111,114,100,32,110,111,116,32,101,113,117,97,108,32,116,111,32,48,32,105,110,32,65,83,67,73,73,32,116,97,98,108,101,32,40,102,102,97,105,110,105,116,41,46,0,32,32,80,67,79,85,78,84,32,61,32,37,108,100,0,109,97,108,108,111,99,32,102,97,105,108,101,100,32,116,111,32,103,101,116,32,109,101,109,111,114,121,32,102,111,114,32,70,73,84,83,32,116,97,98,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,40,102,102,97,105,110,105,116,41,0,69,78,68,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,32,105,110,32,65,83,67,73,73,32,116,97,98,108,101,32,104,101,97,100,101,114,32,40,102,102,97,105,110,105,116,41,46,0,82,101,113,117,105,114,101,100,32,37,115,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,32,40,102,102,97,105,110,105,116,41,46,0,86,97,108,117,101,32,111,102,32,37,115,32,107,101,121,119,111,114,100,32,111,117,116,32,111,102,32,114,97,110,103,101,58,32,37,108,100,32,40,102,102,97,105,110,105,116,41,46,0,67,111,108,117,109,110,32,37,100,32,105,115,32,116,111,111,32,119,105,100,101,32,116,111,32,102,105,116,32,105,110,32,116,97,98,108,101,32,40,102,102,97,105,110,105,116,41,0,32,84,70,79,82,77,32,61,32,37,115,32,97,110,100,32,78,65,88,73,83,49,32,61,32,37,108,100,0,84,104,105,115,32,115,116,114,105,110,103,32,118,97,108,117,101,32,104,97,115,32,110,111,32,99,108,111,115,105,110,103,32,113,117,111,116,101,32,40,102,102,99,50,115,41,58,0,109,97,108,108,111,99,32,102,97,105,108,101,100,32,116,111,32,103,101,116,32,109,101,109,111,114,121,32,102,111,114,32,70,73,84,83,32,97,114,114,97,121,32,100,101,115,99,114,105,112,116,111,114,115,32,40,102,102,112,105,110,105,116,41,0,69,78,68,32,32,32,32,32,0,84,104,105,115,32,107,101,121,119,111,114,100,32,115,116,114,105,110,103,32,118,97,108,117,101,32,104,97,115,32,110,111,32,99,108,111,115,105,110,103,32,113,117,111,116,101,58,0,84,104,105,115,32,99,111,109,112,108,101,120,32,107,101,121,119,111,114,100,32,118,97,108,117,101,32,104,97,115,32,110,111,32,99,108,111,115,105,110,103,32,39,41,39,58,0,32,47,0,115,116,114,101,97,109,58,47,47,0,69,114,114,111,114,32,119,104,105,108,101,32,99,108,111,115,105,110,103,32,72,68,85,32,110,117,109,98,101,114,32,37,100,32,40,102,102,99,104,100,117,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,68,97,116,97,32,85,110,105,116,32,102,105,108,108,32,98,121,116,101,115,32,40,102,102,112,100,102,108,41,46,0,69,114,114,111,114,32,119,104,105,108,101,32,117,112,100,97,116,105,110,103,32,118,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,118,101,99,116,111,114,32,84,70,79,82,77,110,32,118,97,108,117,101,115,32,40,102,102,117,112,116,102,41,46,0,40,37,46,48,102,41,0,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,45,0,32,61,0,39,0,84,67,84,89,80,110,0,67,84,89,80,69,110,0,84,67,84,89,110,97,0,67,84,89,80,69,110,97,0,84,67,85,78,73,110,0,67,85,78,73,84,110,0,84,67,85,78,110,97,0,67,85,78,73,84,110,97,0,84,67,82,86,76,110,0,67,82,86,65,76,110,0,84,67,82,86,110,97,0,67,82,86,65,76,110,97,0,84,67,68,76,84,110,0,67,68,69,76,84,110,0,84,67,68,69,110,97,0,67,68,69,76,84,110,97,0,84,67,82,80,88,110,0,67,82,80,73,88,110,0,84,67,82,80,110,97,0,67,82,80,73,88,110,97,0,84,67,82,79,84,110,0,67,82,79,84,65,110,0,84,80,110,95,109,97,0,80,67,110,95,109,97,0,84,80,67,110,95,109,0,84,67,110,95,109,97,0,67,68,110,95,109,97,0,84,67,68,110,95,109,0,84,86,110,95,108,97,0,80,86,110,95,108,97,0,84,80,86,110,95,108,0,84,83,110,95,108,97,0,80,83,110,95,108,97,0,84,80,83,110,95,108,0,84,87,67,83,110,97,0,87,67,83,78,65,77,69,97,0,84,67,78,65,110,97,0,67,78,65,77,69,110,97,0,84,67,82,68,110,97,0,67,82,68,69,82,110,97,0,84,67,83,89,110,97,0,67,83,89,69,82,110,97,0,76,79,78,80,110,97,0,76,79,78,80,79,76,69,97,0,76,65,84,80,110,97,0,76,65,84,80,79,76,69,97,0,69,81,85,73,110,97,0,69,81,85,73,78,79,88,97,0,77,74,68,79,66,110,0,77,74,68,45,79,66,83,0,77,74,68,65,110,0,77,74,68,45,65,86,71,0,68,65,86,71,110,0,68,65,84,69,45,65,86,71,0,82,65,68,69,110,97,0,82,65,68,69,83,89,83,97,0,82,70,82,81,110,97,0,82,69,83,84,70,82,81,97,0,82,87,65,86,110,97,0,82,69,83,84,87,65,86,97,0,83,80,69,67,110,97,0,83,80,69,67,83,89,83,97,0,83,79,66,83,110,97,0,83,83,89,83,79,66,83,97,0,83,83,82,67,110,97,0,83,83,89,83,83,82,67,97,0,69,80,79,67,72,0,77,74,68,45,63,63,63,63,0,68,65,84,69,63,63,63,63,0,84,73,77,69,63,63,63,63,0,82,65,68,69,67,83,89,83,0,84,69,76,69,83,67,79,80,0,73,78,83,84,82,85,77,69,0,79,66,83,69,82,86,69,82,0,78,65,88,73,83,105,0,84,68,73,77,35,0,69,88,84,76,69,86,69,76,0,78,65,88,76,69,78,0,65,88,76,69,78,35,0,84,63,63,63,63,35,97,0,84,67,63,63,35,97,0,84,63,63,35,95,35,0,84,87,67,83,35,97,0,76,79,78,80,35,97,0,76,65,84,80,35,97,0,69,81,85,73,35,97,0,77,74,68,79,66,35,0,77,74,68,65,35,0,82,65,68,69,35,97,0,68,65,86,71,35,0,105,67,84,89,80,35,0,105,67,84,89,35,97,0,105,67,85,78,73,35,0,105,67,85,78,35,97,0,105,67,82,86,76,35,0,105,67,68,76,84,35,0,105,67,82,80,88,35,0,105,67,82,86,35,97,0,105,67,68,69,35,97,0,105,67,82,80,35,97,0,105,106,80,67,35,97,0,105,106,67,68,35,97,0,105,86,35,95,35,97,0,105,83,35,95,35,97,0,105,67,82,68,35,97,0,105,67,83,89,35,97,0,105,67,82,79,84,35,0,87,67,65,88,35,97,0,87,67,83,78,35,97,0,105,67,78,65,35,97,0,102,102,103,99,110,110,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,99,111,108,117,109,110,58,32,37,46,52,53,115,0,73,109,97,103,101,32,103,114,111,117,112,32,110,117,109,98,101,114,32,105,115,32,108,101,115,115,32,116,104,97,110,32,49,58,32,37,46,48,102,0,83,116,97,114,116,105,110,103,32,114,111,119,32,110,117,109,98,101,114,32,105,115,32,108,101,115,115,32,116,104,97,110,32,49,58,32,37,46,48,102,0,83,116,97,114,116,105,110,103,32,101,108,101,109,101,110,116,32,110,117,109,98,101,114,32,108,101,115,115,32,116,104,97,110,32,49,58,32,37,108,100,0,84,114,105,101,100,32,116,111,32,114,101,97,100,32,111,114,32,119,114,105,116,101,32,108,101,115,115,32,116,104,97,110,32,48,32,101,108,101,109,101,110,116,115,58,32,37,46,48,102,0,32,32,84,104,101,114,101,32,97,114,101,32,37,100,32,99,111,108,117,109,110,115,32,105,110,32,116,104,105,115,32,116,97,98,108,101,46,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,65,83,67,73,73,32,115,116,114,105,110,103,32,99,111,108,117,109,110,32,105,115,32,116,111,111,32,119,105,100,101,58,32,37,108,100,59,32,109,97,120,32,115,117,112,112,111,114,116,101,100,32,119,105,100,116,104,32,105,115,32,37,100,0,70,105,114,115,116,32,101,108,101,109,101,110,116,32,116,111,32,119,114,105,116,101,32,105,115,32,116,111,111,32,108,97,114,103,101,58,32,37,108,100,59,32,109,97,120,32,97,108,108,111,119,101,100,32,118,97,108,117,101,32,105,115,32,37,108,100,0,70,97,105,108,101,100,32,116,111,32,97,100,100,32,115,112,97,99,101,32,102,111,114,32,37,46,48,102,32,110,101,119,32,114,111,119,115,32,105,110,32,116,97,98,108,101,46,0,65,116,116,101,109,112,116,101,100,32,116,111,32,114,101,97,100,32,102,114,111,109,32,103,114,111,117,112,32,37,108,100,32,111,102,32,116,104,101,32,72,68,85,44,0,104,111,119,101,118,101,114,32,116,104,101,32,72,68,85,32,111,110,108,121,32,99,111,110,116,97,105,110,115,32,37,108,100,32,103,114,111,117,112,40,115,41,46,0,65,116,116,101,109,112,116,32,116,111,32,114,101,97,100,32,112,97,115,116,32,101,110,100,32,111,102,32,97,114,114,97,121,58,0,32,32,73,109,97,103,101,32,104,97,115,32,32,37,108,100,32,101,108,101,109,101,110,116,115,59,0,32,32,84,114,105,101,100,32,116,111,32,114,101,97,100,32,37,108,100,32,101,108,101,109,101,110,116,115,32,115,116,97,114,116,105,110,103,32,97,116,32,101,108,101,109,101,110,116,32,37,108,100,46,0,65,116,116,101,109,112,116,32,116,111,32,114,101,97,100,32,112,97,115,116,32,101,110,100,32,111,102,32,116,97,98,108,101,58,0,32,32,84,97,98,108,101,32,104,97,115,32,37,46,48,102,32,114,111,119,115,32,119,105,116,104,32,37,46,48,102,32,101,108,101,109,101,110,116,115,32,112,101,114,32,114,111,119,59,0,32,32,84,114,105,101,100,32,116,111,32,114,101,97,100,32,37,46,48,102,32,101,108,101,109,101,110,116,115,32,115,116,97,114,116,105,110,103,32,97,116,32,114,111,119,32,37,46,48,102,44,32,101,108,101,109,101,110,116,32,37,46,48,102,46,0,70,97,105,108,101,100,32,116,111,32,101,120,116,101,110,100,32,116,104,101,32,115,105,122,101,32,111,102,32,116,104,101,32,118,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,104,101,97,112,32,98,121,32,37,108,100,32,98,108,111,99,107,115,46,0,65,116,116,101,109,112,116,32,116,111,32,114,101,97,100,32,112,97,115,116,32,101,110,100,32,111,102,32,116,97,98,108,101,0,32,32,84,97,98,108,101,32,104,97,115,32,37,46,48,102,32,114,111,119,115,32,97,110,100,32,116,114,105,101,100,32,116,111,32,114,101,97,100,32,114,111,119,32,37,46,48,102,46,0,83,116,97,114,116,105,110,103,32,101,108,101,109,101,110,116,32,116,111,32,114,101,97,100,32,105,110,32,118,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,99,111,108,117,109,110,32,105,115,32,116,111,111,32,108,97,114,103,101,58,32,37,108,100,0,32,32,84,104,105,115,32,114,111,119,32,111,110,108,121,32,99,111,110,116,97,105,110,115,32,37,108,100,32,101,108,101,109,101,110,116,115,0,88,84,69,78,83,73,79,78,61,32,39,73,77,65,71,69,32,32,32,39,32,32,32,32,32,32,32,32,32,32,47,32,73,77,65,71,69,32,101,120,116,101,110,115,105,111,110,0,80,32,118,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,99,111,108,117,109,110,32,100,101,115,99,114,105,112,116,111,114,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,72,101,97,112,32,105,115,32,116,111,111,32,98,105,103,32,116,111,32,116,101,115,116,32,40,32,62,32,50,42,42,51,49,32,98,121,116,101,115,41,46,32,40,102,102,116,104,101,97,112,41,0,70,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,32,116,111,32,116,101,115,116,32,116,104,101,32,104,101,97,112,0,68,101,115,99,114,105,112,116,111,114,32,105,110,32,114,111,119,32,37,108,100,44,32,99,111,108,117,109,110,32,37,100,32,104,97,115,32,105,110,118,97,108,105,100,32,104,101,97,112,32,97,100,100,114,101,115,115,0,109,101,109,58,47,47,116,101,109,112,104,101,97,112,102,105,108,101,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,116,101,109,112,111,114,97,114,121,32,102,105,108,101,32,102,111,114,32,116,104,101,32,104,101,97,112,0,70,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,99,111,112,121,32,111,102,32,116,104,101,32,104,101,97,112,0,70,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,98,117,102,102,101,114,32,116,111,32,99,111,112,121,32,116,104,101,32,104,101,97,112,0,69,114,114,111,114,32,100,101,108,101,116,105,110,103,32,70,73,84,83,32,98,108,111,99,107,115,32,40,102,102,100,98,108,107,41,0,72,68,85,78,65,77,69,0,73,77,65,71,69,32,32,0,67,77,80,84,89,80,69,0,78,65,77,69,0,86,65,76,0,84,73,76,69,0,66,73,84,80,73,88,32,0,83,67,65,76,69,32,32,0,90,69,82,79,32,32,32,0,66,76,65,78,75,32,32,0,83,73,77,80,76,69,32,0,84,69,78,83,73,79,78,0,69,88,84,69,78,68,32,0,80,67,79,85,78,84,32,0,71,67,79,85,78,84,32,0,81,85,65,78,84,73,90,0,68,73,84,72,69,82,48,0,73,84,80,73,88,32,32,0,76,79,67,75,69,68,32,0,76,65,78,75,32,32,32,0,85,78,73,84,32,32,32,0,79,77,77,69,78,84,0,67,79,77,77,69,78,84,32,32,32,97,110,100,32,65,115,116,114,111,112,104,121,115,105,99,115,39,44,32,118,111,108,117,109,101,32,51,55,54,44,32,112,97,103,101,32,51,0,67,79,77,77,69,78,84,32,32,32,70,73,84,83,32,40,70,108,101,120,105,98,108,101,32,73,109,97,103,101,32,84,114,97,110,115,112,111,114,116,32,83,121,115,116,101,109,0,67,79,77,77,69,78,84,32,32,32,65,115,116,114,111,112,104,121,115,105,99,115,32,83,117,112,112,108,101,109,101,110,116,32,83,101,114,105,101,115,32,118,52,52,47,112,51,0,67,79,77,77,69,78,84,32,32,32,67,111,110,116,97,99,116,32,116,104,101,32,78,65,83,65,32,83,99,105,101,110,99,101,32,79,102,102,105,99,101,32,111,102,32,83,116,0,67,79,77,77,69,78,84,32,32,32,70,73,84,83,32,68,101,102,105,110,105,116,105,111,110,32,100,111,99,117,109,101,110,116,32,35,49,48,48,32,97,110,100,32,111,116,104,0,72,69,67,75,83,85,77,0,79,78,84,73,78,85,69,0,85,78,73,84,0,82,86,65,76,0,82,80,73,88,0,82,79,84,65,0,82,68,69,82,0,83,89,69,82,0,68,69,76,84,0,65,84,65,83,85,77,32,0,65,84,65,77,73,78,32,0,65,84,65,77,65,88,32,0,65,84,69,45,79,66,83,0,88,84,69,78,68,32,32,0,78,68,32,32,32,32,32,0,88,84,78,65,77,69,32,0,88,84,86,69,82,32,32,0,88,84,76,69,86,69,76,0,81,85,73,78,79,88,0,81,85,73,0,80,79,67,72,32,32,32,0,67,79,85,78,84,32,32,0,82,79,85,80,83,32,32,0,68,85,78,65,77,69,32,0,68,85,86,69,82,32,32,0,68,85,76,69,86,69,76,0,73,83,84,79,82,89,0,79,78,80,79,76,69,0,65,84,80,79,76,69,0,79,78,80,0,65,84,80,0,74,68,45,79,66,83,32,0,74,68,79,66,0,65,88,73,83,0,65,68,69,67,83,89,83,0,65,68,69,83,89,83,0,65,68,69,0,73,77,80,76,69,32,32,0,70,73,69,76,68,83,32,0,72,69,65,80,32,32,32,0,68,73,83,80,0,76,77,73,78,0,76,77,65,88,0,68,77,73,78,0,68,77,65,88,0,67,84,89,80,0,67,84,89,0,67,85,78,73,0,67,85,78,0,67,82,86,76,0,67,82,86,0,67,82,80,88,0,67,82,80,0,67,82,79,84,0,67,68,76,84,0,67,68,69,0,67,82,68,0,67,83,89,0,87,67,83,0,67,83,65,88,69,83,0,67,83,78,65,77,69,0,67,65,88,0,67,83,78,0,69,114,114,111,114,32,105,110,32,102,102,99,50,105,32,101,118,97,108,117,97,116,105,110,103,32,115,116,114,105,110,103,32,97,115,32,97,110,32,105,110,116,101,103,101,114,58,32,0,69,114,114,111,114,32,105,110,32,102,102,99,50,106,32,101,118,97,108,117,97,116,105,110,103,32,115,116,114,105,110,103,32,97,115,32,97,32,108,111,110,103,32,105,110,116,101,103,101,114,58,32,0,69,114,114,111,114,32,105,110,32,102,102,99,50,108,32,101,118,97,108,117,97,116,105,110,103,32,115,116,114,105,110,103,32,97,115,32,97,32,108,111,103,105,99,97,108,58,32,0,69,114,114,111,114,32,105,110,32,102,102,99,50,114,32,101,118,97,108,117,97,116,105,110,103,32,115,116,114,105,110,103,32,97,115,32,97,32,102,108,111,97,116,58,32,0,69,114,114,111,114,32,105,110,32,102,102,99,50,100,32,101,118,97,108,117,97,116,105,110,103,32,115,116,114,105,110,103,32,97,115,32,97,32,100,111,117,98,108,101,58,32,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,98,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,98,41,46,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,98,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,98,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,100,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,100,41,46,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,100,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,100,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,101,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,101,41,46,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,101,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,101,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,105,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,105,41,46,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,105,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,105,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,106,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,106,41,46,0,102,102,103,115,118,106,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,106,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,107,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,111,117,103,104,32,37,46,48,102,32,111,102,32,108,111,103,105,99,97,108,32,97,114,114,97,121,32,40,102,102,103,99,108,41,46,0,37,49,52,46,54,69,0,78,85,76,76,0,37,50,48,108,108,100,0,37,42,115,0,37,35,50,51,46,49,53,71,0,37,49,49,46,48,102,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,115,41,46,0,67,97,110,110,111,116,32,114,101,97,100,32,98,121,116,101,115,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,119,104,105,99,104,32,104,97,115,32,102,111,114,109,97,116,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,115,98,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,115,98,41,46,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,115,98,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,115,98,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,117,107,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,117,107,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,117,105,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,117,105,41,46,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,117,105,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,117,105,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,67,97,110,110,111,116,32,114,101,97,100,32,110,117,109,98,101,114,115,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,119,104,105,99,104,32,104,97,115,32,102,111,114,109,97,116,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,99,111,108,117,109,110,32,37,100,32,40,102,102,103,99,108,117,106,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,102,114,111,109,32,105,109,97,103,101,32,40,102,102,103,99,108,117,106,41,46,0,78,117,109,101,114,105,99,97,108,32,111,118,101,114,102,108,111,119,32,100,117,114,105,110,103,32,116,121,112,101,32,99,111,110,118,101,114,115,105,111,110,32,119,104,105,108,101,32,114,101,97,100,105,110,103,32,70,73,84,83,32,100,97,116,97,46,0,67,97,110,110,111,116,32,114,101,97,100,32,110,117,109,98,101,114,32,102,114,111,109,32,65,83,67,73,73,32,116,97,98,108,101,0,67,111,108,117,109,110,32,102,105,101,108,100,32,61,32,37,115,46,0,78,65,88,73,83,32,61,32,37,100,32,105,110,32,99,97,108,108,32,116,111,32,102,102,103,115,118,117,106,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,0,102,102,103,115,118,117,106,58,32,105,108,108,101,103,97,108,32,114,97,110,103,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,97,120,105,115,32,37,108,100,0,67,97,110,110,111,116,32,103,101,116,32,107,101,121,119,111,114,100,32,110,117,109,98,101,114,32,37,100,46,32,32,73,116,32,100,111,101,115,32,110,111,116,32,101,120,105,115,116,46,0,72,73,69,82,65,82,67,72,32,0,107,101,121,119,111,114,100,32,37,115,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,97,32,99,111,109,112,108,101,120,32,118,97,108,117,101,32,40,102,102,103,107,121,109,41,58,0,41,0,44,0,107,101,121,119,111,114,100,32,37,115,32,100,111,101,115,32,110,111,116,32,104,97,118,101,32,97,32,99,111,109,112,108,101,120,32,118,97,108,117,101,32,40,102,102,103,107,121,99,41,58,0,67,79,78,84,73,78,85,69,32,32,0,68,50,51,52,53,54,55,56,61,32,32,0,78,97,109,101,32,111,102,32,107,101,121,119,111,114,100,32,110,111,46,32,37,100,32,99,111,110,116,97,105,110,115,32,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,40,115,41,58,32,37,115,0,32,32,40,84,104,105,115,32,109,97,121,32,105,110,100,105,99,97,116,101,32,97,32,109,105,115,115,105,110,103,32,69,78,68,32,107,101,121,119,111,114,100,41,46,0,73,108,108,101,103,97,108,32,100,105,109,101,110,115,105],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+71705);allocate([111,110,115,32,102,111,114,109,97,116,58,32,37,115,0,111,110,101,32,111,114,32,109,111,114,101,32,100,105,109,101,110,115,105,111,110,32,97,114,101,32,108,101,115,115,32,116,104,97,110,32,48,32,40,102,102,100,116,100,109,41,0,73,108,108,101,103,97,108,32,84,68,73,77,32,107,101,121,119,111,114,100,32,118,97,108,117,101,58,32,37,115,0,111,110,101,32,111,114,32,109,111,114,101,32,84,68,73,77,32,118,97,108,117,101,115,32,97,114,101,32,108,101,115,115,32,116,104,97,110,32,48,32,40,102,102,100,116,100,109,41,0,99,111,108,117,109,110,32,118,101,99,116,111,114,32,108,101,110,103,116,104,44,32,37,46,48,102,44,32,100,111,101,115,32,110,111,116,32,101,113,117,97,108,32,84,68,73,77,110,32,97,114,114,97,121,32,115,105,122,101,44,32,37,46,48,102,0,70,105,114,115,116,32,107,101,121,119,111,114,100,32,111,102,32,116,104,101,32,102,105,108,101,32,105,115,32,110,111,116,32,83,73,77,80,76,69,58,32,37,115,0,66,97,100,32,118,97,108,117,101,32,115,116,114,105,110,103,32,102,111,114,32,88,84,69,78,83,73,79,78,32,107,101,121,119,111,114,100,58,0,73,85,69,73,77,65,71,69,0,70,105,114,115,116,32,107,101,121,119,111,114,100,32,111,102,32,116,104,101,32,101,120,116,101,110,115,105,111,110,32,105,115,32,110,111,116,32,88,84,69,78,83,73,79,78,58,32,37,115,0,84,104,105,115,32,105,115,32,110,111,116,32,97,110,32,73,77,65,71,69,32,101,120,116,101,110,115,105,111,110,58,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,66,73,84,80,73,88,32,118,97,108,117,101,32,111,102,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,78,65,88,73,83,32,118,97,108,117,101,32,111,102,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,78,65,88,73,83,110,32,118,97,108,117,101,115,32,111,102,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,0,83,101,99,111,110,100,32,107,101,121,119,111,114,100,32,111,102,32,116,104,101,32,101,120,116,101,110,115,105,111,110,32,105,115,32,110,111,116,32,66,73,84,80,73,88,58,32,37,115,0,86,97,108,117,101,32,111,102,32,66,73,84,80,73,88,32,107,101,121,119,111,114,100,32,105,115,32,110,111,116,32,97,110,32,105,110,116,101,103,101,114,58,32,37,115,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,102,111,114,32,66,73,84,80,73,88,32,107,101,121,119,111,114,100,58,32,37,115,0,78,65,88,73,83,32,61,32,37,108,100,32,105,115,32,105,108,108,101,103,97,108,0,70,97,105,108,101,100,32,116,111,32,102,105,110,100,32,116,104,101,32,69,78,68,32,107,101,121,119,111,114,100,32,105,110,32,104,101,97,100,101,114,32,40,102,102,103,112,104,100,41,46,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,66,83,67,65,76,69,32,107,101,121,119,111,114,100,32,118,97,108,117,101,32,97,115,32,97,32,100,111,117,98,108,101,58,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,66,90,69,82,79,32,107,101,121,119,111,114,100,32,118,97,108,117,101,32,97,115,32,97,32,100,111,117,98,108,101,58,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,66,76,65,78,75,32,107,101,121,119,111,114,100,32,118,97,108,117,101,32,97,115,32,97,110,32,105,110,116,101,103,101,114,58,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,80,67,79,85,78,84,32,107,101,121,119,111,114,100,32,118,97,108,117,101,32,97,115,32,97,110,32,105,110,116,101,103,101,114,58,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,71,67,79,85,78,84,32,107,101,121,119,111,114,100,32,118,97,108,117,101,32,97,115,32,97,110,32,105,110,116,101,103,101,114,58,32,37,115,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,69,88,84,69,78,68,32,107,101,121,119,111,114,100,32,118,97,108,117,101,32,97,115,32,97,32,108,111,103,105,99,97,108,58,32,37,115,0,70,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,114,101,113,117,105,114,101,100,32,112,114,105,109,97,114,121,32,97,114,114,97,121,32,104,101,97,100,101,114,32,107,101,121,119,111,114,100,115,46,0,70,97,105,108,101,100,32,116,111,32,114,101,97,100,32,116,104,101,32,114,101,113,117,105,114,101,100,32,105,109,97,103,101,32,101,120,116,101,110,115,105,111,110,32,104,101,97,100,101,114,32,107,101,121,119,111,114,100,115,46,0,102,102,103,116,107,110,106,106,32,102,111,117,110,100,32,117,110,101,120,112,101,99,116,101,100,32,107,101,121,119,111,114,100,32,111,114,32,118,97,108,117,101,32,102,111,114,32,107,101,121,119,111,114,100,32,110,111,46,32,37,100,46,0,32,69,120,112,101,99,116,101,100,32,112,111,115,105,116,105,118,101,32,105,110,116,101,103,101,114,32,107,101,121,119,111,114,100,32,37,115,44,32,98,117,116,32,105,110,115,116,101,97,100,0,32,102,111,117,110,100,32,107,101,121,119,111,114,100,32,37,115,32,119,105,116,104,32,118,97,108,117,101,32,37,115,0,102,102,103,116,107,110,32,102,111,117,110,100,32,117,110,101,120,112,101,99,116,101,100,32,107,101,121,119,111,114,100,32,111,114,32,118,97,108,117,101,32,102,111,114,32,107,101,121,119,111,114,100,32,110,111,46,32,37,100,46,0,56,0,50,0,49,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,114,101,113,117,105,114,101,100,32,107,101,121,119,111,114,100,115,32,105,110,32,116,104,101,32,116,97,98,108,101,32,104,101,97,100,101,114,32,40,70,84,71,84,84,66,41,46,0,102,102,116,107,121,110,32,102,111,117,110,100,32,117,110,101,120,112,101,99,116,101,100,32,107,101,121,119,111,114,100,32,111,114,32,118,97,108,117,101,32,102,111,114,32,107,101,121,119,111,114,100,32,110,111,46,32,37,100,46,0,32,69,120,112,101,99,116,101,100,32,107,101,121,119,111,114,100,32,37,115,32,119,105,116,104,32,118,97,108,117,101,32,37,115,44,32,98,117,116,0,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,116,111,32,104,111,108,100,32,97,108,108,32,116,104,101,32,104,101,97,100,101,114,32,107,101,121,119,111,114,100,115,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,69,78,68,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,71,82,79,85,80,73,78,71,0,72,68,85,32,99,111,110,116,97,105,110,115,32,97,32,71,114,111,117,112,105,110,103,32,84,97,98,108,101,0,71,114,111,117,112,105,110,103,32,84,97,98,108,101,32,118,101,114,115,46,32,40,116,104,105,115,32,102,105,108,101,41,0,71,82,80,78,65,77,69,0,71,114,111,117,112,105,110,103,32,84,97,98,108,101,32,110,97,109,101,0,77,69,77,66,69,82,95,80,79,83,73,84,73,79,78,0,77,69,77,66,69,82,95,86,69,82,83,73,79,78,0,84,70,79,82,77,37,100,0,84,78,85,76,76,37,100,0,67,111,108,117,109,110,32,78,117,108,108,32,86,97,108,117,101,0,38,0,77,69,77,66,69,82,95,88,84,69,78,83,73,79,78,0,56,65,0,77,69,77,66,69,82,95,78,65,77,69,0,49,74,0,77,69,77,66,69,82,95,85,82,73,95,84,89,80,69,0,51,65,0,77,69,77,66,69,82,95,76,79,67,65,84,73,79,78,0,50,53,54,65,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,116,104,101,32,103,114,111,117,112,116,121,112,101,32,112,97,114,97,109,101,116,101,114,32,40,102,102,103,116,100,99,41,0,83,112,101,99,105,102,105,101,100,32,72,68,85,32,105,115,32,110,111,116,32,97,32,71,114,111,117,112,105,110,103,32,84,97,98,108,101,32,40,102,102,103,116,103,99,41,0,83,112,101,99,105,102,105,101,100,32,72,68,85,32,104,97,115,32,109,117,108,116,105,112,117,108,101,32,71,114,111,117,112,32,116,97,98,108,101,32,99,111,108,115,32,100,101,102,105,110,101,100,32,40,102,102,103,116,103,99,41,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,102,111,114,32,116,104,101,32,114,109,111,112,116,32,112,97,114,97,109,101,116,101,114,32,115,112,101,99,105,102,105,101,100,32,40,102,102,103,116,114,109,41,0,67,97,110,110,111,116,32,111,112,101,110,32,116,104,101,32,37,100,116,104,32,103,114,111,117,112,32,116,97,98,108,101,32,40,102,102,103,109,117,108,41,0,84,104,101,32,37,100,116,104,32,103,114,111,117,112,32,99,97,110,110,111,116,32,98,101,32,109,111,100,105,102,105,101,100,32,40,102,102,103,116,97,109,41,0,99,97,110,110,111,116,32,108,111,99,97,116,101,32,109,101,109,98,101,114,39,115,32,101,110,116,114,121,32,105,110,32,103,114,111,117,112,32,116,97,98,108,101,32,40,102,102,103,109,117,108,41,0,67,97,110,110,111,116,32,109,111,100,105,102,121,32,109,101,109,98,101,114,32,72,68,85,44,32,111,112,101,110,101,100,32,82,69,65,68,79,78,76,89,32,40,102,102,103,109,117,108,41,0,71,82,80,73,68,37,100,0,71,82,80,76,67,37,100,0,0,0,0,0,0,0,0,0,0,0,15,14,0,15,15,12,15,15,15,15,15,15,15,15,15,15,8,0,0,0,0,0,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,0,0,0,15,0,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,0,0,0,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,0,78,85,76,76,32,76,111,99,97,116,105,111,110,32,115,116,114,105,110,103,32,103,105,118,101,110,32,61,61,62,32,105,110,103,111,114,101,32,108,111,99,97,116,105,111,110,32,40,102,102,103,109,102,41,0,67,97,110,110,111,116,32,102,105,110,100,32,115,112,101,99,105,102,105,101,100,32,109,101,109,98,101,114,32,72,68,85,32,40,102,102,103,109,102,41,0,77,69,77,58,0,83,72,77,69,77,58,0,114,101,102,32,85,82,76,32,104,97,115,32,97,99,99,101,115,115,32,109,101,109,58,47,47,32,111,114,32,115,104,109,101,109,58,47,47,32,40,102,105,116,115,95,114,101,108,117,114,108,50,117,114,108,41,0,32,32,32,99,97,110,110,111,116,32,99,111,110,115,116,114,117,99,116,32,102,117,108,108,32,85,82,76,32,102,114,111,109,32,97,32,112,97,114,116,105,97,108,32,85,82,76,32,97,110,100,32,0,32,32,32,77,69,77,47,83,72,77,69,77,32,98,97,115,101,32,85,82,76,0,58,47,47,0,46,46,0,71,82,80,73,68,32,105,110,100,101,120,32,37,100,32,108,97,114,103,101,114,32,116,111,116,97,108,32,71,82,80,73,68,32,107,101,121,119,111,114,100,115,32,37,108,100,32,40,102,102,103,116,111,112,41,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,111,102,32,37,108,100,32,102,111,114,32,71,82,80,73,68,37,100,32,40,102,102,103,116,111,112,41,0,67,97,110,110,111,116,32,102,105,110,100,32,71,82,80,76,67,37,100,32,107,101,121,119,111,114,100,32,40,102,102,103,116,111,112,41,0,84,114,121,32,116,111,32,111,112,101,110,32,103,114,111,117,112,32,116,97,98,108,101,32,102,105,108,101,32,97,115,32,97,98,115,111,108,117,116,101,32,85,82,76,32,40,102,102,103,116,111,112,41,0,79,75,44,32,116,114,121,32,111,112,101,110,32,103,114,111,117,112,32,116,97,98,108,101,32,102,105,108,101,32,97,115,32,82,69,65,68,79,78,76,89,32,40,102,102,103,116,111,112,41,0,111,112,101,110,105,110,103,32,102,105,108,101,32,97,115,32,82,69,65,68,87,82,73,84,69,32,102,97,105,108,101,100,32,40,102,102,103,116,111,112,41,0,79,75,44,32,116,114,121,32,116,111,32,111,112,101,110,32,102,105,108,101,32,97,115,32,82,69,65,68,79,78,76,89,32,40,102,102,103,116,111,112,41,0,67,97,110,110,111,116,32,111,112,101,110,32,111,114,32,102,105,110,100,32,103,114,111,117,112,105,110,103,32,116,97,98,108,101,32,70,73,84,83,32,102,105,108,101,32,40,102,102,103,116,111,112,41,0,71,82,80,73,68,35,0,102,105,108,101,58,47,47,0,99,97,110,110,111,116,32,109,97,107,101,32,85,82,76,32,102,114,111,109,32,116,101,109,112,32,77,69,77,58,47,47,32,102,105,108,101,32,40,102,105,116,115,95,103,101,116,95,117,114,108,41,0,109,101,109,107,101,101,112,58,47,47,0,115,104,109,101,109,58,47,47,0,114,111,111,116,58,47,47,0,99,111,109,112,114,101,115,115,102,105,108,101,58,47,47,0,104,116,116,112,102,105,108,101,58,47,47,0,102,116,112,102,105,108,101,58,47,47,0,102,116,112,58,47,47,0,115,116,100,105,110,102,105,108,101,58,47,47,0,115,116,100,105,110,58,47,47,0,99,111,109,112,114,101,115,115,58,47,47,0,104,116,116,112,58,47,47,0,104,116,116,112,99,111,109,112,114,101,115,115,58,47,47,0,102,116,112,99,111,109,112,114,101,115,115,58,47,47,0,99,97,110,110,111,116,32,109,97,107,101,32,118,97,105,108,100,32,85,82,76,32,102,114,111,109,32,115,116,100,105,110,58,47,47,32,40,102,105,116,115,95,103,101,116,95,117,114,108,41,0,115,116,100,111,117,116,58,47,47,0,99,97,110,110,111,116,32,109,97,107,101,32,118,97,105,108,100,32,85,82,76,32,102,114,111,109,32,115,116,100,111,117,116,58,47,47,32,40,102,105,116,115,95,103,101,116,95,117,114,108,41,0,105,114,97,102,109,101,109,58,47,47,0,99,97,110,110,111,116,32,109,97,107,101,32,118,97,105,108,100,32,85,82,76,32,102,114,111,109,32,105,114,97,102,109,101,109,58,47,47,32,40,102,105,116,115,95,103,101,116,95,117,114,108,41,0,80,82,73,77,65,82,89,0,85,82,76,0,67,97,110,110,111,116,32,111,112,101,110,32,109,101,109,98,101,114,32,72,68,85,32,102,105,108,101,32,119,105,116,104,32,85,82,73,32,116,121,112,101,32,37,115,32,40,102,102,103,109,111,112,41,0,109,101,109,98,101,114,32,85,82,76,32,105,115,32,97,98,115,111,108,117,116,101,44,32,116,114,121,32,111,112,101,110,32,82,47,87,32,40,102,102,103,109,111,112,41,0,79,75,44,32,110,111,119,32,116,114,121,32,116,111,32,111,112,101,110,32,114,101,97,100,45,111,110,108,121,32,40,102,102,103,109,111,112,41,0,77,101,109,98,101,114,32,85,82,76,32,105,115,32,111,102,32,116,121,112,101,32,70,73,76,69,32,40,102,102,103,109,111,112,41,0,77,101,109,98,101,114,32,85,82,76,32,115,112,101,99,105,102,105,101,115,32,97,98,115,32,102,105,108,101,32,112,97,116,104,32,40,102,102,103,109,111,112,41,0,84,114,121,32,116,111,32,111,112,101,110,32,109,101,109,98,101,114,32,85,82,76,32,105,110,32,82,47,87,32,109,111,100,101,32,40,102,102,103,109,111,112,41,0,84,114,121,32,116,111,32,111,112,101,110,32,109,101,109,98,101,114,32,102,105,108,101,32,97,115,32,114,101,108,97,116,105,118,101,32,85,82,76,32,40,102,102,103,109,111,112,41,0,110,111,119,32,116,114,121,32,116,111,32,111,112,101,110,32,102,105,108,101,32,97,115,32,82,69,65,68,79,78,76,89,32,40,102,102,103,109,111,112,41,0,67,97,110,110,111,116,32,111,112,101,110,32,109,101,109,98,101,114,32,72,68,85,32,70,73,84,83,32,102,105,108,101,32,40,102,102,103,109,111,112,41,0,67,97,110,110,111,116,32,102,105,110,100,32,115,112,101,99,105,102,105,101,100,32,109,101,109,98,101,114,32,72,68,85,32,40,102,102,103,109,111,112,41,0,99,97,110,110,111,116,32,109,111,100,105,102,121,32,103,114,111,117,112,105,110,103,32,116,97,98,108,101,32,40,102,102,103,116,97,109,41,0,78,111,32,71,82,80,76,67,37,100,32,102,111,117,110,100,32,102,111,114,32,71,82,80,73,68,37,100,0,73,110,118,97,108,105,100,32,118,97,108,117,101,32,115,112,101,99,105,102,105,101,100,32,102,111,114,32,116,104,101,32,114,109,111,112,116,32,112,97,114,97,109,101,116,101,114,32,40,102,102,103,109,114,109,41,0,83,112,101,99,105,102,105,101,100,32,72,68,85,32,105,115,32,110,111,116,32,97,32,71,114,111,117,112,105,110,103,32,116,97,98,108,101,32,40,102,102,103,116,110,109,41,0,83,112,101,99,105,102,105,101,100,32,72,68,85,32,105,115,32,97,108,114,101,97,100,121,32,97,32,109,101,109,98,101,114,32,111,102,32,116,104,101,32,71,114,111,117,112,105,110,103,32,116,97,98,108,101,32,40,102,102,103,116,97,109,41,0,99,97,110,110,111,116,32,97,100,100,32,71,82,80,73,68,47,76,67,32,107,101,121,119,111,114,100,115,32,116,111,32,109,101,109,98,101,114,32,72,68,85,58,32,40,102,102,103,116,97,109,41,0,72,68,85,32,97,108,114,101,97,100,121,32,104,97,115,32,71,82,80,73,68,47,76,67,32,107,101,121,119,111,114,100,115,32,102,111,114,32,103,114,111,117,112,32,116,97,98,108,101,32,40,102,102,103,116,97,109,41,0,69,88,84,86,69,82,32,111,102,32,71,114,111,117,112,32,99,111,110,116,97,105,110,105,110,103,32,116,104,105,115,32,72,68,85,0,85,82,76,32,111,102,32,102,105,108,101,32,99,111,110,116,97,105,110,105,110,103,32,71,114,111,117,112,0,67,97,110,110,111,116,32,109,97,107,101,32,114,101,108,46,32,85,82,76,32,102,114,111,109,32,110,111,110,32,97,98,115,46,32,85,82,76,115,32,40,102,105,116,115,95,117,114,108,50,114,101,108,117,114,108,41,0,92,73,78,67,76,85,68,69,0,92,71,82,79,85,80,0,92,69,78,68,0,72,73,69,82,65,82,67,72,0,67,70,73,84,83,73,79,95,73,78,67,76,85,68,69,95,70,73,76,69,83,0,58,0,84,0,70,0,40,37,108,103,44,37,108,103,41,37,110,0,37,108,103,37,110,0,37,100,37,110,0,69,88,84,86,69,82,0,37,45,56,46,56,115,37,115,0,84,70,79,82,77,37,100,37,99,0,84,84,89,80,69,37,100,37,99,0,78,65,88,73,83,37,100,37,99,0,97,117,116,111,32,97,115,115,105,103,110,101,100,32,98,121,32,116,101,109,112,108,97,116,101,32,112,97,114,115,101,114,0,68,69,70,65,85,76,84,95,71,82,79,85,80,95,37,100,0,98,105,110,110,105,110,103,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,115,121,110,116,97,120,32,101,114,114,111,114,58,0,32,44,41,0,98,105,110,110,105,110,103,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,104,97,115,32,116,111,111,32,109,97,110,121,32,99,111,108,117,109,110,32,110,97,109,101,115,32,111,114,32,105,115,32,109,105,115,115,105,110,103,32,99,108,111,115,105,110,103,32,39,41,39,58,0,105,108,108,101,103,97,108,32,98,105,110,110,105,110,103,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,105,110,32,85,82,76,58,0,32,97,110,32,101,113,117,97,108,115,32,115,105,103,110,32,39,61,39,32,109,117,115,116,32,102,111,108,108,111,119,32,116,104,101,32,99,111,108,117,109,110,32,110,97,109,101,115,0,105,108,108,101,103,97,108,32,115,121,110,116,97,120,32,97,102,116,101,114,32,98,105,110,110,105,110,103,32,114,97,110,103,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,105,110,32,85,82,76,58,0,105,108,108,101,103,97,108,32,115,121,110,116,97,120,32,105,110,32,98,105,110,110,105,110,103,32,114,97,110,103,101,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,105,110,32,85,82,76,58,0,105,108,108,101,103,97,108,32,99,104,97,114,97,99,116,101,114,115,32,102,111,108,108,111,119,105,110,103,32,98,105,110,110,105,110,103,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,105,110,32,85,82,76,58,0,97,112,112,97,114,101,110,116,108,121,32,103,114,101,97,116,101,114,32,116,104,97,110,32,52,32,104,105,115,116,111,103,114,97,109,32,100,105,109,101,110,115,105,111,110,115,0,105,108,108,101,103,97,108,32,98,105,110,110,105,110,103,32,119,101,105,103,104,116,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,105,110,32,85,82,76,58,0,105,108,108,101,103,97,108,32,115,121,110,116,97,120,32,97,102,116,101,114,32,98,105,110,110,105,110,103,32,119,101,105,103,104,116,32,115,112,101,99,105,102,105,99,97,116,105,111,110,32,105,110,32,85,82,76,58,0,32,44,61,58,59,0,32,44,58,59,0,104,105,115,116,111,103,114,97,109,32,104,97,115,32,109,111,114,101,32,116,104,97,110,32,52,32,100,105,109,101,110,115,105,111,110,115,0,102,97,105,108,101,100,32,116,111,32,100,101,116,101,114,109,105,110,101,32,98,105,110,110,105,110,103,32,112,97,114,97,109,101,116,101,114,115,0,107,101,121,119,111,114,100,32,111,114,32,99,111,108,117,109,110,32,102,111,114,32,104,105,115,116,111,103,114,97,109,32,119,101,105,103,104,116,115,32,100,111,101,115,110,39,116,32,101,120,105,115,116,58,32,0,73,108,108,101,103,97,108,32,104,105,115,116,111,103,114,97,109,109,105,110,103,32,119,101,105,103,104,116,105,110,103,32,102,97,99,116,111,114,32,60,61,32,48,46,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,116,101,109,112,32,111,117,116,112,117,116,32,102,105,108,101,32,102,111,114,32,104,105,115,116,111,103,114,97,109,0,102,97,105,108,101,100,32,116,111,32,99,114,101,97,116,101,32,111,117,116,112,117,116,32,104,105,115,116,111,103,114,97,109,32,70,73,84,83,32,105,109,97,103,101,0,102,97,105,108,101,100,32,116,111,32,99,111,112,121,32,112,105,120,101,108,32,108,105,115,116,32,107,101,121,119,111,114,100,115,32,116,111,32,110,101,119,32,104,105,115,116,111,103,114,97,109,32,104,101,97,100,101,114,0,102,97,105,108,101,100,32,116,111,32,99,97,108,99,117,108,97,116,101,32,110,101,119,32,104,105,115,116,111,103,114,97,109,32,118,97,108,117,101,115,0,67,82,86,65,76,0,67,82,80,73,88,0,67,68,69,76,84,0,67,68,0,67,84,89,80,69,0,67,111,111,114,100,105,110,97,116,101,32,84,121,112,101,0,67,85,78,73,84,0,67,111,111,114,100,105,110,97,116,101,32,85,110,105,116,115,0,82,101,102,101,114,101,110,99,101,32,80,105,120,101,108,0,82,101,102,101,114,101,110,99,101,32,86,97,108,117,101,0,80,105,120,101,108,32,115,105,122,101,0,104,105,115,116,111,103,114,97,109,115,32,119,105,116,104,32,109,111,114,101,32,116,104,97,110,32,52,32,100,105,109,101,110,115,105,111,110,115,32,97,114,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,67,80,82,69,70,0,99,111,108,117,109,110,32,102,111,114,32,104,105,115,116,111,103,114,97,109,32,97,120,105,115,32,100,111,101,115,110,39,116,32,101,120,105,115,116,58,32,0,67,97,110,39,116,32,98,105,110,32,97,32,118,101,99,116,111,114,32,99,111,108,117,109,110,58,32,0,73,110,97,112,112,114,111,112,114,105,97,116,101,32,100,97,116,97,116,121,112,101,59,32,99,97,110,39,116,32,98,105,110,32,116,104,105,115,32,99,111,108,117,109,110,58,32,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,104,105,115,116,111,103,114,97,109,109,105,110,103,32,109,105,110,105,109,117,109,32,107,101,121,119,111,114,100,0,69,114,114,111,114,32,99,97,108,99,117,108,97,116,105,110,103,32,100,97,116,97,109,105,110,32,97,110,100,32,100,97,116,97,109,97,120,32,102,111,114,32,99,111,108,117,109,110,58,32,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,104,105,115,116,111,103,114,97,109,109,105,110,103,32,109,97,120,105,109,117,109,32,107,101,121,119,111,114,100,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,104,105,115,116,111,103,114,97,109,109,105,110,103,32,98,105,110,115,105,122,101,32,107,101,121,119,111,114,100,0,101,114,114,111,114,58,32,104,105,115,116,111,103,114,97,109,32,98,105,110,115,105,122,101,32,61,32,48,0,84,68,66,73,78,0,73,82,65,70,50,83,84,82,32,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,0,105,109,104,100,114,0,105,109,104,118,50,0,70,105,108,101,32,110,111,116,32,118,97,108,105,100,32,73,82,65,70,32,105,109,97,103,101,32,104,101,97,100,101,114,0,73,82,65,70,71,69,84,67,32,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,115,116,114,105,110,103,32,118,97,114,105,97,98,108,101,0,72,68,82,0,105,114,97,102,102,105,116,115,32,115,97,109,101,95,112,97,116,104,58,32,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,32,102,111,114,32,110,101,119,112,105,120,110,97,109,101,0,72,68,82,36,0,114,98,0,117,110,97,98,108,101,32,116,111,32,111,112,101,110,32,73,82,65,70,32,104,101,97,100,101,114,32,102,105,108,101,58,0,73,82,65,70,82,72,69,65,68,58,32,99,97,110,110,111,116,32,115,101,101,107,32,105,110,32,102,105,108,101,58,0,73,82,65,70,82,72,69,65,68,58,32,99,97,110,110,111,116,32,103,101,116,32,112,111,115,46,32,105,110,32,102,105,108,101,58,0,73,82,65,70,82,72,69,65,68,58,32,99,97,110,110,111,116,32,115,101,101,107,32,116,111,32,98,101,103,105,110,110,105,110,103,32,111,102,32,102,105,108,101,58,0,73,82,65,70,82,72,69,65,68,32,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,37,100,45,98,121,116,101,32,104,101,97,100,101,114,0,73,82,65,70,82,72,69,65,68,32,104,101,97,100,101,114,32,102,105,108,101,58,32,37,100,32,47,32,37,100,32,98,121,116,101,115,32,114,101,97,100,46,0,69,78,68,0,73,82,65,70,50,70,73,84,83,32,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,37,100,45,98,121,116,101,32,70,73,84,83,32,104,101,97,100,101,114,0,85,110,115,117,112,112,111,114,116,101,100,32,73,82,65,70,32,100,97,116,97,32,116,121,112,101,58,32,37,100,0,73,82,65,70,32,46,105,109,104,32,112,105,120,101,108,32,116,121,112,101,0,73,82,65,70,32,46,105,109,104,32,110,97,120,105,115,0,73,82,65,70,32,46,105,109,104,32,105,109,97,103,101,32,110,97,120,105,115,91,49,93,0,73,82,65,70,32,46,105,109,104,32,105,109,97,103,101,32,110,97,120,105,115,91,50,93,0,78,65,88,73,83,51,0,73,82,65,70,32,46,105,109,104,32,105,109,97,103,101,32,110,97,120,105,115,91,51,93,0,78,65,88,73,83,52,0,73,82,65,70,32,46,105,109,104,32,105,109,97,103,101,32,110,97,120,105,115,91,52,93,0,79,66,74,69,67,84,0,73,82,65,70,32,46,105,109,104,32,116,105,116,108,101,0,78,80,65,88,73,83,49,0,73,82,65,70,32,46,105,109,104,32,112,104,121,115,105,99,97,108,32,110,97,120,105,115,91,49,93,0,78,80,65,88,73,83,50,0,73,82,65,70,32,46,105,109,104,32,112,104,121,115,105,99,97,108,32,110,97,120,105,115,91,50,93,0,78,80,65,88,73,83,51,0,73,82,65,70,32,46,105,109,104,32,112,104,121,115,105,99,97,108,32,110,97,120,105,115,91,51,93,0,78,80,65,88,73,83,52,0,73,82,65,70,32,46,105,109,104,32,112,104,121,115,105,99,97,108,32,110,97,120,105,115,91,52,93,0,73,77,72,70,73,76,69,0,73,82,65,70,32,104,101,97,100,101,114,32,102,105,108,101,32,110,97,109,101,0,80,73,88,70,73,76,69,0,73,82,65,70,32,46,112,105,120,32,112,105,120,101,108,32,102,105,108,101,0,80,73,88,79,70,70,0,73,82,65,70,32,46,112,105,120,32,112,105,120,101,108,32,111,102,102,115,101,116,32,40,68,111,32,110,111,116,32,99,104,97,110,103,101,33,41,0,73,77,72,86,69,82,0,73,82,65,70,32,46,105,109,104,32,102,111,114,109,97,116,32,118,101,114,115,105,111,110,32,40,49,32,111,114,32,50,41,0,80,73,88,83,87,65,80,0,73,82,65,70,32,112,105,120,101,108,115,44,32,70,73,84,83,32,98,121,116,101,32,111,114,100,101,114,115,32,100,105,102,102,101,114,32,105,102,32,84,0,79,66,74,69,67,84,32,0,32,32,32,0,73,82,65,70,82,73,77,65,71,69,58,32,67,97,110,110,111,116,32,111,112,101,110,32,73,82,65,70,32,112,105,120,101,108,32,102,105,108,101,58,0,73,82,65,70,82,73,77,65,71,69,58,32,67,97,110,110,111,116,32,97,108,108,111,99,32,109,101,109,111,114,121,32,102,111,114,32,112,105,120,101,108,32,104,101,97,100,101,114,0,73,82,65,70,32,112,105,120,101,108,32,102,105,108,101,58,32,37,100,32,47,32,37,100,32,98,121,116,101,115,32,114,101,97,100,46,0,105,109,112,105,120,0,105,109,112,118,50,0,70,105,108,101,32,110,111,116,32,118,97,108,105,100,32,73,82,65,70,32,112,105,120,101,108,32,102,105,108,101,58,0,73,82,65,70,82,73,77,65,71,69,32,67,97,110,110,111,116,32,97,108,108,111,99,97,116,101,32,37,100,45,98,121,116,101,32,105,109,97,103,101,32,98,117,102,102,101,114,0,47,0,45,48,0,67,97,110,110,111,116,32,100,101,108,101,116,101,32,107,101,121,119,111,114,100,32,110,117,109,98,101,114,32,37,100,46,32,32,73,116,32,100,111,101,115,32,110,111,116,32,101,120,105,115,116,46,0,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,116,104,101,32,37,115,32,107,101,121,119,111,114,100,32,116,111,32,100,101,108,101,116,101,32,40,102,102,100,107,101,121,41,0,73,108,108,101,103,97,108,32,110,117,109,98,101,114,32,111,102,32,99,111,108,117,109,109,115,32,40,102,102,105,116,101,114,41,0,86,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,97,114,114,97,121,32,110,111,116,32,97,108,108,111,119,101,100,32,102,111,114,32,111,117,116,112,117,116,32,99,111,108,117,109,110,32,110,117,109,98,101,114,32,37,100,32,40,102,102,105,116,101,114,41,0,73,108,108,101,103,97,108,32,100,97,116,97,116,121,112,101,32,102,111,114,32,99,111,108,117,109,110,32,110,117,109,98,101,114,32,37,100,58,32,37,100,32,32,40,102,102,105,116,101,114,41,0,70,105,108,101,32,37,100,32,110,111,116,32,112,111,115,105,116,105,111,110,101,100,32,116,111,32,97,110,32,105,109,97,103,101,32,101,120,116,101,110,115,105,111,110,32,40,102,102,105,116,101,114,41,0,66,85,78,73,84,0,70,105,108,101,32,37,100,32,110,111,116,32,112,111,115,105,116,105,111,110,101,100,32,116,111,32,97,32,116,97,98,108,101,32,101,120,116,101,110,115,105,111,110,32,40,102,102,105,116,101,114,41,0,67,111,108,117,109,110,32,39,37,115,39,32,110,111,116,32,102,111,117,110,100,32,102,111,114,32,99,111,108,117,109,110,32,110,117,109,98,101,114,32,37,100,32,32,40,102,102,105,116,101,114,41,0,67,111,108,117,109,110,32,37,100,32,104,97,115,32,105,108,108,101,103,97,108,32,116,97,98,108,101,32,112,111,115,105,116,105,111,110,32,110,117,109,98,101,114,58,32,37,100,32,32,40,102,102,105,116,101,114,41,0,84,76,77,73,78,0,84,76,77,65,88,0,84,68,73,83,80,0,102,102,105,116,101,114,32,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,110,117,108,108,32,118,97,108,117,101,115,0,84,78,85,76,76,0,102,102,105,116,101,114,32,102,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,97,114,114,97,121,115,0,67,111,108,117,109,110,32,37,100,32,100,97,116,97,116,121,112,101,32,99,117,114,114,101,110,116,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,58,32,37,100,58,32,32,40,102,102,105,116,101,114,41,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,98,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,100,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,101,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,105,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,106,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,97,114,114,97,121,32,111,102,32,108,111,103,105,99,97,108,115,32,40,102,102,112,99,108,108,41,46,0,128,64,32,16,8,4,2,1,127,191,223,239,247,251,253,254,83,112,101,99,105,102,105,101,100,32,99,111,108,117,109,110,32,110,117,109,98,101,114,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,58,32,37,100,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,116,111,32,118,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,115,116,114,105,110,103,32,99,111,108,117,109,110,32,40,102,102,112,99,108,115,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,115,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,115,98,41,46,0,119,114,105,116,105,110,103,32,116,111,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,117,108,108,32,118,97,108,117,101,32,115,116,114,105,110,103,32,102,111,114,32,65,83,67,73,73,32,116,97,98,108,101,32,99,111,108,117,109,110,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,32,40,70,84,80,67,76,85,41,46,0,78,117,108,108,32,118,97,108,117,101,32,102,111,114,32,105,110,116,101,103,101,114,32,116,97,98,108,101,32,99,111,108,117,109,110,32,105,115,32,110,111,116,32,100,101,102,105,110,101,100,32,40,70,84,80,67,76,85,41,46,0,67,97,110,110,111,116,32,119,114,105,116,101,32,110,117,108,108,32,118,97,108,117,101,32,116,111,32,99,111,108,117,109,110,32,37,100,32,119,104,105,99,104,32,104,97,115,32,102,111,114,109,97,116,32,37,115,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,110,117,108,108,32,118,97,108,117,101,115,32,40,102,102,112,99,108,117,41,46,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,117,105,41,46,0,67,97,110,110,111,116,32,119,114,105,116,101,32,110,117,109,98,101,114,115,32,116,111,32,99,111,108,117,109,110,32,37,100,32,119,104,105,99,104,32,104,97,115,32,102,111,114,109,97,116,32,37,115,0,69,114,114,111,114,32,119,114,105,116,105,110,103,32,101,108,101,109,101,110,116,115,32,37,46,48,102,32,116,104,114,117,32,37,46,48,102,32,111,102,32,105,110,112,117,116,32,100,97,116,97,32,97,114,114,97,121,32,40,102,102,112,99,108,117,106,41,46,0,78,117,109,101,114,105,99,97,108,32,111,118,101,114,102,108,111,119,32,100,117,114,105,110,103,32,116,121,112,101,32,99,111,110,118,101,114,115,105,111,110,32,119,104,105,108,101,32,119,114,105,116,105,110,103,32,70,73,84,83,32,100,97,116,97,46,0,102,105,108,101,32,100,111,101,115,32,110,111,116,32,99,111,110,102,111,114,109,32,116,111,32,70,73,84,83,32,115,116,97,110,100,97,114,100,0,73,77,65,71,69,32,101,120,116,101,110,115,105,111,110,0,73,77,65,71,69,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,102,111,114,32,66,73,84,80,73,88,32,107,101,121,119,111,114,100,58,32,37,100,0,110,117,109,98,101,114,32,111,102,32,98,105,116,115,32,112,101,114,32,100,97,116,97,32,112,105,120,101,108,0,37,108,108,100,0,69,114,114,111,114,32,105,110,32,102,102,105,50,99,32,99,111,110,118,101,114,116,105,110,103,32,105,110,116,101,103,101,114,32,116,111,32,115,116,114,105,110,103,0,73,108,108,101,103,97,108,32,118,97,108,117,101,32,102,111,114,32,78,65,88,73,83,32,107,101,121,119,111,114,100,58,32,37,100,0,110,117,109,98,101,114,32,111,102,32,100,97,116,97,32,97,120,101,115,0,108,101,110,103,116,104,32,111,102,32,100,97,116,97,32,97,120,105,115,32,0,73,108,108,101,103,97,108,32,110,101,103,97,116,105,118,101,32,118,97,108,117,101,32,102,111,114,32,78,65,88,73,83,37,100,32,107,101,121,119,111,114,100,58,32,37,46,48,102,0,37,100,0,70,73,84,83,32,100,97,116,97,115,101,116,32,109,97,121,32,99,111,110,116,97,105,110,32,101,120,116,101,110,115,105,111,110,115,0,112,99,111,117,110,116,32,118,97,108,117,101,32,105,115,32,108,101,115,115,32,116,104,97,110,32,48,0,103,99,111,117,110,116,32,118,97,108,117,101,32,105,115,32,108,101,115,115,32,116,104,97,110,32,49,0,114,97,110,100,111,109,32,103,114,111,117,112,32,114,101,99,111,114,100,115,32,97,114,101,32,112,114,101,115,101,110,116,0,71,82,79,85,80,83,0,110,117,109,98,101,114,32,111,102,32,114,97,110,100,111,109,32,103,114,111,117,112,32,112,97,114,97,109,101,116,101,114,115,0,110,117,109,98,101,114,32,111,102,32,114,97,110,100,111,109,32,103,114,111,117,112,115,0,67,79,77,77,69,78,84,32,32,32,70,73,84,83,32,40,70,108,101,120,105,98,108,101,32,73,109,97,103,101,32,84,114,97,110,115,112,111,114,116,32,83,121,115,116,101,109,41,32,102,111,114,109,97,116,32,105,115,32,100,101,102,105,110,101,100,32,105,110,32,39,65,115,116,114,111,110,111,109,121,0,67,79,77,77,69,78,84,32,32,32,97,110,100,32,65,115,116,114,111,112,104,121,115,105,99,115,39,44,32,118,111,108,117,109,101,32,51,55,54,44,32,112,97,103,101,32,51,53,57,59,32,98,105,98,99,111,100,101,58,32,50,48,48,49,65,38,65,46,46,46,51,55,54,46,46,51,53,57,72,0,105,109,97,103,101,32,101,120,116,101,110,115,105,111,110,115,32,109,117,115,116,32,104,97,118,101,32,112,99,111,117,110,116,32,61,32,48,0,105,109,97,103,101,32,101,120,116,101,110,115,105,111,110,115,32,109,117,115,116,32,104,97,118,101,32,103,99,111,117,110,116,32,61,32,49,0,114,101,113,117,105,114,101,100,32,107,101,121,119,111,114,100,59,32,109,117,115,116,32,61,32,48,0,114,101,113,117,105,114,101,100,32,107,101,121,119,111,114,100,59,32,109,117,115,116,32,61,32,49,0,37,46,42,102,0,69,114,114,111,114,32,105,110,32,102,102,100,50,102,32,99,111,110,118,101,114,116,105,110,103,32,100,111,117,98,108,101,32,116,111,32,115,116,114,105,110,103,0,69,114,114,111,114,32,105,110,32,102,102,100,50,102,58,32,100,111,117,98,108,101,32,118,97,108,117,101,32,105,115,32,97,32,78,97,78,32,111,114,32,73,78,68,69,70,0,39,39,0,61,0,67,79,77,77,69,78,84,32,0,72,73,83,84,79,82,89,32,0,32,32,32,32,32,32,32,32,0,67,79,78,84,73,78,85,69,0,84,65,66,76,69,0,65,83,67,73,73,32,116,97,98,108,101,32,101,120,116,101,110,115,105,111,110,0,56,45,98,105,116,32,65,83,67,73,73,32,99,104,97,114,97,99,116,101,114,115,0,50,45,100,105,109,101,110,115,105,111,110,97,108,32,65,83,67,73,73,32],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+81945);allocate([116,97,98,108,101,0,78,65,88,73,83,49,0,119,105,100,116,104,32,111,102,32,116,97,98,108,101,32,105,110,32,99,104,97,114,97,99,116,101,114,115,0,110,117,109,98,101,114,32,111,102,32,114,111,119,115,32,105,110,32,116,97,98,108,101,0,110,111,32,103,114,111,117,112,32,112,97,114,97,109,101,116,101,114,115,32,40,114,101,113,117,105,114,101,100,32,107,101,121,119,111,114,100,41,0,111,110,101,32,100,97,116,97,32,103,114,111,117,112,32,40,114,101,113,117,105,114,101,100,32,107,101,121,119,111,114,100,41,0,110,117,109,98,101,114,32,111,102,32,102,105,101,108,100,115,32,105,110,32,101,97,99,104,32,114,111,119,0,108,97,98,101,108,32,102,111,114,32,102,105,101,108,100,32,37,51,100,0,84,84,89,80,69,0,98,101,103,105,110,110,105,110,103,32,99,111,108,117,109,110,32,111,102,32,102,105,101,108,100,32,37,51,100,0,84,66,67,79,76,0,84,70,79,82,77,0,70,111,114,116,114,97,110,45,55,55,32,102,111,114,109,97,116,32,111,102,32,102,105,101,108,100,0,84,85,78,73,84,0,112,104,121,115,105,99,97,108,32,117,110,105,116,32,111,102,32,102,105,101,108,100,0,110,97,109,101,32,111,102,32,116,104,105,115,32,65,83,67,73,73,32,116,97,98,108,101,32,101,120,116,101,110,115,105,111,110,0,70,97,105,108,101,100,32,116,111,32,119,114,105,116,101,32,65,83,67,73,73,32,116,97,98,108,101,32,104,101,97,100,101,114,32,107,101,121,119,111,114,100,115,32,40,102,102,112,104,116,98,41,0,66,73,78,84,65,66,76,69,0,98,105,110,97,114,121,32,116,97,98,108,101,32,101,120,116,101,110,115,105,111,110,0,56,45,98,105,116,32,98,121,116,101,115,0,50,45,100,105,109,101,110,115,105,111,110,97,108,32,98,105,110,97,114,121,32,116,97,98,108,101,0,119,105,100,116,104,32,111,102,32,116,97,98,108,101,32,105,110,32,98,121,116,101,115,0,115,105,122,101,32,111,102,32,115,112,101,99,105,97,108,32,100,97,116,97,32,97,114,101,97,0,100,97,116,97,32,102,111,114,109,97,116,32,111,102,32,102,105,101,108,100,0,58,32,65,83,67,73,73,32,67,104,97,114,97,99,116,101,114,0,37,108,100,0,69,82,82,79,82,63,63,32,32,85,83,73,78,71,32,65,83,67,73,73,32,84,65,66,76,69,32,83,89,78,84,65,88,32,66,89,32,77,73,83,84,65,75,69,63,63,0,114,65,119,32,70,79,82,77,65,84,32,69,82,82,79,82,33,32,85,78,73,84,32,87,73,68,84,72,32,119,32,62,32,67,79,76,85,77,78,32,87,73,68,84,72,32,114,0,58,32,66,73,84,0,58,32,66,89,84,69,0,58,32,49,45,98,121,116,101,32,76,79,71,73,67,65,76,0,58,32,50,45,98,121,116,101,32,73,78,84,69,71,69,82,0,58,32,52,45,98,121,116,101,32,73,78,84,69,71,69,82,0,58,32,56,45,98,121,116,101,32,73,78,84,69,71,69,82,0,58,32,52,45,98,121,116,101,32,82,69,65,76,0,58,32,56,45,98,121,116,101,32,68,79,85,66,76,69,0,58,32,67,79,77,80,76,69,88,0,58,32,68,79,85,66,76,69,32,67,79,77,80,76,69,88,0,58,32,118,97,114,105,97,98,108,101,32,108,101,110,103,116,104,32,97,114,114,97,121,0,84,90,69,82,79,0,111,102,102,115,101,116,32,102,111,114,32,115,105,103,110,101,100,32,98,121,116,101,115,0,84,83,67,65,76,0,100,97,116,97,32,97,114,101,32,110,111,116,32,115,99,97,108,101,100,0,111,102,102,115,101,116,32,102,111,114,32,117,110,115,105,103,110,101,100,32,105,110,116,101,103,101,114,115,0,110,97,109,101,32,111,102,32,116,104,105,115,32,98,105,110,97,114,121,32,116,97,98,108,101,32,101,120,116,101,110,115,105,111,110,0,70,97,105,108,101,100,32,116,111,32,119,114,105,116,101,32,98,105,110,97,114,121,32,116,97,98,108,101,32,104,101,97,100,101,114,32,107,101,121,119,111,114,100,115,32,40,102,102,112,104,98,110,41,0,102,102,112,107,116,112,32,99,111,117,108,100,32,110,111,116,32,111,112,101,110,32,116,104,101,32,102,111,108,108,111,119,105,110,103,32,116,101,109,112,108,97,116,101,32,102,105,108,101,58,0,66,97,100,32,107,101,121,119,111,114,100,32,100,97,116,97,116,121,112,101,32,99,111,100,101,58,32,37,100,32,40,102,102,112,107,121,41,0,44,32,0,37,46,42,71,0,69,114,114,111,114,32,105,110,32,102,102,100,50,101,32,99,111,110,118,101,114,116,105,110,103,32,102,108,111,97,116,32,116,111,32,115,116,114,105,110,103,0,37,46,49,69,0,37,46,42,69,0,69,114,114,111,114,32,105,110,32,102,102,100,50,101,58,32,100,111,117,98,108,101,32,118,97,108,117,101,32,105,115,32,97,32,78,97,78,32,111,114,32,73,78,68,69,70,0,69,114,114,111,114,32,105,110,32,102,102,114,50,101,32,99,111,110,118,101,114,116,105,110,103,32,102,108,111,97,116,32,116,111,32,115,116,114,105,110,103,0,69,114,114,111,114,32,105,110,32,102,102,114,50,101,58,32,102,108,111,97,116,32,118,97,108,117,101,32,105,115,32,97,32,78,97,78,32,111,114,32,73,78,68,69,70,0,69,114,114,111,114,32,105,110,32,102,102,100,50,102,58,32,32,110,111,46,32,111,102,32,100,101,99,105,109,97,108,32,112,108,97,99,101,115,32,60,32,48,0,76,79,78,71,83,84,82,78,0,79,71,73,80,32,49,46,48,0,84,104,101,32,72,69,65,83,65,82,67,32,76,111,110,103,32,83,116,114,105,110,103,32,67,111,110,118,101,110,116,105,111,110,32,109,97,121,32,98,101,32,117,115,101,100,46,0,32,32,84,104,105,115,32,70,73,84,83,32,102,105,108,101,32,109,97,121,32,99,111,110,116,97,105,110,32,108,111,110,103,32,115,116,114,105,110,103,32,107,101,121,119,111,114,100,32,118,97,108,117,101,115,32,116,104,97,116,32,97,114,101,0,32,32,99,111,110,116,105,110,117,101,100,32,111,118,101,114,32,109,117,108,116,105,112,108,101,32,107,101,121,119,111,114,100,115,46,32,32,84,104,101,32,72,69,65,83,65,82,67,32,99,111,110,118,101,110,116,105,111,110,32,117,115,101,115,32,116,104,101,32,38,0,32,32,99,104,97,114,97,99,116,101,114,32,97,116,32,116,104,101,32,101,110,100,32,111,102,32,101,97,99,104,32,115,117,98,115,116,114,105,110,103,32,119,104,105,99,104,32,105,115,32,116,104,101,110,32,99,111,110,116,105,110,117,101,100,0,32,32,111,110,32,116,104,101,32,110,101,120,116,32,107,101,121,119,111,114,100,32,119,104,105,99,104,32,104,97,115,32,116,104,101,32,110,97,109,101,32,67,79,78,84,73,78,85,69,46,0,37,89,45,37,109,45,37,100,84,37,72,58,37,77,58,37,83,0,32,76,111,99,97,108,0,68,65,84,69,32,32,32,32,61,32,39,0,39,32,47,32,102,105,108,101,32,99,114,101,97,116,105,111,110,32,100,97,116,101,32,40,89,89,89,89,45,77,77,45,68,68,84,104,104,58,109,109,58,115,115,0,68,65,84,69,0,99,111,108,117,109,110,32,110,117,109,98,101,114,32,105,115,32,111,117,116,32,111,102,32,114,97,110,103,101,32,49,32,45,32,57,57,57,32,40,102,102,112,116,100,109,41,0,110,97,120,105,115,32,105,115,32,108,101,115,115,32,116,104,97,110,32,49,32,40,102,102,112,116,100,109,41,0,69,114,114,111,114,58,32,84,104,101,32,84,68,73,77,110,32,107,101,121,119,111,114,100,32,105,115,32,111,110,108,121,32,97,108,108,111,119,101,100,32,105,110,32,66,73,78,84,65,66,76,69,32,101,120,116,101,110,115,105,111,110,115,32,40,102,102,112,116,100,109,41,0,111,110,101,32,111,114,32,109,111,114,101,32,84,68,73,77,32,118,97,108,117,101,115,32,97,114,101,32,108,101,115,115,32,116,104,97,110,32,48,32,40,102,102,112,116,100,109,41,0,99,111,108,117,109,110,32,118,101,99,116,111,114,32,108,101,110,103,116,104,44,32,37,108,100,44,32,100,111,101,115,32,110,111,116,32,101,113,117,97,108,32,84,68,73,77,110,32,97,114,114,97,121,32,115,105,122,101,44,32,37,108,100,0,115,105,122,101,32,111,102,32,116,104,101,32,109,117,108,116,105,100,105,109,101,110,115,105,111,110,97,108,32,97,114,114,97,121,0,84,68,73,77,0,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,89,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,72,65,80,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,79,84,65,78,71,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,79,77,80,79,78,69,78,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,111,117,108,100,110,39,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,116,111,32,104,111,108,100,32,82,101,103,105,111,110,32,102,105,108,101,32,99,111,110,116,101,110,116,115,46,0,82,69,71,73,79,78,0,67,111,117,108,100,32,110,111,116,32,109,111,118,101,32,116,111,32,82,69,71,73,79,78,32,101,120,116,101,110,115,105,111,110,46,0,67,111,117,108,100,32,110,111,116,32,114,101,97,100,32,78,65,88,73,83,50,32,107,101,121,119,111,114,100,46,0,70,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,82,101,103,105,111,110,32,100,97,116,97,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,99,111,108,117,109,110,46,0,70,97,105,108,101,100,32,116,111,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,102,111,114,32,82,101,103,105,111,110,32,87,67,83,32,100,97,116,97,0,67,111,117,108,100,32,110,111,116,32,102,105,110,100,32,118,101,99,116,111,114,32,115,105,122,101,32,111,102,32,99,111,108,117,109,110,46,0,32,0,67,111,117,108,100,32,110,111,116,32,114,101,97,100,32,115,104,97,112,101,46,0,80,79,73,78,84,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,73,82,67,76,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,76,76,73,80,83,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,65,78,78,85,76,85,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,69,76,76,73,80,84,65,78,78,85,76,85,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,79,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,79,84,66,79,88,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,66,79,88,65,78,78,85,76,85,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,69,67,84,65,78,71,76,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,79,84,82,69,67,84,65,78,71,76,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,79,76,89,71,79,78,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,80,73,69,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,83,69,67,84,79,82,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,68,73,65,77,79,78,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,72,79,77,66,85,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,79,84,68,73,65,77,79,78,68,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,82,79,84,82,72,79,77,66,85,83,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,109,101,109,111,114,121,32,116,111,32,104,111,108,100,32,112,111,108,121,103,111,110,32,112,97,114,97,109,101,116,101,114,115,0,70,97,105,108,101,100,32,116,111,32,114,101,97,100,32,88,32,99,111,108,117,109,110,32,102,111,114,32,112,111,108,121,103,111,110,32,114,101,103,105,111,110,0,70,97,105,108,101,100,32,116,111,32,114,101,97,100,32,89,32,99,111,108,117,109,110,32,102,111,114,32,112,111,108,121,103,111,110,32,114,101,103,105,111,110,0,70,97,105,108,101,100,32,116,111,32,116,114,97,110,115,102,111,114,109,32,99,111,111,114,100,105,110,97,116,101,115,0,70,97,105,108,101,100,32,116,111,32,114,101,97,100,32,82,32,99,111,108,117,109,110,32,102,111,114,32,114,101,103,105,111,110,0,70,97,105,108,101,100,32,116,111,32,114,101,97,100,32,82,79,84,65,78,71,32,99,111,108,117,109,110,32,102,111,114,32,114,101,103,105,111,110,0,70,97,105,108,101,100,32,116,111,32,114,101,97,100,32,67,79,77,80,79,78,69,78,84,32,99,111,108,117,109,110,32,102,111,114,32,114,101,103,105,111,110,0,114,0,67,111,117,108,100,32,110,111,116,32,111,112,101,110,32,82,101,103,105,111,110,32,102,105,108,101,32,37,115,46,0,102,111,114,109,97,116,58,0,70,111,114,109,97,116,32,99,111,100,101,32,101,110,99,111,117,110,116,101,114,101,100,32,97,102,116,101,114,32,114,101,97,100,105,110,103,32,49,32,111,114,32,109,111,114,101,32,115,104,97,112,101,115,46,0,112,105,120,101,108,0,100,101,103,114,101,101,0,104,104,109,109,115,115,0,104,109,115,0,85,110,107,110,111,119,110,32,102,111,114,109,97,116,32,99,111,100,101,32,101,110,99,111,117,110,116,101,114,101,100,32,105,110,32,114,101,103,105,111,110,32,102,105,108,101,46,0,103,108,111,98,0,69,114,114,111,114,32,114,101,97,100,105,110,103,32,82,101,103,105,111,110,32,102,105,108,101,0,105,109,97,103,101,59,0,112,104,121,115,105,99,97,108,59,0,108,105,110,101,97,114,59,0,102,107,52,59,0,102,107,53,59,0,105,99,114,115,59,0,102,107,53,0,102,107,52,0,105,99,114,115,0,105,109,97,103,101,0,112,104,121,115,105,99,97,108,0,103,97,108,97,99,116,105,99,59,0,71,97,108,97,99,116,105,99,32,114,101,103,105,111,110,32,99,111,111,114,100,105,110,97,116,101,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,101,99,108,105,112,116,105,99,59,0,101,99,108,105,112,116,105,99,32,114,101,103,105,111,110,32,99,111,111,114,100,105,110,97,116,101,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,99,105,114,99,108,101,0,97,110,110,117,108,117,115,0,101,108,108,105,112,115,101,0,101,108,108,105,112,116,97,110,110,117,108,117,115,0,98,111,120,0,114,111,116,98,111,120,0,114,101,99,116,97,110,103,108,101,0,114,111,116,114,101,99,116,97,110,103,108,101,0,100,105,97,109,111,110,100,0,114,111,116,100,105,97,109,111,110,100,0,114,104,111,109,98,117,115,0,114,111,116,114,104,111,109,98,117,115,0,115,101,99,116,111,114,0,112,105,101,0,112,111,105,110,116,0,108,105,110,101,0,112,111,108,121,103,111,110,0,112,97,110,100,97,0,101,112,97,110,100,97,0,98,112,97,110,100,97,0,85,110,114,101,99,111,103,110,105,122,101,100,32,114,101,103,105,111,110,32,102,111,117,110,100,32,105,110,32,114,101,103,105,111,110,32,102,105,108,101,58,0,87,114,111,110,103,32,110,117,109,98,101,114,32,111,102,32,112,97,114,97,109,101,116,101,114,115,32,102,111,117,110,100,32,102,111,114,32,114,101,103,105,111,110,0,87,67,83,32,105,110,102,111,114,109,97,116,105,111,110,32,110,101,101,100,101,100,32,116,111,32,99,111,110,118,101,114,116,32,114,101,103,105,111,110,32,99,111,111,114,100,105,110,97,116,101,115,46,0,69,114,114,111,114,32,99,111,110,118,101,114,116,105,110,103,32,114,101,103,105,111,110,32,116,111,32,112,105,120,101,108,32,99,111,111,114,100,105,110,97,116,101,115,46,0,69,114,114,111,114,32,105,110,32,102,102,103,105,119,99,115,46,32,84,104,105,115,32,72,68,85,32,105,115,32,110,111,116,32,97,110,32,105,109,97,103,101,46,32,67,97,110,39,116,32,114,101,97,100,32,87,67,83,32,107,101,121,119,111,114,100,115,0,101,114,114,111,114,32,99,114,101,97,116,105,110,103,32,115,116,114,105,110,103,32,111,102,32,105,109,97,103,101,32,87,67,83,32,107,101,121,119,111,114,100,115,32,40,102,102,103,105,119,99,115,41,0,67,82,86,65,76,49,0,67,82,86,65,76,50,0,67,82,80,73,88,49,0,67,82,80,73,88,50,0,67,68,69,76,84,49,0,67,68,49,95,49,0,67,68,50,95,49,0,67,68,49,95,50,0,67,68,50,95,50,0,67,68,69,76,84,50,0,67,82,79,84,65,50,0,80,67,49,95,49,0,80,67,50,95,49,0,80,67,49,95,50,0,80,67,50,95,50,0,67,84,89,80,69,49,0,68,69,67,45,0,76,65,84,0,109,101,109,58,47,47,0,102,102,103,116,99,115,32,99,111,117,108,100,32,110,111,116,32,102,105,110,100,32,97,108,108,32,116,104,101,32,99,101,108,101,115,116,105,97,108,32,99,111,111,114,100,105,110,97,116,101,32,107,101,121,119,111,114,100,115,0,102,105,116,115,95,105,110,105,116,95,114,97,110,100,111,109,115,32,103,101,110,101,114,97,116,101,100,32,105,110,99,111,114,114,101,99,116,32,114,97,110,100,111,109,32,110,117,109,98,101,114,32,115,101,113,117,101,110,99,101,0,117,110,107,110,111,119,110,32,99,111,109,112,114,101,115,115,105,111,110,32,97,108,103,111,114,105,116,104,109,32,40,102,105,116,115,95,115,101,116,95,99,111,109,112,114,101,115,115,105,111,110,95,116,121,112,101,41,0,105,108,108,101,103,97,108,32,110,117,109,98,101,114,32,111,102,32,116,105,108,101,32,100,105,109,101,110,115,105,111,110,115,32,40,102,105,116,115,95,115,101,116,95,116,105,108,101,95,100,105,109,41,0,105,108,108,101,103,97,108,32,100,105,116,104,101,114,105,110,103,32,118,97,108,117,101,32,40,102,105,116,115,95,115,101,116,95,113,117,97,110,116,105,122,101,95,109,101,116,104,111,100,41,0,90,67,77,80,84,89,80,69,0,90,66,76,65,78,75,0,110,117,108,108,32,118,97,108,117,101,32,105,110,32,116,104,101,32,99,111,109,112,114,101,115,115,101,100,32,105,110,116,101,103,101,114,32,97,114,114,97,121,0,76,111,115,115,108,101,115,115,32,99,111,109,112,114,101,115,115,105,111,110,32,111,102,32,102,108,111,97,116,105,110,103,32,112,111,105,110,116,32,105,109,97,103,101,115,32,109,117,115,116,32,117,115,101,32,71,90,73,80,32,40,105,109,99,111,109,112,95,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,78,79,67,79,77,80,82,69,83,83,73,79,78,32,111,112,116,105,111,110,32,111,110,108,121,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,105,110,116,42,50,44,32,105,110,116,42,52,44,32,97,110,100,32,102,108,111,97,116,42,52,32,105,109,97,103,101,115,0,85,78,67,79,77,80,82,69,83,83,69,68,95,68,65,84,65,0,73,109,112,108,105,99,105,116,32,100,97,116,97,116,121,112,101,32,99,111,110,118,101,114,115,105,111,110,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,119,104,101,110,32,119,114,105,116,105,110,103,32,116,111,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,115,0,117,110,115,117,112,112,111,114,116,101,100,32,105,109,97,103,101,32,100,97,116,97,116,121,112,101,32,40,105,109,99,111,109,112,95,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,77,101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,102,97,105,108,117,114,101,46,32,40,105,109,99,111,109,112,95,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,101,114,114,111,114,32,82,105,99,101,32,99,111,109,112,114,101,115,115,105,110,103,32,105,109,97,103,101,32,116,105,108,101,32,40,105,109,99,111,109,112,95,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,100,97,116,97,32,111,117,116,32,111,102,32,114,97,110,103,101,32,102,111,114,32,80,76,73,79,32,99,111,109,112,114,101,115,115,105,111,110,32,40,48,32,45,32,50,42,42,50,52,41,0,101,114,114,111,114,32,80,76,73,79,32,99,111,109,112,114,101,115,115,105,110,103,32,105,109,97,103,101,32,116,105,108,101,32,40,105,109,99,111,109,112,95,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,109,97,108,108,111,99,32,102,97,105,108,101,100,10,0,98,122,105,112,50,32,99,111,109,112,114,101,115,115,105,111,110,32,101,114,114,111,114,0,79,117,116,32,111,102,32,109,101,109,111,114,121,46,32,40,102,105,116,115,95,105,110,116,95,116,111,95,108,111,110,103,108,111,110,103,95,105,110,112,108,97,99,101,41,0,71,90,73,80,95,67,79,77,80,82,69,83,83,69,68,95,68,65,84,65,0,49,81,66,0,49,80,66,0,77,101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,101,114,114,111,114,46,32,40,105,109,99,111,109,112,95,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,90,68,73,84,72,69,82,48,0,85,110,107,110,111,119,110,32,115,117,98,116,114,97,99,116,105,118,101,32,100,105,116,104,101,114,105,110,103,32,109,101,116,104,111,100,46,0,77,97,121,32,110,101,101,100,32,116,111,32,105,110,115,116,97,108,108,32,97,32,110,101,119,101,114,32,118,101,114,115,105,111,110,32,111,102,32,67,70,73,84,83,73,79,46,0,85,110,107,110,111,119,110,32,100,105,116,104,101,114,105,110,103,32,109,101,116,104,111,100,46,0,79,117,116,32,111,102,32,109,101,109,111,114,121,46,32,40,102,105,116,115,95,115,98,121,116,101,95,116,111,95,105,110,116,95,105,110,112,108,97,99,101,41,0,79,117,116,32,111,102,32,109,101,109,111,114,121,46,32,40,102,105,116,115,95,117,98,121,116,101,95,116,111,95,105,110,116,95,105,110,112,108,97,99,101,41,0,79,117,116,32,111,102,32,109,101,109,111,114,121,46,32,40,102,105,116,115,95,117,115,104,111,114,116,95,116,111,95,105,110,116,95,105,110,112,108,97,99,101,41,0,68,97,116,97,116,121,112,101,32,99,111,110,118,101,114,115,105,111,110,47,115,99,97,108,105,110,103,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,119,104,101,110,32,119,114,105,116,105,110,103,32,116,111,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,115,0,79,117,116,32,111,102,32,109,101,109,111,114,121,46,32,40,102,105,116,115,95,115,104,111,114,116,95,116,111,95,105,110,116,95,105,110,112,108,97,99,101,41,0,69,88,84,78,65,77,69,32,61,32,39,67,79,77,80,82,69,83,83,69,68,95,73,77,65,71,69,39,0,66,73,84,80,73,88,0,90,66,73,84,80,73,88,0,66,83,67,65,76,69,0,66,90,69,82,79,0,66,76,65,78,75,0,90,81,85,65,78,84,73,90,0,32,32,32,32,0,83,73,77,80,76,69,0,90,83,73,77,80,76,69,0,88,84,69,78,83,73,79,78,0,90,84,69,78,83,73,79,78,0,78,65,88,73,83,0,90,78,65,88,73,83,0,78,65,88,73,83,109,0,90,78,65,88,73,83,109,0,69,88,84,69,78,68,0,90,69,88,84,69,78,68,0,66,76,79,67,75,69,68,0,90,66,76,79,67,75,69,68,0,80,67,79,85,78,84,0,90,80,67,79,85,78,84,0,71,67,79,85,78,84,0,90,71,67,79,85,78,84,0,67,72,69,67,75,83,85,77,0,90,72,69,67,75,83,85,77,0,68,65,84,65,83,85,77,0,90,68,65,84,65,83,85,77,0,42,0,43,0,76,111,115,115,108,101,115,115,32,99,111,109,112,114,101,115,115,105,111,110,32,111,102,32,102,108,111,97,116,105,110,103,32,112,111,105,110,116,32,105,109,97,103,101,115,32,109,117,115,116,32,117,115,101,32,71,90,73,80,32,40,105,109,99,111,109,112,95,105,110,105,116,95,116,97,98,108,101,41,0,72,99,111,109,112,114,101,115,115,32,99,97,110,110,111,116,32,98,101,32,117,115,101,100,32,119,105,116,104,32,49,45,100,105,109,101,110,115,105,111,110,97,108,32,105,109,97,103,101,115,32,40,105,109,99,111,109,112,95,105,110,105,116,95,116,97,98,108,101,41,0,72,99,111,109,112,114,101,115,115,32,109,105,110,105,109,117,109,32,105,109,97,103,101,32,100,105,109,101,110,115,105,111,110,32,105,115,32,52,32,112,105,120,101,108,115,32,40,105,109,99,111,109,112,95,105,110,105,116,95,116,97,98,108,101,41,0,72,99,111,109,112,114,101,115,115,32,109,105,110,105,109,117,109,32,116,105,108,101,32,100,105,109,101,110,115,105,111,110,32,105,115,32,52,32,112,105,120,101,108,115,32,40,105,109,99,111,109,112,95,105,110,105,116,95,116,97,98,108,101,41,0,76,97,115,116,32,116,105,108,101,32,97,108,111,110,103,32,49,115,116,32,100,105,109,101,110,115,105,111,110,32,104,97,115,32,108,101,115,115,32,116,104,97,110,32,52,32,112,105,120,101,108,115,32,40,105,109,99,111,109,112,95,105,110,105,116,95,116,97,98,108,101,41,0,76,97,115,116,32,116,105,108,101,32,97,108,111,110,103,32,50,110,100,32,100,105,109,101,110,115,105,111,110,32,104,97,115,32,108,101,115,115,32,116,104,97,110,32,52,32,112,105,120,101,108,115,32,40,105,109,99,111,109,112,95,105,110,105,116,95,116,97,98,108,101,41,0,49,68,0,82,73,67,69,95,49,0,71,90,73,80,95,49,0,71,90,73,80,95,50,0,80,76,73,79,95,49,0,72,67,79,77,80,82,69,83,83,95,49,0,78,79,67,79,77,80,82,69,83,83,0,117,110,107,110,111,119,110,32,99,111,109,112,114,101,115,115,105,111,110,32,116,121,112,101,32,40,105,109,99,111,109,112,95,105,110,105,116,95,116,97,98,108,101,41,0,90,73,77,65,71,69,0,101,120,116,101,110,115,105,111,110,32,99,111,110,116,97,105,110,115,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,0,102,105,108,101,32,100,111,101,115,32,99,111,110,102,111,114,109,32,116,111,32,70,73,84,83,32,115,116,97,110,100,97,114,100,0,100,97,116,97,32,116,121,112,101,32,111,102,32,111,114,105,103,105,110,97,108,32,105,109,97,103,101,0,100,105,109,101,110,115,105,111,110,32,111,102,32,111,114,105,103,105,110,97,108,32,105,109,97,103,101,0,90,78,65,88,73,83,37,100,0,108,101,110,103,116,104,32,111,102,32,111,114,105,103,105,110,97,108,32,105,109,97,103,101,32,97,120,105,115,0,90,84,73,76,69,37,100,0,115,105,122,101,32,111,102,32,116,105,108,101,115,32,116,111,32,98,101,32,99,111,109,112,114,101,115,115,101,100,0,78,79,78,69,0,76,111,115,115,108,101,115,115,32,99,111,109,112,114,101,115,115,105,111,110,32,119,105,116,104,111,117,116,32,113,117,97,110,116,105,122,97,116,105,111,110,0,83,85,66,84,82,65,67,84,73,86,69,95,68,73,84,72,69,82,95,49,0,80,105,120,101,108,32,81,117,97,110,116,105,122,97,116,105,111,110,32,65,108,103,111,114,105,116,104,109,0,100,105,116,104,101,114,105,110,103,32,111,102,102,115,101,116,32,119,104,101,110,32,113,117,97,110,116,105,122,105,110,103,32,102,108,111,97,116,115,0,83,85,66,84,82,65,67,84,73,86,69,95,68,73,84,72,69,82,95,50,0,82,73,67,69,95,79,78,69,0,78,79,95,68,73,84,72,69,82,0,78,111,32,100,105,116,104,101,114,105,110,103,32,100,117,114,105,110,103,32,113,117,97,110,116,105,122,97,116,105,111,110,0,99,111,109,112,114,101,115,115,105,111,110,32,97,108,103,111,114,105,116,104,109,0,90,78,65,77,69,49,0,66,76,79,67,75,83,73,90,69,0,99,111,109,112,114,101,115,115,105,111,110,32,98,108,111,99,107,32,115,105,122,101,0,90,86,65,76,49,0,112,105,120,101,108,115,32,112,101,114,32,98,108,111,99,107,0,90,78,65,77,69,50,0,66,89,84,69,80,73,88,0,98,121,116,101,115,32,112,101,114,32,112,105,120,101,108,32,40,49,44,32,50,44,32,52,44,32,111,114,32,56,41,0,90,86,65,76,50,0,83,67,65,76,69,0,72,67,79,77,80,82,69,83,83,32,115,99,97,108,101,32,102,97,99,116,111,114,0,83,77,79,79,84,72,0,72,67,79,77,80,82,69,83,83,32,115,109,111,111,116,104,32,111,112,116,105,111,110,0,111,102,102,115,101,116,32,100,97,116,97,32,114,97,110,103,101,32,116,111,32,116,104,97,116,32,111,102,32,117,110,115,105,103,110,101,100,32,115,104,111,114,116,0,100,101,102,97,117,108,116,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,0,111,102,102,115,101,116,32,100,97,116,97,32,114,97,110,103,101,32,116,111,32,116,104,97,116,32,111,102,32,115,105,103,110,101,100,32,98,121,116,101,0,111,102,102,115,101,116,32,100,97,116,97,32,114,97,110,103,101,32,116,111,32,116,104,97,116,32,111,102,32,117,110,115,105,103,110,101,100,32,108,111,110,103,0,67,79,77,80,82,69,83,83,69,68,95,68,65,84,65,0,90,83,67,65,76,69,0,90,90,69,82,79,0,67,72,68,85,32,105,115,32,110,111,116,32,97,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,32,40,102,105,116,115,95,119,114,105,116,101,95,99,111,109,112,114,101,115,115,101,100,95,105,109,103,41,0,117,110,115,117,112,112,111,114,116,101,100,32,100,97,116,97,116,121,112,101,32,102,111,114,32,99,111,109,112,114,101,115,115,105,110,103,32,105,109,97,103,101,0,117,110,115,117,112,112,111,114,116,101,100,32,105,109,97,103,101,32,99,111,109,112,114,101,115,115,105,111,110,32,97,108,103,111,114,105,116,104,109,0,79,117,116,32,111,102,32,109,101,109,111,114,121,32,40,102,105,116,115,95,119,114,105,116,101,95,99,111,109,112,114,101,115,115,95,105,109,103,41,0,101,114,114,111,114,32,97,108,108,111,99,97,116,105,110,103,32,109,101,109,111,114,121,32,102,111,114,32,103,122,105,112,112,101,100,32,116,105,108,101,32,40,105,109,99,111,109,112,95,100,101,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,99,111,109,112,114,101,115,115,101,100,32,98,121,116,101,32,115,116,114,101,97,109,32,102,114,111,109,32,98,105,110,97,114,121,32,116,97,98,108,101,0,105,110,99,111,109,112,97,116,105,98,108,101,32,100,97,116,97,32,116,121,112,101,32,105,110,32,103,122,105,112,112,101,100,32,102,108,111,97,116,105,110,103,45,112,111,105,110,116,32,116,105,108,101,45,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,0,77,101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,102,97,105,108,117,114,101,32,102,111,114,32,116,101,109,112,102,108,111,97,116,46,32,40,105,109,99,111,109,112,95,100,101,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,102,97,105,108,101,100,32,116,111,32,103,117,110,122,105,112,32,116,104,101,32,105,109,97,103,101,32,116,105,108,101,0,105,109,112,108,105,99,105,116,32,100,97,116,97,32,116,121,112,101,32,99,111,110,118,101,114,115,105,111,110,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,102,111,114,32,103,122,105,112,112,101,100,32,105,109,97,103,101,32,116,105,108,101,115,0,105,109,112,108,105,99,105,116,32,100,97,116,97,32,116,121,112,101,32,99,111,110,118,101,114,115,105,111,110,32,105,115,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,105,110,32,116,105,108,101,45,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,115,0,101,114,114,111,114,58,32,117,110,99,111,109,112,114,101,115,115,101,100,32,116,105,108,101,32,104,97,115,32,119,114,111,110,103,32,115,105,122,101,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,115,99,97,108,105,110,103,32,102,97,99,116,111,114,32,97,110,100,32,111,102,102,115,101,116,32,102,111,114,32,99,111,109,112,114,101,115,115,101,100,32,116,105,108,101,0,101,114,114,111,114,32,114,101,97,100,105,110,103,32,110,117,108,108,32,118,97,108,117,101,32,102,111,114,32,99,111,109,112,114,101,115,115,101,100,32,116,105,108,101,0,77,101,109,111,114,121,32,97,108,108,111,99,97,116,105,111,110,32,102,97,105,108,117,114,101,32,102,111,114,32,105,100,97,116,97,46,32,40,105,109,99,111,109,112,95,100,101,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,79,117,116,32,111,102,32,109,101,109,111,114,121,32,102,111,114,32,99,98,117,102,46,32,40,105,109,99,111,109,112,95,100,101,99,111,109,112,114,101,115,115,95,116,105,108,101,41,0,98,122,105,112,50,32,100,101,99,111,109,112,114,101,115,115,105,111,110,32,101,114,114,111,114,0,117,110,107,110,111,119,110,32,99,111,109,112,114,101,115,115,105,111,110,32,97,108,103,111,114,105,116,104,109,0,111,110,108,121,32,49,68,44,32,50,68,44,32,111,114,32,51,68,32,105,109,97,103,101,115,32,97,114,101,32,99,117,114,114,101,110,116,108,121,32,115,117,112,112,111,114,116,101,100,0,67,72,68,85,32,105,115,32,110,111,116,32,97,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,32,40,102,105,116,115,95,114,101,97,100,95,99,111,109,112,114,101,115,115,101,100,95,105,109,103,41,0,117,110,115,117,112,112,111,114,116,101,100,32,100,97,116,97,116,121,112,101,32,102,111,114,32,117,110,99,111,109,112,114,101,115,115,105,110,103,32,105,109,97,103,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,32,40,102,105,116,115,95,114,101,97,100,95,99,111,109,112,114,101,115,115,95,105,109,103,41,0,67,72,68,85,32,105,115,32,110,111,116,32,97,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,32,40,102,105,116,115,95,105,109,103,95,100,101,99,111,109,112,114,101,115,115,41,0,101,114,114,111,114,32,99,114,101,97,116,105,110,103,32,111,117,116,112,117,116,32,100,101,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,32,72,68,85,0,101,114,114,111,114,32,99,111,112,121,105,110,103,32,104,101,97,100,101,114,32,107,101,121,119,111,114,100,115,32,102,114,111,109,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,0,101,114,114,111,114,32,99,111,112,121,105,110,103,32,112,114,105,109,97,114,121,32,107,101,121,119,111,114,100,115,32,102,114,111,109,32,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,0,45,0,72,73,83,84,79,82,89,0,67,79,77,77,69,78,84,0,84,70,73,69,76,68,83,0,84,84,89,80,69,109,0,84,70,79,82,77,109,0,84,72,69,65,80,0,90,84,73,76,69,109,0,90,78,65,77,69,109,0,90,86,65,76,109,0,114,101,113,117,105,114,101,100,32,90,67,77,80,84,89,80,69,32,99,111,109,112,114,101,115,115,105,111,110,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,32,105,110,0,32,105,109,99,111,109,112,95,103,101,116,95,99,111,109,112,114,101,115,115,101,100,95,105,109,97,103,101,95,112,97,114,0,66,90,73,80,50,95,49,0,85,110,107,110,111,119,110,32,105,109,97,103,101,32,99,111,109,112,114,101,115,115,105,111,110,32,116,121,112,101,58,0,114,101,113,117,105,114,101,100,32,90,66,73,84,80,73,88,32,99,111,109,112,114,101,115,115,105,111,110,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,114,101,113,117,105,114,101,100,32,90,78,65,88,73,83,32,99,111,109,112,114,101,115,115,105,111,110,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,67,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,32,104,97,115,32,110,111,32,100,97,116,97,32,40,90,78,65,88,73,83,32,60,32,49,41,0,67,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,32,104,97,115,32,116,111,111,32,109,97,110,121,32,100,105,109,101,110,115,105,111,110,115,0,114,101,113,117,105,114,101,100,32,90,78,65,88,73,83,110,32,99,111,109,112,114,101,115,115,105,111,110,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,110,117,109,98,101,114,32,111,102,32,116,97,98,108,101,32,114,111,119,115,32,33,61,32,116,104,101,32,110,117,109,98,101,114,32,111,102,32,116,105,108,101,115,32,105,110,32,99,111,109,112,114,101,115,115,101,100,32,105,109,97,103,101,0,114,101,113,117,105,114,101,100,32,90,86,65,76,49,32,99,111,109,112,114,101,115,115,105,111,110,32,107,101,121,119,111,114,100,32,110,111,116,32,102,111,117,110,100,0,99,111,117,108,100,110,39,116,32,102,105,110,100,32,67,79,77,80,82,69,83,83,69,68,95,68,65,84,65,32,99,111,108,117,109,110,32,40,102,105,116,115,95,103,101,116,95,99,111,109,112,114,101,115,115,101,100,95,105,109,103,95,112,97,114,41,0,102,105,116,115,95,114,99,111,109,112,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,114,105,99,101,95,101,110,99,111,100,101,58,32,101,110,100,32,111,102,32,98,117,102,102,101,114,0,100,101,99,111,109,112,114,101,115,115,105,111,110,32,101,114,114,111,114,58,32,104,105,116,32,101,110,100,32,111,102,32,99,111,109,112,114,101,115,115,101,100,32,98,121,116,101,32,115,116,114,101,97,109,0,100,101,99,111,109,112,114,101,115,115,105,111,110,32,119,97,114,110,105,110,103,58,32,117,110,117,115,101,100,32,98,121,116,101,115,32,97,116,32,101,110,100,32,111,102,32,99,111,109,112,114,101,115,115,101,100,32,98],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+92185);allocate([117,102,102,101,114,0,104,116,114,97,110,115,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,101,110,99,111,100,101,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,101,110,99,111,100,101,58,32,111,117,116,112,117,116,32,98,117,102,102,101,114,32,116,111,111,32,115,109,97,108,108,0,113,116,114,101,101,95,101,110,99,111,100,101,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,104,116,114,97,110,115,54,52,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,101,110,99,111,100,101,54,52,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,101,110,99,111,100,101,54,52,58,32,111,117,116,112,117,116,32,98,117,102,102,101,114,32,116,111,111,32,115,109,97,108,108,0,113,116,114,101,101,95,101,110,99,111,100,101,54,52,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,221,153,98,97,100,32,102,105,108,101,32,102,111,114,109,97,116,0,100,111,100,101,99,111,100,101,58,32,98,97,100,32,98,105,116,32,112,108,97,110,101,32,118,97,108,117,101,115,0,104,105,110,118,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,113,116,114,101,101,95,100,101,99,111,100,101,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,113,116,114,101,101,95,100,101,99,111,100,101,58,32,98,97,100,32,102,111,114,109,97,116,32,99,111,100,101,0,100,111,100,101,99,111,100,101,54,52,58,32,98,97,100,32,98,105,116,32,112,108,97,110,101,32,118,97,108,117,101,115,0,104,105,110,118,54,52,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,113,116,114,101,101,95,100,101,99,111,100,101,54,52,58,32,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,113,116,114,101,101,95,100,101,99,111,100,101,54,52,58,32,98,97,100,32,102,111,114,109,97,116,32,99,111,100,101,0,69,114,114,111,114,58,32,116,114,121,105,110,103,32,116,111,32,119,114,105,116,101,32,116,111,32,82,69,65,68,79,78,76,89,32,102,105,108,101,46,0,67,97,110,110,111,116,32,119,114,105,116,101,32,116,111,32,97,32,71,90,73,80,32,111,114,32,67,79,77,80,82,69,83,83,32,99,111,109,112,114,101,115,115,101,100,32,102,105,108,101,46,0,78,117,109,98,101,114,32,111,102,32,98,121,116,101,115,32,116,111,32,119,114,105,116,101,32,105,115,32,103,114,101,97,116,101,114,32,116,104,97,110,32,76,79,78,71,95,77,65,88,32,40,102,102,112,98,121,116,41,46,0,97,116,116,101,109,112,116,32,116,111,32,114,101,97,100,32,112,97,115,116,32,101,110,100,32,111,102,32,116,97,98,108,101,32,40,102,102,103,116,98,98,41,0,102,102,112,116,98,98,32,102,97,105,108,101,100,32,116,111,32,97,100,100,32,115,112,97,99,101,32,102,111,114,32,37,46,48,102,32,110,101,119,32,114,111,119,115,32,105,110,32,116,97,98,108,101,46,0,111,117,116,32,111,102,32,100,121,110,97,109,105,99,32,109,101,109,111,114,121,32,105,110,32,102,102,101,110,115,117,114,101,95,98,117,102,102,101,114,95,115,116,97,99,107,40,41,0,66,105,116,32,115,116,114,105,110,103,32,101,120,99,101,101,100,115,32,109,97,120,105,109,117,109,32,108,101,110,103,116,104,58,32,39,0,46,46,46,39,0,72,101,120,32,115,116,114,105,110,103,32,101,120,99,101,101,100,115,32,109,97,120,105,109,117,109,32,108,101,110,103,116,104,58,32,39,0,48,48,48,48,0,48,48,48,49,0,48,48,49,48,0,48,48,49,49,0,48,49,48,48,0,48,49,48,49,0,48,49,49,48,0,48,49,49,49,0,49,48,48,48,0,49,48,48,49,0,49,48,49,48,0,49,48,49,49,0,49,49,48,48,0,49,49,48,49,0,49,49,49,48,0,49,49,49,49,0,120,120,120,120,0,35,80,73,0,35,69,0,35,68,69,71,0,35,82,79,87,0,35,78,85,76,76,0,35,83,78,85,76,76,0,83,116,114,105,110,103,32,101,120,99,101,101,100,115,32,109,97,120,105,109,117,109,32,108,101,110,103,116,104,58,32,39,0,71,84,73,70,73,76,84,69,82,40,0,82,69,71,70,73,76,84,69,82,40,0,102,97,116,97,108,32,102,108,101,120,32,115,99,97,110,110,101,114,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,45,45,101,110,100,32,111,102,32,98,117,102,102,101,114,32,109,105,115,115,101,100,0,102,97,116,97,108,32,101,114,114,111,114,32,45,32,115,99,97,110,110,101,114,32,105,110,112,117,116,32,98,117,102,102,101,114,32,111,118,101,114,102,108,111,119,0,114,101,97,100,40,41,32,105,110,32,102,108,101,120,32,115,99,97,110,110,101,114,32,102,97,105,108,101,100,0,111,117,116,32,111,102,32,100,121,110,97,109,105,99,32,109,101,109,111,114,121,32,105,110,32,102,102,95,103,101,116,95,110,101,120,116,95,98,117,102,102,101,114,40,41,0,102,97,116,97,108,32,102,108,101,120,32,115,99,97,110,110,101,114,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,45,45,110,111,32,97,99,116,105,111,110,32,102,111,117,110,100,0,85,110,97,98,108,101,32,116,111,32,102,105,110,100,32,100,97,116,97,58,32,0,66,97,100,32,100,97,116,97,116,121,112,101,32,102,111,114,32,100,97,116,97,58,32,0,111,117,116,32,111,102,32,100,121,110,97,109,105,99,32,109,101,109,111,114,121,32,105,110,32,102,102,95,99,114,101,97,116,101,95,98,117,102,102,101,114,40,41,0,37,115,10,0,0,2,2,2,2,2,2,2,2,2,50,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,37,41,2,52,53,38,35,20,36,2,39,2,2,2,2,2,2,2,2,2,2,22,2,2,21,2,25,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,47,2,51,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,23,40,24,28,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,26,27,29,30,31,32,33,34,42,43,44,45,46,48,49,2,0,1,0,68,31,32,117,18,0,0,0,0,0,33,69,118,19,35,36,120,0,0,0,0,0,0,4,0,3,0,0,0,0,0,0,9,51,0,0,0,0,0,0,0,0,0,0,0,0,103,0,0,0,0,0,12,10,0,43,44,115,29,66,67,64,65,0,0,0,0,0,17,0,16,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,0,0,0,0,0,0,0,6,0,0,0,0,0,0,0,0,0,0,8,0,0,0,0,0,0,0,7,0,55,0,52,54,0,53,0,96,97,98,0,0,104,0,107,0,0,0,0,45,116,30,121,15,11,13,14,0,81,83,82,79,80,78,77,38,39,37,40,46,41,42,0,0,0,0,91,90,93,92,47,0,0,0,72,71,76,74,73,75,23,22,21,0,85,84,87,89,88,86,122,0,0,0,0,0,0,0,0,34,70,119,20,0,0,59,0,0,0,0,110,29,0,0,24,0,57,99,0,124,0,56,0,105,0,94,0,48,50,49,95,123,0,0,0,0,0,0,0,0,60,0,111,0,25,0,125,0,100,0,0,108,0,0,0,0,0,0,0,0,61,0,112,0,26,58,0,106,109,0,0,0,0,0,62,0,113,0,27,0,101,0,0,0,0,63,114,28,0,0,102,0,2,0,2,1,2,2,2,2,2,2,3,2,3,3,3,2,2,1,1,4,3,3,3,4,6,8,10,12,2,3,1,1,1,4,1,1,3,3,3,3,3,3,2,2,3,3,3,5,5,5,2,3,3,3,3,5,5,9,4,6,8,10,12,2,2,2,2,1,1,4,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,5,5,3,3,3,5,7,11,15,2,3,5,9,3,7,9,4,6,8,10,12,2,3,1,1,4,1,3,3,5,5,7,67,111,117,108,100,110,39,116,32,98,117,105,108,100,32,110,111,100,101,32,115,116,114,117,99,116,117,114,101,58,32,111,117,116,32,111,102,32,109,101,109,111,114,121,63,0,79,102,102,115,101,116,32,97,114,103,117,109,101,110,116,32,109,117,115,116,32,98,101,32,97,32,99,111,110,115,116,97,110,116,32,105,110,116,101,103,101,114,0,67,111,109,98,105,110,101,100,32,98,105,116,32,115,116,114,105,110,103,32,115,105,122,101,32,101,120,99,101,101,100,115,32,50,53,53,32,98,105,116,115,0,73,110,99,111,109,112,97,116,105,98,108,101,32,100,105,109,101,110,115,105,111,110,115,32,105,110,32,39,63,58,39,32,97,114,103,117,109,101,110,116,115,0,73,110,99,111,109,112,97,116,105,98,108,101,32,100,105,109,101,110,115,105,111,110,115,32,105,110,32,39,63,58,39,32,99,111,110,100,105,116,105,111,110,0,82,65,78,68,79,77,40,0,82,65,78,68,79,77,78,40,0,70,117,110,99,116,105,111,110,40,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,85,77,40,0,78,69,76,69,77,40,0,65,67,67,85,77,40,0,70,117,110,99,116,105,111,110,40,98,111,111,108,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,86,65,76,73,68,40,0,70,117,110,99,116,105,111,110,40,115,116,114,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,77,73,78,40,0,77,65,88,40,0,70,117,110,99,116,105,111,110,40,98,105,116,115,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,86,69,82,65,71,69,40,0,83,84,68,68,69,86,40,0,77,69,68,73,65,78,40,0,83,69,81,68,73,70,70,40,0,65,66,83,40,0,83,73,78,40,0,67,79,83,40,0,84,65,78,40,0,65,82,67,83,73,78,40,0,65,83,73,78,40,0,65,82,67,67,79,83,40,0,65,67,79,83,40,0,65,82,67,84,65,78,40,0,65,84,65,78,40,0,83,73,78,72,40,0,67,79,83,72,40,0,84,65,78,72,40,0,69,88,80,40,0,76,79,71,40,0,76,79,71,49,48,40,0,83,81,82,84,40,0,82,79,85,78,68,40,0,70,76,79,79,82,40,0,67,69,73,76,40,0,82,65,78,68,79,77,80,40,0,70,117,110,99,116,105,111,110,40,101,120,112,114,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,84,82,83,84,82,40,0,68,69,70,78,85,76,76,40,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,68,69,70,78,85,76,76,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,65,82,67,84,65,78,50,40,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,97,114,99,116,97,110,50,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,109,105,110,40,97,44,98,41,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,109,97,120,40,97,44,98,41,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,70,117,110,99,116,105,111,110,40,101,120,112,114,44,101,120,112,114,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,78,71,83,69,80,40,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,65,78,71,83,69,80,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,70,117,110,99,116,105,111,110,40,101,120,112,114,44,101,120,112,114,44,101,120,112,114,44,101,120,112,114,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,73,83,78,85,76,76,40,0,66,111,111,108,101,97,110,32,70,117,110,99,116,105,111,110,40,101,120,112,114,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,66,111,111,108,101,97,110,32,70,117,110,99,116,105,111,110,40,101,120,112,114,44,101,120,112,114,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,78,69,65,82,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,78,69,65,82,40,0,66,111,111,108,101,97,110,32,70,117,110,99,116,105,111,110,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,67,73,82,67,76,69,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,67,73,82,67,76,69,40,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,66,79,88,32,111,114,32,69,76,76,73,80,83,69,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,66,79,88,40,0,69,76,76,73,80,83,69,40,0,83,65,79,32,73,109,97,103,101,32,70,117,110,99,116,105,111,110,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,42,83,84,65,82,84,42,0,42,83,84,79,80,42,0,67,111,109,98,105,110,101,100,32,115,116,114,105,110,103,32,115,105,122,101,32,101,120,99,101,101,100,115,32,50,53,53,32,99,104,97,114,97,99,116,101,114,115,0,67,97,110,110,111,116,32,104,97,118,101,32,97,32,118,101,99,116,111,114,32,115,116,114,105,110,103,32,99,111,108,117,109,110,0,70,117,110,99,116,105,111,110,40,115,116,114,105,110,103,44,115,116,114,105,110,103,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,84,82,77,73,68,40,0,87,104,101,110,32,117,115,105,110,103,32,83,84,82,77,73,68,40,83,44,80,44,78,41,44,32,80,32,97,110,100,32,78,32,109,117,115,116,32,98,101,32,105,110,116,101,103,101,114,115,32,40,97,110,100,32,110,111,116,32,118,101,99,116,111,114,32,99,111,108,117,109,110,115,41,0,83,84,82,77,73,68,40,83,44,80,44,78,41,44,32,78,32,109,117,115,116,32,98,101,32,49,45,50,53,53,0,70,117,110,99,116,105,111,110,40,115,116,114,105,110,103,44,101,120,112,114,44,101,120,112,114,41,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,0,54,55,55,56,56,56,56,56,56,57,57,58,58,58,58,59,60,61,61,61,61,61,61,61,61,61,61,61,61,61,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,59,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,60,62,62,62,62,62,62,62,62,62,255,1,29,30,31,46,47,44,58,115,121,110,116,97,120,32,101,114,114,111,114,0,109,101,109,111,114,121,32,101,120,104,97,117,115,116,101,100,0,88,0,67,111,117,108,100,32,110,111,116,32,98,117,105,108,100,32,88,32,99,111,108,117,109,110,32,102,111,114,32,82,69,71,70,73,76,84,69,82,0,89,0,67,111,117,108,100,32,110,111,116,32,98,117,105,108,100,32,89,32,99,111,108,117,109,110,32,102,111,114,32,82,69,71,70,73,76,84,69,82,0,68,105,109,101,110,115,105,111,110,115,32,111,102,32,82,69,71,70,73,76,84,69,82,32,97,114,103,117,109,101,110,116,115,32,97,114,101,32,110,111,116,32,99,111,109,112,97,116,105,98,108,101,0,67,111,117,108,100,32,110,111,116,32,101,120,116,114,97,99,116,32,118,97,108,105,100,32,112,97,105,114,32,111,102,32,99,111,108,117,109,110,32,110,97,109,101,115,32,102,114,111,109,32,82,69,71,70,73,76,84,69,82,0,67,111,117,108,100,32,110,111,116,32,108,111,99,97,116,101,32,99,111,108,117,109,110,115,32,105,110,100,105,99,97,116,101,100,32,102,111,114,32,87,67,83,32,105,110,102,111,0,70,111,117,110,100,32,109,117,108,116,105,112,108,101,32,88,47,89,32,99,111,108,117,109,110,32,114,101,102,101,114,101,110,99,101,115,32,105,110,32,82,69,71,70,73,76,84,69,82,0,84,73,77,69,0,67,111,117,108,100,32,110,111,116,32,98,117,105,108,100,32,84,73,77,69,32,99,111,108,117,109,110,32,102,111,114,32,71,84,73,70,73,76,84,69,82,0,84,73,77,69,90,69,82,79,0,84,73,77,69,90,69,82,73,0,84,73,77,69,90,69,82,70,0,67,97,110,110,111,116,32,117,115,101,32,112,114,105,109,97,114,121,32,97,114,114,97,121,32,102,111,114,32,71,84,73,32,102,105,108,116,101,114,0,70,105,108,101,32,101,120,116,101,110,115,105,111,110,32,115,112,101,99,105,102,105,101,114,32,108,97,99,107,115,32,99,108,111,115,105,110,103,32,39,93,39,0,69,88,84,78,65,77,69,0,71,84,73,0,71,84,73,32,101,120,116,101,110,115,105,111,110,32,110,111,116,32,102,111,117,110,100,32,105,110,32,116,104,105,115,32,102,105,108,101,0,78,65,88,73,83,50,0,79,117,116,32,111,102,32,114,97,110,103,101,32,97,114,103,117,109,101,110,116,32,116,111,32,97,114,99,115,105,110,0,79,117,116,32,111,102,32,114,97,110,103,101,32,97,114,103,117,109,101,110,116,32,116,111,32,97,114,99,99,111,115,0,79,117,116,32,111,102,32,114,97,110,103,101,32,97,114,103,117,109,101,110,116,32,116,111,32,108,111,103,0,79,117,116,32,111,102,32,114,97,110,103,101,32,97,114,103,117,109,101,110,116,32,116,111,32,108,111,103,49,48,0,79,117,116,32,111,102,32,114,97,110,103,101,32,97,114,103,117,109,101,110,116,32,116,111,32,115,113,114,116,0,83,84,82,77,73,68,40,83,44,80,44,78,41,32,80,32,109,117,115,116,32,98,101,32,48,32,111,114,32,103,114,101,97,116,101,114,0,67,111,117,108,100,32,110,111,116,32,97,108,108,111,99,97,116,101,32,116,101,109,112,111,114,97,114,121,32,109,101,109,111,114,121,32,105,110,32,109,101,100,105,97,110,32,102,117,110,99,116,105,111,110,0,67,97,110,110,111,116,32,105,110,100,101,120,32,97,32,115,99,97,108,97,114,32,118,97,108,117,101,0,67,97,110,110,111,116,32,117,115,101,32,97,110,32,97,114,114,97,121,32,97,115,32,97,110,32,105,110,100,101,120,32,118,97,108,117,101,0,73,110,100,101,120,32,118,97,108,117,101,32,109,117,115,116,32,98,101,32,97,110,32,105,110,116,101,103,101,114,32,116,121,112,101,0,77,117,115,116,32,115,112,101,99,105,102,121,32,106,117,115,116,32,111,110,101,32,111,114,32,97,108,108,32,105,110,100,105,99,101,115,32,102,111,114,32,118,101,99,116,111,114,0,73,110,100,101,120,32,111,117,116,32,111,102,32,114,97,110,103,101,0,78,117,108,108,32,101,110,99,111,117,110,116,101,114,101,100,32,97,115,32,118,101,99,116,111,114,32,105,110,100,101,120,0,65,114,114,97,121,32,115,105,122,101,115,47,100,105,109,115,32,100,111,32,110,111,116,32,109,97,116,99,104,32,102,111,114,32,98,105,110,97,114,121,32,111,112,101,114,97,116,111,114,0,68,105,118,105,100,101,32,98,121,32,90,101,114,111,0,105,110,99,111,114,114,101,99,116,32,104,101,97,100,101,114,32,99,104,101,99,107,0,117,110,107,110,111,119,110,32,99,111,109,112,114,101,115,115,105,111,110,32,109,101,116,104,111,100,0,105,110,118,97,108,105,100,32,119,105,110,100,111,119,32,115,105,122,101,0,117,110,107,110,111,119,110,32,104,101,97,100,101,114,32,102,108,97,103,115,32,115,101,116,0,104,101,97,100,101,114,32,99,114,99,32,109,105,115,109,97,116,99,104,0,105,110,118,97,108,105,100,32,98,108,111,99,107,32,116,121,112,101,0,105,110,118,97,108,105,100,32,115,116,111,114,101,100,32,98,108,111,99,107,32,108,101,110,103,116,104,115,0,116,111,111,32,109,97,110,121,32,108,101,110,103,116,104,32,111,114,32,100,105,115,116,97,110,99,101,32,115,121,109,98,111,108,115,0,105,110,118,97,108,105,100,32,99,111,100,101,32,108,101,110,103,116,104,115,32,115,101,116,0,105,110,118,97,108,105,100,32,98,105,116,32,108,101,110,103,116,104,32,114,101,112,101,97,116,0,105,110,118,97,108,105,100,32,99,111,100,101,32,45,45,32,109,105,115,115,105,110,103,32,101,110,100,45,111,102,45,98,108,111,99,107,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,115,32,115,101,116,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,115,32,115,101,116,0,105,110,99,111,114,114,101,99,116,32,100,97,116,97,32,99,104,101,99,107,0,105,110,99,111,114,114,101,99,116,32,108,101,110,103,116,104,32,99,104,101,99,107,0,0,1,2,3,4,4,5,5,6,6,6,6,7,7,7,7,8,8,8,8,8,8,8,8,9,9,9,9,9,9,9,9,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,0,16,17,18,18,19,19,20,20,20,20,21,21,21,21,22,22,22,22,22,22,22,22,23,23,23,23,23,23,23,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,1,2,3,4,5,6,7,8,8,9,9,10,10,11,11,12,12,12,12,13,13,13,13,14,14,14,14,15,15,15,15,16,16,16,16,16,16,16,16,17,17,17,17,17,17,17,17,18,18,18,18,18,18,18,18,19,19,19,19,19,19,19,19,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,28,16,17,18,0,8,7,9,6,10,5,11,4,12,3,13,2,14,1,15,110,101,101,100,32,100,105,99,116,105,111,110,97,114,121,0,115,116,114,101,97,109,32,101,110,100,0,102,105,108,101,32,101,114,114,111,114,0,115,116,114,101,97,109,32,101,114,114,111,114,0,100,97,116,97,32,101,114,114,111,114,0,105,110,115,117,102,102,105,99,105,101,110,116,32,109,101,109,111,114,121,0,98,117,102,102,101,114,32,101,114,114,111,114,0,105,110,99,111,109,112,97,116,105,98,108,101,32,118,101,114,115,105,111,110,0,37,115,0,37,115,37,115,37,115,0,58,32,0,114,101,113,117,101,115,116,32,100,111,101,115,32,110,111,116,32,102,105,116,32,105,110,32,97,110,32,105,110,116,0,117,110,101,120,112,101,99,116,101,100,32,101,110,100,32,111,102,32,102,105,108,101,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,105,110,102,108,97,116,101,32,115,116,114,101,97,109,32,99,111,114,114,117,112,116,0,99,111,109,112,114,101,115,115,101,100,32,100,97,116,97,32,101,114,114,111,114,0,114,101,113,117,101,115,116,101,100,32,108,101,110,103,116,104,32,100,111,101,115,32,110,111,116,32,102,105,116,32,105,110,32,105,110,116,0,105,110,116,101,114,110,97,108,32,101,114,114,111,114,58,32,100,101,102,108,97,116,101,32,115,116,114,101,97,109,32,99,111,114,114,117,112,116,0,111,117,116,32,111,102,32,109,101,109,111,114,121,0,49,46,50,46,49,49,0,105,110,118,97,108,105,100,32,108,105,116,101,114,97,108,47,108,101,110,103,116,104,32,99,111,100,101,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,99,111,100,101,0,105,110,118,97,108,105,100,32,100,105,115,116,97,110,99,101,32,116,111,111,32,102,97,114,32,98,97,99,107,0,10,10,98,122,105,112,50,47,108,105,98,98,122,105,112,50,58,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,37,100,46,10,84,104,105,115,32,105,115,32,97,32,98,117,103,32,105,110,32,98,122,105,112,50,47,108,105,98,98,122,105,112,50,44,32,37,115,46,10,80,108,101,97,115,101,32,114,101,112,111,114,116,32,105,116,32,116,111,32,109,101,32,97,116,58,32,106,115,101,119,97,114,100,64,98,122,105,112,46,111,114,103,46,32,32,73,102,32,116,104,105,115,32,104,97,112,112,101,110,101,100,10,119,104,101,110,32,121,111,117,32,119,101,114,101,32,117,115,105,110,103,32,115,111,109,101,32,112,114,111,103,114,97,109,32,119,104,105,99,104,32,117,115,101,115,32,108,105,98,98,122,105,112,50,32,97,115,32,97,10,99,111,109,112,111,110,101,110,116,44,32,121,111,117,32,115,104,111,117,108,100,32,97,108,115,111,32,114,101,112,111,114,116,32,116,104,105,115,32,98,117,103,32,116,111,32,116,104,101,32,97,117,116,104,111,114,40,115,41,10,111,102,32,116,104,97,116,32,112,114,111,103,114,97,109,46,32,32,80,108,101,97,115,101,32,109,97,107,101,32,97,110,32,101,102,102,111,114,116,32,116,111,32,114,101,112,111,114,116,32,116,104,105,115,32,98,117,103,59,10,116,105,109,101,108,121,32,97,110,100,32,97,99,99,117,114,97,116,101,32,98,117,103,32,114,101,112,111,114,116,115,32,101,118,101,110,116,117,97,108,108,121,32,108,101,97,100,32,116,111,32,104,105,103,104,101,114,10,113,117,97,108,105,116,121,32,115,111,102,116,119,97,114,101,46,32,32,84,104,97,110,107,115,46,32,32,74,117,108,105,97,110,32,83,101,119,97,114,100,44,32,49,48,32,68,101,99,101,109,98,101,114,32,50,48,48,55,46,10,10,0,49,46,48,46,54,44,32,54,45,83,101,112,116,45,50,48,49,48,0,10,42,42,42,32,65,32,115,112,101,99,105,97,108,32,110,111,116,101,32,97,98,111,117,116,32,105,110,116,101,114,110,97,108,32,101,114,114,111,114,32,110,117,109,98,101,114,32,49,48,48,55,32,42,42,42,10,10,69,120,112,101,114,105,101,110,99,101,32,115,117,103,103,101,115,116,115,32,116,104,97,116,32,97,32,99,111,109,109,111,110,32,99,97,117,115,101,32,111,102,32,105,46,101,46,32,49,48,48,55,10,105,115,32,117,110,114,101,108,105,97,98,108,101,32,109,101,109,111,114,121,32,111,114,32,111,116,104,101,114,32,104,97,114,100,119,97,114,101,46,32,32,84,104,101,32,49,48,48,55,32,97,115,115,101,114,116,105,111,110,10,106,117,115,116,32,104,97,112,112,101,110,115,32,116,111,32,99,114,111,115,115,45,99,104,101,99,107,32,116,104,101,32,114,101,115,117,108,116,115,32,111,102,32,104,117,103,101,32,110,117,109,98,101,114,115,32,111,102,10,109,101,109,111,114,121,32,114,101,97,100,115,47,119,114,105,116,101,115,44,32,97,110,100,32,115,111,32,97,99,116,115,32,40,117,110,105,110,116,101,110,100,101,100,108,121,41,32,97,115,32,97,32,115,116,114,101,115,115,10,116,101,115,116,32,111,102,32,121,111,117,114,32,109,101,109,111,114,121,32,115,121,115,116,101,109,46,10,10,73,32,115,117,103,103,101,115,116,32,116,104,101,32,102,111,108,108,111,119,105,110,103,58,32,116,114,121,32,99,111,109,112,114,101,115,115,105,110,103,32,116,104,101,32,102,105,108,101,32,97,103,97,105,110,44,10,112,111,115,115,105,98,108,121,32,109,111,110,105,116,111,114,105,110,103,32,112,114,111,103,114,101,115,115,32,105,110,32,100,101,116,97,105,108,32,119,105,116,104,32,116,104,101,32,45,118,118,32,102,108,97,103,46,10,10,42,32,73,102,32,116,104,101,32,101,114,114,111,114,32,99,97,110,110,111,116,32,98,101,32,114,101,112,114,111,100,117,99,101,100,44,32,97,110,100,47,111,114,32,104,97,112,112,101,110,115,32,97,116,32,100,105,102,102,101,114,101,110,116,10,32,32,112,111,105,110,116,115,32,105,110,32,99,111,109,112,114,101,115,115,105,111,110,44,32,121,111,117,32,109,97,121,32,104,97,118,101,32,97,32,102,108,97,107,121,32,109,101,109,111,114,121,32,115,121,115,116,101,109,46,10,32,32,84,114,121,32,97,32,109,101,109,111,114,121,45,116,101,115,116,32,112,114,111,103,114,97,109,46,32,32,73,32,104,97,118,101,32,117,115,101,100,32,77,101,109,116,101,115,116,56,54,10,32,32,40,119,119,119,46,109,101,109,116,101,115,116,56,54,46,99,111,109,41,46,32,32,65,116,32,116,104,101,32,116,105,109,101,32,111,102,32,119,114,105,116,105,110,103,32,105,116,32,105,115,32,102,114,101,101,32,40,71,80,76,100,41,46,10,32,32,77,101,109,116,101,115,116,56,54,32,116,101,115,116,115,32,109,101,109,111,114,121,32,109,117,99,104,32,109,111,114,101,32,116,104,111,114,111,117,103,108,121,32,116,104,97,110,32,121,111,117,114,32,66,73,79,83,115,10,32,32,112,111,119,101,114,45,111,110,32,116,101,115,116,44,32,97,110,100,32,109,97,121,32,102,105,110,100,32,102,97,105,108,117,114,101,115,32,116,104,97,116,32,116,104,101,32,66,73,79,83,32,100,111,101,115,110,39,116,46,10,10,42,32,73,102,32,116,104,101,32,101,114,114,111,114,32,99,97,110,32,98,101,32,114,101,112,101,97,116,97,98,108,121,32,114,101,112,114,111,100,117,99,101,100,44,32,116,104,105,115,32,105,115,32,97,32,98,117,103,32,105,110,10,32,32,98,122,105,112,50,44,32,97,110,100,32,73,32,119,111,117,108,100,32,118,101,114,121,32,109,117,99,104,32,108,105,107,101,32,116,111,32,104,101,97,114,32,97,98,111,117,116,32,105,116,46,32,32,80,108,101,97,115,101,10,32,32,108,101,116,32,109,101,32,107,110,111,119,44,32,97,110,100,44,32,105,100,101,97,108,108,121,44,32,115,97,118,101,32,97,32,99,111,112,121,32,111,102,32,116,104,101,32,102,105,108,101,32,99,97,117,115,105,110,103,32,116,104,101,10,32,32,112,114,111,98,108,101,109,32,45,45,32,119,105,116,104,111,117,116,32,119,104,105,99,104,32,73,32,119,105,108,108,32,98,101,32,117,110,97,98,108,101,32,116,111,32,105,110,118,101,115,116,105,103,97,116,101,32,105,116,46,10,10,0,32,123,48,120,37,48,56,120,44,32,48,120,37,48,56,120,125,0,10,32,32,32,32,99,111,109,98,105,110,101,100,32,67,82,67,115,58,32,115,116,111,114,101,100,32,61,32,48,120,37,48,56,120,44,32,99,111,109,112,117,116,101,100,32,61,32,48,120,37,48,56,120,0,32,32,32,32,98,108,111,99,107,32,37,100,58,32,99,114,99,32,61,32,48,120,37,48,56,120,44,32,99,111,109,98,105,110,101,100,32,67,82,67,32,61,32,48,120,37,48,56,120,44,32,115,105,122,101,32,61,32,37,100,10,0,32,32,32,32,102,105,110,97,108,32,99,111,109,98,105,110,101,100,32,67,82,67,32,61,32,48,120,37,48,56,120,10,32,32,32,0,32,32,32,32,32,32,37,100,32,105,110,32,98,108,111,99,107,44,32,37,100,32,97,102,116,101,114,32,77,84,70,32,38,32,49,45,50,32,99,111,100,105,110,103,44,32,37,100,43,50,32,115,121,109,115,32,105,110,32,117,115,101,10,0,32,32,32,32,32,32,105,110,105,116,105,97,108,32,103,114,111,117,112,32,37,100,44,32,91,37,100,32,46,46,32,37,100,93,44,32,104,97,115,32,37,100,32,115,121,109,115,32,40,37,52,46,49,102,37,37,41,10,0,32,32,32,32,32,32,112,97,115,115,32,37,100,58,32,115,105,122,101,32,105,115,32,37,100,44,32,103,114,112,32,117,115,101,115,32,97,114,101,32,0,37,100,32,0,32,32,32,32,32,32,98,121,116,101,115,58,32,109,97,112,112,105,110,103,32,37,100,44,32,0,115,101,108,101,99,116,111,114,115,32,37,100,44,32,0,99,111,100,101,32,108,101,110,103,116,104,115,32,37,100,44,32,0,99,111,100,101,115,32,37,100,10,0,10,32,32,32,32,91,37,100,58,32,104,117,102,102,43,109,116,102,32,0,114,116,43,114,108,100,0,32,32,32,32,32,32,32,32,109,97,105,110,32,115,111,114,116,32,105,110,105,116,105,97,108,105,115,101,32,46,46,46,10,0,32,32,32,32,32,32,32,32,98,117,99,107,101,116,32,115,111,114,116,105,110,103,32,46,46,46,10,0,32,32,32,32,32,32,32,32,113,115,111,114,116,32,91,48,120,37,120,44,32,48,120,37,120,93,32,32,32,100,111,110,101,32,37,100,32,32,32,116,104,105,115,32,37,100,10,0,32,32,32,32,32,32,32,32,37,100,32,112,111,105,110,116,101,114,115,44,32,37,100,32,115,111,114,116,101,100,44,32,37,100,32,115,99,97,110,110,101,100,10,0,32,32,32,32,32,32,37,100,32,119,111,114,107,44,32,37,100,32,98,108,111,99,107,44,32,114,97,116,105,111,32,37,53,46,50,102,10,0,32,32,32,32,116,111,111,32,114,101,112,101,116,105,116,105,118,101,59,32,117,115,105,110,103,32,102,97,108,108,98,97,99,107,32,115,111,114,116,105,110,103,32,97,108,103,111,114,105,116,104,109,10,0,32,32,32,32,32,32,32,32,100,101,112,116,104,32,37,54,100,32,104,97,115,32,0,37,54,100,32,117,110,114,101,115,111,108,118,101,100,32,115,116,114,105,110,103,115,10,0,32,32,32,32,32,32,32,32,114,101,99,111,110,115,116,114,117,99,116,105,110,103,32,98,108,111,99,107,32,46,46,46,10,0,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,3,4,5,6,7,8,9,255,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,255,0,1,2,4,7,3,6,5,0,17,0,10,0,17,17,17,0,0,0,0,5,0,0,0,0,0,0,9,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,15,10,17,17,17,3,10,7,0,1,19,9,11,11,0,0,9,6,11,0,0,11,0,6,17,0,0,0,17,17,17,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,17,0,10,10,17,17,17,0,10,0,0,2,0,9,11,0,0,0,9,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,14,0,0,0,0,0,0,0,0,0,0,0,13,0,0,0,4,13,0,0,0,0,9,14,0,0,0,0,0,14,0,0,14,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,16,0,0,0,0,0,0,0,0,0,0,0,15,0,0,0,0,15,0,0,0,0,9,16,0,0,0,0,0,16,0,0,16,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,18,0,0,0,18,18,18,0,0,0,0,0,0,9,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,11,0,0,0,0,0,0,0,0,0,0,0,10,0,0,0,0,10,0,0,0,0,9,11,0,0,0,0,0,11,0,0,11,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,0,0,0,0,0,0,0,12,0,0,0,0,12,0,0,0,0,9,12,0,0,0,0,0,12,0,0,12,0,0,45,43,32,32,32,48,88,48,120,0,40,110,117,108,108,41,0,45,48,88,43,48,88,32,48,88,45,48,120,43,48,120,32,48,120,0,105,110,102,0,73,78,70,0,78,65,78,0,48,49,50,51,52,53,54,55,56,57,65,66,67,68,69,70,84,33,34,25,13,1,2,3,17,75,28,12,16,4,11,29,18,30,39,104,110,111,112,113,98,32,5,6,15,19,20,21,26,8,22,7,40,36,23,24,9,10,14,27,31,37,35,131,130,125,38,42,43,60,61,62,63,67,71,74,77,88,89,90,91,92,93,94,95,96,97,99,100,101,102,103,105,106,107,108,114,115,116,121,122,123,124,0,73,108,108,101,103,97,108,32,98,121,116,101,32,115,101,113,117,101,110,99,101,0,68,111,109,97,105,110,32,101,114,114,111,114,0,82,101,115,117,108,116,32,110,111,116,32,114,101,112,114,101,115,101,110,116,97,98,108,101,0,78,111,116,32,97,32,116,116,121,0,80,101,114,109,105,115,115,105,111,110,32,100,101,110,105,101,100,0,79,112,101,114,97,116,105,111,110,32,110,111,116,32,112,101,114,109,105,116,116,101,100,0,78,111,32,115,117,99,104,32,102,105,108,101,32,111,114,32,100,105,114,101,99,116,111,114,121,0,78,111,32,115,117,99,104,32,112,114,111,99,101,115,115,0,70,105,108,101,32,101,120,105,115,116,115,0,86,97,108,117,101,32,116,111,111,32,108,97,114,103,101,32,102,111,114,32,100,97,116,97,32,116,121,112,101,0,78,111,32,115,112,97,99,101,32,108,101,102,116,32,111,110,32,100,101,118,105,99,101,0,79,117,116,32,111,102,32,109,101,109,111,114,121,0,82,101,115,111,117,114,99,101,32,98,117,115,121,0,73,110,116,101,114,114,117,112,116,101,100,32,115,121,115,116,101,109,32,99,97,108,108,0,82,101,115,111,117,114,99,101,32,116,101,109,112,111,114,97,114,105,108,121,32,117,110,97,118,97,105,108,97,98,108,101,0,73,110,118,97,108,105,100,32,115,101,101,107,0,67,114,111,115,115,45,100,101,118,105,99,101,32,108,105,110,107,0,82,101,97,100,45,111,110,108,121,32,102,105,108,101,32,115,121,115,116,101,109,0,68,105,114,101,99,116,111,114,121,32,110,111,116,32,101,109,112,116,121,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,112,101,101,114,0,79,112,101,114,97,116,105,111,110,32,116,105,109,101,100,32,111,117,116,0,67,111,110,110,101,99,116,105,111,110,32,114,101,102,117,115,101,100,0,72,111,115,116,32,105,115,32,100,111,119,110,0,72,111,115,116,32,105,115,32,117,110,114,101,97,99,104,97,98,108,101,0,65,100,100,114,101,115,115,32,105,110,32,117,115,101,0,66,114,111,107,101,110,32,112,105,112,101,0,73,47,79,32,101,114,114,111,114,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,32,111,114,32,97,100,100,114,101,115,115,0,66,108,111,99,107,32,100,101,118,105,99,101,32,114,101,113,117,105,114,101,100,0,78,111,32,115,117,99,104,32,100,101,118,105,99,101,0,78,111,116,32,97,32,100,105,114,101,99,116,111,114,121,0,73,115,32,97,32,100,105,114,101,99,116,111,114,121,0,84,101,120,116,32,102,105,108,101,32,98,117,115,121,0,69,120,101,99,32,102,111,114,109,97,116,32,101,114,114],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+102425);allocate([111,114,0,73,110,118,97,108,105,100,32,97,114,103,117,109,101,110,116,0,65,114,103,117,109,101,110,116,32,108,105,115,116,32,116,111,111,32,108,111,110,103,0,83,121,109,98,111,108,105,99,32,108,105,110,107,32,108,111,111,112,0,70,105,108,101,110,97,109,101,32,116,111,111,32,108,111,110,103,0,84,111,111,32,109,97,110,121,32,111,112,101,110,32,102,105,108,101,115,32,105,110,32,115,121,115,116,101,109,0,78,111,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,115,32,97,118,97,105,108,97,98,108,101,0,66,97,100,32,102,105,108,101,32,100,101,115,99,114,105,112,116,111,114,0,78,111,32,99,104,105,108,100,32,112,114,111,99,101,115,115,0,66,97,100,32,97,100,100,114,101,115,115,0,70,105,108,101,32,116,111,111,32,108,97,114,103,101,0,84,111,111,32,109,97,110,121,32,108,105,110,107,115,0,78,111,32,108,111,99,107,115,32,97,118,97,105,108,97,98,108,101,0,82,101,115,111,117,114,99,101,32,100,101,97,100,108,111,99,107,32,119,111,117,108,100,32,111,99,99,117,114,0,83,116,97,116,101,32,110,111,116,32,114,101,99,111,118,101,114,97,98,108,101,0,80,114,101,118,105,111,117,115,32,111,119,110,101,114,32,100,105,101,100,0,79,112,101,114,97,116,105,111,110,32,99,97,110,99,101,108,101,100,0,70,117,110,99,116,105,111,110,32,110,111,116,32,105,109,112,108,101,109,101,110,116,101,100,0,78,111,32,109,101,115,115,97,103,101,32,111,102,32,100,101,115,105,114,101,100,32,116,121,112,101,0,73,100,101,110,116,105,102,105,101,114,32,114,101,109,111,118,101,100,0,68,101,118,105,99,101,32,110,111,116,32,97,32,115,116,114,101,97,109,0,78,111,32,100,97,116,97,32,97,118,97,105,108,97,98,108,101,0,68,101,118,105,99,101,32,116,105,109,101,111,117,116,0,79,117,116,32,111,102,32,115,116,114,101,97,109,115,32,114,101,115,111,117,114,99,101,115,0,76,105,110,107,32,104,97,115,32,98,101,101,110,32,115,101,118,101,114,101,100,0,80,114,111,116,111,99,111,108,32,101,114,114,111,114,0,66,97,100,32,109,101,115,115,97,103,101,0,70,105,108,101,32,100,101,115,99,114,105,112,116,111,114,32,105,110,32,98,97,100,32,115,116,97,116,101,0,78,111,116,32,97,32,115,111,99,107,101,116,0,68,101,115,116,105,110,97,116,105,111,110,32,97,100,100,114,101,115,115,32,114,101,113,117,105,114,101,100,0,77,101,115,115,97,103,101,32,116,111,111,32,108,97,114,103,101,0,80,114,111,116,111,99,111,108,32,119,114,111,110,103,32,116,121,112,101,32,102,111,114,32,115,111,99,107,101,116,0,80,114,111,116,111,99,111,108,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,80,114,111,116,111,99,111,108,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,83,111,99,107,101,116,32,116,121,112,101,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,78,111,116,32,115,117,112,112,111,114,116,101,100,0,80,114,111,116,111,99,111,108,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,0,65,100,100,114,101,115,115,32,102,97,109,105,108,121,32,110,111,116,32,115,117,112,112,111,114,116,101,100,32,98,121,32,112,114,111,116,111,99,111,108,0,65,100,100,114,101,115,115,32,110,111,116,32,97,118,97,105,108,97,98,108,101,0,78,101,116,119,111,114,107,32,105,115,32,100,111,119,110,0,78,101,116,119,111,114,107,32,117,110,114,101,97,99,104,97,98,108,101,0,67,111,110,110,101,99,116,105,111,110,32,114,101,115,101,116,32,98,121,32,110,101,116,119,111,114,107,0,67,111,110,110,101,99,116,105,111,110,32,97,98,111,114,116,101,100,0,78,111,32,98,117,102,102,101,114,32,115,112,97,99,101,32,97,118,97,105,108,97,98,108,101,0,83,111,99,107,101,116,32,105,115,32,99,111,110,110,101,99,116,101,100,0,83,111,99,107,101,116,32,110,111,116,32,99,111,110,110,101,99,116,101,100,0,67,97,110,110,111,116,32,115,101,110,100,32,97,102,116,101,114,32,115,111,99,107,101,116,32,115,104,117,116,100,111,119,110,0,79,112,101,114,97,116,105,111,110,32,97,108,114,101,97,100,121,32,105,110,32,112,114,111,103,114,101,115,115,0,79,112,101,114,97,116,105,111,110,32,105,110,32,112,114,111,103,114,101,115,115,0,83,116,97,108,101,32,102,105,108,101,32,104,97,110,100,108,101,0,82,101,109,111,116,101,32,73,47,79,32,101,114,114,111,114,0,81,117,111,116,97,32,101,120,99,101,101,100,101,100,0,78,111,32,109,101,100,105,117,109,32,102,111,117,110,100,0,87,114,111,110,103,32,109,101,100,105,117,109,32,116,121,112,101,0,78,111,32,101,114,114,111,114,32,105,110,102,111,114,109,97,116,105,111,110,0,0,105,110,102,105,110,105,116,121,0,110,97,110,0,46,0,58,32,117,110,114,101,99,111,103,110,105,122,101,100,32,111,112,116,105,111,110,58,32,0,58,32,111,112,116,105,111,110,32,114,101,113,117,105,114,101,115,32,97,110,32,97,114,103,117,109,101,110,116,58,32,0,114,119,97,0],"i8",ALLOC_NONE,Runtime.GLOBAL_BASE+112665);var tempDoublePtr=STATICTOP;STATICTOP+=16;function __inet_pton4_raw(str){var b=str.split(".");for(var i=0;i<4;i++){var tmp=Number(b[i]);if(isNaN(tmp))return null;b[i]=tmp}return(b[0]|b[1]<<8|b[2]<<16|b[3]<<24)>>>0}function _inet_addr(ptr){var addr=__inet_pton4_raw(Pointer_stringify(ptr));if(addr===null){return-1}return addr}var ERRNO_CODES={EPERM:1,ENOENT:2,ESRCH:3,EINTR:4,EIO:5,ENXIO:6,E2BIG:7,ENOEXEC:8,EBADF:9,ECHILD:10,EAGAIN:11,EWOULDBLOCK:11,ENOMEM:12,EACCES:13,EFAULT:14,ENOTBLK:15,EBUSY:16,EEXIST:17,EXDEV:18,ENODEV:19,ENOTDIR:20,EISDIR:21,EINVAL:22,ENFILE:23,EMFILE:24,ENOTTY:25,ETXTBSY:26,EFBIG:27,ENOSPC:28,ESPIPE:29,EROFS:30,EMLINK:31,EPIPE:32,EDOM:33,ERANGE:34,ENOMSG:42,EIDRM:43,ECHRNG:44,EL2NSYNC:45,EL3HLT:46,EL3RST:47,ELNRNG:48,EUNATCH:49,ENOCSI:50,EL2HLT:51,EDEADLK:35,ENOLCK:37,EBADE:52,EBADR:53,EXFULL:54,ENOANO:55,EBADRQC:56,EBADSLT:57,EDEADLOCK:35,EBFONT:59,ENOSTR:60,ENODATA:61,ETIME:62,ENOSR:63,ENONET:64,ENOPKG:65,EREMOTE:66,ENOLINK:67,EADV:68,ESRMNT:69,ECOMM:70,EPROTO:71,EMULTIHOP:72,EDOTDOT:73,EBADMSG:74,ENOTUNIQ:76,EBADFD:77,EREMCHG:78,ELIBACC:79,ELIBBAD:80,ELIBSCN:81,ELIBMAX:82,ELIBEXEC:83,ENOSYS:38,ENOTEMPTY:39,ENAMETOOLONG:36,ELOOP:40,EOPNOTSUPP:95,EPFNOSUPPORT:96,ECONNRESET:104,ENOBUFS:105,EAFNOSUPPORT:97,EPROTOTYPE:91,ENOTSOCK:88,ENOPROTOOPT:92,ESHUTDOWN:108,ECONNREFUSED:111,EADDRINUSE:98,ECONNABORTED:103,ENETUNREACH:101,ENETDOWN:100,ETIMEDOUT:110,EHOSTDOWN:112,EHOSTUNREACH:113,EINPROGRESS:115,EALREADY:114,EDESTADDRREQ:89,EMSGSIZE:90,EPROTONOSUPPORT:93,ESOCKTNOSUPPORT:94,EADDRNOTAVAIL:99,ENETRESET:102,EISCONN:106,ENOTCONN:107,ETOOMANYREFS:109,EUSERS:87,EDQUOT:122,ESTALE:116,ENOTSUP:95,ENOMEDIUM:123,EILSEQ:84,EOVERFLOW:75,ECANCELED:125,ENOTRECOVERABLE:131,EOWNERDEAD:130,ESTRPIPE:86};var ERRNO_MESSAGES={0:"Success",1:"Not super-user",2:"No such file or directory",3:"No such process",4:"Interrupted system call",5:"I/O error",6:"No such device or address",7:"Arg list too long",8:"Exec format error",9:"Bad file number",10:"No children",11:"No more processes",12:"Not enough core",13:"Permission denied",14:"Bad address",15:"Block device required",16:"Mount device busy",17:"File exists",18:"Cross-device link",19:"No such device",20:"Not a directory",21:"Is a directory",22:"Invalid argument",23:"Too many open files in system",24:"Too many open files",25:"Not a typewriter",26:"Text file busy",27:"File too large",28:"No space left on device",29:"Illegal seek",30:"Read only file system",31:"Too many links",32:"Broken pipe",33:"Math arg out of domain of func",34:"Math result not representable",35:"File locking deadlock error",36:"File or path name too long",37:"No record locks available",38:"Function not implemented",39:"Directory not empty",40:"Too many symbolic links",42:"No message of desired type",43:"Identifier removed",44:"Channel number out of range",45:"Level 2 not synchronized",46:"Level 3 halted",47:"Level 3 reset",48:"Link number out of range",49:"Protocol driver not attached",50:"No CSI structure available",51:"Level 2 halted",52:"Invalid exchange",53:"Invalid request descriptor",54:"Exchange full",55:"No anode",56:"Invalid request code",57:"Invalid slot",59:"Bad font file fmt",60:"Device not a stream",61:"No data (for no delay io)",62:"Timer expired",63:"Out of streams resources",64:"Machine is not on the network",65:"Package not installed",66:"The object is remote",67:"The link has been severed",68:"Advertise error",69:"Srmount error",70:"Communication error on send",71:"Protocol error",72:"Multihop attempted",73:"Cross mount point (not really error)",74:"Trying to read unreadable message",75:"Value too large for defined data type",76:"Given log. name not unique",77:"f.d. invalid for this operation",78:"Remote address changed",79:"Can   access a needed shared lib",80:"Accessing a corrupted shared lib",81:".lib section in a.out corrupted",82:"Attempting to link in too many libs",83:"Attempting to exec a shared library",84:"Illegal byte sequence",86:"Streams pipe error",87:"Too many users",88:"Socket operation on non-socket",89:"Destination address required",90:"Message too long",91:"Protocol wrong type for socket",92:"Protocol not available",93:"Unknown protocol",94:"Socket type not supported",95:"Not supported",96:"Protocol family not supported",97:"Address family not supported by protocol family",98:"Address already in use",99:"Address not available",100:"Network interface is not configured",101:"Network is unreachable",102:"Connection reset by network",103:"Connection aborted",104:"Connection reset by peer",105:"No buffer space available",106:"Socket is already connected",107:"Socket is not connected",108:"Can't send after socket shutdown",109:"Too many references",110:"Connection timed out",111:"Connection refused",112:"Host is down",113:"Host is unreachable",114:"Socket already connected",115:"Connection already in progress",116:"Stale file handle",122:"Quota exceeded",123:"No medium (in tape drive)",125:"Operation canceled",130:"Previous owner died",131:"State not recoverable"};function ___setErrNo(value){if(Module["___errno_location"])HEAP32[Module["___errno_location"]()>>2]=value;return value}var PATH={splitPath:(function(filename){var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)}),normalizeArray:(function(parts,allowAboveRoot){var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up;up--){parts.unshift("..")}}return parts}),normalize:(function(path){var isAbsolute=path.charAt(0)==="/",trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path}),dirname:(function(path){var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir}),basename:(function(path){if(path==="/")return"/";var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)}),extname:(function(path){return PATH.splitPath(path)[3]}),join:(function(){var paths=Array.prototype.slice.call(arguments,0);return PATH.normalize(paths.join("/"))}),join2:(function(l,r){return PATH.normalize(l+"/"+r)}),resolve:(function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!=="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=path.charAt(0)==="/"}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter((function(p){return!!p})),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."}),relative:(function(from,to){from=PATH.resolve(from).substr(1);to=PATH.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")})};var TTY={ttys:[],init:(function(){}),shutdown:(function(){}),register:(function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)}),stream_ops:{open:(function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}stream.tty=tty;stream.seekable=false}),close:(function(stream){stream.tty.ops.flush(stream.tty)}),flush:(function(stream){stream.tty.ops.flush(stream.tty)}),read:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(ERRNO_CODES.ENXIO)}for(var i=0;i<length;i++){try{stream.tty.ops.put_char(stream.tty,buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})},default_tty_ops:{get_char:(function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=new Buffer(BUFSIZE);var bytesRead=0;var isPosixPlatform=process.platform!="win32";var fd=process.stdin.fd;if(isPosixPlatform){var usingDevice=false;try{fd=fs.openSync("/dev/stdin","r");usingDevice=true}catch(e){}}try{bytesRead=fs.readSync(fd,buf,0,BUFSIZE,null)}catch(e){if(e.toString().indexOf("EOF")!=-1)bytesRead=0;else throw e}if(usingDevice){fs.closeSync(fd)}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()}),put_char:(function(tty,val){if(val===null||val===10){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["print"](UTF8ArrayToString(tty.output,0));tty.output=[]}})},default_tty1_ops:{put_char:(function(tty,val){if(val===null||val===10){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}}),flush:(function(tty){if(tty.output&&tty.output.length>0){Module["printErr"](UTF8ArrayToString(tty.output,0));tty.output=[]}})}};var MEMFS={ops_table:null,mount:(function(mount){return MEMFS.createNode(null,"/",16384|511,0)}),createNode:(function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node}return node}),getFileDataAsRegularArray:(function(node){if(node.contents&&node.contents.subarray){var arr=[];for(var i=0;i<node.usedBytes;++i)arr.push(node.contents[i]);return arr}return node.contents}),getFileDataAsTypedArray:(function(node){if(!node.contents)return new Uint8Array;if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)}),expandFileStorage:(function(node,newCapacity){if(node.contents&&node.contents.subarray&&newCapacity>node.contents.length){node.contents=MEMFS.getFileDataAsRegularArray(node);node.usedBytes=node.contents.length}if(!node.contents||node.contents.subarray){var prevCapacity=node.contents?node.contents.length:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)|0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0);return}if(!node.contents&&newCapacity>0)node.contents=[];while(node.contents.length<newCapacity)node.contents.push(0)}),resizeFileStorage:(function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0;return}if(!node.contents||node.contents.subarray){var oldContents=node.contents;node.contents=new Uint8Array(new ArrayBuffer(newSize));if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize;return}if(!node.contents)node.contents=[];if(node.contents.length>newSize)node.contents.length=newSize;else while(node.contents.length<newSize)node.contents.push(0);node.usedBytes=newSize}),node_ops:{getattr:(function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}}),lookup:(function(parent,name){throw FS.genericErrors[ERRNO_CODES.ENOENT]}),mknod:(function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)}),rename:(function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}}}delete old_node.parent.contents[old_node.name];old_node.name=new_name;new_dir.contents[new_name]=old_node;old_node.parent=new_dir}),unlink:(function(parent,name){delete parent.contents[name]}),rmdir:(function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}delete parent.contents[name]}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node}),readlink:(function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return node.link})},stream_ops:{read:(function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);assert(size>=0);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size}),write:(function(stream,buffer,offset,length,position,canOwn){if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=new Uint8Array(buffer.subarray(offset,offset+length));node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray)node.contents.set(buffer.subarray(offset,offset+length),position);else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position}),allocate:(function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&(contents.buffer===buffer||contents.buffer===buffer.buffer)){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<stream.node.usedBytes){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;ptr=_malloc(length);if(!ptr){throw new FS.ErrnoError(ERRNO_CODES.ENOMEM)}buffer.set(contents,ptr)}return{ptr:ptr,allocated:allocated}}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(mmapFlags&2){return 0}var bytesWritten=MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0})}};var IDBFS={dbs:{},indexedDB:(function(){if(typeof indexedDB!=="undefined")return indexedDB;var ret=null;if(typeof window==="object")ret=window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB;assert(ret,"IDBFS used, but indexedDB not supported");return ret}),DB_VERSION:21,DB_STORE_NAME:"FILE_DATA",mount:(function(mount){return MEMFS.mount.apply(null,arguments)}),syncfs:(function(mount,populate,callback){IDBFS.getLocalSet(mount,(function(err,local){if(err)return callback(err);IDBFS.getRemoteSet(mount,(function(err,remote){if(err)return callback(err);var src=populate?remote:local;var dst=populate?local:remote;IDBFS.reconcile(src,dst,callback)}))}))}),getDB:(function(name,callback){var db=IDBFS.dbs[name];if(db){return callback(null,db)}var req;try{req=IDBFS.indexedDB().open(name,IDBFS.DB_VERSION)}catch(e){return callback(e)}if(!req){return callback("Unable to connect to IndexedDB")}req.onupgradeneeded=(function(e){var db=e.target.result;var transaction=e.target.transaction;var fileStore;if(db.objectStoreNames.contains(IDBFS.DB_STORE_NAME)){fileStore=transaction.objectStore(IDBFS.DB_STORE_NAME)}else{fileStore=db.createObjectStore(IDBFS.DB_STORE_NAME)}if(!fileStore.indexNames.contains("timestamp")){fileStore.createIndex("timestamp","timestamp",{unique:false})}});req.onsuccess=(function(){db=req.result;IDBFS.dbs[name]=db;callback(null,db)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),getLocalSet:(function(mount,callback){var entries={};function isRealDir(p){return p!=="."&&p!==".."}function toAbsolute(root){return(function(p){return PATH.join2(root,p)})}var check=FS.readdir(mount.mountpoint).filter(isRealDir).map(toAbsolute(mount.mountpoint));while(check.length){var path=check.pop();var stat;try{stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){check.push.apply(check,FS.readdir(path).filter(isRealDir).map(toAbsolute(path)))}entries[path]={timestamp:stat.mtime}}return callback(null,{type:"local",entries:entries})}),getRemoteSet:(function(mount,callback){var entries={};IDBFS.getDB(mount.mountpoint,(function(err,db){if(err)return callback(err);var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readonly");transaction.onerror=(function(e){callback(this.error);e.preventDefault()});var store=transaction.objectStore(IDBFS.DB_STORE_NAME);var index=store.index("timestamp");index.openKeyCursor().onsuccess=(function(event){var cursor=event.target.result;if(!cursor){return callback(null,{type:"remote",db:db,entries:entries})}entries[cursor.primaryKey]={timestamp:cursor.key};cursor.continue()})}))}),loadLocalEntry:(function(path,callback){var stat,node;try{var lookup=FS.lookupPath(path);node=lookup.node;stat=FS.stat(path)}catch(e){return callback(e)}if(FS.isDir(stat.mode)){return callback(null,{timestamp:stat.mtime,mode:stat.mode})}else if(FS.isFile(stat.mode)){node.contents=MEMFS.getFileDataAsTypedArray(node);return callback(null,{timestamp:stat.mtime,mode:stat.mode,contents:node.contents})}else{return callback(new Error("node type not supported"))}}),storeLocalEntry:(function(path,entry,callback){try{if(FS.isDir(entry.mode)){FS.mkdir(path,entry.mode)}else if(FS.isFile(entry.mode)){FS.writeFile(path,entry.contents,{encoding:"binary",canOwn:true})}else{return callback(new Error("node type not supported"))}FS.chmod(path,entry.mode);FS.utime(path,entry.timestamp,entry.timestamp)}catch(e){return callback(e)}callback(null)}),removeLocalEntry:(function(path,callback){try{var lookup=FS.lookupPath(path);var stat=FS.stat(path);if(FS.isDir(stat.mode)){FS.rmdir(path)}else if(FS.isFile(stat.mode)){FS.unlink(path)}}catch(e){return callback(e)}callback(null)}),loadRemoteEntry:(function(store,path,callback){var req=store.get(path);req.onsuccess=(function(event){callback(null,event.target.result)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),storeRemoteEntry:(function(store,path,entry,callback){var req=store.put(entry,path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),removeRemoteEntry:(function(store,path,callback){var req=store.delete(path);req.onsuccess=(function(){callback(null)});req.onerror=(function(e){callback(this.error);e.preventDefault()})}),reconcile:(function(src,dst,callback){var total=0;var create=[];Object.keys(src.entries).forEach((function(key){var e=src.entries[key];var e2=dst.entries[key];if(!e2||e.timestamp>e2.timestamp){create.push(key);total++}}));var remove=[];Object.keys(dst.entries).forEach((function(key){var e=dst.entries[key];var e2=src.entries[key];if(!e2){remove.push(key);total++}}));if(!total){return callback(null)}var completed=0;var db=src.type==="remote"?src.db:dst.db;var transaction=db.transaction([IDBFS.DB_STORE_NAME],"readwrite");var store=transaction.objectStore(IDBFS.DB_STORE_NAME);function done(err){if(err){if(!done.errored){done.errored=true;return callback(err)}return}if(++completed>=total){return callback(null)}}transaction.onerror=(function(e){done(this.error);e.preventDefault()});create.sort().forEach((function(path){if(dst.type==="local"){IDBFS.loadRemoteEntry(store,path,(function(err,entry){if(err)return done(err);IDBFS.storeLocalEntry(path,entry,done)}))}else{IDBFS.loadLocalEntry(path,(function(err,entry){if(err)return done(err);IDBFS.storeRemoteEntry(store,path,entry,done)}))}}));remove.sort().reverse().forEach((function(path){if(dst.type==="local"){IDBFS.removeLocalEntry(path,done)}else{IDBFS.removeRemoteEntry(store,path,done)}}))})};var NODEFS={isWindows:false,staticInit:(function(){NODEFS.isWindows=!!process.platform.match(/^win/)}),mount:(function(mount){assert(ENVIRONMENT_IS_NODE);return NODEFS.createNode(null,"/",NODEFS.getMode(mount.opts.root),0)}),createNode:(function(parent,name,mode,dev){if(!FS.isDir(mode)&&!FS.isFile(mode)&&!FS.isLink(mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=FS.createNode(parent,name,mode);node.node_ops=NODEFS.node_ops;node.stream_ops=NODEFS.stream_ops;return node}),getMode:(function(path){var stat;try{stat=fs.lstatSync(path);if(NODEFS.isWindows){stat.mode=stat.mode|(stat.mode&146)>>1}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return stat.mode}),realPath:(function(node){var parts=[];while(node.parent!==node){parts.push(node.name);node=node.parent}parts.push(node.mount.opts.root);parts.reverse();return PATH.join.apply(null,parts)}),flagsToPermissionStringMap:{0:"r",1:"r+",2:"r+",64:"r",65:"r+",66:"r+",129:"rx+",193:"rx+",514:"w+",577:"w",578:"w+",705:"wx",706:"wx+",1024:"a",1025:"a",1026:"a+",1089:"a",1090:"a+",1153:"ax",1154:"ax+",1217:"ax",1218:"ax+",4096:"rs",4098:"rs+"},flagsToPermissionString:(function(flags){flags&=~2097152;flags&=~2048;flags&=~32768;flags&=~524288;if(flags in NODEFS.flagsToPermissionStringMap){return NODEFS.flagsToPermissionStringMap[flags]}else{throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}}),node_ops:{getattr:(function(node){var path=NODEFS.realPath(node);var stat;try{stat=fs.lstatSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(NODEFS.isWindows&&!stat.blksize){stat.blksize=4096}if(NODEFS.isWindows&&!stat.blocks){stat.blocks=(stat.size+stat.blksize-1)/stat.blksize|0}return{dev:stat.dev,ino:stat.ino,mode:stat.mode,nlink:stat.nlink,uid:stat.uid,gid:stat.gid,rdev:stat.rdev,size:stat.size,atime:stat.atime,mtime:stat.mtime,ctime:stat.ctime,blksize:stat.blksize,blocks:stat.blocks}}),setattr:(function(node,attr){var path=NODEFS.realPath(node);try{if(attr.mode!==undefined){fs.chmodSync(path,attr.mode);node.mode=attr.mode}if(attr.timestamp!==undefined){var date=new Date(attr.timestamp);fs.utimesSync(path,date,date)}if(attr.size!==undefined){fs.truncateSync(path,attr.size)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),lookup:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);var mode=NODEFS.getMode(path);return NODEFS.createNode(parent,name,mode)}),mknod:(function(parent,name,mode,dev){var node=NODEFS.createNode(parent,name,mode,dev);var path=NODEFS.realPath(node);try{if(FS.isDir(node.mode)){fs.mkdirSync(path,node.mode)}else{fs.writeFileSync(path,"",{mode:node.mode})}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}return node}),rename:(function(oldNode,newDir,newName){var oldPath=NODEFS.realPath(oldNode);var newPath=PATH.join2(NODEFS.realPath(newDir),newName);try{fs.renameSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),unlink:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.unlinkSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),rmdir:(function(parent,name){var path=PATH.join2(NODEFS.realPath(parent),name);try{fs.rmdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readdir:(function(node){var path=NODEFS.realPath(node);try{return fs.readdirSync(path)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),symlink:(function(parent,newName,oldPath){var newPath=PATH.join2(NODEFS.realPath(parent),newName);try{fs.symlinkSync(oldPath,newPath)}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),readlink:(function(node){var path=NODEFS.realPath(node);try{path=fs.readlinkSync(path);path=NODEJS_PATH.relative(NODEJS_PATH.resolve(node.mount.opts.root),path);return path}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}})},stream_ops:{open:(function(stream){var path=NODEFS.realPath(stream.node);try{if(FS.isFile(stream.node.mode)){stream.nfd=fs.openSync(path,NODEFS.flagsToPermissionString(stream.flags))}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),close:(function(stream){try{if(FS.isFile(stream.node.mode)&&stream.nfd){fs.closeSync(stream.nfd)}}catch(e){if(!e.code)throw e;throw new FS.ErrnoError(ERRNO_CODES[e.code])}}),read:(function(stream,buffer,offset,length,position){if(length===0)return 0;var nbuffer=new Buffer(length);var res;try{res=fs.readSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}if(res>0){for(var i=0;i<res;i++){buffer[offset+i]=nbuffer[i]}}return res}),write:(function(stream,buffer,offset,length,position){var nbuffer=new Buffer(buffer.subarray(offset,offset+length));var res;try{res=fs.writeSync(stream.nfd,nbuffer,0,length,position)}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}return res}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){try{var stat=fs.fstatSync(stream.nfd);position+=stat.size}catch(e){throw new FS.ErrnoError(ERRNO_CODES[e.code])}}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};var WORKERFS={DIR_MODE:16895,FILE_MODE:33279,reader:null,mount:(function(mount){assert(ENVIRONMENT_IS_WORKER);if(!WORKERFS.reader)WORKERFS.reader=new FileReaderSync;var root=WORKERFS.createNode(null,"/",WORKERFS.DIR_MODE,0);var createdParents={};function ensureParent(path){var parts=path.split("/");var parent=root;for(var i=0;i<parts.length-1;i++){var curr=parts.slice(0,i+1).join("/");if(!createdParents[curr]){createdParents[curr]=WORKERFS.createNode(parent,parts[i],WORKERFS.DIR_MODE,0)}parent=createdParents[curr]}return parent}function base(path){var parts=path.split("/");return parts[parts.length-1]}Array.prototype.forEach.call(mount.opts["files"]||[],(function(file){WORKERFS.createNode(ensureParent(file.name),base(file.name),WORKERFS.FILE_MODE,0,file,file.lastModifiedDate)}));(mount.opts["blobs"]||[]).forEach((function(obj){WORKERFS.createNode(ensureParent(obj["name"]),base(obj["name"]),WORKERFS.FILE_MODE,0,obj["data"])}));(mount.opts["packages"]||[]).forEach((function(pack){pack["metadata"].files.forEach((function(file){var name=file.filename.substr(1);WORKERFS.createNode(ensureParent(name),base(name),WORKERFS.FILE_MODE,0,pack["blob"].slice(file.start,file.end))}))}));return root}),createNode:(function(parent,name,mode,dev,contents,mtime){var node=FS.createNode(parent,name,mode);node.mode=mode;node.node_ops=WORKERFS.node_ops;node.stream_ops=WORKERFS.stream_ops;node.timestamp=(mtime||new Date).getTime();assert(WORKERFS.FILE_MODE!==WORKERFS.DIR_MODE);if(mode===WORKERFS.FILE_MODE){node.size=contents.size;node.contents=contents}else{node.size=4096;node.contents={}}if(parent){parent.contents[name]=node}return node}),node_ops:{getattr:(function(node){return{dev:1,ino:undefined,mode:node.mode,nlink:1,uid:0,gid:0,rdev:undefined,size:node.size,atime:new Date(node.timestamp),mtime:new Date(node.timestamp),ctime:new Date(node.timestamp),blksize:4096,blocks:Math.ceil(node.size/4096)}}),setattr:(function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}}),lookup:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}),mknod:(function(parent,name,mode,dev){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rename:(function(oldNode,newDir,newName){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),unlink:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),rmdir:(function(parent,name){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readdir:(function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries}),symlink:(function(parent,newName,oldPath){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}),readlink:(function(node){throw new FS.ErrnoError(ERRNO_CODES.EPERM)})},stream_ops:{read:(function(stream,buffer,offset,length,position){if(position>=stream.node.size)return 0;var chunk=stream.node.contents.slice(position,position+length);var ab=WORKERFS.reader.readAsArrayBuffer(chunk);buffer.set(new Uint8Array(ab),offset);return chunk.size}),write:(function(stream,buffer,offset,length,position){throw new FS.ErrnoError(ERRNO_CODES.EIO)}),llseek:(function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.size}}if(position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return position})}};STATICTOP+=16;STATICTOP+=16;STATICTOP+=16;var FS={root:null,mounts:[],devices:[null],streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,trackingDelegate:{},tracking:{openFlags:{READ:1,WRITE:2}},ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,handleFSError:(function(e){if(!(e instanceof FS.ErrnoError))throw e+" : "+stackTrace();return ___setErrNo(e.errno)}),lookupPath:(function(path,opts){path=PATH.resolve(FS.cwd(),path);opts=opts||{};if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};for(var key in defaults){if(opts[key]===undefined){opts[key]=defaults[key]}}if(opts.recurse_count>8){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}var parts=PATH.normalizeArray(path.split("/").filter((function(p){return!!p})),false);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count});current=lookup.node;if(count++>40){throw new FS.ErrnoError(ERRNO_CODES.ELOOP)}}}}return{path:current_path,node:current}}),getPath:(function(node){var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}}),hashName:(function(parentid,name){var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length}),hashAddNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node}),hashRemoveNode:(function(node){var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}}),lookupNode:(function(parent,name){var err=FS.mayLookup(parent);if(err){throw new FS.ErrnoError(err,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)}),createNode:(function(parent,name,mode,rdev){if(!FS.FSNode){FS.FSNode=(function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev});FS.FSNode.prototype={};var readMode=292|73;var writeMode=146;Object.defineProperties(FS.FSNode.prototype,{read:{get:(function(){return(this.mode&readMode)===readMode}),set:(function(val){val?this.mode|=readMode:this.mode&=~readMode})},write:{get:(function(){return(this.mode&writeMode)===writeMode}),set:(function(val){val?this.mode|=writeMode:this.mode&=~writeMode})},isFolder:{get:(function(){return FS.isDir(this.mode)})},isDevice:{get:(function(){return FS.isChrdev(this.mode)})}})}var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node}),destroyNode:(function(node){FS.hashRemoveNode(node)}),isRoot:(function(node){return node===node.parent}),isMountpoint:(function(node){return!!node.mounted}),isFile:(function(mode){return(mode&61440)===32768}),isDir:(function(mode){return(mode&61440)===16384}),isLink:(function(mode){return(mode&61440)===40960}),isChrdev:(function(mode){return(mode&61440)===8192}),isBlkdev:(function(mode){return(mode&61440)===24576}),isFIFO:(function(mode){return(mode&61440)===4096}),isSocket:(function(mode){return(mode&49152)===49152}),flagModes:{"r":0,"rs":1052672,"r+":2,"w":577,"wx":705,"xw":705,"w+":578,"wx+":706,"xw+":706,"a":1089,"ax":1217,"xa":1217,"a+":1090,"ax+":1218,"xa+":1218},modeStringToFlags:(function(str){var flags=FS.flagModes[str];if(typeof flags==="undefined"){throw new Error("Unknown file open mode: "+str)}return flags}),flagsToPermissionString:(function(flag){var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms}),nodePermissions:(function(node,perms){if(FS.ignorePermissions){return 0}if(perms.indexOf("r")!==-1&&!(node.mode&292)){return ERRNO_CODES.EACCES}else if(perms.indexOf("w")!==-1&&!(node.mode&146)){return ERRNO_CODES.EACCES}else if(perms.indexOf("x")!==-1&&!(node.mode&73)){return ERRNO_CODES.EACCES}return 0}),mayLookup:(function(dir){var err=FS.nodePermissions(dir,"x");if(err)return err;if(!dir.node_ops.lookup)return ERRNO_CODES.EACCES;return 0}),mayCreate:(function(dir,name){try{var node=FS.lookupNode(dir,name);return ERRNO_CODES.EEXIST}catch(e){}return FS.nodePermissions(dir,"wx")}),mayDelete:(function(dir,name,isdir){var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var err=FS.nodePermissions(dir,"wx");if(err){return err}if(isdir){if(!FS.isDir(node.mode)){return ERRNO_CODES.ENOTDIR}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return ERRNO_CODES.EBUSY}}else{if(FS.isDir(node.mode)){return ERRNO_CODES.EISDIR}}return 0}),mayOpen:(function(node,flags){if(!node){return ERRNO_CODES.ENOENT}if(FS.isLink(node.mode)){return ERRNO_CODES.ELOOP}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return ERRNO_CODES.EISDIR}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))}),MAX_OPEN_FDS:4096,nextfd:(function(fd_start,fd_end){fd_start=fd_start||0;fd_end=fd_end||FS.MAX_OPEN_FDS;for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(ERRNO_CODES.EMFILE)}),getStream:(function(fd){return FS.streams[fd]}),createStream:(function(stream,fd_start,fd_end){if(!FS.FSStream){FS.FSStream=(function(){});FS.FSStream.prototype={};Object.defineProperties(FS.FSStream.prototype,{object:{get:(function(){return this.node}),set:(function(val){this.node=val})},isRead:{get:(function(){return(this.flags&2097155)!==1})},isWrite:{get:(function(){return(this.flags&2097155)!==0})},isAppend:{get:(function(){return this.flags&1024})}})}var newStream=new FS.FSStream;for(var p in stream){newStream[p]=stream[p]}stream=newStream;var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream}),closeStream:(function(fd){FS.streams[fd]=null}),chrdev_stream_ops:{open:(function(stream){var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}}),llseek:(function(){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)})},major:(function(dev){return dev>>8}),minor:(function(dev){return dev&255}),makedev:(function(ma,mi){return ma<<8|mi}),registerDevice:(function(dev,ops){FS.devices[dev]={stream_ops:ops}}),getDevice:(function(dev){return FS.devices[dev]}),getMounts:(function(mount){var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts}),syncfs:(function(populate,callback){if(typeof populate==="function"){callback=populate;populate=false}FS.syncFSRequests++;if(FS.syncFSRequests>1){console.log("warning: "+FS.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work")}var mounts=FS.getMounts(FS.root.mount);var completed=0;function doCallback(err){assert(FS.syncFSRequests>0);FS.syncFSRequests--;return callback(err)}function done(err){if(err){if(!done.errored){done.errored=true;return doCallback(err)}return}if(++completed>=mounts.length){doCallback(null)}}mounts.forEach((function(mount){if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)}))}),mount:(function(type,opts,mountpoint){var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot}),unmount:(function(mountpoint){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach((function(hash){var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.indexOf(current.mount)!==-1){FS.destroyNode(current)}current=next}}));node.mounted=null;var idx=node.mount.mounts.indexOf(mount);assert(idx!==-1);node.mount.mounts.splice(idx,1)}),lookup:(function(parent,name){return parent.node_ops.lookup(parent,name)}),mknod:(function(path,mode,dev){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.mayCreate(parent,name);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.mknod(parent,name,mode,dev)}),create:(function(path,mode){mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)}),mkdir:(function(path,mode){mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)}),mkdirTree:(function(path,mode){var dirs=path.split("/");var d="";for(var i=0;i<dirs.length;++i){if(!dirs[i])continue;d+="/"+dirs[i];try{FS.mkdir(d,mode)}catch(e){if(e.errno!=ERRNO_CODES.EEXIST)throw e}}}),mkdev:(function(path,mode,dev){if(typeof dev==="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)}),symlink:(function(oldpath,newpath){if(!PATH.resolve(oldpath)){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}var newname=PATH.basename(newpath);var err=FS.mayCreate(parent,newname);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return parent.node_ops.symlink(parent,newname,oldpath)}),rename:(function(old_path,new_path){var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;try{lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(!old_dir||!new_dir)throw new FS.ErrnoError(ERRNO_CODES.ENOENT);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(ERRNO_CODES.EXDEV)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}relative=PATH.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(ERRNO_CODES.ENOTEMPTY)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var err=FS.mayDelete(old_dir,old_name,isdir);if(err){throw new FS.ErrnoError(err)}err=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(err){throw new FS.ErrnoError(err)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}if(new_dir!==old_dir){err=FS.nodePermissions(old_dir,"w");if(err){throw new FS.ErrnoError(err)}}try{if(FS.trackingDelegate["willMovePath"]){FS.trackingDelegate["willMovePath"](old_path,new_path)}}catch(e){console.log("FS.trackingDelegate['willMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}try{if(FS.trackingDelegate["onMovePath"])FS.trackingDelegate["onMovePath"](old_path,new_path)}catch(e){console.log("FS.trackingDelegate['onMovePath']('"+old_path+"', '"+new_path+"') threw an exception: "+e.message)}}),rmdir:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,true);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}return node.node_ops.readdir(node)}),unlink:(function(path){var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var err=FS.mayDelete(parent,name,false);if(err){throw new FS.ErrnoError(err)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(ERRNO_CODES.EBUSY)}try{if(FS.trackingDelegate["willDeletePath"]){FS.trackingDelegate["willDeletePath"](path)}}catch(e){console.log("FS.trackingDelegate['willDeletePath']('"+path+"') threw an exception: "+e.message)}parent.node_ops.unlink(parent,name);FS.destroyNode(node);try{if(FS.trackingDelegate["onDeletePath"])FS.trackingDelegate["onDeletePath"](path)}catch(e){console.log("FS.trackingDelegate['onDeletePath']('"+path+"') threw an exception: "+e.message)}}),readlink:(function(path){var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!link.node_ops.readlink){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}return PATH.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))}),stat:(function(path,dontFollow){var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!node.node_ops.getattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}return node.node_ops.getattr(node)}),lstat:(function(path){return FS.stat(path,true)}),chmod:(function(path,mode,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})}),lchmod:(function(path,mode){FS.chmod(path,mode,true)}),fchmod:(function(fd,mode){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chmod(stream.node,mode)}),chown:(function(path,uid,gid,dontFollow){var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}node.node_ops.setattr(node,{timestamp:Date.now()})}),lchown:(function(path,uid,gid){FS.chown(path,uid,gid,true)}),fchown:(function(fd,uid,gid){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}FS.chown(stream.node,uid,gid)}),truncate:(function(path,len){if(len<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var node;if(typeof path==="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(ERRNO_CODES.EPERM)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var err=FS.nodePermissions(node,"w");if(err){throw new FS.ErrnoError(err)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})}),ftruncate:(function(fd,len){var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}FS.truncate(stream.node,len)}),utime:(function(path,atime,mtime){var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})}),open:(function(path,flags,mode,fd_start,fd_end){if(path===""){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}flags=typeof flags==="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode==="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path==="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(ERRNO_CODES.EEXIST)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}if(!created){var err=FS.mayOpen(node,flags);if(err){throw new FS.ErrnoError(err)}}if(flags&512){FS.truncate(node,0)}flags&=~(128|512);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false},fd_start,fd_end);if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1;Module["printErr"]("read file: "+path)}}try{if(FS.trackingDelegate["onOpenFile"]){var trackingFlags=0;if((flags&2097155)!==1){trackingFlags|=FS.tracking.openFlags.READ}if((flags&2097155)!==0){trackingFlags|=FS.tracking.openFlags.WRITE}FS.trackingDelegate["onOpenFile"](path,trackingFlags)}}catch(e){console.log("FS.trackingDelegate['onOpenFile']('"+path+"', flags) threw an exception: "+e.message)}return stream}),close:(function(stream){if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}}),llseek:(function(stream,offset,whence){if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position}),read:(function(stream,buffer,offset,length,position){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.read){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead}),write:(function(stream,buffer,offset,length,position,canOwn){if(length<0||position<0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.EISDIR)}if(!stream.stream_ops.write){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if(stream.flags&1024){FS.llseek(stream,0,2)}var seeking=true;if(typeof position==="undefined"){position=stream.position;seeking=false}else if(!stream.seekable){throw new FS.ErrnoError(ERRNO_CODES.ESPIPE)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;try{if(stream.path&&FS.trackingDelegate["onWriteToFile"])FS.trackingDelegate["onWriteToFile"](stream.path)}catch(e){console.log("FS.trackingDelegate['onWriteToFile']('"+path+"') threw an exception: "+e.message)}return bytesWritten}),allocate:(function(stream,offset,length){if(offset<0||length<=0){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(ERRNO_CODES.EBADF)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(stream.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}stream.stream_ops.allocate(stream,offset,length)}),mmap:(function(stream,buffer,offset,length,position,prot,flags){if((stream.flags&2097155)===1){throw new FS.ErrnoError(ERRNO_CODES.EACCES)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(ERRNO_CODES.ENODEV)}return stream.stream_ops.mmap(stream,buffer,offset,length,position,prot,flags)}),msync:(function(stream,buffer,offset,length,mmapFlags){if(!stream||!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)}),munmap:(function(stream){return 0}),ioctl:(function(stream,cmd,arg){if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(ERRNO_CODES.ENOTTY)}return stream.stream_ops.ioctl(stream,cmd,arg)}),readFile:(function(path,opts){opts=opts||{};opts.flags=opts.flags||"r";opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret}),writeFile:(function(path,data,opts){opts=opts||{};opts.flags=opts.flags||"w";opts.encoding=opts.encoding||"utf8";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var stream=FS.open(path,opts.flags,opts.mode);if(opts.encoding==="utf8"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,0,opts.canOwn)}else if(opts.encoding==="binary"){FS.write(stream,data,0,data.length,0,opts.canOwn)}FS.close(stream)}),cwd:(function(){return FS.currentPath}),chdir:(function(path){var lookup=FS.lookupPath(path,{follow:true});if(lookup.node===null){throw new FS.ErrnoError(ERRNO_CODES.ENOENT)}if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(ERRNO_CODES.ENOTDIR)}var err=FS.nodePermissions(lookup.node,"x");if(err){throw new FS.ErrnoError(err)}FS.currentPath=lookup.path}),createDefaultDirectories:(function(){FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")}),createDefaultDevices:(function(){FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:(function(){return 0}),write:(function(stream,buffer,offset,length,pos){return length})});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device;if(typeof crypto!=="undefined"){var randomBuffer=new Uint8Array(1);random_device=(function(){crypto.getRandomValues(randomBuffer);return randomBuffer[0]})}else if(ENVIRONMENT_IS_NODE){random_device=(function(){return require("crypto").randomBytes(1)[0]})}else{random_device=(function(){return Math.random()*256|0})}FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")}),createSpecialDirectories:(function(){FS.mkdir("/proc");FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:(function(){var node=FS.createNode("/proc/self","fd",16384|511,73);node.node_ops={lookup:(function(parent,name){var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:(function(){return stream.path})}};ret.parent=ret;return ret})};return node})},{},"/proc/self/fd")}),createStandardStreams:(function(){if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin","r");assert(stdin.fd===0,"invalid handle for stdin ("+stdin.fd+")");var stdout=FS.open("/dev/stdout","w");assert(stdout.fd===1,"invalid handle for stdout ("+stdout.fd+")");var stderr=FS.open("/dev/stderr","w");assert(stderr.fd===2,"invalid handle for stderr ("+stderr.fd+")")}),ensureErrnoError:(function(){if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.node=node;this.setErrno=(function(errno){this.errno=errno;for(var key in ERRNO_CODES){if(ERRNO_CODES[key]===errno){this.code=key;break}}});this.setErrno(errno);this.message=ERRNO_MESSAGES[errno]};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[ERRNO_CODES.ENOENT].forEach((function(code){FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"}))}),staticInit:(function(){FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS,"IDBFS":IDBFS,"NODEFS":NODEFS,"WORKERFS":WORKERFS}}),init:(function(input,output,error){assert(!FS.init.initialized,"FS.init was previously called. If you want to initialize later with custom parameters, remove any earlier calls (note that one is automatically added to the generated code)");FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()}),quit:(function(){FS.init.initialized=false;var fflush=Module["_fflush"];if(fflush)fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}}),getMode:(function(canRead,canWrite){var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode}),joinPath:(function(parts,forceRelative){var path=PATH.join.apply(null,parts);if(forceRelative&&path[0]=="/")path=path.substr(1);return path}),absolutePath:(function(relative,base){return PATH.resolve(base,relative)}),standardizePath:(function(path){return PATH.normalize(path)}),findObject:(function(path,dontResolveLastLink){var ret=FS.analyzePath(path,dontResolveLastLink);if(ret.exists){return ret.object}else{___setErrNo(ret.error);return null}}),analyzePath:(function(path,dontResolveLastLink){try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret}),createFolder:(function(parent,name,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.mkdir(path,mode)}),createPath:(function(parent,path,canRead,canWrite){parent=typeof parent==="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current}),createFile:(function(parent,name,properties,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)}),createDataFile:(function(parent,name,data,canRead,canWrite,canOwn){var path=name?PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name):parent;var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data==="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,"w");FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node}),createDevice:(function(parent,name,input,output){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:(function(stream){stream.seekable=false}),close:(function(stream){if(output&&output.buffer&&output.buffer.length){output(10)}}),read:(function(stream,buffer,offset,length,pos){var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead}),write:(function(stream,buffer,offset,length,pos){for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EIO)}}if(length){stream.node.timestamp=Date.now()}return i})});return FS.mkdev(path,mode,dev)}),createLink:(function(parent,name,target,canRead,canWrite){var path=PATH.join2(typeof parent==="string"?parent:FS.getPath(parent),name);return FS.symlink(target,path)}),forceLoadFile:(function(obj){if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;var success=true;if(typeof XMLHttpRequest!=="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(Module["read"]){try{obj.contents=intArrayFromString(Module["read"](obj.url),true);obj.usedBytes=obj.contents.length}catch(e){success=false}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}if(!success)___setErrNo(ERRNO_CODES.EIO);return success}),createLazyFile:(function(parent,name,url,canRead,canWrite){function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=(function(from,to){if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);if(typeof Uint8Array!="undefined")xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}else{return intArrayFromString(xhr.responseText||"",true)}});var lazyArray=this;lazyArray.setDataGetter((function(chunkNum){var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]==="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]==="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]}));if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;console.log("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!=="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._length})},chunkSize:{get:(function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize})}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:(function(){return this.contents.length})}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach((function(key){var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}return fn.apply(null,arguments)}}));stream_ops.read=function stream_ops_read(stream,buffer,offset,length,position){if(!FS.forceLoadFile(node)){throw new FS.ErrnoError(ERRNO_CODES.EIO)}var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);assert(size>=0);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size};node.stream_ops=stream_ops;return node}),createPreloadedFile:(function(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish){Browser.init();var fullname=name?PATH.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}var handled=false;Module["preloadPlugins"].forEach((function(plugin){if(handled)return;if(plugin["canHandle"](fullname)){plugin["handle"](byteArray,fullname,finish,(function(){if(onerror)onerror();removeRunDependency(dep)}));handled=true}}));if(!handled)finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){Browser.asyncLoad(url,(function(byteArray){processData(byteArray)}),onerror)}else{processData(url)}}),indexedDB:(function(){return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB}),DB_NAME:(function(){return"EM_FS_"+window.location.pathname}),DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",saveFilesToDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=function openRequest_onupgradeneeded(){console.log("creating db");var db=openRequest.result;db.createObjectStore(FS.DB_STORE_NAME)};openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;var transaction=db.transaction([FS.DB_STORE_NAME],"readwrite");var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var putRequest=files.put(FS.analyzePath(path).object.contents,path);putRequest.onsuccess=function putRequest_onsuccess(){ok++;if(ok+fail==total)finish()};putRequest.onerror=function putRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror}),loadFilesFromDB:(function(paths,onload,onerror){onload=onload||(function(){});onerror=onerror||(function(){});var indexedDB=FS.indexedDB();try{var openRequest=indexedDB.open(FS.DB_NAME(),FS.DB_VERSION)}catch(e){return onerror(e)}openRequest.onupgradeneeded=onerror;openRequest.onsuccess=function openRequest_onsuccess(){var db=openRequest.result;try{var transaction=db.transaction([FS.DB_STORE_NAME],"readonly")}catch(e){onerror(e);return}var files=transaction.objectStore(FS.DB_STORE_NAME);var ok=0,fail=0,total=paths.length;function finish(){if(fail==0)onload();else onerror()}paths.forEach((function(path){var getRequest=files.get(path);getRequest.onsuccess=function getRequest_onsuccess(){if(FS.analyzePath(path).exists){FS.unlink(path)}FS.createDataFile(PATH.dirname(path),PATH.basename(path),getRequest.result,true,true,true);ok++;if(ok+fail==total)finish()};getRequest.onerror=function getRequest_onerror(){fail++;if(ok+fail==total)finish()}}));transaction.onerror=onerror};openRequest.onerror=onerror})};var SYSCALLS={DEFAULT_POLLMASK:5,mappings:{},umask:511,calculateAt:(function(dirfd,path){if(path[0]!=="/"){var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=FS.getStream(dirfd);if(!dirstream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);dir=dirstream.path}path=PATH.join2(dir,path)}return path}),doStat:(function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-ERRNO_CODES.ENOTDIR}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+4>>2]=0;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAP32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;HEAP32[buf+32>>2]=0;HEAP32[buf+36>>2]=stat.size;HEAP32[buf+40>>2]=4096;HEAP32[buf+44>>2]=stat.blocks;HEAP32[buf+48>>2]=stat.atime.getTime()/1e3|0;HEAP32[buf+52>>2]=0;HEAP32[buf+56>>2]=stat.mtime.getTime()/1e3|0;HEAP32[buf+60>>2]=0;HEAP32[buf+64>>2]=stat.ctime.getTime()/1e3|0;HEAP32[buf+68>>2]=0;HEAP32[buf+72>>2]=stat.ino;return 0}),doMsync:(function(addr,stream,len,flags){var buffer=new Uint8Array(HEAPU8.subarray(addr,addr+len));FS.msync(stream,buffer,0,len,flags)}),doMkdir:(function(path,mode){path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0}),doMknod:(function(path,mode,dev){switch(mode&61440){case 32768:case 8192:case 24576:case 4096:case 49152:break;default:return-ERRNO_CODES.EINVAL}FS.mknod(path,mode,dev);return 0}),doReadlink:(function(path,buf,bufsize){if(bufsize<=0)return-ERRNO_CODES.EINVAL;var ret=FS.readlink(path);var len=Math.min(bufsize,lengthBytesUTF8(ret));var endChar=HEAP8[buf+len];stringToUTF8(ret,buf,bufsize+1);HEAP8[buf+len]=endChar;return len}),doAccess:(function(path,amode){if(amode&~7){return-ERRNO_CODES.EINVAL}var node;var lookup=FS.lookupPath(path,{follow:true});node=lookup.node;var perms="";if(amode&4)perms+="r";if(amode&2)perms+="w";if(amode&1)perms+="x";if(perms&&FS.nodePermissions(node,perms)){return-ERRNO_CODES.EACCES}return 0}),doDup:(function(path,flags,suggestFD){var suggest=FS.getStream(suggestFD);if(suggest)FS.close(suggest);return FS.open(path,flags,0,suggestFD,suggestFD).fd}),doReadv:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break}return ret}),doWritev:(function(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAP32[iov+i*8>>2];var len=HEAP32[iov+(i*8+4)>>2];var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr}return ret}),varargs:0,get:(function(varargs){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret}),getStr:(function(){var ret=Pointer_stringify(SYSCALLS.get());return ret}),getStreamFromFD:(function(){var stream=FS.getStream(SYSCALLS.get());if(!stream)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return stream}),getSocketFromFD:(function(){var socket=SOCKFS.getSocket(SYSCALLS.get());if(!socket)throw new FS.ErrnoError(ERRNO_CODES.EBADF);return socket}),getSocketAddress:(function(allowNull){var addrp=SYSCALLS.get(),addrlen=SYSCALLS.get();if(allowNull&&addrp===0)return null;var info=__read_sockaddr(addrp,addrlen);if(info.errno)throw new FS.ErrnoError(info.errno);info.addr=DNS.lookup_addr(info.addr)||info.addr;return info}),get64:(function(){var low=SYSCALLS.get(),high=SYSCALLS.get();if(low>=0)assert(high===0);else assert(high===-1);return low}),getZero:(function(){assert(SYSCALLS.get()===0)})};function ___syscall195(which,varargs){SYSCALLS.varargs=varargs;try{var path=SYSCALLS.getStr(),buf=SYSCALLS.get();return SYSCALLS.doStat(FS.stat,path,buf)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall194(which,varargs){SYSCALLS.varargs=varargs;try{var fd=SYSCALLS.get(),zero=SYSCALLS.getZero(),length=SYSCALLS.get64();FS.ftruncate(fd,length);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var cttz_i8=allocate([8,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,7,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,6,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,5,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0,4,0,1,0,2,0,1,0,3,0,1,0,2,0,1,0],"i8",ALLOC_STATIC);function ___lock(){}function ___unlock(){}function _clock(){if(_clock.start===undefined)_clock.start=Date.now();return(Date.now()-_clock.start)*(1e6/1e3)|0}function _llvm_bswap_i64(l,h){var retl=_llvm_bswap_i32(h)>>>0;var reth=_llvm_bswap_i32(l)>>>0;return(Runtime.setTempRet0(reth),retl)|0}function _emscripten_memcpy_big(dest,src,num){HEAPU8.set(HEAPU8.subarray(src,src+num),dest);return dest}function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]);return sum}var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?Pointer_stringify(tm_zone):""};var pattern=Pointer_stringify(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value==="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}else{return thisDate.getFullYear()}}else{return thisDate.getFullYear()-1}}var EXPANSION_RULES_2={"%a":(function(date){return WEEKDAYS[date.tm_wday].substring(0,3)}),"%A":(function(date){return WEEKDAYS[date.tm_wday]}),"%b":(function(date){return MONTHS[date.tm_mon].substring(0,3)}),"%B":(function(date){return MONTHS[date.tm_mon]}),"%C":(function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)}),"%d":(function(date){return leadingNulls(date.tm_mday,2)}),"%e":(function(date){return leadingSomething(date.tm_mday,2," ")}),"%g":(function(date){return getWeekBasedYear(date).toString().substring(2)}),"%G":(function(date){return getWeekBasedYear(date)}),"%H":(function(date){return leadingNulls(date.tm_hour,2)}),"%I":(function(date){var twelveHour=date.tm_hour;if(twelveHour==0)twelveHour=12;else if(twelveHour>12)twelveHour-=12;return leadingNulls(twelveHour,2)}),"%j":(function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)}),"%m":(function(date){return leadingNulls(date.tm_mon+1,2)}),"%M":(function(date){return leadingNulls(date.tm_min,2)}),"%n":(function(){return"\n"}),"%p":(function(date){if(date.tm_hour>=0&&date.tm_hour<12){return"AM"}else{return"PM"}}),"%S":(function(date){return leadingNulls(date.tm_sec,2)}),"%t":(function(){return"\t"}),"%u":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()||7}),"%U":(function(date){var janFirst=new Date(date.tm_year+1900,0,1);var firstSunday=janFirst.getDay()===0?janFirst:__addDays(janFirst,7-janFirst.getDay());var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstSunday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstSundayUntilEndJanuary=31-firstSunday.getDate();var days=firstSundayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstSunday,janFirst)===0?"01":"00"}),"%V":(function(date){var janFourthThisYear=new Date(date.tm_year+1900,0,4);var janFourthNextYear=new Date(date.tm_year+1901,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);var endDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);if(compareByDay(endDate,firstWeekStartThisYear)<0){return"53"}if(compareByDay(firstWeekStartNextYear,endDate)<=0){return"01"}var daysDifference;if(firstWeekStartThisYear.getFullYear()<date.tm_year+1900){daysDifference=date.tm_yday+32-firstWeekStartThisYear.getDate()}else{daysDifference=date.tm_yday+1-firstWeekStartThisYear.getDate()}return leadingNulls(Math.ceil(daysDifference/7),2)}),"%w":(function(date){var day=new Date(date.tm_year+1900,date.tm_mon+1,date.tm_mday,0,0,0,0);return day.getDay()}),"%W":(function(date){var janFirst=new Date(date.tm_year,0,1);var firstMonday=janFirst.getDay()===1?janFirst:__addDays(janFirst,janFirst.getDay()===0?1:7-janFirst.getDay()+1);var endDate=new Date(date.tm_year+1900,date.tm_mon,date.tm_mday);if(compareByDay(firstMonday,endDate)<0){var februaryFirstUntilEndMonth=__arraySum(__isLeapYear(endDate.getFullYear())?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,endDate.getMonth()-1)-31;var firstMondayUntilEndJanuary=31-firstMonday.getDate();var days=firstMondayUntilEndJanuary+februaryFirstUntilEndMonth+endDate.getDate();return leadingNulls(Math.ceil(days/7),2)}return compareByDay(firstMonday,janFirst)===0?"01":"00"}),"%y":(function(date){return(date.tm_year+1900).toString().substring(2)}),"%Y":(function(date){return date.tm_year+1900}),"%z":(function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)}),"%Z":(function(date){return date.tm_zone}),"%%":(function(){return"%"})};for(var rule in EXPANSION_RULES_2){if(pattern.indexOf(rule)>=0){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}function __exit(status){Module["exit"](status)}function _exit(status){__exit(status)}var ___tm_formatted=STATICTOP;STATICTOP+=48;var _tzname=STATICTOP;STATICTOP+=16;var _daylight=STATICTOP;STATICTOP+=16;var _timezone=STATICTOP;STATICTOP+=16;function _tzset(){if(_tzset.called)return;_tzset.called=true;HEAP32[_timezone>>2]=-(new Date).getTimezoneOffset()*60;var winter=new Date(2e3,0,1);var summer=new Date(2e3,6,1);HEAP32[_daylight>>2]=Number(winter.getTimezoneOffset()!=summer.getTimezoneOffset());function extractZone(date){var match=date.toTimeString().match(/\(([A-Za-z ]+)\)$/);return match?match[1]:"GMT"}var winterName=extractZone(winter);var summerName=extractZone(summer);var winterNamePtr=allocate(intArrayFromString(winterName),"i8",ALLOC_NORMAL);var summerNamePtr=allocate(intArrayFromString(summerName),"i8",ALLOC_NORMAL);if(summer.getTimezoneOffset()<winter.getTimezoneOffset()){HEAP32[_tzname>>2]=winterNamePtr;HEAP32[_tzname+4>>2]=summerNamePtr}else{HEAP32[_tzname>>2]=summerNamePtr;HEAP32[_tzname+4>>2]=winterNamePtr}}function _mktime(tmPtr){_tzset();var date=new Date(HEAP32[tmPtr+20>>2]+1900,HEAP32[tmPtr+16>>2],HEAP32[tmPtr+12>>2],HEAP32[tmPtr+8>>2],HEAP32[tmPtr+4>>2],HEAP32[tmPtr>>2],0);var dst=HEAP32[tmPtr+32>>2];var guessedOffset=date.getTimezoneOffset();var start=new Date(date.getFullYear(),0,1);var summerOffset=(new Date(2e3,6,1)).getTimezoneOffset();var winterOffset=start.getTimezoneOffset();var dstOffset=Math.min(winterOffset,summerOffset);if(dst<0){HEAP32[tmPtr+32>>2]=Number(dstOffset==guessedOffset)}else if(dst>0!=(dstOffset==guessedOffset)){var nonDstOffset=Math.max(winterOffset,summerOffset);var trueOffset=dst>0?dstOffset:nonDstOffset;date.setTime(date.getTime()+(trueOffset-guessedOffset)*6e4)}HEAP32[tmPtr+24>>2]=date.getDay();var yday=(date.getTime()-start.getTime())/(1e3*60*60*24)|0;HEAP32[tmPtr+28>>2]=yday;return date.getTime()/1e3|0}function _asctime_r(tmPtr,buf){var date={tm_sec:HEAP32[tmPtr>>2],tm_min:HEAP32[tmPtr+4>>2],tm_hour:HEAP32[tmPtr+8>>2],tm_mday:HEAP32[tmPtr+12>>2],tm_mon:HEAP32[tmPtr+16>>2],tm_year:HEAP32[tmPtr+20>>2],tm_wday:HEAP32[tmPtr+24>>2]};var days=["Sun","Mon","Tue","Wed","Thu","Fri","Sat"];var months=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];var s=days[date.tm_wday]+" "+months[date.tm_mon]+(date.tm_mday<10?"  ":" ")+date.tm_mday+(date.tm_hour<10?" 0":" ")+date.tm_hour+(date.tm_min<10?":0":":")+date.tm_min+(date.tm_sec<10?":0":":")+date.tm_sec+" "+(1900+date.tm_year)+"\n";stringToUTF8(s,buf,26);return buf}function _asctime(tmPtr){return _asctime_r(tmPtr,___tm_formatted)}function ___syscall54(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),op=SYSCALLS.get();switch(op){case 21505:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21506:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};case 21519:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0};case 21520:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return-ERRNO_CODES.EINVAL};case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)};case 21523:{if(!stream.tty)return-ERRNO_CODES.ENOTTY;return 0};default:abort("bad ioctl syscall "+op)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var ___tm_current=STATICTOP;STATICTOP+=48;var ___tm_timezone=allocate(intArrayFromString("GMT"),"i8",ALLOC_STATIC);function _localtime_r(time,tmPtr){_tzset();var date=new Date(HEAP32[time>>2]*1e3);HEAP32[tmPtr>>2]=date.getSeconds();HEAP32[tmPtr+4>>2]=date.getMinutes();HEAP32[tmPtr+8>>2]=date.getHours();HEAP32[tmPtr+12>>2]=date.getDate();HEAP32[tmPtr+16>>2]=date.getMonth();HEAP32[tmPtr+20>>2]=date.getFullYear()-1900;HEAP32[tmPtr+24>>2]=date.getDay();var start=new Date(date.getFullYear(),0,1);var yday=(date.getTime()-start.getTime())/(1e3*60*60*24)|0;HEAP32[tmPtr+28>>2]=yday;HEAP32[tmPtr+36>>2]=-(date.getTimezoneOffset()*60);var summerOffset=(new Date(2e3,6,1)).getTimezoneOffset();var winterOffset=start.getTimezoneOffset();var dst=date.getTimezoneOffset()==Math.min(winterOffset,summerOffset)|0;HEAP32[tmPtr+32>>2]=dst;var zonePtr=HEAP32[_tzname+(dst?Runtime.QUANTUM_SIZE:0)>>2];HEAP32[tmPtr+40>>2]=zonePtr;return tmPtr}function _localtime(time){return _localtime_r(time,___tm_current)}function _longjmp(env,value){Module["setThrew"](env,value||1);throw"longjmp"}function _llvm_trap(){abort("trap!")}function _gmtime_r(time,tmPtr){var date=new Date(HEAP32[time>>2]*1e3);HEAP32[tmPtr>>2]=date.getUTCSeconds();HEAP32[tmPtr+4>>2]=date.getUTCMinutes();HEAP32[tmPtr+8>>2]=date.getUTCHours();HEAP32[tmPtr+12>>2]=date.getUTCDate();HEAP32[tmPtr+16>>2]=date.getUTCMonth();HEAP32[tmPtr+20>>2]=date.getUTCFullYear()-1900;HEAP32[tmPtr+24>>2]=date.getUTCDay();HEAP32[tmPtr+36>>2]=0;HEAP32[tmPtr+32>>2]=0;var start=Date.UTC(date.getUTCFullYear(),0,1,0,0,0,0);var yday=(date.getTime()-start)/(1e3*60*60*24)|0;HEAP32[tmPtr+28>>2]=yday;HEAP32[tmPtr+40>>2]=___tm_timezone;return tmPtr}function _gmtime(time){return _gmtime_r(time,___tm_current)}var _environ=STATICTOP;STATICTOP+=16;function ___buildEnvironment(env){var MAX_ENV_VALUES=64;var TOTAL_ENV_SIZE=1024;var poolPtr;var envPtr;if(!___buildEnvironment.called){___buildEnvironment.called=true;ENV["USER"]=ENV["LOGNAME"]="web_user";ENV["PATH"]="/";ENV["PWD"]="/";ENV["HOME"]="/home/web_user";ENV["LANG"]="C";ENV["_"]=Module["thisProgram"];poolPtr=allocate(TOTAL_ENV_SIZE,"i8",ALLOC_STATIC);envPtr=allocate(MAX_ENV_VALUES*4,"i8*",ALLOC_STATIC);HEAP32[envPtr>>2]=poolPtr;HEAP32[_environ>>2]=envPtr}else{envPtr=HEAP32[_environ>>2];poolPtr=HEAP32[envPtr>>2]}var strings=[];var totalSize=0;for(var key in env){if(typeof env[key]==="string"){var line=key+"="+env[key];strings.push(line);totalSize+=line.length}}if(totalSize>TOTAL_ENV_SIZE){throw new Error("Environment size exceeded TOTAL_ENV_SIZE!")}var ptrSize=4;for(var i=0;i<strings.length;i++){var line=strings[i];writeAsciiToMemory(line,poolPtr);HEAP32[envPtr+i*ptrSize>>2]=poolPtr;poolPtr+=line.length+1}HEAP32[envPtr+strings.length*ptrSize>>2]=0}var ENV={};function _getenv(name){if(name===0)return 0;name=Pointer_stringify(name);if(!ENV.hasOwnProperty(name))return 0;if(_getenv.ret)_free(_getenv.ret);_getenv.ret=allocate(intArrayFromString(ENV[name]),"i8",ALLOC_NORMAL);return _getenv.ret}function __inet_pton6_raw(str){var words;var w,offset,z;var valid6regx=/^((?=.*::)(?!.*::.+::)(::)?([\dA-F]{1,4}:(:|\b)|){5}|([\dA-F]{1,4}:){6})((([\dA-F]{1,4}((?!\3)::|:\b|$))|(?!\2\3)){2}|(((2[0-4]|1\d|[1-9])?\d|25[0-5])\.?\b){4})$/i;var parts=[];if(!valid6regx.test(str)){return null}if(str==="::"){return[0,0,0,0,0,0,0,0]}if(str.indexOf("::")===0){str=str.replace("::","Z:")}else{str=str.replace("::",":Z:")}if(str.indexOf(".")>0){str=str.replace(new RegExp("[.]","g"),":");words=str.split(":");words[words.length-4]=parseInt(words[words.length-4])+parseInt(words[words.length-3])*256;words[words.length-3]=parseInt(words[words.length-2])+parseInt(words[words.length-1])*256;words=words.slice(0,words.length-2)}else{words=str.split(":")}offset=0;z=0;for(w=0;w<words.length;w++){if(typeof words[w]==="string"){if(words[w]==="Z"){for(z=0;z<8-words.length+1;z++){parts[w+z]=0}offset=z-1}else{parts[w+offset]=_htons(parseInt(words[w],16))}}else{parts[w+offset]=words[w]}}return[parts[1]<<16|parts[0],parts[3]<<16|parts[2],parts[5]<<16|parts[4],parts[7]<<16|parts[6]]}var DNS={address_map:{id:1,addrs:{},names:{}},lookup_name:(function(name){var res=__inet_pton4_raw(name);if(res!==null){return name}res=__inet_pton6_raw(name);if(res!==null){return name}var addr;if(DNS.address_map.addrs[name]){addr=DNS.address_map.addrs[name]}else{var id=DNS.address_map.id++;assert(id<65535,"exceeded max address mappings of 65535");addr="172.29."+(id&255)+"."+(id&65280);DNS.address_map.names[addr]=name;DNS.address_map.addrs[name]=addr}return addr}),lookup_addr:(function(addr){if(DNS.address_map.names[addr]){return DNS.address_map.names[addr]}return null})};function _gethostbyname(name){name=Pointer_stringify(name);var ret=_malloc(20);var nameBuf=_malloc(name.length+1);stringToUTF8(name,nameBuf,name.length+1);HEAP32[ret>>2]=nameBuf;var aliasesBuf=_malloc(4);HEAP32[aliasesBuf>>2]=0;HEAP32[ret+4>>2]=aliasesBuf;var afinet=2;HEAP32[ret+8>>2]=afinet;HEAP32[ret+12>>2]=4;var addrListBuf=_malloc(12);HEAP32[addrListBuf>>2]=addrListBuf+8;HEAP32[addrListBuf+4>>2]=0;HEAP32[addrListBuf+8>>2]=__inet_pton4_raw(DNS.lookup_name(name));HEAP32[ret+16>>2]=addrListBuf;return ret}function ___syscall183(which,varargs){SYSCALLS.varargs=varargs;try{var buf=SYSCALLS.get(),size=SYSCALLS.get();if(size===0)return-ERRNO_CODES.EINVAL;var cwd=FS.cwd();if(size<cwd.length+1)return-ERRNO_CODES.ERANGE;writeAsciiToMemory(cwd,buf);return buf}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function _getpwnam(){throw"getpwnam: TODO"}function ___syscall3(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.read(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall5(which,varargs){SYSCALLS.varargs=varargs;try{var pathname=SYSCALLS.getStr(),flags=SYSCALLS.get(),mode=SYSCALLS.get();var stream=FS.open(pathname,flags,mode);return stream.fd}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall4(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),buf=SYSCALLS.get(),count=SYSCALLS.get();return FS.write(stream,HEAP8,buf,count)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall6(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD();FS.close(stream);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall10(which,varargs){SYSCALLS.varargs=varargs;try{var path=SYSCALLS.getStr();FS.unlink(path);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}var _llvm_pow_f64=Math_pow;var __sigalrm_handler=0;function _signal(sig,func){if(sig==14){__sigalrm_handler=func}else{}return 0}var SOCKFS={mount:(function(mount){Module["websocket"]=Module["websocket"]&&"object"===typeof Module["websocket"]?Module["websocket"]:{};Module["websocket"]._callbacks={};Module["websocket"]["on"]=(function(event,callback){if("function"===typeof callback){this._callbacks[event]=callback}return this});Module["websocket"].emit=(function(event,param){if("function"===typeof this._callbacks[event]){this._callbacks[event].call(this,param)}});return FS.createNode(null,"/",16384|511,0)}),createSocket:(function(family,type,protocol){var streaming=type==1;if(protocol){assert(streaming==(protocol==6))}var sock={family:family,type:type,protocol:protocol,server:null,error:null,peers:{},pending:[],recv_queue:[],sock_ops:SOCKFS.websocket_sock_ops};var name=SOCKFS.nextname();var node=FS.createNode(SOCKFS.root,name,49152,0);node.sock=sock;var stream=FS.createStream({path:name,node:node,flags:FS.modeStringToFlags("r+"),seekable:false,stream_ops:SOCKFS.stream_ops});sock.stream=stream;return sock}),getSocket:(function(fd){var stream=FS.getStream(fd);if(!stream||!FS.isSocket(stream.node.mode)){return null}return stream.node.sock}),stream_ops:{poll:(function(stream){var sock=stream.node.sock;return sock.sock_ops.poll(sock)}),ioctl:(function(stream,request,varargs){var sock=stream.node.sock;return sock.sock_ops.ioctl(sock,request,varargs)}),read:(function(stream,buffer,offset,length,position){var sock=stream.node.sock;var msg=sock.sock_ops.recvmsg(sock,length);if(!msg){return 0}buffer.set(msg.buffer,offset);return msg.buffer.length}),write:(function(stream,buffer,offset,length,position){var sock=stream.node.sock;return sock.sock_ops.sendmsg(sock,buffer,offset,length)}),close:(function(stream){var sock=stream.node.sock;sock.sock_ops.close(sock)})},nextname:(function(){if(!SOCKFS.nextname.current){SOCKFS.nextname.current=0}return"socket["+SOCKFS.nextname.current++ +"]"}),websocket_sock_ops:{createPeer:(function(sock,addr,port){var ws;if(typeof addr==="object"){ws=addr;addr=null;port=null}if(ws){if(ws._socket){addr=ws._socket.remoteAddress;port=ws._socket.remotePort}else{var result=/ws[s]?:\/\/([^:]+):(\d+)/.exec(ws.url);if(!result){throw new Error("WebSocket URL must be in the format ws(s)://address:port")}addr=result[1];port=parseInt(result[2],10)}}else{try{var runtimeConfig=Module["websocket"]&&"object"===typeof Module["websocket"];var url="ws:#".replace("#","//");if(runtimeConfig){if("string"===typeof Module["websocket"]["url"]){url=Module["websocket"]["url"]}}if(url==="ws://"||url==="wss://"){var parts=addr.split("/");url=url+parts[0]+":"+port+"/"+parts.slice(1).join("/")}var subProtocols="binary";if(runtimeConfig){if("string"===typeof Module["websocket"]["subprotocol"]){subProtocols=Module["websocket"]["subprotocol"]}}subProtocols=subProtocols.replace(/^ +| +$/g,"").split(/ *, */);var opts=ENVIRONMENT_IS_NODE?{"protocol":subProtocols.toString()}:subProtocols;var WebSocketConstructor;if(ENVIRONMENT_IS_NODE){WebSocketConstructor=require("ws")}else if(ENVIRONMENT_IS_WEB){WebSocketConstructor=window["WebSocket"]}else{WebSocketConstructor=WebSocket}ws=new WebSocketConstructor(url,opts);ws.binaryType="arraybuffer"}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EHOSTUNREACH)}}var peer={addr:addr,port:port,socket:ws,dgram_send_queue:[]};SOCKFS.websocket_sock_ops.addPeer(sock,peer);SOCKFS.websocket_sock_ops.handlePeerEvents(sock,peer);if(sock.type===2&&typeof sock.sport!=="undefined"){peer.dgram_send_queue.push(new Uint8Array([255,255,255,255,"p".charCodeAt(0),"o".charCodeAt(0),"r".charCodeAt(0),"t".charCodeAt(0),(sock.sport&65280)>>8,sock.sport&255]))}return peer}),getPeer:(function(sock,addr,port){return sock.peers[addr+":"+port]}),addPeer:(function(sock,peer){sock.peers[peer.addr+":"+peer.port]=peer}),removePeer:(function(sock,peer){delete sock.peers[peer.addr+":"+peer.port]}),handlePeerEvents:(function(sock,peer){var first=true;var handleOpen=(function(){Module["websocket"].emit("open",sock.stream.fd);try{var queued=peer.dgram_send_queue.shift();while(queued){peer.socket.send(queued);queued=peer.dgram_send_queue.shift()}}catch(e){peer.socket.close()}});function handleMessage(data){assert(typeof data!=="string"&&data.byteLength!==undefined);if(data.byteLength==0){return}data=new Uint8Array(data);var wasfirst=first;first=false;if(wasfirst&&data.length===10&&data[0]===255&&data[1]===255&&data[2]===255&&data[3]===255&&data[4]==="p".charCodeAt(0)&&data[5]==="o".charCodeAt(0)&&data[6]==="r".charCodeAt(0)&&data[7]==="t".charCodeAt(0)){var newport=data[8]<<8|data[9];SOCKFS.websocket_sock_ops.removePeer(sock,peer);peer.port=newport;SOCKFS.websocket_sock_ops.addPeer(sock,peer);return}sock.recv_queue.push({addr:peer.addr,port:peer.port,data:data});Module["websocket"].emit("message",sock.stream.fd)}if(ENVIRONMENT_IS_NODE){peer.socket.on("open",handleOpen);peer.socket.on("message",(function(data,flags){if(!flags.binary){return}handleMessage((new Uint8Array(data)).buffer)}));peer.socket.on("close",(function(){Module["websocket"].emit("close",sock.stream.fd)}));peer.socket.on("error",(function(error){sock.error=ERRNO_CODES.ECONNREFUSED;Module["websocket"].emit("error",[sock.stream.fd,sock.error,"ECONNREFUSED: Connection refused"])}))}else{peer.socket.onopen=handleOpen;peer.socket.onclose=(function(){Module["websocket"].emit("close",sock.stream.fd)});peer.socket.onmessage=function peer_socket_onmessage(event){handleMessage(event.data)};peer.socket.onerror=(function(error){sock.error=ERRNO_CODES.ECONNREFUSED;Module["websocket"].emit("error",[sock.stream.fd,sock.error,"ECONNREFUSED: Connection refused"])})}}),poll:(function(sock){if(sock.type===1&&sock.server){return sock.pending.length?64|1:0}var mask=0;var dest=sock.type===1?SOCKFS.websocket_sock_ops.getPeer(sock,sock.daddr,sock.dport):null;if(sock.recv_queue.length||!dest||dest&&dest.socket.readyState===dest.socket.CLOSING||dest&&dest.socket.readyState===dest.socket.CLOSED){mask|=64|1}if(!dest||dest&&dest.socket.readyState===dest.socket.OPEN){mask|=4}if(dest&&dest.socket.readyState===dest.socket.CLOSING||dest&&dest.socket.readyState===dest.socket.CLOSED){mask|=16}return mask}),ioctl:(function(sock,request,arg){switch(request){case 21531:var bytes=0;if(sock.recv_queue.length){bytes=sock.recv_queue[0].data.length}HEAP32[arg>>2]=bytes;return 0;default:return ERRNO_CODES.EINVAL}}),close:(function(sock){if(sock.server){try{sock.server.close()}catch(e){}sock.server=null}var peers=Object.keys(sock.peers);for(var i=0;i<peers.length;i++){var peer=sock.peers[peers[i]];try{peer.socket.close()}catch(e){}SOCKFS.websocket_sock_ops.removePeer(sock,peer)}return 0}),bind:(function(sock,addr,port){if(typeof sock.saddr!=="undefined"||typeof sock.sport!=="undefined"){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}sock.saddr=addr;sock.sport=port;if(sock.type===2){if(sock.server){sock.server.close();sock.server=null}try{sock.sock_ops.listen(sock,0)}catch(e){if(!(e instanceof FS.ErrnoError))throw e;if(e.errno!==ERRNO_CODES.EOPNOTSUPP)throw e}}}),connect:(function(sock,addr,port){if(sock.server){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}if(typeof sock.daddr!=="undefined"&&typeof sock.dport!=="undefined"){var dest=SOCKFS.websocket_sock_ops.getPeer(sock,sock.daddr,sock.dport);if(dest){if(dest.socket.readyState===dest.socket.CONNECTING){throw new FS.ErrnoError(ERRNO_CODES.EALREADY)}else{throw new FS.ErrnoError(ERRNO_CODES.EISCONN)}}}var peer=SOCKFS.websocket_sock_ops.createPeer(sock,addr,port);sock.daddr=peer.addr;sock.dport=peer.port;throw new FS.ErrnoError(ERRNO_CODES.EINPROGRESS)}),listen:(function(sock,backlog){if(!ENVIRONMENT_IS_NODE){throw new FS.ErrnoError(ERRNO_CODES.EOPNOTSUPP)}if(sock.server){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var WebSocketServer=require("ws").Server;var host=sock.saddr;sock.server=new WebSocketServer({host:host,port:sock.sport});Module["websocket"].emit("listen",sock.stream.fd);sock.server.on("connection",(function(ws){if(sock.type===1){var newsock=SOCKFS.createSocket(sock.family,sock.type,sock.protocol);var peer=SOCKFS.websocket_sock_ops.createPeer(newsock,ws);newsock.daddr=peer.addr;newsock.dport=peer.port;sock.pending.push(newsock);Module["websocket"].emit("connection",newsock.stream.fd)}else{SOCKFS.websocket_sock_ops.createPeer(sock,ws);Module["websocket"].emit("connection",sock.stream.fd)}}));sock.server.on("closed",(function(){Module["websocket"].emit("close",sock.stream.fd);sock.server=null}));sock.server.on("error",(function(error){sock.error=ERRNO_CODES.EHOSTUNREACH;Module["websocket"].emit("error",[sock.stream.fd,sock.error,"EHOSTUNREACH: Host is unreachable"])}))}),accept:(function(listensock){if(!listensock.server){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}var newsock=listensock.pending.shift();newsock.stream.flags=listensock.stream.flags;return newsock}),getname:(function(sock,peer){var addr,port;if(peer){if(sock.daddr===undefined||sock.dport===undefined){throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN)}addr=sock.daddr;port=sock.dport}else{addr=sock.saddr||0;port=sock.sport||0}return{addr:addr,port:port}}),sendmsg:(function(sock,buffer,offset,length,addr,port){if(sock.type===2){if(addr===undefined||port===undefined){addr=sock.daddr;port=sock.dport}if(addr===undefined||port===undefined){throw new FS.ErrnoError(ERRNO_CODES.EDESTADDRREQ)}}else{addr=sock.daddr;port=sock.dport}var dest=SOCKFS.websocket_sock_ops.getPeer(sock,addr,port);if(sock.type===1){if(!dest||dest.socket.readyState===dest.socket.CLOSING||dest.socket.readyState===dest.socket.CLOSED){throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN)}else if(dest.socket.readyState===dest.socket.CONNECTING){throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}}var data;if(buffer instanceof Array||buffer instanceof ArrayBuffer){data=buffer.slice(offset,offset+length)}else{data=buffer.buffer.slice(buffer.byteOffset+offset,buffer.byteOffset+offset+length)}if(sock.type===2){if(!dest||dest.socket.readyState!==dest.socket.OPEN){if(!dest||dest.socket.readyState===dest.socket.CLOSING||dest.socket.readyState===dest.socket.CLOSED){dest=SOCKFS.websocket_sock_ops.createPeer(sock,addr,port)}dest.dgram_send_queue.push(data);return length}}try{dest.socket.send(data);return length}catch(e){throw new FS.ErrnoError(ERRNO_CODES.EINVAL)}}),recvmsg:(function(sock,length){if(sock.type===1&&sock.server){throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN)}var queued=sock.recv_queue.shift();if(!queued){if(sock.type===1){var dest=SOCKFS.websocket_sock_ops.getPeer(sock,sock.daddr,sock.dport);if(!dest){throw new FS.ErrnoError(ERRNO_CODES.ENOTCONN)}else if(dest.socket.readyState===dest.socket.CLOSING||dest.socket.readyState===dest.socket.CLOSED){return null}else{throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}}else{throw new FS.ErrnoError(ERRNO_CODES.EAGAIN)}}var queuedLength=queued.data.byteLength||queued.data.length;var queuedOffset=queued.data.byteOffset||0;var queuedBuffer=queued.data.buffer||queued.data;var bytesRead=Math.min(length,queuedLength);var res={buffer:new Uint8Array(queuedBuffer,queuedOffset,bytesRead),addr:queued.addr,port:queued.port};if(sock.type===1&&bytesRead<queuedLength){var bytesRemaining=queuedLength-bytesRead;queued.data=new Uint8Array(queuedBuffer,queuedOffset+bytesRead,bytesRemaining);sock.recv_queue.unshift(queued)}return res})}};var Sockets={BUFFER_SIZE:10240,MAX_BUFFER_SIZE:10485760,nextFd:1,fds:{},nextport:1,maxport:65535,peer:null,connections:{},portmap:{},localAddr:4261412874,addrPool:[33554442,50331658,67108874,83886090,100663306,117440522,134217738,150994954,167772170,184549386,201326602,218103818,234881034]};function __inet_ntop4_raw(addr){return(addr&255)+"."+(addr>>8&255)+"."+(addr>>16&255)+"."+(addr>>24&255)}function __inet_ntop6_raw(ints){var str="";var word=0;var longest=0;var lastzero=0;var zstart=0;var len=0;var i=0;var parts=[ints[0]&65535,ints[0]>>16,ints[1]&65535,ints[1]>>16,ints[2]&65535,ints[2]>>16,ints[3]&65535,ints[3]>>16];var hasipv4=true;var v4part="";for(i=0;i<5;i++){if(parts[i]!==0){hasipv4=false;break}}if(hasipv4){v4part=__inet_ntop4_raw(parts[6]|parts[7]<<16);if(parts[5]===-1){str="::ffff:";str+=v4part;return str}if(parts[5]===0){str="::";if(v4part==="0.0.0.0")v4part="";if(v4part==="0.0.0.1")v4part="1";str+=v4part;return str}}for(word=0;word<8;word++){if(parts[word]===0){if(word-lastzero>1){len=0}lastzero=word;len++}if(len>longest){longest=len;zstart=word-longest+1}}for(word=0;word<8;word++){if(longest>1){if(parts[word]===0&&word>=zstart&&word<zstart+longest){if(word===zstart){str+=":";if(zstart===0)str+=":"}continue}}str+=Number(_ntohs(parts[word]&65535)).toString(16);str+=word<7?":":""}return str}function __read_sockaddr(sa,salen){var family=HEAP16[sa>>1];var port=_ntohs(HEAP16[sa+2>>1]);var addr;switch(family){case 2:if(salen!==16){return{errno:ERRNO_CODES.EINVAL}}addr=HEAP32[sa+4>>2];addr=__inet_ntop4_raw(addr);break;case 10:if(salen!==28){return{errno:ERRNO_CODES.EINVAL}}addr=[HEAP32[sa+8>>2],HEAP32[sa+12>>2],HEAP32[sa+16>>2],HEAP32[sa+20>>2]];addr=__inet_ntop6_raw(addr);break;default:return{errno:ERRNO_CODES.EAFNOSUPPORT}}return{family:family,addr:addr,port:port}}function __write_sockaddr(sa,family,addr,port){switch(family){case 2:addr=__inet_pton4_raw(addr);HEAP16[sa>>1]=family;HEAP32[sa+4>>2]=addr;HEAP16[sa+2>>1]=_htons(port);break;case 10:addr=__inet_pton6_raw(addr);HEAP32[sa>>2]=family;HEAP32[sa+8>>2]=addr[0];HEAP32[sa+12>>2]=addr[1];HEAP32[sa+16>>2]=addr[2];HEAP32[sa+20>>2]=addr[3];HEAP16[sa+2>>1]=_htons(port);HEAP32[sa+4>>2]=0;HEAP32[sa+24>>2]=0;break;default:return{errno:ERRNO_CODES.EAFNOSUPPORT}}return{}}function ___syscall102(which,varargs){SYSCALLS.varargs=varargs;try{var call=SYSCALLS.get(),socketvararg=SYSCALLS.get();SYSCALLS.varargs=socketvararg;switch(call){case 1:{var domain=SYSCALLS.get(),type=SYSCALLS.get(),protocol=SYSCALLS.get();var sock=SOCKFS.createSocket(domain,type,protocol);assert(sock.stream.fd<64);return sock.stream.fd};case 2:{var sock=SYSCALLS.getSocketFromFD(),info=SYSCALLS.getSocketAddress();sock.sock_ops.bind(sock,info.addr,info.port);return 0};case 3:{var sock=SYSCALLS.getSocketFromFD(),info=SYSCALLS.getSocketAddress();sock.sock_ops.connect(sock,info.addr,info.port);return 0};case 4:{var sock=SYSCALLS.getSocketFromFD(),backlog=SYSCALLS.get();sock.sock_ops.listen(sock,backlog);return 0};case 5:{var sock=SYSCALLS.getSocketFromFD(),addr=SYSCALLS.get(),addrlen=SYSCALLS.get();var newsock=sock.sock_ops.accept(sock);if(addr){var res=__write_sockaddr(addr,newsock.family,DNS.lookup_name(newsock.daddr),newsock.dport);assert(!res.errno)}return newsock.stream.fd};case 6:{var sock=SYSCALLS.getSocketFromFD(),addr=SYSCALLS.get(),addrlen=SYSCALLS.get();var res=__write_sockaddr(addr,sock.family,DNS.lookup_name(sock.saddr||"0.0.0.0"),sock.sport);assert(!res.errno);return 0};case 7:{var sock=SYSCALLS.getSocketFromFD(),addr=SYSCALLS.get(),addrlen=SYSCALLS.get();if(!sock.daddr){return-ERRNO_CODES.ENOTCONN}var res=__write_sockaddr(addr,sock.family,DNS.lookup_name(sock.daddr),sock.dport);assert(!res.errno);return 0};case 11:{var sock=SYSCALLS.getSocketFromFD(),message=SYSCALLS.get(),length=SYSCALLS.get(),flags=SYSCALLS.get(),dest=SYSCALLS.getSocketAddress(true);if(!dest){return FS.write(sock.stream,HEAP8,message,length)}else{return sock.sock_ops.sendmsg(sock,HEAP8,message,length,dest.addr,dest.port)}};case 12:{var sock=SYSCALLS.getSocketFromFD(),buf=SYSCALLS.get(),len=SYSCALLS.get(),flags=SYSCALLS.get(),addr=SYSCALLS.get(),addrlen=SYSCALLS.get();var msg=sock.sock_ops.recvmsg(sock,len);if(!msg)return 0;if(addr){var res=__write_sockaddr(addr,sock.family,DNS.lookup_name(msg.addr),msg.port);assert(!res.errno)}HEAPU8.set(msg.buffer,buf);return msg.buffer.byteLength};case 14:{return-ERRNO_CODES.ENOPROTOOPT};case 15:{var sock=SYSCALLS.getSocketFromFD(),level=SYSCALLS.get(),optname=SYSCALLS.get(),optval=SYSCALLS.get(),optlen=SYSCALLS.get();if(level===1){if(optname===4){HEAP32[optval>>2]=sock.error;HEAP32[optlen>>2]=4;sock.error=null;return 0}}return-ERRNO_CODES.ENOPROTOOPT};case 16:{var sock=SYSCALLS.getSocketFromFD(),message=SYSCALLS.get(),flags=SYSCALLS.get();var iov=HEAP32[message+8>>2];var num=HEAP32[message+12>>2];var addr,port;var name=HEAP32[message>>2];var namelen=HEAP32[message+4>>2];if(name){var info=__read_sockaddr(name,namelen);if(info.errno)return-info.errno;port=info.port;addr=DNS.lookup_addr(info.addr)||info.addr}var total=0;for(var i=0;i<num;i++){total+=HEAP32[iov+(8*i+4)>>2]}var view=new Uint8Array(total);var offset=0;for(var i=0;i<num;i++){var iovbase=HEAP32[iov+(8*i+0)>>2];var iovlen=HEAP32[iov+(8*i+4)>>2];for(var j=0;j<iovlen;j++){view[offset++]=HEAP8[iovbase+j>>0]}}return sock.sock_ops.sendmsg(sock,view,0,total,addr,port)};case 17:{var sock=SYSCALLS.getSocketFromFD(),message=SYSCALLS.get(),flags=SYSCALLS.get();var iov=HEAP32[message+8>>2];var num=HEAP32[message+12>>2];var total=0;for(var i=0;i<num;i++){total+=HEAP32[iov+(8*i+4)>>2]}var msg=sock.sock_ops.recvmsg(sock,total);if(!msg)return 0;var name=HEAP32[message>>2];if(name){var res=__write_sockaddr(name,sock.family,DNS.lookup_name(msg.addr),msg.port);assert(!res.errno)}var bytesRead=0;var bytesRemaining=msg.buffer.byteLength;for(var i=0;bytesRemaining>0&&i<num;i++){var iovbase=HEAP32[iov+(8*i+0)>>2];var iovlen=HEAP32[iov+(8*i+4)>>2];if(!iovlen){continue}var length=Math.min(iovlen,bytesRemaining);var buf=msg.buffer.subarray(bytesRead,bytesRead+length);HEAPU8.set(buf,iovbase+bytesRead);bytesRead+=length;bytesRemaining-=length}return bytesRead};default:abort("unsupported socketcall syscall "+call)}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall221(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),cmd=SYSCALLS.get();switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-ERRNO_CODES.EINVAL}var newStream;newStream=FS.open(stream.path,stream.flags,0,arg);return newStream.fd};case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0};case 12:case 12:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0};case 13:case 14:case 13:case 14:return 0;case 16:case 8:return-ERRNO_CODES.EINVAL;case 9:___setErrNo(ERRNO_CODES.EINVAL);return-1;default:{return-ERRNO_CODES.EINVAL}}}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function _time(ptr){var ret=Date.now()/1e3|0;if(ptr){HEAP32[ptr>>2]=ret}return ret}function ___syscall140(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),offset_high=SYSCALLS.get(),offset_low=SYSCALLS.get(),result=SYSCALLS.get(),whence=SYSCALLS.get();var offset=offset_low;FS.llseek(stream,offset,whence);HEAP32[result>>2]=stream.position;if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall145(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doReadv(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall146(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),iov=SYSCALLS.get(),iovcnt=SYSCALLS.get();return SYSCALLS.doWritev(stream,iov,iovcnt)}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function _alarm(seconds){setTimeout((function(){if(__sigalrm_handler)Module["dynCall_vi"](__sigalrm_handler,0)}),seconds*1e3)}function ___syscall40(which,varargs){SYSCALLS.varargs=varargs;try{var path=SYSCALLS.getStr();FS.rmdir(path);return 0}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}function ___syscall220(which,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(),dirp=SYSCALLS.get(),count=SYSCALLS.get();if(!stream.getdents){stream.getdents=FS.readdir(stream.path)}var pos=0;while(stream.getdents.length>0&&pos+268<=count){var id;var type;var name=stream.getdents.pop();assert(name.length<256);if(name[0]==="."){id=1;type=4}else{var child=FS.lookupNode(stream.node,name);id=child.id;type=FS.isChrdev(child.mode)?2:FS.isDir(child.mode)?4:FS.isLink(child.mode)?10:8}HEAP32[dirp+pos>>2]=id;HEAP32[dirp+pos+4>>2]=stream.position;HEAP16[dirp+pos+8>>1]=268;HEAP8[dirp+pos+10>>0]=type;for(var i=0;i<name.length;i++){HEAP8[dirp+pos+(11+i)>>0]=name.charCodeAt(i)}HEAP8[dirp+pos+(11+i)>>0]=0;pos+=268}return pos}catch(e){if(typeof FS==="undefined"||!(e instanceof FS.ErrnoError))abort(e);return-e.errno}}FS.staticInit();__ATINIT__.unshift((function(){if(!Module["noFSInit"]&&!FS.init.initialized)FS.init()}));__ATMAIN__.push((function(){FS.ignorePermissions=false}));__ATEXIT__.push((function(){FS.quit()}));Module["FS_createFolder"]=FS.createFolder;Module["FS_createPath"]=FS.createPath;Module["FS_createDataFile"]=FS.createDataFile;Module["FS_createPreloadedFile"]=FS.createPreloadedFile;Module["FS_createLazyFile"]=FS.createLazyFile;Module["FS_createLink"]=FS.createLink;Module["FS_createDevice"]=FS.createDevice;Module["FS_unlink"]=FS.unlink;__ATINIT__.unshift((function(){TTY.init()}));__ATEXIT__.push((function(){TTY.shutdown()}));if(ENVIRONMENT_IS_NODE){var fs=require("fs");var NODEJS_PATH=require("path");NODEFS.staticInit()}___buildEnvironment(ENV);__ATINIT__.push((function(){SOCKFS.root=FS.mount(SOCKFS,{},null)}));DYNAMICTOP_PTR=allocate(1,"i32",ALLOC_STATIC);STACK_BASE=STACKTOP=Runtime.alignMemory(STATICTOP);STACK_MAX=STACK_BASE+TOTAL_STACK;DYNAMIC_BASE=Runtime.alignMemory(STACK_MAX);HEAP32[DYNAMICTOP_PTR>>2]=DYNAMIC_BASE;staticSealed=true;function invoke_iiiiiiii(index,a1,a2,a3,a4,a5,a6,a7){try{return Module["dynCall_iiiiiiii"](index,a1,a2,a3,a4,a5,a6,a7)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiii(index,a1,a2,a3){try{return Module["dynCall_iiii"](index,a1,a2,a3)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iddiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iddiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_i(index){try{return Module["dynCall_i"](index)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vi(index,a1){try{Module["dynCall_vi"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_vii(index,a1,a2){try{Module["dynCall_vii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_ii(index,a1){try{return Module["dynCall_ii"](index,a1)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_viiiiiidii(index,a1,a2,a3,a4,a5,a6,a7,a8,a9){try{Module["dynCall_viiiiiidii"](index,a1,a2,a3,a4,a5,a6,a7,a8,a9)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiii(index,a1,a2,a3,a4){try{return Module["dynCall_iiiii"](index,a1,a2,a3,a4)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iii(index,a1,a2){try{return Module["dynCall_iii"](index,a1,a2)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}function invoke_iiiiii(index,a1,a2,a3,a4,a5){try{return Module["dynCall_iiiiii"](index,a1,a2,a3,a4,a5)}catch(e){if(typeof e!=="number"&&e!=="longjmp")throw e;Module["setThrew"](1,0)}}Module.asmGlobalArg={"Math":Math,"Int8Array":Int8Array,"Int16Array":Int16Array,"Int32Array":Int32Array,"Uint8Array":Uint8Array,"Uint16Array":Uint16Array,"Uint32Array":Uint32Array,"Float32Array":Float32Array,"Float64Array":Float64Array,"NaN":NaN,"Infinity":Infinity,"byteLength":byteLength};Module.asmLibraryArg={"abort":abort,"assert":assert,"enlargeMemory":enlargeMemory,"getTotalMemory":getTotalMemory,"abortOnCannotGrowMemory":abortOnCannotGrowMemory,"invoke_iiiiiiii":invoke_iiiiiiii,"invoke_iiii":invoke_iiii,"invoke_iddiii":invoke_iddiii,"invoke_i":invoke_i,"invoke_vi":invoke_vi,"invoke_vii":invoke_vii,"invoke_ii":invoke_ii,"invoke_viiiiiidii":invoke_viiiiiidii,"invoke_iiiii":invoke_iiiii,"invoke_iii":invoke_iii,"invoke_iiiiii":invoke_iiiiii,"___syscall221":___syscall221,"___syscall220":___syscall220,"__inet_pton4_raw":__inet_pton4_raw,"__inet_ntop6_raw":__inet_ntop6_raw,"___syscall102":___syscall102,"_llvm_pow_f64":_llvm_pow_f64,"_signal":_signal,"__inet_ntop4_raw":__inet_ntop4_raw,"___syscall40":___syscall40,"_inet_addr":_inet_addr,"_llvm_bswap_i64":_llvm_bswap_i64,"__inet_pton6_raw":__inet_pton6_raw,"__read_sockaddr":__read_sockaddr,"___buildEnvironment":___buildEnvironment,"_longjmp":_longjmp,"__isLeapYear":__isLeapYear,"__addDays":__addDays,"_localtime_r":_localtime_r,"_tzset":_tzset,"___setErrNo":___setErrNo,"_alarm":_alarm,"_emscripten_memcpy_big":_emscripten_memcpy_big,"___syscall194":___syscall194,"__exit":__exit,"_mktime":_mktime,"_strftime":_strftime,"_clock":_clock,"__arraySum":__arraySum,"___syscall195":___syscall195,"_gmtime":_gmtime,"_asctime_r":_asctime_r,"_getenv":_getenv,"___syscall54":___syscall54,"___unlock":___unlock,"___lock":___lock,"__write_sockaddr":__write_sockaddr,"___syscall10":___syscall10,"_gmtime_r":_gmtime_r,"_gethostbyname":_gethostbyname,"___syscall3":___syscall3,"_asctime":_asctime,"_getpwnam":_getpwnam,"___syscall6":___syscall6,"___syscall5":___syscall5,"___syscall183":___syscall183,"_time":_time,"___syscall140":___syscall140,"_llvm_trap":_llvm_trap,"_localtime":_localtime,"_exit":_exit,"___syscall145":___syscall145,"___syscall146":___syscall146,"___syscall4":___syscall4,"DYNAMICTOP_PTR":DYNAMICTOP_PTR,"tempDoublePtr":tempDoublePtr,"ABORT":ABORT,"STACKTOP":STACKTOP,"STACK_MAX":STACK_MAX,"cttz_i8":cttz_i8};// EMSCRIPTEN_START_ASM
var asm=(function(global,env,buffer) {
"almost asm";var a=global.Int8Array;var b=new a(buffer);var c=global.Int16Array;var d=new c(buffer);var e=global.Int32Array;var f=new e(buffer);var g=global.Uint8Array;var h=new g(buffer);var i=global.Uint16Array;var j=new i(buffer);var k=global.Uint32Array;var l=new k(buffer);var m=global.Float32Array;var n=new m(buffer);var o=global.Float64Array;var p=new o(buffer);var q=global.byteLength;var r=env.DYNAMICTOP_PTR|0;var s=env.tempDoublePtr|0;var t=env.ABORT|0;var u=env.STACKTOP|0;var v=env.STACK_MAX|0;var w=env.cttz_i8|0;var x=0;var y=0;var z=0;var A=0;var B=global.NaN,C=global.Infinity;var D=0,E=0,F=0,G=0,H=0.0;var I=0;var J=global.Math.floor;var K=global.Math.abs;var L=global.Math.sqrt;var M=global.Math.pow;var N=global.Math.cos;var O=global.Math.sin;var P=global.Math.tan;var Q=global.Math.acos;var R=global.Math.asin;var S=global.Math.atan;var T=global.Math.atan2;var U=global.Math.exp;var V=global.Math.log;var W=global.Math.ceil;var X=global.Math.imul;var Y=global.Math.min;var Z=global.Math.max;var _=global.Math.clz32;var $=env.abort;var aa=env.assert;var ba=env.enlargeMemory;var ca=env.getTotalMemory;var da=env.abortOnCannotGrowMemory;var ea=env.invoke_iiiiiiii;var fa=env.invoke_iiii;var ga=env.invoke_iddiii;var ha=env.invoke_i;var ia=env.invoke_vi;var ja=env.invoke_vii;var ka=env.invoke_ii;var la=env.invoke_viiiiiidii;var ma=env.invoke_iiiii;var na=env.invoke_iii;var oa=env.invoke_iiiiii;var pa=env.___syscall221;var qa=env.___syscall220;var ra=env.__inet_pton4_raw;var sa=env.__inet_ntop6_raw;var ta=env.___syscall102;var ua=env._llvm_pow_f64;var va=env._signal;var wa=env.__inet_ntop4_raw;var xa=env.___syscall40;var ya=env._inet_addr;var za=env._llvm_bswap_i64;var Aa=env.__inet_pton6_raw;var Ba=env.__read_sockaddr;var Ca=env.___buildEnvironment;var Da=env._longjmp;var Ea=env.__isLeapYear;var Fa=env.__addDays;var Ga=env._localtime_r;var Ha=env._tzset;var Ia=env.___setErrNo;var Ja=env._alarm;var Ka=env._emscripten_memcpy_big;var La=env.___syscall194;var Ma=env.__exit;var Na=env._mktime;var Oa=env._strftime;var Pa=env._clock;var Qa=env.__arraySum;var Ra=env.___syscall195;var Sa=env._gmtime;var Ta=env._asctime_r;var Ua=env._getenv;var Va=env.___syscall54;var Wa=env.___unlock;var Xa=env.___lock;var Ya=env.__write_sockaddr;var Za=env.___syscall10;var _a=env._gmtime_r;var $a=env._gethostbyname;var ab=env.___syscall3;var bb=env._asctime;var cb=env._getpwnam;var db=env.___syscall6;var eb=env.___syscall5;var fb=env.___syscall183;var gb=env._time;var hb=env.___syscall140;var ib=env._llvm_trap;var jb=env._localtime;var kb=env._exit;var lb=env.___syscall145;var mb=env.___syscall146;var nb=env.___syscall4;var ob=0.0;function pb(newBuffer){if(q(newBuffer)&16777215||q(newBuffer)<=16777215||q(newBuffer)>2147483648)return false;b=new a(newBuffer);d=new c(newBuffer);f=new e(newBuffer);h=new g(newBuffer);j=new i(newBuffer);l=new k(newBuffer);n=new m(newBuffer);p=new o(newBuffer);buffer=newBuffer;return true}
// EMSCRIPTEN_START_FUNCS
function ti(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=u;u=u+2416|0;p=4;o=Lv(40)|0;f[o>>2]=0;k=r+8|0;j=r+4|0;n=r;l=r+1216|0;m=r+16|0;f[55325]=0;f[55371]=0;f[55372]=0;if(!c){o=Mz(221304,1,o|0,p|0)|0;p=I;x=0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1)c=I;else c=0}else{x=0;ia(2,64668);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)!=1){x=0;ia(2,64718);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)!=1){q=104;Mv(o|0);u=r;return q|0}else c=I}else c=I}a:while(1){b:do if(!c){x=0;na(20,14,3)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ka(27,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g>>>0>1196){x=0;ia(2,64763);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}break}x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;na(23,l|0,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=na(21,l|0,62737)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}do if(!g){x=0;g=na(21,l|0,62740)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g){x=0;na(23,l|0,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ka(27,l|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}c=l+g|0;b[c>>0]=46;b[c+1>>0]=103;b[c+2>>0]=122;b[c+3>>0]=0;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(5,l|0,k|0,j|0,n|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g|0){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;na(23,l|0,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ka(27,l|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}c=l+g|0;b[c>>0]=b[62737]|0;b[c+1>>0]=b[62738]|0;b[c+2>>0]=b[62739]|0;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(5,l|0,k|0,j|0,n|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break;x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;na(23,l|0,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(5,l|0,k|0,j|0,n|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break;x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,64792);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,l|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}break b}}else q=22}else q=22;while(0);if((q|0)==22){q=0;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(5,a|0,k|0,j|0,n|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g|0){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,64792);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}break}}f[55372]=(f[55372]|0)+1;f[55371]=(f[55371]|0)+1;x=0;g=na(12,a|0,d|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g|0){x=0;ia(2,64827);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}break}f[55325]=(f[55325]|0)+1;i=f[k>>2]|0;x=0;g=ka(28,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}h=g<<24>>24;x=0;na(24,h|0,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=na(21,l|0,62740)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}c:do if(!g){x=0;g=na(21,l|0,62737)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!((h|0)==31|(g|0)!=0)){x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(2,m|0,1,1200,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break;while(1){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=fa(16,f[d>>2]|0,m|0,g|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g|0)break;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(2,m|0,1,1200,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break c}x=0;ia(2,64931);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}break b}else q=60}else q=60;while(0);do if((q|0)==60){q=0;x=0;ka(26,1800)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=fa(40,a|0,i|0,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break;x=0;ia(2,64883);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}break b}while(0);x=0;ka(4,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}f[55372]=(f[55372]|0)+-1;c=f[n>>2]|0;d:do if((c|0)>=0){i=0;while(1){x=0;h=ma(6,c|0,64969+i|0,5-i|0,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){c=I;continue a}if((h|0)<1)break d;i=h+i|0;if((i|0)>=5)break}}while(0);x=0;ka(4,f[j>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}f[55371]=(f[55371]|0)+-1;x=0;na(20,14,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;c=fa(14,f[d>>2]|0,0,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){c=I;continue a}else{q=88;break a}}else{x=0;ia(2,62717);e=x;x=0;if((e|0)!=0&(y|0)!=0){c=Pz(f[e>>2]|0,o|0,p|0)|0;if(!c)Da(e|0,y|0);I=y}else c=-1;if((c|0)==1){c=I;continue a}}while(0);x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}if(f[55371]|0){x=0;ka(4,f[j>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}}if(f[55372]|0){x=0;ka(4,f[k>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}}if(f[55325]|0){x=0;ka(15,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}}x=0;na(20,14,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,o|0,p|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1)c=I;else{q=100;break}}if((q|0)==88){q=c;Mv(o|0);u=r;return q|0}else if((q|0)==100){q=104;Mv(o|0);u=r;return q|0}return 0}function ui(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;C=u;u=u+7584|0;z=C+1256|0;w=C+1248|0;t=C+1240|0;o=C+1232|0;p=C+1224|0;m=C+1216|0;l=C+1208|0;i=C+1200|0;B=C+6376|0;v=C+1264|0;r=C+5176|0;g=C+3976|0;A=C;j=C+3776|0;n=C+2576|0;x=C+2472|0;h=C+1272|0;y=C+1260|0;if((Bx(a)|0)>>>0>1193){vj(64975);d=104;u=C;return d|0};b[h>>0]=b[85259]|0;b[h+1>>0]=b[85260]|0;b[h+2>>0]=b[85261]|0;b[h+3>>0]=b[85262]|0;b[h+4>>0]=b[85263]|0;b[h+5>>0]=b[85264]|0;b[h+6>>0]=b[85265]|0;xz(h,a)|0;if(pi(h,C+3876|0,j,y,n)|0){f[i>>2]=a;ww(g,65011,i)|0;vj(g);d=104;u=C;return d|0}f[y>>2]=21;g=Hy(j,64)|0;if(g){b[g>>0]=0;g=g+1|0;a=Cx(j,58)|0;if(!a){k=65051;a=j}else{b[a>>0]=0;k=a+1|0;a=j}}else{g=j;k=65051;a=65041}g=qi(g,f[y>>2]|0)|0;f[e>>2]=g;g=gy(g,96427)|0;f[d>>2]=g;if(!g){vj(65065);d=104;u=C;return d|0}s=B+4|0;while(1){if(!(ny(B,1200,g)|0)){q=14;break}b[s>>0]=0;if(!(tw(B,65122)|0))break;if((b[B>>0]|0)>51){q=14;break}}if((q|0)==14){vj(65127);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}f[l>>2]=a;ww(A,65185,l)|0;g=f[e>>2]|0;h=Bx(A)|0;a:do if((g|0)>-1&(h|0)>0){i=0;do{a=Ly(g,A+i|0,h-i|0,0)|0;if((a|0)<1)break a;i=a+i|0}while((i|0)<(h|0))}while(0);g=f[d>>2]|0;while(1){if(!(ny(B,1200,g)|0)){q=22;break}b[s>>0]=0;if(!(tw(B,65194)|0))break;if((b[B>>0]|0)>51){q=22;break}}if((q|0)==22){vj(65199);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}f[m>>2]=k;ww(A,65233,m)|0;g=f[e>>2]|0;h=Bx(A)|0;b:do if((g|0)>-1&(h|0)>0){i=0;do{a=Ly(g,A+i|0,h-i|0,0)|0;if((a|0)<1)break b;i=a+i|0}while((i|0)<(h|0))}while(0);g=f[d>>2]|0;while(1){if(!(ny(B,1200,g)|0)){q=30;break}b[s>>0]=0;if(!(tw(B,65242)|0))break;if((b[B>>0]|0)>51){q=30;break}}if((q|0)==30){vj(65247);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}g=Hy(n,47)|0;do if(g){b[g>>0]=0;g=g+1|0;if(!(Bx(n)|0)){b[A>>0]=b[65282]|0;b[A+1>>0]=b[65283]|0;b[A+2>>0]=b[65284]|0;b[A+3>>0]=b[65285]|0;b[A+4>>0]=b[65286]|0;b[A+5>>0]=b[65287]|0;b[A+6>>0]=b[65288]|0;j=g;break}if((b[n>>0]|0)==47){f[p>>2]=n+1;ww(A,65289,p)|0;j=g;break}else{f[o>>2]=n;ww(A,65289,o)|0;j=g;break}}else{b[A>>0]=b[65282]|0;b[A+1>>0]=b[65283]|0;b[A+2>>0]=b[65284]|0;b[A+3>>0]=b[65285]|0;b[A+4>>0]=b[65286]|0;b[A+5>>0]=b[65287]|0;b[A+6>>0]=b[65288]|0;j=n}while(0);g=f[e>>2]|0;h=Bx(A)|0;c:do if((g|0)>-1&(h|0)>0){i=0;do{a=Ly(g,A+i|0,h-i|0,0)|0;if((a|0)<1)break c;i=a+i|0}while((i|0)<(h|0))}while(0);g=f[d>>2]|0;while(1){if(!(ny(B,1200,g)|0)){q=45;break}b[s>>0]=0;if(!(tw(B,65297)|0))break;if((b[B>>0]|0)>51){q=45;break}}if((q|0)==45){vj(65302);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}if(!(b[j>>0]|0)){vj(65336);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}g=A;f[g>>2]=1162893652;f[g+4>>2]=674080;g=f[e>>2]|0;h=Bx(A)|0;d:do if((g|0)>-1&(h|0)>0){i=0;do{a=Ly(g,A+i|0,h-i|0,0)|0;if((a|0)<1)break d;i=a+i|0}while((i|0)<(h|0))}while(0);g=f[d>>2]|0;while(1){if(!(ny(B,1200,g)|0)){q=55;break}b[s>>0]=0;if(!(tw(B,65362)|0))break;if((b[B>>0]|0)>51){q=55;break}}if((q|0)==55){vj(65367);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}g=f[e>>2]|0;e:do if((g|0)>=0){h=0;do{a=Ly(g,65405+h|0,5-h|0,0)|0;if((a|0)<1)break e;h=a+h|0}while((h|0)<5)}while(0);if(!(ny(r,1200,f[d>>2]|0)|0)){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}if(((b[r>>0]|0)==50?(b[r+1>>0]|0)==50:0)?(b[r+2>>0]|0)==55:0){g=Cx(r,40)|0;if(!g){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}b[g>>0]=0;b[x>>0]=0;g=zz(g+1|0,65433)|0;if(!g){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}Jx(x,g)|0;g=x+(Bx(x)|0)|0;b[g>>0]=46;b[g+1>>0]=0;g=zz(0,65433)|0;if(!g){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}xz(x,g)|0;g=x+(Bx(x)|0)|0;b[g>>0]=46;b[g+1>>0]=0;g=zz(0,65433)|0;if(!g){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}xz(x,g)|0;g=x+(Bx(x)|0)|0;b[g>>0]=46;b[g+1>>0]=0;g=zz(0,65433)|0;if(!g){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}xz(x,g)|0;g=zz(0,65433)|0;if(!g){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}f[t>>2]=y;qy(g,91502,t)|0;f[y>>2]=f[y>>2]<<8;g=zz(0,65433)|0;if(!g){vj(65411);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}f[w>>2]=v;qy(g,91502,w)|0;g=(f[y>>2]|0)+(f[v>>2]|0)|0;f[y>>2]=g;if(!(b[j>>0]|0)){vj(65336);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}y=gy(qi(x,g)|0,96427)|0;f[c>>2]=y;if(!y){vj(65436);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}f[z>>2]=j;ww(A,65481,z)|0;g=f[e>>2]|0;h=Bx(A)|0;f:do if((g|0)>-1&(h|0)>0){i=0;do{a=Ly(g,A+i|0,h-i|0,0)|0;if((a|0)<1)break f;i=a+i|0}while((i|0)<(h|0))}while(0);g=f[d>>2]|0;while(1){if(!(ny(B,1200,g)|0)){q=90;break}b[s>>0]=0;if(!(tw(B,65490)|0)){q=89;break}if((b[B>>0]|0)>51){q=90;break}}if((q|0)==89){d=0;u=C;return d|0}else if((q|0)==90){ky(f[d>>2]|0)|0;d=104;u=C;return d|0}}g=f[e>>2]|0;g:do if((g|0)>=0){h=0;do{a=Ly(g,64969+h|0,5-h|0,0)|0;if((a|0)<1)break g;h=a+h|0}while((h|0)<5)}while(0);ky(f[d>>2]|0)|0;d=104;u=C;return d|0}function vi(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=u;u=u+1216|0;r=4;q=Lv(40)|0;f[q>>2]=0;m=t+12|0;l=t+8|0;n=t+16|0;o=t+4|0;p=t;x=0;h=fa(42,3010964,64289,4)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;do if((g|0)!=1){if(!h){x=0;h=fa(33,a|0,0,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;k=0;break}s=h;Mv(q|0);u=t;return s|0}f[55372]=0;f[55371]=0;f[55368]=0;f[55369]=0;x=0;h=ka(27,3010964)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){if(h|0){q=Mz(221304,1,q|0,r|0)|0;r=I;x=0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;k=h;break}e=0;k=h;break}x=0;ia(2,65495);g=x;x=0;if((g|0)!=0&(y|0)!=0){e=Pz(f[g>>2]|0,q|0,r|0)|0;if(!e)Da(g|0,y|0);I=y}else e=-1;if((e|0)!=1){s=104;Mv(q|0);u=t;return s|0}else{e=I;k=h}}else{e=I;k=h}}else{e=I;k=0}while(0);a:while(1){b:do if(!e){x=0;na(20,14,3)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=ma(5,a|0,m|0,l|0,o|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[p>>2]=h;if(h|0){x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,65556);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,a|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break}f[55372]=(f[55372]|0)+1;f[55371]=(f[55371]|0)+1;if((b[3010964]|0)==33){if((k|0)>0){e=0;do{j=e;e=e+1|0;b[3010964+j>>0]=b[3010964+e>>0]|0}while((e|0)!=(k|0))}x=0;h=ka(10,3010964)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[p>>2]=h}j=f[m>>2]|0;x=0;h=ka(28,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}i=h<<24>>24;x=0;na(24,i|0,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=na(21,a|0,62740)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}if(!h){x=0;h=na(21,a|0,62737)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}if(!((i|0)==31|(h|0)!=0)){x=0;h=na(10,3010964,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[p>>2]=h;if(h|0){x=0;ia(2,65597);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break}f[55368]=(f[55368]|0)+1;x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=ma(2,n|0,1,1200,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}c:do if(h|0){while(1){x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=fa(12,f[d>>2]|0,n|0,h|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[p>>2]=h;if(h|0)break;x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=ma(2,n|0,1,1200,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}if(!h)break c}x=0;ia(2,65744);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,a|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}while(0);x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}}else s=33}else s=33;do if((s|0)==33){s=0;x=0;h=na(10,3010964,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[p>>2]=h;if(h|0){x=0;ia(2,65597);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=na(7,3010964,64444)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[55370]=h;if(!h){x=0;ia(2,65642);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}f[55369]=(f[55369]|0)+1;f[p>>2]=0;x=0;ka(26,1800)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=ma(4,a|0,j|0,f[55370]|0,p|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[p>>2]=h;x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}if(!(f[p>>2]|0)){x=0;ka(4,f[55370]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[55369]=(f[55369]|0)+-1;break}x=0;ia(2,65691);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,a|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}while(0);x=0;ka(4,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[55372]=(f[55372]|0)+-1;e=f[o>>2]|0;d:do if((e|0)>=0){j=0;while(1){x=0;i=ma(6,e|0,64969+j|0,5-j|0,0)|0;g=x;x=0;if((g|0)!=0&(y|0)!=0){h=Pz(f[g>>2]|0,q|0,r|0)|0;if(!h)Da(g|0,y|0);I=y}else h=-1;if((h|0)==1){j=k;e=I;k=j;continue a}if((i|0)<1)break d;j=i+j|0;if((j|0)>=5)break}}while(0);x=0;ka(4,f[l>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[55371]=(f[55371]|0)+-1;x=0;na(20,14,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=fa(8,3010964,c|0,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}else{s=83;break a}}else{x=0;ia(2,62717);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}}while(0);x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}if(f[55372]|0){x=0;ka(4,f[m>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}}if(f[55371]|0){x=0;ka(4,f[l>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}}if(f[55369]|0){x=0;ka(4,f[55370]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}}if(f[55368]|0){x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}}x=0;na(20,14,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j}else{s=98;break}}if((s|0)==83){s=h;Mv(q|0);u=t;return s|0}else if((s|0)==98){s=104;Mv(q|0);u=t;return s|0}return 0}function wi(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+1216|0;o=4;p=Lv(40)|0;f[p>>2]=0;l=q+8|0;k=q+4|0;m=q+16|0;n=q;f[55372]=0;f[55371]=0;f[55325]=0;f[55366]=0;f[55365]=0;do if(!c){x=0;g=ka(27,3010964)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)!=1){if(g|0){p=Mz(221304,1,p|0,o|0)|0;o=I;x=0;e=x;x=0;if((e|0)!=0&(y|0)!=0){c=Pz(f[e>>2]|0,p|0,o|0)|0;if(!c)Da(e|0,y|0);I=y}else c=-1;if((c|0)==1){c=I;j=g;break}c=0;j=g;break}x=0;ia(2,65808);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)!=1){o=104;Mv(p|0);u=q;return o|0}else{c=I;j=g}}else{c=I;j=g}}else{x=0;ia(2,65779);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;j=0}else{o=104;Mv(p|0);u=q;return o|0}}while(0);a:while(1){b:do if(!c){x=0;na(20,14,3)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;g=ma(5,a|0,l|0,k|0,n|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}if(g|0){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ia(2,65873);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}break}f[55372]=(f[55372]|0)+1;f[55371]=(f[55371]|0)+1;i=f[l>>2]|0;x=0;g=ka(28,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}h=g<<24>>24;x=0;na(24,h|0,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;g=na(21,a|0,62740)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}if(!g){x=0;g=na(21,a|0,62737)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}if(!((h|0)==31|(g|0)!=0)){x=0;ia(2,66157);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}break}}if((b[3010964]|0)==33){if((j|0)>0){c=0;do{h=c;c=c+1|0;b[3010964+h>>0]=b[3010964+c>>0]|0}while((c|0)!=(j|0))}x=0;ka(10,3010964)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}}x=0;g=na(10,3010964,d|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}if(g|0){x=0;ia(2,65917);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ia(2,3010964);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}break}f[55365]=(f[55365]|0)+1;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;g=ma(2,m|0,1,1200,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}c:do if(g|0){while(1){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;g=fa(12,f[d>>2]|0,m|0,g|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}if(g|0)break;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;g=ma(2,m|0,1,1200,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}if(!g)break c}x=0;ia(2,65966);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ia(2,3010964);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}break b}while(0);x=0;ka(9,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}f[55365]=(f[55365]|0)+-1;x=0;ka(4,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}f[55372]=(f[55372]|0)+-1;c=f[n>>2]|0;d:do if((c|0)>=0){i=0;while(1){x=0;h=ma(6,c|0,64969+i|0,5-i|0,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,p|0,o|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){i=j;c=I;j=i;continue a}if((h|0)<1)break d;i=h+i|0;if((i|0)>=5)break}}while(0);x=0;ka(4,f[k>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}f[55371]=(f[55371]|0)+-1;x=0;g=na(7,3010964,96427)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}f[55367]=g;if(!g){x=0;ia(2,66004);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ia(2,3010964);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}else{c=61;break a}}f[55366]=(f[55366]|0)+1;x=0;g=na(12,a|0,d|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}if(g|0){x=0;ia(2,66051);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}break}f[55325]=(f[55325]|0)+1;x=0;g=fa(40,a|0,f[55367]|0,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ka(4,f[55367]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}f[55366]=(f[55366]|0)+-1;if(g|0){x=0;ia(2,66100);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}break}x=0;na(20,14,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}x=0;g=fa(14,f[d>>2]|0,0,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}else{c=77;break a}}else{x=0;ia(2,62717);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue a}}while(0);x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue}if(f[55372]|0){x=0;ka(4,f[l>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue}}if(f[55371]|0){x=0;ka(4,f[k>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue}}if(f[55366]|0){x=0;ka(4,f[55367]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue}}if(f[55325]|0){x=0;ka(15,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue}}if(f[55365]|0){x=0;ka(9,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i;continue}}x=0;na(20,14,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,p|0,o|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){i=j;c=I;j=i}else{c=95;break}}if((c|0)==61){o=104;Mv(p|0);u=q;return o|0}else if((c|0)==77){o=g;Mv(p|0);u=q;return o|0}else if((c|0)==95){o=104;Mv(p|0);u=q;return o|0}return 0}function xi(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;j=u;u=u+2416|0;i=j+1208|0;h=j+4|0;e=j+8|0;g=j;k=a;l=k;b[l>>0]=104;b[l+1>>0]=116;b[l+2>>0]=116;b[l+3>>0]=112;k=k+4|0;b[k>>0]=58;b[k+1>>0]=47;b[k+2>>0]=47;b[k+3>>0]=0;if(!(b[d>>0]|0)){u=j;return 0}if(!(vw(d,85131,7)|0))Jx(3010964,d+7|0)|0;else Jx(3010964,d)|0;if(!(vw(d,64289,4)|0)){e=66208;g=a+11|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}if(Cx(c,63)|0){e=85236;g=a+12|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}if(!(oi(c,h,e,g)|0)){ky(f[h>>2]|0)|0;if((Cy(c,62740)|0)==0?(Cy(c,62737)|0)==0:0){e=85236;g=a+12|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}if((Cy(d,62740)|0)==0?(Cy(d,62737)|0)==0:0){e=85236;g=a+12|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}e=85308;g=a+16|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}Jx(i,c)|0;l=i+(Bx(i)|0)|0;b[l>>0]=46;b[l+1>>0]=103;b[l+2>>0]=122;b[l+3>>0]=0;if(!(oi(i,h,e,g)|0)){ky(f[h>>2]|0)|0;Jx(c,i)|0;if((Cy(d,62740)|0)==0?(Cy(d,62737)|0)==0:0){e=85236;g=a+12|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}e=85308;g=a+16|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}Jx(i,c)|0;l=i+(Bx(i)|0)|0;b[l>>0]=b[62737]|0;b[l+1>>0]=b[62738]|0;b[l+2>>0]=b[62739]|0;if(oi(i,h,e,g)|0){u=j;return 0}ky(f[h>>2]|0)|0;Jx(c,i)|0;if((Cy(d,62740)|0)==0?(Cy(d,62737)|0)==0:0){e=85236;g=a+12|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}e=85308;g=a+16|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}function yi(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;j=u;u=u+1216|0;h=j+16|0;g=j+8|0;e=j+4|0;i=j;b[a>>0]=b[85259]|0;b[a+1>>0]=b[85260]|0;b[a+2>>0]=b[85261]|0;b[a+3>>0]=b[85262]|0;b[a+4>>0]=b[85263]|0;b[a+5>>0]=b[85264]|0;b[a+6>>0]=b[85265]|0;if(!(b[d>>0]|0)){u=j;return 0}if(!(vw(d,85131,7)|0))Jx(3010964,d+7|0)|0;else Jx(3010964,d)|0;if(!(vw(d,64289,4)|0)){e=66219;g=a+10|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}if(!(ui(c,g,e,i)|0)){ky(f[g>>2]|0)|0;ky(f[e>>2]|0)|0;if((Cy(c,62740)|0)==0?(Cy(c,62737)|0)==0:0){e=85248;g=a+11|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}if((Cy(d,62740)|0)==0?(Cy(d,62737)|0)==0:0){e=85248;g=a+11|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}e=85324;g=a+15|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}Jx(h,c)|0;k=h+(Bx(h)|0)|0;b[k>>0]=46;b[k+1>>0]=103;b[k+2>>0]=122;b[k+3>>0]=0;if(!(ui(h,g,e,i)|0)){ky(f[g>>2]|0)|0;ky(f[e>>2]|0)|0;Jx(c,h)|0;if((Cy(d,62740)|0)==0?(Cy(d,62737)|0)==0:0){e=85248;g=a+11|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}e=85324;g=a+15|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}Jx(h,c)|0;k=h+(Bx(h)|0)|0;b[k>>0]=b[62737]|0;b[k+1>>0]=b[62738]|0;b[k+2>>0]=b[62739]|0;if(ui(h,g,e,i)|0){u=j;return 0}ky(f[g>>2]|0)|0;ky(f[e>>2]|0)|0;Jx(c,h)|0;if((Cy(d,62740)|0)==0?(Cy(d,62737)|0)==0:0){e=85248;g=a+11|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}e=85324;g=a+15|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));u=j;return 0}function zi(){var a=0,b=0;a=0;do{f[196192+(a<<4)>>2]=0;b=196192+(a<<4)+8|0;f[b>>2]=0;f[b+4>>2]=0;a=a+1|0}while((a|0)!=1e3);return 0}function Ai(a){a=a|0;return 0}function Bi(a){a=a|0;f[a>>2]=0;return 0}function Ci(a){a=a|0;f[a>>2]=10;return 0}function Di(){return 0}function Ei(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;i=u;u=u+16|0;g=i;f[c>>2]=-1;e=0;while(1){if(!(f[196192+(e<<4)>>2]|0))break;d=e+1|0;if((d|0)<1e3)e=d;else{d=103;h=7;break}}if((h|0)==7){u=i;return d|0}f[c>>2]=e;if((e|0)==-1){h=103;u=i;return h|0}d=Fi(a,(b|0)==0?66229:66234,g)|0;if(d|0){h=d;u=i;return h|0}f[196192+(e<<4)>>2]=f[g>>2];h=196192+(e<<4)+8|0;f[h>>2]=0;f[h+4>>2]=0;h=0;u=i;return h|0}function Fi(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;n=u;u=u+5040|0;i=n+1200|0;m=n+3832|0;e=n+2632|0;g=n+2432|0;k=n+1232|0;o=n;h=n+1228|0;l=n+1224|0;j=n+1220|0;p=o;f[p>>2]=1953460082;f[p+4>>2]=3092282;xz(o,a)|0;if(pi(o,n+2532|0,g,h,k)|0){f[i>>2]=a;ww(e,66241,i)|0;vj(e);p=104;u=n;return p|0}p=qi(g,f[h>>2]|0)|0;f[d>>2]=p;if((p|0)<0){vj(66272);p=104;u=n;return p|0}e=Ua(66317)|0;if(!e){mz(66330,n+1208|0)|0;ny(m,1200,f[5064]|0)|0;p=m+((Bx(m)|0)+-1)|0;b[p>>0]=0}else Jx(m,e)|0;p=f[d>>2]|0;if((Gi(p,2e3,m,Bx(m)|0)|0)<0){vj(66341);p=104;u=n;return p|0}if(!(Hi(f[d>>2]|0,l,j)|0)){vj(66385);p=104;u=n;return p|0}if((f[l>>2]|0)!=2002){vj(66428);vj(m);p=104;u=n;return p|0}e=Ua(66448)|0;if(!e){mz(66461,n+1216|0)|0;ny(m,1200,f[5064]|0)|0;p=m+((Bx(m)|0)+-1)|0;b[p>>0]=0}else Jx(m,e)|0;if(!(Bx(m)|0))e=0;else{g=0;do{e=m+g|0;b[e>>0]=~b[e>>0];g=g+1|0;e=Bx(m)|0}while(g>>>0<e>>>0)}if((Gi(f[d>>2]|0,2001,m,e)|0)<0){vj(66472);p=104;u=n;return p|0}if((Hi(f[d>>2]|0,l,j)|0)<0){vj(66520);p=104;u=n;return p|0}if((f[l>>2]|0)!=2002){vj(66567);vj(m);p=104;u=n;return p|0}Jx(m,k)|0;p=m+(Bx(m)|0)|0;b[p>>0]=32;b[p+1>>0]=0;xz(m,c)|0;p=f[d>>2]|0;if((Gi(p,2004,m,Bx(m)|0)|0)<0){vj(66587);p=104;u=n;return p|0}if((Hi(f[d>>2]|0,l,j)|0)<0){vj(66627);p=104;u=n;return p|0}if(!((f[l>>2]|0)!=2004&(f[j>>2]|0)!=0)){p=0;u=n;return p|0}vj(66666);vj(m);p=104;u=n;return p|0}function Gi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;i=u;u=u+16|0;g=i;h=(c|0)!=0;e=Py(h?d+4|0:4)|0;f[g>>2]=e;e=Py(b)|0;f[g+4>>2]=e;if((a|0)<0){a=-1;u=i;return a|0}else b=0;do{e=Ly(a,g+b|0,8-b|0,0)|0;if((e|0)<1){b=e;break}b=e+b|0}while((b|0)<8);if((b|0)<0|h^1){a=b;u=i;return a|0}if((d|0)>0)b=0;else{a=0;u=i;return a|0}while(1){e=Ly(a,c+b|0,d-b|0,0)|0;if((e|0)<1){b=e;e=8;break}b=e+b|0;if((b|0)>=(d|0)){e=8;break}}if((e|0)==8){u=i;return b|0}return 0}function Hi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+1216|0;o=q;p=q+8|0;if((a|0)<0){p=-1;u=q;return p|0}else i=0;a:while(1){g=o+i|0;h=4-i|0;d=Uy(a,g,h,0)|0;if((d|0)==-1)do{d=Wv()|0;if((f[d>>2]|0)!=4){j=-1;m=31;break a}d=Wv()|0;f[d>>2]=0;d=Uy(a,g,h,0)|0}while((d|0)==-1);if((d|0)<0){j=d;m=31;break}if(!d){m=8;break}d=d+i|0;if((d|0)<4)i=d;else{k=d;break}}if((m|0)==8)if((i|0)<0){p=i;u=q;return p|0}else k=i;else if((m|0)==31){u=q;return j|0}i=(Xy(f[o>>2]|0)|0)+-4|0;f[o>>2]=i;i=0;b:while(1){g=b+i|0;h=4-i|0;d=Uy(a,g,h,0)|0;if((d|0)==-1)do{d=Wv()|0;if((f[d>>2]|0)!=4){j=-1;m=31;break b}d=Wv()|0;f[d>>2]=0;d=Uy(a,g,h,0)|0}while((d|0)==-1);if((d|0)<0){j=d;m=31;break}if(!d){m=16;break}d=d+i|0;if((d|0)<4)i=d;else{l=d;break}}if((m|0)==16)if((i|0)<0){p=i;u=q;return p|0}else l=i;else if((m|0)==31){u=q;return j|0}i=l+k|0;d=Xy(f[b>>2]|0)|0;f[b>>2]=d;d=f[o>>2]|0;if((d|0)<=1200)if((d|0)>0){n=d;m=20}else e=l;else{f[o>>2]=1200;n=1200;m=20}if((m|0)==20){d=0;c:while(1){g=p+d|0;h=n-d|0;e=Uy(a,g,h,0)|0;if((e|0)==-1)do{m=Wv()|0;if((f[m>>2]|0)!=4){e=-1;break c}e=Wv()|0;f[e>>2]=0;e=Uy(a,g,h,0)|0}while((e|0)==-1);if((e|0)<0)break;if(!e){e=d;break}d=e+d|0;if((d|0)>=(n|0)){e=d;break}}d=f[o>>2]|0;if((d|0)>4){f[o>>2]=4;d=4}Lz(c|0,p|0,d|0)|0;if((e|0)<0){p=e;u=q;return p|0}}p=i+e|0;u=q;return p|0}function Ii(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;h=u;u=u+16|0;e=h;f[b>>2]=-1;d=0;while(1){if(!(f[196192+(d<<4)>>2]|0))break;c=d+1|0;if((c|0)<1e3)d=c;else{c=103;g=8;break}}if((g|0)==8){u=h;return c|0}f[b>>2]=d;if((d|0)==-1){g=103;u=h;return g|0}c=Fi(a,66686,e)|0;if(!c){f[196192+(d<<4)>>2]=f[e>>2];g=196192+(d<<4)+8|0;f[g>>2]=0;f[g+4>>2]=0;g=0;u=h;return g|0}else{vj(66693);g=c;u=h;return g|0}return 0}function Ji(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;i=u;u=u+16|0;e=i+8|0;g=i+4|0;h=i;a=f[196192+(a<<4)>>2]|0;d=Py(4)|0;f[e>>2]=d;d=Py(2009)|0;f[e+4>>2]=d;a:do if((a|0)>=0){d=0;do{c=Ly(a,e+d|0,8-d|0,0)|0;if((c|0)<1)break a;d=c+d|0}while((d|0)<8)}while(0);Hi(a,h,g)|0;g=Xy(f[g>>2]|0)|0;h=b;f[h>>2]=g;f[h+4>>2]=0;u=i;return 0}function Ki(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;g=u;u=u+16|0;e=g;d=196192+(a<<4)|0;a=f[d>>2]|0;c=Py(4)|0;f[e>>2]=c;c=Py(2008)|0;f[e+4>>2]=c;a:do if((a|0)>=0){c=0;do{b=Ly(a,e+c|0,8-c|0,0)|0;if((b|0)<1)break a;c=b+c|0}while((c|0)<8)}while(0);bx(a)|0;f[d>>2]=0;u=g;return 0}function Li(a){a=a|0;var b=0,c=0,d=0,e=0;e=u;u=u+16|0;d=e;a=f[196192+(a<<4)>>2]|0;c=Py(4)|0;f[d>>2]=c;c=Py(2007)|0;f[d+4>>2]=c;if((a|0)<0){u=e;return 0}else c=0;while(1){b=Ly(a,d+c|0,8-c|0,0)|0;if((b|0)<1){a=4;break}c=b+c|0;if((c|0)>=8){a=4;break}}if((a|0)==4){u=e;return 0}return 0}function Mi(a,b,c){a=a|0;b=b|0;c=c|0;a=196192+(a<<4)+8|0;f[a>>2]=b;f[a+4>>2]=c;return 0}function Ni(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;j=u;u=u+128|0;g=j;h=j+16|0;d=j+8|0;i=196192+(a<<4)+8|0;f[g>>2]=f[i>>2];f[g+4>>2]=c;ww(h,66715,g)|0;a=196192+(a<<4)|0;g=f[a>>2]|0;g=Gi(g,2006,h,Bx(h)|0)|0;if((g|0)!=(Bx(h)|0)){c=108;u=j;return c|0}f[d>>2]=0;Hi(f[a>>2]|0,j+12|0,d)|0;if(f[d>>2]|0){c=108;u=j;return c|0}h=f[a>>2]|0;a:do if((h|0)>=0)if((c|0)>0){a=0;do{e=b+a|0;g=c-a|0;d=Uy(h,e,g,0)|0;if((d|0)==-1)do{d=Wv()|0;if((f[d>>2]|0)!=4){a=-1;break a}d=Wv()|0;f[d>>2]=0;d=Uy(h,e,g,0)|0}while((d|0)==-1);if((d|0)<0){a=d;break a}if(!d)break a;a=d+a|0}while((a|0)<(c|0))}else a=0;else a=-1;while(0);if((a|0)!=(c|0)){c=108;u=j;return c|0}b=i;b=Ez(f[b>>2]|0,f[b+4>>2]|0,c|0,((c|0)<0)<<31>>31|0)|0;c=i;f[c>>2]=b;f[c+4>>2]=I;c=0;u=j;return c|0}function Oi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;k=u;u=u+128|0;d=k;l=k+16|0;h=k+12|0;i=k+8|0;j=196192+(a<<4)|0;e=f[j>>2]|0;g=196192+(a<<4)+8|0;f[d>>2]=f[g>>2];f[d+4>>2]=c;ww(l,66715,d)|0;d=(Bx(l)|0)+1|0;if((Gi(e,2005,l,d)|0)!=(d|0)){l=106;u=k;return l|0}a:do if((e|0)>=0)if((c|0)>0){a=0;do{d=Ly(e,b+a|0,c-a|0,0)|0;if((d|0)<1){a=d;break a}a=d+a|0}while((a|0)<(c|0))}else a=0;else a=-1;while(0);if((a|0)!=(c|0)){l=106;u=k;return l|0}f[h>>2]=0;Hi(f[j>>2]|0,i,h)|0;if(f[h>>2]|0){l=106;u=k;return l|0}j=g;j=Ez(f[j>>2]|0,f[j+4>>2]|0,c|0,((c|0)<0)<<31>>31|0)|0;l=g;f[l>>2]=j;f[l+4>>2]=I;l=0;u=k;return l|0}function Pi(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+16|0;t=v;h=f[g>>2]|0;if((h|0)>0){t=h;u=v;return t|0}h=f[a>>2]|0;s=a+4|0;i=f[s>>2]|0;if((h|0)==(f[i+68>>2]|0)){r=i+120|0;if(((f[r>>2]|0)==-1?(f[r+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0){t=f[g>>2]|0;u=v;return t|0}}else Hj(a,h+1|0,0,g)|0;h=f[s>>2]|0;if(!(f[h+72>>2]|0)){vj(66724);f[g>>2]=235;t=235;u=v;return t|0}if((e|0)<0){f[g>>2]=306;t=306;u=v;return t|0}if((d|0)==0&(e|0)==0){t=f[g>>2]|0;u=v;return t|0}l=h+952|0;k=f[l>>2]|0;l=f[l+4>>2]|0;n=h+944|0;m=f[n>>2]|0;n=f[n+4>>2]|0;if((n|0)<(c|0)|(n|0)==(c|0)&m>>>0<b>>>0){vj(66782);f[g>>2]=307;t=307;u=v;return t|0}if((c|0)<0){vj(66852);f[g>>2]=307;t=307;u=v;return t|0}o=h+968|0;p=h+976|0;o=Ez(f[p>>2]|0,f[p+4>>2]|0,f[o>>2]|0,f[o+4>>2]|0)|0;p=I;q=Ez(o|0,p|0,2879,0)|0;j=I;i=Xz(q|0,j|0,2880,0)|0;i=Dz(q|0,j|0,i|0,I|0)|0;i=Dz(i|0,I|0,o|0,p|0)|0;j=I;q=Sz(k|0,l|0,d|0,e|0)|0;r=I;if((r|0)>(j|0)|(r|0)==(j|0)&q>>>0>i>>>0){h=Ez(q|0,r|0,2879,0)|0;h=Dz(h|0,I|0,i|0,j|0)|0;h=Jz(h|0,I|0,2880,0)|0;wk(a,h,1,g)|0;h=f[s>>2]|0}l=Sz(k|0,l|0,b|0,c|0)|0;c=I;b=Dz(o|0,p|0,l|0,c|0)|0;p=I;o=h+120|0;c=Ez(f[o>>2]|0,f[o+4>>2]|0,l|0,c|0)|0;Qi(a,c,I,b,p,q,r,g)|0;p=(f[s>>2]|0)+968|0;b=p;b=Ez(f[b>>2]|0,f[b+4>>2]|0,q|0,r|0)|0;c=I;r=p;f[r>>2]=b;f[r+4>>2]=c;f[t>>2]=0;op(a,101712,b,c,83879,t)|0;t=Ez(m|0,n|0,d|0,e|0)|0;op(a,106765,t,I,83879,g)|0;t=f[s>>2]|0;a=t+944|0;c=a;c=Ez(f[c>>2]|0,f[c+4>>2]|0,d|0,e|0)|0;f[a>>2]=c;f[a+4>>2]=I;t=t+936|0;a=t;a=Ez(f[a>>2]|0,f[a+4>>2]|0,d|0,e|0)|0;f[t>>2]=a;f[t+4>>2]=I;t=f[g>>2]|0;u=v;return t|0}function Qi(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+1e5|0;t=v;j=f[i>>2]|0;if((j|0)>0){i=j;u=v;return i|0}j=(h|0)>0|(h|0)==0&g>>>0>0;q=Ez(d|0,e|0,b|0,c|0)|0;r=I;n=j?q:b;o=j?r:c;a:do if((d|0)==0&(e|0)==0)s=13;else{p=(h|0)<0;b:do if(j){j=q;k=r;while(1){m=(e|0)<0|(e|0)==0&d>>>0<1e5;l=m?d:1e5;l=Nz(0,l|0,32)|0;m=I;j=Dz(j|0,k|0,l|0,m|0)|0;k=I;ft(a,j,k,0,i)|0;kt(a,l,m,t,i)|0;o=Ez(j|0,k|0,g|0,h|0)|0;ft(a,o,I,1,i)|0;if((it(a,l,m,t,i)|0)>0)break b;d=Dz(d|0,e|0,l|0,m|0)|0;e=I;j=Ez(j|0,k|0,(p?l:0)|0,(p?m:0)|0)|0;if((d|0)==0&(e|0)==0){s=13;break a}else k=I}}else{if(p){j=d;l=b;m=c;while(1){d=(e|0)<0|(e|0)==0&j>>>0<1e5;k=d?j:1e5;k=Nz(0,k|0,32)|0;d=I;ft(a,l,m,0,i)|0;kt(a,k,d,t,i)|0;p=Ez(l|0,m|0,g|0,h|0)|0;ft(a,p,I,1,i)|0;if((it(a,k,d,t,i)|0)>0)break b;j=Dz(j|0,e|0,k|0,d|0)|0;e=I;l=Ez(l|0,m|0,k|0,d|0)|0;if((j|0)==0&(e|0)==0){s=13;break a}else m=I}}l=Ez(n|0,o|0,g|0,h|0)|0;m=I;j=d;while(1){d=(e|0)<0|(e|0)==0&j>>>0<1e5;k=d?j:1e5;k=Nz(0,k|0,32)|0;d=I;ft(a,n,o,0,i)|0;kt(a,k,d,t,i)|0;ft(a,l,m,1,i)|0;if((it(a,k,d,t,i)|0)>0)break b;j=Dz(j|0,e|0,k|0,d|0)|0;e=I;if((j|0)==0&(e|0)==0){s=13;break a}}}while(0);vj(66892)}while(0);if((s|0)==13){if((f[(f[a+4>>2]|0)+72>>2]|0)==1)Fz(t|0,32,1e5)|0;else Fz(t|0,0,1e5)|0;s=(h|0)<0;j=Dz(0,0,g|0,h|0)|0;k=I;r=Ez(q|0,r|0,g|0,h|0)|0;j=s?j:g;k=s?k:h;ft(a,s?r:b,s?I:c,0,i)|0;if(!((j|0)==0&(k|0)==0))do{c=(k|0)<0|(k|0)==0&j>>>0<1e5;b=c?j:1e5;b=Nz(0,b|0,32)|0;c=I;it(a,b,c,t,i)|0;j=Dz(j|0,k|0,b|0,c|0)|0;k=I}while(!((j|0)==0&(k|0)==0))}i=f[i>>2]|0;u=v;return i|0}function Ri(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;q=u;u=u+96|0;p=q+8|0;n=q;j=q+12|0;h=f[g>>2]|0;if((h|0)>0){p=h;u=q;return p|0}h=f[a>>2]|0;o=a+4|0;i=f[o>>2]|0;if((h|0)==(f[i+68>>2]|0)){m=i+120|0;if(((f[m>>2]|0)==-1?(f[m+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0){p=f[g>>2]|0;u=q;return p|0}}else Hj(a,h+1|0,0,g)|0;if(!(f[(f[o>>2]|0)+72>>2]|0)){vj(66928);f[g>>2]=235;p=235;u=q;return p|0}if((e|0)<0){f[g>>2]=306;p=306;u=q;return p|0}if((d|0)==0&(e|0)==0){p=f[g>>2]|0;u=q;return p|0}Rn(a,92199,n,j,g)|0;k=f[o>>2]|0;m=k+944|0;l=f[m>>2]|0;m=f[m+4>>2]|0;if((m|0)<(c|0)|(m|0)==(c|0)&l>>>0<b>>>0){vj(66989);f[g>>2]=307;p=307;u=q;return p|0}if((c|0)<0|(c|0)==0&b>>>0<1){vj(67059);f[g>>2]=307;p=307;u=q;return p|0}h=Ez(b|0,c|0,-1,-1)|0;h=Ez(h|0,I|0,d|0,e|0)|0;i=I;if((i|0)>(m|0)|(i|0)==(m|0)&h>>>0>l>>>0){vj(67099);f[g>>2]=307;p=307;u=q;return p|0}s=n;r=f[s>>2]|0;s=f[s+4>>2]|0;j=Sz(r|0,s|0,d|0,e|0)|0;b=I;c=k+968|0;n=k+976|0;c=Ez(f[n>>2]|0,f[n+4>>2]|0,f[c>>2]|0,f[c+4>>2]|0)|0;n=I;h=Sz(r|0,s|0,h|0,i|0)|0;s=I;r=Dz(c|0,n|0,h|0,s|0)|0;i=I;k=k+120|0;s=Ez(f[k>>2]|0,f[k+4>>2]|0,h|0,s|0)|0;k=I;h=Dz(0,0,j|0,b|0)|0;Qi(a,s,k,r,i,h,I,g)|0;n=Ez(c|0,n|0,2879,0)|0;n=Xz(n|0,I|0,2880,0)|0;h=I;k=Ez(j|0,b|0,2879,0)|0;h=Dz(k|0,I|0,n|0,h|0)|0;h=Jz(h|0,I|0,2880,0)|0;if((h|0)>0)zk(a,h,g)|0;r=(f[o>>2]|0)+968|0;s=r;s=Dz(f[s>>2]|0,f[s+4>>2]|0,j|0,b|0)|0;f[r>>2]=s;f[r+4>>2]=I;f[p>>2]=0;s=Nz(0,s|0,32)|0;op(a,101712,s,I,83879,p)|0;s=Dz(l|0,m|0,d|0,e|0)|0;op(a,106765,s,I,83879,g)|0;s=f[o>>2]|0;r=s+944|0;p=r;p=Dz(f[p>>2]|0,f[p+4>>2]|0,d|0,e|0)|0;f[r>>2]=p;f[r+4>>2]=I;s=s+936|0;r=s;r=Dz(f[r>>2]|0,f[r+4>>2]|0,d|0,e|0)|0;f[s>>2]=r;f[s+4>>2]=I;yk(a,g)|0;s=f[g>>2]|0;u=q;return s|0}function Si(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+16|0;i=g+4|0;h=g;f[i>>2]=c;f[h>>2]=d;Ti(a,b,1,i,h,e)|0;u=g;return f[e>>2]|0}function Ti(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0;L=u;u=u+256|0;E=L+24|0;F=L+20|0;w=L+16|0;H=L;K=L+12|0;o=L+8|0;J=L+176|0;G=L+101|0;D=L+28|0;i=f[h>>2]|0;if((i|0)>0){K=i;u=L;return K|0}i=f[a>>2]|0;C=a+4|0;j=f[C>>2]|0;if((i|0)==(f[j+68>>2]|0)){B=j+120|0;if(((f[B>>2]|0)==-1?(f[B+4>>2]|0)==-1:0)?(Kj(a,h)|0)>0:0){K=f[h>>2]|0;u=L;return K|0}}else Hj(a,i+1|0,0,h)|0;i=f[C>>2]|0;if(!(f[i+72>>2]|0)){vj(67152);f[h>>2]=235;K=235;u=L;return K|0}x=f[i+928>>2]|0;if((c|0)<1){f[h>>2]=302;K=302;u=L;return K|0}y=(x|0)<(c|0);B=x+1|0;z=y?B:c;A=(d|0)>0;if(A){i=0;m=0;n=0;while(1){Jx(J,f[g+(n<<2)>>2]|0)|0;Ej(J);a:do if((f[(f[C>>2]|0)+72>>2]|0)==1){Tj(J,E,K,F,h)|0;j=(f[K>>2]|0)+1|0;l=j;j=((j|0)<0)<<31>>31}else{Uj(J,E,o,K,h)|0;j=f[E>>2]|0;if((j|0)<0){j=(Cx(J,81)|0)==0;l=j?8:16;j=j?0:0;break}k=f[o>>2]|0;switch(j|0){case 1:{j=(k+7|0)/8|0;l=j;j=((j|0)<0)<<31>>31;break a}case 16:{l=k;j=((k|0)<0)<<31>>31;break a}default:{j=X(k,(j>>>0)/10|0)|0;l=j;j=((j|0)<0)<<31>>31;break a}}}while(0);i=Ez(l|0,j|0,i|0,m|0)|0;j=I;n=n+1|0;if((n|0)==(d|0)){v=i;t=j;break}else m=j}}else{v=0;t=0}i=f[h>>2]|0;if((i|0)>0){K=i;u=L;return K|0}i=f[C>>2]|0;s=i+952|0;r=f[s>>2]|0;s=f[s+4>>2]|0;q=i+944|0;p=f[q>>2]|0;q=f[q+4>>2]|0;m=i+968|0;j=i+976|0;k=f[j>>2]|0;j=f[j+4>>2]|0;m=Ez(k|0,j|0,f[m>>2]|0,f[m+4>>2]|0)|0;l=I;M=Ez(m|0,l|0,2879,0)|0;o=I;n=Xz(M|0,o|0,2880,0)|0;n=Dz(M|0,o|0,n|0,I|0)|0;l=Dz(n|0,I|0,m|0,l|0)|0;m=I;n=Sz(p|0,q|0,v|0,t|0)|0;o=I;do if((o|0)>(m|0)|(o|0)==(m|0)&n>>>0>l>>>0){M=Ez(n|0,o|0,2879,0)|0;M=Dz(M|0,I|0,l|0,m|0)|0;M=Jz(M|0,I|0,2880,0)|0;if((wk(a,M,1,h)|0)<=0){i=f[C>>2]|0;j=i+976|0;k=f[j>>2]|0;j=f[j+4>>2]|0;break}M=f[h>>2]|0;u=L;return M|0}while(0);do if((j|0)>0|(j|0)==0&k>>>0>0){M=i+120|0;m=i+968|0;M=Ez(f[m>>2]|0,f[m+4>>2]|0,f[M>>2]|0,f[M+4>>2]|0)|0;if((Qi(a,M,I,k,j,n,o,h)|0)<=0){i=f[C>>2]|0;break}M=f[h>>2]|0;u=L;return M|0}while(0);m=i+968|0;M=m;o=Ez(f[M>>2]|0,f[M+4>>2]|0,n|0,o|0)|0;M=I;n=m;f[n>>2]=o;f[n+4>>2]=M;f[w>>2]=0;op(a,101712,o,M,83879,w)|0;if(y){i=r;j=s}else{j=(f[(f[C>>2]|0)+960>>2]|0)+((z+-1|0)*160|0)+72|0;i=f[j>>2]|0;j=f[j+4>>2]|0}Ui(a,r,s,p,q,v,t,i,j,h)|0;if((x|0)>0?(f[(f[C>>2]|0)+72>>2]|0)==1:0){m=0;do{m=m+1|0;$j(92417,m,G,h)|0;Rn(a,G,H,D,h)|0;w=H;M=f[w>>2]|0;w=f[w+4>>2]|0;k=Ez(M|0,w|0,v|0,t|0)|0;l=I;if((w|0)>(j|0)|(w|0)==(j|0)&M>>>0>i>>>0){M=H;f[M>>2]=k;f[M+4>>2]=l;op(a,G,k,l,83879,h)|0}}while((m|0)!=(x|0))}M=x+d|0;op(a,101690,M,((M|0)<0)<<31>>31,83879,h)|0;M=Ez(r|0,s|0,v|0,t|0)|0;op(a,92199,M,I,83879,h)|0;if(y)c=B;else Vi(a,z,x,d,h)|0;b:do if(A){m=c;n=0;while(1){c=D;k=67213;l=c+16|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));$j(92381,m,G,h)|0;dr(a,G,f[e+(n<<2)>>2]|0,D,h)|0;c=D;k=67229;l=c+16|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));Jx(J,f[g+(n<<2)>>2]|0)|0;Ej(J);$j(92423,m,G,h)|0;M=f[E>>2]|0;switch(((M|0)>-1?M:0-M|0)|0){case 12:{c=J;while(1)if((b[c>>0]|0)==83)break;else c=c+1|0;b[c>>0]=66;dr(a,G,J,D,h)|0;$j(92994,m,G,h)|0;c=D;k=93e3;l=c+24|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));qr(a,G,-128.0,0,D,h)|0;$j(93024,m,G,h)|0;c=D;k=93030;l=c+20|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));qr(a,G,1.0,0,D,h)|0;break}case 20:{c=J;while(1)if((b[c>>0]|0)==85)break;else c=c+1|0;b[c>>0]=73;dr(a,G,J,D,h)|0;$j(92994,m,G,h)|0;c=D;k=93050;l=c+29|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));qr(a,G,32768.0,0,D,h)|0;$j(93024,m,G,h)|0;c=D;k=93030;l=c+20|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));qr(a,G,1.0,0,D,h)|0;break}case 40:{c=J;while(1)if((b[c>>0]|0)==86)break;else c=c+1|0;b[c>>0]=74;dr(a,G,J,D,h)|0;$j(92994,m,G,h)|0;c=D;k=93050;l=c+29|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));qr(a,G,2147483648.0,0,D,h)|0;$j(93024,m,G,h)|0;c=D;k=93030;l=c+20|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));qr(a,G,1.0,0,D,h)|0;break}default:dr(a,G,J,D,h)|0}if((f[(f[C>>2]|0)+72>>2]|0)==1){k=(m|0)==(B|0);k=Ez((k?2:1)|0,(k?0:0)|0,i|0,j|0)|0;c=H;f[c>>2]=k;f[c+4>>2]=I;c=D;k=67245;l=c+26|0;do{b[c>>0]=b[k>>0]|0;c=c+1|0;k=k+1|0}while((c|0)<(l|0));$j(92417,m,G,h)|0;M=H;pr(a,G,f[M>>2]|0,f[M+4>>2]|0,D,h)|0;Tj(J,E,K,F,h)|0;M=(f[K>>2]|0)+1|0;i=Ez(M|0,((M|0)<0)<<31>>31|0,i|0,j|0)|0;j=I}n=n+1|0;if((n|0)==(d|0))break b;else m=m+1|0}}while(0);Kj(a,h)|0;M=f[h>>2]|0;u=L;return M|0}function Ui(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0;K=u;u=u+1e4|0;J=K;l=f[k>>2]|0;if((d|0)==0&(e|0)==0|(l|0)>0){k=l;u=K;return k|0}H=a+4|0;l=f[H>>2]|0;w=(f[l+72>>2]|0)==1?32:0;B=Ez(g|0,h|0,b|0,c|0)|0;C=I;if((C|0)<0|(C|0)==0&B>>>0<10001){if((h|0)>0|(h|0)==0&g>>>0>0)Fz(J|0,w|0,g|0)|0;n=Ez(i|0,j|0,1,0)|0;o=I;F=Dz(b|0,c|0,i|0,j|0)|0;G=I;m=J+g|0;pt(a,d,e,n,o,F,G,m,k)|0;E=(f[H>>2]|0)+952|0;f[E>>2]=B;f[E+4>>2]=C;G=Ez(F|0,G|0,g|0,h|0)|0;wt(a,d,e,n,o,G,I,J,k)|0;G=(f[H>>2]|0)+952|0;f[G>>2]=b;f[G+4>>2]=c;if((e|0)>0|(e|0)==0&d>>>0>1){l=e;do{d=Ez(d|0,l|0,-1,-1)|0;l=I;pt(a,d,l,n,o,b,c,m,k)|0;e=(f[H>>2]|0)+952|0;f[e>>2]=B;f[e+4>>2]=C;wt(a,d,l,n,o,B,C,J,k)|0;e=(f[H>>2]|0)+952|0;f[e>>2]=b;f[e+4>>2]=c}while((l|0)>0|(l|0)==0&d>>>0>1)}}else{t=Ez(b|0,c|0,9999,0)|0;v=I;q=Dz(t|0,v|0,i|0,j|0)|0;p=I;r=Jz(q|0,p|0,1e4,0)|0;s=I;n=Sz(r|0,s|0,1e4,0)|0;m=I;o=Ez(i|0,j|0,-9999,-1)|0;m=Ez(o|0,I|0,n|0,m|0)|0;n=I;if((p|0)>0|(p|0)==0&q>>>0>9999){l=Ez(b|0,c|0,1,0)|0;l=Dz(l|0,I|0,m|0,n|0)|0;p=0;q=0;o=I;while(1){pt(a,d,e,m,n,l,o,J,k)|0;L=(f[H>>2]|0)+952|0;f[L>>2]=B;f[L+4>>2]=C;L=Ez(m|0,n|0,g|0,h|0)|0;wt(a,d,e,L,I,l,o,J,k)|0;l=f[H>>2]|0;o=l+952|0;f[o>>2]=b;f[o+4>>2]=c;m=Ez(m|0,n|0,-1e4,-1)|0;n=I;p=Ez(p|0,q|0,1,0)|0;q=I;if(!((q|0)<(s|0)|(q|0)==(s|0)&p>>>0<r>>>0))break;else{l=1e4;o=0}}}t=Jz(t|0,v|0,1e4,0)|0;v=I;if((e|0)>0|(e|0)==0&d>>>0>1?(A=Sz(t|0,v|0,1e4,0)|0,A=Ez(A|0,I|0,-1e4,-1)|0,z=I,x=Ez(i|0,j|0,1,0)|0,x=Ez(x|0,I|0,A|0,z|0)|0,y=I,z=Dz(b|0,c|0,A|0,z|0)|0,A=I,(c|0)>0|(c|0)==0&b>>>0>0):0){n=d;o=e;do{n=Ez(n|0,o|0,-1,-1)|0;o=I;p=x;q=y;l=z;m=A;r=0;s=0;while(1){pt(a,n,o,p,q,l,m,J,k)|0;L=(f[H>>2]|0)+952|0;f[L>>2]=B;f[L+4>>2]=C;L=Ez(p|0,q|0,g|0,h|0)|0;wt(a,n,o,L,I,l,m,J,k)|0;l=f[H>>2]|0;L=l+952|0;f[L>>2]=b;f[L+4>>2]=c;p=Ez(p|0,q|0,-1e4,-1)|0;q=I;r=Ez(r|0,s|0,1,0)|0;s=I;if(!((s|0)<(v|0)|(s|0)==(v|0)&r>>>0<t>>>0))break;else{l=1e4;m=0}}}while((o|0)>0|(o|0)==0&n>>>0>1)}v=(h|0)<0|(h|0)==0&g>>>0<1e4;t=v?g:1e4;Fz(J|0,w|0,t|0)|0;t=Ez(g|0,h|0,9999,0)|0;t=Jz(t|0,I|0,1e4,0)|0;v=I;L=l+952|0;f[L>>2]=B;f[L+4>>2]=C;if(!((e|0)<0|(e|0)==0&d>>>0<1)?(D=Ez(i|0,j|0,1,0)|0,E=I,G=Sz(t|0,v|0,-1e4,-1)|0,F=I,L=Ez(g|0,h|0,1e4,0)|0,F=Ez(L|0,I|0,G|0,F|0)|0,G=I,(h|0)>0|(h|0)==0&g>>>0>0):0){l=1;m=0;while(1){n=D;o=E;p=F;q=G;r=0;s=0;while(1){wt(a,l,m,n,o,p,q,J,k)|0;n=Ez(p|0,q|0,n|0,o|0)|0;o=I;r=Ez(r|0,s|0,1,0)|0;s=I;if(!((s|0)<(v|0)|(s|0)==(v|0)&r>>>0<t>>>0))break;else{p=1e4;q=0}}L=l;l=Ez(l|0,m|0,1,0)|0;if(!((m|0)<(e|0)|(m|0)==(e|0)&L>>>0<d>>>0))break;else m=I}l=f[H>>2]|0}L=l+952|0;f[L>>2]=b;f[L+4>>2]=c}L=f[k>>2]|0;u=K;return L|0}function Vi(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=u;u=u+256|0;o=s+96|0;r=s+88|0;m=s+84|0;q=s;p=s+175|0;n=s+100|0;En(a,o,s+92|0,g)|0;if((f[o>>2]|0)<9){r=f[g>>2]|0;u=s;return r|0}k=q+1|0;l=(e|0)<1;h=9;while(1){Tn(a,h,q,g)|0;a:do if((b[q>>0]|0)==84){Vy(p,k,4)|0;do if(((((((((((((((vw(p,74822,4)|0)!=0?(vw(p,74817,4)|0)!=0:0)?(vw(p,74758,4)|0)!=0:0)?(vw(p,74871,4)|0)!=0:0)?(vw(p,78795,4)|0)!=0:0)?(vw(p,80583,4)|0)!=0:0)?(vw(p,74918,4)|0)!=0:0)?(vw(p,79051,4)|0)!=0:0)?(vw(p,79056,4)|0)!=0:0)?(vw(p,79061,4)|0)!=0:0)?(vw(p,79066,4)|0)!=0:0)?(vw(p,79071,4)|0)!=0:0)?(vw(p,79076,4)|0)!=0:0)?(vw(p,79103,4)|0)!=0:0)?(vw(p,79094,4)|0)!=0:0){if(!(vw(p,79117,4)|0)){i=5;break}if(!(vw(p,79112,4)|0)){i=5;break}if(!(vw(p,79085,4)|0)){i=5;break}if(!(vw(q,94198,4)|0))i=4;else break a}else i=5;while(0);b[p>>0]=0;yz(p,q+i|0,8-i|0)|0;f[r>>2]=0;Vj(p,m,r)|0;if((f[r>>2]|0)==0?(j=f[m>>2]|0,!((j|0)<(c|0)|(j|0)>(d|0))):0)if(l&(j|0)==(c|0)){vp(a,h,g)|0;f[o>>2]=(f[o>>2]|0)+-1;h=h+-1|0;break}else{f[m>>2]=j+e;b[p>>0]=0;yz(p,q,i)|0;$j(p,f[m>>2]|0,n,g)|0;i=q;f[i>>2]=538976288;f[i+4>>2]=538976288;Vy(q,n,Bx(n)|0)|0;Ep(a,h,q,g)|0;break}}while(0);if((h|0)<(f[o>>2]|0))h=h+1|0;else break}r=f[g>>2]|0;u=s;return r|0}function Wi(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0;J=u;u=u+1e4|0;H=J;l=f[k>>2]|0;if((d|0)==0&(e|0)==0|(l|0)>0){k=l;u=J;return k|0}F=Dz(b|0,c|0,g|0,h|0)|0;G=I;if((G|0)<0|(G|0)==0&F>>>0<10001){q=Ez(i|0,j|0,1,0)|0;r=I;o=Ez(q|0,r|0,g|0,h|0)|0;p=I;if((e|0)>0|(e|0)==0&d>>>0>1){n=a+4|0;l=1;m=0;do{pt(a,l,m,o,p,F,G,H,k)|0;h=(f[n>>2]|0)+952|0;f[h>>2]=F;f[h+4>>2]=G;wt(a,l,m,q,r,F,G,H,k)|0;h=(f[n>>2]|0)+952|0;f[h>>2]=b;f[h+4>>2]=c;l=Ez(l|0,m|0,1,0)|0;m=I}while((m|0)<(e|0)|(m|0)==(e|0)&l>>>0<d>>>0)}l=Dz(F|0,G|0,i|0,j|0)|0;m=I;if((m|0)>0|(m|0)==0&l>>>0>0){pt(a,d,e,o,p,l,m,H,k)|0;j=a+4|0;i=(f[j>>2]|0)+952|0;f[i>>2]=F;f[i+4>>2]=G;wt(a,d,e,q,r,l,m,H,k)|0;a=(f[j>>2]|0)+952|0;f[a>>2]=b;f[a+4>>2]=c}}else{n=Ez(F|0,G|0,9999,0)|0;n=Jz(n|0,I|0,1e4,0)|0;o=I;if((e|0)>0|(e|0)==0&d>>>0>1){p=Ez(i|0,j|0,1,0)|0;q=I;r=Ez(p|0,q|0,g|0,h|0)|0;s=I;v=Sz(n|0,o|0,-1e4,-1)|0;t=I;E=Ez(F|0,G|0,1e4,0)|0;t=Ez(E|0,I|0,v|0,t|0)|0;v=I;E=a+4|0;w=1;x=0;do{l=0;m=0;y=r;z=s;A=t;B=v;C=p;D=q;while(1){pt(a,w,x,y,z,A,B,H,k)|0;K=(f[E>>2]|0)+952|0;f[K>>2]=F;f[K+4>>2]=G;wt(a,w,x,C,D,A,B,H,k)|0;K=(f[E>>2]|0)+952|0;f[K>>2]=b;f[K+4>>2]=c;C=Ez(A|0,B|0,C|0,D|0)|0;D=I;y=Ez(A|0,B|0,y|0,z|0)|0;z=I;l=Ez(l|0,m|0,1,0)|0;m=I;if(!((m|0)<(o|0)|(m|0)==(o|0)&l>>>0<n>>>0))break;else{A=1e4;B=0}}w=Ez(w|0,x|0,1,0)|0;x=I}while((x|0)<(e|0)|(x|0)==(e|0)&w>>>0<d>>>0)}l=Dz(F|0,G|0,i|0,j|0)|0;m=I;if((m|0)>0|(m|0)==0&l>>>0>0){v=Ez(l|0,m|0,9999,0)|0;v=Jz(v|0,I|0,1e4,0)|0;w=I;p=Ez(i|0,j|0,1,0)|0;q=I;l=Ez(l|0,m|0,1e4,0)|0;o=I;n=Sz(v|0,w|0,-1e4,-1)|0;n=Ez(l|0,o|0,n|0,I|0)|0;o=I;l=Ez(p|0,q|0,g|0,h|0)|0;t=a+4|0;m=I;r=0;s=0;while(1){pt(a,d,e,l,m,n,o,H,k)|0;K=(f[t>>2]|0)+952|0;f[K>>2]=F;f[K+4>>2]=G;wt(a,d,e,p,q,n,o,H,k)|0;K=(f[t>>2]|0)+952|0;f[K>>2]=b;f[K+4>>2]=c;p=Ez(n|0,o|0,p|0,q|0)|0;q=I;l=Ez(n|0,o|0,l|0,m|0)|0;m=I;r=Ez(r|0,s|0,1,0)|0;s=I;if(!((s|0)<(w|0)|(s|0)==(w|0)&r>>>0<v>>>0))break;else{n=1e4;o=0}}}}K=f[k>>2]|0;u=J;return K|0}function Xi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;x=u;u=u+160|0;r=x+8|0;w=x;v=x+85|0;t=x+12|0;d=f[c>>2]|0;if((d|0)>0){c=d;u=x;return c|0}d=f[a>>2]|0;s=a+4|0;e=f[s>>2]|0;if((d|0)==(f[e+68>>2]|0)){q=e+120|0;if(((f[q>>2]|0)==-1?(f[q+4>>2]|0)==-1:0)?(Kj(a,c)|0)>0:0){c=f[c>>2]|0;u=x;return c|0}}else Hj(a,d+1|0,0,c)|0;l=f[s>>2]|0;d=f[l+72>>2]|0;if(!d){vj(67271);f[c>>2]=235;c=235;u=x;return c|0}if((b|0)>=1?(h=f[l+928>>2]|0,(h|0)>=(b|0)):0){e=f[l+960>>2]|0;g=b+-1|0;i=e+(g*160|0)|0;k=e+(g*160|0)+72|0;j=f[k>>2]|0;k=f[k+4>>2]|0;h=(h|0)>(b|0);do if((d|0)==1){d=f[e+(g*160|0)+152>>2]|0;e=((d|0)<0)<<31>>31;if(h){p=i+160+72|0;m=f[p>>2]|0;p=f[p+4>>2]|0;q=Ez(d|0,e|0,j|0,k|0)|0;q=Dz(m|0,p|0,q|0,I|0)|0;q=Ez((q|0)>0|0,0,d|0,e|0)|0;p=I;m=j;break}if((b|0)>1){q=i+-160|0;m=q+72|0;m=Dz(j|0,k|0,f[m>>2]|0,f[m+4>>2]|0)|0;q=Dz(m|0,I|0,f[q+152>>2]|0,0)|0;q=(q|0)>0;m=q<<31>>31;m=Ez(m|0,((m|0)<0)<<31>>31|0,j|0,k|0)|0;k=I;q=Ez(q&1|0,0,d|0,e|0)|0;p=I}else{q=d;p=e;m=j}}else if(h){q=i+160+72|0;q=Dz(f[q>>2]|0,f[q+4>>2]|0,j|0,k|0)|0;p=I;m=j;break}else{q=l+952|0;q=Dz(f[q>>2]|0,f[q+4>>2]|0,j|0,k|0)|0;p=I;m=j;break}while(0);o=l+952|0;n=f[o>>2]|0;o=f[o+4>>2]|0;h=l+944|0;j=f[h>>2]|0;h=f[h+4>>2]|0;g=l+968|0;i=l+976|0;g=Ez(f[i>>2]|0,f[i+4>>2]|0,f[g>>2]|0,f[g+4>>2]|0)|0;i=I;d=Sz(j|0,h|0,q|0,p|0)|0;e=I;i=Ez(g|0,i|0,2879,0)|0;i=Xz(i|0,I|0,2880,0)|0;g=I;l=Ez(d|0,e|0,2879,0)|0;g=Dz(l|0,I|0,i|0,g|0)|0;g=Jz(g|0,I|0,2880,0)|0;Wi(a,n,o,j,h,q,p,m,k,c)|0;h=f[s>>2]|0;j=h+976|0;i=f[j>>2]|0;j=f[j+4>>2]|0;if((j|0)>0|(j|0)==0&i>>>0>0?(y=h+120|0,h=h+968|0,y=Ez(f[h>>2]|0,f[h+4>>2]|0,f[y>>2]|0,f[y+4>>2]|0)|0,h=I,l=Dz(0,0,d|0,e|0)|0,(Qi(a,y,h,i,j,l,I,c)|0)>0):0){y=f[c>>2]|0;u=x;return y|0}if((g|0)>0)zk(a,g,c)|0;l=(f[s>>2]|0)+968|0;y=l;y=Dz(f[y>>2]|0,f[y+4>>2]|0,d|0,e|0)|0;d=l;f[d>>2]=y;f[d+4>>2]=I;f[r>>2]=0;y=Nz(0,y|0,32)|0;op(a,101712,y,I,83879,r)|0;y=f[s>>2]|0;d=f[y+928>>2]|0;if(!((d|0)<1?1:(f[y+72>>2]|0)!=1)){g=1;while(1){$j(92417,g,v,c)|0;Rn(a,v,w,t,c)|0;r=w;y=f[r>>2]|0;r=f[r+4>>2]|0;d=Dz(y|0,r|0,q|0,p|0)|0;e=I;if((r|0)>(k|0)|(r|0)==(k|0)&y>>>0>m>>>0){y=w;f[y>>2]=d;f[y+4>>2]=e;op(a,v,d,e,83879,c)|0}d=f[(f[s>>2]|0)+928>>2]|0;if((g|0)<(d|0))g=g+1|0;else break}}y=d+-1|0;op(a,101690,y,((y|0)<0)<<31>>31,83879,c)|0;y=Dz(n|0,o|0,q|0,p|0)|0;op(a,92199,y,I,83879,c)|0;Vi(a,b,f[(f[s>>2]|0)+928>>2]|0,-1,c)|0;Kj(a,c)|0;y=f[c>>2]|0;u=x;return y|0}f[c>>2]=302;y=302;u=x;return y|0}function Yi(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;h=u;u=u+16|0;g=h;e=f[d>>2]|0;do if((e|0)<=0){if((a|0)==(b|0)){f[d>>2]=101;e=101;break}if((Zi(a,b,d)|0)>0){e=f[d>>2]|0;break}if((c|0)<=0){if((En(a,0,g,d)|0)>0){e=f[d>>2]|0;break}e=f[g>>2]|0;if((e|0)>0?(Bk(b,e,d)|0,(f[g>>2]|0)>34):0)Lj(b,d)|0}else Bk(b,c,d)|0;_i(a,b,d)|0;e=f[d>>2]|0}while(0);u=h;return e|0}function Zi(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;o=u;u=u+96|0;n=o+8|0;k=o+4|0;i=o;j=o+12|0;e=f[d>>2]|0;if((e|0)>0){d=e;u=o;return d|0}if((a|0)==(c|0)){f[d>>2]=101;d=101;u=o;return d|0}e=f[a>>2]|0;g=a+4|0;if((e|0)!=(f[(f[g>>2]|0)+68>>2]|0))Hj(a,e+1|0,0,d)|0;if((En(a,n,0,d)|0)>0){d=f[d>>2]|0;u=o;return d|0}e=f[n>>2]|0;l=Lv(e*81|0)|0;if(!l){f[d>>2]=113;d=113;u=o;return d|0}if((e|0)>0){e=0;do{h=e;e=e+1|0;Tn(a,e,l+(h*81|0)|0,d)|0}while((e|0)<(f[n>>2]|0))}h=f[a>>2]|0;f[k>>2]=-1;if(!(f[(f[g>>2]|0)+72>>2]|0))On(a,98894,k,0,d)|0;e=f[c>>2]|0;a=c+4|0;g=f[a>>2]|0;if((e|0)!=(f[g+68>>2]|0)){Hj(c,e+1|0,0,d)|0;e=f[a>>2]|0;g=e;e=f[e+68>>2]|0}p=g+96|0;a=(f[g+88>>2]|0)+(e<<3)|0;if(!((f[p>>2]|0)==(f[a>>2]|0)?(f[p+4>>2]|0)==(f[a+4>>2]|0):0))Ck(c,d)|0;if(!(f[c>>2]|0))if((f[k>>2]|0)<0){ar(c,8,0,i,d)|0;Ck(c,d)|0;e=0}else e=1;else e=0;if((f[d>>2]|0)>0){Mv(l);p=f[d>>2]|0;u=o;return p|0}a:do if(!(e|h)){e=j;g=91238;a=e+16|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(a|0));dr(c,98876,91254,j,d)|0;if(((f[k>>2]|0)+3|0)>1){e=1;while(1){cr(c,l+(e*81|0)|0,d)|0;if((e|0)<((f[k>>2]|0)+2|0))e=e+1|0;else break}}e=j;g=91637;a=e+34|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(a|0));pr(c,98954,0,0,j,d)|0;e=j;g=91671;a=e+24|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(a|0));pr(c,98969,1,0,j,d)|0;g=(f[k>>2]|0)+3|0;e=f[n>>2]|0;if((g|0)<(e|0)){a=g;while(1){g=l+(a*81|0)|0;switch(b[g>>0]|0){case 69:{if(vw(g,67336,8)|0)m=31;break}case 67:{if((vw(g,67345,58)|0)!=0?(vw(g,78539,47)|0)!=0:0)m=31;break}default:m=31}if((m|0)==31){m=0;cr(c,g,d)|0;e=f[n>>2]|0}a=a+1|0;if((a|0)>=(e|0))break a}}}else{if(!((h|0)!=0&(e|0)==1)){if((f[n>>2]|0)>0)e=0;else break;while(1){cr(c,l+(e*81|0)|0,d)|0;e=e+1|0;if((e|0)>=(f[n>>2]|0))break a}}e=j;g=99593;a=e+35|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(a|0));sr(c,98861,1,j,d)|0;if(((f[k>>2]|0)+3|0)>1){e=1;while(1){cr(c,l+(e*81|0)|0,d)|0;if((e|0)<((f[k>>2]|0)+2|0))e=e+1|0;else break}}e=j;g=91505;a=e+36|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(a|0));sr(c,98922,1,j,d)|0;cr(c,91695,d)|0;cr(c,91776,d)|0;g=(f[k>>2]|0)+3|0;e=f[n>>2]|0;if((g|0)<(e|0)){a=g;while(1){g=l+(a*81|0)|0;switch(b[g>>0]|0){case 80:{if(vw(g,67404,8)|0)m=41;break}case 71:{if(vw(g,67413,8)|0)m=41;break}default:m=41}if((m|0)==41){m=0;cr(c,g,d)|0;e=f[n>>2]|0}a=a+1|0;if((a|0)>=(e|0))break a}}}while(0);Mv(l);p=f[d>>2]|0;u=o;return p|0}function _i(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;l=u;u=u+2912|0;i=l+16|0;e=l+8|0;j=l;k=l+24|0;d=f[c>>2]|0;if((d|0)>0){c=d;u=l;return c|0}if((a|0)==(b|0)){f[c>>2]=101;c=101;u=l;return c|0}rk(a,0,i,e,c)|0;rk(b,0,j,0,c)|0;h=e;e=i;d=f[e>>2]|0;e=f[e+4>>2]|0;h=Dz(f[h>>2]|0,f[h+4>>2]|0,d|0,e|0)|0;h=Jz(h|0,I|0,2880,0)|0;a:do if((h|0)>0){if((f[a+4>>2]|0)==(f[b+4>>2]|0)){g=0;while(1){ft(a,d,e,0,c)|0;kt(a,2880,0,k,c)|0;n=j;ft(b,f[n>>2]|0,f[n+4>>2]|0,1,c)|0;it(b,2880,0,k,c)|0;n=i;d=Ez(f[n>>2]|0,f[n+4>>2]|0,2880,0)|0;e=I;n=i;f[n>>2]=d;f[n+4>>2]=e;n=j;n=Ez(f[n>>2]|0,f[n+4>>2]|0,2880,0)|0;m=j;f[m>>2]=n;f[m+4>>2]=I;g=g+1|0;if((g|0)==(h|0))break a}}ft(a,d,e,0,c)|0;d=j;ft(b,f[d>>2]|0,f[d+4>>2]|0,1,c)|0;d=0;do{kt(a,2880,0,k,c)|0;it(b,2880,0,k,c)|0;d=d+1|0}while((d|0)!=(h|0))}while(0);n=f[c>>2]|0;u=l;return n|0}function $i(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;y=u;u=u+176|0;q=y;r=y+12|0;s=y+8|0;t=y+4|0;p=y+87|0;x=y+16|0;n=f[m>>2]|0;if((n|0)>0){i=n;u=y;return i|0}b[x>>0]=0;if(j|0)yz(x,j,70)|0;n=f[a>>2]|0;w=a+4|0;o=f[w>>2]|0;if((n|0)!=(f[o+68>>2]|0)){Hj(a,n+1|0,0,m)|0;o=f[w>>2]|0;n=f[o+68>>2]|0}z=o+96|0;j=f[o+88>>2]|0;v=j+(n<<3)|0;do if(!((f[z>>2]|0)==(f[v>>2]|0)?(f[z+4>>2]|0)==(f[v+4>>2]|0):0)){if((n|0)==(f[o+80>>2]|0)?(v=j+(n+1<<3)|0,n=f[v+4>>2]|0,z=o+32|0,j=f[z+4>>2]|0,!((n|0)<(j|0)|((n|0)==(j|0)?(f[v>>2]|0)>>>0<(f[z>>2]|0)>>>0:0))):0)break;if((d|0)<0){f[m>>2]=218;z=218;u=y;return z|0}if(e>>>0>999){f[q>>2]=e;ww(p,67422,q)|0;vj(p);f[m>>2]=216;z=216;u=y;return z|0}if((e|0)==0|(i|0)==0)n=0;else{p=(f[i>>2]|0)==0;j=0;n=0;do{if(!p)n=((b[f[i+(j<<2)>>2]>>0]|0)!=0&1)+n|0;j=j+1|0}while((j|0)<(e|0))}v=((e<<1)+44+n+((b[x>>0]|0)!=0&1)|0)/36|0;if((e|0)>0){j=0;n=0;p=0;do{Uj(f[h+(p<<2)>>2]|0,r,s,t,m)|0;o=f[s>>2]|0;switch(f[r>>2]|0){case 1:{o=(o+7|0)/8|0;break}case 16:break;default:o=X(f[t>>2]|0,o)|0}j=Ez(o|0,((o|0)<0)<<31>>31|0,j|0,n|0)|0;n=I;p=p+1|0}while((p|0)!=(e|0));o=f[w>>2]|0}else{j=0;n=0}if((f[o+76>>2]|0)!=1){f[m>>2]=112;z=112;u=y;return z|0}q=Sz(j|0,n|0,c|0,d|0)|0;z=I;t=Ez(k|0,l|0,2879,0)|0;z=Ez(t|0,I|0,q|0,z|0)|0;z=Jz(z|0,I|0,2880,0)|0;Kj(a,m)|0;Zj(a,m)|0;q=f[w>>2]|0;t=(f[q+68>>2]|0)+1|0;s=(f[q+88>>2]|0)+(t<<3)|0;r=f[s>>2]|0;s=f[s+4>>2]|0;f[q+72>>2]=2;if((wk(a,z+v|0,1,m)|0)>0){z=f[m>>2]|0;u=y;return z|0}j=f[w>>2]|0;q=j+80|0;z=f[q>>2]|0;n=z+1|0;f[q>>2]=n;q=j+68|0;o=f[q>>2]|0;p=f[j+88>>2]|0;if((z|0)>=(o|0))do{A=p+(n<<3)|0;w=f[A+4>>2]|0;z=p+(n+1<<3)|0;f[z>>2]=f[A>>2];f[z+4>>2]=w;n=n+-1|0}while((n|0)>(o|0));A=p+(t<<3)|0;w=A;f[w>>2]=r;f[w+4>>2]=s;f[q>>2]=t;f[a>>2]=t;t=j+112|0;f[t>>2]=r;f[t+4>>2]=s;t=A;w=f[t+4>>2]|0;z=j+96|0;f[z>>2]=f[t>>2];f[z+4>>2]=w;z=v*2880|0;z=Ez(f[A>>2]|0,f[A+4>>2]|0,z|0,((z|0)<0)<<31>>31|0)|0;A=j+120|0;f[A>>2]=z;f[A+4>>2]=I;f[j+72>>2]=2;hr(a,c,d,e,g,h,i,x,k,l,m)|0;Kj(a,m)|0;A=f[m>>2]|0;u=y;return A|0}while(0);gr(a,2,c,d,e,g,h,i,x,m)|0;A=f[m>>2]|0;u=y;return A|0}function aj(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;k=u;u=u+16|0;j=k+4|0;f[j>>2]=0;d=f[c>>2]|0;if((d|0)>0){j=d;u=k;return j|0}d=f[a>>2]|0;i=a+4|0;e=f[i>>2]|0;if((d|0)!=(f[e+68>>2]|0)){Hj(a,d+1|0,0,c)|0;e=f[i>>2]|0;d=f[e+68>>2]|0}do if(d){h=f[e+88>>2]|0;e=h+(d+1<<3)|0;h=h+(d<<3)|0;h=Dz(f[e>>2]|0,f[e+4>>2]|0,f[h>>2]|0,f[h+4>>2]|0)|0;h=Jz(h|0,I|0,2880,0)|0;if((zk(a,h,c)|0)<=0){g=f[i>>2]|0;d=f[g+68>>2]|0;h=g+80|0;e=f[h>>2]|0;g=f[g+88>>2]|0;if((d|0)<(e|0)){d=d+1|0;do{l=d;d=d+1|0;o=g+(d<<3)|0;n=f[o+4>>2]|0;m=g+(l<<3)|0;f[m>>2]=f[o>>2];f[m+4>>2]=n}while((l|0)<(e|0))}o=g+(e+1<<3)|0;f[o>>2]=0;f[o+4>>2]=0;f[h>>2]=e+-1;if((Jj(a,j,c)|0)>0){f[c>>2]=0;zj();Kk(a,(f[(f[i>>2]|0)+68>>2]|0)+-1|0,j,c)|0;g=15}else g=15}}else{d=e+96|0;f[d>>2]=0;f[d+4>>2]=0;d=e+112|0;f[d>>2]=0;f[d+4>>2]=0;er(a,1,8,0,k,0,0,1,0,1,c)|0;d=f[i>>2]|0;e=(f[d+88>>2]|0)+((f[d+68>>2]|0)+1<<3)|0;e=Ez(f[e>>2]|0,f[e+4>>2]|0,-2880,-1)|0;e=Jz(e|0,I|0,2880,0)|0;if((e|0)>0){if((zk(a,e,c)|0)>0)break;d=f[i>>2]|0}g=d+120|0;f[g>>2]=-1;f[g+4>>2]=-1;Kj(a,c)|0;g=15}while(0);if((g|0)==15?b|0:0)f[b>>2]=f[j>>2];o=f[c>>2]|0;u=k;return o|0}function bj(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0;m=u;u=u+48|0;l=m+28|0;k=m+20|0;j=f[i>>2]|0;if(j|0){i=j;u=m;return i|0}if(cj(a,0,c,5,l,k,m+24|0,m,i)|0){dj();i=f[i>>2]|0;u=m;return i|0}j=f[k>>2]|0;if((j|0)<0){j=0-j|0;f[k>>2]=j;c=1}else c=0;if((f[l>>2]|0)!=14|(j|0)!=1){dj();vj(67460);f[i>>2]=432;i=432;u=m;return i|0}do if(!c){f[l+4>>2]=h;f[l+8>>2]=0;j=l+12|0;f[j>>2]=e;if((Up(f[55572]|0,f[55573]|0,((d|0)>1?d:1)+-1|0,0,1,l,i)|0)!=-1){if(f[i>>2]|0)break}else f[i>>2]=0;f[g>>2]=0;c=f[j>>2]|0;if((c|0)>0){j=0;a=0;do{if((b[h+a>>0]|0)==1){j=j+1|0;f[g>>2]=j}a=a+1|0}while((a|0)<(c|0))}}else{j=b[(f[55566]|0)+((f[55569]|0)*344|0)+88>>0]|0;f[g>>2]=e;if((e|0)>0)Fz(h|0,j|0,e|0)|0}while(0);dj();i=f[i>>2]|0;u=m;return i|0}function cj(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=u;u=u+64|0;q=r+8|0;p=r;m=r+60|0;n=r+56|0;o=r+16|0;f[m>>2]=0;l=f[k>>2]|0;if(l|0){q=l;u=r;return q|0}if(Kj(a,k)|0){q=f[k>>2]|0;u=r;return q|0}f[55556]=a;f[55559]=c;f[55572]=0;f[55573]=0;f[55574]=0;f[55557]=26;f[55558]=1;f[55566]=0;f[55568]=0;f[55567]=0;f[55580]=0;f[55581]=0;mk(a,222320,k)|0;if(!(f[55580]|0)){Fk(a,9,r+52|0,n,o,k)|0;if(f[k>>2]|0){vj(68245);q=f[k>>2]|0;u=r;return q|0}m=f[n>>2]|0;n=(m|0)>0;l=n&1;f[55578]=l;if(n){c=0;do{l=X(l,f[o+(c<<2)>>2]|0)|0;c=c+1|0}while((c|0)!=(m|0));f[55578]=l}if(f[55373]|0){f[p>>2]=m;f[p+4>>2]=l;mz(68284,p)|0}}else if(On(a,106765,222312,0,m)|0)f[55578]=0;do if((b[d>>0]|0)==64){if(!(Ug(d+1|0,222252,k)|0)){c=f[55563]|0;l=c;c=Bx(c)|0;break}q=f[k>>2]|0;u=r;return q|0}else{c=Bx(d)|0;l=Lv(c+2|0)|0;f[55563]=l;Jx(l,d)|0;l=f[55563]|0}while(0);p=l+c|0;p=p+(Bx(p)|0)|0;b[p>>0]=10;b[p+1>>0]=0;f[55564]=0;f[55565]=0;Ht(0);if(It()|0){f[k>>2]=431;q=431;u=r;return q|0}l=f[55581]|0;f[k>>2]=l;if(l|0){q=l;u=r;return q|0}if(!(f[55567]|0)){vj(68316);f[k>>2]=431;q=431;u=r;return q|0}if(!(f[55572]|0)){f[55385]=a;f[55573]=221540}m=f[55566]|0;n=f[55569]|0;c=f[m+(n*344|0)+60>>2]|0;f[i>>2]=c;f[h>>2]=f[m+(n*344|0)+56>>2];if((e|0)>0&(c|0)>0){l=0;do{f[j+(l<<2)>>2]=f[m+(n*344|0)+64+(l<<2)>>2];l=l+1|0}while((l|0)<(e|0)&(l|0)<(c|0))}switch(f[m+(n*344|0)+52>>2]|0){case 258:{f[g>>2]=14;l=14;break}case 259:{f[g>>2]=41;l=41;break}case 260:{f[g>>2]=82;l=82;break}case 262:{f[g>>2]=1;l=1;break}case 261:{f[g>>2]=16;l=16;break}default:{f[g>>2]=0;vj(68333);f[55581]=432;f[k>>2]=432;l=f[g>>2]|0}}f[55579]=l;l=f[55563]|0;if(!l){f[q>>2]=67654;f[q+4>>2]=936;mz(68354,q)|0}else Mv(l);if((f[m+(n*344|0)>>2]|0)==-1e3)f[h>>2]=0-(f[h>>2]|0);q=f[k>>2]|0;u=r;return q|0}function dj(){var a=0,b=0,c=0,d=0,e=0,g=0;g=u;u=u+32|0;e=g+16|0;d=g+8|0;b=g;if((f[55572]|0)>0){a=f[55573]|0;if(!a){f[b>>2]=67654;f[b+4>>2]=951;mz(68105,b)|0}else Mv(a);b=f[55572]|0;a=f[55574]|0;if((b|0)>0){c=0;do{if(f[a+(c*124|0)+116>>2]|0){do if((f[a+(c*124|0)+84>>2]|0)==262){a=f[f[a+(c*124|0)+120>>2]>>2]|0;if(!a){f[d>>2]=67654;f[d+4>>2]=955;mz(68144,d)|0;break}else{Mv(a);break}}while(0);Mv(f[(f[55574]|0)+(c*124|0)+116>>2]|0);b=f[55572]|0;a=f[55574]|0}c=c+1|0}while((c|0)<(b|0))}if(!a){f[e>>2]=67654;f[e+4>>2]=958;mz(68206,e)|0}else Mv(a);f[55572]=0}a=f[55567]|0;if((a|0)>0){do{a=a+-1|0;b=f[55566]|0;switch(f[b+(a*344|0)>>2]|0){case 1032:{b=f[b+((f[b+(a*344|0)+12>>2]|0)*344|0)+88>>2]|0;if(b|0)Mv(b);break}case 1033:{Kr(f[b+((f[b+(a*344|0)+12>>2]|0)*344|0)+88>>2]|0);break}default:{}}}while((a|0)!=0);f[55567]=0}a=f[55566]|0;if(!a){f[55566]=0;f[55580]=-1;f[55575]=0;u=g;return}Mv(a);f[55566]=0;f[55580]=-1;f[55575]=0;u=g;return}function ej(a,c,e,g,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,o=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0;T=u;u=u+192|0;R=T+88|0;Q=T+80|0;P=T+72|0;O=T+64|0;N=T+56|0;J=T+48|0;I=T+40|0;H=T+32|0;G=T+24|0;l=T;M=T+112|0;m=T+104|0;S=T+100|0;L=T+96|0;f[S>>2]=0;if(f[55373]|0){f[l>>2]=a;f[l+4>>2]=c;f[l+8>>2]=e;f[l+12>>2]=g;f[l+16>>2]=i;mz(67510,l)|0}o=i+-1|0;a:do if((c+1|0)==(e|0)){f[55374]=k;f[k+16>>2]=0;l=f[k+12>>2]|0;l=(l|0)>0?((l|0)>(a|0)?a:l):l|0?a:g;f[k+12>>2]=l;f[55375]=e+-1+l;l=f[k+4>>2]|0;if(!l){if(!(f[j+(o*244|0)+84>>2]|0)){vj(67575);a=434;u=T;return a|0}f[55376]=f[j+(o*244|0)+88>>2];f[k>>2]=f[j+(o*244|0)+80>>2];f[m>>2]=0;F=212192;f[F>>2]=0;f[F+4>>2]=0;b:do if(!(f[55580]|0)){l=f[(f[55575]|0)+24>>2]|0;if(l){F=212192;f[F>>2]=l;f[F+4>>2]=((l|0)<0)<<31>>31}}else{Zn(f[j+(o*244|0)>>2]|0,89895,f[j+(o*244|0)+4>>2]|0,1,212192,L,m)|0;k=f[55374]|0;if((f[m>>2]|0)==403){switch(f[k>>2]|0){case 21:{l=-32768;c=-1;break}case 41:case 31:{l=-2147483648;c=-1;break}default:break b}F=212192;f[F>>2]=l;f[F+4>>2]=c}}while(0);l=j+(o*244|0)+92|0}else{f[55377]=l;l=f[k+8>>2]|0;f[55376]=(l|0)==0?221512:l;l=(f[55566]|0)+((f[55569]|0)*344|0)+56|0}f[55382]=f[l>>2];switch(f[k>>2]|0){case 11:case 14:case 1:{l=1;K=25;break}case 21:{l=2;K=25;break}case 31:{l=4;K=25;break}case 41:{l=4;K=25;break}case 81:{l=8;K=25;break}case 42:{l=4;K=25;break}case 82:{l=8;K=25;break}case 16:{l=4;K=25;break}default:{}}if((K|0)==25)f[55383]=l;switch(f[(f[55566]|0)+((f[55569]|0)*344|0)+52>>2]|0){case 258:{l=1;break}case 259:{l=4;break}case 260:{l=8;break}default:break a}f[55384]=l}else k=f[55374]|0;while(0);c:do if(!(f[k+4>>2]|0)){f[55377]=(f[j+(o*244|0)+88>>2]|0)+(f[55383]|0);switch(f[k>>2]|0){case 14:{b[f[55376]>>0]=85;break c}case 11:{b[f[55376]>>0]=f[53048];break c}case 21:{d[f[55376]>>1]=f[53048];break c}case 31:{f[f[55376]>>2]=f[53048];break c}case 41:{f[f[55376]>>2]=f[53048];break c}case 81:{D=212192;E=f[D+4>>2]|0;F=f[55376]|0;f[F>>2]=f[D>>2];f[F+4>>2]=E;break c}case 42:{n[f[55376]>>2]=-9.119119840596153e-36;break c}case 82:{p[f[55376]>>3]=-9.1191291391491e-36;break c}case 16:{F=f[55376]|0;b[f[F>>2]>>0]=1;b[(f[F>>2]|0)+1>>0]=0;break c}default:break c}}while(0);F=(f[55375]|0)-e|0;F=(F|0)<(g|0)?F+1|0:g;f[55576]=e;f[55577]=F;d:do if((i|0)>0){D=F<<2;A=(F|0)>0;E=(F|0)==0;B=(F|0)==1;C=(F|0)==2;c=0;e:while(1){z=f[55574]|0;if((f[j+(c*244|0)+84>>2]|0)!=2){y=f[z+(c*124|0)+88>>2]|0;l=X(y,F)|0;k=f[z+(c*124|0)+84>>2]|0;switch(k|0){case 262:{w=y+1|0;m=X(w,F)|0;x=z+(c*124|0)+120|0;k=f[x>>2]|0;do if(k|0){l=f[k>>2]|0;if(!l){f[G>>2]=67654;f[G+4>>2]=1382;mz(67619,G)|0;break}else{Mv(l);break}}while(0);Mv(k);v=Lv(D)|0;if(!v){K=50;break e}k=Lv(m)|0;f[v>>2]=k;if(!k){K=60;break e}f:do if(A){t=(y+7|0)/8|0;s=j+(c*244|0)+88|0;if((y|0)>0)l=0;else{f[v>>2]=k;b[k>>0]=0;if(B)break;y=k+w|0;f[v+4>>2]=y;b[y>>0]=0;if(C)break;else k=2;while(1){y=(f[v>>2]|0)+(X(k,w)|0)|0;f[v+(k<<2)>>2]=y;b[y>>0]=0;k=k+1|0;if((k|0)==(F|0))break f}}while(1){k=k+(X(l,w)|0)|0;m=v+(l<<2)|0;f[m>>2]=k;o=(X(l,t)|0)+1|0;g=0;while(1){r=(g|0)%8|0;b[k+g>>0]=b[(f[s>>2]|0)+o>>0]&1<<7-r|0?49:48;g=g+1|0;k=f[m>>2]|0;if((g|0)==(y|0))break;else o=((r|0)==7&1)+o|0}b[k+y>>0]=0;l=l+1|0;if((l|0)==(F|0))break f;k=f[v>>2]|0}}while(0);f[z+(c*124|0)+116>>2]=v;f[x>>2]=v;break}case 261:{g=f[j+(c*244|0)+88>>2]|0;r=z+(c*124|0)+116|0;k=f[r>>2]|0;if(k|0)Mv(k);y=Lv(F)|0;f[r>>2]=y;if(!y){K=99;break e}if(!E){o=F;do{k=f[g>>2]|0;l=b[k>>0]|0;if(!(l<<24>>24))k=0;else{m=f[g+(o<<2)>>2]|0;if(l<<24>>24==(b[m>>0]|0))k=tw(k,m)|0;else k=-1;k=(k|0)==0}o=o+-1|0;b[(f[r>>2]|0)+o>>0]=k&1}while((o|0)!=0)}f[z+(c*124|0)+120>>2]=g+4;break}case 258:{m=f[j+(c*244|0)+88>>2]|0;o=z+(c*124|0)+116|0;k=f[o>>2]|0;if(k|0)Mv(k);y=Lv(l)|0;f[o>>2]=y;if(!y){K=99;break e}if(l|0)do{k=b[m>>0]|0;if(!(k<<24>>24))k=0;else k=k<<24>>24==(b[m+l>>0]|0);l=l+-1|0;b[(f[o>>2]|0)+l>>0]=k&1}while((l|0)!=0);f[z+(c*124|0)+120>>2]=m+1;break}case 259:{m=f[j+(c*244|0)+88>>2]|0;o=z+(c*124|0)+116|0;k=f[o>>2]|0;if(k|0)Mv(k);y=Lv(l)|0;f[o>>2]=y;if(!y){K=99;break e}if(l|0)do{k=f[m>>2]|0;if(!k)k=0;else k=(k|0)==(f[m+(l<<2)>>2]|0);l=l+-1|0;b[(f[o>>2]|0)+l>>0]=k&1}while((l|0)!=0);f[z+(c*124|0)+120>>2]=m+4;break}case 260:{m=f[j+(c*244|0)+88>>2]|0;o=z+(c*124|0)+116|0;k=f[o>>2]|0;if(k|0)Mv(k);y=Lv(l)|0;f[o>>2]=y;if(!y){K=99;break e}if(l|0)do{q=+p[m>>3];if(q!=0.0)k=q==+p[m+(l<<3)>>3];else k=0;l=l+-1|0;b[(f[o>>2]|0)+l>>0]=k&1}while((l|0)!=0);f[z+(c*124|0)+120>>2]=m+8;break}default:{f[H>>2]=k;ww(M,67663,H)|0;vj(M)}}if(f[55581]|0)break}c=c+1|0;if((c|0)>=(i|0))break d}if((K|0)==50){f[z+(c*124|0)+116>>2]=0;f[x>>2]=0;K=99}else if((K|0)==60){Mv(v);f[z+(c*124|0)+116>>2]=0;f[x>>2]=0;K=99}if((K|0)==99)f[55581]=113;if(c|0)do{c=c+-1|0;k=f[55574]|0;do if((f[k+(c*124|0)+84>>2]|0)==262){l=f[f[k+(c*124|0)+120>>2]>>2]|0;if(!l){f[I>>2]=67654;f[I+4>>2]=1488;mz(67699,I)|0;break}else{Mv(l);break}}while(0);l=k+(c*124|0)+116|0;k=f[l>>2]|0;if(!k){f[J>>2]=67654;f[J+4>>2]=1489;mz(67750,J)|0}else Mv(k);f[l>>2]=0}while((c|0)!=0)}while(0);g:do if(F){z=0;while(1){y=(F|0)<2500?F:2500;hu(e,y);if(f[55581]|0)break g;e=e+y|0;l=F;F=F-y|0;w=f[55566]|0;x=f[55569]|0;t=w+(x*344|0)|0;z=(f[t>>2]|0)==-1e3?1:z;v=w+(x*344|0)+52|0;h:do switch(f[v>>2]|0){case 260:case 259:case 258:{do if(!z){k=f[55382]|0;r=w+(x*344|0)+56|0;c=f[r>>2]|0;i:do if((k|0)!=(c|0)){if((c|0)==1){if((l|0)<=0)break;m=w+(x*344|0)+88|0;o=w+(x*344|0)+84|0;c=0;while(1){f[L>>2]=0;if((k|0)>0){l=0;do{J=(f[m>>2]|0)+(X(f[55384]|0,c)|0)|0;k=(X(k,c)|0)+l|0;fj(f[55579]|0,J,(f[o>>2]|0)+c|0,1,f[f[55374]>>2]|0,f[55376]|0,(f[55377]|0)+(X(f[55383]|0,k)|0)|0,S,222324)|0;l=(f[L>>2]|0)+1|0;f[L>>2]=l;k=f[55382]|0}while((l|0)<(k|0))}c=c+1|0;if((c|0)>=(y|0))break i}}g=(k|0)<(c|0)?k:c;if((l|0)>0){m=w+(x*344|0)+88|0;o=w+(x*344|0)+84|0;l=0;while(1){J=X(c,l)|0;I=(f[m>>2]|0)+(X(J,f[55384]|0)|0)|0;k=X(k,l)|0;fj(f[55579]|0,I,(f[o>>2]|0)+J|0,g,f[f[55374]>>2]|0,f[55376]|0,(f[55377]|0)+(X(k,f[55383]|0)|0)|0,S,222324)|0;k=f[55382]|0;if((k|0)>(g|0)){I=(X(k,l)|0)+g|0;J=f[55383]|0;Fz((f[55377]|0)+(X(J,I)|0)|0,0,X(J,k-g|0)|0)|0}l=l+1|0;if((l|0)>=(y|0))break i;c=f[r>>2]|0}}}else{J=X(k,y)|0;fj(f[55579]|0,f[w+(x*344|0)+88>>2]|0,f[w+(x*344|0)+84>>2]|0,J,f[f[55374]>>2]|0,f[55376]|0,f[55377]|0,S,222324)|0}while(0);if((f[t>>2]|0)>0){k=f[w+(x*344|0)+88>>2]|0;if(!k){f[N>>2]=67654;f[N+4>>2]=1210;mz(67789,N)|0;break}else{Mv(k);break}}}else{b[M>>0]=0;if((l|0)>0){c=w+(x*344|0)+88|0;o=w+(x*344|0)+56|0;k=f[55382]|0;m=0;do{f[L>>2]=0;if((k|0)>0){l=0;do{k=(X(k,m)|0)+l|0;fj(f[55579]|0,c,M,f[o>>2]|0,f[f[55374]>>2]|0,f[55376]|0,(f[55377]|0)+(X(f[55383]|0,k)|0)|0,S,222324)|0;l=(f[L>>2]|0)+1|0;f[L>>2]=l;k=f[55382]|0}while((l|0)<(k|0))}m=m+1|0}while((m|0)<(y|0))}}while(0);k=f[55581]|0;if((k|0)==-11){f[55581]=412;vj(67836);K=203}break}case 262:{j:do switch(f[f[55374]>>2]|0){case 11:{if((l|0)>0){s=w+(x*344|0)+56|0;g=f[55377]|0;r=w+(x*344|0)+88|0;k=f[s>>2]|0;if(!z){l=-1;o=0;do{f[L>>2]=0;if((k|0)>0){m=0;do{c=l+1|0;if(!(m&7)){b[g+c>>0]=0;k=f[L>>2]|0;l=c}else k=m;if((b[(f[(f[r>>2]|0)+(o<<2)>>2]|0)+k>>0]|0)==49){K=g+l|0;b[K>>0]=h[K>>0]|128>>>(k&7);k=f[L>>2]|0}m=k+1|0;f[L>>2]=m;k=f[s>>2]|0}while((m|0)<(k|0))}o=o+1|0}while((o|0)<(y|0))}else{l=-1;o=0;do{f[L>>2]=0;if((k|0)>0){m=0;do{c=l+1|0;if(!(m&7)){b[g+c>>0]=0;k=f[L>>2]|0;l=c}else k=m;if((b[r+k>>0]|0)==49){K=g+l|0;b[K>>0]=h[K>>0]|128>>>(k&7);k=f[L>>2]|0}m=k+1|0;f[L>>2]=m;k=f[s>>2]|0}while((m|0)<(k|0))}o=o+1|0}while((o|0)<(y|0))}}break}case 14:case 1:{k=(l|0)>0;if(!z){if(!k)break j;g=w+(x*344|0)+56|0;m=w+(x*344|0)+88|0;c=f[55377]|0;k=f[g>>2]|0;o=0;do{f[L>>2]=0;if((k|0)>0){l=0;do{k=c+((X(k,o)|0)+l)|0;b[k>>0]=(b[(f[(f[m>>2]|0)+(o<<2)>>2]|0)+l>>0]|0)==49&1;l=(f[L>>2]|0)+1|0;f[L>>2]=l;k=f[g>>2]|0}while((l|0)<(k|0))}o=o+1|0}while((o|0)<(y|0))}else{if(!k)break j;g=w+(x*344|0)+56|0;m=w+(x*344|0)+88|0;c=f[55377]|0;k=f[g>>2]|0;o=0;do{f[L>>2]=0;if((k|0)>0){l=0;do{k=c+((X(k,o)|0)+l)|0;b[k>>0]=(b[m+l>>0]|0)==49&1;l=(f[L>>2]|0)+1|0;f[L>>2]=l;k=f[g>>2]|0}while((l|0)<(k|0))}o=o+1|0}while((o|0)<(y|0))}break}case 16:{f[L>>2]=0;k=(l|0)>0;if(!z){if(!k)break j;l=w+(x*344|0)+88|0;k=0;do{Jx(f[(f[55377]|0)+(k<<2)>>2]|0,f[(f[l>>2]|0)+(k<<2)>>2]|0)|0;k=(f[L>>2]|0)+1|0;f[L>>2]=k}while((k|0)<(y|0))}else{if(!k)break j;l=w+(x*344|0)+88|0;k=0;do{Jx(f[(f[55377]|0)+(k<<2)>>2]|0,l)|0;k=(f[L>>2]|0)+1|0;f[L>>2]=k}while((k|0)<(y|0))}break}default:{vj(67905);f[55581]=432}}while(0);if((f[t>>2]|0)>0){l=w+(x*344|0)+88|0;k=f[f[l>>2]>>2]|0;if(!k){f[O>>2]=67654;f[O+4>>2]=1270;mz(67952,O)|0}else Mv(k);k=f[l>>2]|0;if(!k){f[P>>2]=67654;f[P+4>>2]=1271;mz(68005,P)|0;K=203;break h}else{Mv(k);K=203;break h}}else K=203;break}case 261:{k:do if((f[f[55374]>>2]|0)==16){f[L>>2]=0;k=(l|0)>0;if(z|0){if(!k)break;l=w+(x*344|0)+88|0;k=0;while(1){Jx(f[(f[55377]|0)+(k<<2)>>2]|0,l)|0;k=(f[L>>2]|0)+1|0;f[L>>2]=k;if((k|0)>=(y|0))break k}}if(k){o=w+(x*344|0)+84|0;m=w+(x*344|0)+88|0;c=0;k=f[S>>2]|0;do{l=f[(f[55377]|0)+(c<<2)>>2]|0;if(!(b[(f[o>>2]|0)+c>>0]|0))Jx(l,f[(f[m>>2]|0)+(c<<2)>>2]|0)|0;else{Jx(l,f[f[55376]>>2]|0)|0;k=1}c=(f[L>>2]|0)+1|0;f[L>>2]=c}while((c|0)<(y|0));f[S>>2]=k}}else{vj(68055);f[55581]=432}while(0);if((f[t>>2]|0)>0){l=w+(x*344|0)+88|0;k=f[f[l>>2]>>2]|0;if(!k){f[Q>>2]=67654;f[Q+4>>2]=1296;mz(67952,Q)|0}else Mv(k);k=f[l>>2]|0;if(!k){f[R>>2]=67654;f[R+4>>2]=1297;mz(68005,R)|0;K=203;break h}else{Mv(k);K=203;break h}}else K=203;break}default:K=203}while(0);if((K|0)==203){K=0;k=f[55581]|0}if(k|0)break g;k=f[v>>2]|0;l=f[55383]|0;c=f[55377]|0;if((k|0)==262?(f[f[55374]>>2]|0)==11:0)k=X(X(l,y)|0,((f[w+(x*344|0)+56>>2]|0)+7|0)/8|0)|0;else{J=X(l,y)|0;k=X(J,(k|0)==261?1:f[55382]|0)|0}f[55377]=c+k;if(!F)break g}}while(0);l=f[55374]|0;do if(!(f[S>>2]|0)){if(!(f[l+4>>2]|0)){k=f[55376]|0;if((f[l>>2]|0)==16){S=f[k>>2]|0;R=d[110756]|0;b[S>>0]=R;b[S+1>>0]=R>>8;break}else{Lz(k|0,221512,f[55383]|0)|0;break}}}else f[l+16>>2]=1;while(0);k=f[55581]|0;if((f[55580]|0?!((k|0)!=0|(e+-1|0)!=(f[55375]|0)):0)?(f[l+12>>2]|0)<(a|0):0){a=-1;u=T;return a|0}a=k;u=T;return a|0}function fj(a,c,e,g,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0;a:do switch(i|0){case 14:{switch(a|0){case 11:case 14:{if((g|0)>0)a=0;else break a;do{b[k+a>>0]=(b[c+a>>0]|0)!=0&1;a=a+1|0}while((a|0)!=(g|0));break}case 21:{if((g|0)<=0)break a;a=0;do{b[k+a>>0]=(d[c+(a<<1)>>1]|0)!=0&1;a=a+1|0}while((a|0)!=(g|0));break}case 41:{if((g|0)<=0)break a;a=0;do{b[k+a>>0]=(f[c+(a<<2)>>2]|0)!=0&1;a=a+1|0}while((a|0)!=(g|0));break}case 42:{if((g|0)<=0)break a;a=0;do{b[k+a>>0]=+n[c+(a<<2)>>2]!=0.0&1;a=a+1|0}while((a|0)!=(g|0));break}case 82:{if((g|0)<=0)break a;a=0;do{b[k+a>>0]=+p[c+(a<<3)>>3]!=0.0&1;a=a+1|0}while((a|0)!=(g|0));break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){b[k+a>>0]=b[j>>0]|0;f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}case 11:{switch(a|0){case 11:case 14:{if((g|0)>0)a=0;else break a;do{b[k+a>>0]=b[c+a>>0]|0;a=a+1|0}while((a|0)!=(g|0));break}case 21:{fl(c,g,1.0,0.0,0,0,0,0,0,k,m)|0;break}case 41:{if((g|0)<=0)break a;i=0;while(1){do if(!(b[e+i>>0]|0)){a=f[c+(i<<2)>>2]|0;if((a|0)<0){f[m>>2]=-11;b[k+i>>0]=0;break}if((a|0)>255){f[m>>2]=-11;a=-1}else a=a&255;b[k+i>>0]=a}else{b[k+i>>0]=b[j>>0]|0;f[l>>2]=1}while(0);i=i+1|0;if((i|0)==(g|0))break a}}case 42:{il(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}case 82:{jl(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){b[k+a>>0]=b[j>>0]|0;f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}case 21:{switch(a|0){case 11:case 14:{if((g|0)<=0)break a;a=0;do{d[k+(a<<1)>>1]=h[c+a>>0]|0;a=a+1|0}while((a|0)!=(g|0));break}case 21:{if((g|0)<=0)break a;a=0;do{d[k+(a<<1)>>1]=d[c+(a<<1)>>1]|0;a=a+1|0}while((a|0)!=(g|0));break}case 41:{if((g|0)<=0)break a;i=0;while(1){do if(!(b[e+i>>0]|0)){a=f[c+(i<<2)>>2]|0;if((a|0)<-32768){f[m>>2]=-11;d[k+(i<<1)>>1]=-32768;break}if((a|0)>32767){f[m>>2]=-11;a=32767}else a=a&65535;d[k+(i<<1)>>1]=a}else{d[k+(i<<1)>>1]=d[j>>1]|0;f[l>>2]=1}while(0);i=i+1|0;if((i|0)==(g|0))break a}}case 42:{Vl(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}case 82:{Wl(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){d[k+(a<<1)>>1]=d[j>>1]|0;f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}case 31:{switch(a|0){case 11:case 14:{if((g|0)<=0)break a;a=0;do{f[k+(a<<2)>>2]=h[c+a>>0];a=a+1|0}while((a|0)!=(g|0));break}case 21:{if((g|0)<=0)break a;a=0;do{f[k+(a<<2)>>2]=d[c+(a<<1)>>1];a=a+1|0}while((a|0)!=(g|0));break}case 41:{if((g|0)<=0)break a;a=0;do{f[k+(a<<2)>>2]=f[c+(a<<2)>>2];a=a+1|0}while((a|0)!=(g|0));break}case 42:{Fm(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}case 82:{Gm(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){f[k+(a<<2)>>2]=f[j>>2];f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}case 41:{switch(a|0){case 11:case 14:{if((g|0)<=0)break a;a=0;do{f[k+(a<<2)>>2]=h[c+a>>0];a=a+1|0}while((a|0)!=(g|0));break}case 21:{if((g|0)<=0)break a;a=0;do{f[k+(a<<2)>>2]=d[c+(a<<1)>>1];a=a+1|0}while((a|0)!=(g|0));break}case 41:{if((g|0)<=0)break a;a=0;do{f[k+(a<<2)>>2]=f[c+(a<<2)>>2];a=a+1|0}while((a|0)!=(g|0));break}case 42:{em(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}case 82:{fm(c,g,1.0,0.0,0,0,0,0,k,m)|0;break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){f[k+(a<<2)>>2]=f[j>>2];f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}case 81:{switch(a|0){case 11:case 14:{if((g|0)<=0)break a;a=0;do{i=k+(a<<3)|0;f[i>>2]=h[c+a>>0];f[i+4>>2]=0;a=a+1|0}while((a|0)!=(g|0));break}case 21:{if((g|0)<=0)break a;a=0;do{o=d[c+(a<<1)>>1]|0;i=k+(a<<3)|0;f[i>>2]=o;f[i+4>>2]=((o|0)<0)<<31>>31;a=a+1|0}while((a|0)!=(g|0));break}case 41:{if((g|0)<=0)break a;a=0;do{i=f[c+(a<<2)>>2]|0;o=k+(a<<3)|0;f[o>>2]=i;f[o+4>>2]=((i|0)<0)<<31>>31;a=a+1|0}while((a|0)!=(g|0));break}case 42:{rm(c,g,1.0,0.0,0,0,0,0,0,k,m)|0;break}case 82:{sm(c,g,1.0,0.0,0,0,0,0,0,k,m)|0;break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){i=j;c=f[i+4>>2]|0;o=k+(a<<3)|0;f[o>>2]=f[i>>2];f[o+4>>2]=c;f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}case 42:{switch(a|0){case 11:case 14:{if((g|0)<=0)break a;a=0;do{n[k+(a<<2)>>2]=+(h[c+a>>0]|0);a=a+1|0}while((a|0)!=(g|0));break}case 21:{if((g|0)<=0)break a;a=0;do{n[k+(a<<2)>>2]=+(d[c+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(g|0));break}case 41:{if((g|0)<=0)break a;a=0;do{n[k+(a<<2)>>2]=+(f[c+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(g|0));break}case 42:{if((g|0)<=0)break a;a=0;do{f[k+(a<<2)>>2]=f[c+(a<<2)>>2];a=a+1|0}while((a|0)!=(g|0));break}case 82:{Jl(c,g,1.0,0.0,0,0.0,0,0,k,m)|0;break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){f[k+(a<<2)>>2]=f[j>>2];f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}case 82:{switch(a|0){case 11:case 14:{if((g|0)<=0)break a;a=0;do{p[k+(a<<3)>>3]=+(h[c+a>>0]|0);a=a+1|0}while((a|0)!=(g|0));break}case 21:{if((g|0)<=0)break a;a=0;do{p[k+(a<<3)>>3]=+(d[c+(a<<1)>>1]|0);a=a+1|0}while((a|0)!=(g|0));break}case 41:{if((g|0)<=0)break a;a=0;do{p[k+(a<<3)>>3]=+(f[c+(a<<2)>>2]|0);a=a+1|0}while((a|0)!=(g|0));break}case 42:{if((g|0)<=0)break a;a=0;do{p[k+(a<<3)>>3]=+n[c+(a<<2)>>2];a=a+1|0}while((a|0)!=(g|0));break}case 82:{if((g|0)<=0)break a;a=0;do{p[k+(a<<3)>>3]=+p[c+(a<<3)>>3];a=a+1|0}while((a|0)!=(g|0));break}default:f[m>>2]=410}if((g|0)>0){a=0;do{if(b[e+a>>0]|0){p[k+(a<<3)>>3]=+p[j>>3];f[l>>2]=1}a=a+1|0}while((a|0)!=(g|0))}break}default:f[m>>2]=410}while(0);return f[m>>2]|0}function gj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0.0;B=u;u=u+176|0;n=B+56|0;t=B+48|0;q=B+40|0;o=B+32|0;j=B+24|0;d=B+16|0;w=B+80|0;x=B+76|0;v=B+72|0;y=B+68|0;r=B+64|0;s=B+88|0;m=B+8|0;l=B;k=B+60|0;if(f[55373]|0){f[d>>2]=a;mz(68514,d)|0}if((b[a>>0]|0)==35){c=ij(a+1|0,c)|0;u=B;return c|0}e=f[55556]|0;f[w>>2]=0;z=f[55572]|0;do if(f[55580]|0){do if(!(f[55559]|0)){if(!(hk(e,0,a,x,w)|0)){d=f[x>>2]|0;break}d=f[w>>2]|0;if((d|0)!=219){f[55581]=d;c=-1;u=B;return c|0}d=ij(a,c)|0;if((d|0)==-1){c=-1;u=B;return c|0}zj();c=d;u=B;return c|0}else{d=f[55562]|0;f[x>>2]=d}while(0);if(kk(e,d,v,y,r,w)|0){f[55581]=f[w>>2];c=-1;u=B;return c|0}if(!(jj(z,222324)|0)){h=(f[55574]|0)+(z*124|0)|0;i=(f[55573]|0)+(z*244|0)|0;Pp(i,e,f[x>>2]|0,0,0)|0;j=e;break}else{c=-1;u=B;return c|0}}else{i=f[55575]|0;if(!i){f[55581]=219;vj(68531);c=-1;u=B;return c|0}f[x>>2]=-1;d=f[i>>2]|0;if((d|0)>0){h=f[i+8>>2]|0;e=-1;g=0;do{if(!(Ax(a,f[h+(g<<2)>>2]|0)|0)){f[x>>2]=g;d=f[i>>2]|0;e=g}g=g+1|0}while((g|0)<(d|0));if((e|0)>=0){if(jj(z,222324)|0){c=-1;u=B;return c|0}j=f[55574]|0;h=j+(z*124|0)|0;d=f[55573]|0;g=d+(z*244|0)|0;e=f[(f[(f[55575]|0)+12>>2]|0)+(e<<2)>>2]|0;Fk(e,5,v,j+(z*124|0)+92|0,j+(z*124|0)+96|0,w)|0;f[j+(z*124|0)+88>>2]=1;if(!(kj(e,a,f[v>>2]|0,h,g)|0)){f[g>>2]=e;f[d+(z*244|0)+84>>2]=0;i=g;j=e;break}else{c=-1;u=B;return c|0}}}f[j>>2]=a;ww(s,68573,j)|0;vj(s);f[55581]=219;c=-1;u=B;return c|0}while(0);Vy(h,a,80)|0;b[h+80>>0]=0;g=f[55580]|0;do if(!g)d=268;else{e=f[v>>2]|0;switch(e|0){case 1:{f[h+84>>2]=262;f[i+80>>2]=11;e=1;d=271;A=50;break}case 41:case 21:case 11:{f[o>>2]=f[x>>2];ww(s,68615,o)|0;f[k>>2]=0;if(Kn(j,82,s,m,0,k)|0)p[m>>3]=0.0;f[q>>2]=f[x>>2];ww(s,68623,q)|0;f[k>>2]=0;if(!(Kn(j,82,s,l,0,k)|0))if(+p[l>>3]==1.0)A=38;else{d=82;e=260}else{p[l>>3]=1.0;A=38}if((A|0)==38){C=+p[m>>3];e=C==0.0|C==32768.0;d=e?41:82;e=e?259:260}f[h+84>>2]=e;f[i+80>>2]=d;e=f[v>>2]|0;d=268;A=50;break}case 82:case 42:case 81:{f[h+84>>2]=260;f[i+80>>2]=82;d=268;A=50;break}case 14:{f[h+84>>2]=258;f[i+80>>2]=14;e=14;d=269;A=50;break}case 16:{f[h+84>>2]=261;f[i+80>>2]=16;d=f[r>>2]|0;if((d|0)>255){f[t>>2]=f[x>>2];f[t+4>>2]=255;ww(s,68631,t)|0;vj(s);f[55581]=433;c=-1;u=B;return c|0}if((g|0)==1)f[y>>2]=d;f[h+88>>2]=f[y>>2];d=270;break}default:{if((e|0)<0){f[n>>2]=e;ww(s,68677,n)|0;vj(s)}f[55581]=432;c=-1;u=B;return c|0}}if((A|0)==50){A=f[y>>2]|0;f[h+88>>2]=A;if((A|0)>1&(e|0)!=16){if(!(_n(j,f[x>>2]|0,5,h+92|0,h+96|0,w)|0))break;f[55581]=f[w>>2];c=-1;u=B;return c|0}}f[h+92>>2]=1;f[h+96>>2]=1}while(0);f[55572]=(f[55572]|0)+1;f[c>>2]=z;c=d;u=B;return c|0}function hj(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;w=u;u=u+128|0;n=w+24|0;v=w+16|0;i=w;l=w+40|0;t=w+32|0;q=w+28|0;o=f[55573]|0;p=o+(a*244|0)|0;f[t>>2]=0;k=f[o+(a*244|0)+80>>2]|0;a:do if(!(f[55580]|0)){$k(f[p>>2]|0,k,c,((c|0)<0)<<31>>31,d,((d|0)<0)<<31>>31,e,g,q,t)|0;if(f[55373]|0){v=f[t>>2]|0;f[i>>2]=c;f[i+4>>2]=d;f[i+8>>2]=v;mz(68390,i)|0}}else{m=o+(a*244|0)+92|0;i=f[m>>2]|0;j=X(i,d)|0;switch(k|0){case 11:{i=X((i+7|0)/8|0,d)|0;r=Lv(i)|0;nl(f[p>>2]|0,f[o+(a*244|0)+4>>2]|0,c,((c|0)<0)<<31>>31,1,0,i,((i|0)<0)<<31>>31,0,r,q,t)|0;i=f[m>>2]|0;b:do if((d|0)>0){l=(i+7|0)/8|0;if((i|0)>0)o=0;else{i=0;while(1){b[f[e+(i<<2)>>2]>>0]=0;i=i+1|0;if((i|0)==(d|0)){s=11;break b}}}do{m=(X(o,l)|0)+1|0;j=e+(o<<2)|0;k=f[j>>2]|0;g=0;while(1){n=(g|0)%8|0;b[k+g>>0]=(h[r+m>>0]|0)&1<<7-n|0?49:48;g=g+1|0;k=f[j>>2]|0;if((g|0)==(i|0))break;else m=((n|0)==7&1)+m|0}b[k+i>>0]=0;o=o+1|0}while((o|0)!=(d|0))}else s=11;while(0);if((s|0)==11?(r|0)==0:0){f[v>>2]=67654;f[v+4>>2]=2559;mz(68440,v)|0;break a}Mv(r);break a}case 16:{Om(f[p>>2]|0,f[o+(a*244|0)+4>>2]|0,c,((c|0)<0)<<31>>31,1,0,d,((d|0)<0)<<31>>31,e,g,q,t)|0;break a}case 14:{Im(f[p>>2]|0,f[o+(a*244|0)+4>>2]|0,c,((c|0)<0)<<31>>31,1,0,j,((j|0)<0)<<31>>31,e,g,q,t)|0;break a}case 41:{km(f[p>>2]|0,f[o+(a*244|0)+4>>2]|0,c,((c|0)<0)<<31>>31,1,0,j,((j|0)<0)<<31>>31,e,g,q,t)|0;break a}case 82:{Al(f[p>>2]|0,f[o+(a*244|0)+4>>2]|0,c,((c|0)<0)<<31>>31,1,0,j,((j|0)<0)<<31>>31,e,g,q,t)|0;break a}default:{f[n>>2]=k;ww(l,68478,n)|0;vj(l);break a}}}while(0);i=f[t>>2]|0;if(!i){v=0;u=w;return v|0}f[55581]=i;v=-1;u=w;return v|0}function ij(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+96|0;k=m+8|0;l=m+20|0;j=m+25|0;g=m+24|0;i=m;e=m+16|0;h=m+12|0;f[l>>2]=0;d=f[55556]|0;do if(!(Sn(d,a,j,0,l)|0)){if(Ok(j,g,l)|0){d=f[l>>2]|0;break}switch(b[g>>0]|0){case 67:{Nn(d,a,j,0,l)|0;Jx(c,j)|0;e=261;break}case 76:{Pn(d,a,e,0,l)|0;b[c>>0]=f[e>>2];e=258;break}case 73:{On(d,a,h,0,l)|0;f[c>>2]=f[h>>2];e=259;break}case 70:{Qn(d,a,i,0,l)|0;p[c>>3]=+p[i>>3];e=260;break}default:e=-1}d=f[l>>2]|0;if(!d){l=e;u=m;return l|0}}else{d=f[l>>2]|0;if((d|0)==202){f[k>>2]=a;ww(j,68836,k)|0;vj(j);d=f[l>>2]|0}}while(0);f[55581]=d;l=-1;u=m;return l|0}function jj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if(!((a|0)%25|0)){if(!a){e=Lv(6100)|0;f[55573]=e;d=e;c=Lv(3100)|0}else{c=a+25|0;e=Ov(f[55573]|0,c*244|0)|0;f[55573]=e;c=Ov(f[55574]|0,c*124|0)|0;e=f[55573]|0;d=e}f[55574]=c;d=(d|0)==0;if((c|0)==0|d){if(!d){Mv(e);c=f[55574]|0}if(c|0)Mv(c);f[55573]=0;f[55574]=0;f[b>>2]=113;b=113;return b|0}}else c=f[55574]|0;f[c+(a*124|0)+120>>2]=0;f[c+(a*124|0)+116>>2]=0;b=0;return b|0}function kj(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0.0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0.0;o=u;u=u+128|0;k=o+40|0;m=o+16|0;h=o+44|0;j=o+8|0;l=o;i=o+48|0;switch(c|0){case 32:case 16:case 8:{f[h>>2]=0;if(Kn(a,82,98835,l,0,h)|0)p[l>>3]=0.0;f[h>>2]=0;if(!(Kn(a,82,98828,j,0,h)|0)){g=+p[j>>3];if(g==1.0)n=7}else{p[j>>3]=1.0;n=7}if((n|0)==7){g=+p[l>>3];if(g==0.0|g==32768.0){f[d+84>>2]=259;f[e+80>>2]=41;n=0;u=o;return n|0}else g=1.0}f[d+84>>2]=260;f[e+80>>2]=82;if(!(f[55373]|0)){n=0;u=o;return n|0}q=+p[l>>3];f[m>>2]=b;p[m+8>>3]=g;p[m+16>>3]=q;mz(68740,m)|0;n=0;u=o;return n|0}case -64:case -32:case 64:{f[d+84>>2]=260;f[e+80>>2]=82;n=0;u=o;return n|0}default:{f[k>>2]=c;ww(i,68783,k)|0;vj(i);f[55581]=432;n=432;u=o;return n|0}}return 0}function lj(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0;H=u;u=u+80|0;G=H+16|0;i=H+52|0;h=H+44|0;F=H+8|0;E=H;g=f[e>>2]|0;if(g|0){G=g;u=H;return G|0}if(cj(a,0,d,5,i,h,H+48|0,H+24|0,e)|0){dj();G=f[e>>2]|0;u=H;return G|0}g=f[h>>2]|0;if((g|0)<0){g=0-g|0;f[h>>2]=g;h=1}else h=0;if((f[i>>2]|0)!=14|(g|0)!=1){dj();vj(67460);f[e>>2]=432;G=432;u=H;return G|0}g=f[a>>2]|0;v=a+4|0;if((g|0)!=(f[(f[v>>2]|0)+68>>2]|0))Hj(a,g+1|0,0,e)|0;if(f[e>>2]|0){dj();G=f[e>>2]|0;u=H;return G|0}k=f[v>>2]|0;p=f[k+952>>2]|0;q=((p|0)<0)<<31>>31;s=k+944|0;r=f[s>>2]|0;s=f[s+4>>2]|0;k=k+976|0;w=f[k>>2]|0;k=f[k+4>>2]|0;if((r|0)==0&(s|0)==0){dj();G=f[e>>2]|0;u=H;return G|0}d=f[c>>2]|0;D=c+4|0;g=f[D>>2]|0;if((d|0)!=(f[g+68>>2]|0)){Hj(c,d+1|0,0,e)|0;g=f[D>>2]|0}if((f[g+120+4>>2]|0)<0)Kj(c,e)|0;if(f[e>>2]|0){dj();G=f[e>>2]|0;u=H;return G|0}g=f[D>>2]|0;d=Nz(0,f[g+952>>2]|0,32)|0;B=g+944|0;A=f[B>>2]|0;B=f[B+4>>2]|0;g=g+976|0;if((A|0)==0&(B|0)==0){y=g;f[y>>2]=0;f[y+4>>2]=0;y=0;z=0}else{z=g;y=f[z>>2]|0;z=f[z+4>>2]|0}if(!((p|0)==(d|0)&(q|0)==(I|0))){vj(68870);dj();f[e>>2]=436;G=436;u=H;return G|0}n=Ez(r|0,s|0,1,0)|0;o=I;g=Lv(n)|0;C=i+4|0;f[C>>2]=g;f[i+8>>2]=0;f[i+12>>2]=r;if(!g){vj(68919);dj();f[e>>2]=113;G=113;u=H;return G|0}b[g+r>>0]=0;if(!h){Up(f[55572]|0,f[55573]|0,0,0,1,i,e)|0;if((s|0)>0|(s|0)==0&r>>>0>0){d=f[C>>2]|0;h=0;i=0;g=0;do{g=((b[d+h>>0]|0)!=0&1)+g|0;h=Ez(h|0,i|0,1,0)|0;i=I}while((i|0)<(s|0)|(i|0)==(s|0)&h>>>0<r>>>0);t=g}else t=0}else{h=b[(f[55566]|0)+((f[55569]|0)*344|0)+88>>0]|0;if((s|0)>0|(s|0)==0&r>>>0>0?(b[g>>0]=h,!((r|0)==1&(s|0)==0)):0){g=1;d=0;do{b[(f[C>>2]|0)+g>>0]=h;g=Ez(g|0,d|0,1,0)|0;d=I}while((d|0)<(s|0)|(d|0)==(s|0)&g>>>0<r>>>0)}t=h<<24>>24?r:0}if(!(f[e>>2]|0)){x=Lv((p|0)>5e5?p:5e5)|0;if(!x){dj();f[e>>2]=113;G=113;u=H;return G|0}l=5e5/(p|0)|0;l=(l|0)>1?l:1;m=(a|0)==(c|0);if(!m){d=Ez(A|0,B|0,1,0)|0;if((d|0)>1){Pi(c,A,B,t,((t|0)<0)<<31>>31,e)|0;g=1}else g=1}else{g=f[C>>2]|0;d=1;while(1)if(!(b[g+(d+-1)>>0]|0)){g=d;break}else d=d+1|0}j=X(l,p)|0;i=((j|0)<0)<<31>>31;h=g;g=0;do{do if(b[(f[C>>2]|0)+(h+-1)>>0]|0){pt(a,h,((h|0)<0)<<31>>31,1,0,p,q,x+(X(g,p)|0)|0,e)|0;g=g+1|0;if((g|0)!=(l|0))break;wt(c,d,((d|0)<0)<<31>>31,1,0,j,i,x,e)|0;g=0;d=l+d|0}while(0);h=h+1|0;J=((h|0)<0)<<31>>31}while(!((J|0)>(s|0)|(J|0)==(s|0)&h>>>0>r>>>0|(f[e>>2]|0)!=0));if(g){J=X(g,p)|0;wt(c,d,((d|0)<0)<<31>>31,1,0,J,((J|0)<0)<<31>>31,x,e)|0;d=g+d|0}do if(m){g=((d|0)<0)<<31>>31;if((s|0)<(g|0)|(s|0)==(g|0)&r>>>0<d>>>0)break;J=Dz(n|0,o|0,d|0,g|0)|0;Ri(a,d,g,J,I,e)|0}else{if(!(((w|0)!=0|(k|0)!=0)&(t|0)!=0))break;g=f[c>>2]|0;d=f[D>>2]|0;if((g|0)!=(f[d+68>>2]|0)){Hj(c,g+1|0,0,e)|0;d=f[D>>2]|0}l=d+120|0;j=f[l>>2]|0;l=f[l+4>>2]|0;i=d+968|0;h=f[i>>2]|0;i=f[i+4>>2]|0;g=Ez(h|0,i|0,y|0,z|0)|0;g=Ez(g|0,I|0,2879,0)|0;g=Xz(g|0,I|0,2880,0)|0;g=Dz(2879,0,g|0,I|0)|0;d=I;if((k|0)>(d|0)|(k|0)==(d|0)&w>>>0>g>>>0){J=Ez(w|0,k|0,2879,0)|0;J=Dz(J|0,I|0,g|0,d|0)|0;J=Jz(J|0,I|0,2880,0)|0;wk(c,J,1,e)|0}d=Ez(y|0,z|0,w|0,k|0)|0;xp(c,98954,d,I,0,e)|0;d=f[a>>2]|0;g=f[v>>2]|0;if((d|0)!=(f[g+68>>2]|0)){Hj(a,d+1|0,0,e)|0;g=f[v>>2]|0}j=Ez(j|0,l|0,y|0,z|0)|0;i=Ez(j|0,I|0,h|0,i|0)|0;j=I;h=g+968|0;d=g+120|0;d=Ez(f[h>>2]|0,f[h+4>>2]|0,f[d>>2]|0,f[d+4>>2]|0)|0;g=w;h=I;do{if(f[e>>2]|0)break;J=(k|0)<0|(k|0)==0&g>>>0<5e5;w=J?g:5e5;ft(a,d,h,0,e)|0;w=Nz(0,w|0,32)|0;J=I;kt(a,w,J,x,e)|0;ft(c,i,j,1,e)|0;it(c,w,J,x,e)|0;d=Ez(w|0,J|0,d|0,h|0)|0;h=I;i=Ez(w|0,J|0,i|0,j|0)|0;j=I;g=Dz(g|0,k|0,w|0,J|0)|0;k=I}while(!((g|0)==0&(k|0)==0));if((y|0)==0&(z|0)==0)break;g=f[D>>2]|0;d=f[g+928>>2]|0;a:do if((d|0)>=1){i=Ez(t|0,((t|0)<0)<<31>>31|0,A|0,B|0)|0;j=I;if((t|0)>0)h=1;else{g=1;while(1)if((g|0)<(d|0))g=g+1|0;else break a}while(1){if((f[(f[g+960>>2]|0)+((h+-1|0)*160|0)+80>>2]|0)<0){g=A;d=B;do{g=Ez(g|0,d|0,1,0)|0;d=I;_j(c,h,g,d,F,E,e)|0;a=E;a=Ez(f[a>>2]|0,f[a+4>>2]|0,y|0,z|0)|0;J=I;w=E;f[w>>2]=a;f[w+4>>2]=J;w=F;vk(c,h,g,d,f[w>>2]|0,f[w+4>>2]|0,a,J,e)|0}while((d|0)<(j|0)|(d|0)==(j|0)&g>>>0<i>>>0);g=f[D>>2]|0}if((h|0)<(f[g+928>>2]|0))h=h+1|0;else break}}while(0)}while(0);Mv(x)}g=f[C>>2]|0;if(!g){f[G>>2]=67654;f[G+4>>2]=412;mz(68963,G)|0}else Mv(g);dj();yk(c,e)|0;J=f[e>>2]|0;u=H;return J|0}function mj(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+16|0;j=h+4|0;i=h;f[j>>2]=1;f[i>>2]=2147483647;g=nj(a,b,c,d,e,1,j,i,g)|0;u=h;return g|0}function nj(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=u;u=u+224|0;t=G+16|0;r=G+8|0;q=G;F=G+92|0;w=G+88|0;y=G+84|0;o=G+80|0;A=G+60|0;x=G+56|0;z=G+52|0;C=G+48|0;v=G+130|0;s=G+32|0;E=G+121|0;m=G+112|0;D=G+24|0;l=f[k>>2]|0;if(l|0){k=l;u=G;return k|0}if(cj(a,0,c,5,F,o,w,A,k)|0){dj();k=f[k>>2]|0;u=G;return k|0}l=f[o>>2]|0;if((l|0)<0){l=0-l|0;f[o>>2]=l;c=1}else c=0;f[C>>2]=0;a:do if((hk(d,0,e,C,k)|0)==219){f[k>>2]=0;c=(c|0)!=0;do if((b[e>>0]|0)!=35){if(!c){f[C>>2]=-1;break}if((In(d,e,v,k)|0)==202){f[C>>2]=-1;break}if(!(f[k>>2]|0))B=20;else{dj();k=f[k>>2]|0;u=G;return k|0}}else{if(!c){dj();vj(69e3);f[k>>2]=432;k=432;u=G;return k|0}e=e+1|0;if(!(Ax(e,101674)|0)){if((f[F>>2]|0)==16){B=20;break}}else{B=(Ax(e,101682)|0)!=0;if(B|(f[F>>2]|0)==16){B=20;break}}dj();vj(69048);f[k>>2]=432;k=432;u=G;return k|0}while(0);if((B|0)==20){m=f[C>>2]|0;if((m|0)>=0){o=0;c=g;break}}f[k>>2]=0;ok(d,C,k)|0;f[C>>2]=(f[C>>2]|0)+1;if((g|0)!=0?(n=b[g>>0]|0,n<<24>>24!=0):0)if(((n<<24>>24)+-48|0)>>>0>9&(f[55580]|0)==2){if(n<<24>>24==66&(f[F>>2]|0)==1){l=(l+7|0)/8|0;f[o>>2]=l}f[t>>2]=l;f[t+4>>2]=g;ww(s,69156,t)|0;m=s}else m=g;else B=23;b:do if((B|0)==23){if((f[55580]|0)!=2)switch(f[F>>2]|0){case 14:{dj();vj(69100);f[k>>2]=227;k=227;u=G;return k|0}case 41:{f[s>>2]=3223881;m=s;break b}case 82:{b[s>>0]=b[69144]|0;b[s+1>>0]=b[69145]|0;b[s+2>>0]=b[69146]|0;b[s+3>>0]=b[69147]|0;b[s+4>>0]=b[69148]|0;b[s+5>>0]=b[69149]|0;b[s+6>>0]=b[69150]|0;m=s;break b}case 1:case 16:{f[r>>2]=l;ww(s,69151,r)|0;m=s;break b}default:{m=s;break b}}f[q>>2]=l;ww(s,92733,q)|0;switch(f[F>>2]|0){case 14:{m=s+(Bx(s)|0)|0;b[m>>0]=76;b[m+1>>0]=0;m=s;break b}case 41:{m=s+(Bx(s)|0)|0;b[m>>0]=74;b[m+1>>0]=0;m=s;break b}case 82:{m=s+(Bx(s)|0)|0;b[m>>0]=68;b[m+1>>0]=0;m=s;break b}case 16:{m=s+(Bx(s)|0)|0;b[m>>0]=65;b[m+1>>0]=0;m=s;break b}case 1:{m=s+(Bx(s)|0)|0;b[m>>0]=88;b[m+1>>0]=0;m=s;break b}case 81:{m=s+(Bx(s)|0)|0;b[m>>0]=75;b[m+1>>0]=0;m=s;break b}default:{m=s;break b}}}while(0);Si(d,f[C>>2]|0,e,m,k)|0;l=f[w>>2]|0;if((l|0)>1)Er(d,f[C>>2]|0,l,A,k)|0;$j(89895,f[C>>2]|0,E,k)|0;if((In(d,E,v,k)|0)==202){f[k>>2]=0;switch(f[55580]|0){case 2:break;case 1:{dr(d,E,80583,69173,k)|0;Pr(d,f[C>>2]|0,80583,k)|0;c=1;g=m;l=e;B=60;break a}default:{c=0;g=m;l=e;B=60;break a}}Uj(m,y,x,z,k)|0;switch(f[y>>2]|0){case 11:{l=255;g=0;break}case 21:{l=-32768;g=-1;break}case 31:{l=-2147483648;g=-1;break}case 41:{l=-2147483648;g=-1;break}case 81:{l=0;g=-2147483648;break}default:{c=0;g=m;l=e;B=60;break a}}pr(d,E,l,g,69162,k)|0;Or(d,f[C>>2]|0,l,g,k)|0;c=1;g=m;l=e;B=60}else{c=0;g=m;l=e;B=60}}else{if(f[k>>2]|0){dj();k=f[k>>2]|0;u=G;return k|0}$j(94198,f[C>>2]|0,m,k)|0;In(d,m,v,k)|0;l=f[k>>2]|0;switch(l|0){case 0:{Er(d,f[C>>2]|0,f[w>>2]|0,A,k)|0;B=57;break}case 202:{f[k>>2]=0;zj();l=f[w>>2]|0;if((l|0)>1){Er(d,f[C>>2]|0,l,A,k)|0;B=57}else B=57;break}default:{}}if((B|0)==57)l=f[k>>2]|0;if(!l){c=0;l=e;B=60}else{dj();k=f[k>>2]|0;u=G;return k|0}}while(0);if((B|0)==60){m=f[C>>2]|0;o=c;c=g;e=l}c:do if((m|0)>0){On(a,106765,D,0,k)|0;l=f[55572]|0;d:do if(!(jj(l,k)|0)){Pp((f[55573]|0)+(l*244|0)|0,d,f[C>>2]|0,0,2)|0;l=(f[55572]|0)+1|0;f[55572]=l;e:do if((h|0)>0){c=F+4|0;m=F+12|0;n=F+16|0;f:do if((h|0)==1){f[c>>2]=0;g=f[i>>2]|0;h=(f[j>>2]|0)-g|0;l=h+1|0;f[m>>2]=l;if(((h|0)>8?(f[i>>2]|0)==1:0)?(f[j>>2]|0)==(f[D>>2]|0):0)l=0;if((Up(f[55572]|0,f[55573]|0,g+-1|0,l,1,F,k)|0)!=-1){if(f[k>>2]|0)break}else f[k>>2]=0;l=(f[n>>2]|0)!=0&1;break e}else{e=l;l=0;g=0;while(1){f[c>>2]=0;C=f[i+(g<<2)>>2]|0;D=(f[j+(g<<2)>>2]|0)-C+1|0;f[m>>2]=D;if((Up(e,f[55573]|0,C+-1|0,D,1,F,k)|0)!=-1){if(f[k>>2]|0)break f}else f[k>>2]=0;l=(f[n>>2]|0)==0?l:1;g=g+1|0;if((g|0)>=(h|0))break e;e=f[55572]|0}}while(0);dj();break d}else l=0;while(0);if(!((o|0)==0|(l|0)!=0))Ap(d,E,k)|0;break c}else dj();while(0);k=f[k>>2]|0;u=G;return k|0}else{l=f[55566]|0;g=f[55569]|0;switch(f[F>>2]|0){case 82:{zp(d,e,+p[l+(g*344|0)+88>>3],15,c,k)|0;break c}case 41:{F=f[l+(g*344|0)+88>>2]|0;xp(d,e,F,((F|0)<0)<<31>>31,c,k)|0;break c}case 14:{yp(d,e,b[l+(g*344|0)+88>>0]|0,c,k)|0;break c}case 16:case 1:{if(!(Ax(e,101674)|0)){Cr(d,l+(g*344|0)+88|0,k)|0;break c}l=l+(g*344|0)+88|0;if(!(Ax(e,101682)|0)){zr(d,l,k)|0;break c}else{wp(d,e,l,c,k)|0;break c}}default:break c}}while(0);dj();k=f[k>>2]|0;u=G;return k|0}function oj(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+32|0;h=j+24|0;i=j+20|0;g=f[e>>2]|0;if(g|0){e=g;u=j;return e|0}if(cj(a,0,c,5,h,i,j+28|0,j,e)|0){dj();e=f[e>>2]|0;u=j;return e|0}g=f[i>>2]|0;if((g|0)<0){g=0-g|0;f[i>>2]=g;c=1}else c=0;if((f[h>>2]|0)!=14|(g|0)!=1){dj();vj(67460);f[e>>2]=432;e=432;u=j;return e|0}f[d>>2]=0;if(!c){if((Up(f[55572]|0,f[55573]|0,0,0,2,d,e)|0)==-1)f[e>>2]=0}else if(b[(f[55566]|0)+((f[55569]|0)*344|0)+88>>0]|0?(pk(a,i,e)|0,f[i>>2]|0):0)f[d>>2]=1;dj();e=f[e>>2]|0;u=j;return e|0}function pj(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;hu(d,e);h=f[55581]|0;if(h|0){j=h;return j|0}g=f[55566]|0;c=f[55569]|0;if((f[g+(c*344|0)>>2]|0)==-1e3){if(!(b[g+(c*344|0)+88>>0]|0)){j=0;return j|0}f[i>>2]=d;j=-1;return j|0}if((e|0)<=0){j=0;return j|0}a=f[g+(c*344|0)+88>>2]|0;c=g+(c*344|0)+84|0;g=0;while(1){if(b[a+g>>0]|0?(b[(f[c>>2]|0)+g>>0]|0)==0:0)break;g=g+1|0;if((g|0)>=(e|0)){j=11;break}}if((j|0)==11)return h|0;f[i>>2]=g+d;j=-1;return j|0}function qj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+496|0;H=I+80|0;E=I+72|0;C=I+64|0;z=I+56|0;w=I+48|0;v=I+40|0;t=I+32|0;o=I+24|0;n=I+16|0;m=I+8|0;j=I;F=I+128|0;r=I+124|0;D=I+120|0;k=I+116|0;q=I+96|0;h=I+92|0;G=I+232|0;B=I+88|0;y=I+84|0;s=I+148|0;f[F>>2]=0;f[F+4>>2]=0;f[F+8>>2]=0;f[F+12>>2]=0;f[F+16>>2]=0;f[h>>2]=106266;i=(Ua(69191)|0)!=0;f[55373]=i&1;d=f[c>>2]|0;if(d|0){c=d;u=I;return c|0}e=a+8|0;d=f[e>>2]|0;if(!(((d|0)!=0?(g=f[d>>2]|0,(g|0)!=0):0)?(b[g>>0]|0)!=0:0))x=5;if((x|0)==5?(f[e>>2]=h,i):0){f[j>>2]=106266;mz(69207,j)|0}h=f[f[a+12>>2]>>2]|0;j=a+28|0;A=f[j>>2]|0;f[55575]=a;a:do if(!(cj(h,0,f[a+16>>2]|0,5,F,k,r,q,c)|0)){d=f[k>>2]|0;if((d|0)<0)f[k>>2]=0-d;switch(f[F>>2]|0){case 14:{l=69333;x=17;break}case 41:{l=69341;x=17;break}case 82:{l=69346;x=17;break}case 16:{f[c>>2]=-1;vj(69231);x=14;break}case 1:{x=14;break}default:{f[c>>2]=-1;vj(69292);l=69357;x=17}}if((x|0)==14?f[55373]|0:0){oz(69270)|0;l=69353;x=17}if((x|0)==17?f[55373]|0:0){k=f[F>>2]|0;f[m>>2]=l;f[m+4>>2]=k;mz(69367,m)|0}if(!(f[c>>2]|0)){if(Fk(h,5,D,r,q,c)|0){vj(69391);break}if(f[55373]|0){f[n>>2]=f[D>>2];mz(69443,n)|0}d=f[D>>2]|0;if((f[F>>2]|0)==82&(d|0)!=-64){f[D>>2]=-32;e=-32}else e=d;d=f[a+20>>2]|0;if(!d)d=e;else f[D>>2]=d;if(f[55373]|0){f[o>>2]=d;mz(69460,o)|0;d=f[D>>2]|0}if(ar(A,d,f[r>>2]|0,q,c)|0){vj(69478);break}b:do if(!(En(h,B,y,c)|0)){c:do if((f[B>>2]|0)>=1){e=1;d:while(1){if(Tn(h,e,s,c)|0){x=37;break}d=Nk(s)|0;do if((d|0)!=10){if((e|0)<12&(d|0)==130)break;if(((d|0)==40|(d|0)==30)&(f[D>>2]|0)<0)break;if(cr(A,s,c)|0){x=42;break d}}while(0);if((e|0)<(f[B>>2]|0))e=e+1|0;else break c}if((x|0)==37){f[t>>2]=e;ww(G,69575,t)|0;vj(G)}else if((x|0)==42){H=f[c>>2]|0;f[v>>2]=s;f[v+4>>2]=H;ww(G,69615,v)|0;vj(G)}break b}while(0);d=f[D>>2]|0;switch(d|0){case 8:{d=11;x=52;break}case 16:{d=21;x=52;break}case 32:{d=41;x=52;break}case -32:{f[F>>2]=42;e=0;break}case -64:{f[F>>2]=82;e=0;break}default:{f[w>>2]=d;ww(G,69664,w)|0;vj(G);f[c>>2]=-1;break a}}if((x|0)==52){f[F>>2]=d;g=a+24|0;e=f[g>>2]|0;f[B>>2]=e;if(!e){f[y>>2]=0;e:do if(!(On(h,98841,B,0,y)|0))d=0;else{d=f[D>>2]|0;switch(d|0){case 8:{f[B>>2]=255;d=1;break e}case 16:{f[B>>2]=-32768;d=1;break e}case 32:{f[B>>2]=-2147483648;d=1;break e}default:{f[z>>2]=d;mz(69707,z)|0;d=1;break e}}}while(0);e=f[B>>2]|0;f[g>>2]=e}else d=0;Nr(A,e,((e|0)<0)<<31>>31,c)|0;if(f[55373]|0){f[C>>2]=f[B>>2];mz(69744,C)|0}e=d}i=a+32|0;if(b[i>>0]|0){h=a+107|0;e=f[55566]|0;g=f[55569]|0;d=f[F>>2]|0;switch(d|0){case 82:{zp(A,i,+p[e+(g*344|0)+88>>3],15,h,c)|0;break a}case 41:{H=f[e+(g*344|0)+88>>2]|0;xp(A,i,H,((H|0)<0)<<31>>31,h,c)|0;break a}case 14:{yp(A,i,b[e+(g*344|0)+88>>0]|0,h,c)|0;break a}case 16:case 1:{wp(A,i,e+(g*344|0)+88|0,h,c)|0;break a}default:{f[H>>2]=d;ww(G,69903,H)|0;vj(G);break a}}}d=f[55572]|0;if(jj(d,c)|0)break a;f[55572]=(f[55572]|0)+1;C=f[55573]|0;H=C+(d*244|0)|0;G=f[j>>2]|0;f[H>>2]=G;f[C+(d*244|0)+84>>2]=2;kj(G,69761,f[D>>2]|0,(f[55574]|0)+(d*124|0)|0,H)|0;f[F+12>>2]=-1;if((Up(f[55572]|0,f[55573]|0,0,0,1,F,c)|0)!=-1){if(f[c>>2]|0)break a}else f[c>>2]=0;if(!(f[F+16>>2]|0)){if((f[D>>2]|0)<=0)break a;if(!(Nr(A,-1234554321,-1,c)|0))break a;vj(69865);break a}if(!e)break a;H=f[a+24>>2]|0;xp(A,98841,H,((H|0)<0)<<31>>31,69769,c)|0;if(f[c>>2]|0)vj(69786);if(!(f[55373]|0))break a;oz(69830)|0;f[E>>2]=f[c>>2];mz(69847,E)|0;break a}else vj(69522);while(0)}}while(0);dj();c=f[c>>2]|0;u=I;return c|0}function rj(a){a=a|0;n[a>>2]=3.390000104904175;return 3.390000104904175}function sj(a,b,c){a=a|0;b=b|0;c=c|0;Jx(b,f[(f[a+4>>2]|0)+12>>2]|0)|0;return f[c>>2]|0}function tj(a,b,c){a=a|0;b=b|0;c=c|0;f[b>>2]=f[(f[a+4>>2]|0)+76>>2];return f[c>>2]|0}function uj(a,c){a=a|0;c=c|0;var d=0;b[c>>0]=0;if(a>>>0>=300){if((a|0)>=600){a=72071;d=c+21|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}do switch(a|0){case 301:{a=72092;d=c+19|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 302:{a=72111;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 304:{a=72142;d=c+22|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 306:{a=72164;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 307:{a=72192;d=c+21|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 308:{a=72213;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 309:{a=72238;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 310:{a=72262;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 311:{a=72287;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 312:{a=72312;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 314:{a=72338;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 317:{a=72361;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 320:{a=72390;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 321:{a=72419;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 322:{a=72450;d=c+22|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 323:{a=72472;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 340:{a=72496;d=c+16|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 341:{a=72512;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 342:{a=72540;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 343:{a=72563;d=c+16|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 344:{a=72579;d=c+13|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 345:{a=72592;d=c+22|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 346:{a=72614;d=c+19|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 347:{a=72633;d=c+20|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 348:{a=72653;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 360:{a=72681;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 361:{a=72705;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 362:{a=72731;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 363:{a=72757;d=c+20|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 364:{a=72777;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 365:{a=72800;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 366:{a=72825;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 367:{a=72851;d=c+17|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 368:{a=72868;d=c+22|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 369:{a=72890;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 401:{a=72916;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 402:{a=72945;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 403:{a=72976;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 404:{a=73002;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 405:{a=73028;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 406:{a=73058;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 407:{a=73083;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 408:{a=73112;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 409:{a=73143;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 410:{a=73172;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 411:{a=73200;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 412:{a=73224;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 413:{a=73253;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 414:{a=73277;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 420:{a=73303;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 431:{a=73331;d=c+27|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 432:{a=73358;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 433:{a=73387;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 434:{a=73411;d=c+22|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 435:{a=73433;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 436:{a=73459;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 501:{a=73490;d=c+20|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 502:{a=73510;d=c+19|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 503:{a=73529;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 504:{a=73554;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 505:{a=73578;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}default:{a=72071;d=c+21|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}}while(0)}do switch(a|0){case 0:{a=69955;d=c+14|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 1:{a=69969;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 101:{a=69995;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 103:{a=70023;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 104:{a=70054;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 105:{a=70084;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 106:{a=70115;d=c+27|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 107:{a=70142;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 108:{a=70173;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 110:{a=70202;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 111:{a=70227;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 112:{a=70252;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 113:{a=70282;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 114:{a=70308;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 115:{a=70333;d=c+19|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 116:{a=70352;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 121:{a=70380;d=c+19|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 122:{a=70399;d=c+21|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 123:{a=70420;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 124:{a=70443;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 125:{a=70474;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 126:{a=70504;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 151:{a=70530;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 152:{a=70561;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 153:{a=70592;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 154:{a=70622;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 155:{a=70653;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 156:{a=70683;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 157:{a=70711;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 158:{a=70739;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 159:{a=70768;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 201:{a=70797;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 202:{a=70825;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 203:{a=70853;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 204:{a=70882;d=c+27|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 205:{a=70909;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 206:{a=70938;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 207:{a=70968;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 208:{a=70997;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 209:{a=71028;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 210:{a=71059;d=c+22|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 211:{a=71081;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 212:{a=71110;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 213:{a=71138;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 214:{a=71167;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 215:{a=71196;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 216:{a=71225;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 217:{a=71255;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 218:{a=71279;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 219:{a=71303;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 220:{a=71326;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 221:{a=71355;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 222:{a=71380;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 223:{a=71406;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 224:{a=71430;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 225:{a=71454;d=c+27|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 226:{a=71481;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 227:{a=71505;d=c+24|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 228:{a=71529;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 229:{a=71554;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 230:{a=71579;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 231:{a=71605;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 232:{a=71628;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 233:{a=71651;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 234:{a=71679;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 235:{a=71708;d=c+27|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 236:{a=71735;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 237:{a=71765;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 241:{a=71796;d=c+29|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 251:{a=71825;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 252:{a=71853;d=c+31|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 253:{a=71884;d=c+25|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 254:{a=71909;d=c+27|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 255:{a=71936;d=c+23|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 261:{a=71959;d=c+26|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 262:{a=71985;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 263:{a=72013;d=c+28|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}case 264:{a=72041;d=c+30|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}default:{a=72071;d=c+21|0;do{b[c>>0]=b[a>>0]|0;c=c+1|0;a=a+1|0}while((c|0)<(d|0));return}}while(0)}function vj(a){a=a|0;wj(5,a);return}function wj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;switch(a|0){case 1:{a=f[55447]|0;if((a|0)>0){d=0;do{b[f[221796+(d<<2)>>2]>>0]=0;d=d+1|0}while((d|0)<(a|0))}f[55447]=0;return}case 2:{a=f[55447]|0;if((a|0)<=0)return;do{c=a;a=a+-1|0;d=f[221796+(a<<2)>>2]|0;e=b[d>>0]|0;b[d>>0]=0}while((c|0)>1&e<<24>>24!=27);f[55447]=a;return}case 3:{e=f[55447]|0;a=e+-1|0;if((e|0)<=0)return;f[55447]=a;b[f[221796+(a<<2)>>2]>>0]=0;return}case 4:{a=f[55447]|0;while(1){if((a|0)<=0)break;Jx(c,f[55449]|0)|0;b[f[55449]>>0]=0;d=f[55447]|0;a=d+-1|0;f[55447]=a;if((d|0)>1){d=0;do{g=d;d=d+1|0;f[221796+(g<<2)>>2]=f[221796+(d<<2)>>2]}while((d|0)<(a|0))}if((b[c>>0]|0)!=27){e=30;break}}if((e|0)==30)return;b[c>>0]=0;return}case 5:{f[55448]=c;if(!(b[c>>0]|0))return;a=f[55447]|0;do{do if((a|0)!=25)if(b[3012164]|0)if(b[3012245]|0)if(b[3012326]|0)if(b[3012407]|0)if(b[3012488]|0)if(b[3012569]|0)if(b[3012650]|0)if(b[3012731]|0)if(b[3012812]|0)if(b[3012893]|0)if(b[3012974]|0)if(b[3013055]|0)if(b[3013136]|0)if(b[3013217]|0)if(!(b[3013298]|0)){d=a;a=3013298;e=21}else{if(!(b[3013379]|0)){d=a;a=3013379;e=21;break}if(!(b[3013460]|0)){d=a;a=3013460;e=21;break}if(!(b[3013541]|0)){d=a;a=3013541;e=21;break}if(!(b[3013622]|0)){d=a;a=3013622;e=21;break}if(!(b[3013703]|0)){d=a;a=3013703;e=21;break}if(!(b[3013784]|0)){d=a;a=3013784;e=21;break}if(!(b[3013865]|0)){d=a;a=3013865;e=21;break}if(!(b[3013946]|0)){d=a;a=3013946;e=21;break}if(!(b[3014027]|0)){d=a;a=3014027;e=21;break}if(!(b[3014108]|0)){d=a;a=3014108;e=21;break}a=f[221796+(a<<2)>>2]|0}else{d=a;a=3013217;e=21}else{d=a;a=3013136;e=21}else{d=a;a=3013055;e=21}else{d=a;a=3012974;e=21}else{d=a;a=3012893;e=21}else{d=a;a=3012812;e=21}else{d=a;a=3012731;e=21}else{d=a;a=3012650;e=21}else{d=a;a=3012569;e=21}else{d=a;a=3012488;e=21}else{d=a;a=3012407;e=21}else{d=a;a=3012326;e=21}else{d=a;a=3012245;e=21}else{d=a;a=3012164;e=21}else{a=f[55449]|0;f[55474]=a;b[a>>0]=0;f[55447]=24;f[55449]=f[55450];f[55450]=f[55451];f[55451]=f[55452];f[55452]=f[55453];f[55453]=f[55454];f[55454]=f[55455];f[55455]=f[55456];f[55456]=f[55457];f[55457]=f[55458];f[55458]=f[55459];f[55459]=f[55460];f[55460]=f[55461];f[55461]=f[55462];f[55462]=f[55463];f[55463]=f[55464];f[55464]=f[55465];f[55465]=f[55466];f[55466]=f[55467];f[55467]=f[55468];f[55468]=f[55469];f[55469]=f[55470];f[55470]=f[55471];f[55471]=f[55472];f[55472]=f[55473];d=24;e=21}while(0);if((e|0)==21){e=0;f[221796+(d<<2)>>2]=a}yz(a,c,80)|0;a=(f[55447]|0)+1|0;f[55447]=a;d=f[55448]|0;g=Bx(d)|0;c=d+(g>>>0<80?g:80)|0;f[55448]=c}while((b[c>>0]|0)!=0);return}case 6:{a=f[55447]|0;do if((a|0)!=25)if(b[3012164]|0)if(b[3012245]|0)if(b[3012326]|0)if(b[3012407]|0)if(b[3012488]|0)if(b[3012569]|0)if(b[3012650]|0)if(b[3012731]|0)if(b[3012812]|0)if(b[3012893]|0)if(b[3012974]|0)if(b[3013055]|0)if(b[3013136]|0)if(b[3013217]|0)if(b[3013298]|0)if(b[3013379]|0)if(!(b[3013460]|0)){d=3013460;e=27}else{if(!(b[3013541]|0)){d=3013541;e=27;break}if(!(b[3013622]|0)){d=3013622;e=27;break}if(!(b[3013703]|0)){d=3013703;e=27;break}if(!(b[3013784]|0)){d=3013784;e=27;break}if(!(b[3013865]|0)){d=3013865;e=27;break}if(!(b[3013946]|0)){d=3013946;e=27;break}if(!(b[3014027]|0)){d=3014027;e=27;break}if(!(b[3014108]|0)){d=3014108;e=27;break}d=f[221796+(a<<2)>>2]|0}else{d=3013379;e=27}else{d=3013298;e=27}else{d=3013217;e=27}else{d=3013136;e=27}else{d=3013055;e=27}else{d=3012974;e=27}else{d=3012893;e=27}else{d=3012812;e=27}else{d=3012731;e=27}else{d=3012650;e=27}else{d=3012569;e=27}else{d=3012488;e=27}else{d=3012407;e=27}else{d=3012326;e=27}else{d=3012245;e=27}else{d=3012164;e=27}else{d=f[55449]|0;f[55474]=d;b[d>>0]=0;f[55447]=24;f[55449]=f[55450];f[55450]=f[55451];f[55451]=f[55452];f[55452]=f[55453];f[55453]=f[55454];f[55454]=f[55455];f[55455]=f[55456];f[55456]=f[55457];f[55457]=f[55458];f[55458]=f[55459];f[55459]=f[55460];f[55460]=f[55461];f[55461]=f[55462];f[55462]=f[55463];f[55463]=f[55464];f[55464]=f[55465];f[55465]=f[55466];f[55466]=f[55467];f[55467]=f[55468];f[55468]=f[55469];f[55469]=f[55470];f[55470]=f[55471];f[55471]=f[55472];f[55472]=f[55473];a=24;e=27}while(0);if((e|0)==27)f[221796+(a<<2)>>2]=d;b[d>>0]=27;b[d+1>>0]=0;f[55447]=a+1;return}default:return}}function xj(){wj(6,0);return}function yj(a){a=a|0;var c=0,d=0,e=0,g=0;d=f[55447]|0;while(1){if((d|0)<=0)break;Jx(a,f[55449]|0)|0;b[f[55449]>>0]=0;c=f[55447]|0;d=c+-1|0;f[55447]=d;if((c|0)>1){c=0;do{g=c;c=c+1|0;f[221796+(g<<2)>>2]=f[221796+(c<<2)>>2]}while((c|0)!=(d|0))}c=b[a>>0]|0;if(c<<24>>24!=27){e=7;break}}if((e|0)==7){g=c<<24>>24;return g|0}b[a>>0]=0;g=0;g=g<<24>>24;return g|0}function zj(){var a=0,c=0;a=f[55447]|0;if((a|0)>0)c=0;else{f[55447]=0;return}do{b[f[221796+(c<<2)>>2]>>0]=0;c=c+1|0}while((c|0)!=(a|0));f[55447]=0;return}function Aj(){var a=0,c=0,d=0,e=0;a=f[55447]|0;if((a|0)<=0)return;do{d=a;a=a+-1|0;e=f[221796+(a<<2)>>2]|0;c=b[e>>0]|0;b[e>>0]=0}while((d|0)>1&c<<24>>24!=27);f[55447]=a;return}function Bj(a){a=a|0;switch(a|0){case 14:case 11:{a=1;break}case 20:{a=2;break}case 21:{a=2;break}case 40:{a=4;break}case 41:{a=4;break}case 31:{a=4;break}case 30:{a=4;break}case 42:{a=4;break}case 82:{a=8;break}default:a=0}return a|0}function Cj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+112|0;o=q+8|0;n=q;m=q+16|0;d=f[c>>2]|0;if((d|0)>0){p=d;u=q;return p|0}k=Bx(a)|0;k=k>>>0<8?k:8;if(!k){p=d;u=q;return p|0}l=(d|0)==0;e=0;g=0;a:while(1){i=a+e|0;h=b[i>>0]|0;if(l)j=h;else j=(lw(h<<24>>24)|0)&255;b:do if(!((j+-65&255)<26|(j+-48&255)<10)){switch(j<<24>>24){case 45:case 95:{p=8;break b}default:{}}if(h<<24>>24==32)g=1;else{p=13;break a}}else p=8;while(0);if((p|0)==8){p=0;if(!g)g=0;else{p=9;break}}e=e+1|0;if(e>>>0>=k>>>0){p=19;break}}if((p|0)==9){if(l){f[n>>2]=a;ww(m,73601,n)|0;wj(5,m)}f[c>>2]=207;p=207;u=q;return p|0}else if((p|0)==13){c:do if(l){f[o>>2]=e+1;f[o+4>>2]=a;ww(m,73647,o)|0;wj(5,m);switch(b[i>>0]|0){case 0:{wj(5,73693);break c}case 9:{wj(5,73723);break c}default:break c}}while(0);f[c>>2]=207;p=207;u=q;return p|0}else if((p|0)==19){u=q;return d|0}return 0}
function Eg(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;n=f[m>>2]|0;if((n|0)>0){m=n;return m|0}v=(d|0)!=0;if(v)b[d>>0]=0;w=(c|0)!=0;if(w)b[c>>0]=0;u=(e|0)!=0;if(u)b[e>>0]=0;z=(g|0)!=0;if(z)b[g>>0]=0;A=(i|0)!=0;if(A)b[i>>0]=0;B=(j|0)!=0;if(B)b[j>>0]=0;H=(h|0)!=0;if(H)b[h>>0]=0;D=(k|0)!=0;if(D)b[k>>0]=0;E=(l|0)!=0;if(E)b[l>>0]=0;n=Bx(a)|0;if(!n){m=f[m>>2]|0;return m|0}n=n+1|0;I=Nv(3,n)|0;if(!I){f[m>>2]=113;m=113;return m|0}G=I+n|0;F=G+n|0;a:do if((b[a>>0]|0)==45){n=a+1|0;switch(b[n>>0]|0){case 40:case 91:case 32:case 0:break;default:{C=28;break a}}if(w){p=c+(Bx(c)|0)|0;r=85279;s=p+9|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(s|0));C=63}}else C=28;while(0);b:do if((C|0)==28){do if(!(Ix(a,52595,5)|0)){if(w){p=c+(Bx(c)|0)|0;r=85279;s=p+9|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(s|0))}n=a+5|0}else{n=Cy(a,84739)|0;y=Cx(a,40)|0;if(!((n|0)==0|(y|0)!=0&y>>>0<n>>>0)){if(w)yz(c,a,3-a+n|0)|0;n=n+3|0;break}if(!(vw(a,63739,4)|0)){if(w){y=c+(Bx(c)|0)|0;b[y>>0]=b[85259]|0;b[y+1>>0]=b[85260]|0;b[y+2>>0]=b[85261]|0;b[y+3>>0]=b[85262]|0;b[y+4>>0]=b[85263]|0;b[y+5>>0]=b[85264]|0;b[y+6>>0]=b[85265]|0}n=a+4|0;break}if(!(vw(a,52601,7)|0)){if(w){p=c+(Bx(c)|0)|0;r=52609;s=p+10|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(s|0))}n=a+7|0;break}if(!(vw(a,63717,5)|0)){if(w){y=c+(Bx(c)|0)|0;x=y;b[x>>0]=104;b[x+1>>0]=116;b[x+2>>0]=116;b[x+3>>0]=112;y=y+4|0;b[y>>0]=58;b[y+1>>0]=47;b[y+2>>0]=47;b[y+3>>0]=0}n=a+5|0;break}if(!(vw(a,64289,4)|0)){if(w){y=c+(Bx(c)|0)|0;b[y>>0]=b[97380]|0;b[y+1>>0]=b[97381]|0;b[y+2>>0]=b[97382]|0;b[y+3>>0]=b[97383]|0;b[y+4>>0]=b[97384]|0;b[y+5>>0]=b[97385]|0;b[y+6>>0]=b[97386]|0}n=a+4|0;break}if(!(vw(a,52619,6)|0)){if(w){p=c+(Bx(c)|0)|0;r=85203;s=p+9|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(s|0))}n=a+6|0;break}if(vw(a,52626,5)|0){if(!w){n=a;break b}n=c+(Bx(c)|0)|0;C=n;b[C>>0]=102;b[C+1>>0]=105;b[C+2>>0]=108;b[C+3>>0]=101;n=n+4|0;b[n>>0]=58;b[n+1>>0]=47;b[n+2>>0]=47;b[n+3>>0]=0;n=a;C=63;break b}if(w){y=c+(Bx(c)|0)|0;x=y;b[x>>0]=102;b[x+1>>0]=105;b[x+2>>0]=108;b[x+3>>0]=101;y=y+4|0;b[y>>0]=58;b[y+1>>0]=47;b[y+2>>0]=47;b[y+3>>0]=0}n=a+5|0}while(0);if(w)C=63}while(0);c:do if((C|0)==63)if(!(vw(c,85300,7)|0)){if((Cx(n,40)|0)==0?(Cx(n,91)|0)==0:0)break;p=n+(Bx(n)|0)|0;d:while(1){p=p+-1|0;switch(b[p>>0]|0){case 41:case 93:break c;case 32:break;default:break d}}do if(v){if((Bx(n)|0)>>>0<=1024){Jx(d,n)|0;break}vj(52632);f[m>>2]=125;m=125;return m|0}while(0);Mv(I);m=f[m>>2]|0;return m|0}while(0);if((b[n>>0]|0)==91){q=n+1|0;p=(b[a>>0]|0)==45}else{p=Cy(n,52658)|0;q=p+2|0;p=(p|0)==0}q=p?n:q;p=Cx(q,40)|0;q=Cx(q,91)|0;do if((p|0)==(q|0)){xz(I,n)|0;q=p}else{if(q|0?!((p|0)!=0&p>>>0<q>>>0):0){yz(I,n,q-n|0)|0;break}yz(I,n,p-n|0)|0;p=p+1|0;n=Cx(p,41)|0;if(!n){Mv(I);f[m>>2]=125;m=125;return m|0}do if(u){q=n-p|0;if((q|0)<=1024){yz(e,p,q)|0;break}Mv(I);f[m>>2]=125;m=125;return m|0}while(0);q=Cx(n,91)|0}while(0);n=Bx(I)|0;e:do if((n|0)>1)do{n=n+-1|0;p=I+n|0;if((b[p>>0]|0)!=32)break e;b[p>>0]=0}while((n|0)>1);while(0);f:do if(u?(o=Bx(e)|0,(o|0)>1):0)do{o=o+-1|0;n=e+o|0;if((b[n>>0]|0)!=32)break f;b[n>>0]=0}while((o|0)>1);while(0);y=Cy(I,52661)|0;if(y|0?w&(b[y+4>>0]|0)==0:0){p=c;r=85452;s=p+11|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(s|0))}s=Bx(I)|0;n=s+-1|0;t=(s|0)>0;g:do if(t){o=n;while(1){r=I+o|0;if((b[r>>0]|0)==43)break;if((o|0)>0)o=o+-1|0;else{o=0;break g}}if((o|0)<=0){o=0;break}a=s-o|0;if((a|0)>=7){o=0;break}o=o+1|0;p=I+o|0;h:do if((o|0)<(s|0))do{if(((b[I+o>>0]|0)+-48|0)>>>0>=10)break h;o=o+1|0}while((o|0)<(s|0));while(0);if((o|0)!=(s|0)){o=0;break}do if(z){if((a|0)<=1024){Vy(g,p,a)|0;break}Mv(I);f[m>>2]=125;m=125;return m|0}while(0);b[r>>0]=0;o=1}else o=0;while(0);i:do if(u){if(!((b[e>>0]|0)==42&t))break;while(1){if((n|0)==0?1:(b[I+n>>0]|0)==47)break;if((n|0)>0)n=n+-1|0;else break i}n=I+(n+1)|0;if((Bx(n)|0)>>>0<=1024){Jx(e,n)|0;break}Mv(I);f[m>>2]=125;m=125;return m|0}while(0);do if(v){if((Bx(I)|0)>>>0<=1024){Jx(d,I)|0;break}Mv(I);f[m>>2]=125;m=125;return m|0}while(0);if(!q){Mv(I);m=f[m>>2]|0;return m|0}j:do if(!o){x=q+1|0;y=Cx(x,93)|0;if(!y){vj(52666);Mv(I);f[m>>2]=125;m=125;return m|0}p=b[x>>0]|0;switch(p<<24>>24){case 85:case 117:case 70:case 102:case 82:case 114:case 68:case 100:case 74:case 106:case 73:case 105:case 66:case 98:{n=b[q+2>>0]|0;switch(n<<24>>24){case 76:case 108:case 66:case 98:{n=b[q+3>>0]|0;o=3;break}default:o=2}k:do if(((n<<24>>24)+-48|0)>>>0<10){if(((n<<24>>24)+-48|0)>>>0<10){o=q+o|0;do{o=o+1|0;n=b[o>>0]|0}while(((n<<24>>24)+-48|0)>>>0<10)}switch(n<<24>>24){case 93:case 58:case 44:break;default:break k}do if(w)if(!(Cy(c,52595)|0)){p=c;r=52724;s=p+11|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(s|0));break}else{p=c;r=52712;s=p+12|0;do{b[p>>0]=b[r>>0]|0;p=p+1|0;r=r+1|0}while((p|0)<(s|0));break}while(0);do if(v){G=Bx(d)|0;if(((Bx(q)|0)+G|0)>>>0>1024){Mv(I);f[m>>2]=125;m=125;return m|0}else{xz(d,q)|0;n=Cx(d,93)|0;if(!n)break;b[n+1>>0]=0;break}}while(0);if(z){b[g>>0]=48;b[g+1>>0]=0}n=Cx(y+1|0,91)|0;do if(H&(n|0)!=0){H=Bx(h)|0;n=n+1|0;if(((Bx(n)|0)+H|0)>>>0>1024){Mv(I);f[m>>2]=125;m=125;return m|0}else{xz(h,n)|0;n=Cx(h,93)|0;if(!n)break;b[n>>0]=0;break}}while(0);Mv(I);m=f[m>>2]|0;return m|0}while(0);if(p<<24>>24==32)C=135;else{n=p;o=x}break}case 32:{C=135;break}default:{n=p;o=x}}if((C|0)==135){o=q+2|0;while(1){n=b[o>>0]|0;if(n<<24>>24==32)o=o+1|0;else break}}if(((n<<24>>24)+-48|0)>>>0<10)do{o=o+1|0;n=b[o>>0]|0}while(((n<<24>>24)+-48|0)>>>0<10);switch(n<<24>>24){case 45:case 42:case 58:{xz(G,q)|0;break j}default:{n=p;p=x}}l:while(1){switch(n<<24>>24){case 64:{w=1;break l}case 32:break;default:{C=162;break l}}c=p+1|0;n=b[c>>0]|0;p=c}if((C|0)==162)w=0;t=(Ix(p,52735,4)|0)==0;u=(Ix(p,52740,3)|0)==0;e=(Ix(p,52744,3)|0)==0;if((Ix(p,52748,9)|0)!=0?(Ix(p,52758,9)|0)!=0:0)v=0;else v=1;m:do if(Ix(p,52768,10)|0){if(!(Ix(p,52779,10)|0))break;d=y-x|0;n:do if((d|0)>=0){r=0;o=0;a=0;s=p;o:while(1){switch(n<<24>>24){case 93:case 59:case 44:{n=0;p=0;break n}case 32:{p=32;n=s;break o}case 46:{r=1;break}case 60:case 62:case 61:{C=172;break}case 124:{if((b[s+1>>0]|0)==124)C=172;break}case 38:{if((b[s+1>>0]|0)==38)C=172;break}default:{}}if((C|0)==172){C=0;o=1}p=s+1|0;if((a|0)>=(d|0)){n=0;p=0;break n}n=b[p>>0]|0;a=a+1|0;s=p}p:while(1){switch(p<<24>>24){case 93:{n=0;p=0;break n}case 32:break;default:break p}c=n+1|0;p=b[c>>0]|0;n=c}if(t)break m;if(!((a|0)>4|(u|e)^1))break m;switch(p<<24>>24){case 37:case 47:case 42:case 45:case 43:case 33:case 38:case 124:case 60:case 62:case 61:{n=1;break}default:n=0}if(e)break m;else p=1}else{n=0;r=0;o=0;p=0}while(0);if((w|0)!=0&(r|0)!=0|(o|v|0)!=0|p&(n|0)!=0)break;do if(z){if((d|0)<=1024){yz(g,x,d)|0;break}Mv(I);f[m>>2]=125;m=125;return m|0}while(0);xz(G,y+1|0)|0;break j}while(0);xz(G,q)|0}else xz(G,q)|0;while(0);n=Bx(G)|0;q:do if((n|0)>0)do{p=n;n=n+-1|0;o=G+n|0;if((b[o>>0]|0)!=32)break q;b[o>>0]=0}while((p|0)>1);while(0);if(!(b[G>>0]|0)){Mv(I);m=f[m>>2]|0;return m|0}n=Cy(G,52790)|0;do if(!n){n=Cy(G,52795)|0;if(n|0){o=n;C=199;break}n=Cy(G,52800)|0;if(n|0){o=n;C=199}}else{o=n;C=199}while(0);r:do if((C|0)==199){n=b[o+4>>0]|0;switch(n<<24>>24){case 100:case 114:case 106:case 105:case 98:{n=b[o+5>>0]|0;break}default:{}}switch(n<<24>>24){case 93:case 32:break;default:break r}do if(A){n=o+1|0;if((Bx(n)|0)>>>0>1024){Mv(I);f[m>>2]=125;m=125;return m|0}Jx(i,n)|0;n=Cx(i,93)|0;if(!n){vj(52666);vj(G);Mv(I);f[m>>2]=125;m=125;return m|0}else{b[n>>0]=0;n=n+-1|0;if((b[n>>0]|0)!=32)break;b[n>>0]=0;break}}while(0);Jx(F,(Cx(o,93)|0)+1|0)|0;Jx(o,F)|0}while(0);n=Cy(G,52805)|0;do if(!n){n=Cy(G,52811)|0;if(n|0){C=213;break}n=Cy(G,52817)|0;if(n|0)C=213}else C=213;while(0);do if((C|0)==213){o=n+5|0;s:while(1){p=b[o>>0]|0;switch(p<<24>>24){case 93:{C=223;break s}case 0:{C=215;break s}case 39:{o=Cx(o+1|0,39)|0;if(!o){C=218;break s}p=b[o>>0]|0;break}default:{}}if(p<<24>>24==91){o=Cx(o+1|0,93)|0;if(!o){C=221;break}}o=o+1|0}if((C|0)==215){vj(52666);Mv(I);f[m>>2]=125;m=125;return m|0}else if((C|0)==218){vj(52823);Mv(I);f[m>>2]=125;m=125;return m|0}else if((C|0)==221){vj(52888);Mv(I);f[m>>2]=125;m=125;return m|0}else if((C|0)==223){p=o-n+-1|0;if(B)if((p|0)>1024){Mv(I);f[m>>2]=125;m=125;return m|0}else{Vy(j,n+1|0,p)|0;q=j+p|0;do{b[q>>0]=0;p=p+-1|0;q=j+p|0}while((b[q>>0]|0)==32)}Jx(F,o+1|0)|0;Jx(n,F)|0;break}}while(0);n=Cy(G,52949)|0;do if(!n){n=Cy(G,52954)|0;if(n|0){q=n;C=232;break}n=Cy(G,52959)|0;if(n|0){q=n;C=232}}else{q=n;C=232}while(0);do if((C|0)==232){o=q+4|0;n=b[o>>0]|0;switch(n<<24>>24){case 68:case 82:case 100:case 114:case 74:case 73:case 66:case 106:case 105:case 98:{o=q+5|0;n=b[o>>0]|0;break}default:{}}n=n<<24>>24==49?o+1|0:o;if((b[n>>0]|0)==32)o=32;else break;t:while(1){switch(o<<24>>24){case 93:{C=244;break t}case 0:{C=236;break t}case 39:{n=Cx(n+1|0,39)|0;if(!n){C=239;break t}o=b[n>>0]|0;break}default:{}}if(o<<24>>24==91){n=Cx(n+1|0,93)|0;if(!n){C=242;break}}n=n+1|0;o=b[n>>0]|0}if((C|0)==236){vj(52666);Mv(I);f[m>>2]=125;m=125;return m|0}else if((C|0)==239){vj(52823);Mv(I);f[m>>2]=125;m=125;return m|0}else if((C|0)==242){vj(52888);Mv(I);f[m>>2]=125;m=125;return m|0}else if((C|0)==244){o=n-q+-1|0;if(D)if((o|0)>1024){Mv(I);f[m>>2]=125;m=125;return m|0}else{Vy(k,q+1|0,o)|0;p=k+o|0;do{b[p>>0]=0;o=o+-1|0;p=k+o|0}while((b[p>>0]|0)==32)}Jx(F,n+1|0)|0;Jx(q,F)|0;break}}while(0);o=Cy(G,52964)|0;u:do if(o|0){switch(b[o+9>>0]|0){case 93:case 32:break;default:break u}do if(E){n=o+1|0;if((Bx(n)|0)>>>0>1024){Mv(I);f[m>>2]=125;m=125;return m|0}Jx(l,n)|0;n=Cx(l,93)|0;if(!n){vj(52666);vj(G);Mv(I);f[m>>2]=125;m=125;return m|0}else{b[n>>0]=0;n=n+-1|0;if((b[n>>0]|0)!=32)break;b[n>>0]=0;break}}while(0);Jx(F,(Cx(o,93)|0)+1|0)|0;Jx(o,F)|0}while(0);v:do if(H){n=b[G>>0]|0;if(!(n<<24>>24))break;o=G+(Bx(G)|0)+-1|0;do if(n<<24>>24==91){if((b[o>>0]|0)!=93)break;b[o>>0]=0;n=G+1|0;if((Bx(n)|0)>>>0<=1024){Jx(h,n)|0;break v}Mv(I);f[m>>2]=125;m=125;return m|0}while(0);vj(52974);f[m>>2]=125}while(0);Mv(I);m=f[m>>2]|0;return m|0}function Fg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;i=u;u=u+16|0;c=i+4|0;d=i;f[c>>2]=999;f[d>>2]=0;if(!a){f[b>>2]=115;h=115;u=i;return h|0}g=a+4|0;if((f[(f[g>>2]|0)+16>>2]|0)!=555){f[b>>2]=114;h=114;u=i;return h|0}if((f[b>>2]|0)>0)Ij(a,c)|0;else Ij(a,b)|0;c=(f[g>>2]|0)+8|0;e=(f[c>>2]|0)+-1|0;f[c>>2]=e;if(!e){mt(a,1,b)|0;e=f[g>>2]|0;if(wb[f[215280+((f[e+4>>2]|0)*84|0)+56>>2]&31](f[e>>2]|0)|0?(f[b>>2]|0)<1:0){f[b>>2]=110;vj(52550);vj(f[(f[g>>2]|0)+12>>2]|0)}c=f[g>>2]|0;e=0;do{d=217296+(e<<2)|0;e=e+1|0;if((f[d>>2]|0)==(c|0)){h=15;break}}while((e|0)<1e3);if((h|0)==15){f[d>>2]=0;c=f[g>>2]|0}Mv(f[c+1244>>2]|0);Mv(f[(f[g>>2]|0)+88>>2]|0);Mv(f[(f[g>>2]|0)+12>>2]|0);Mv(f[g>>2]|0);Mv(a)}else{if((f[b>>2]|0)>0)mt(a,0,d)|0;else mt(a,0,b)|0;Mv(a)}h=f[b>>2]|0;u=i;return h|0}function Gg(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+80|0;p=q;o=q+8|0;m=q+4|0;f[c>>2]=0;b[d>>0]=0;f[e>>2]=0;f[g>>2]=-1;b[h>>0]=0;b[i>>0]=0;k=f[j>>2]|0;if((k|0)>0){j=k;u=q;return j|0}else k=a;while(1){l=b[k>>0]|0;if(l<<24>>24==32)k=k+1|0;else break}do if(((l<<24>>24)+-48|0)>>>0<10){l=Wv()|0;f[l>>2]=0;l=kw(k,m,10)|0;f[c>>2]=l;l=f[m>>2]|0;a:while(1){switch(b[l>>0]|0){case 59:case 0:{n=7;break a}case 32:break;default:{n=8;break a}}l=l+1|0}if((n|0)==7){f[m>>2]=l;m=Wv()|0;if((f[m>>2]|0)==34)n=9;else l=0}else if((n|0)==8){f[m>>2]=l;n=9}if((n|0)==9){f[c>>2]=0;l=Wv()|0;f[l>>2]=0;l=1}if((f[c>>2]|0)>>>0<=99999)if(!l)break;else{n=13;break}f[c>>2]=0;vj(52319);vj(a);f[j>>2]=125;j=125;u=q;return j|0}else n=13;while(0);b:do if((n|0)==13){l=wz(k,52363)|0;if((l|0)>70){f[j>>2]=125;j=125;u=q;return j|0}yz(d,k,l)|0;c:do if((l|0)>0){m=l;while(1){l=d+m+-1|0;if((b[l>>0]|0)!=32){l=m;break c}b[l>>0]=0;l=m+-1|0;if((m|0)>1)m=l;else break}}while(0);k=k+l|0;k=k+(Zy(k,52367)|0)|0;l=wz(k,87142)|0;if(!l){Jx(o,d)|0;Ej(o);if(tw(o,85516)|0?tw(o,52442)|0:0)break;b[d>>0]=0;break}f[p>>2]=e;if((qy(k,91502,p)|0)!=1){vj(52371);vj(a);f[j>>2]=125;j=125;u=q;return j|0}k=k+l|0;k=k+(Zy(k,52367)|0)|0;if(wz(k,52406)|0)switch(b[k>>0]|0){case 66:case 98:{f[g>>2]=2;break b}case 65:case 97:case 84:case 116:{f[g>>2]=1;break b}case 73:case 105:{f[g>>2]=0;break b}default:{vj(52408);vj(a);f[j>>2]=125;j=125;u=q;return j|0}}}while(0);k=Cx(k,59)|0;do if(k|0){m=k;do m=m+1|0;while((b[m>>0]|0)==32);k=Cx(m,40)|0;if(!k){vj(52444);vj(52503);vj(a);f[j>>2]=125;j=125;u=q;return j|0}l=k-m|0;if((l|0)>1024){f[j>>2]=125;j=125;u=q;return j|0}yz(h,m,l)|0;do k=k+1|0;while((b[k>>0]|0)==32);l=(Cx(k,41)|0)-k|0;if((l|0)<=1024){yz(i,k,l)|0;break}f[j>>2]=125;j=125;u=q;return j|0}while(0);j=f[j>>2]|0;u=q;return j|0}function Hg(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;i=i|0;return Eg(a,b,c,d,e,f,g,h,0,0,i)|0}function Ig(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;c=f[53819]|0;do{e=c;c=c+-1|0;if((e|0)<=0){b=124;d=5;break}}while((tw(215280+(c*84|0)|0,a)|0)!=0);if((d|0)==5)return b|0;f[b>>2]=c;e=0;return e|0}function Jg(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;oa=u;u=u+13232|0;J=oa+168|0;E=oa+160|0;C=oa+152|0;z=oa+144|0;y=oa+136|0;ka=oa+244|0;U=oa+240|0;la=oa+236|0;M=oa+232|0;_=oa+228|0;A=oa+224|0;l=oa+220|0;o=oa+128|0;N=oa+216|0;P=oa+212|0;S=oa+208|0;v=oa+204|0;x=oa+200|0;q=oa+196|0;B=oa+192|0;H=oa+188|0;Q=oa+104|0;n=oa+12201|0;ia=oa+11176|0;m=oa+11156|0;K=oa+10128|0;w=oa+10057|0;T=oa+9032|0;G=oa+8961|0;L=oa+8890|0;I=oa+7865|0;X=oa+6840|0;O=oa+5815|0;na=oa+4790|0;$=oa+3765|0;R=oa+2740|0;ma=oa+1715|0;ha=oa+1644|0;ea=oa+1360|0;ca=oa+1076|0;V=oa+792|0;da=oa+72|0;ba=oa+40|0;W=oa+8|0;ga=oa;aa=oa+184|0;F=oa+180|0;Z=oa+176|0;fa=oa+172|0;Y=oa+508|0;D=oa+424|0;f[H>>2]=0;f[F>>2]=1;g=f[e>>2]|0;if((g|0)>0){e=g;u=oa;return e|0}switch(g|0){case -102:{g=0;h=0;i=1;j=0;ja=6;break}case -103:{g=0;h=1;i=0;j=0;ja=6;break}case -104:{g=0;h=0;i=0;j=1;ja=6;break}case -105:{g=1;h=0;i=0;j=0;ja=6;break}default:{g=0;t=0;s=0;r=0}}if((ja|0)==6){f[e>>2]=0;t=h;s=i;r=j}f[a>>2]=0;if((f[802]|0)!=0?(k=Dg()|0,f[e>>2]=k,(k|0)>0):0){e=k;u=oa;return e|0}else k=c;a:while(1){switch(b[k>>0]|0){case 0:{ja=11;break a}case 32:break;default:break a}k=k+1|0}if((ja|0)==11){vj(54394);f[e>>2]=104;e=104;u=oa;return e|0}do if(!g)Eg(k,Q,n,ia,K,T,X,O,na,ma,e)|0;else{if((Bx(k)|0)>>>0<=1024){Jx(n,k)|0;j=Q;f[j>>2]=1701603686;f[j+4>>2]=3092282;b[ia>>0]=0;b[K>>0]=0;b[X>>0]=0;b[O>>0]=0;b[T>>0]=0;b[na>>0]=0;b[ma>>0]=0;break}vj(54434);f[e>>2]=104;e=104;u=oa;return e|0}while(0);if((f[e>>2]|0)>0){vj(54477);vj(k);e=f[e>>2]|0;u=oa;return e|0}b[L>>0]=0;b[I>>0]=0;if(b[K>>0]|0){g=K+((Bx(K)|0)+-1)|0;if((b[g>>0]|0)==35){b[g>>0]=0;h=1}else h=0;Gg(K,v,w,x,B,L,I,e)|0;g=f[e>>2]|0;if((g|0)>0){e=g;u=oa;return e|0}else j=h}else j=0;b[$>>0]=0;b[R>>0]=0;do if(b[ia>>0]|0){if((b[L>>0]|b[X>>0]|b[na>>0])<<24>>24){Jx($,ia)|0;b[ia>>0]=0;break}if((b[O>>0]|b[T>>0])<<24>>24){Jx(R,ia)|0;b[ia>>0]=0}}while(0);if((Kg(a,k,Q,n,K,T,X,O,d,l,e)|0)>0){e=f[e>>2]|0;u=oa;return e|0}do if(!(f[l>>2]|0)){h=f[53819]|0;do{l=h;h=h+-1|0;if((l|0)<=0){ja=34;break}}while((tw(215280+(h*84|0)|0,Q)|0)!=0);if((ja|0)==34){f[e>>2]=124;vj(54522);vj(Q);vj(k);e=f[e>>2]|0;u=oa;return e|0}f[e>>2]=0;g=215280+(h*84|0)+40|0;do if(f[g>>2]|0){Jx(m,Q)|0;l=rb[f[g>>2]&63](Q,n,ia)|0;f[e>>2]=l;if(l|0){vj(54568);vj(k);e=f[e>>2]|0;u=oa;return e|0}if(tw(m,Q)|0){g=f[53819]|0;while(1){m=g;g=g+-1|0;if((m|0)<=0)break;if(!(tw(215280+(g*84|0)|0,Q)|0)){ja=42;break}}if((ja|0)==42){f[e>>2]=0;i=g;break}f[e>>2]=124;vj(54609);vj(k);vj(Q);e=f[e>>2]|0;u=oa;return e|0}else i=h}else i=h;while(0);g=f[215280+(i*84|0)+44>>2]|0;if(!g){vj(54709);vj(k);f[e>>2]=104;e=104;u=oa;return e|0}n=rb[g&63](n,d,q)|0;f[e>>2]=n;if((n|0)>0){vj(54657);vj(k);e=f[e>>2]|0;u=oa;return e|0}n=zb[f[215280+(i*84|0)+64>>2]&31](f[q>>2]|0,o)|0;f[e>>2]=n;if((n|0)>0){wb[f[215280+(i*84|0)+56>>2]&31](f[q>>2]|0)|0;vj(54761);vj(k);e=f[e>>2]|0;u=oa;return e|0}g=Nv(1,8)|0;f[a>>2]=g;if(!g){wb[f[215280+(i*84|0)+56>>2]&31](f[q>>2]|0)|0;vj(54813);vj(k);f[e>>2]=113;e=113;u=oa;return e|0}n=Nv(1,1728)|0;f[g+4>>2]=n;g=(f[a>>2]|0)+4|0;if(!(f[g>>2]|0)){wb[f[215280+(i*84|0)+56>>2]&31](f[q>>2]|0)|0;vj(54813);vj(k);Mv(f[a>>2]|0);f[a>>2]=0;f[e>>2]=113;e=113;u=oa;return e|0}n=(Bx(k)|0)+1|0;n=Lv((n|0)>32?n:32)|0;f[(f[g>>2]|0)+12>>2]=n;g=(f[a>>2]|0)+4|0;if(!(f[(f[g>>2]|0)+12>>2]|0)){wb[f[215280+(i*84|0)+56>>2]&31](f[q>>2]|0)|0;vj(54871);vj(k);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[e>>2]=113;e=113;u=oa;return e|0}n=Nv(1001,8)|0;f[(f[g>>2]|0)+88>>2]=n;g=(f[a>>2]|0)+4|0;if(!(f[(f[g>>2]|0)+88>>2]|0)){wb[f[215280+(i*84|0)+56>>2]&31](f[q>>2]|0)|0;vj(54920);vj(k);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[e>>2]=113;e=113;u=oa;return e|0}n=Nv(40,2880)|0;f[(f[g>>2]|0)+1244>>2]=n;g=f[(f[a>>2]|0)+4>>2]|0;if(!(f[g+1244>>2]|0)){wb[f[215280+(i*84|0)+56>>2]&31](f[q>>2]|0)|0;vj(54976);vj(k);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+88>>2]|0);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[e>>2]=113;e=113;u=oa;return e|0}else h=0;do{f[g+1568+(h<<2)>>2]=h;f[g+1248+(h<<2)>>2]=-1;h=h+1|0}while((h|0)!=40);f[g+84>>2]=1e3;f[g>>2]=f[q>>2];f[g+4>>2]=i;Jx(f[g+12>>2]|0,k)|0;n=f[o>>2]|0;o=f[o+4>>2]|0;g=f[a>>2]|0;h=f[g+4>>2]|0;q=h+24|0;f[q>>2]=n;f[q+4>>2]=o;q=h+32|0;f[q>>2]=n;f[q+4>>2]=o;f[h+76>>2]=d;d=h+120|0;f[d>>2]=-1;f[d+4>>2]=-1;f[h+64>>2]=-1;f[h+8>>2]=1;f[h+16>>2]=555;f[h+20>>2]=j;gt(g,0,0,e)|0;g=f[a>>2]|0;h=f[g+4>>2]|0;b:do if((f[e>>2]|0)<=0){j=0;while(1){i=217296+(j<<2)|0;j=j+1|0;if(!(f[i>>2]|0))break;if((j|0)>=1e3)break b}f[i>>2]=h;g=f[a>>2]|0}while(0);if((Jj(g,_,e)|0)<=0){g=(b[ia>>0]|0)!=0&1;break}vj(55031);vj(k);if((f[e>>2]|0)==252)vj(61241);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}else g=0;while(0);c:do if(!(b[K>>0]|0)){j=(t|0)!=0;k=(r|0)!=0;if((!((t|s|r|0)==0?(b[O>>0]|b[L>>0]|b[T>>0]|b[X>>0])<<24>>24==0:0)?(qk(f[a>>2]|0,A)|0,(f[A>>2]|0)==1):0)?(Ik(f[a>>2]|0,F,e)|0,j|(f[F>>2]|0)==0):0){if(!(Dk(f[a>>2]|0,1,_,e)|0))do{E=f[_>>2]|0;i=(E|0)==0;do if(!(j&i|k&(E|0)!=0)){h=f[a>>2]|0;if(i){Ik(h,F,e)|0;if((f[F>>2]|0)>0)break c;else break}f[H>>2]=0;b[G>>0]=0;Kn(h,16,106716,G,0,H)|0;if(!(Cy(G,106724)|0)){if(Cy(G,55139)|0)break;if(Ix(G,55143,8)|0)break c}}while(0)}while(!(Dk(f[a>>2]|0,1,_,e)|0));if((f[e>>2]|0)==107)f[e>>2]=0;Hj(f[a>>2]|0,1,_,e)|0}}else{h=f[v>>2]|0;if(!h){if(b[w>>0]|0)Lk(f[a>>2]|0,f[B>>2]|0,w,f[x>>2]|0,e)|0}else Hj(f[a>>2]|0,h+1|0,_,e)|0;if((f[e>>2]|0)>0){vj(55089);if((h|0)>0){f[y>>2]=h;ww(D,52124,y)|0;vj(D)}else{f[z>>2]=w;ww(D,52182,z)|0;vj(D);g=f[x>>2]|0;if(g|0){f[C>>2]=g;ww(D,52212,C)|0;vj(D)}g=f[B>>2]|0;if((g|0)!=-1){f[E>>2]=f[3212+(g<<2)>>2];ww(D,52246,E)|0;vj(D)}vj(52281)}Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}}while(0);do if(b[L>>0]|0){if(((b[I>>0]|0)+-48|0)>>>0<10){f[J>>2]=N;qy(I,92733,J)|0;if((f[N>>2]|0)<1){vj(55152);vj(I);vj(55183);vj(K);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;f[e>>2]=307;e=307;u=oa;return e|0}}else{if((oj(f[a>>2]|0,I,N,e)|0)>0){vj(55235);vj(I);vj(55183);vj(K);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}if(!(f[N>>2]|0)){vj(55280);vj(I);vj(55183);vj(K);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;f[e>>2]=307;e=307;u=oa;return e|0}}if((b[$>>0]|0)!=0&(b[na>>0]|0)==0)Jx(ia,$)|0;else{g=ia;i=55328;j=g+9|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0))}if((Lg(M,ia,e)|0)>0){vj(55337);vj(ia);e=f[e>>2]|0;u=oa;return e|0}if((Mg(f[a>>2]|0,f[M>>2]|0,L,f[N>>2]|0,e)|0)<=0){Fg(f[a>>2]|0,e)|0;f[a>>2]=f[M>>2];g=1;break}vj(55392);vj(K);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}while(0);if(b[O>>0]|0){do if(!g)if(((((vw(Q,55440,3)|0)!=0?(vw(Q,55444,8)|0)!=0:0)?(vw(Q,55453,4)|0)!=0:0)?(vw(Q,55458,3)|0)!=0:0)?(vw(Q,55462,6)|0)!=0:0){b[Q>>0]=b[52595]|0;b[Q+1>>0]=b[52596]|0;b[Q+2>>0]=b[52597]|0;b[Q+3>>0]=b[52598]|0;b[Q+4>>0]=b[52599]|0;if((b[R>>0]|0)!=0&(b[ia>>0]|0)==0){Jx(ia,R)|0;g=1;break}else{g=ia;i=55328;j=g+9|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0));g=1;break}}else{g=1;ja=124}else ja=124;while(0);if((ja|0)==124){f[(f[(f[a>>2]|0)+4>>2]|0)+76>>2]=1;b[ia>>0]=0}if((Ng(a,ia,O,e)|0)>0){vj(55469);vj(55516);vj(O);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}}do if(!(b[T>>0]|0))h=0;else{mk(f[a>>2]|0,_,e)|0;if(!(f[_>>2]|0)){g=(b[ia>>0]|0)==0;if((b[R>>0]|0)==0|g^1){if(g){g=ia;i=55566;j=g+9|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0))}}else Jx(ia,R)|0;if((Og(a,ia,T,e)|0)<=0){h=0;break}vj(55575);vj(55629);vj(T);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}if(b[X>>0]|0){pk(f[a>>2]|0,P,e)|0;g=f[P>>2]|0;h=Nv(g,1)|0;if(!h){vj(55680);vj(55742);vj(T);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;f[e>>2]=113;e=113;u=oa;return e|0}if((bj(f[a>>2]|0,T,1,g,S,h,e)|0)<=0)break;vj(55798);vj(55742);vj(T);Mv(h);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}do if((((g|0)==0?(vw(Q,55440,3)|0)!=0:0)?(vw(Q,55444,8)|0)!=0:0)?(vw(Q,55453,4)|0)!=0:0){if(!(vw(Q,55458,3)|0)){ja=150;break}if(!(vw(Q,55462,6)|0)){ja=150;break};b[Q>>0]=b[52595]|0;b[Q+1>>0]=b[52596]|0;b[Q+2>>0]=b[52597]|0;b[Q+3>>0]=b[52598]|0;b[Q+4>>0]=b[52599]|0;g=(b[ia>>0]|0)==0;if(!((b[R>>0]|0)==0|g^1)){Jx(ia,R)|0;break}if(!g)break;g=ia;i=55566;j=g+9|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0))}else ja=150;while(0);if((ja|0)==150){f[(f[(f[a>>2]|0)+4>>2]|0)+76>>2]=1;b[ia>>0]=0}if((Pg(a,ia,T,e)|0)<=0){Cr(f[a>>2]|0,55907,e)|0;Cr(f[a>>2]|0,c,e)|0;h=0;break}vj(55847);vj(55742);vj(T);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}while(0);do if(b[X>>0]|0){if((b[$>>0]|0)!=0&(b[na>>0]|0)==0)Jx(ia,$)|0;else{g=ia;i=55977;j=g+9|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0))}Vo(X,aa,Z,Y,da,ba,W,ea,ca,V,ga,ha,fa,e)|0;Xo(a,ia,f[aa>>2]|0,f[Z>>2]|0,Y,da,ba,W,ea,ca,V,+p[ga>>3],ha,f[fa>>2]|0,h,e)|0;if(h|0)Mv(h);if((f[e>>2]|0)<=0){Cr(f[a>>2]|0,56106,e)|0;Cr(f[a>>2]|0,c,e)|0;break}vj(55986);vj(56042);vj(X);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}while(0);do if(b[na>>0]|0){if(!(b[$>>0]|0)){g=ia;i=56170;j=g+9|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0))}else Jx(ia,$)|0;mk(f[a>>2]|0,_,e)|0;if(f[_>>2]|0){vj(56453);vj(na);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;f[e>>2]=233;e=233;u=oa;return e|0}Fz(ka+4|0,0,176)|0;f[U>>2]=106266;f[ka>>2]=1;f[ka+12>>2]=a;f[ka+8>>2]=U;l=ka+28|0;d:do if((Lg(l,ia,e)|0)>0){vj(56179);vj(ia)}else{qk(f[a>>2]|0,la)|0;h=na+3|0;switch(b[h>>0]|0){case 66:case 98:{g=8;ja=176;break}case 73:case 105:{g=16;ja=176;break}case 74:case 106:{g=32;ja=176;break}case 82:case 114:{g=-32;ja=176;break}case 68:case 100:{g=-64;ja=176;break}default:g=(f[ka+20>>2]|0)==0}if((ja|0)==176){f[ka+20>>2]=g;g=0}g=g?h:na+4|0;k=(b[g>>0]|0)==49;g=k?g+1|0:g;k=k|(f[(f[(f[a>>2]|0)+4>>2]|0)+20>>2]|0)!=0;if((b[g>>0]|0)!=32){vj(56226);vj(g)}while(1)if((b[g>>0]|0)==32)g=g+1|0;else break;h=f[la>>2]|0;i=f[a>>2]|0;e:do if((h|0)>1&(k^1)){f:do if(k){Hj(i,1,0,e)|0;if((Yi(f[a>>2]|0,f[l>>2]|0,0,e)|0)>0)break;i=f[a>>2]|0;h=f[la>>2]|0;break e}else{j=1;while(1){Hj(i,j,0,e)|0;j=j+1|0;if((Yi(f[a>>2]|0,f[l>>2]|0,0,e)|0)>0)break f;h=f[la>>2]|0;i=f[a>>2]|0;if((j|0)>=(h|0))break e}}while(0);Fg(f[l>>2]|0,e)|0;break d}while(0);Hj(i,h,0,e)|0;f[ka+16>>2]=g;if(qj(ka,e)|0){vj(56274);vj(g);Fg(f[l>>2]|0,e)|0;break}h=f[la>>2]|0;do if(k)i=h;else{g=h+1|0;if((Hj(f[a>>2]|0,g,0,e)|0)>0){i=h;break}else h=g;while(1){Yi(f[a>>2]|0,f[l>>2]|0,0,e)|0;g=h+1|0;if((Hj(f[a>>2]|0,g,0,e)|0)>0){i=h;break}else h=g}}while(0);g=f[e>>2]|0;do if((g|0)==107)f[e>>2]=0;else{if((g|0)<=0)break;Fg(f[l>>2]|0,e)|0;break d}while(0);Fg(f[a>>2]|0,e)|0;h=f[l>>2]|0;f[a>>2]=h;g=f[la>>2]|0;if((i|0)==(g|0))break;Hj(h,g,0,e)|0}while(0);if((f[e>>2]|0)<=0){Cr(f[a>>2]|0,56393,e)|0;Cr(f[a>>2]|0,c,e)|0;break}vj(56306);vj(56353);vj(na);Fg(f[a>>2]|0,e)|0;f[a>>2]=0;e=f[e>>2]|0;u=oa;return e|0}while(0);if(b[ma>>0]|0)Qg(f[a>>2]|0,ma,e)|0;e=f[e>>2]|0;u=oa;return e|0}function Kg(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=u;u=u+9248|0;y=B+9228|0;v=B+8200|0;t=B+7175|0;w=B+6150|0;x=B+5125|0;r=B+4100|0;s=B+3075|0;q=B+2050|0;z=B+1025|0;A=B;f[l>>2]=0;if(!k){c=f[m>>2]|0;u=B;return c|0}do if(!(Ax(d,59168)|0)){Ho(e,A,m)|0;if((b[A>>0]|0)!=47){Ao(q,m)|0;p=q+(Bx(q)|0)|0;b[p>>0]=47;b[p+1>>0]=0;p=Bx(q)|0;if(((Bx(A)|0)+p|0)>>>0<=1024){xz(q,A)|0;Bo(q,A,m)|0;break}vj(59176);f[m>>2]=104;c=104;u=B;return c|0}}else Jx(A,e)|0;while(0);n=(k|0)==1;p=0;a:while(1){k=f[217296+(p<<2)>>2]|0;do if(k|0){o=k+12|0;Eg(f[o>>2]|0,y,v,w,t,x,r,s,0,0,m)|0;if((f[m>>2]|0)>0){e=12;break a}if(!(Ax(y,59168)|0)){Ho(v,z,m)|0;if((b[z>>0]|0)!=47){Ao(q,m)|0;o=q+(Bx(q)|0)|0;b[o>>0]=47;b[o+1>>0]=0;xz(q,z)|0;Bo(q,z,m)|0}Jx(v,z)|0}if((tw(d,y)|0)==0?(tw(A,v)|0)==0:0){if(!(((b[x>>0]|b[h>>0])<<24>>24==0?(b[r>>0]|b[i>>0])<<24>>24==0:0)?!((b[s>>0]|b[j>>0])<<24>>24):0)){if(tw(h,x)|0)break;if(tw(i,r)|0)break;if(tw(j,s)|0)break;if(tw(g,t)|0)break}if(n?(f[k+76>>2]|0)==0:0){e=28;break a}e=Nv(1,8)|0;f[a>>2]=e;if(!e){e=30;break a}f[e+4>>2]=k;o=k+8|0;f[o>>2]=(f[o>>2]|0)+1;if(b[i>>0]|0)b[g>>0]=0;b[h>>0]=0;b[i>>0]=0;b[j>>0]=0;f[l>>2]=1}}while(0);p=p+1|0;if((p|0)>=1e3){e=35;break}}if((e|0)==12){vj(59219);vj(f[o>>2]|0);c=f[m>>2]|0;u=B;return c|0}else if((e|0)==28){vj(59276);vj(c);f[m>>2]=104;c=104;u=B;return c|0}else if((e|0)==30){vj(54813);vj(c);f[m>>2]=113;c=113;u=B;return c|0}else if((e|0)==35){c=f[m>>2]|0;u=B;return c|0}return 0}function Lg(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+2160|0;j=p;l=p+1129|0;o=p+104|0;n=p+24|0;m=p+20|0;f[a>>2]=0;e=f[d>>2]|0;if((e|0)>0){o=e;u=p;return o|0}if((e|0)==-106){f[d>>2]=0;h=1}else h=0;if((f[802]|0)!=0?(g=Dg()|0,f[d>>2]=g,(g|0)>0):0){o=g;u=p;return o|0}a:while(1){e=b[c>>0]|0;switch(e<<24>>24){case 0:{k=8;break a}case 32:break;default:break a}c=c+1|0}if((k|0)==8){vj(58699);f[d>>2]=105;o=105;u=p;return o|0}do if(!h){e=e<<24>>24==33;g=e?c+1|0:c;Zg(g,j,l,o,n,d)|0;if((f[d>>2]|0)>0){vj(58772);vj(g);o=f[d>>2]|0;u=p;return o|0}else{e=e&1;c=g}}else{if((Bx(c)|0)>>>0<=1024){Jx(l,c)|0;e=j;f[e>>2]=1701603686;f[e+4>>2]=3092282;b[o>>0]=0;b[n>>0]=0;e=0;break}vj(58741);f[d>>2]=105;o=105;u=p;return o|0}while(0);h=f[53819]|0;do{g=h;h=h+-1|0;if((g|0)<=0){k=18;break}}while((tw(215280+(h*84|0)|0,j)|0)!=0);if((k|0)==18){f[d>>2]=124;vj(58818);vj(c);o=f[d>>2]|0;u=p;return o|0}f[d>>2]=0;if(e|0?(i=f[215280+(h*84|0)+60>>2]|0,i|0):0)wb[i&31](l)|0;e=f[215280+(h*84|0)+48>>2]|0;if(!e){vj(58909);vj(c);f[d>>2]=105;o=105;u=p;return o|0}l=zb[e&31](l,m)|0;f[d>>2]=l;if(l|0){vj(58864);vj(c);o=f[d>>2]|0;u=p;return o|0}e=Nv(1,8)|0;f[a>>2]=e;if(!e){wb[f[215280+(h*84|0)+56>>2]&31](f[m>>2]|0)|0;vj(54813);vj(c);f[d>>2]=113;o=113;u=p;return o|0}l=Nv(1,1728)|0;f[e+4>>2]=l;e=(f[a>>2]|0)+4|0;if(!(f[e>>2]|0)){wb[f[215280+(h*84|0)+56>>2]&31](f[m>>2]|0)|0;vj(54813);vj(c);Mv(f[a>>2]|0);f[a>>2]=0;f[d>>2]=113;o=113;u=p;return o|0}l=(Bx(c)|0)+1|0;l=Lv((l|0)>32?l:32)|0;f[(f[e>>2]|0)+12>>2]=l;e=(f[a>>2]|0)+4|0;if(!(f[(f[e>>2]|0)+12>>2]|0)){wb[f[215280+(h*84|0)+56>>2]&31](f[m>>2]|0)|0;vj(58957);vj(c);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[d>>2]=105;o=105;u=p;return o|0}l=Nv(1001,8)|0;f[(f[e>>2]|0)+88>>2]=l;e=(f[a>>2]|0)+4|0;if(!(f[(f[e>>2]|0)+88>>2]|0)){wb[f[215280+(h*84|0)+56>>2]&31](f[m>>2]|0)|0;vj(59006);vj(c);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[d>>2]=113;o=113;u=p;return o|0}l=Nv(40,2880)|0;f[(f[e>>2]|0)+1244>>2]=l;e=f[(f[a>>2]|0)+4>>2]|0;if(!(f[e+1244>>2]|0)){wb[f[215280+(h*84|0)+56>>2]&31](f[m>>2]|0)|0;vj(59062);vj(c);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+88>>2]|0);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[d>>2]=113;o=113;u=p;return o|0}else g=0;do{f[e+1568+(g<<2)>>2]=g;f[e+1248+(g<<2)>>2]=-1;g=g+1|0}while((g|0)!=40);f[e+84>>2]=1e3;f[e>>2]=f[m>>2];f[e+4>>2]=h;Jx(f[e+12>>2]|0,c)|0;e=f[a>>2]|0;m=f[e+4>>2]|0;l=m+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[m+76>>2]=1;l=m+120|0;f[l>>2]=-1;f[l+4>>2]=-1;f[m+64>>2]=-1;f[m+8>>2]=1;f[m+16>>2]=555;gt(e,0,1,d)|0;e=f[(f[a>>2]|0)+4>>2]|0;b:do if((f[d>>2]|0)<=0){c=0;while(1){g=217296+(c<<2)|0;c=c+1|0;if(!(f[g>>2]|0))break;if((c|0)>=1e3)break b}f[g>>2]=e}while(0);if(b[o>>0]|0)_g(f[a>>2]|0,o,d)|0;if(b[n>>0]|0)Qg(f[a>>2]|0,n,d)|0;o=f[d>>2]|0;u=p;return o|0}function Mg(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;H=u;u=u+30912|0;E=H+128|0;F=H+912|0;k=H+724|0;z=H+720|0;x=H+716|0;B=H+712|0;m=H+708|0;r=H+704|0;A=H+56|0;v=H+48|0;D=H+40|0;j=H+32|0;n=H+24|0;q=H+16|0;s=H+700|0;l=H+696|0;o=H+8|0;t=H;w=H+892|0;y=H+809|0;p=H+728|0;C=H+136|0;h=p;i=h+81|0;do{b[h>>0]=0;h=h+1|0}while((h|0)<(i|0));Lz(C|0,3224,560)|0;h=f[g>>2]|0;if((h|0)>0){G=h;u=H;return G|0}if((hk(a,0,d,z,g)|0)>0){vj(57717);vj(d);G=f[g>>2]|0;u=H;return G|0}if((uk(a,f[z>>2]|0,e,((e|0)<0)<<31>>31,1,0,1,0,0,o,t,w,s,x,m,D,j,l,v,n,k,q,F,g)|0)>0){G=f[g>>2]|0;u=H;return G|0}$j(3020226,f[z>>2]|0,p,r)|0;ik(a,0,p,d,z,r)|0;if((f[k>>2]|0)!=2){vj(57771);vj(57809);f[g>>2]=227;G=227;u=H;return G|0}h=f[x>>2]|0;if((h|0)<0){f[x>>2]=0-h;f[B>>2]=1;r=v;s=f[r+4>>2]|0;t=A;f[t>>2]=f[r>>2];f[t+4>>2]=s}else ao(a,f[z>>2]|0,9,B,A,g)|0;if((f[g>>2]|0)>0){vj(57856);G=f[g>>2]|0;u=H;return G|0}switch(f[x>>2]|0){case 11:{l=v;k=f[l+4>>2]|0;l=f[l>>2]|0;h=8;break}case 21:{l=v;l=Gz(f[l>>2]|0,f[l+4>>2]|0,1)|0;k=I;h=16;break}case 41:{l=v;l=Gz(f[l>>2]|0,f[l+4>>2]|0,2)|0;k=I;h=32;break}case 42:{l=v;l=Gz(f[l>>2]|0,f[l+4>>2]|0,2)|0;k=I;h=-32;break}case 82:{l=v;l=Gz(f[l>>2]|0,f[l+4>>2]|0,3)|0;k=I;h=-64;break}case 81:{l=v;l=Gz(f[l>>2]|0,f[l+4>>2]|0,3)|0;k=I;h=64;break}case 14:{l=v;k=f[l+4>>2]|0;l=f[l>>2]|0;h=8;break}default:{vj(57898);vj(d);vj(w);vj(57954);f[g>>2]=261;G=261;u=H;return G|0}}if((fr(c,h,f[B>>2]|0,A,g)|0)>0){vj(58007);G=f[g>>2]|0;u=H;return G|0}ck(a,c,9,C,70,f[z>>2]|0,0,0,g)|0;f[E>>2]=e;f[E+4>>2]=d;ww(y,58074,E)|0;mt(a,0,g)|0;j=D;ft(a,f[j>>2]|0,f[j+4>>2]|0,1,g)|0;j=(k|0)<0|(k|0)==0&l>>>0<3e4;i=j?l:3e4;j=j?k:0;kt(a,i,j,F,g)|0;wt(c,1,0,1,0,i,j,F,g)|0;k=Dz(l|0,k|0,i|0,j|0)|0;h=I;a:do if(!((k|0)==0&(h|0)==0)){n=Ez(i|0,j|0,1,0)|0;p=a+4|0;o=I;while(1){if((f[g>>2]|0)>=1)break a;m=(h|0)<0|(h|0)==0&k>>>0<3e4;l=m?k:3e4;m=m?h:0;i=f[p>>2]|0;j=rb[f[215280+((f[i+4>>2]|0)*84|0)+76>>2]&63](f[i>>2]|0,F,l)|0;if((j|0)!=107){if((j|0)>0){vj(58134);vj(f[i+12>>2]|0);i=108;G=30}}else{i=107;G=30}if((G|0)==30){G=0;f[g>>2]=i}wt(c,1,0,n,o,l,m,F,g)|0;k=Dz(k|0,h|0,l|0,m|0)|0;h=I;n=Ez(l|0,m|0,n|0,o|0)|0;if((k|0)==0&(h|0)==0)break;else o=I}}while(0);Kj(c,g)|0;G=f[g>>2]|0;u=H;return G|0}function Ng(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;O=u;u=u+480|0;h=O+24|0;g=O+20|0;E=O+16|0;I=O+12|0;M=O+8|0;J=O+4|0;F=O+393|0;D=O+322|0;G=O+251|0;C=O+180|0;N=O;H=O+109|0;B=O+28|0;f[E>>2]=-1;f[M>>2]=0;f[J>>2]=0;f[N>>2]=0;if(b[c>>0]|0){if((Lg(h,c,e)|0)>0){vj(56946);e=f[e>>2]|0;u=O;return e|0}qk(f[a>>2]|0,g)|0;c=f[a>>2]|0;K=(f[(f[c+4>>2]|0)+20>>2]|0)==0;c=Hj(c,1,0,e)|0;do if(K){if((c|0)<=0){c=1;do{Yi(f[a>>2]|0,f[h>>2]|0,0,e)|0;c=c+1|0}while((Hj(f[a>>2]|0,c,0,e)|0)<=0)}c=f[e>>2]|0;if((c|0)==107){f[e>>2]=0;break}if((c|0)>0){Fg(f[h>>2]|0,e)|0;vj(56994);e=f[e>>2]|0;u=O;return e|0}}else{Yi(f[a>>2]|0,f[h>>2]|0,0,e)|0;Hj(f[a>>2]|0,f[g>>2]|0,0,e)|0;Yi(f[a>>2]|0,f[h>>2]|0,0,e)|0;if((f[e>>2]|0)<=0){f[g>>2]=2;break}Fg(f[h>>2]|0,e)|0;vj(56994);e=f[e>>2]|0;u=O;return e|0}while(0);Fg(f[a>>2]|0,e)|0;K=f[h>>2]|0;f[a>>2]=K;if((Hj(K,f[g>>2]|0,0,e)|0)>0){vj(57051);e=f[e>>2]|0;u=O;return e|0}}c=d+4|0;a:while(1){switch(b[c>>0]|0){case 64:{K=19;break a}case 32:break;default:{K=23;break a}}c=c+1|0}if((K|0)==19){if(Ug(c+1|0,N,e)|0){e=f[e>>2]|0;u=O;return e|0}c=f[N>>2]|0;d=c;if((b[d>>0]|0)==32){c=d;do c=c+1|0;while((b[c>>0]|0)==32)}}else if((K|0)==23)d=0;f[J>>2]=0;ok(f[a>>2]|0,M,J)|0;g=c;if(Vg(g)|0){vj(57098);vj(g);if(d|0)Mv(d);f[e>>2]=431;e=431;u=O;return e|0}z=D+1|0;b:do if(!(f[e>>2]|0)){h=0;j=0;q=0;p=0;o=0;w=0;v=0;k=0;l=0;g=0;y=c;d=0;x=0;c:while(1){c=y;if((b[c>>0]|0)==32){i=c;do i=i+1|0;while((b[i>>0]|0)==32);c=i;m=i}else m=y;n=wz(c,52406)|0;if(!n){i=0;c=x;break b}i=Nv(n+1|0,1)|0;if(!i){K=35;break}c=m;yz(i,c,n)|0;c=c+n|0;if((n|0)<=0){c=x;break b}y=(b[c>>0]|0)==59?c+1|0:c;b[i+n>>0]=0;c=b[i>>0]|0;d:do switch(c<<24>>24){case 45:case 33:{c=i+1|0;if((hk(f[a>>2]|0,0,c,E,e)|0)>=1){zj();f[e>>2]=0;if((Ap(f[a>>2]|0,c,e)|0)>0){K=47;break c}else{m=v;n=w;c=x;break d}}if((Xi(f[a>>2]|0,f[E>>2]|0,e)|0)>0){K=40;break c}f[M>>2]=(f[M>>2]|0)+-1;f[E>>2]=-1;m=v;n=w;d=1;c=x;break}default:{b[D>>0]=0;if(c<<24>>24==32){c=i;do c=c+1|0;while((b[c>>0]|0)==32)}else c=i;m=wz(c,57292)|0;if(!m){K=55;break c}yz(D,c,m)|0;m=c+m|0;if((b[D>>0]|0)==35?(t=Cx(z,35)|0,A=Bx(D)|0,(t|0)==(D+A+-1|0)):0){c=f[E>>2]|0;if((c|0)<1){K=63;break c}b[D+(A+-1)>>0]=0;$j(z,c,G,e)|0;c=f[e>>2]|0;if(c|0){K=158;break c}Jx(z,G)|0}else K=68;e:do if((K|0)==68?(K=0,t=Cx(D,35)|0,t=(t|0)==(D+(Bx(D)|0)+-1|0),(f[E>>2]|0)>0&t):0){f[J>>2]=0;hk(f[a>>2]|0,0,D,I,J)|0;switch(f[J>>2]|0){case 0:case 237:break e;default:{}}zj();Jx(H,D)|0;t=H+((Bx(H)|0)+-1)|0;b[t>>0]=0;$j(H,f[E>>2]|0,G,e)|0;if(f[e>>2]|0){K=71;break c}f[J>>2]=0;if(!(In(f[a>>2]|0,G,B,J)|0))Jx(D,G)|0}while(0);if((b[m>>0]|0)==40){b[G>>0]=0;c=wz(m,81758)|0;if(!c)c=m;else{yz(G,m,c)|0;c=m+c|0}xz(D,G)|0;t=D+(Bx(D)|0)|0;b[t>>0]=41;b[t+1>>0]=0;t=c+1|0}else t=m;f:while(1){switch(b[t>>0]|0){case 61:break f;case 32:break;default:{K=82;break f}}t=t+1|0}if((K|0)==82){K=0;hk(f[a>>2]|0,0,D,I,e)|0;c=f[e>>2]|0;g:do if((c|0)==237){m=v;n=w;c=q;h:while(1){q=f[I>>2]|0;f[E>>2]=q;if(!g){g=Nv(999,4)|0;h=g;j=g;r=g;p=g;o=g;n=g;m=g;k=g;l=g}else r=c;f[g+(q+-1<<2)>>2]=1;hk(f[a>>2]|0,0,D,I,e)|0;c=f[e>>2]|0;switch(c|0){case 237:{c=r;break}case 219:break h;default:{s=c;c=1;K=87;break g}}}f[e>>2]=999;q=r;c=1}else{s=c;m=v;n=w;r=q;c=x;K=87}while(0);do if((K|0)==87){K=0;if((s|0)>=1)if((s|0)==999){q=r;break}else{K=93;break c}q=f[I>>2]|0;f[E>>2]=q;if(!g){g=Nv(999,4)|0;h=g;j=g;r=g;p=g;o=g;n=g;m=g;k=g;c=g}else c=l;f[g+(q+-1<<2)>>2]=1;l=c;q=r;c=1;break d}while(0);f[e>>2]=0;break d}r=t+1|0;if((b[r>>0]|0)==61){m=t+2|0;while(1)if((b[m>>0]|0)==32)m=m+1|0;else break;b[G>>0]=0;c=wz(m,94907)|0;if(c|0)yz(G,m,c)|0;if((hk(f[a>>2]|0,0,G,E,e)|0)>=1){zj();f[e>>2]=0;if((Fp(f[a>>2]|0,G,D,e)|0)>0){K=114;break c}else{m=v;n=w;c=x;break d}}$j(92381,f[E>>2]|0,F,e)|0;if((np(f[a>>2]|0,F,D,0,e)|0)>0){K=105;break c}if(!g){g=Nv(999,4)|0;h=g;j=g;q=g;p=g;o=g;n=g;m=g;k=g;c=g}else{n=w;m=v;c=l}f[g+((f[E>>2]|0)+-1<<2)>>2]=1;l=c;c=1;break d}b[C>>0]=0;b[G>>0]=0;c=b[D>>0]|0;if(c<<24>>24==32){c=D;while(1){m=c+1|0;c=b[m>>0]|0;if(c<<24>>24==32)c=m;else break}}else m=D;n=wz(m,57600)|0;if(n){yz(G,m,n)|0;m=m+n|0;c=b[m>>0]|0}do if(c<<24>>24==40){c=m+1|0;b[C>>0]=0;if((b[c>>0]|0)==32)do c=c+1|0;while((b[c>>0]|0)==32);m=wz(c,81758)|0;if(!m)break;yz(C,c,m)|0}while(0);t=f[a>>2]|0;if((mj(t,r,t,G,C,e)|0)>0){K=129;break c}f[J>>2]=0;hk(f[a>>2]|0,0,G,I,J)|0;if(f[J>>2]|0){zj();m=v;n=w;c=x;break d}c=f[I>>2]|0;f[E>>2]=c;if(!g){g=Nv(999,4)|0;h=g;j=g;q=g;p=g;o=g;n=g;m=g;k=g;l=g}else{n=w;m=v}f[g+(c+-1<<2)>>2]=1;c=f[M>>2]|0;if((f[E>>2]|0)<=(c|0)){c=1;break d}f[M>>2]=c+1;c=1}}while(0);Mv(i);if(f[e>>2]|0){i=0;break b}else{w=n;v=m;x=c}}switch(K|0){case 35:{vj(57140);f[e>>2]=113;i=0;c=x;break b}case 40:{vj(57205);vj(i);if(g|0)Mv(l);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);e=f[e>>2]|0;u=O;return e|0}case 47:{vj(57244);vj(i);if(g|0)Mv(k);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);e=f[e>>2]|0;u=O;return e|0}case 55:{vj(57296);vj(i);if(g|0)Mv(v);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);f[e>>2]=125;e=125;u=O;return e|0}case 63:{vj(57336);vj(D);vj(57354);vj(57401);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);f[e>>2]=125;e=125;u=O;return e|0}case 71:{c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);e=f[e>>2]|0;u=O;return e|0}case 93:{vj(57444);vj(t);if(g|0)Mv(n);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);f[e>>2]=125;e=125;u=O;return e|0}case 105:{vj(57492);vj(57530);vj(G);vj(57541);vj(D);if(g|0)Mv(o);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);e=f[e>>2]|0;u=O;return e|0}case 114:{vj(57552);vj(i);if(g|0)Mv(p);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);e=f[e>>2]|0;u=O;return e|0}case 129:{vj(57602);if(g|0)Mv(q);c=f[N>>2]|0;if(c|0)Mv(c);Mv(i);e=f[e>>2]|0;u=O;return e|0}case 158:{u=O;return c|0}}}else{j=0;h=0;i=0;g=0;d=0;c=0}while(0);i:do if(!((d|0)!=0|(c|0)==0)?(L=f[M>>2]|0,(L|0)>0):0){c=L;while(1){d=c;c=c+-1|0;if((f[g+(c<<2)>>2]|0)==0?(Xi(f[a>>2]|0,d,e)|0)>0:0)break;if((d|0)<=1)break i}vj(57205);vj(i);Mv(j);c=f[N>>2]|0;if(c|0)Mv(c);if(i|0)Mv(i);e=f[e>>2]|0;u=O;return e|0}while(0);if(g|0)Mv(h);c=f[N>>2]|0;if(c|0)Mv(c);if(i|0)Mv(i);e=f[e>>2]|0;u=O;return e|0}function Og(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;j=u;u=u+16|0;h=j+4|0;i=j;a:do if((Lg(h,b,d)|0)<=0){qk(f[a>>2]|0,i)|0;b=f[a>>2]|0;if(!(f[(f[b+4>>2]|0)+20>>2]|0)){e=f[i>>2]|0;b:do if((e|0)>1){g=1;while(1){Hj(b,g,0,d)|0;g=g+1|0;if((Yi(f[a>>2]|0,f[h>>2]|0,0,d)|0)>0)break;e=f[i>>2]|0;b=f[a>>2]|0;if((g|0)>=(e|0))break b}Fg(f[h>>2]|0,d)|0;break a}while(0);Hj(b,e,0,d)|0;b=f[a>>2]|0}if((Rg(b,f[h>>2]|0,c,d)|0)>0){Fg(f[h>>2]|0,d)|0;break}e=f[a>>2]|0;b=(f[i>>2]|0)+1|0;do if(!(f[(f[e+4>>2]|0)+20>>2]|0)){if((Hj(e,b,0,d)|0)<=0)do{Yi(f[a>>2]|0,f[h>>2]|0,0,d)|0;b=b+1|0}while((Hj(f[a>>2]|0,b,0,d)|0)<=0);e=f[d>>2]|0;if((e|0)==107){f[d>>2]=0;g=b;break}if((e|0)>0){Fg(f[h>>2]|0,d)|0;break a}else g=b}else g=b;while(0);Fg(f[a>>2]|0,d)|0;e=f[h>>2]|0;f[a>>2]=e;b=f[i>>2]|0;if((g+-1|0)!=(b|0)){Hj(e,b,0,d)|0;break}if((Kj(e,d)|0)>0)Fg(f[a>>2]|0,d)|0}else{vj(56560);vj(b)}while(0);u=j;return f[d>>2]|0}function Pg(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+16|0;k=l+4|0;j=l;a:do if(b[c>>0]|0){if((Lg(k,c,e)|0)>0){vj(56503);vj(c);break}qk(f[a>>2]|0,j)|0;h=f[a>>2]|0;b:do if(!(f[(f[h+4>>2]|0)+20>>2]|0)){g=f[j>>2]|0;if((g|0)>1){Hj(h,1,0,e)|0;if((Yi(f[a>>2]|0,f[k>>2]|0,0,e)|0)<=0){h=2;while(1){g=f[j>>2]|0;if((h|0)>=(g|0))break b;Hj(f[a>>2]|0,h,0,e)|0;if((Yi(f[a>>2]|0,f[k>>2]|0,0,e)|0)>0)break;else h=h+1|0}}Fg(f[k>>2]|0,e)|0;break a}}else{Hj(h,1,0,e)|0;if((Yi(f[a>>2]|0,f[k>>2]|0,0,e)|0)>0){Fg(f[k>>2]|0,e)|0;break a}else{g=f[j>>2]|0;break}}while(0);Hj(f[a>>2]|0,g,0,e)|0;h=(Zi(f[a>>2]|0,f[k>>2]|0,e)|0)>0;g=f[k>>2]|0;if(h){Fg(g,e)|0;break}op(g,106765,0,0,0,e)|0;h=f[k>>2]|0;g=(f[h+4>>2]|0)+936|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;if((Kj(h,e)|0)>0){Fg(f[k>>2]|0,e)|0;break}else{g=f[a>>2]|0;h=f[k>>2]|0;i=19;break}}else{h=f[a>>2]|0;f[k>>2]=h;g=h;i=19}while(0);c:do if((i|0)==19){i=(lj(g,h,d,e)|0)>0;g=(b[c>>0]|0)!=0;if(i){if(!g)break;Fg(f[k>>2]|0,e)|0;break}if(g){h=f[a>>2]|0;do if(!(f[(f[h+4>>2]|0)+20>>2]|0)){g=(f[j>>2]|0)+1|0;if((Hj(h,g,0,e)|0)<=0)do{Yi(f[a>>2]|0,f[k>>2]|0,0,e)|0;g=g+1|0}while((Hj(f[a>>2]|0,g,0,e)|0)<=0);g=f[e>>2]|0;if((g|0)==107){f[e>>2]=0;break}if((g|0)>0){Fg(f[k>>2]|0,e)|0;break c}}else f[j>>2]=2;while(0);Fg(f[a>>2]|0,e)|0;k=f[k>>2]|0;f[a>>2]=k;Hj(k,f[j>>2]|0,0,e)|0}}while(0);u=l;return f[e>>2]|0}function Qg(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0.0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+32|0;l=n+24|0;m=n;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;f[m+16>>2]=0;f[m+20>>2]=0;while(1){f[l>>2]=c;if((b[c>>0]|0)==32)c=c+1|0;else break}if(vw(c,55444,8)|0?vw(c,56494,8)|0:0){f[d>>2]=125;m=125;u=n;return m|0}c=c+8|0;a:while(1){f[l>>2]=c;e=b[c>>0]|0;switch(e<<24>>24){case 82:case 114:{j=9;break a}case 71:case 103:{j=11;break a}case 80:case 112:{j=13;break a}case 72:case 104:{j=15;break a}case 32:break;default:{k=11;i=0;break a}}c=c+1|0}b:do if((j|0)==9)while(1){switch(e<<24>>24){case 0:case 59:case 32:{k=11;i=0;break b}default:{}}j=c+1|0;f[l>>2]=j;e=b[j>>0]|0;c=j;j=9}else if((j|0)==11)while(1){switch(e<<24>>24){case 0:case 59:case 32:{k=21;i=0;break b}default:{}}j=c+1|0;f[l>>2]=j;e=b[j>>0]|0;c=j;j=11}else if((j|0)==13)while(1){switch(e<<24>>24){case 0:case 59:case 32:{k=31;i=0;break b}default:{}}j=c+1|0;f[l>>2]=j;e=b[j>>0]|0;c=j;j=13}else if((j|0)==15){c=c+1|0;f[l>>2]=c;e=b[c>>0]|0;switch(e<<24>>24){case 83:case 115:{i=1;break}default:i=0}while(1){switch(e<<24>>24){case 0:case 59:case 32:{k=41;break b}default:{}}k=c+1|0;f[l>>2]=k;e=b[k>>0]|0;c=k}}while(0);if(e<<24>>24==32)do{c=c+1|0;f[l>>2]=c;e=b[c>>0]|0}while(e<<24>>24==32);if(((e<<24>>24)+-48|0)>>>0<10){j=0;do{e=vz(c)|0;f[m+(j<<2)>>2]=e;j=j+1|0;e=b[c>>0]|0;if(((e<<24>>24)+-48|0)>>>0<10)do{c=c+1|0;f[l>>2]=c;e=b[c>>0]|0}while(((e<<24>>24)+-48|0)>>>0<10);if(e<<24>>24==44){c=c+1|0;f[l>>2]=c;e=b[c>>0]|0}if(e<<24>>24==32)do{c=c+1|0;f[l>>2]=c;e=b[c>>0]|0}while(e<<24>>24==32)}while((j|0)<9&((e<<24>>24)+-48|0)>>>0<10)}c:do if(e<<24>>24==59){do{c=c+1|0;f[l>>2]=c;e=b[c>>0]|0}while(e<<24>>24==32);h=-99.0;j=1;g=0.0;d:while(1){e:while(1){switch(e<<24>>24){case 0:{c=j;break c}case 81:case 113:break e;case 83:case 115:break;default:break d}do{c=c+1|0;f[l>>2]=c}while((b[c>>0]|0)==32);g=+sz(c,l);c=f[l>>2]|0;f:while(1){e=b[c>>0]|0;switch(e<<24>>24){case 44:case 32:break;default:break f}e=c+1|0;f[l>>2]=e;c=e}}e=c+1|0;f[l>>2]=e;switch(b[e>>0]|0){case 90:case 122:{c=c+2|0;f[l>>2]=c;j=2;break}case 48:{c=c+2|0;f[l>>2]=c;j=-1;break}default:c=e}if((b[c>>0]|0)==32)do{c=c+1|0;f[l>>2]=c}while((b[c>>0]|0)==32);h=+sz(c,l);c=f[l>>2]|0;g:while(1){e=b[c>>0]|0;switch(e<<24>>24){case 44:case 32:break;default:break g}e=c+1|0;f[l>>2]=e;c=e}}f[d>>2]=125;m=125;u=n;return m|0}else{h=-99.0;c=1;g=0.0}while(0);Zr(a,k,d)|0;_r(a,6,m,d)|0;if((k|0)==41){bs(a,g,d)|0;cs(a,i,d)|0}if(h!=-99.0){$r(a,h,d)|0;as(a,c,d)|0}m=f[d>>2]|0;u=n;return m|0}function Rg(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0.0,T=0.0,U=0;R=u;u=u+400|0;L=R+228|0;Q=R+224|0;k=R+220|0;P=R+184|0;w=R+180|0;v=R+176|0;t=R+172|0;M=R+136|0;O=R+100|0;N=R+64|0;o=R+60|0;r=R+313|0;j=R+232|0;x=R+56|0;K=R+52|0;s=R+16|0;q=R+8|0;n=R;g=P;h=4676;i=g+36|0;do{f[g>>2]=f[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(i|0));g=M;h=4676;i=g+36|0;do{f[g>>2]=f[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(i|0));g=O;h=4676;i=g+36|0;do{f[g>>2]=f[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(i|0));g=N;h=4676;i=g+36|0;do{f[g>>2]=f[h>>2];g=g+4|0;h=h+4|0}while((g|0)<(i|0));g=f[e>>2]|0;if((g|0)>0){e=g;u=R;return e|0}Gk(a,L,e)|0;Ik(a,Q,e)|0;if((Hk(a,f[Q>>2]|0,P,e)|0)>0){e=f[e>>2]|0;u=R;return e|0}g=f[Q>>2]|0;if((g+-1|0)>>>0>3){vj(56608);f[e>>2]=212;e=212;u=R;return e|0}ar(c,f[L>>2]|0,g,P,e)|0;En(a,k,0,e)|0;if((f[k>>2]|0)>=4){g=4;while(1){Tn(a,g,j,e)|0;if((Nk(j)|0)>20)cr(c,j,e)|0;if((g|0)<(f[k>>2]|0))g=g+1|0;else break}}if((f[e>>2]|0)>0){vj(56676);e=f[e>>2]|0;u=R;return e|0}f[o>>2]=d;a:do if((f[Q>>2]|0)>0){l=r+2|0;m=0;while(1){if((Sg(o,w,v,t,e)|0)>0){y=15;break}h=f[v>>2]|0;if(h){g=f[w>>2]|0;i=f[P+(m<<2)>>2]|0;if(!g){f[w>>2]=i;j=i;g=i}else y=20}else{h=f[P+(m<<2)>>2]|0;f[v>>2]=h;g=f[w>>2]|0;i=h;y=20}if((y|0)==20){y=0;if((g|0)>(i|0)){y=22;break}else j=i}if((h|0)>(j|0)){y=22;break}i=M+(m<<2)|0;f[i>>2]=g;j=O+(m<<2)|0;f[j>>2]=h;J=f[t>>2]|0;k=N+(m<<2)|0;f[k>>2]=J;J=(J+((g|0)>(h|0)?g-h|0:h-g|0)|0)/(J|0)|0;f[s+(m<<2)>>2]=J;m=m+1|0;$j(98894,m,r,e)|0;op(c,r,J,((J|0)<0)<<31>>31,0,e)|0;if(!((f[i>>2]|0)==1?(f[k>>2]|0)==1:0)){h=-1;y=26}if((y|0)==26)while(1){y=0;$j(87523,m,r,e)|0;g=(h|0)!=-1;if(g){J=Bx(r)|0;b[r+J>>0]=h+65;b[r+(J+1)>>0]=0}f[x>>2]=0;do if(!(Kn(a,82,r,q,0,x)|0)){J=f[i>>2]|0;S=+(J|0);T=+p[q>>3];S=((J|0)>(f[j>>2]|0)?S-T:T-S)/+(f[k>>2]|0)+1.0;p[q>>3]=S;sp(c,r,S,15,0,e)|0;if((f[k>>2]|0)==1?(f[i>>2]|0)<=(f[j>>2]|0):0)break;$j(87529,m,r,e)|0;if(g){J=Bx(r)|0;b[r+J>>0]=h+65;b[r+(J+1)>>0]=0}f[x>>2]=0;if(!(Kn(a,82,r,n,0,x)|0)){J=f[k>>2]|0;T=+p[n>>3]*+(((f[i>>2]|0)>(f[j>>2]|0)?0-J|0:J)|0);p[n>>3]=T;sp(c,r,T,15,0,e)|0}$j(56832,m,r,e)|0;if(g){g=Bx(r)|0;b[r+g>>0]=h+65;b[r+(g+1)>>0]=0;g=0}else g=0;do{b[l>>0]=g+49;f[x>>2]=0;if(!(Kn(a,82,r,n,0,x)|0)){J=f[k>>2]|0;T=+p[n>>3]*+(((f[i>>2]|0)>(f[j>>2]|0)?0-J|0:J)|0);p[n>>3]=T;sp(c,r,T,15,0,e)|0}g=g+1|0}while((g|0)!=9)}while(0);h=h+1|0;if((h|0)==26)break;else y=26}if((m|0)>=(f[Q>>2]|0))break a}if((y|0)==15){vj(56730);vj(d);e=f[e>>2]|0;u=R;return e|0}else if((y|0)==22){vj(56783);vj(d);f[e>>2]=212;e=212;u=R;return e|0}}while(0);if((Kj(c,e)|0)>0){e=f[e>>2]|0;u=R;return e|0}Mr(a,1.0,0.0,e)|0;Mr(c,1.0,0.0,e)|0;l=f[s>>2]|0;B=f[L>>2]|0;B=Lv(X((((B|0)>-1?B:0-B|0)|0)/8|0,l)|0)|0;if(!B){vj(56837);f[e>>2]=113;e=113;u=R;return e|0}v=M+4|0;m=f[v>>2]|0;w=O+4|0;x=f[w>>2]|0;C=(m|0)>(x|0);n=N+4|0;H=f[n>>2]|0;H=((C?m-x|0:x-m|0)+H|0)/(H|0)|0;x=M+8|0;o=f[x>>2]|0;y=O+8|0;z=f[y>>2]|0;D=(o|0)>(z|0);q=N+8|0;I=f[q>>2]|0;I=((D?o-z|0:z-o|0)+I|0)/(I|0)|0;z=M+12|0;d=f[z>>2]|0;A=O+12|0;J=f[A>>2]|0;E=(d|0)>(J|0);r=N+12|0;g=f[r>>2]|0;J=((E?d-J|0:J-d|0)+g|0)/(g|0)|0;b:do if((J|0)>0){F=(I|0)>0;G=(H|0)>0;s=((l|0)<0)<<31>>31;t=X(l,H)|0;h=1;i=0;while(1){k=X(g,i)|0;k=(E?0-k|0:k)+d|0;f[z>>2]=k;f[A>>2]=k;if(F){g=h;k=0;do{j=X(f[q>>2]|0,k)|0;j=(D?0-j|0:j)+o|0;f[x>>2]=j;f[y>>2]=j;if(G){h=g;j=0;while(1){U=X(f[n>>2]|0,j)|0;U=(C?0-U|0:U)+m|0;f[v>>2]=U;f[w>>2]=U;switch(f[L>>2]|0){case 8:{ml(a,1,f[Q>>2]|0,P,M,O,N,0,B,K,e)|0;Vp(c,1,h,((h|0)<0)<<31>>31,l,s,B,e)|0;break}case 16:{Zl(a,1,f[Q>>2]|0,P,M,O,N,0,B,K,e)|0;iq(c,1,h,((h|0)<0)<<31>>31,l,s,B,e)|0;break}case 32:{Am(a,1,f[Q>>2]|0,P,M,O,N,0,B,K,e)|0;xq(c,1,h,((h|0)<0)<<31>>31,l,s,B,e)|0;break}case -32:{Ml(a,1,f[Q>>2]|0,P,M,O,N,-9.119119840596153e-36,B,K,e)|0;gq(c,1,h,((h|0)<0)<<31>>31,l,s,B,-9.119119840596153e-36,e)|0;break}case -64:{yl(a,1,f[Q>>2]|0,P,M,O,N,-9.1191291391491e-36,B,K,e)|0;bq(c,1,h,((h|0)<0)<<31>>31,l,s,B,-9.1191291391491e-36,e)|0;break}case 64:{vm(a,1,f[Q>>2]|0,P,M,O,N,0,0,B,K,e)|0;sq(c,1,h,((h|0)<0)<<31>>31,l,s,B,e)|0;break}default:{}}j=j+1|0;if((j|0)==(H|0))break;else h=h+l|0}g=t+g|0}k=k+1|0}while((k|0)!=(I|0));h=g}i=i+1|0;if((i|0)==(J|0))break b;g=f[r>>2]|0}}while(0);Mv(B);g=f[e>>2]|0;if((g|0)<=0){U=g;u=R;return U|0}vj(56890);U=f[e>>2]|0;u=R;return U|0}function Sg(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+80|0;k=n;l=n+4|0;i=f[h>>2]|0;if((i|0)>0){h=i;u=n;return h|0}a:do if(!(Tg(a,52367,l,k)|0)){d[l>>1]=42;m=5}else{switch(b[l>>0]|0){case 42:{m=5;break a}case 45:{if((b[l+1>>0]|0)==42){f[c>>2]=0;i=1;break a}break}default:{}}if(f[k>>2]|0?(j=f[a>>2]|0,(b[j>>0]|0)==58):0){i=vz(l)|0;f[c>>2]=i;f[a>>2]=j+1;j=(Tg(a,52367,l,k)|0)!=0;if(j&(f[k>>2]|0)!=0){i=vz(l)|0;break}f[h>>2]=125;h=125;u=n;return h|0}f[h>>2]=125;h=125;u=n;return h|0}while(0);if((m|0)==5){f[c>>2]=1;i=0}f[e>>2]=i;j=f[a>>2]|0;do if((b[j>>0]|0)==58){f[a>>2]=j+1;m=(Tg(a,56943,l,k)|0)!=0;if(m&(f[k>>2]|0)!=0){k=vz(l)|0;j=f[a>>2]|0;break}f[h>>2]=125;h=125;u=n;return h|0}else k=1;while(0);f[g>>2]=k;i=b[j>>0]|0;if(i<<24>>24==44){i=j;m=19}else m=20;while(1)if((m|0)==19){j=i+1|0;f[a>>2]=j;i=b[j>>0]|0;m=20;continue}else if((m|0)==20)if(i<<24>>24==32){i=j;m=19;continue}else break;if((f[c>>2]|0)>=0?!((f[e>>2]|0)<0|(k|0)<1):0){h=f[h>>2]|0;u=n;return h|0}f[h>>2]=125;h=125;u=n;return h|0}function Tg(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+80|0;h=j;i=j+4|0;b[d>>0]=0;g=f[a>>2]|0;if((b[g>>0]|0)==32)do{g=g+1|0;f[a>>2]=g}while((b[g>>0]|0)==32);c=wz(g,c)|0;if(!c){u=j;return c|0}yz(d,g,c)|0;f[a>>2]=(f[a>>2]|0)+c;if(!e){u=j;return c|0}f[e>>2]=1;if(!(Cx(d,68)|0))+sz(d,h);else{Vy(i,d,72)|0;b[i+72>>0]=0;g=Cx(i,68)|0;f[h>>2]=g;if(g|0)b[g>>0]=69;+sz(i,h)}switch(b[f[h>>2]>>0]|0){case 32:case 0:break;default:f[e>>2]=0}i=Wv()|0;if((f[i>>2]|0)!=34){u=j;return c|0}f[e>>2]=0;u=j;return c|0}function Ug(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+272|0;g=p;n=p+8|0;e=f[d>>2]|0;if((e|0)>0){o=e;u=p;return o|0}e=Lv(1024)|0;if(!e){vj(57633);f[d>>2]=113;o=113;u=p;return o|0}b[e>>0]=0;m=ey(a,96427)|0;if(!m){f[g>>2]=a;ww(n,57687,g)|0;vj(n);Mv(e);f[d>>2]=104;o=104;u=p;return o|0}l=n+1|0;j=1024;a=1;k=0;a:while(1){b:do if(a)while(1){if(!(ny(n,256,m)|0))break a;a=Bx(n)|0;g=(a|0)>1;if(!(g&(b[n>>0]|0)==47)){o=8;break b}if((b[l>>0]|0)!=47){g=1;o=9;break}}else{if(!(ny(n,256,m)|0))break a;g=Bx(n)|0;a=g;g=(g|0)>1;o=8}while(0);if((o|0)==8){o=0;if((a|0)>0)o=9;else h=0}c:do if((o|0)==9){o=0;i=a+-1|0;h=n+i|0;switch(b[h>>0]|0){case 13:case 10:break;default:{h=0;break c}}b[h>>0]=0;if(g){a=a+-2|0;g=n+a|0;switch(b[g>>0]|0){case 13:case 10:break;default:{h=1;a=i;break c}}b[g>>0]=0;h=1}else{h=1;a=i}}while(0);g=a+k|0;if((g+3|0)>=(j|0)){a=j+256|0;e=Ov(e,a)|0;if(!e){o=15;break}}else a=j;Jx(e+k|0,n)|0;if(!h){j=a;a=0;k=g;continue}j=e+g|0;b[j>>0]=32;b[j+1>>0]=0;j=a;a=1;k=g+1|0}if((o|0)==15){vj(57633);f[d>>2]=113;e=0}ky(m)|0;f[c>>2]=e;o=f[d>>2]|0;u=p;return o|0}function Vg(a){a=a|0;var c=0,d=0,e=0;e=u;u=u+16|0;d=e;f[d>>2]=a;a:while(1){c=b[a>>0]|0;switch(c<<24>>24){case 0:{a=0;c=16;break a}case 44:{b[a>>0]=59;f[d>>2]=a+1;break}case 40:{f[d>>2]=a+1;if(Wg(d)|0){a=1;c=16;break a}break}case 91:{f[d>>2]=a+1;if(Xg(d)|0){a=1;c=16;break a}break}case 123:{f[d>>2]=a+1;if(Yg(d)|0){a=1;c=16;break a}break}case 34:{c=a+1|0;f[d>>2]=c;do{a=b[c>>0]|0;if(!(a<<24>>24)){a=1;c=16;break a}c=c+1|0}while(a<<24>>24!=34);f[d>>2]=c;break}default:{a=a+1|0;f[d>>2]=a;if(c<<24>>24==39){c=a;do{a=b[c>>0]|0;if(!(a<<24>>24)){a=1;c=16;break a}c=c+1|0}while(a<<24>>24!=39);f[d>>2]=c}}}a=f[d>>2]|0}if((c|0)==16){u=e;return a|0}return 0}function Wg(a){a=a|0;var c=0,d=0,e=0,g=0;g=u;u=u+16|0;e=g;c=f[a>>2]|0;f[e>>2]=c;a:while(1){d=b[c>>0]|0;switch(d<<24>>24){case 41:{d=3;break a}case 0:{c=1;d=16;break a}case 40:{f[e>>2]=c+1;if(Wg(e)|0){c=1;d=16;break a}break}case 91:{f[e>>2]=c+1;if(Xg(e)|0){c=1;d=16;break a}break}case 123:{f[e>>2]=c+1;if(Yg(e)|0){c=1;d=16;break a}break}case 34:{d=c+1|0;f[e>>2]=d;do{c=b[d>>0]|0;if(!(c<<24>>24)){c=1;d=16;break a}d=d+1|0}while(c<<24>>24!=34);f[e>>2]=d;break}default:{c=c+1|0;f[e>>2]=c;if(d<<24>>24==39){d=c;do{c=b[d>>0]|0;if(!(c<<24>>24)){c=1;d=16;break a}d=d+1|0}while(c<<24>>24!=39);f[e>>2]=d}}}c=f[e>>2]|0}if((d|0)==3){f[a>>2]=c+1;a=0;u=g;return a|0}else if((d|0)==16){u=g;return c|0}return 0}function Xg(a){a=a|0;var c=0,d=0,e=0,g=0;g=u;u=u+16|0;e=g;c=f[a>>2]|0;f[e>>2]=c;a:while(1){d=b[c>>0]|0;switch(d<<24>>24){case 93:{d=3;break a}case 0:{c=1;d=16;break a}case 40:{f[e>>2]=c+1;if(Wg(e)|0){c=1;d=16;break a}break}case 91:{f[e>>2]=c+1;if(Xg(e)|0){c=1;d=16;break a}break}case 123:{f[e>>2]=c+1;if(Yg(e)|0){c=1;d=16;break a}break}case 34:{d=c+1|0;f[e>>2]=d;do{c=b[d>>0]|0;if(!(c<<24>>24)){c=1;d=16;break a}d=d+1|0}while(c<<24>>24!=34);f[e>>2]=d;break}default:{c=c+1|0;f[e>>2]=c;if(d<<24>>24==39){d=c;do{c=b[d>>0]|0;if(!(c<<24>>24)){c=1;d=16;break a}d=d+1|0}while(c<<24>>24!=39);f[e>>2]=d}}}c=f[e>>2]|0}if((d|0)==3){f[a>>2]=c+1;a=0;u=g;return a|0}else if((d|0)==16){u=g;return c|0}return 0}function Yg(a){a=a|0;var c=0,d=0,e=0,g=0;g=u;u=u+16|0;e=g;c=f[a>>2]|0;f[e>>2]=c;a:while(1){d=b[c>>0]|0;switch(d<<24>>24){case 125:{d=3;break a}case 0:{c=1;d=16;break a}case 40:{f[e>>2]=c+1;if(Wg(e)|0){c=1;d=16;break a}break}case 91:{f[e>>2]=c+1;if(Xg(e)|0){c=1;d=16;break a}break}case 123:{f[e>>2]=c+1;if(Yg(e)|0){c=1;d=16;break a}break}case 34:{d=c+1|0;f[e>>2]=d;do{c=b[d>>0]|0;if(!(c<<24>>24)){c=1;d=16;break a}d=d+1|0}while(c<<24>>24!=34);f[e>>2]=d;break}default:{c=c+1|0;f[e>>2]=c;if(d<<24>>24==39){d=c;do{c=b[d>>0]|0;if(!(c<<24>>24)){c=1;d=16;break a}d=d+1|0}while(c<<24>>24!=39);f[e>>2]=d}}}c=f[e>>2]|0}if((d|0)==3){f[a>>2]=c+1;a=0;u=g;return a|0}else if((d|0)==16){u=g;return c|0}return 0}function Zg(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;i=f[h>>2]|0;if((i|0)>0){c=i;return c|0}q=(c|0)!=0;if(q)b[c>>0]=0;o=(d|0)!=0;if(o)b[d>>0]=0;l=(e|0)!=0;if(l)b[e>>0]=0;n=(g|0)!=0;if(n)b[g>>0]=0;a:while(1){switch(b[a>>0]|0){case 45:{m=12;break a}case 32:break;default:{m=13;break a}}a=a+1|0}if((m|0)==12)switch(b[a+1>>0]|0){case 32:case 0:{m=15;break}default:m=13}b:do if((m|0)==13)if((tw(a,59154)|0)!=0?(tw(a,59161)|0)!=0:0){j=Cy(a,84739)|0;if(!j){if(q){k=c+(Bx(c)|0)|0;j=k;b[j>>0]=102;b[j+1>>0]=105;b[j+2>>0]=108;b[j+3>>0]=101;k=k+4|0;b[k>>0]=58;b[k+1>>0]=47;b[k+2>>0]=47;b[k+3>>0]=0}}else{do if(q){i=j-a+3|0;if((i|0)<=19){yz(c,a,i)|0;break}f[h>>2]=125;c=125;return c|0}while(0);a=j+3|0}j=Cx(a,40)|0;k=Cx(a,91)|0;i=(j|0)==0;do if(o){if(!i){i=j-a|0;if((i|0)<=1024){yz(d,a,i)|0;m=38;break}f[h>>2]=125;c=125;return c|0}if(!k){if((Bx(a)|0)>>>0<=1024){Jx(d,a)|0;break}f[h>>2]=125;c=125;return c|0}else{i=k-a|0;if((i|0)<=1024){yz(d,a,i)|0;m=45;break}f[h>>2]=125;c=125;return c|0}}else if(i)m=44;else m=38;while(0);do if((m|0)==38){a=j+1|0;i=Cx(a,41)|0;if(!i){f[h>>2]=125;c=125;return c|0}if(l){i=i-a|0;if((i|0)<=1024){yz(e,a,i)|0;m=44;break}f[h>>2]=125;c=125;return c|0}else m=44}while(0);if((m|0)==44?k|0:0)m=45;do if((m|0)==45){a=k+1|0;i=Cx(a,93)|0;if(!i){f[h>>2]=125;c=125;return c|0}if(n){i=i-a|0;if((i|0)<=1024){yz(g,a,i)|0;break}f[h>>2]=125;c=125;return c|0}}while(0);if((q&o?(tw(c,85131)|0)==0:0)?(p=Cy(d,62740)|0,p|0):0){switch(b[p+3>>0]|0){case 32:case 0:break;default:break b}i=c;a=53817;j=i+19|0;do{b[i>>0]=b[a>>0]|0;i=i+1|0;a=a+1|0}while((i|0)<(j|0))}}else m=15;while(0);if((m|0)==15?q:0){i=c;a=85390;j=i+10|0;do{b[i>>0]=b[a>>0]|0;i=i+1|0;a=a+1|0}while((i|0)<(j|0))}c=f[h>>2]|0;return c|0}function _g(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+112|0;m=n+12|0;g=n+8|0;l=n+4|0;k=n;j=n+16|0;f[g>>2]=0;e=f[d>>2]|0;if((e|0)>0){m=e;u=n;return m|0}do if(c|0?b[c>>0]|0:0){Jg(m,c,0,g)|0;if(f[g>>2]|0){wj(2,j);Uo(a,c,d)|0;Hj(a,1,0,d)|0;break}Hj(f[m>>2]|0,1,0,d)|0;e=f[d>>2]|0;if((e|0)<1){i=j+25|0;do{En(f[m>>2]|0,l,k,d)|0;e=f[m>>2]|0;if((f[l>>2]|0)>=1){h=1;while(1){Tn(e,h,j,d)|0;if((vw(j,67404,8)|0)==0?vw(i,59117,5)|0:0){e=j;c=59123;g=e+30|0;do{b[e>>0]=b[c>>0]|0;e=e+1|0;c=c+1|0}while((e|0)<(g|0))}cr(a,j,d)|0;e=f[m>>2]|0;if((h|0)<(f[l>>2]|0))h=h+1|0;else break}}Dk(e,1,0,d)|0;Ck(a,d)|0;e=f[d>>2]|0}while((e|0)<1)}if((e|0)==107)f[d>>2]=0;Fg(f[m>>2]|0,d)|0;Hj(a,1,0,d)|0}while(0);m=f[d>>2]|0;u=n;return m|0}function $g(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}f[d>>2]=-102;Jg(a,b,c,d)|0;d=f[d>>2]|0;return d|0}function ah(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;i=u;u=u+16|0;h=i+8|0;g=i;if((a|0)==5){Jg(b,c,d,e)|0;h=f[e>>2]|0;u=i;return h|0}else{oz(59337)|0;oz(59411)|0;oz(59489)|0;f[g>>2]=5;mz(59543,g)|0;f[h>>2]=a;mz(59596,h)|0;oz(59649)|0;oz(59719)|0;f[e>>2]=104;h=104;u=i;return h|0}return 0}function bh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=f[c>>2]|0;if((d|0)>0){c=d;return c|0}if(!a){f[c>>2]=115;c=115;return c|0}d=a+4|0;if((f[(f[d>>2]|0)+16>>2]|0)==555){a=Nv(1,8)|0;f[b>>2]=a;b=f[d>>2]|0;f[a+4>>2]=b;b=b+8|0;f[b>>2]=(f[b>>2]|0)+1;c=f[c>>2]|0;return c|0}else{f[c>>2]=114;c=114;return c|0}return 0}function ch(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=rb[f[215280+((f[a+4>>2]|0)*84|0)+76>>2]&63](f[a>>2]|0,c,b)|0;do if((c|0)==107)c=107;else{if((c|0)>0){vj(58134);vj(f[a+12>>2]|0);c=108;break}d=f[d>>2]|0;return d|0}while(0);f[d>>2]=c;d=c;return d|0}function dh(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+16|0;l=n;i=f[h>>2]|0;if((i|0)>0){m=i;u=n;return m|0}f[a>>2]=0;if(f[802]|0?(j=Dg()|0,f[h>>2]=j,(j|0)>0):0){m=j;u=n;return m|0}k=f[53819]|0;do{j=k;k=k+-1|0;if((j|0)<=0){m=7;break}}while((tw(215280+(k*84|0)|0,85192)|0)!=0);if((m|0)==7){f[h>>2]=124;vj(59745);m=f[h>>2]|0;u=n;return m|0}f[h>>2]=0;g=Uh(c,d,e,g,l)|0;f[h>>2]=g;if((g|0)>0){vj(59806);m=f[h>>2]|0;u=n;return m|0}i=Nv(1,8)|0;f[a>>2]=i;if(!i){wb[f[215280+(k*84|0)+56>>2]&31](f[l>>2]|0)|0;vj(59856);f[h>>2]=113;m=113;u=n;return m|0}g=Nv(1,1728)|0;f[i+4>>2]=g;i=(f[a>>2]|0)+4|0;if(!(f[i>>2]|0)){wb[f[215280+(k*84|0)+56>>2]&31](f[l>>2]|0)|0;vj(59856);Mv(f[a>>2]|0);f[a>>2]=0;f[h>>2]=113;m=113;u=n;return m|0}g=Lv(32)|0;f[(f[i>>2]|0)+12>>2]=g;i=(f[a>>2]|0)+4|0;if(!(f[(f[i>>2]|0)+12>>2]|0)){wb[f[215280+(k*84|0)+56>>2]&31](f[l>>2]|0)|0;vj(59911);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[h>>2]=113;m=113;u=n;return m|0}g=Nv(1001,8)|0;f[(f[i>>2]|0)+88>>2]=g;i=(f[a>>2]|0)+4|0;if(!(f[(f[i>>2]|0)+88>>2]|0)){wb[f[215280+(k*84|0)+56>>2]&31](f[l>>2]|0)|0;vj(59960);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[h>>2]=113;m=113;u=n;return m|0}g=Nv(40,2880)|0;f[(f[i>>2]|0)+1244>>2]=g;i=f[(f[a>>2]|0)+4>>2]|0;if(!(f[i+1244>>2]|0)){wb[f[215280+(k*84|0)+56>>2]&31](f[l>>2]|0)|0;vj(60016);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+88>>2]|0);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[h>>2]=113;m=113;u=n;return m|0}else j=0;do{f[i+1568+(j<<2)>>2]=j;f[i+1248+(j<<2)>>2]=-1;j=j+1|0}while((j|0)!=40);f[i+84>>2]=1e3;f[i>>2]=f[l>>2];f[i+4>>2]=k;e=f[i+12>>2]|0;i=e;b[i>>0]=109;b[i+1>>0]=101;b[i+2>>0]=109;b[i+3>>0]=102;e=e+4|0;b[e>>0]=105;b[e+1>>0]=108;b[e+2>>0]=101;b[e+3>>0]=0;d=f[d>>2]|0;e=f[a>>2]|0;i=f[e+4>>2]|0;l=i+24|0;f[l>>2]=d;f[l+4>>2]=0;l=i+32|0;f[l>>2]=d;f[l+4>>2]=0;f[i+76>>2]=1;l=i+120|0;f[l>>2]=-1;f[l+4>>2]=-1;f[i+64>>2]=-1;f[i+8>>2]=1;f[i+16>>2]=555;gt(e,0,1,h)|0;e=f[(f[a>>2]|0)+4>>2]|0;i=f[h>>2]|0;if((i|0)>0){m=i;u=n;return m|0}else c=0;while(1){j=217296+(c<<2)|0;c=c+1|0;if(!(f[j>>2]|0))break;if((c|0)>=1e3){m=25;break}}if((m|0)==25){u=n;return i|0}f[j>>2]=e;m=i;u=n;return m|0}function eh(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+1056|0;l=m+1028|0;k=m;e=f[d>>2]|0;if((e|0)>0){l=e;u=m;return l|0}b[c>>0]=0;b[l>>0]=0;b[k>>0]=0;do if((b[a>>0]|0)==45){h=l+(Bx(l)|0)|0;b[h>>0]=45;b[h+1>>0]=0;a=a+1|0}else{if(vw(a,52595,5)|0?vw(a,60071,5)|0:0){g=Cy(a,84739)|0;h=Cx(a,40)|0;if(!((g|0)==0|(h|0)!=0&h>>>0<g>>>0)){e=g-a+3|0;if((e|0)<=19){yz(l,a,e)|0;a=g+3|0;break}f[d>>2]=125;l=125;u=m;return l|0}if(!(vw(a,63739,4)|0)){h=l+(Bx(l)|0)|0;b[h>>0]=b[85259]|0;b[h+1>>0]=b[85260]|0;b[h+2>>0]=b[85261]|0;b[h+3>>0]=b[85262]|0;b[h+4>>0]=b[85263]|0;b[h+5>>0]=b[85264]|0;b[h+6>>0]=b[85265]|0;a=a+4|0;break}if(!(vw(a,52601,7)|0)){e=l+(Bx(l)|0)|0;g=52609;h=e+10|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));a=a+7|0;break}if(!(vw(a,63717,5)|0)){h=l+(Bx(l)|0)|0;g=h;b[g>>0]=104;b[g+1>>0]=116;b[g+2>>0]=116;b[g+3>>0]=112;h=h+4|0;b[h>>0]=58;b[h+1>>0]=47;b[h+2>>0]=47;b[h+3>>0]=0;a=a+5|0;break}if(!(vw(a,64289,4)|0)){h=l+(Bx(l)|0)|0;b[h>>0]=b[97380]|0;b[h+1>>0]=b[97381]|0;b[h+2>>0]=b[97382]|0;b[h+3>>0]=b[97383]|0;b[h+4>>0]=b[97384]|0;b[h+5>>0]=b[97385]|0;b[h+6>>0]=b[97386]|0;a=a+4|0;break}if(!(vw(a,52619,6)|0)){e=l+(Bx(l)|0)|0;g=85203;h=e+9|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));a=a+6|0;break}else{h=(vw(a,52626,5)|0)==0;a=h?a+5|0:a;break}}h=l+(Bx(l)|0)|0;b[h>>0]=45;b[h+1>>0]=0;a=a+5|0}while(0);h=Cx(a,40)|0;e=Cx(a,91)|0;do if((h|0)!=(e|0)){g=a;if(!e){e=h-g|0;if((e|0)>1024){f[d>>2]=125;l=125;u=m;return l|0}yz(k,a,e)|0;if(Cx(h+1|0,41)|0)break;f[d>>2]=125;l=125;u=m;return l|0}if(!((h|0)!=0&h>>>0<e>>>0)){e=e-g|0;if((e|0)<=1024){yz(k,a,e)|0;break}f[d>>2]=125;l=125;u=m;return l|0}e=h-g|0;if((e|0)>1024){f[d>>2]=125;l=125;u=m;return l|0}yz(k,a,e)|0;if(!(Cx(h+1|0,41)|0)){f[d>>2]=125;l=125;u=m;return l|0}}else{if((Bx(a)|0)>>>0<=1024){xz(k,a)|0;break}f[d>>2]=125;l=125;u=m;return l|0}while(0);e=Bx(k)|0;a:do if((e|0)>1)do{e=e+-1|0;g=k+e|0;if((b[g>>0]|0)!=32)break a;b[g>>0]=0}while((e|0)>1);while(0);h=Bx(k)|0;e=h;while(1){g=e+-1|0;if((e|0)<=0)break;j=k+g|0;if((b[j>>0]|0)==43){i=45;break}else e=g}if((i|0)==45?(e|0)>1&(h-g|0)<5:0){b:do if((e|0)<(h|0))do{if(((b[k+e>>0]|0)+-48|0)>>>0>=10)break b;e=e+1|0}while((e|0)<(h|0));while(0);if((e|0)==(h|0))b[j>>0]=0}j=Bx(l)|0;if(((Bx(k)|0)+j|0)>>>0>1024){f[d>>2]=125;l=125;u=m;return l|0}else{xz(c,l)|0;xz(c,k)|0;l=f[d>>2]|0;u=m;return l|0}return 0}function fh(a,b,c){a=a|0;b=b|0;c=c|0;Jx(b,215280+((f[(f[a+4>>2]|0)+4>>2]|0)*84|0)|0)|0;return f[c>>2]|0}function gh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;i=u;u=u+16|0;c=i+4|0;e=i;f[c>>2]=999;f[e>>2]=0;if(!a){f[b>>2]=115;h=115;u=i;return h|0}g=a+4|0;if((f[(f[g>>2]|0)+16>>2]|0)!=555){f[b>>2]=114;h=114;u=i;return h|0}if((f[b>>2]|0)>0)Ij(a,c)|0;else Ij(a,b)|0;mt(a,1,b)|0;d=f[g>>2]|0;if(wb[f[215280+((f[d+4>>2]|0)*84|0)+56>>2]&31](f[d>>2]|0)|0?(f[b>>2]|0)<1:0){f[b>>2]=110;vj(60077);vj(f[(f[g>>2]|0)+12>>2]|0)}c=f[g>>2]|0;if(f[215280+((f[c+4>>2]|0)*84|0)+60>>2]|0){d=c+12|0;c=Lv((Bx(f[d>>2]|0)|0)+1|0)|0;if(!c){f[b>>2]=113;h=113;u=i;return h|0}Eg(f[d>>2]|0,0,c,0,0,0,0,0,0,0,e)|0;if(wb[f[215280+((f[(f[g>>2]|0)+4>>2]|0)*84|0)+60>>2]&31](c)|0?(vj(60122),vj(f[(f[g>>2]|0)+12>>2]|0),(f[b>>2]|0)==0):0)f[b>>2]=110;Mv(c);c=f[g>>2]|0}e=0;do{d=217296+(e<<2)|0;e=e+1|0;if((f[d>>2]|0)==(c|0)){h=21;break}}while((e|0)<1e3);if((h|0)==21){f[d>>2]=0;c=f[g>>2]|0}Mv(f[c+1244>>2]|0);Mv(f[(f[g>>2]|0)+88>>2]|0);Mv(f[(f[g>>2]|0)+12>>2]|0);Mv(f[g>>2]|0);Mv(a);h=f[b>>2]|0;u=i;return h|0}function hh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=a+4|0;if(!(f[215280+((f[(f[e>>2]|0)+4>>2]|0)*84|0)+52>>2]|0)){d=f[d>>2]|0;return d|0}else{mt(a,0,d)|0;g=f[e>>2]|0;h=g+24|0;f[h>>2]=b;f[h+4>>2]=c;h=g+56|0;f[h>>2]=b;f[h+4>>2]=c;h=g+32|0;f[h>>2]=b;f[h+4>>2]=c;g=g+48|0;f[g>>2]=b;f[g+4>>2]=c;nt(a,d)|0;a=f[e>>2]|0;a=rb[f[215280+((f[a+4>>2]|0)*84|0)+52>>2]&63](f[a>>2]|0,b,c)|0;f[d>>2]=a;d=a;return d|0}return 0}function ih(a){a=a|0;var b=0;b=f[215280+((f[a+4>>2]|0)*84|0)+68>>2]|0;if(!b){a=0;return a|0}a=wb[b&31](f[a>>2]|0)|0;return a|0}function jh(a,b,c){a=a|0;b=b|0;c=c|0;return rb[f[215280+((f[a+4>>2]|0)*84|0)+72>>2]&63](f[a>>2]|0,b,c)|0}function kh(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;if(!(rb[f[215280+((f[a+4>>2]|0)*84|0)+80>>2]&63](f[a>>2]|0,c,b)|0)){d=f[d>>2]|0;return d|0}else{vj(60168);vj(f[a+12>>2]|0);f[d>>2]=106;d=106;return d|0}return 0}function lh(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;h=u;u=u+128|0;g=h+8|0;e=h;d=h+93|0;c=h+12|0;if(!b){u=h;return}uj(b,d);f[e>>2]=b;f[e+4>>2]=d;zy(a,60203,e)|0;if(!(yj(c)|0)){u=h;return}do{f[g>>2]=c;zy(a,103825,g)|0}while((yj(c)|0)!=0);u=h;return}function mh(){var a=0;a=0;do{f[124192+(a*24|0)>>2]=0;a=a+1|0}while((a|0)!=1e3);return 0}function nh(a){a=a|0;return 0}function oh(a){a=a|0;f[a>>2]=0;return 0}function ph(a){a=a|0;f[a>>2]=10;return 0}function qh(){return 0}function rh(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;n=u;u=u+2896|0;m=n;l=n+8|0;do if(!(b[3008914]|0)){f[d>>2]=-1;e=0;while(1){if(!(f[124192+(e*24|0)>>2]|0))break;e=e+1|0;if((e|0)>=1e3){e=103;g=23;break}}if((g|0)==23){u=n;return e|0}f[d>>2]=e;if((e|0)==-1){d=103;u=n;return d|0}else{e=sh(a,c,m)|0;break}}else{e=sh(a,0,m)|0;if(e|0){b[3008914]=0;d=e;u=n;return d|0}e=th(3008914,d)|0;if(e|0){vj(60228);vj(3008914);b[3008914]=0;d=e;u=n;return d|0}k=f[m>>2]|0;e=jz(l,1,2880,k)|0;a:do if(e|0){while(1){a=f[d>>2]|0;j=124192+(a*24|0)+16|0;if((f[j>>2]|0)==1){g=124192+(a*24|0)+8|0;i=g;h=f[i>>2]|0;i=f[i+4>>2]|0;a=124192+(a*24|0)|0;if(Ay(f[a>>2]|0,h,0)|0){e=116;break}o=g;f[o>>2]=h;f[o+4>>2]=i}else{g=124192+(a*24|0)+8|0;a=124192+(a*24|0)|0}if((Vx(l,1,e,f[a>>2]|0)|0)!=(e|0)){e=106;break}i=g;i=Ez(f[i>>2]|0,f[i+4>>2]|0,e|0,((e|0)<0)<<31>>31|0)|0;o=g;f[o>>2]=i;f[o+4>>2]=I;f[j>>2]=2;e=jz(l,1,2880,k)|0;if(!e)break a}b[3008914]=0;o=e;u=n;return o|0}while(0);ky(k)|0;e=f[d>>2]|0;a=124192+(e*24|0)|0;if(!(ky(f[a>>2]|0)|0))f[a>>2]=0;f[d>>2]=e;e=sh(3008914,c,m)|0;b[3008914]=0}while(0);o=f[d>>2]|0;f[124192+(o*24|0)>>2]=f[m>>2];d=124192+(o*24|0)+8|0;f[d>>2]=0;f[d+4>>2]=0;f[124192+(o*24|0)+16>>2]=0;o=e;u=n;return o|0}function sh(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;j=u;u=u+1120|0;i=j;h=j+88|0;g=j+8|0;if((c|0)==1)f[i>>2]=6433650;else{b[i>>0]=b[88238]|0;b[i+1>>0]=b[88239]|0;b[i+2>>0]=b[88240]|0}do if((b[a>>0]|0)==126){e=a+1|0;c=b[e>>0]|0;if(c<<24>>24!=47){a=0;a:while(1){switch(c<<24>>24){case 47:case 0:break a;default:{}}b[g+a>>0]=c;k=e+1|0;c=b[k>>0]|0;e=k;a=a+1|0}b[g+a>>0]=0;a=(cb(g|0)|0)+20|0;a=f[a>>2]|0;k=Bx(a)|0;if(((Bx(e)|0)+k|0)>>>0>1023){k=104;u=j;return k|0}else{Jx(h,a)|0;xz(h,e)|0;a=h;break}}c=Ua(60455)|0;if(!c)if((Bx(a)|0)>>>0>1023){k=104;u=j;return k|0}else{Jx(h,a)|0;a=h;break}else{k=Bx(c)|0;if(((Bx(e)|0)+k|0)>>>0>1023){k=104;u=j;return k|0}else{Jx(h,c)|0;xz(h,e)|0;a=h;break}}}while(0);k=ey(a,i)|0;f[d>>2]=k;k=(k|0)==0?104:0;u=j;return k|0}function th(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+5664|0;n=p+4|0;k=p;j=p+4625|0;i=p+3600|0;e=p+3344|0;g=p+3088|0;h=p+2058|0;l=p+1033|0;m=p+8|0;f[k>>2]=0;d=Ua(60281)|0;if(d|0){if((Bx(d)|0)>>>0>200){o=105;u=p;return o|0}Jx(e,d)|0;d=Cx(e,59)|0;if(!d)b[g>>0]=0;else{b[d>>0]=0;Jx(g,d+1|0)|0}Ao(j,k)|0;d=Bx(j)|0;if((b[j+(d+-1)>>0]|0)!=47){d=j+d|0;b[d>>0]=47;b[d+1>>0]=0}d=Bx(e)|0;if(vw(e,j,d)|0){vj(60301);o=105;u=p;return o|0}Vy(h,j+d|0,50)|0;d=Cx(h,47)|0;if(!d){vj(60349);o=105;u=p;return o|0}b[d+1>>0]=0;Jx(l,e)|0;xz(l,h)|0;e=Bx(l)|0;Jx(m,g)|0;xz(m,h)|0;d=Bx(m)|0;Co(j,a,i,k)|0;if(vw(l,i,e)|0?vw(m,i,d)|0:0){vj(60406);o=105;u=p;return o|0}}f[c>>2]=-1;e=0;while(1){if(!(f[124192+(e*24|0)>>2]|0))break;d=e+1|0;if((d|0)<1e3)e=d;else{d=103;o=23;break}}if((o|0)==23){u=p;return d|0}f[c>>2]=e;if((e|0)==-1){o=103;u=p;return o|0}f[n>>2]=6433655;d=ey(a,96427)|0;if(d|0){ky(d)|0;o=105;u=p;return o|0}d=ey(a,n)|0;if(!d){o=105;u=p;return o|0}f[124192+(e*24|0)>>2]=d;o=124192+(e*24|0)+8|0;f[o>>2]=0;f[o+4>>2]=0;f[124192+(e*24|0)+16>>2]=0;o=0;u=p;return o|0}function uh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;h=124192+(a*24|0)+16|0;do if((f[h>>2]|0)==1){d=124192+(a*24|0)+8|0;g=d;e=f[g>>2]|0;g=f[g+4>>2]|0;a=124192+(a*24|0)|0;if(!(Ay(f[a>>2]|0,e,0)|0)){i=d;f[i>>2]=e;f[i+4>>2]=g;break}else{i=116;return i|0}}else{d=124192+(a*24|0)+8|0;a=124192+(a*24|0)|0}while(0);if((Vx(b,1,c,f[a>>2]|0)|0)!=(c|0)){i=106;return i|0}i=d;c=Ez(f[i>>2]|0,f[i+4>>2]|0,c|0,((c|0)<0)<<31>>31|0)|0;i=d;f[i>>2]=c;f[i+4>>2]=I;f[h>>2]=2;i=0;return i|0}function vh(a){a=a|0;a=124192+(a*24|0)|0;if(ky(f[a>>2]|0)|0){a=110;return a|0}f[a>>2]=0;a=0;return a|0}function wh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=124192+(a*24|0)|0;Az(hz(f[e>>2]|0)|0,b)|0;d=124192+(a*24|0)+8|0;if(!(Ay(f[e>>2]|0,b,0)|0)){e=d;f[e>>2]=b;f[e+4>>2]=c}e=d;f[e>>2]=b;f[e+4>>2]=c;f[124192+(a*24|0)+16>>2]=0;return 0}function xh(a,b,c){a=a|0;b=b|0;c=c|0;if(Ay(f[124192+(a*24|0)>>2]|0,b,0)|0){a=116;return a|0}a=124192+(a*24|0)+8|0;f[a>>2]=b;f[a+4>>2]=c;a=0;return a|0}function yh(a,b){a=a|0;b=b|0;var c=0,d=0;a=f[124192+(a*24|0)>>2]|0;c=fz(a)|0;if((c|0)<0){b=116;return b|0}if(Ay(a,0,2)|0){b=116;return b|0}d=fz(a)|0;if((d|0)<0){b=116;return b|0}if(Ay(a,c,0)|0){b=116;return b|0}f[b>>2]=d;f[b+4>>2]=((d|0)<0)<<31>>31;b=0;return b|0}function zh(a){a=a|0;pz(a)|0;return 0}function Ah(a){a=a|0;a=(ly(f[124192+(a*24|0)>>2]|0)|0)==0;return (a?0:106)|0}function Bh(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;j=124192+(a*24|0)+16|0;do if((f[j>>2]|0)==2){i=124192+(a*24|0)+8|0;h=i;g=f[h>>2]|0;h=f[h+4>>2]|0;e=124192+(a*24|0)|0;if(!(Ay(f[e>>2]|0,g,0)|0)){f[i>>2]=g;f[i+4>>2]=h;break}else{d=116;return d|0}}else e=124192+(a*24|0)|0;while(0);g=jz(c,1,d,f[e>>2]|0)|0;if((g|0)==1){switch(b[c>>0]|0){case 32:case 10:case 0:{d=107;return d|0}default:{}}d=108;return d|0}else{e=124192+(a*24|0)+8|0;if((g|0)!=(d|0)){d=108;return d|0}a=e;a=Ez(f[a>>2]|0,f[a+4>>2]|0,d|0,((d|0)<0)<<31>>31|0)|0;d=e;f[d>>2]=a;f[d+4>>2]=I;f[j>>2]=1;d=0;return d|0}return 0}function Ch(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;j=u;u=u+16|0;h=j+4|0;i=j;e=sh(a,0,h)|0;f[i>>2]=e;if(e|0){vj(60460);vj(a);i=e;u=j;return i|0}if((b[3008914]|0)!=33){e=ey(3008914,96427)|0;if(!e)g=3008914;else{vj(60517);vj(3008914);ky(e)|0;b[3008914]=0;i=105;u=j;return i|0}}else{pz(3008915)|0;g=3008915}e=ey(g,60572)|0;if(!e){vj(60576);vj(3008914);b[3008914]=0;i=105;u=j;return i|0}h=f[h>>2]|0;Yc(a,h,e,i)|0;ky(h)|0;ky(e)|0;if(!(f[i>>2]|0)){Jx(a,g)|0;b[3008914]=0;c=rh(a,c,d)|0;f[i>>2]=c;i=c;u=j;return i|0}else{vj(60633);vj(a);vj(60691);vj(3008914);b[3008914]=0;i=f[i>>2]|0;u=j;return i|0}return 0}function Dh(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;g=u;u=u+1040|0;d=g;c=g+1030|0;e=g+4|0;if(sh(a,0,d)|0){if((Bx(a)|0)>>>0>1024){e=0;u=g;return e|0}Jx(e,a)|0;h=a+(Bx(a)|0)|0;b[h>>0]=46;b[h+1>>0]=103;b[h+2>>0]=122;b[h+3>>0]=0;if(((((sh(a,0,d)|0?(Jx(a,e)|0,h=a+(Bx(a)|0)|0,b[h>>0]=b[62737]|0,b[h+1>>0]=b[62738]|0,b[h+2>>0]=b[62739]|0,sh(a,0,d)|0):0)?(Jx(a,e)|0,h=a+(Bx(a)|0)|0,b[h>>0]=b[60714]|0,b[h+1>>0]=b[60715]|0,b[h+2>>0]=b[60716]|0,sh(a,0,d)|0):0)?(Jx(a,e)|0,h=a+(Bx(a)|0)|0,b[h>>0]=b[60717]|0,b[h+1>>0]=b[60718]|0,b[h+2>>0]=b[60719]|0,b[h+3>>0]=b[60720]|0,b[h+4>>0]=b[60721]|0,sh(a,0,d)|0):0)?(Jx(a,e)|0,h=a+(Bx(a)|0)|0,b[h>>0]=b[60722]|0,b[h+1>>0]=b[60723]|0,b[h+2>>0]=b[60724]|0,sh(a,0,d)|0):0)?(Jx(a,e)|0,h=a+(Bx(a)|0)|0,b[h>>0]=45,b[h+1>>0]=103,b[h+2>>0]=122,b[h+3>>0]=0,sh(a,0,d)|0):0){Jx(a,e)|0;h=0;u=g;return h|0}}e=f[d>>2]|0;h=(jz(c,1,2,e)|0)==2;ky(e)|0;if(!h){h=0;u=g;return h|0}if(!(uw(c,61811,2)|0)){h=1;u=g;return h|0}if(!(uw(c,61814,2)|0)){h=1;u=g;return h|0}if(!(uw(c,61817,2)|0)){h=1;u=g;return h|0}if(!(uw(c,61820,2)|0)){h=1;u=g;return h|0}h=(uw(c,61823,2)|0)==0&1;u=g;return h|0}function Eh(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=(Dh(c)|0)==0;c=(b[d>>0]|0)!=0;if(e){if(!c)return 0;b[3008914]=0;yz(3008914,d,1024)|0;return 0}if(!c){c=85288;e=a+12|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(e|0));b[3008914]=0;return 0}if(!(vw(d,64289,4)|0)){c=60725;e=a+15|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(e|0));b[3008914]=0;return 0}c=85220;e=a+16|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(e|0));if(!(vw(d,85131,7)|0)){Jx(3008914,d+7|0)|0;return 0}else{Jx(3008914,d)|0;return 0}return 0}function Fh(a,b,c){a=a|0;b=b|0;c=c|0;f[c>>2]=1;return 0}function Gh(a,b){a=a|0;b=b|0;f[b>>2]=2;return 0}function Hh(a,b){a=a|0;b=b|0;a=b;f[a>>2]=2147483647;f[a+4>>2]=0;return 0}function Ih(a){a=a|0;return 0}function Jh(a){a=a|0;if((a|0)!=2)return 0;ly(f[5096]|0)|0;return 0}function Kh(a,b,c){a=a|0;b=b|0;c=c|0;return 1}function Lh(a,b,c){a=a|0;b=b|0;c=c|0;if((a|0)!=1){c=1;return c|0}c=(jz(b,1,c,f[5064]|0)|0)==(c|0);c=c?0:107;return c|0}function Mh(a,b,c){a=a|0;b=b|0;c=c|0;if((a|0)!=2){c=1;return c|0}c=(Vx(b,1,c,f[5096]|0)|0)==(c|0);c=c?0:106;return c|0}function Nh(){var a=0;a=0;do{f[148192+(a*48|0)>>2]=0;f[148192+(a*48|0)+4>>2]=0;a=a+1|0}while((a|0)!=1e3);return 0}function Oh(a){a=a|0;return 0}function Ph(a){a=a|0;f[a>>2]=0;return 0}function Qh(a){a=a|0;f[a>>2]=10;return 0}function Rh(){return 0}function Sh(a,b){a=a|0;b=b|0;var c=0,d=0;f[b>>2]=-1;c=0;while(1){a=148192+(c*48|0)|0;if(!(f[a>>2]|0)){d=4;break}a=c+1|0;if((a|0)<1e3)c=a;else{a=103;break}}do if((d|0)==4){f[b>>2]=c;if((c|0)==-1)a=103;else{b=148192+(c*48|0)+4|0;f[a>>2]=b;a=148192+(c*48|0)+12|0;f[148192+(c*48|0)+8>>2]=a;d=Lv(2880)|0;f[b>>2]=d;if(!d){vj(60740);a=104;break}f[a>>2]=2880;f[148192+(c*48|0)+16>>2]=2880;d=148192+(c*48|0)+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[148192+(c*48|0)+20>>2]=19;d=0;return d|0}}while(0);vj(60788);d=a;return d|0}function Th(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;g=u;u=u+16|0;d=g;do if(((tw(a,60836)|0)!=0?(tw(a,60841)|0)!=0:0)?(tw(a,60851)|0)!=0:0){f[d>>2]=6433655;c=ey(a,96427)|0;if(!c){c=ey(a,d)|0;if(!c)c=105;else break;u=g;return c|0}else{ky(c)|0;e=105;u=g;return e|0}}else e=4;while(0);if((e|0)==4)c=f[5096]|0;f[b>>2]=-1;a=0;while(1){d=148192+(a*48|0)|0;if(!(f[d>>2]|0)){e=11;break}a=a+1|0;if((a|0)>=1e3){c=103;break}}do if((e|0)==11){f[b>>2]=a;if((a|0)==-1)c=103;else{h=148192+(a*48|0)+4|0;f[d>>2]=h;d=148192+(a*48|0)+12|0;f[148192+(a*48|0)+8>>2]=d;e=Lv(2880)|0;f[h>>2]=e;if(!e){vj(60740);c=104;break}f[d>>2]=2880;f[148192+(a*48|0)+16>>2]=2880;h=148192+(a*48|0)+24|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[148192+(a*48|0)+20>>2]=19;f[148192+((f[b>>2]|0)*48|0)+40>>2]=c;h=0;u=g;return h|0}}while(0);vj(60861);h=c;u=g;return h|0}function Uh(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;f[e>>2]=-1;g=0;while(1){if(!(f[148192+(g*48|0)>>2]|0))break;g=g+1|0;if((g|0)>=1e3){g=103;h=6;break}}if((h|0)==6)return g|0;f[e>>2]=g;if((g|0)==-1){h=103;return h|0}f[148192+(g*48|0)>>2]=a;f[148192+(g*48|0)+8>>2]=b;f[148192+(g*48|0)+16>>2]=c;h=148192+(g*48|0)+32|0;f[h>>2]=f[b>>2];f[h+4>>2]=0;h=148192+(g*48|0)+24|0;f[h>>2]=0;f[h+4>>2]=0;f[148192+(g*48|0)+20>>2]=d;h=0;return h|0}function Vh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[148192+(a*48|0)+20>>2]|0;if(d|0){h=148192+(a*48|0)|0;e=zb[d&31](f[f[h>>2]>>2]|0,b)|0;if(!e){vj(60914);h=113;return h|0}g=148192+(a*48|0)+8|0;d=f[f[g>>2]>>2]|0;if(0<(c|0)|0==(c|0)&d>>>0<b>>>0)Fz(e+d|0,0,b-d|0)|0;f[f[h>>2]>>2]=e;f[f[g>>2]>>2]=b}h=148192+(a*48|0)+24|0;f[h>>2]=b;f[h+4>>2]=c;h=148192+(a*48|0)+32|0;f[h>>2]=b;f[h+4>>2]=c;h=0;return h|0}function Wh(a,c,d){a=a|0;c=c|0;d=d|0;c=(b[d>>0]|0)==0;b[3009939]=0;if(c)return 0;yz(3009939,d,1024)|0;c=85266;d=a+13|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(d|0));return 0}function Xh(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if(b[3009939]|0){a=th(3009939,d)|0;if(a|0){vj(60957);vj(3009939);d=a;return d|0}a=Yh(f[d>>2]|0)|0;vh(f[d>>2]|0)|0;if(!a){d=rh(3009939,c,d)|0;return d|0}else{vj(61014);vj(3009939);d=a;return d|0}}h=f[5064]|0;g=(dz(h)|0)<<24>>24;ez(g,h)|0;switch(g|0){case 75:case 31:{h=Zh(a,c,d)|0;return h|0}default:{}}if(c|0){vj(61056);h=112;return h|0}f[d>>2]=-1;a=0;while(1){c=148192+(a*48|0)|0;if(!(f[c>>2]|0)){e=14;break}a=a+1|0;if((a|0)>=1e3){a=103;break}}do if((e|0)==14){f[d>>2]=a;if((a|0)==-1)a=103;else{g=148192+(a*48|0)+4|0;f[c>>2]=g;c=148192+(a*48|0)+12|0;f[148192+(a*48|0)+8>>2]=c;h=Lv(2880)|0;f[g>>2]=h;if(!h){vj(60740);a=104;break}f[c>>2]=2880;f[148192+(a*48|0)+16>>2]=2880;h=148192+(a*48|0)+24|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[148192+(a*48|0)+20>>2]=19;a=_h(f[d>>2]|0)|0;if(!a){h=0;return h|0}vj(61140);Mv(f[148192+((f[d>>2]|0)*48|0)+4>>2]|0);h=a;return h|0}}while(0);vj(61092);h=a;return h|0}function Yh(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;i=u;u=u+1008|0;h=i;g=f[5064]|0;c=dz(g)|0;a:do if((c|0)!=-1){d=0;e=0;while(1){if((c|0)==(b[98861+d>>0]|0)){c=d+1|0;if((c|0)==6)break;else d=c}else d=0;e=e+1|0;c=dz(g)|0;if(!((e|0)<2e3&(c|0)!=-1))break a}b[h>>0]=b[98861]|0;b[h+1>>0]=b[98862]|0;b[h+2>>0]=b[98863]|0;b[h+3>>0]=b[98864]|0;b[h+4>>0]=b[98865]|0;b[h+5>>0]=b[98866]|0;c=uh(a,h,(jz(h+6|0,1,994,g)|0)+6|0)|0;if(c|0){h=c;u=i;return h|0}while(1){c=jz(h,1,1e3,g)|0;if(!c){c=0;d=9;break}c=uh(a,h,c)|0;if(c|0){d=9;break}}if((d|0)==9){u=i;return c|0}}while(0);vj(61587);h=104;u=i;return h|0}function Zh(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;j=u;u=u+16|0;h=j+4|0;i=j;if(b|0){vj(61325);c=112;u=j;return c|0}f[c>>2]=-1;b=0;while(1){d=148192+(b*48|0)|0;if(!(f[d>>2]|0)){e=6;break}b=b+1|0;if((b|0)>=1e3){b=103;break}}do if((e|0)==6){f[c>>2]=b;if((b|0)!=-1){e=148192+(b*48|0)+4|0;f[d>>2]=e;d=148192+(b*48|0)+12|0;f[148192+(b*48|0)+8>>2]=d;g=Lv(28800)|0;f[e>>2]=g;if(!g){vj(60740);b=104;break}f[d>>2]=28800;f[148192+(b*48|0)+16>>2]=2880;d=148192+(b*48|0)+24|0;f[d>>2]=0;f[d+4>>2]=0;f[d+8>>2]=0;f[d+12>>2]=0;f[148192+(b*48|0)+20>>2]=19;b=f[5064]|0;d=f[c>>2]|0;f[i>>2]=0;k=(Cy(a,62737)|0)==0;e=f[148192+(d*48|0)>>2]|0;g=f[148192+(d*48|0)+8>>2]|0;if(k)Wc(a,b,e,g,19,h,i)|0;else ad(a,b,e,g,19,h,i)|0;b=148192+(d*48|0)+24|0;f[b>>2]=0;f[b+4>>2]=0;b=148192+(d*48|0)+32|0;f[b>>2]=f[h>>2];f[b+4>>2]=0;b=f[i>>2]|0;d=f[c>>2]|0;if(b|0){k=148192+(d*48|0)|0;Mv(f[f[k>>2]>>2]|0);f[k>>2]=0;f[148192+(d*48|0)+4>>2]=0;vj(61462);k=b;u=j;return k|0}b=f[148192+(d*48|0)+32>>2]|0;if((f[f[148192+(d*48|0)+8>>2]>>2]|0)>>>0<=(b+256|0)>>>0){k=0;u=j;return k|0}b=Ov(f[f[148192+(d*48|0)>>2]>>2]|0,b)|0;if(!b){vj(61523);k=113;u=j;return k|0}else{k=f[c>>2]|0;f[f[148192+(k*48|0)>>2]>>2]=b;f[f[148192+(k*48|0)+8>>2]>>2]=f[148192+(k*48|0)+32>>2];k=0;u=j;return k|0}}else b=103}while(0);vj(61405);k=b;u=j;return k|0}function _h(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;k=148192+(a*48|0)|0;g=f[f[k>>2]>>2]|0;l=148192+(a*48|0)+8|0;e=f[f[l>>2]>>2]|0;i=f[148192+(a*48|0)+16>>2]|0;j=f[5064]|0;c=dz(j)|0;a:do if((c|0)!=-1){d=0;h=0;while(1){if((c|0)==(b[98861+d>>0]|0)){c=d+1|0;if((c|0)==6)break;else d=c}else d=0;h=h+1|0;c=dz(j)|0;if(!((h|0)<2e3&(c|0)!=-1))break a}b[g>>0]=b[98861]|0;b[g+1>>0]=b[98862]|0;b[g+2>>0]=b[98863]|0;b[g+3>>0]=b[98864]|0;b[g+4>>0]=b[98865]|0;b[g+5>>0]=b[98866]|0;c=(jz(g+6|0,1,e+-6|0,j)|0)+6|0;if(c>>>0<e>>>0){l=148192+(a*48|0)+32|0;f[l>>2]=c;f[l+4>>2]=0;l=0;return l|0}else h=0;while(1){e=e+i|0;g=Ov(g,e)|0;if(!g){d=9;break}d=jz(g+c|0,1,i,j)|0;c=Ez(d|0,0,c|0,h|0)|0;h=I;if(d>>>0<i>>>0){d=11;break}}if((d|0)==9){vj(61278);l=113;return l|0}else if((d|0)==11){a=148192+(a*48|0)+32|0;f[a>>2]=c;f[a+4>>2]=h;f[f[k>>2]>>2]=g;f[f[l>>2]>>2]=e;l=0;return l|0}}while(0);vj(61186);vj(61241);l=104;return l|0}function $h(a){a=a|0;var b=0,c=0,d=0;b=148192+(a*48|0)+4|0;c=148192+(a*48|0)+32|0;d=Vx(f[b>>2]|0,1,f[c>>2]|0,f[5096]|0)|0;if((d|0)==(f[c>>2]|0))c=0;else{vj(61641);c=106}Mv(f[b>>2]|0);f[148192+(a*48|0)>>2]=0;f[b>>2]=0;return c|0}function ai(a,b,c){a=a|0;b=b|0;c=c|0;return bi(a,0,c)|0}function bi(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;n=u;u=u+16|0;k=n+8|0;l=n+4|0;m=n;d=n+12|0;if(b|0){vj(61693);vj(a);c=112;u=n;return c|0}b=sh(a,0,m)|0;if(b|0){vj(61759);vj(a);c=b;u=n;return c|0}if((jz(d,1,2,f[m>>2]|0)|0)!=2){ky(f[m>>2]|0)|0;c=108;u=n;return c|0}do if(uw(d,61811,2)|0){if(!(uw(d,61814,2)|0)){yy(f[m>>2]|0,22,0)|0;jz(d,1,4,f[m>>2]|0)|0;i=15;break}if(((uw(d,61817,2)|0)!=0?(uw(d,61820,2)|0)!=0:0)?(uw(d,61823,2)|0)!=0:0){ky(f[m>>2]|0)|0;c=1;u=n;return c|0}else{b=1;i=16}}else{yy(f[m>>2]|0,0,2)|0;kz(f[m>>2]|0)|0;yy(f[m>>2]|0,-4,1)|0;jz(d,1,4,f[m>>2]|0)|0;i=15}while(0);if((i|0)==15){b=(h[d+1>>0]|0)<<8|(h[d>>0]|0)|(h[d+2>>0]|0)<<16|(h[d+3>>0]|0)<<24;if(!b){b=0;i=16}else{g=0;j=b}}if((i|0)==16){yy(f[m>>2]|0,0,2)|0;g=b;j=(kz(f[m>>2]|0)|0)*3|0}yy(f[m>>2]|0,0,0)|0;f[c>>2]=-1;b=0;while(1){d=148192+(b*48|0)|0;if(!(f[d>>2]|0)){i=20;break}b=b+1|0;if((b|0)>=1e3){b=103;i=25;break}}do if((i|0)==20){f[c>>2]=b;if((b|0)==-1){b=103;i=25}else{e=148192+(b*48|0)+4|0;f[d>>2]=e;d=148192+(b*48|0)+12|0;f[148192+(b*48|0)+8>>2]=d;if(j|0?(o=Lv(j)|0,f[e>>2]=o,(o|0)==0):0){vj(60740);b=104;i=25;break}f[d>>2]=j;f[148192+(b*48|0)+16>>2]=2880;o=148192+(b*48|0)+24|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0}}while(0);a:do if((i|0)==25){b:do if(g){g=(j>>>0)/3|0;f[c>>2]=-1;b=0;while(1){d=148192+(b*48|0)|0;if(!(f[d>>2]|0))break;b=b+1|0;if((b|0)>=1e3){b=103;break b}}f[c>>2]=b;if((b|0)==-1)b=103;else{e=148192+(b*48|0)+4|0;f[d>>2]=e;d=148192+(b*48|0)+12|0;f[148192+(b*48|0)+8>>2]=d;if(j>>>0>=3?(o=Lv(g)|0,f[e>>2]=o,(o|0)==0):0){vj(60740);b=104;break}f[d>>2]=g;f[148192+(b*48|0)+16>>2]=2880;o=148192+(b*48|0)+24|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;break a}}while(0);ky(f[m>>2]|0)|0;vj(61826);o=b;u=n;return o|0}while(0);f[148192+(b*48|0)+20>>2]=19;b=f[m>>2]|0;d=f[c>>2]|0;f[l>>2]=0;o=(Cy(a,62737)|0)==0;e=f[148192+(d*48|0)>>2]|0;g=f[148192+(d*48|0)+8>>2]|0;if(o)Wc(a,b,e,g,19,k,l)|0;else ad(a,b,e,g,19,k,l)|0;b=148192+(d*48|0)+24|0;f[b>>2]=0;f[b+4>>2]=0;b=148192+(d*48|0)+32|0;f[b>>2]=f[k>>2];f[b+4>>2]=0;b=f[l>>2]|0;ky(f[m>>2]|0)|0;d=f[c>>2]|0;if(b|0){o=148192+(d*48|0)|0;Mv(f[f[o>>2]>>2]|0);f[o>>2]=0;f[148192+(d*48|0)+4>>2]=0;vj(61877);o=b;u=n;return o|0}b=f[148192+(d*48|0)+32>>2]|0;if((f[f[148192+(d*48|0)+8>>2]>>2]|0)>>>0<=(b+256|0)>>>0){o=0;u=n;return o|0}b=Ov(f[f[148192+(d*48|0)>>2]>>2]|0,b)|0;if(!b){vj(61931);o=113;u=n;return o|0}else{o=f[c>>2]|0;f[f[148192+(o*48|0)>>2]>>2]=b;f[f[148192+(o*48|0)+8>>2]>>2]=f[148192+(o*48|0)+32>>2];o=0;u=n;return o|0}return 0}function ci(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;i=u;u=u+16|0;g=i+4|0;h=i;f[h>>2]=0;j=(Cy(a,62737)|0)==0;d=f[148192+(c*48|0)>>2]|0;e=f[148192+(c*48|0)+8>>2]|0;if(j)Wc(a,b,d,e,19,g,h)|0;else ad(a,b,d,e,19,g,h)|0;j=148192+(c*48|0)+24|0;f[j>>2]=0;f[j+4>>2]=0;j=148192+(c*48|0)+32|0;f[j>>2]=f[g>>2];f[j+4>>2]=0;u=i;return f[h>>2]|0}function di(a){a=a|0;var b=0;b=148192+(a*48|0)|0;Mv(f[f[b>>2]>>2]|0);f[b>>2]=0;f[148192+(a*48|0)+4>>2]=0;return 0}function ei(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;j=u;u=u+16|0;h=j+4|0;g=j;f[g>>2]=0;f[c>>2]=-1;b=0;while(1){e=148192+(b*48|0)|0;if(!(f[e>>2]|0)){i=4;break}d=b+1|0;if((d|0)<1e3)b=d;else break}if((i|0)==4?(f[c>>2]=b,(b|0)!=-1):0){f[e>>2]=148192+(b*48|0)+4;i=148192+(b*48|0)+12|0;f[148192+(b*48|0)+8>>2]=i;f[i>>2]=0;f[148192+(b*48|0)+16>>2]=2880;i=148192+(b*48|0)+24|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[148192+(b*48|0)+20>>2]=19;f[h>>2]=0;i=f[c>>2]|0;i=hp(a,f[148192+(i*48|0)>>2]|0,f[148192+(i*48|0)+8>>2]|0,g,h)|0;f[h>>2]=i;b=f[c>>2]|0;if(!i){i=148192+(b*48|0)+24|0;f[i>>2]=0;f[i+4>>2]=0;i=148192+(b*48|0)+32|0;f[i>>2]=f[g>>2];f[i+4>>2]=0;i=0;u=j;return i|0}else{i=148192+(b*48|0)|0;Mv(f[f[i>>2]>>2]|0);f[i>>2]=0;f[148192+(b*48|0)+4>>2]=0;vj(62040);i=f[h>>2]|0;u=j;return i|0}}f[h>>2]=103;vj(61989);i=103;u=j;return i|0}function fi(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;w=u;u=u+1072|0;s=w+40|0;p=w+36|0;t=w+32|0;n=w+12|0;v=w+8|0;m=w+44|0;j=w+4|0;h=w;f[n>>2]=f[946];f[n+4>>2]=f[947];f[n+8>>2]=f[948];f[n+12>>2]=f[949];f[n+16>>2]=f[950];f[v>>2]=0;f[j>>2]=0;f[h>>2]=0;if(c|0){vj(62096);vj(a);e=112;u=w;return e|0}c=Cx(a,91)|0;f[j>>2]=c;if(!c){vj(62161);vj(a);e=125;u=w;return e|0}b[m>>0]=0;yz(m,a,c-a|0)|0;a:while(1){g=c+1|0;f[j>>2]=g;switch(b[g>>0]|0){case 32:{c=g;break}case 66:case 98:{q=8;break a}case 73:case 105:{q=9;break a}case 85:case 117:{q=10;break a}case 74:case 106:{q=11;break a}case 70:case 102:case 82:case 114:{q=12;break a}case 68:case 100:{i=8;r=-64;break a}default:{q=7;break a}}}if((q|0)==7){vj(62219);vj(a);e=125;u=w;return e|0}else if((q|0)==8){i=1;r=8}else if((q|0)==9){i=2;r=16}else if((q|0)==10){i=2;r=20}else if((q|0)==11){i=4;r=32}else if((q|0)==12){i=4;r=-32}g=c+2|0;f[j>>2]=g;switch(b[g>>0]|0){case 66:case 98:{g=c+3|0;f[j>>2]=g;o=0;break}case 76:case 108:{g=c+3|0;f[j>>2]=g;o=1;break}default:o=1}c=kw(g,h,10)|0;f[n>>2]=c;c=f[h>>2]|0;if(c)if((b[c>>0]|0)==44){g=kw(c+1|0,j,10)|0;f[n+4>>2]=g;g=f[j>>2]|0;if(g)if((b[g>>0]|0)==44){c=kw(g+1|0,h,10)|0;f[n+8>>2]=c;c=f[h>>2]|0;if(c)if((b[c>>0]|0)==44){g=kw(c+1|0,j,10)|0;f[n+12>>2]=g;g=f[j>>2]|0;if(!g)a=4;else a=(b[g>>0]|0)==44?5:4;c=kw(g+1|0,h,10)|0;f[n+16>>2]=c;c=f[h>>2]|0;k=a}else k=3;else{c=0;k=3}}else k=2;else{g=0;k=2}}else k=1;else{c=0;k=1}c=g>>>0>c>>>0?g:c;f[j>>2]=c;if((b[c>>0]|0)==58)j=kw(c+1|0,0,10)|0;else j=0;l=X(f[n+4>>2]|0,f[n>>2]|0)|0;l=X(l,f[n+8>>2]|0)|0;l=X(l,f[n+12>>2]|0)|0;l=X(l,f[n+16>>2]|0)|0;i=X(l,i)|0;h=i+5759-(((i+2879|0)>>>0)%2880|0)|0;f[v>>2]=h;a=sh(m,0,s)|0;f[t>>2]=a;if(a|0){vj(62272);vj(m);e=f[t>>2]|0;u=w;return e|0}f[e>>2]=-1;c=0;while(1){g=148192+(c*48|0)|0;if(!(f[g>>2]|0)){q=32;break}c=c+1|0;if((c|0)>=1e3){c=103;break}}do if((q|0)==32){f[e>>2]=c;if((c|0)==-1)c=103;else{a=148192+(c*48|0)+4|0;f[g>>2]=a;g=148192+(c*48|0)+12|0;f[148192+(c*48|0)+8>>2]=g;if(h|0?(q=Lv(h)|0,f[a>>2]=q,(q|0)==0):0){vj(60740);c=104;break}f[g>>2]=h;f[148192+(c*48|0)+16>>2]=2880;q=148192+(c*48|0)+24|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;f[148192+(c*48|0)+20>>2]=19;f[t>>2]=0;dh(p,f[148192+((f[e>>2]|0)*48|0)>>2]|0,v,0,0,t)|0;ar(f[p>>2]|0,r,k,n,t)|0;Fg(f[p>>2]|0,t)|0;if((f[t>>2]|0)>0){vj(62371);ky(f[s>>2]|0)|0;e=f[e>>2]|0;v=148192+(e*48|0)|0;Mv(f[f[v>>2]>>2]|0);f[v>>2]=0;f[148192+(e*48|0)+4>>2]=0;e=f[t>>2]|0;u=w;return e|0}if((j|0)>0)yy(f[s>>2]|0,j,0)|0;a=(f[f[148192+((f[e>>2]|0)*48|0)>>2]>>2]|0)+2880|0;if((jz(a,1,i,f[s>>2]|0)|0)!=(i|0))f[t>>2]=108;ky(f[s>>2]|0)|0;if(f[t>>2]|0){e=f[e>>2]|0;v=148192+(e*48|0)|0;Mv(f[f[v>>2]>>2]|0);f[v>>2]=0;f[148192+(e*48|0)+4>>2]=0;vj(62425);e=f[t>>2]|0;u=w;return e|0}do if((r|0)==20){c=(l|0)>0;if((o|0)==1){if(c){c=0;g=a}else{q=53;break}while(1){d[g>>1]=d[g>>1]^-32768;c=c+1|0;if((c|0)==(l|0)){q=51;break}else g=g+2|0}}else{if(c){c=0;g=a}else{q=51;break}while(1){d[g>>1]=d[g>>1]^128;c=c+1|0;if((c|0)==(l|0)){q=51;break}else g=g+2|0}}}else q=51;while(0);b:do if((q|0)==51?o|0:0)if((r|4|0)==20)q=53;else switch(r|0){case 32:case -32:{Rr(a,l);break b}case -64:{Sr(a,l);break b}default:break b}while(0);if((q|0)==53)Qr(a,l);e=f[e>>2]|0;t=148192+(e*48|0)+24|0;f[t>>2]=0;f[t+4>>2]=0;e=148192+(e*48|0)+32|0;f[e>>2]=f[v>>2];f[e+4>>2]=0;e=0;u=w;return e|0}}while(0);f[t>>2]=c;vj(62323);ky(f[s>>2]|0)|0;e=f[t>>2]|0;u=w;return e|0}function gi(a,b){a=a|0;b=b|0;var c=0,d=0;d=148192+(a*48|0)+32|0;c=f[d+4>>2]|0;a=b;f[a>>2]=f[d>>2];f[a+4>>2]=c;return 0}function hi(a){a=a|0;f[148192+(a*48|0)>>2]=0;f[148192+(a*48|0)+4>>2]=0;return 0}function ii(a){a=a|0;var b=0,c=0,d=0,e=0;e=u;u=u+16|0;d=e+4|0;f[d>>2]=0;c=148192+(a*48|0)+4|0;b=148192+(a*48|0)+40|0;if(_c(f[c>>2]|0,f[148192+(a*48|0)+32>>2]|0,f[b>>2]|0,e,d)|0){vj(62485);f[d>>2]=106}Mv(f[c>>2]|0);f[148192+(a*48|0)>>2]=0;f[c>>2]=0;b=f[b>>2]|0;if((b|0)==(f[5096]|0)){d=f[d>>2]|0;u=e;return d|0}ky(b)|0;d=f[d>>2]|0;u=e;return d|0}function ji(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=148192+(a*48|0)+32|0;e=f[d+4>>2]|0;if((e|0)<(c|0)|((e|0)==(c|0)?(f[d>>2]|0)>>>0<b>>>0:0)){e=107;return e|0}e=148192+(a*48|0)+24|0;f[e>>2]=b;f[e+4>>2]=c;e=0;return e|0}function ki(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;g=148192+(a*48|0)+24|0;i=g;d=f[i>>2]|0;e=((c|0)<0)<<31>>31;i=Ez(d|0,f[i+4>>2]|0,c|0,e|0)|0;k=I;h=148192+(a*48|0)+32|0;j=f[h+4>>2]|0;if((k|0)>(j|0)|((k|0)==(j|0)?i>>>0>(f[h>>2]|0)>>>0:0)){k=107;return k|0}Lz(b|0,(f[f[148192+(a*48|0)>>2]>>2]|0)+d|0,c|0)|0;j=g;j=Ez(f[j>>2]|0,f[j+4>>2]|0,c|0,e|0)|0;k=g;f[k>>2]=j;f[k+4>>2]=I;k=0;return k|0}function li(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;d=148192+(a*48|0)|0;l=148192+(a*48|0)+24|0;h=l;e=f[h>>2]|0;h=f[h+4>>2]|0;k=((c|0)<0)<<31>>31;h=Ez(e|0,h|0,c|0,k|0)|0;i=I;j=148192+(a*48|0)+8|0;g=f[f[j>>2]>>2]|0;do if(h>>>0>g>>>0){e=f[148192+(a*48|0)+20>>2]|0;if(!e){vj(62537);c=106;return c|0}i=Ez(h|0,i|0,-1,-1)|0;i=Jz(i|0,I|0,2880,0)|0;i=Ez(i|0,I|0,1,0)|0;i=i*2880|0;g=(f[148192+(a*48|0)+16>>2]|0)+g|0;g=i>>>0>g>>>0?i:g;e=zb[e&31](f[f[d>>2]>>2]|0,g)|0;if(e|0){f[f[d>>2]>>2]=e;f[f[j>>2]>>2]=g;e=l;e=f[e>>2]|0;break}vj(62578);c=113;return c|0}while(0);Lz((f[f[d>>2]>>2]|0)+e|0,b|0,c|0)|0;b=l;k=Ez(f[b>>2]|0,f[b+4>>2]|0,c|0,k|0)|0;b=I;c=l;f[c>>2]=k;f[c+4>>2]=b;c=148192+(a*48|0)+32|0;a=c;j=f[a>>2]|0;a=f[a+4>>2]|0;l=(a|0)>(b|0)|(a|0)==(b|0)&j>>>0>k>>>0;f[c>>2]=l?j:k;f[c+4>>2]=l?a:b;c=0;return c|0}function mi(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=u;u=u+3728|0;p=t;r=4;q=Lv(40)|0;f[q>>2]=0;m=t+8|0;j=t+3616|0;n=t+2416|0;l=t+1216|0;o=t+16|0;k=t+4|0;f[55324]=0;f[55325]=0;if(!c){q=Mz(221304,1,q|0,r|0)|0;r=I;x=0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1)c=I;else c=0}else{x=0;ia(2,62618);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)!=1){x=0;ia(2,62669);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)!=1)s=90;else c=I}else c=I}a:while(1){if((s|0)==90){s=0;x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}if(f[55324]|0){x=0;ka(4,f[m>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}}if(f[55325]|0){x=0;ka(15,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}}x=0;na(20,14,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1)c=I;else{s=98;break}}if(c|0){x=0;ia(2,62717);e=x;x=0;if((e|0)!=0&(y|0)!=0){c=Pz(f[e>>2]|0,q|0,r|0)|0;if(!c)Da(e|0,y|0);I=y}else c=-1;if((c|0)==1){c=I;continue}s=90;continue}x=0;na(20,14,3)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;g=na(21,a|0,62737)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}do if(!g){x=0;g=na(21,a|0,62740)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g){x=0;g=na(22,a|0,63)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g){x=0;g=ka(27,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g>>>0>1195){x=0;ia(2,62782);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}s=90;continue a}x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;na(23,n|0,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ka(27,n|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}g=n+g|0;b[g>>0]=46;b[g+1>>0]=103;b[g+2>>0]=122;b[g+3>>0]=0;x=0;g=ma(3,n|0,m|0,j|0,k|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g|0){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;na(23,n|0,a|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ka(27,n|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}c=n+g|0;b[c>>0]=b[62737]|0;b[c+1>>0]=b[62738]|0;b[c+2>>0]=b[62739]|0;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(3,n|0,m|0,j|0,k|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break;x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(3,a|0,m|0,j|0,k|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break;x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,62821);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}s=90;continue a}}else s=17}else s=17}else s=17;while(0);if((s|0)==17){s=0;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;g=ma(3,a|0,m|0,j|0,k|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}if(g|0){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;ia(2,62744);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}s=90;continue}}f[55324]=(f[55324]|0)+1;x=0;g=na(12,a|0,d|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}if(g|0){x=0;ia(2,62858);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}s=90;continue}f[55325]=(f[55325]|0)+1;i=f[m>>2]|0;x=0;g=ka(28,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}h=g<<24>>24;x=0;na(24,h|0,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;g=na(25,j|0,62899)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}b:do if(g){x=0;g=na(25,j|0,62906)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g){x=0;g=na(21,a|0,62740)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g){x=0;g=na(21,a|0,62737)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!((h|0)==31|(g|0)!=0)){c=f[k>>2]|0;if((c|0)%2880|0|0){x=0;f[p>>2]=c;fa(41,l|0,62966,p|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,l|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}}x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(2,o|0,1,1200,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break;while(1){x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=fa(16,f[d>>2]|0,o|0,g|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(g|0)break;x=0;ka(26,180)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;g=ma(2,o|0,1,1200,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}if(!g)break b}x=0;ia(2,63019);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue a}s=90;continue a}else s=62}else s=62}else s=62}else s=62;while(0);if((s|0)==62){s=0;x=0;ka(26,1800)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;g=fa(40,a|0,i|0,f[d>>2]|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}if(g|0){x=0;ia(2,62917);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;ia(2,a|0);c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}s=90;continue}}x=0;ka(4,i|0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;na(20,14,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;ka(26,0)|0;c=x;x=0;if((c|0)!=0&(y|0)!=0){e=Pz(f[c>>2]|0,q|0,r|0)|0;if(!e)Da(c|0,y|0);I=y}else e=-1;if((e|0)==1){c=I;continue}x=0;c=fa(14,f[d>>2]|0,0,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,q|0,r|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1)c=I;else{s=89;break}}if((s|0)==89){s=c;Mv(q|0);u=t;return s|0}else if((s|0)==98){s=104;Mv(q|0);u=t;return s|0}return 0}function ni(a){a=a|0;if((a|0)==14)Da(221304,14);else kb(a|0)}function oi(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0.0;M=u;u=u+10224|0;J=M+1288|0;I=M+1280|0;C=M+1272|0;B=M+1264|0;y=M+1256|0;x=M+1248|0;w=M+1240|0;n=M+1232|0;m=M+1216|0;k=M+1208|0;g=M+1200|0;A=M+1312|0;F=M+1308|0;L=M+9024|0;G=M+7824|0;t=M+7720|0;v=M+6520|0;D=M+5320|0;r=M+5120|0;q=M+3920|0;l=M+2720|0;H=M;s=M+1304|0;z=M+1300|0;i=M+2520|0;j=M+1296|0;o=H;f[o>>2]=1886680168;f[o+4>>2]=3092282;yz(H,a,1192)|0;if(pi(H,M+5220|0,r,s,l)|0){f[g>>2]=a;ww(D,63067,g)|0;vj(D);L=104;u=M;return L|0}Jx(q,a)|0;a=Cx(q,64)|0;b[((a|0)==0?q:a)>>0]=0;a=Ua(63098)|0;g=(a|0)!=0;do if(g){if(!(pi(a,M+2620|0,i,j,M+1320|0)|0)){o=qi(i,f[j>>2]|0)|0;break}f[k>>2]=a;ww(D,63067,k)|0;vj(D);L=104;u=M;return L|0}else o=qi(r,f[s>>2]|0)|0;while(0);if((o|0)<0){if(!g){L=104;u=M;return L|0}vj(63109);vj(a);L=104;u=M;return L|0}k=gy(o,96427)|0;f[c>>2]=k;if(!k){vj(63171);bx(o)|0;L=104;u=M;return L|0}if(g){n=f[s>>2]|0;f[m>>2]=r;f[m+4>>2]=n;f[m+8>>2]=l;ww(G,63231,m)|0}else{f[n>>2]=l;ww(G,63262,n)|0}do if(b[q>>0]|0){l=Bx(q)|0;a:do if(!l){a=v;K=26}else{m=1200;a=v;n=0;g=0;while(1){j=q+n|0;k=0;while(1){g=h[j+k>>0]|g<<8;i=k+1|0;if(!(i>>>0<3&(i+n|0)>>>0<l>>>0))break;else k=i}g=g<<(((6-((i<<3>>>0)%6|0)|0)>>>0)%6|0);if(m>>>0<4)break a;i=a+2|0;j=a+1|0;b[a>>0]=61;b[a+1>>0]=61;b[a+2>>0]=61;b[a+3>>0]=61;switch(k|0){case 2:{b[a+3>>0]=b[63280+(g&63)>>0]|0;g=g>>>6;K=23;break}case 1:{K=23;break}case 0:{K=24;break}default:{}}if((K|0)==23){b[i>>0]=b[63280+(g&63)>>0]|0;g=g>>>6;K=24}if((K|0)==24){K=0;b[j>>0]=b[63280+(g&63)>>0]|0;g=g>>>6;b[a>>0]=b[63280+(g&63)>>0]|0}a=a+4|0;n=n+3|0;if(n>>>0>=l>>>0){K=26;break a}else m=m+-4|0}}while(0);if((K|0)==26)b[a>>0]=0;f[w>>2]=v;ww(t,63345,w)|0;w=Bx(G)|0;if(((Bx(t)|0)+w|0)>>>0>1199){L=104;u=M;return L|0}else{xz(G,t)|0;break}}while(0);N=+rj(z);p[x>>3]=N;ww(t,63371,x)|0;z=Bx(G)|0;if(((Bx(t)|0)+z|0)>>>0>1199){L=104;u=M;return L|0}xz(G,t)|0;z=f[s>>2]|0;f[y>>2]=r;f[y+4>>2]=z;ww(t,63408,y)|0;z=Bx(G)|0;if(((Bx(t)|0)+z|0)>>>0>1199){L=104;u=M;return L|0}xz(G,t)|0;i=Bx(G)|0;b:do if((i|0)>0){a=0;do{g=Ly(o,G+a|0,i-a|0,0)|0;if((g|0)<1){a=g;break b}a=g+a|0}while((a|0)<(i|0))}else a=0;while(0);f[A>>2]=a;if(!(ny(L,1200,f[c>>2]|0)|0)){f[B>>2]=L;ww(D,63425,B)|0;vj(D);ky(f[c>>2]|0)|0;L=104;u=M;return L|0}f[e>>2]=0;b[d>>0]=0;f[C>>2]=G;f[C+4>>2]=A;qy(L,63466,C)|0;a=f[A>>2]|0;if((a|0)==200){K=(ny(L,1200,f[c>>2]|0)|0)==0;if(K|(b[L>>0]|0)==13){L=0;u=M;return L|0}do{a=Bx(L)|0;if(a>>>0>3){b[L+(a+-1)>>0]=0;K=L+((Bx(L)|0)+-1)|0;b[K>>0]=0}f[J>>2]=G;f[J+4>>2]=F;qy(L,63466,J)|0;if(!(tw(G,63663)|0))f[e>>2]=f[F>>2];if((tw(G,63679)|0)==0?(E=Cx(L,58)|0,E|0):0)Jx(d,E+2|0)|0;K=(ny(L,1200,f[c>>2]|0)|0)==0}while(!(K|(b[L>>0]|0)==13));a=0;u=M;return a|0}do if((a+-301|0)>>>0<2){if((a|0)==301)vj(63472);else vj(63528);vj(H);do{if(!(ny(L,1200,f[c>>2]|0)|0)){K=46;break}a=Cy(L,63574)|0}while(!(a|0));if((K|0)==46){vj(63593);break}Jx(H,zz(a+16|0,63584)|0)|0;f[I>>2]=H;ww(D,63586,I)|0;vj(D);ky(f[c>>2]|0)|0;L=oi(H,c,d,e)|0;u=M;return L|0}while(0);ky(f[c>>2]|0)|0;L=104;u=M;return L|0}function pi(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;l=u;u=u+16|0;j=l;k=Lv((Bx(a)|0)+1|0)|0;Jx(k,a)|0;f[e>>2]=80;b[c>>0]=b[63717]|0;b[c+1>>0]=b[63718]|0;b[c+2>>0]=b[63719]|0;b[c+3>>0]=b[63720]|0;b[c+4>>0]=b[63721]|0;b[c+5>>0]=b[63722]|0;a=d;h=63723;i=a+10|0;do{b[a>>0]=b[h>>0]|0;a=a+1|0;h=h+1|0}while((a|0)<(i|0));b[g>>0]=47;b[g+1>>0]=0;a=Cy(k,63717)|0;do if(!a){a=Cy(k,63733)|0;if(a|0){if((a|0)==(k|0)){a=k+5|0;break}Mv(k);g=1;u=l;return g|0}a=Cy(k,63739)|0;if(!a)a=k;else{if((a|0)==(k|0)){b[c>>0]=b[63739]|0;b[c+1>>0]=b[63740]|0;b[c+2>>0]=b[63741]|0;b[c+3>>0]=b[63742]|0;b[c+4>>0]=b[63743]|0;f[e>>2]=21;a=k+4|0;break}Mv(k);g=1;u=l;return g|0}}else{if((a|0)==(k|0)){a=k+5|0;break}Mv(k);g=1;u=l;return g|0}while(0);if((b[a>>0]|0)==47)a=(b[a+1>>0]|0)==47?a+2|0:a;a:do if(!(tw(c,63717)|0)){c=Cx(a,64)|0;a=(c|0)==0?a:c+1|0;Jx(d,a)|0;b:while(1){switch(b[a>>0]|0){case 0:case 58:case 47:break b;default:{}}d=d+1|0;a=a+1|0}b[d>>0]=0;d=b[a>>0]|0;if(d<<24>>24==58){a=a+1|0;f[j>>2]=e;qy(a,91502,j)|0;while(1){d=b[a>>0]|0;switch(d<<24>>24){case 0:case 47:break a;default:{}}a=a+1|0}}}else{Jx(d,a)|0;c:while(1){switch(b[a>>0]|0){case 0:case 47:break c;default:{}}d=d+1|0;a=a+1|0}b[d>>0]=0;d=b[a>>0]|0}while(0);if(d<<24>>24)Jx(g,a)|0;Mv(k);g=0;u=l;return g|0}function qi(a,b){a=a|0;b=b|0;var c=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;j=u;u=u+1232|0;e=j+24|0;c=j+32|0;h=j+8|0;i=j;f[i>>2]=1;Jx(c,a)|0;k=h+2|0;l=k+2|0;d[l>>1]=0;d[l+2>>1]=0;d[l+4>>1]=0;d[l+6>>1]=0;d[l+8>>1]=0;d[l+10>>1]=0;d[h>>1]=2;b=Oy(b&65535)|0;d[k>>1]=b;do if(a){a=ya(c|0)|0;f[e>>2]=a;if((a|0)==-1){a=$a(c|0)|0;if(!a){l=Wv()|0;f[l>>2]=113;break}else{Lz(e|0,f[f[a+16>>2]>>2]|0,f[a+12>>2]|0)|0;a=f[e>>2]|0;g=7;break}}else g=7}else{f[e>>2]=0;a=0;g=7}while(0);if((g|0)==7)f[h+4>>2]=a;a=Jy(2,1,0)|0;if((a|0)<0){vj(63697);l=-1002;u=j;return l|0}if((Ky(a,h,16)|0)<0){bx(a)|0;l=-1002;u=j;return l|0}else{Qy(a,6,1,i,4)|0;Qy(a,1,9,i,4)|0;f[i>>2]=65536;Qy(a,1,7,i,4)|0;Qy(a,1,8,i,4)|0;l=a;u=j;return l|0}return 0}function ri(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=u;u=u+1312|0;p=4;o=Lv(40)|0;f[o>>2]=0;m=r+4|0;k=r+1208|0;n=r+8|0;l=r;f[55324]=0;f[55365]=0;f[55366]=0;f[55325]=0;x=0;j=ka(27,3010964)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;do if((g|0)!=1){if(!j){x=0;ia(2,63744);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;break}q=73;break}if(!c){o=Mz(221304,1,o|0,p|0)|0;p=I;x=0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;break}e=0;break}x=0;ia(2,63810);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){x=0;ia(2,63872);g=x;x=0;if((g|0)!=0&(y|0)!=0){e=Pz(f[g>>2]|0,o|0,p|0)|0;if(!e)Da(g|0,y|0);I=y}else e=-1;if((e|0)!=1)q=73;else e=I}else e=I}else e=I;while(0);a:while(1){if((q|0)==73){q=0;x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}if(f[55324]|0){x=0;ka(4,f[m>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}}if(f[55366]|0){x=0;ka(4,f[55367]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}}if(f[55325]|0){x=0;ka(15,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}}if(f[55365]|0){x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}}x=0;na(20,14,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1)e=I;else{q=87;break}}if(e|0){x=0;ia(2,62717);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}q=73;continue}x=0;na(20,14,3)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;c=ma(3,a|0,m|0,k|0,l|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}if(c|0){x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ia(2,63927);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ia(2,a|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}q=73;continue}f[55324]=(f[55324]|0)+1;i=f[m>>2]|0;x=0;c=ka(28,i|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}h=c<<24>>24;x=0;na(24,h|0,i|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;c=na(25,k|0,62899)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}if(c|0){x=0;c=na(25,k|0,62906)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}if(!((h|0)==31|(c|0)==0)){x=0;ia(2,64232);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}q=73;continue}}if((b[3010964]|0)==33){if((j|0)>0){e=0;do{h=e;e=e+1|0;b[3010964+h>>0]=b[3010964+e>>0]|0}while((e|0)!=(j|0))}x=0;ka(10,3010964)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}}x=0;c=na(10,3010964,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}if(c|0){x=0;ia(2,63973);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}q=73;continue}f[55365]=(f[55365]|0)+1;x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;c=ma(2,n|0,1,1200,i|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}b:do if(c|0){while(1){x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue a}x=0;c=fa(12,f[d>>2]|0,n|0,c|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue a}if(c|0)break;x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue a}x=0;c=ma(2,n|0,1,1200,i|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue a}if(!c)break b}x=0;ia(2,64029);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue a}q=73;continue a}while(0);x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ka(4,i|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}f[55324]=(f[55324]|0)+-1;f[55365]=(f[55365]|0)+-1;x=0;c=na(7,3010964,96427)|0;g=x;x=0;if((g|0)!=0&(y|0)!=0){e=Pz(f[g>>2]|0,o|0,p|0)|0;if(!e)Da(g|0,y|0);I=y}else e=-1;if((e|0)==1){e=I;continue}f[55367]=c;if(!c){x=0;ia(2,64073);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}q=73;continue}f[55366]=(f[55366]|0)+1;x=0;c=na(12,a|0,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}if(c|0){x=0;ia(2,64121);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}q=73;continue}f[55325]=(f[55325]|0)+1;x=0;c=fa(40,a|0,f[55367]|0,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ka(4,f[55367]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}f[55366]=(f[55366]|0)+-1;if(!c){x=0;na(20,14,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;e=fa(14,f[d>>2]|0,0,0)|0;g=x;x=0;if((g|0)!=0&(y|0)!=0){c=Pz(f[g>>2]|0,o|0,p|0)|0;if(!c)Da(g|0,y|0);I=y}else c=-1;if((c|0)==1){e=I;continue}else{q=72;break}}else{x=0;ia(2,64171);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,o|0,p|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;continue}q=73;continue}}if((q|0)==72){q=e;Mv(o|0);u=r;return q|0}else if((q|0)==87){q=104;Mv(o|0);u=r;return q|0}return 0}function si(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;w=u;u=u+2528|0;r=w;t=4;s=Lv(40)|0;f[s>>2]=0;o=w+12|0;l=w+2416|0;n=w+1216|0;p=w+16|0;m=w+8|0;q=w+4|0;x=0;h=fa(42,3010964,64289,4)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;do if((g|0)!=1){if(!h){x=0;h=fa(29,a|0,0,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;k=0;break}v=h;Mv(s|0);u=w;return v|0}f[55324]=0;f[55368]=0;f[55369]=0;x=0;h=ka(27,3010964)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){if(h|0){s=Mz(221304,1,s|0,t|0)|0;t=I;x=0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;k=h;break}e=0;k=h;break}x=0;ia(2,64294);g=x;x=0;if((g|0)!=0&(y|0)!=0){e=Pz(f[g>>2]|0,s|0,t|0)|0;if(!e)Da(g|0,y|0);I=y}else e=-1;if((e|0)!=1){v=104;Mv(s|0);u=w;return v|0}else{e=I;k=h}}else{e=I;k=h}}else{e=I;k=0}while(0);a:while(1){b:do if(!e){x=0;na(20,14,3)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=ma(3,a|0,o|0,l|0,m|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[q>>2]=h;if(h|0){x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,64356);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,a|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break}f[55324]=(f[55324]|0)+1;if((b[3010964]|0)==33){if((k|0)>0){e=0;do{j=e;e=e+1|0;b[3010964+j>>0]=b[3010964+e>>0]|0}while((e|0)!=(k|0))}x=0;h=ka(10,3010964)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[q>>2]=h}j=f[o>>2]|0;x=0;h=ka(28,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}i=h<<24>>24;x=0;na(24,i|0,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=na(25,l|0,62899)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}do if(h){x=0;h=na(25,l|0,62906)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}if(!((i|0)==31|(h|0)==0)){x=0;h=na(10,3010964,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[q>>2]=h;if(h|0){x=0;ia(2,64398);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}f[55368]=(f[55368]|0)+1;e=f[m>>2]|0;if((e|0)%2880|0|0){x=0;f[r>>2]=e;fa(41,n|0,64556,r|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,n|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}}x=0;ka(26,180)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}while(1){x=0;h=ma(2,p|0,1,1200,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}if(!h){v=74;break}x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=fa(12,f[d>>2]|0,p|0,h|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[q>>2]=h;if(h|0)break}if((v|0)==74){v=0;x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}e=221472;break}x=0;ia(2,64614);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,a|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}else v=33}else v=33;while(0);do if((v|0)==33){v=0;x=0;h=na(10,3010964,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[q>>2]=h;if(h|0){x=0;ia(2,64398);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=na(7,3010964,64444)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[55370]=h;if(!h){x=0;ia(2,64446);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}f[55369]=(f[55369]|0)+1;f[q>>2]=0;x=0;ka(26,1800)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=ma(4,a|0,j|0,f[55370]|0,q|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[q>>2]=h;x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}if(!(f[q>>2]|0)){x=0;ka(4,f[55370]|0)|0;g=x;x=0;if((g|0)!=0&(y|0)!=0){e=Pz(f[g>>2]|0,s|0,t|0)|0;if(!e)Da(g|0,y|0);I=y}else e=-1;if((e|0)==1){j=k;e=I;k=j;continue a}e=221476;break}x=0;ia(2,64496);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,a|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ia(2,3010964);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}break b}while(0);f[e>>2]=(f[e>>2]|0)+-1;x=0;ka(4,j|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}f[55324]=(f[55324]|0)+-1;x=0;na(20,14,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}x=0;h=fa(8,3010964,c|0,d|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}else{v=80;break a}}else{x=0;ia(2,62717);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue a}}while(0);x=0;ka(26,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}if(f[55324]|0){x=0;ka(4,f[o>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}}if(f[55369]|0){x=0;ka(4,f[55370]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}}if(f[55368]|0){x=0;ka(9,f[d>>2]|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j;continue}}x=0;na(20,14,0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,s|0,t|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){j=k;e=I;k=j}else{v=92;break}}if((v|0)==80){v=h;Mv(s|0);u=w;return v|0}else if((v|0)==92){v=104;Mv(s|0);u=w;return v|0}return 0}
function Up(a,c,e,g,h,i,j){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;ba=u;u=u+400|0;N=ba+64|0;M=ba+56|0;C=ba+48|0;x=ba+40|0;z=ba+32|0;y=ba+24|0;B=ba+16|0;A=ba+8|0;Y=ba+164|0;E=ba+160|0;H=ba+156|0;Z=ba+152|0;T=ba+148|0;w=ba+144|0;S=ba+140|0;W=ba+136|0;U=ba+132|0;G=ba+128|0;V=ba+124|0;K=ba+120|0;_=ba+116|0;L=ba+112|0;F=ba+76|0;D=ba+72|0;$=ba;Q=ba+314|0;I=ba+239|0;J=ba+168|0;k=F;l=4676;m=k+36|0;do{f[k>>2]=f[l>>2];k=k+4|0;l=l+4|0}while((k|0)<(m|0));p[$>>3]=0.0;k=f[j>>2]|0;if((k|0)>0){j=k;u=ba;return j|0}if(a>>>0>999){vj(89446);f[j>>2]=302;j=302;u=ba;return j|0}mk(f[c>>2]|0,T,j)|0;a:do if(a|0){v=0;b:while(1){l=f[c+(v*244|0)+80>>2]|0;m=((l|0)<0?(f[c+(v*244|0)+84>>2]|0)!=2:0)?0-l|0:l;switch(m|0){case 0:case 11:case 12:case 14:case 16:case 20:case 21:case 31:case 40:case 41:case 42:case 81:case 82:case 83:case 163:break;default:{O=6;break b}}o=c+(v*244|0)+96|0;f[o>>2]=0;m=c+(v*244|0)+100|0;f[m>>2]=0;r=c+(v*244|0)+104|0;b[r>>0]=0;s=c+(v*244|0)+174|0;b[s>>0]=0;t=c+(v*244|0)|0;mk(f[t>>2]|0,w,j)|0;k=(f[w>>2]|0)==0;if(!(f[T>>2]|0)){if(!k){O=12;break}f[c+(v*244|0)+4>>2]=0;R=c+(v*244|0)+8|0;b[R>>0]=b[91254]|0;b[R+1>>0]=b[91255]|0;b[R+2>>0]=b[91256]|0;b[R+3>>0]=b[91257]|0;b[R+4>>0]=b[91258]|0;b[R+5>>0]=b[91259]|0;f[Y>>2]=0;Nn(f[t>>2]|0,89658,r,0,Y)|0}else{if(k){O=15;break}l=c+(v*244|0)+4|0;k=f[l>>2]|0;if((k|0)<1){k=c+(v*244|0)+8|0;if(hk(f[t>>2]|0,0,k,l,j)|0){O=18;break}k=f[l>>2]|0;if((k|0)<1){O=21;break}}if((k|0)>(f[(f[(f[t>>2]|0)+4>>2]|0)+928>>2]|0)){O=21;break}f[Y>>2]=0;$j(89828,k,I,Y)|0;On(f[t>>2]|0,I,o,0,Y)|0;f[Y>>2]=0;$j(89834,f[l>>2]|0,I,Y)|0;On(f[t>>2]|0,I,m,0,Y)|0;f[Y>>2]=0;$j(92381,f[l>>2]|0,I,Y)|0;k=c+(v*244|0)+8|0;Nn(f[t>>2]|0,I,k,0,Y)|0;if(f[Y>>2]|0)b[k>>0]=0;f[Y>>2]=0;$j(92456,f[l>>2]|0,I,Y)|0;Nn(f[t>>2]|0,I,r,0,Y)|0;f[Y>>2]=0;$j(89840,f[l>>2]|0,I,Y)|0;Nn(f[t>>2]|0,I,s,0,Y)|0}k=v+1|0;if((k|0)<(a|0))v=k;else break a}if((O|0)==6){k=v+1|0;if((m|0)<0){f[A>>2]=k;ww(Q,89481,A)|0}else{f[B>>2]=k;f[B+4>>2]=l;ww(Q,89552,B)|0}vj(Q);f[j>>2]=410;j=410;u=ba;return j|0}else if((O|0)==12){f[y>>2]=v+1;ww(Q,89604,y)|0;f[j>>2]=233;j=233;u=ba;return j|0}else if((O|0)==15){f[z>>2]=v+1;ww(Q,89664,z)|0;f[j>>2]=235;j=235;u=ba;return j|0}else if((O|0)==18){f[x>>2]=k;f[x+4>>2]=v+1;ww(Q,89717,x)|0;vj(Q);j=f[j>>2]|0;u=ba;return j|0}else if((O|0)==21){f[C>>2]=v+1;f[C+4>>2]=k;ww(Q,89770,C)|0;vj(Q);f[j>>2]=302;j=302;u=ba;return j|0}}while(0);R=(e|0)>0?e:0;k=f[c>>2]|0;if(!(f[T>>2]|0)){Ik(k,E,j)|0;Hk(f[c>>2]|0,9,F,j)|0;f[Y>>2]=0;On(f[c>>2]|0,91630,D,0,Y)|0;k=f[E>>2]|0;l=f[F>>2]|0;if((f[Y>>2]|0)==0&(f[D>>2]|0)!=0&(k|0)>1&(l|0)==0){On(f[c>>2]|0,98969,W,0,j)|0;k=f[E>>2]|0}else f[W>>2]=l;if((k|0)>1){l=1;m=f[W>>2]|0;do{m=X(m,f[F+(l<<2)>>2]|0)|0;l=l+1|0}while((l|0)<(k|0));f[W>>2]=m}l=R+1|0;A=1}else{On(k,106765,W,0,j)|0;l=1;A=R+1|0}k=(f[W>>2]|0)-R|0;k=(k|0)>0?k:0;f[W>>2]=k;do if(g)if((g|0)<0){f[U>>2]=k;break}else{f[U>>2]=(k|0)>(g|0)?g:k;break}else{ot(f[c>>2]|0,U,j)|0;if((a|0)>1){r=1;k=1;do{o=f[c+(r*244|0)>>2]|0;m=0;do{if((f[c+(m*244|0)>>2]|0)==(o|0))break;m=m+1|0}while((m|0)<(r|0));if((m|0)==(r|0)){ot(f[c+(r*244|0)>>2]|0,G,j)|0;F=f[U>>2]|0;g=f[G>>2]|0;f[U>>2]=(F|0)<(g|0)?F:g;k=k+1|0}r=r+1|0}while((r|0)!=(a|0))}else k=1;G=(f[U>>2]|0)/(k|0)|0;f[U>>2]=(G|0)>1?G:1}while(0);C=Nv(a,16)|0;if(!C){vj(89846);f[j>>2]=113;j=113;u=ba;return j|0}B=(a|0)>0;c:do if(B){k=0;d:while(1){e=c+(k*244|0)|0;m=f[e>>2]|0;e:do if(f[T>>2]|0){if((kk(m,f[c+(k*244|0)+4>>2]|0,Z,V,_,j)|0)>0)break c;m=f[Z>>2]|0;if((m|0)<0?(f[U>>2]=1,(f[c+(k*244|0)+84>>2]|0)==2):0){O=63;break d}}else{Gk(m,H,j)|0;switch(f[H>>2]|0){case 8:{f[Z>>2]=11;m=11;break e}case 16:{f[Z>>2]=21;m=21;break e}case 32:{f[Z>>2]=41;m=41;break e}case -32:{f[Z>>2]=42;m=42;break e}case -64:{f[Z>>2]=82;m=82;break e}case 64:{f[Z>>2]=81;m=81;break e}default:{m=f[Z>>2]|0;break e}}}while(0);if((((m|0)>-1?m:0-m|0)|0)==1){m=m*11|0;f[Z>>2]=m;f[V>>2]=((f[V>>2]|0)+7|0)/8|0}s=c+(k*244|0)+80|0;o=f[s>>2]|0;if(!o){o=(m|0)>-1?m:0-m|0;f[s>>2]=o}f:do if((f[T>>2]|0)==0|(o|0)==16){o=f[U>>2]|0;f[c+(k*244|0)+92>>2]=1;switch(((m|0)>-1?m:0-m|0)|0){case 41:case 21:case 11:break;default:break f}f[Y>>2]=0;On(f[e>>2]|0,98841,L,0,Y)|0;if(f[Y>>2]|0)f[L>>2]=0}else{if((m|0)<0){f[V>>2]=1;if((f[W>>2]|0)>0){m=c+(k*244|0)+4|0;r=0;do{G=r+A|0;Ak(f[e>>2]|0,f[m>>2]|0,G,((G|0)<0)<<31>>31,K,0,j)|0;G=f[V>>2]|0;o=f[K>>2]|0;o=(G|0)>(o|0)?G:o;f[V>>2]=o;r=r+1|0}while((r|0)<(f[W>>2]|0));r=o;m=f[Z>>2]|0}else r=1}else r=f[V>>2]|0;o=X(r,f[U>>2]|0)|0;f[c+(k*244|0)+92>>2]=r;switch(((m|0)>-1?m:0-m|0)|0){case 41:case 21:case 11:break;default:break f}f[Y>>2]=0;G=(f[T>>2]|0)==1;$j(89895,f[c+(k*244|0)+4>>2]|0,I,Y)|0;m=f[e>>2]|0;if(!G){On(m,I,L,0,Y)|0;if(f[Y>>2]|0){f[L>>2]=0;break}if(f[L>>2]|0)break;f[L>>2]=-2147483648;break}Nn(m,I,J,0,Y)|0;if(!(f[Y>>2]|0))m=J;else{f[L>>2]=0;break}g:while(1){switch(b[m>>0]|0){case 0:{O=84;break g}case 32:break;default:break g}m=m+1|0}if((O|0)==84){O=0;f[L>>2]=-2147483648;break}Vj(J,L,Y)|0;if(f[Y>>2]|0)f[L>>2]=-2147483648}while(0);m=f[s>>2]|0;do switch(m|0){case 11:{G=Nv(o+1|0,1)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=1;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;o=(o|0)>0?((o|0)<255?o:255):0;f[L>>2]=o;o=o&255;break}default:o=-1}b[C+(k<<4)+8>>0]=o;break}case 12:{G=Nv(o+1|0,1)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=1;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;o=(o|0)<127?o:127;o=(o|0)>-128?o:-128;f[L>>2]=o;o=o&255;break}default:o=-128}b[C+(k<<4)+8>>0]=o;break}case 21:{G=Nv(o+1|0,2)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=2;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;o=(o|0)<32767?o:32767;o=(o|0)>-32768?o:-32768;f[L>>2]=o;o=o&65535;break}default:o=-32768}d[C+(k<<4)+8>>1]=o;break}case 20:{G=Nv(o+1|0,2)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=2;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;o=(o|0)>0?((o|0)<65535?o:65535):0;f[L>>2]=o;o=o&65535;break}default:o=-1}d[C+(k<<4)+8>>1]=o;break}case 31:{G=Nv(4,o+1|0)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=4;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;break}default:o=-2147483648}f[C+(k<<4)+8>>2]=o;break}case 30:{G=Nv(o+1|0,4)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=4;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;o=(o|0)>0?o:0;f[L>>2]=o;break}default:o=-1}f[C+(k<<4)+8>>2]=o;break}case 41:{G=Nv(o+1|0,4)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=4;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;break}default:o=-2147483648}f[C+(k<<4)+8>>2]=o;break}case 40:{G=Nv(o+1|0,4)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=4;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{o=f[L>>2]|0;o=(o|0)<0?2147483647:o;break}default:o=2147483647}f[C+(k<<4)+8>>2]=o;break}case 42:{G=Nv(o+1|0,4)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=4;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{q=+(f[L>>2]|0);break}default:q=-9.119119840596153e-36}n[C+(k<<4)+8>>2]=q;break}case 83:{G=Nv(o<<1|1,4)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=4;n[C+(k<<4)+8>>2]=-9.119119840596153e-36;break}case 82:{G=Nv(o+1|0,8)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=8;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 41:case 21:case 11:{q=+(f[L>>2]|0);break}default:q=-9.1191291391491e-36}p[C+(k<<4)+8>>3]=q;break}case 163:{G=Nv(o<<1|1,8)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=8;p[C+(k<<4)+8>>3]=-9.1191291391491e-36;break}case 16:{if((f[T>>2]|0)==1){r=f[_>>2]|0;f[V>>2]=r}else r=f[V>>2]|0;v=o+1|0;w=Nv(v,4)|0;m=c+(k*244|0)+88|0;f[m>>2]=w;s=r+1|0;f[C+(k<<4)>>2]=s;if(w){r=Nv(s,1)|0;t=C+(k<<4)+8|0;f[t>>2]=r;b[r+1>>0]=1;r=Nv(X(s,v)|0,1)|0;f[w>>2]=r;if(!r){O=133;break d}if((o|0)>=1){o=r;r=1;do{o=o+s|0;f[w+(r<<2)>>2]=o;r=r+1|0}while((r|0)!=(v|0))}f[Y>>2]=0;$j(89895,f[c+(k*244|0)+4>>2]|0,I,Y)|0;Nn(f[e>>2]|0,I,J,0,Y)|0;if(!(f[Y>>2]|0))yz(f[t>>2]|0,J,f[V>>2]|0)|0}break}case 14:{G=Nv(o+1|0,1)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=1;b[C+(k<<4)+8>>0]=2;break}case 81:{G=Nv(o+1|0,8)|0;m=c+(k*244|0)+88|0;f[m>>2]=G;f[C+(k<<4)>>2]=8;G=f[Z>>2]|0;switch(((G|0)>-1?G:0-G|0)|0){case 81:case 41:case 21:case 11:{r=f[L>>2]|0;o=r;r=((r|0)<0)<<31>>31;break}default:{o=0;r=-2147483648}}G=C+(k<<4)+8|0;f[G>>2]=o;f[G+4>>2]=r;break}default:{O=138;break d}}while(0);if(!(f[m>>2]|0)){O=140;break}k=k+1|0;if((k|0)>=(a|0)){O=142;break c}}if((O|0)==63){f[M>>2]=k+1;ww(Q,89481,M)|0;vj(Q);f[j>>2]=410;j=410;u=ba;return j|0}else if((O|0)==133){vj(89901);f[j>>2]=113;break}else if((O|0)==138){f[N>>2]=k+1;f[N+4>>2]=m;ww(Q,89941,N)|0;vj(Q);f[j>>2]=410;break}else if((O|0)==140){vj(89901);f[j>>2]=113;break}}else O=142;while(0);h:do if((O|0)==142?(P=f[W>>2]|0,P|0):0){k=P;while(1){z=((A|0)<0)<<31>>31;y=l;while(1){x=f[U>>2]|0;x=(k|0)<(x|0)?k:x;i:do if(B){w=((y|0)<0)<<31>>31;e=0;do{do if((f[c+(e*244|0)+84>>2]|0)!=2){s=c+(e*244|0)+80|0;m=f[s>>2]|0;t=c+(e*244|0)+88|0;l=f[t>>2]|0;if((m|0)==16){o=l+4|0;v=f[C+(e<<4)+8>>2]|0}else{o=l+(f[C+(e<<4)>>2]|0)|0;v=C+(e<<4)+8|0}r=c+(e*244|0)|0;l=f[r>>2]|0;if(!(f[T>>2]|0)){Q=X(f[c+(e*244|0)+92>>2]|0,x)|0;if((_k(l,m,y,w,Q,((Q|0)<0)<<31>>31,v,o,S,j)|0)>0)break i}else{m=c+(e*244|0)+4|0;if((kk(l,f[m>>2]|0,Z,V,_,j)|0)>0)break h;l=c+(e*244|0)+92|0;if((f[Z>>2]|0)<0)Ak(f[r>>2]|0,f[m>>2]|0,A,z,l,0,j)|0;Q=X(f[l>>2]|0,x)|0;if((al(f[r>>2]|0,f[s>>2]|0,f[m>>2]|0,A,z,y,w,Q,((Q|0)<0)<<31>>31,v,o,S,j)|0)>0)break i}o=(f[s>>2]|0)==16;l=f[t>>2]|0;m=f[C+(e<<4)>>2]|0;if(!(f[S>>2]|0))if(o){Fz(f[l>>2]|0,0,m|0)|0;break}else{Fz(l|0,0,m|0)|0;break}else if(o){Lz(f[l>>2]|0,f[C+(e<<4)+8>>2]|0,m|0)|0;break}else{Lz(l|0,v|0,m|0)|0;break}}while(0);e=e+1|0}while((e|0)<(a|0))}while(0);if((f[j>>2]|0)>0)break h;l=qb[h&7](f[W>>2]|0,R,(f[T>>2]|0)==0?y:A,x,a,c,i)|0;f[j>>2]=l;if((l+1|0)>>>0>1)break h;f[Y>>2]=0;if(B){t=((y|0)<0)<<31>>31;e=0;j:do{do if(f[c+(e*244|0)+84>>2]|0){w=c+(e*244|0)+80|0;o=f[w>>2]|0;l=f[c+(e*244|0)+88>>2]|0;if((o|0)==16){v=l+4|0;m=2;l=f[l>>2]|0}else{m=f[C+(e<<4)>>2]|0;v=l+m|0}Q=(uw(l,$,m)|0)==0;m=(f[T>>2]|0)==0;s=c+(e*244|0)|0;r=f[s>>2]|0;if(Q){if(m){Q=X(f[c+(e*244|0)+92>>2]|0,x)|0;if((Lp(r,o,y,t,Q,((Q|0)<0)<<31>>31,v,Y)|0)>0)break j;else break}m=c+(e*244|0)+4|0;if((kk(r,f[m>>2]|0,Z,V,_,j)|0)>0)break h;l=c+(e*244|0)+92|0;if((f[Z>>2]|0)<0)Ak(f[s>>2]|0,f[m>>2]|0,A,z,l,0,j)|0;Q=X(f[l>>2]|0,x)|0;if((Np(f[s>>2]|0,f[w>>2]|0,f[m>>2]|0,A,z,y,t,Q,((Q|0)<0)<<31>>31,v,Y)|0)>0)break j;else break}else{if(m){Q=X(f[c+(e*244|0)+92>>2]|0,x)|0;if((Mp(r,o,y,t,Q,((Q|0)<0)<<31>>31,v,l,Y)|0)>0)break j;else break}o=c+(e*244|0)+4|0;if((kk(r,f[o>>2]|0,Z,V,_,j)|0)>0)break h;m=c+(e*244|0)+92|0;if((f[Z>>2]|0)<0)Ak(f[s>>2]|0,f[o>>2]|0,A,z,m,0,j)|0;Q=X(f[m>>2]|0,x)|0;if((Op(f[s>>2]|0,f[w>>2]|0,f[o>>2]|0,A,z,y,t,Q,((Q|0)<0)<<31>>31,v,l,Y)|0)>0)break j;else break}}while(0);e=e+1|0}while((e|0)<(a|0));l=f[j>>2]|0}if(l|0)break h;Q=f[Y>>2]|0;f[j>>2]=Q;if(Q|0)break h;k=k-x|0;if(f[T>>2]|0)break;if(!k)break h;else y=x+y|0}if(!k)break;else{l=y;A=x+A|0}}}while(0);if(B){l=0;do{k=c+(l*244|0)+88|0;if((f[c+(l*244|0)+80>>2]|0)==16?(aa=f[k>>2]|0,aa|0):0){Mv(f[aa>>2]|0);Mv(f[C+(l<<4)+8>>2]|0)}k=f[k>>2]|0;if(k|0)Mv(k);l=l+1|0}while((l|0)!=(a|0))}Mv(C);j=f[j>>2]|0;u=ba;return j|0}function Vp(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){Wp(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,11,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function Wp(a,c,e,g,i,j,k,l,m,o){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0,_=0,$=0,aa=0;Z=u;u=u+29056|0;V=Z+28864|0;U=Z+28856|0;O=Z+28896|0;r=Z+28892|0;R=Z+28888|0;P=Z+28884|0;G=Z+28880|0;H=Z+28848|0;N=Z+28840|0;F=Z+28832|0;L=Z+28824|0;M=Z+28808|0;Q=Z+28800|0;T=Z+29024|0;E=Z+29004|0;S=Z+28920|0;D=Z;q=f[o>>2]|0;if((q|0)>0){o=q;u=Z;return o|0}if((uk(a,c,e,g,i,j,k,l,1,M,Q,T,P,O,r,N,F,G,H,L,R,Z+28816|0,Z+28900|0,o)|0)>0){o=f[o>>2]|0;u=Z;return o|0}g=f[r>>2]|0;e=f[O>>2]|0;if((e|0)==16){fk(T,E);e=f[O>>2]|0}C=+p[M>>3]==1.0&+p[Q>>3]==0.0&(e|0)==11;y=(l|0)<0|(l|0)==0&k>>>0<2147483647;B=C?(y?k:2147483647):g;y=C?(y?l:0):((g|0)<0)<<31>>31;z=E+1|0;A=0;g=k;e=l;x=0;k=0;l=0;a:while(1){w=m+x|0;while(1){if((g|0)==0&(e|0)==0){e=82;break a}j=(e|0)<(y|0)|(e|0)==(y|0)&g>>>0<B>>>0;aa=j?g:B;aa=Nz(0,aa|0,32)|0;j=I;r=H;q=F;_=f[q>>2]|0;q=f[q+4>>2]|0;r=Dz(f[r>>2]|0,f[r+4>>2]|0,_|0,q|0)|0;i=I;$=(j|0)<(i|0)|(j|0)==(i|0)&aa>>>0<r>>>0;r=$?aa:r;i=N;j=f[i>>2]|0;i=f[i+4>>2]|0;$=L;$=Sz(f[$>>2]|0,f[$+4>>2]|0,k|0,l|0)|0;i=Ez($|0,I|0,j|0,i|0)|0;j=I;$=f[G>>2]|0;q=Sz($|0,(($|0)<0)<<31>>31|0,_|0,q|0)|0;q=Ez(i|0,j|0,q|0,I|0)|0;ft(a,q,I,1,o)|0;b:do switch(f[O>>2]|0){case 11:{if(C){xt(a,r,f[G>>2]|0,w,o)|0;break b}t=+p[M>>3];v=+p[Q>>3];if(!(t==1.0&v==0.0)){if((r|0)>0){j=0;do{s=(+(h[w+j>>0]|0)-v)/t;do if(!(s<-.49))if(s>255.49){f[o>>2]=-11;i=-1;break}else{i=~~(s+.5)&255;break}else{f[o>>2]=-11;i=0}while(0);b[D+j>>0]=i;j=j+1|0}while((j|0)!=(r|0))}}else Lz(D|0,w|0,r|0)|0;xt(a,r,f[G>>2]|0,D,o)|0;break}case 81:{t=+p[M>>3];v=+p[Q>>3];i=(r|0)>0;if(t==1.0&v==0.0){if(i){i=0;do{aa=D+(i<<3)|0;f[aa>>2]=h[w+i>>0];f[aa+4>>2]=0;i=i+1|0}while((i|0)!=(r|0))}}else if(i){q=0;do{s=(+(h[w+q>>0]|0)-v)/t;do if(!(s<-9223372036854775808.0))if(s>9223372036854775808.0){f[o>>2]=-11;i=-1;j=2147483647;break}else{s=s+(!(s>=0.0)?-.5:.5);i=~~s>>>0;j=+K(s)>=1.0?(s>0.0?~~+Y(+J(s/4294967296.0),4294967295.0)>>>0:~~+W((s-+(~~s>>>0))/4294967296.0)>>>0):0;break}else{f[o>>2]=-11;i=0;j=-2147483648}while(0);aa=D+(q<<3)|0;f[aa>>2]=i;f[aa+4>>2]=j;q=q+1|0}while((q|0)!=(r|0))}At(a,r,f[G>>2]|0,D,o)|0;break}case 21:{t=+p[M>>3];v=+p[Q>>3];i=(r|0)>0;if(t==1.0&v==0.0){if(i){i=0;do{d[D+(i<<1)>>1]=h[w+i>>0]|0;i=i+1|0}while((i|0)!=(r|0))}}else if(i){j=0;do{s=(+(h[w+j>>0]|0)-v)/t;do if(!(s<-32768.49))if(s>32767.49){f[o>>2]=-11;i=32767;break}else{i=~~(s+(!(s>=0.0)?-.5:.5));break}else{f[o>>2]=-11;i=-32768}while(0);d[D+(j<<1)>>1]=i;j=j+1|0}while((j|0)!=(r|0))}yt(a,r,f[G>>2]|0,D,o)|0;break}case 41:{t=+p[M>>3];v=+p[Q>>3];i=(r|0)>0;if(t==1.0&v==0.0){if(i){i=0;do{f[D+(i<<2)>>2]=h[w+i>>0];i=i+1|0}while((i|0)!=(r|0))}}else if(i){j=0;do{s=(+(h[w+j>>0]|0)-v)/t;do if(!(s<-2147483648.49))if(s>2147483647.49){f[o>>2]=-11;i=2147483647;break}else{i=~~(s+(!(s>=0.0)?-.5:.5));break}else{f[o>>2]=-11;i=-2147483648}while(0);f[D+(j<<2)>>2]=i;j=j+1|0}while((j|0)!=(r|0))}zt(a,r,f[G>>2]|0,D,o)|0;break}case 42:{s=+p[M>>3];t=+p[Q>>3];i=(r|0)>0;if(s==1.0&t==0.0){if(i){i=0;do{n[D+(i<<2)>>2]=+(h[w+i>>0]|0);i=i+1|0}while((i|0)!=(r|0))}}else if(i){i=0;do{n[D+(i<<2)>>2]=(+(h[w+i>>0]|0)-t)/s;i=i+1|0}while((i|0)!=(r|0))}Bt(a,r,f[G>>2]|0,D,o)|0;break}case 82:{s=+p[M>>3];t=+p[Q>>3];i=(r|0)>0;if(s==1.0&t==0.0){if(i){i=0;do{p[D+(i<<3)>>3]=+(h[w+i>>0]|0);i=i+1|0}while((i|0)!=(r|0))}}else if(i){i=0;do{p[D+(i<<3)>>3]=(+(h[w+i>>0]|0)-t)/s;i=i+1|0}while((i|0)!=(r|0))}Ct(a,r,f[G>>2]|0,D,o)|0;break}case 16:{if(Cx(T,65)|0){i=f[G>>2]|0;j=f[P>>2]|0;if((i|0)==(j|0)){it(a,r,((r|0)<0)<<31>>31,w,o)|0;break b}else{jt(a,j,(r|0)/(j|0)|0,i-j|0,w,o)|0;break b}}if((b[z>>0]|0)==115){e=75;break a}Xp(w,r,+p[M>>3],+p[Q>>3],E,f[P>>2]|0,D,o)|0;i=f[G>>2]|0;j=f[P>>2]|0;if((i|0)==(j|0)){aa=X(i,r)|0;it(a,aa,((aa|0)<0)<<31>>31,D,o)|0;break b}else{jt(a,j,r,i-j|0,D,o)|0;break b}}default:{e=75;break a}}while(0);i=((r|0)<0)<<31>>31;if((f[o>>2]|0)>0){e=79;break a}g=Dz(g|0,e|0,r|0,i|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}$=Ez(r|0,i|0,x|0,A|0)|0;_=I;q=F;q=Ez(f[q>>2]|0,f[q+4>>2]|0,r|0,i|0)|0;r=I;aa=H;aa=(q|0)==(f[aa>>2]|0)?(r|0)==(f[aa+4>>2]|0):0;w=F;f[w>>2]=aa?0:q;f[w+4>>2]=aa?0:r;aa=Ez(aa&1|0,0,k|0,l|0)|0;A=_;x=$;k=aa;l=I}if((e|0)==75){f[U>>2]=c;f[U+4>>2]=T;ww(S,91009,U)|0;vj(S);if((f[R>>2]|0)==1){f[o>>2]=311;aa=311;u=Z;return aa|0}else{f[o>>2]=312;aa=312;u=Z;return aa|0}}else if((e|0)==79){aa=Ez(x|0,A|0,1,0)|0;v=+(aa>>>0)+4294967296.0*+(I|0);aa=Ez(r|0,i|0,x|0,A|0)|0;p[V>>3]=v;p[V+8>>3]=+(aa>>>0)+4294967296.0*+(I|0);ww(S,89999,V)|0;vj(S);aa=f[o>>2]|0;u=Z;return aa|0}else if((e|0)==82){e=f[o>>2]|0;if((e|0)!=-11){aa=e;u=Z;return aa|0}vj(91132);f[o>>2]=412;aa=412;u=Z;return aa|0}return 0}function Xp(a,c,d,e,g,i,j,k){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0;q=u;u=u+16|0;o=q+8|0;n=q;l=(c|0)>0;if(d==1.0&e==0.0){if(l){l=0;m=j;do{p[n>>3]=+(h[a+l>>0]|0);ww(m,g,n)|0;m=m+i|0;if(b[m>>0]|0)f[k>>2]=-11;l=l+1|0}while((l|0)!=(c|0))}}else if(l){l=0;m=j;do{p[o>>3]=(+(h[a+l>>0]|0)-e)/d;ww(m,g,o)|0;m=m+i|0;if(b[m>>0]|0)f[k>>2]=-11;l=l+1|0}while((l|0)!=(c|0))}l=Cx(j,44)|0;if(!l){k=f[k>>2]|0;u=q;return k|0}do{b[l>>0]=46;l=Cx(l,44)|0}while((l|0)!=0);k=f[k>>2]|0;u=q;return k|0}function Yp(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){Zp(a,2,(c|0)>1?c:1,0,d,e,g,h,i,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{b[l>>0]=j;ps(a,11,d,e,g,h,1,i,l,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function Zp(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;n=f[m>>2]|0;if((n|0)>0){m=n;return m|0}n=f[a>>2]|0;p=a+4|0;o=f[p>>2]|0;if((n|0)==(f[o+68>>2]|0)){w=o+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,m)|0)>0:0){m=f[m>>2]|0;return m|0}}else Hj(a,n+1|0,0,m)|0;n=f[(f[p>>2]|0)+960>>2]|0;o=c+-1|0;p=f[n+(o*160|0)+80>>2]|0;w=(p|0)>0;do if(!w){o=Ez(g|0,h|0,-1,-1)|0;o=Ez(o|0,I|0,i|0,j|0)|0;q=I;if((p|0)<0?(Wp(a,c,d,e,g,h,i,j,k,m)|0)>0:0){n=f[m>>2]|0;if((n|0)==412){f[m>>2]=0;u=o;t=q;break}else{m=n;return m|0}}else{u=o;t=q}}else{t=n+(o*160|0)+88|0;u=f[t>>2]|0;t=f[t+4>>2]|0}while(0);r=Ez(d|0,e|0,-1,-1)|0;r=Sz(u|0,t|0,r|0,I|0)|0;r=Ez(r|0,I|0,g|0,h|0)|0;s=I;if(!((j|0)>0|(j|0)==0&i>>>0>0)){m=f[m>>2]|0;return m|0}a:do if(w){q=0;o=0;g=0;p=0;d=0;n=0;e=0;while(1){if((b[k+q>>0]|0)==l<<24>>24){if(!((d|0)==0&(n|0)==0)?(h=Dz(q|0,p|0,d|0,n|0)|0,B=Ez(h|0,I|0,r|0,s|0)|0,x=I,A=Ez(B|0,x|0,-1,-1)|0,A=Jz(A|0,I|0,u|0,t|0)|0,z=I,y=Sz(A|0,z|0,u|0,t|0)|0,y=Dz(B|0,x|0,y|0,I|0)|0,x=I,z=Ez(A|0,z|0,1,0)|0,(Wp(a,c,z,I,y,x,d,n,k+h|0,m)|0)>0):0){n=f[m>>2]|0;if((n|0)!=412)break;f[m>>2]=0;e=1}o=Ez(o|0,g|0,1,0)|0;d=0;h=0;n=I}else{if(!((o|0)==0&(g|0)==0)?(x=Dz(q|0,p|0,o|0,g|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,c,z,A,B,I,o,g,m)|0)>0):0){v=29;break a}d=Ez(d|0,n|0,1,0)|0;h=I;o=0;n=0}q=Ez(q|0,p|0,1,0)|0;p=I;if((p|0)<(j|0)|(p|0)==(j|0)&q>>>0<i>>>0){g=n;n=h}else{g=d;break a}}return n|0}else{q=0;d=0;n=0;e=0;p=0;o=0;while(1){if((b[k+q>>0]|0)==l<<24>>24){d=Ez(d|0,n|0,1,0)|0;p=0;o=0;n=I}else{if(!((d|0)==0&(n|0)==0)?(x=Dz(q|0,e|0,d|0,n|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,c,z,A,B,I,d,n,m)|0)>0):0){v=29;break a}p=Ez(p|0,o|0,1,0)|0;o=I;d=0;n=0}q=Ez(q|0,e|0,1,0)|0;e=I;if(!((e|0)<(j|0)|(e|0)==(j|0)&q>>>0<i>>>0)){g=p;h=o;p=e;o=d;e=0;break}}}while(0);if((v|0)==29){B=f[m>>2]|0;return B|0}if((g|0)==0&(h|0)==0){if(!((o|0)==0&(n|0)==0)){x=Dz(q|0,p|0,o|0,n|0)|0;x=Ez(x|0,I|0,r|0,s|0)|0;y=I;k=Ez(x|0,y|0,-1,-1)|0;k=Jz(k|0,I|0,u|0,t|0)|0;B=I;z=Ez(k|0,B|0,1,0)|0;A=I;B=Sz(k|0,B|0,u|0,t|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Qq(a,c,z,A,B,I,o,n,m)|0}}else{d=Dz(q|0,p|0,g|0,h|0)|0;n=Ez(d|0,I|0,r|0,s|0)|0;o=I;p=Ez(n|0,o|0,-1,-1)|0;p=Jz(p|0,I|0,u|0,t|0)|0;q=I;if(w){z=Ez(p|0,q|0,1,0)|0;A=I;B=Sz(p|0,q|0,u|0,t|0)|0;B=Dz(n|0,o|0,B|0,I|0)|0;Wp(a,c,z,A,B,I,g,h,k+d|0,m)|0}}n=f[m>>2]|0;if(!((e|0)!=0&(n|0)<1)){B=n;return B|0}f[m>>2]=412;B=412;return B|0}function _p(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){$p(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,82,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function $p(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0,r=0.0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0,_=0;U=u;u=u+29056|0;T=U+28864|0;S=U+28856|0;M=U+28896|0;q=U+28892|0;P=U+28888|0;N=U+28884|0;E=U+28880|0;F=U+28848|0;L=U+28840|0;D=U+28832|0;G=U+28824|0;H=U+28808|0;O=U+28800|0;R=U+29024|0;C=U+29004|0;Q=U+28920|0;B=U;o=f[m>>2]|0;if((o|0)>0){m=o;u=U;return m|0}if((uk(a,c,e,g,h,i,j,k,1,H,O,R,N,M,q,L,D,E,F,G,P,U+28816|0,U+28900|0,m)|0)>0){m=f[m>>2]|0;u=U;return m|0}x=f[q>>2]|0;w=((x|0)<0)<<31>>31;if((f[M>>2]|0)==16)fk(R,C);y=C+1|0;z=0;A=0;g=j;e=k;j=0;k=0;a:while(1){v=l+(z<<3)|0;while(1){if((g|0)==0&(e|0)==0){e=96;break a}i=(e|0)<(w|0)|(e|0)==(w|0)&g>>>0<x>>>0;_=i?g:x;_=Nz(0,_|0,32)|0;i=I;q=F;o=D;V=f[o>>2]|0;o=f[o+4>>2]|0;q=Dz(f[q>>2]|0,f[q+4>>2]|0,V|0,o|0)|0;h=I;Z=(i|0)<(h|0)|(i|0)==(h|0)&_>>>0<q>>>0;q=Z?_:q;h=L;i=f[h>>2]|0;h=f[h+4>>2]|0;Z=G;Z=Sz(f[Z>>2]|0,f[Z+4>>2]|0,j|0,k|0)|0;h=Ez(Z|0,I|0,i|0,h|0)|0;i=I;Z=f[E>>2]|0;o=Sz(Z|0,((Z|0)<0)<<31>>31|0,V|0,o|0)|0;o=Ez(h|0,i|0,o|0,I|0)|0;ft(a,o,I,1,m)|0;b:do switch(f[M>>2]|0){case 82:{r=+p[H>>3];s=+p[O>>3];if(!(r==1.0&s==0.0)){if((q|0)>0){h=0;do{p[B+(h<<3)>>3]=(+p[v+(h<<3)>>3]-s)/r;h=h+1|0}while((h|0)!=(q|0))}}else Lz(B|0,v|0,q<<3|0)|0;Ct(a,q,f[E>>2]|0,B,m)|0;break}case 81:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){o=0;do{r=+p[v+(o<<3)>>3];do if(!(r<-9223372036854775808.0))if(r>9223372036854775808.0){f[m>>2]=-11;i=-1;h=2147483647;break}else{i=~~r>>>0;h=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;i=0;h=-2147483648}while(0);_=B+(o<<3)|0;f[_>>2]=i;f[_+4>>2]=h;o=o+1|0}while((o|0)!=(q|0))}}else if(h){o=0;do{r=(+p[v+(o<<3)>>3]-t)/s;do if(!(r<-9223372036854775808.0))if(r>9223372036854775808.0){f[m>>2]=-11;h=-1;i=2147483647;break}else{r=r+(!(r>=0.0)?-.5:.5);h=~~r>>>0;i=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);_=B+(o<<3)|0;f[_>>2]=h;f[_+4>>2]=i;o=o+1|0}while((o|0)!=(q|0))}At(a,q,f[E>>2]|0,B,m)|0;break}case 11:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{r=+p[v+(i<<3)>>3];do if(!(r<-.49))if(r>255.49){f[m>>2]=-11;h=-1;break}else{h=~~r&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+p[v+(i<<3)>>3]-t)/s;do if(!(r<-.49))if(r>255.49){f[m>>2]=-11;h=-1;break}else{h=~~(r+.5)&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}xt(a,q,f[E>>2]|0,B,m)|0;break}case 21:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{r=+p[v+(i<<3)>>3];do if(!(r<-32768.49))if(r>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~r;break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+p[v+(i<<3)>>3]-t)/s;do if(!(r<-32768.49))if(r>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}yt(a,q,f[E>>2]|0,B,m)|0;break}case 41:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{r=+p[v+(i<<3)>>3];do if(!(r<-2147483648.49))if(r>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~r;break}else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+p[v+(i<<3)>>3]-t)/s;do if(!(r<-2147483648.49))if(r>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(q|0))}zt(a,q,f[E>>2]|0,B,m)|0;break}case 42:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{n[B+(h<<2)>>2]=+p[v+(h<<3)>>3];h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{n[B+(h<<2)>>2]=(+p[v+(h<<3)>>3]-s)/r;h=h+1|0}while((h|0)!=(q|0))}Bt(a,q,f[E>>2]|0,B,m)|0;break}case 16:{if((b[y>>0]|0)==115){e=89;break a}aq(v,q,+p[H>>3],+p[O>>3],C,f[N>>2]|0,B,m)|0;h=f[E>>2]|0;i=f[N>>2]|0;if((h|0)==(i|0)){_=X(h,q)|0;it(a,_,((_|0)<0)<<31>>31,B,m)|0;break b}else{jt(a,i,q,h-i|0,B,m)|0;break b}}default:{e=89;break a}}while(0);h=((q|0)<0)<<31>>31;if((f[m>>2]|0)>0){e=93;break a}g=Dz(g|0,e|0,q|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}V=Ez(q|0,h|0,z|0,A|0)|0;Z=I;o=D;o=Ez(f[o>>2]|0,f[o+4>>2]|0,q|0,h|0)|0;q=I;_=F;_=(o|0)==(f[_>>2]|0)?(q|0)==(f[_+4>>2]|0):0;v=D;f[v>>2]=_?0:o;f[v+4>>2]=_?0:q;_=Ez(_&1|0,0,j|0,k|0)|0;z=V;A=Z;j=_;k=I}if((e|0)==89){f[S>>2]=c;f[S+4>>2]=R;ww(Q,91009,S)|0;vj(Q);if((f[P>>2]|0)==1){f[m>>2]=311;_=311;u=U;return _|0}else{f[m>>2]=312;_=312;u=U;return _|0}}else if((e|0)==93){_=Ez(z|0,A|0,1,0)|0;t=+(_>>>0)+4294967296.0*+(I|0);_=Ez(q|0,h|0,z|0,A|0)|0;p[T>>3]=t;p[T+8>>3]=+(_>>>0)+4294967296.0*+(I|0);ww(Q,90067,T)|0;vj(Q);_=f[m>>2]|0;u=U;return _|0}else if((e|0)==96){e=f[m>>2]|0;if((e|0)!=-11){_=e;u=U;return _|0}vj(91132);f[m>>2]=412;_=412;u=U;return _|0}return 0}function aq(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;o=u;u=u+16|0;n=o+8|0;m=o;k=(c|0)>0;if(d==1.0&e==0.0){if(k){k=0;l=i;do{p[m>>3]=+p[a+(k<<3)>>3];ww(l,g,m)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}}else if(k){k=0;l=i;do{p[n>>3]=(+p[a+(k<<3)>>3]-e)/d;ww(l,g,n)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}k=Cx(i,44)|0;if(!k){j=f[j>>2]|0;u=o;return j|0}do{b[k>>0]=46;k=Cx(k,44)|0}while((k|0)!=0);j=f[j>>2]|0;u=o;return j|0}function bq(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0;l=u;u=u+16|0;k=l;if(!(Ek(a,j)|0)){cq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i,j)|0;j=f[j>>2]|0;u=l;return j|0}else{p[k>>3]=i;ps(a,82,c,d,e,g,1,h,k,j)|0;j=f[j>>2]|0;u=l;return j|0}return 0}function cq(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}m=f[a>>2]|0;o=a+4|0;n=f[o>>2]|0;if((m|0)==(f[n+68>>2]|0)){w=n+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;return l|0}}else Hj(a,m+1|0,0,l)|0;m=f[(f[o>>2]|0)+960>>2]|0;n=b+-1|0;o=f[m+(n*160|0)+80>>2]|0;w=(o|0)>0;if(w){n=m+(n*160|0)+88|0;m=f[n>>2]|0;n=f[n+4>>2]|0}else{m=Ez(e|0,g|0,-1,-1)|0;m=Ez(m|0,I|0,h|0,i|0)|0;n=I}t=Gz(m|0,n|0,(((o|0)>-1?o:0-o|0)|0)>82|0)|0;u=I;do if((o|0)<0?($p(a,b,c,d,e,g,h,i,j,l)|0)>0:0){m=f[l>>2]|0;if((m|0)==412){f[l>>2]=0;break}else{l=m;return l|0}}while(0);r=Ez(c|0,d|0,-1,-1)|0;r=Sz(t|0,u|0,r|0,I|0)|0;r=Ez(r|0,I|0,e|0,g|0)|0;s=I;if(!((i|0)>0|(i|0)==0&h>>>0>0)){l=f[l>>2]|0;return l|0}a:do if(w){c=0;q=0;g=0;o=0;n=0;e=0;d=0;while(1){if(+p[j+(c<<3)>>3]!=k){if(!((n|0)==0&(e|0)==0)?(A=Dz(c|0,o|0,n|0,e|0)|0,A=Ez(A|0,I|0,r|0,s|0)|0,z=I,B=Ez(A|0,z|0,-1,-1)|0,B=Jz(B|0,I|0,t|0,u|0)|0,m=I,y=Ez(B|0,m|0,1,0)|0,x=I,m=Sz(B|0,m|0,t|0,u|0)|0,m=Dz(A|0,z|0,m|0,I|0)|0,(Rq(a,b,y,x,m,I,n,e,l)|0)>0):0){v=30;break a}e=Ez(q|0,g|0,1,0)|0;g=I;n=0;m=0}else{if(!((q|0)==0&(g|0)==0)?(B=Dz(c|0,o|0,q|0,g|0)|0,m=Ez(B|0,I|0,r|0,s|0)|0,A=I,x=Ez(m|0,A|0,-1,-1)|0,x=Jz(x|0,I|0,t|0,u|0)|0,y=I,z=Sz(x|0,y|0,t|0,u|0)|0,z=Dz(m|0,A|0,z|0,I|0)|0,A=I,y=Ez(x|0,y|0,1,0)|0,($p(a,b,y,I,z,A,q,g,j+(B<<3)|0,l)|0)>0):0){m=f[l>>2]|0;if((m|0)!=412)break;f[l>>2]=0;d=1}n=Ez(n|0,e|0,1,0)|0;e=0;g=0;m=I}c=Ez(c|0,o|0,1,0)|0;o=I;if((o|0)<(i|0)|(o|0)==(i|0)&c>>>0<h>>>0){q=e;e=m}else{q=e;e=d;break a}}return m|0}else{c=0;d=0;m=0;e=0;o=0;n=0;while(1){if(+p[j+(c<<3)>>3]!=k){if(!((d|0)==0&(m|0)==0)?(x=Dz(c|0,e|0,d|0,m|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,q=Ez(x|0,y|0,-1,-1)|0,q=Jz(q|0,I|0,t|0,u|0)|0,B=I,z=Ez(q|0,B|0,1,0)|0,A=I,B=Sz(q|0,B|0,t|0,u|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Rq(a,b,z,A,B,I,d,m,l)|0)>0):0){v=30;break a}o=Ez(o|0,n|0,1,0)|0;n=I;d=0;m=0}else{d=Ez(d|0,m|0,1,0)|0;o=0;n=0;m=I}c=Ez(c|0,e|0,1,0)|0;e=I;if(!((e|0)<(i|0)|(e|0)==(i|0)&c>>>0<h>>>0)){q=o;g=n;o=e;n=d;e=0;break}}}while(0);if((v|0)==30){B=f[l>>2]|0;return B|0}if((q|0)==0&(g|0)==0){if(!((n|0)==0&(m|0)==0)){x=Dz(c|0,o|0,n|0,m|0)|0;x=Ez(x|0,I|0,r|0,s|0)|0;y=I;j=Ez(x|0,y|0,-1,-1)|0;j=Jz(j|0,I|0,t|0,u|0)|0;B=I;z=Ez(j|0,B|0,1,0)|0;A=I;B=Sz(j|0,B|0,t|0,u|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Rq(a,b,z,A,B,I,n,m,l)|0}}else{d=Dz(c|0,o|0,q|0,g|0)|0;m=Ez(d|0,I|0,r|0,s|0)|0;n=I;o=Ez(m|0,n|0,-1,-1)|0;o=Jz(o|0,I|0,t|0,u|0)|0;c=I;if(w){z=Ez(o|0,c|0,1,0)|0;A=I;B=Sz(o|0,c|0,t|0,u|0)|0;B=Dz(m|0,n|0,B|0,I|0)|0;$p(a,b,z,A,B,I,q,g,j+(d<<3)|0,l)|0}}m=f[l>>2]|0;if(!((e|0)!=0&(m|0)<1)){B=m;return B|0}f[l>>2]=412;B=412;return B|0}function dq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){eq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,42,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function eq(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0,r=0.0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0,_=0;U=u;u=u+29056|0;T=U+28864|0;S=U+28856|0;M=U+28896|0;q=U+28892|0;P=U+28888|0;N=U+28884|0;E=U+28880|0;F=U+28848|0;L=U+28840|0;D=U+28832|0;G=U+28824|0;H=U+28808|0;O=U+28800|0;R=U+29024|0;C=U+29004|0;Q=U+28920|0;B=U;o=f[m>>2]|0;if((o|0)>0){m=o;u=U;return m|0}if((uk(a,c,e,g,h,i,j,k,1,H,O,R,N,M,q,L,D,E,F,G,P,U+28816|0,U+28900|0,m)|0)>0){m=f[m>>2]|0;u=U;return m|0}x=f[q>>2]|0;w=((x|0)<0)<<31>>31;if((f[M>>2]|0)==16)fk(R,C);y=C+1|0;z=0;A=0;g=j;e=k;j=0;k=0;a:while(1){v=l+(z<<2)|0;while(1){if((g|0)==0&(e|0)==0){e=96;break a}i=(e|0)<(w|0)|(e|0)==(w|0)&g>>>0<x>>>0;_=i?g:x;_=Nz(0,_|0,32)|0;i=I;q=F;o=D;V=f[o>>2]|0;o=f[o+4>>2]|0;q=Dz(f[q>>2]|0,f[q+4>>2]|0,V|0,o|0)|0;h=I;Z=(i|0)<(h|0)|(i|0)==(h|0)&_>>>0<q>>>0;q=Z?_:q;h=L;i=f[h>>2]|0;h=f[h+4>>2]|0;Z=G;Z=Sz(f[Z>>2]|0,f[Z+4>>2]|0,j|0,k|0)|0;h=Ez(Z|0,I|0,i|0,h|0)|0;i=I;Z=f[E>>2]|0;o=Sz(Z|0,((Z|0)<0)<<31>>31|0,V|0,o|0)|0;o=Ez(h|0,i|0,o|0,I|0)|0;ft(a,o,I,1,m)|0;b:do switch(f[M>>2]|0){case 42:{r=+p[H>>3];s=+p[O>>3];if(!(r==1.0&s==0.0)){if((q|0)>0){h=0;do{n[B+(h<<2)>>2]=(+n[v+(h<<2)>>2]-s)/r;h=h+1|0}while((h|0)!=(q|0))}}else Lz(B|0,v|0,q<<2|0)|0;Bt(a,q,f[E>>2]|0,B,m)|0;break}case 81:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){o=0;do{r=+n[v+(o<<2)>>2];do if(!(r<-9223372036854775808.0))if(r>9223372036854775808.0){f[m>>2]=-11;h=-1;i=2147483647;break}else{i=~~r;h=i;i=((i|0)<0)<<31>>31;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);_=B+(o<<3)|0;f[_>>2]=h;f[_+4>>2]=i;o=o+1|0}while((o|0)!=(q|0))}}else if(h){o=0;do{r=(+n[v+(o<<2)>>2]-t)/s;do if(!(r<-9223372036854775808.0))if(r>2147483647.49){f[m>>2]=-11;h=-1;i=2147483647;break}else{r=r+(!(r>=0.0)?-.5:.5);h=~~r>>>0;i=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);_=B+(o<<3)|0;f[_>>2]=h;f[_+4>>2]=i;o=o+1|0}while((o|0)!=(q|0))}At(a,q,f[E>>2]|0,B,m)|0;break}case 11:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{r=+n[v+(i<<2)>>2];s=r;do if(!(s<-.49))if(s>255.49){f[m>>2]=-11;h=-1;break}else{h=~~r&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+n[v+(i<<2)>>2]-t)/s;do if(!(r<-.49))if(r>255.49){f[m>>2]=-11;h=-1;break}else{h=~~(r+.5)&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}xt(a,q,f[E>>2]|0,B,m)|0;break}case 21:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{r=+n[v+(i<<2)>>2];s=r;do if(!(s<-32768.49))if(s>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~r;break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+n[v+(i<<2)>>2]-t)/s;do if(!(r<-32768.49))if(r>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}yt(a,q,f[E>>2]|0,B,m)|0;break}case 41:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{r=+n[v+(i<<2)>>2];s=r;do if(!(s<-2147483648.49))if(s>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~r;break}else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+n[v+(i<<2)>>2]-t)/s;do if(!(r<-2147483648.49))if(r>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(q|0))}zt(a,q,f[E>>2]|0,B,m)|0;break}case 82:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{p[B+(h<<3)>>3]=+n[v+(h<<2)>>2];h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{p[B+(h<<3)>>3]=(+n[v+(h<<2)>>2]-s)/r;h=h+1|0}while((h|0)!=(q|0))}Ct(a,q,f[E>>2]|0,B,m)|0;break}case 16:{if((b[y>>0]|0)==115){e=89;break a}fq(v,q,+p[H>>3],+p[O>>3],C,f[N>>2]|0,B,m)|0;h=f[E>>2]|0;i=f[N>>2]|0;if((h|0)==(i|0)){_=X(h,q)|0;it(a,_,((_|0)<0)<<31>>31,B,m)|0;break b}else{jt(a,i,q,h-i|0,B,m)|0;break b}}default:{e=89;break a}}while(0);h=((q|0)<0)<<31>>31;if((f[m>>2]|0)>0){e=93;break a}g=Dz(g|0,e|0,q|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}V=Ez(q|0,h|0,z|0,A|0)|0;Z=I;o=D;o=Ez(f[o>>2]|0,f[o+4>>2]|0,q|0,h|0)|0;q=I;_=F;_=(o|0)==(f[_>>2]|0)?(q|0)==(f[_+4>>2]|0):0;v=D;f[v>>2]=_?0:o;f[v+4>>2]=_?0:q;_=Ez(_&1|0,0,j|0,k|0)|0;z=V;A=Z;j=_;k=I}if((e|0)==89){f[S>>2]=c;f[S+4>>2]=R;ww(Q,91009,S)|0;vj(Q);if((f[P>>2]|0)==1){f[m>>2]=311;_=311;u=U;return _|0}else{f[m>>2]=312;_=312;u=U;return _|0}}else if((e|0)==93){_=Ez(z|0,A|0,1,0)|0;t=+(_>>>0)+4294967296.0*+(I|0);_=Ez(q|0,h|0,z|0,A|0)|0;p[T>>3]=t;p[T+8>>3]=+(_>>>0)+4294967296.0*+(I|0);ww(Q,90135,T)|0;vj(Q);_=f[m>>2]|0;u=U;return _|0}else if((e|0)==96){e=f[m>>2]|0;if((e|0)!=-11){_=e;u=U;return _|0}vj(91132);f[m>>2]=412;_=412;u=U;return _|0}return 0}function fq(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0;q=u;u=u+16|0;o=q+8|0;m=q;k=(c|0)>0;if(d==1.0&e==0.0){if(k){k=0;l=i;do{p[m>>3]=+n[a+(k<<2)>>2];ww(l,g,m)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}}else if(k){k=0;l=i;do{p[o>>3]=(+n[a+(k<<2)>>2]-e)/d;ww(l,g,o)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}k=Cx(i,44)|0;if(!k){j=f[j>>2]|0;u=q;return j|0}do{b[k>>0]=46;k=Cx(k,44)|0}while((k|0)!=0);j=f[j>>2]|0;u=q;return j|0}function gq(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;var k=0,l=0;l=u;u=u+16|0;k=l;if(!(Ek(a,j)|0)){hq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i,j)|0;j=f[j>>2]|0;u=l;return j|0}else{n[k>>2]=i;ps(a,42,c,d,e,g,1,h,k,j)|0;j=f[j>>2]|0;u=l;return j|0}return 0}function hq(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}m=f[a>>2]|0;p=a+4|0;o=f[p>>2]|0;if((m|0)==(f[o+68>>2]|0)){w=o+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;return l|0}}else Hj(a,m+1|0,0,l)|0;m=f[(f[p>>2]|0)+960>>2]|0;o=b+-1|0;p=f[m+(o*160|0)+80>>2]|0;w=(p|0)>0;if(w){o=m+(o*160|0)+88|0;m=f[o>>2]|0;o=f[o+4>>2]|0}else{m=Ez(e|0,g|0,-1,-1)|0;m=Ez(m|0,I|0,h|0,i|0)|0;o=I}t=Gz(m|0,o|0,(((p|0)>-1?p:0-p|0)|0)>82|0)|0;u=I;do if((p|0)<0?(eq(a,b,c,d,e,g,h,i,j,l)|0)>0:0){m=f[l>>2]|0;if((m|0)==412){f[l>>2]=0;break}else{l=m;return l|0}}while(0);r=Ez(c|0,d|0,-1,-1)|0;r=Sz(t|0,u|0,r|0,I|0)|0;r=Ez(r|0,I|0,e|0,g|0)|0;s=I;if(!((i|0)>0|(i|0)==0&h>>>0>0)){l=f[l>>2]|0;return l|0}a:do if(w){c=0;q=0;g=0;p=0;o=0;e=0;d=0;while(1){if(+n[j+(c<<2)>>2]!=k){if(!((o|0)==0&(e|0)==0)?(A=Dz(c|0,p|0,o|0,e|0)|0,A=Ez(A|0,I|0,r|0,s|0)|0,z=I,B=Ez(A|0,z|0,-1,-1)|0,B=Jz(B|0,I|0,t|0,u|0)|0,m=I,y=Ez(B|0,m|0,1,0)|0,x=I,m=Sz(B|0,m|0,t|0,u|0)|0,m=Dz(A|0,z|0,m|0,I|0)|0,(Rq(a,b,y,x,m,I,o,e,l)|0)>0):0){v=30;break a}e=Ez(q|0,g|0,1,0)|0;g=I;o=0;m=0}else{if(!((q|0)==0&(g|0)==0)?(B=Dz(c|0,p|0,q|0,g|0)|0,m=Ez(B|0,I|0,r|0,s|0)|0,A=I,x=Ez(m|0,A|0,-1,-1)|0,x=Jz(x|0,I|0,t|0,u|0)|0,y=I,z=Sz(x|0,y|0,t|0,u|0)|0,z=Dz(m|0,A|0,z|0,I|0)|0,A=I,y=Ez(x|0,y|0,1,0)|0,(eq(a,b,y,I,z,A,q,g,j+(B<<2)|0,l)|0)>0):0){m=f[l>>2]|0;if((m|0)!=412)break;f[l>>2]=0;d=1}o=Ez(o|0,e|0,1,0)|0;e=0;g=0;m=I}c=Ez(c|0,p|0,1,0)|0;p=I;if((p|0)<(i|0)|(p|0)==(i|0)&c>>>0<h>>>0){q=e;e=m}else{q=e;e=d;break a}}return m|0}else{c=0;d=0;m=0;e=0;p=0;o=0;while(1){if(+n[j+(c<<2)>>2]!=k){if(!((d|0)==0&(m|0)==0)?(x=Dz(c|0,e|0,d|0,m|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,q=Ez(x|0,y|0,-1,-1)|0,q=Jz(q|0,I|0,t|0,u|0)|0,B=I,z=Ez(q|0,B|0,1,0)|0,A=I,B=Sz(q|0,B|0,t|0,u|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Rq(a,b,z,A,B,I,d,m,l)|0)>0):0){v=30;break a}p=Ez(p|0,o|0,1,0)|0;o=I;d=0;m=0}else{d=Ez(d|0,m|0,1,0)|0;p=0;o=0;m=I}c=Ez(c|0,e|0,1,0)|0;e=I;if(!((e|0)<(i|0)|(e|0)==(i|0)&c>>>0<h>>>0)){q=p;g=o;p=e;o=d;e=0;break}}}while(0);if((v|0)==30){B=f[l>>2]|0;return B|0}if((q|0)==0&(g|0)==0){if(!((o|0)==0&(m|0)==0)){x=Dz(c|0,p|0,o|0,m|0)|0;x=Ez(x|0,I|0,r|0,s|0)|0;y=I;j=Ez(x|0,y|0,-1,-1)|0;j=Jz(j|0,I|0,t|0,u|0)|0;B=I;z=Ez(j|0,B|0,1,0)|0;A=I;B=Sz(j|0,B|0,t|0,u|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Rq(a,b,z,A,B,I,o,m,l)|0}}else{d=Dz(c|0,p|0,q|0,g|0)|0;m=Ez(d|0,I|0,r|0,s|0)|0;o=I;p=Ez(m|0,o|0,-1,-1)|0;p=Jz(p|0,I|0,t|0,u|0)|0;c=I;if(w){z=Ez(p|0,c|0,1,0)|0;A=I;B=Sz(p|0,c|0,t|0,u|0)|0;B=Dz(m|0,o|0,B|0,I|0)|0;eq(a,b,z,A,B,I,q,g,j+(d<<2)|0,l)|0}}m=f[l>>2]|0;if(!((e|0)!=0&(m|0)<1)){B=m;return B|0}f[l>>2]=412;B=412;return B|0}function iq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){jq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,21,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function jq(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0,r=0.0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0,_=0;U=u;u=u+29056|0;T=U+28864|0;S=U+28856|0;M=U+28896|0;q=U+28892|0;P=U+28888|0;N=U+28884|0;E=U+28880|0;F=U+28848|0;L=U+28840|0;D=U+28832|0;G=U+28824|0;H=U+28808|0;O=U+28800|0;R=U+29024|0;C=U+29004|0;Q=U+28920|0;B=U;o=f[m>>2]|0;if((o|0)>0){m=o;u=U;return m|0}if((uk(a,c,e,g,h,i,j,k,1,H,O,R,N,M,q,L,D,E,F,G,P,U+28816|0,U+28900|0,m)|0)>0){m=f[m>>2]|0;u=U;return m|0}x=f[q>>2]|0;w=((x|0)<0)<<31>>31;if((f[M>>2]|0)==16)fk(R,C);y=C+1|0;z=0;A=0;g=j;e=k;j=0;k=0;a:while(1){v=l+(A<<1)|0;while(1){if((g|0)==0&(e|0)==0){e=81;break a}i=(e|0)<(w|0)|(e|0)==(w|0)&g>>>0<x>>>0;_=i?g:x;_=Nz(0,_|0,32)|0;i=I;q=F;o=D;V=f[o>>2]|0;o=f[o+4>>2]|0;q=Dz(f[q>>2]|0,f[q+4>>2]|0,V|0,o|0)|0;h=I;Z=(i|0)<(h|0)|(i|0)==(h|0)&_>>>0<q>>>0;q=Z?_:q;h=L;i=f[h>>2]|0;h=f[h+4>>2]|0;Z=G;Z=Sz(f[Z>>2]|0,f[Z+4>>2]|0,j|0,k|0)|0;h=Ez(Z|0,I|0,i|0,h|0)|0;i=I;Z=f[E>>2]|0;o=Sz(Z|0,((Z|0)<0)<<31>>31|0,V|0,o|0)|0;o=Ez(h|0,i|0,o|0,I|0)|0;ft(a,o,I,1,m)|0;b:do switch(f[M>>2]|0){case 21:{s=+p[H>>3];t=+p[O>>3];if(!(s==1.0&t==0.0)){if((q|0)>0){i=0;do{r=(+(d[v+(i<<1)>>1]|0)-t)/s;do if(!(r<-32768.49))if(r>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}}else Lz(B|0,v|0,q<<1|0)|0;yt(a,q,f[E>>2]|0,B,m)|0;break}case 81:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){h=0;do{Z=d[v+(h<<1)>>1]|0;_=B+(h<<3)|0;f[_>>2]=Z;f[_+4>>2]=((Z|0)<0)<<31>>31;h=h+1|0}while((h|0)!=(q|0))}}else if(h){o=0;do{r=(+(d[v+(o<<1)>>1]|0)-t)/s;do if(!(r<-9223372036854775808.0))if(r>9223372036854775808.0){f[m>>2]=-11;h=-1;i=2147483647;break}else{r=r+(!(r>=0.0)?-.5:.5);h=~~r>>>0;i=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);_=B+(o<<3)|0;f[_>>2]=h;f[_+4>>2]=i;o=o+1|0}while((o|0)!=(q|0))}At(a,q,f[E>>2]|0,B,m)|0;break}case 11:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{h=d[v+(i<<1)>>1]|0;do if(h<<16>>16>=0)if(h<<16>>16>255){f[m>>2]=-11;h=-1;break}else{h=h&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+(d[v+(i<<1)>>1]|0)-t)/s;do if(!(r<-.49))if(r>255.49){f[m>>2]=-11;h=-1;break}else{h=~~(r+.5)&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}xt(a,q,f[E>>2]|0,B,m)|0;break}case 41:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){h=0;do{f[B+(h<<2)>>2]=d[v+(h<<1)>>1];h=h+1|0}while((h|0)!=(q|0))}}else if(h){i=0;do{r=(+(d[v+(i<<1)>>1]|0)-t)/s;do if(!(r<-2147483648.49))if(r>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(q|0))}zt(a,q,f[E>>2]|0,B,m)|0;break}case 42:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{n[B+(h<<2)>>2]=+(d[v+(h<<1)>>1]|0);h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{n[B+(h<<2)>>2]=(+(d[v+(h<<1)>>1]|0)-s)/r;h=h+1|0}while((h|0)!=(q|0))}Bt(a,q,f[E>>2]|0,B,m)|0;break}case 82:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{p[B+(h<<3)>>3]=+(d[v+(h<<1)>>1]|0);h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{p[B+(h<<3)>>3]=(+(d[v+(h<<1)>>1]|0)-s)/r;h=h+1|0}while((h|0)!=(q|0))}Ct(a,q,f[E>>2]|0,B,m)|0;break}case 16:{if((b[y>>0]|0)==115){e=74;break a}kq(v,q,+p[H>>3],+p[O>>3],C,f[N>>2]|0,B,m)|0;h=f[E>>2]|0;i=f[N>>2]|0;if((h|0)==(i|0)){_=X(h,q)|0;it(a,_,((_|0)<0)<<31>>31,B,m)|0;break b}else{jt(a,i,q,h-i|0,B,m)|0;break b}}default:{e=74;break a}}while(0);h=((q|0)<0)<<31>>31;if((f[m>>2]|0)>0){e=78;break a}g=Dz(g|0,e|0,q|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}Z=Ez(q|0,h|0,A|0,z|0)|0;V=I;o=D;o=Ez(f[o>>2]|0,f[o+4>>2]|0,q|0,h|0)|0;q=I;_=F;_=(o|0)==(f[_>>2]|0)?(q|0)==(f[_+4>>2]|0):0;v=D;f[v>>2]=_?0:o;f[v+4>>2]=_?0:q;_=Ez(_&1|0,0,j|0,k|0)|0;z=V;A=Z;j=_;k=I}if((e|0)==74){f[S>>2]=c;f[S+4>>2]=R;ww(Q,91009,S)|0;vj(Q);if((f[P>>2]|0)==1){f[m>>2]=311;_=311;u=U;return _|0}else{f[m>>2]=312;_=312;u=U;return _|0}}else if((e|0)==78){_=Ez(A|0,z|0,1,0)|0;t=+(_>>>0)+4294967296.0*+(I|0);_=Ez(q|0,h|0,A|0,z|0)|0;p[T>>3]=t;p[T+8>>3]=+(_>>>0)+4294967296.0*+(I|0);ww(Q,90203,T)|0;vj(Q);_=f[m>>2]|0;u=U;return _|0}else if((e|0)==81){e=f[m>>2]|0;if((e|0)!=-11){_=e;u=U;return _|0}vj(91132);f[m>>2]=412;_=412;u=U;return _|0}return 0}function kq(a,c,e,g,h,i,j,k){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0;q=u;u=u+16|0;o=q+8|0;n=q;l=(c|0)>0;if(e==1.0&g==0.0){if(l){l=0;m=j;do{p[n>>3]=+(d[a+(l<<1)>>1]|0);ww(m,h,n)|0;m=m+i|0;if(b[m>>0]|0)f[k>>2]=-11;l=l+1|0}while((l|0)!=(c|0))}}else if(l){l=0;m=j;do{p[o>>3]=(+(d[a+(l<<1)>>1]|0)-g)/e;ww(m,h,o)|0;m=m+i|0;if(b[m>>0]|0)f[k>>2]=-11;l=l+1|0}while((l|0)!=(c|0))}l=Cx(j,44)|0;if(!l){k=f[k>>2]|0;u=q;return k|0}do{b[l>>0]=46;l=Cx(l,44)|0}while((l|0)!=0);k=f[k>>2]|0;u=q;return k|0}function lq(a,b,c,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){mq(a,2,(b|0)>1?b:1,0,c,e,g,h,i,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{d[l>>1]=j;ps(a,21,c,e,g,h,1,i,l,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function mq(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;n=f[m>>2]|0;if((n|0)>0){m=n;return m|0}n=f[a>>2]|0;p=a+4|0;o=f[p>>2]|0;if((n|0)==(f[o+68>>2]|0)){w=o+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,m)|0)>0:0){m=f[m>>2]|0;return m|0}}else Hj(a,n+1|0,0,m)|0;n=f[(f[p>>2]|0)+960>>2]|0;o=b+-1|0;p=f[n+(o*160|0)+80>>2]|0;w=(p|0)>0;do if(!w){o=Ez(g|0,h|0,-1,-1)|0;o=Ez(o|0,I|0,i|0,j|0)|0;q=I;if((p|0)<0?(jq(a,b,c,e,g,h,i,j,k,m)|0)>0:0){n=f[m>>2]|0;if((n|0)==412){f[m>>2]=0;u=o;t=q;break}else{m=n;return m|0}}else{u=o;t=q}}else{t=n+(o*160|0)+88|0;u=f[t>>2]|0;t=f[t+4>>2]|0}while(0);r=Ez(c|0,e|0,-1,-1)|0;r=Sz(u|0,t|0,r|0,I|0)|0;r=Ez(r|0,I|0,g|0,h|0)|0;s=I;if(!((j|0)>0|(j|0)==0&i>>>0>0)){m=f[m>>2]|0;return m|0}a:do if(w){q=0;o=0;g=0;p=0;c=0;n=0;e=0;while(1){if((d[k+(q<<1)>>1]|0)==l<<16>>16){if(!((c|0)==0&(n|0)==0)?(h=Dz(q|0,p|0,c|0,n|0)|0,B=Ez(h|0,I|0,r|0,s|0)|0,x=I,A=Ez(B|0,x|0,-1,-1)|0,A=Jz(A|0,I|0,u|0,t|0)|0,z=I,y=Sz(A|0,z|0,u|0,t|0)|0,y=Dz(B|0,x|0,y|0,I|0)|0,x=I,z=Ez(A|0,z|0,1,0)|0,(jq(a,b,z,I,y,x,c,n,k+(h<<1)|0,m)|0)>0):0){n=f[m>>2]|0;if((n|0)!=412)break;f[m>>2]=0;e=1}o=Ez(o|0,g|0,1,0)|0;c=0;h=0;n=I}else{if(!((o|0)==0&(g|0)==0)?(x=Dz(q|0,p|0,o|0,g|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,b,z,A,B,I,o,g,m)|0)>0):0){v=29;break a}c=Ez(c|0,n|0,1,0)|0;h=I;o=0;n=0}q=Ez(q|0,p|0,1,0)|0;p=I;if((p|0)<(j|0)|(p|0)==(j|0)&q>>>0<i>>>0){g=n;n=h}else{g=c;break a}}return n|0}else{q=0;c=0;n=0;e=0;p=0;o=0;while(1){if((d[k+(q<<1)>>1]|0)==l<<16>>16){c=Ez(c|0,n|0,1,0)|0;p=0;o=0;n=I}else{if(!((c|0)==0&(n|0)==0)?(x=Dz(q|0,e|0,c|0,n|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,b,z,A,B,I,c,n,m)|0)>0):0){v=29;break a}p=Ez(p|0,o|0,1,0)|0;o=I;c=0;n=0}q=Ez(q|0,e|0,1,0)|0;e=I;if(!((e|0)<(j|0)|(e|0)==(j|0)&q>>>0<i>>>0)){g=p;h=o;p=e;o=c;e=0;break}}}while(0);if((v|0)==29){B=f[m>>2]|0;return B|0}if((g|0)==0&(h|0)==0){if(!((o|0)==0&(n|0)==0)){x=Dz(q|0,p|0,o|0,n|0)|0;x=Ez(x|0,I|0,r|0,s|0)|0;y=I;k=Ez(x|0,y|0,-1,-1)|0;k=Jz(k|0,I|0,u|0,t|0)|0;B=I;z=Ez(k|0,B|0,1,0)|0;A=I;B=Sz(k|0,B|0,u|0,t|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Qq(a,b,z,A,B,I,o,n,m)|0}}else{c=Dz(q|0,p|0,g|0,h|0)|0;n=Ez(c|0,I|0,r|0,s|0)|0;o=I;p=Ez(n|0,o|0,-1,-1)|0;p=Jz(p|0,I|0,u|0,t|0)|0;q=I;if(w){z=Ez(p|0,q|0,1,0)|0;A=I;B=Sz(p|0,q|0,u|0,t|0)|0;B=Dz(n|0,o|0,B|0,I|0)|0;jq(a,b,z,A,B,I,g,h,k+(c<<1)|0,m)|0}}n=f[m>>2]|0;if(!((e|0)!=0&(n|0)<1)){B=n;return B|0}f[m>>2]=412;B=412;return B|0}function nq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){oq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,41,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function oq(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0,r=0.0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0,_=0;U=u;u=u+29056|0;T=U+28864|0;S=U+28856|0;M=U+28896|0;q=U+28892|0;P=U+28888|0;N=U+28884|0;E=U+28880|0;F=U+28848|0;L=U+28840|0;D=U+28832|0;G=U+28824|0;H=U+28808|0;O=U+28800|0;R=U+29024|0;C=U+29004|0;Q=U+28920|0;B=U;o=f[m>>2]|0;if((o|0)>0){m=o;u=U;return m|0}if((uk(a,c,e,g,h,i,j,k,1,H,O,R,N,M,q,L,D,E,F,G,P,U+28816|0,U+28900|0,m)|0)>0){m=f[m>>2]|0;u=U;return m|0}x=f[q>>2]|0;w=((x|0)<0)<<31>>31;if((f[M>>2]|0)==16)fk(R,C);y=C+1|0;z=0;A=0;g=j;e=k;j=0;k=0;a:while(1){v=l+(A<<2)|0;while(1){if((g|0)==0&(e|0)==0){e=87;break a}i=(e|0)<(w|0)|(e|0)==(w|0)&g>>>0<x>>>0;_=i?g:x;_=Nz(0,_|0,32)|0;i=I;q=F;o=D;V=f[o>>2]|0;o=f[o+4>>2]|0;q=Dz(f[q>>2]|0,f[q+4>>2]|0,V|0,o|0)|0;h=I;Z=(i|0)<(h|0)|(i|0)==(h|0)&_>>>0<q>>>0;q=Z?_:q;h=L;i=f[h>>2]|0;h=f[h+4>>2]|0;Z=G;Z=Sz(f[Z>>2]|0,f[Z+4>>2]|0,j|0,k|0)|0;h=Ez(Z|0,I|0,i|0,h|0)|0;i=I;Z=f[E>>2]|0;o=Sz(Z|0,((Z|0)<0)<<31>>31|0,V|0,o|0)|0;o=Ez(h|0,i|0,o|0,I|0)|0;ft(a,o,I,1,m)|0;b:do switch(f[M>>2]|0){case 41:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h)Lz(B|0,v|0,q<<2|0)|0}else if(h){i=0;do{r=(+(f[v+(i<<2)>>2]|0)-t)/s;do if(!(r<-2147483648.49))if(r>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(q|0))}zt(a,q,f[E>>2]|0,B,m)|0;break}case 81:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){h=0;do{Z=f[v+(h<<2)>>2]|0;_=B+(h<<3)|0;f[_>>2]=Z;f[_+4>>2]=((Z|0)<0)<<31>>31;h=h+1|0}while((h|0)!=(q|0))}}else if(h){o=0;do{r=(+(f[v+(o<<2)>>2]|0)-t)/s;do if(!(r<-9223372036854775808.0))if(r>9223372036854775808.0){f[m>>2]=-11;h=-1;i=2147483647;break}else{r=r+(!(r>=0.0)?-.5:.5);h=~~r>>>0;i=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);_=B+(o<<3)|0;f[_>>2]=h;f[_+4>>2]=i;o=o+1|0}while((o|0)!=(q|0))}At(a,q,f[E>>2]|0,B,m)|0;break}case 11:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{h=f[v+(i<<2)>>2]|0;do if((h|0)>=0)if((h|0)>255){f[m>>2]=-11;h=-1;break}else{h=h&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+(f[v+(i<<2)>>2]|0)-t)/s;do if(!(r<-.49))if(r>255.49){f[m>>2]=-11;h=-1;break}else{h=~~(r+.5)&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}xt(a,q,f[E>>2]|0,B,m)|0;break}case 21:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{h=f[v+(i<<2)>>2]|0;do if((h|0)>=-32768)if((h|0)>32767){f[m>>2]=-11;h=32767;break}else{h=h&65535;break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}}else if(h){i=0;do{r=(+(f[v+(i<<2)>>2]|0)-t)/s;do if(!(r<-32768.49))if(r>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}yt(a,q,f[E>>2]|0,B,m)|0;break}case 42:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{n[B+(h<<2)>>2]=+(f[v+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{n[B+(h<<2)>>2]=(+(f[v+(h<<2)>>2]|0)-s)/r;h=h+1|0}while((h|0)!=(q|0))}Bt(a,q,f[E>>2]|0,B,m)|0;break}case 82:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{p[B+(h<<3)>>3]=+(f[v+(h<<2)>>2]|0);h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{p[B+(h<<3)>>3]=(+(f[v+(h<<2)>>2]|0)-s)/r;h=h+1|0}while((h|0)!=(q|0))}Ct(a,q,f[E>>2]|0,B,m)|0;break}case 16:{if((b[y>>0]|0)==115){e=80;break a}pq(v,q,+p[H>>3],+p[O>>3],C,f[N>>2]|0,B,m)|0;h=f[E>>2]|0;i=f[N>>2]|0;if((h|0)==(i|0)){_=X(h,q)|0;it(a,_,((_|0)<0)<<31>>31,B,m)|0;break b}else{jt(a,i,q,h-i|0,B,m)|0;break b}}default:{e=80;break a}}while(0);h=((q|0)<0)<<31>>31;if((f[m>>2]|0)>0){e=84;break a}g=Dz(g|0,e|0,q|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}Z=Ez(q|0,h|0,A|0,z|0)|0;V=I;o=D;o=Ez(f[o>>2]|0,f[o+4>>2]|0,q|0,h|0)|0;q=I;_=F;_=(o|0)==(f[_>>2]|0)?(q|0)==(f[_+4>>2]|0):0;v=D;f[v>>2]=_?0:o;f[v+4>>2]=_?0:q;_=Ez(_&1|0,0,j|0,k|0)|0;z=V;A=Z;j=_;k=I}if((e|0)==80){f[S>>2]=c;f[S+4>>2]=R;ww(Q,91009,S)|0;vj(Q);if((f[P>>2]|0)==1){f[m>>2]=311;_=311;u=U;return _|0}else{f[m>>2]=312;_=312;u=U;return _|0}}else if((e|0)==84){_=Ez(A|0,z|0,1,0)|0;t=+(_>>>0)+4294967296.0*+(I|0);_=Ez(q|0,h|0,A|0,z|0)|0;p[T>>3]=t;p[T+8>>3]=+(_>>>0)+4294967296.0*+(I|0);ww(Q,90271,T)|0;vj(Q);_=f[m>>2]|0;u=U;return _|0}else if((e|0)==87){e=f[m>>2]|0;if((e|0)!=-11){_=e;u=U;return _|0}vj(91132);f[m>>2]=412;_=412;u=U;return _|0}return 0}function pq(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;o=u;u=u+16|0;n=o+8|0;m=o;k=(c|0)>0;if(d==1.0&e==0.0){if(k){k=0;l=i;do{p[m>>3]=+(f[a+(k<<2)>>2]|0);ww(l,g,m)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}}else if(k){k=0;l=i;do{p[n>>3]=(+(f[a+(k<<2)>>2]|0)-e)/d;ww(l,g,n)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}k=Cx(i,44)|0;if(!k){j=f[j>>2]|0;u=o;return j|0}do{b[k>>0]=46;k=Cx(k,44)|0}while((k|0)!=0);j=f[j>>2]|0;u=o;return j|0}function qq(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;l=u;u=u+16|0;k=l;if(!(Ek(a,j)|0)){rq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i,j)|0;j=f[j>>2]|0;u=l;return j|0}else{f[k>>2]=i;ps(a,41,c,d,e,g,1,h,k,j)|0;j=f[j>>2]|0;u=l;return j|0}return 0}function rq(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}m=f[a>>2]|0;o=a+4|0;n=f[o>>2]|0;if((m|0)==(f[n+68>>2]|0)){v=n+120|0;if(((f[v>>2]|0)==-1?(f[v+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;return l|0}}else Hj(a,m+1|0,0,l)|0;m=f[(f[o>>2]|0)+960>>2]|0;n=b+-1|0;o=f[m+(n*160|0)+80>>2]|0;v=(o|0)>0;do if(!v){n=Ez(e|0,g|0,-1,-1)|0;n=Ez(n|0,I|0,h|0,i|0)|0;p=I;if((o|0)<0?(oq(a,b,c,d,e,g,h,i,j,l)|0)>0:0){m=f[l>>2]|0;if((m|0)==412){f[l>>2]=0;t=n;s=p;break}else{l=m;return l|0}}else{t=n;s=p}}else{s=m+(n*160|0)+88|0;t=f[s>>2]|0;s=f[s+4>>2]|0}while(0);q=Ez(c|0,d|0,-1,-1)|0;q=Sz(t|0,s|0,q|0,I|0)|0;q=Ez(q|0,I|0,e|0,g|0)|0;r=I;if(!((i|0)>0|(i|0)==0&h>>>0>0)){l=f[l>>2]|0;return l|0}a:do if(v){p=0;n=0;e=0;o=0;c=0;m=0;d=0;while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){if(!((c|0)==0&(m|0)==0)?(g=Dz(p|0,o|0,c|0,m|0)|0,A=Ez(g|0,I|0,q|0,r|0)|0,w=I,z=Ez(A|0,w|0,-1,-1)|0,z=Jz(z|0,I|0,t|0,s|0)|0,y=I,x=Sz(z|0,y|0,t|0,s|0)|0,x=Dz(A|0,w|0,x|0,I|0)|0,w=I,y=Ez(z|0,y|0,1,0)|0,(oq(a,b,y,I,x,w,c,m,j+(g<<2)|0,l)|0)>0):0){m=f[l>>2]|0;if((m|0)!=412)break;f[l>>2]=0;d=1}n=Ez(n|0,e|0,1,0)|0;c=0;g=0;m=I}else{if(!((n|0)==0&(e|0)==0)?(w=Dz(p|0,o|0,n|0,e|0)|0,w=Ez(w|0,I|0,q|0,r|0)|0,x=I,g=Ez(w|0,x|0,-1,-1)|0,g=Jz(g|0,I|0,t|0,s|0)|0,A=I,y=Ez(g|0,A|0,1,0)|0,z=I,A=Sz(g|0,A|0,t|0,s|0)|0,A=Dz(w|0,x|0,A|0,I|0)|0,(Qq(a,b,y,z,A,I,n,e,l)|0)>0):0){u=29;break a}c=Ez(c|0,m|0,1,0)|0;g=I;n=0;m=0}p=Ez(p|0,o|0,1,0)|0;o=I;if((o|0)<(i|0)|(o|0)==(i|0)&p>>>0<h>>>0){e=m;m=g}else{e=c;break a}}return m|0}else{p=0;c=0;m=0;d=0;o=0;n=0;while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){c=Ez(c|0,m|0,1,0)|0;o=0;n=0;m=I}else{if(!((c|0)==0&(m|0)==0)?(w=Dz(p|0,d|0,c|0,m|0)|0,w=Ez(w|0,I|0,q|0,r|0)|0,x=I,g=Ez(w|0,x|0,-1,-1)|0,g=Jz(g|0,I|0,t|0,s|0)|0,A=I,y=Ez(g|0,A|0,1,0)|0,z=I,A=Sz(g|0,A|0,t|0,s|0)|0,A=Dz(w|0,x|0,A|0,I|0)|0,(Qq(a,b,y,z,A,I,c,m,l)|0)>0):0){u=29;break a}o=Ez(o|0,n|0,1,0)|0;n=I;c=0;m=0}p=Ez(p|0,d|0,1,0)|0;d=I;if(!((d|0)<(i|0)|(d|0)==(i|0)&p>>>0<h>>>0)){e=o;g=n;o=d;n=c;d=0;break}}}while(0);if((u|0)==29){A=f[l>>2]|0;return A|0}if((e|0)==0&(g|0)==0){if(!((n|0)==0&(m|0)==0)){w=Dz(p|0,o|0,n|0,m|0)|0;w=Ez(w|0,I|0,q|0,r|0)|0;x=I;j=Ez(w|0,x|0,-1,-1)|0;j=Jz(j|0,I|0,t|0,s|0)|0;A=I;y=Ez(j|0,A|0,1,0)|0;z=I;A=Sz(j|0,A|0,t|0,s|0)|0;A=Dz(w|0,x|0,A|0,I|0)|0;Qq(a,b,y,z,A,I,n,m,l)|0}}else{c=Dz(p|0,o|0,e|0,g|0)|0;m=Ez(c|0,I|0,q|0,r|0)|0;n=I;o=Ez(m|0,n|0,-1,-1)|0;o=Jz(o|0,I|0,t|0,s|0)|0;p=I;if(v){y=Ez(o|0,p|0,1,0)|0;z=I;A=Sz(o|0,p|0,t|0,s|0)|0;A=Dz(m|0,n|0,A|0,I|0)|0;oq(a,b,y,z,A,I,e,g,j+(c<<2)|0,l)|0}}m=f[l>>2]|0;if(!((d|0)!=0&(m|0)<1)){A=m;return A|0}f[l>>2]=412;A=412;return A|0}function sq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;if(!(Ek(a,i)|0)){tq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;return i|0}else{vj(90657);f[i>>2]=413;i=413;return i|0}return 0}function tq(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0,r=0.0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0,_=0;U=u;u=u+29056|0;T=U+28864|0;S=U+28856|0;M=U+28896|0;q=U+28892|0;P=U+28888|0;N=U+28884|0;E=U+28880|0;F=U+28848|0;L=U+28840|0;D=U+28832|0;G=U+28824|0;H=U+28808|0;O=U+28800|0;R=U+29024|0;C=U+29004|0;Q=U+28920|0;B=U;o=f[m>>2]|0;if((o|0)>0){m=o;u=U;return m|0}if((uk(a,c,e,g,h,i,j,k,1,H,O,R,N,M,q,L,D,E,F,G,P,U+28816|0,U+28900|0,m)|0)>0){m=f[m>>2]|0;u=U;return m|0}x=f[q>>2]|0;w=((x|0)<0)<<31>>31;if((f[M>>2]|0)==16)fk(R,C);y=C+1|0;z=0;A=0;g=j;e=k;j=0;k=0;a:while(1){v=l+(z<<3)|0;while(1){if((g|0)==0&(e|0)==0){e=92;break a}i=(e|0)<(w|0)|(e|0)==(w|0)&g>>>0<x>>>0;_=i?g:x;_=Nz(0,_|0,32)|0;i=I;q=F;o=D;V=f[o>>2]|0;o=f[o+4>>2]|0;q=Dz(f[q>>2]|0,f[q+4>>2]|0,V|0,o|0)|0;h=I;Z=(i|0)<(h|0)|(i|0)==(h|0)&_>>>0<q>>>0;q=Z?_:q;h=L;i=f[h>>2]|0;h=f[h+4>>2]|0;Z=G;Z=Sz(f[Z>>2]|0,f[Z+4>>2]|0,j|0,k|0)|0;h=Ez(Z|0,I|0,i|0,h|0)|0;i=I;Z=f[E>>2]|0;o=Sz(Z|0,((Z|0)<0)<<31>>31|0,V|0,o|0)|0;o=Ez(h|0,i|0,o|0,I|0)|0;ft(a,o,I,1,m)|0;b:do switch(f[M>>2]|0){case 81:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h)Lz(B|0,v|0,q<<3|0)|0}else if(h){o=0;do{_=v+(o<<3)|0;r=(+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0)-t)/s;do if(!(r<-9223372036854775808.0))if(r>9223372036854775808.0){f[m>>2]=-11;h=-1;i=2147483647;break}else{r=r+(!(r>=0.0)?-.5:.5);h=~~r>>>0;i=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);_=B+(o<<3)|0;f[_>>2]=h;f[_+4>>2]=i;o=o+1|0}while((o|0)!=(q|0))}At(a,q,f[E>>2]|0,B,m)|0;break}case 41:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){o=0;do{i=v+(o<<3)|0;h=f[i>>2]|0;i=f[i+4>>2]|0;do if(!((i|0)<-1|(i|0)==-1&h>>>0<2147483648))if((i|0)>0|(i|0)==0&h>>>0>2147483647){f[m>>2]=-11;h=2147483647;break}else break;else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(o<<2)>>2]=h;o=o+1|0}while((o|0)!=(q|0))}}else if(h){i=0;do{_=v+(i<<3)|0;r=(+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0)-t)/s;do if(!(r<-2147483648.49))if(r>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-2147483648}while(0);f[B+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(q|0))}zt(a,q,f[E>>2]|0,B,m)|0;break}case 11:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){o=0;do{i=v+(o<<3)|0;h=f[i>>2]|0;i=f[i+4>>2]|0;do if((i|0)>=0)if((i|0)>0|(i|0)==0&h>>>0>255){f[m>>2]=-11;h=-1;break}else{h=h&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+o>>0]=h;o=o+1|0}while((o|0)!=(q|0))}}else if(h){i=0;do{_=v+(i<<3)|0;r=(+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0)-t)/s;do if(!(r<-.49))if(r>255.49){f[m>>2]=-11;h=-1;break}else{h=~~(r+.5)&255;break}else{f[m>>2]=-11;h=0}while(0);b[B+i>>0]=h;i=i+1|0}while((i|0)!=(q|0))}xt(a,q,f[E>>2]|0,B,m)|0;break}case 21:{s=+p[H>>3];t=+p[O>>3];h=(q|0)>0;if(s==1.0&t==0.0){if(h){o=0;do{i=v+(o<<3)|0;h=f[i>>2]|0;i=f[i+4>>2]|0;do if(!((i|0)<-1|(i|0)==-1&h>>>0<4294934528))if((i|0)>0|(i|0)==0&h>>>0>32767){f[m>>2]=-11;h=32767;break}else{h=h&65535;break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(o<<1)>>1]=h;o=o+1|0}while((o|0)!=(q|0))}}else if(h){i=0;do{_=v+(i<<3)|0;r=(+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0)-t)/s;do if(!(r<-32768.49))if(r>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-32768}while(0);d[B+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(q|0))}yt(a,q,f[E>>2]|0,B,m)|0;break}case 42:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{_=v+(h<<3)|0;n[B+(h<<2)>>2]=+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0);h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{_=v+(h<<3)|0;n[B+(h<<2)>>2]=(+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0)-s)/r;h=h+1|0}while((h|0)!=(q|0))}Bt(a,q,f[E>>2]|0,B,m)|0;break}case 82:{r=+p[H>>3];s=+p[O>>3];h=(q|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{_=v+(h<<3)|0;p[B+(h<<3)>>3]=+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0);h=h+1|0}while((h|0)!=(q|0))}}else if(h){h=0;do{_=v+(h<<3)|0;p[B+(h<<3)>>3]=(+((f[_>>2]|0)>>>0)+4294967296.0*+(f[_+4>>2]|0)-s)/r;h=h+1|0}while((h|0)!=(q|0))}Ct(a,q,f[E>>2]|0,B,m)|0;break}case 16:{if((b[y>>0]|0)==115){e=85;break a}uq(v,q,+p[H>>3],+p[O>>3],C,f[N>>2]|0,B,m)|0;h=f[E>>2]|0;i=f[N>>2]|0;if((h|0)==(i|0)){_=X(h,q)|0;it(a,_,((_|0)<0)<<31>>31,B,m)|0;break b}else{jt(a,i,q,h-i|0,B,m)|0;break b}}default:{e=85;break a}}while(0);h=((q|0)<0)<<31>>31;if((f[m>>2]|0)>0){e=89;break a}g=Dz(g|0,e|0,q|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}V=Ez(q|0,h|0,z|0,A|0)|0;Z=I;o=D;o=Ez(f[o>>2]|0,f[o+4>>2]|0,q|0,h|0)|0;q=I;_=F;_=(o|0)==(f[_>>2]|0)?(q|0)==(f[_+4>>2]|0):0;v=D;f[v>>2]=_?0:o;f[v+4>>2]=_?0:q;_=Ez(_&1|0,0,j|0,k|0)|0;z=V;A=Z;j=_;k=I}if((e|0)==85){f[S>>2]=c;f[S+4>>2]=R;ww(Q,91009,S)|0;vj(Q);if((f[P>>2]|0)==1){f[m>>2]=311;_=311;u=U;return _|0}else{f[m>>2]=312;_=312;u=U;return _|0}}else if((e|0)==89){_=Ez(z|0,A|0,1,0)|0;t=+(_>>>0)+4294967296.0*+(I|0);_=Ez(q|0,h|0,z|0,A|0)|0;p[T>>3]=t;p[T+8>>3]=+(_>>>0)+4294967296.0*+(I|0);ww(Q,90271,T)|0;vj(Q);_=f[m>>2]|0;u=U;return _|0}else if((e|0)==92){e=f[m>>2]|0;if((e|0)!=-11){_=e;u=U;return _|0}vj(91132);f[m>>2]=412;_=412;u=U;return _|0}return 0}function uq(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;o=u;u=u+16|0;n=o+8|0;m=o;k=(c|0)>0;if(d==1.0&e==0.0){if(k){k=0;l=i;do{n=a+(k<<3)|0;p[m>>3]=+((f[n>>2]|0)>>>0)+4294967296.0*+(f[n+4>>2]|0);ww(l,g,m)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}}else if(k){k=0;l=i;do{m=a+(k<<3)|0;p[n>>3]=(+((f[m>>2]|0)>>>0)+4294967296.0*+(f[m+4>>2]|0)-e)/d;ww(l,g,n)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}k=Cx(i,44)|0;if(!k){j=f[j>>2]|0;u=o;return j|0}do{b[k>>0]=46;k=Cx(k,44)|0}while((k|0)!=0);j=f[j>>2]|0;u=o;return j|0}function vq(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){wq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{vj(90657);f[k>>2]=413;k=413;return k|0}return 0}function wq(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;n=f[m>>2]|0;if((n|0)>0){m=n;return m|0}o=f[a>>2]|0;p=a+4|0;n=f[p>>2]|0;if((o|0)==(f[n+68>>2]|0)){w=n+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,m)|0)>0:0){m=f[m>>2]|0;return m|0}}else Hj(a,o+1|0,0,m)|0;n=f[(f[p>>2]|0)+960>>2]|0;o=b+-1|0;p=f[n+(o*160|0)+80>>2]|0;w=(p|0)>0;do if(!w){o=Ez(e|0,g|0,-1,-1)|0;o=Ez(o|0,I|0,h|0,i|0)|0;q=I;if((p|0)<0?(tq(a,b,c,d,e,g,h,i,j,m)|0)>0:0){n=f[m>>2]|0;if((n|0)==412){f[m>>2]=0;u=o;t=q;break}else{m=n;return m|0}}else{u=o;t=q}}else{t=n+(o*160|0)+88|0;u=f[t>>2]|0;t=f[t+4>>2]|0}while(0);r=Ez(c|0,d|0,-1,-1)|0;r=Sz(u|0,t|0,r|0,I|0)|0;r=Ez(r|0,I|0,e|0,g|0)|0;s=I;if(!((i|0)>0|(i|0)==0&h>>>0>0)){m=f[m>>2]|0;return m|0}a:do if(w){q=0;o=0;e=0;p=0;c=0;n=0;d=0;while(1){g=j+(q<<3)|0;if((f[g>>2]|0)==(k|0)?(f[g+4>>2]|0)==(l|0):0){if(!((c|0)==0&(n|0)==0)?(g=Dz(q|0,p|0,c|0,n|0)|0,B=Ez(g|0,I|0,r|0,s|0)|0,x=I,A=Ez(B|0,x|0,-1,-1)|0,A=Jz(A|0,I|0,u|0,t|0)|0,z=I,y=Sz(A|0,z|0,u|0,t|0)|0,y=Dz(B|0,x|0,y|0,I|0)|0,x=I,z=Ez(A|0,z|0,1,0)|0,(tq(a,b,z,I,y,x,c,n,j+(g<<3)|0,m)|0)>0):0){n=f[m>>2]|0;if((n|0)!=412)break;f[m>>2]=0;d=1}o=Ez(o|0,e|0,1,0)|0;c=0;g=0;n=I}else{if(!((o|0)==0&(e|0)==0)?(x=Dz(q|0,p|0,o|0,e|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,g=Ez(x|0,y|0,-1,-1)|0,g=Jz(g|0,I|0,u|0,t|0)|0,B=I,z=Ez(g|0,B|0,1,0)|0,A=I,B=Sz(g|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,b,z,A,B,I,o,e,m)|0)>0):0){v=29;break a}c=Ez(c|0,n|0,1,0)|0;g=I;o=0;n=0}q=Ez(q|0,p|0,1,0)|0;p=I;if((p|0)<(i|0)|(p|0)==(i|0)&q>>>0<h>>>0){e=n;n=g}else{e=c;break a}}return n|0}else{q=0;c=0;n=0;d=0;p=0;o=0;while(1){B=j+(q<<3)|0;if((f[B>>2]|0)==(k|0)?(f[B+4>>2]|0)==(l|0):0){c=Ez(c|0,n|0,1,0)|0;p=0;o=0;n=I}else{if(!((c|0)==0&(n|0)==0)?(x=Dz(q|0,d|0,c|0,n|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,g=Ez(x|0,y|0,-1,-1)|0,g=Jz(g|0,I|0,u|0,t|0)|0,B=I,z=Ez(g|0,B|0,1,0)|0,A=I,B=Sz(g|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,b,z,A,B,I,c,n,m)|0)>0):0){v=29;break a}p=Ez(p|0,o|0,1,0)|0;o=I;c=0;n=0}q=Ez(q|0,d|0,1,0)|0;d=I;if(!((d|0)<(i|0)|(d|0)==(i|0)&q>>>0<h>>>0)){e=p;g=o;p=d;o=c;d=0;break}}}while(0);if((v|0)==29){B=f[m>>2]|0;return B|0}if((e|0)==0&(g|0)==0){if(!((o|0)==0&(n|0)==0)){x=Dz(q|0,p|0,o|0,n|0)|0;x=Ez(x|0,I|0,r|0,s|0)|0;y=I;j=Ez(x|0,y|0,-1,-1)|0;j=Jz(j|0,I|0,u|0,t|0)|0;B=I;z=Ez(j|0,B|0,1,0)|0;A=I;B=Sz(j|0,B|0,u|0,t|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Qq(a,b,z,A,B,I,o,n,m)|0}}else{c=Dz(q|0,p|0,e|0,g|0)|0;n=Ez(c|0,I|0,r|0,s|0)|0;o=I;p=Ez(n|0,o|0,-1,-1)|0;p=Jz(p|0,I|0,u|0,t|0)|0;q=I;if(w){z=Ez(p|0,q|0,1,0)|0;A=I;B=Sz(p|0,q|0,u|0,t|0)|0;B=Dz(n|0,o|0,B|0,I|0)|0;tq(a,b,z,A,B,I,e,g,j+(c<<3)|0,m)|0}}n=f[m>>2]|0;if(!((d|0)!=0&(n|0)<1)){B=n;return B|0}f[m>>2]=412;B=412;return B|0}function xq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;k=u;u=u+16|0;j=k;if(!(Ek(a,i)|0)){if((f[i>>2]|0)<=0)oq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0}else ps(a,31,c,d,e,g,0,h,j,i)|0;u=k;return f[i>>2]|0}function yq(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0;l=f[k>>2]|0;if((l|0)>0){k=l;return k|0}oq(a,b,c,d,e,g,h,i,j,k)|0;k=f[k>>2]|0;return k|0}function zq(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;l=u;u=u+16|0;k=l;if(!(Ek(a,j)|0)){Aq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i,j)|0;j=f[j>>2]|0;u=l;return j|0}else{f[k>>2]=i;ps(a,31,c,d,e,g,1,h,k,j)|0;j=f[j>>2]|0;u=l;return j|0}return 0}function Aq(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}m=f[a>>2]|0;o=a+4|0;n=f[o>>2]|0;if((m|0)==(f[n+68>>2]|0)){A=n+120|0;if(((f[A>>2]|0)==-1?(f[A+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;return l|0}}else Hj(a,m+1|0,0,l)|0;m=f[(f[o>>2]|0)+960>>2]|0;n=b+-1|0;o=f[m+(n*160|0)+80>>2]|0;A=(o|0)>0;do if(!A){n=Ez(e|0,g|0,-1,-1)|0;n=Ez(n|0,I|0,h|0,i|0)|0;p=I;if((o|0)<0){m=f[l>>2]|0;if((m|0)<=0){oq(a,b,c,d,e,g,h,i,j,l)|0;m=f[l>>2]|0;if((m|0)<=0){y=n;x=p;break}}if((m|0)==412){f[l>>2]=0;y=n;x=p;break}else{l=m;return l|0}}else{y=n;x=p}}else{x=m+(n*160|0)+88|0;y=f[x>>2]|0;x=f[x+4>>2]|0}while(0);v=Ez(c|0,d|0,-1,-1)|0;v=Sz(y|0,x|0,v|0,I|0)|0;v=Ez(v|0,I|0,e|0,g|0)|0;w=I;if(!((i|0)>0|(i|0)==0&h>>>0>0)){l=f[l>>2]|0;return l|0}a:do if(A){p=0;n=0;u=0;o=0;d=0;t=0;c=0;b:while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){do if(!((d|0)==0&(t|0)==0)){e=Dz(p|0,o|0,d|0,t|0)|0;g=Ez(e|0,I|0,v|0,w|0)|0;q=I;r=Ez(g|0,q|0,-1,-1)|0;r=Jz(r|0,I|0,y|0,x|0)|0;s=I;m=f[l>>2]|0;if((m|0)<=0){C=Ez(r|0,s|0,1,0)|0;B=I;m=Sz(r|0,s|0,y|0,x|0)|0;m=Dz(g|0,q|0,m|0,I|0)|0;oq(a,b,C,B,m,I,d,t,j+(e<<2)|0,l)|0;m=f[l>>2]|0;if((m|0)<=0)break}if((m|0)!=412)break b;f[l>>2]=0;c=1}while(0);n=Ez(n|0,u|0,1,0)|0;d=0;t=0;m=I}else{if(!((n|0)==0&(u|0)==0)?(q=Dz(p|0,o|0,n|0,u|0)|0,q=Ez(q|0,I|0,v|0,w|0)|0,r=I,g=Ez(q|0,r|0,-1,-1)|0,g=Jz(g|0,I|0,y|0,x|0)|0,C=I,s=Ez(g|0,C|0,1,0)|0,B=I,C=Sz(g|0,C|0,y|0,x|0)|0,C=Dz(q|0,r|0,C|0,I|0)|0,(Qq(a,b,s,B,C,I,n,u,l)|0)>0):0){z=31;break a}d=Ez(d|0,t|0,1,0)|0;t=I;n=0;m=0}p=Ez(p|0,o|0,1,0)|0;o=I;if((o|0)<(i|0)|(o|0)==(i|0)&p>>>0<h>>>0)u=m;else{e=d;d=c;break a}}return m|0}else{p=0;c=0;m=0;d=0;o=0;n=0;while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){c=Ez(c|0,m|0,1,0)|0;o=0;n=0;m=I}else{if(!((c|0)==0&(m|0)==0)?(s=Dz(p|0,d|0,c|0,m|0)|0,s=Ez(s|0,I|0,v|0,w|0)|0,t=I,r=Ez(s|0,t|0,-1,-1)|0,r=Jz(r|0,I|0,y|0,x|0)|0,C=I,u=Ez(r|0,C|0,1,0)|0,B=I,C=Sz(r|0,C|0,y|0,x|0)|0,C=Dz(s|0,t|0,C|0,I|0)|0,(Qq(a,b,u,B,C,I,c,m,l)|0)>0):0){z=31;break a}o=Ez(o|0,n|0,1,0)|0;n=I;c=0;m=0}p=Ez(p|0,d|0,1,0)|0;d=I;if(!((d|0)<(i|0)|(d|0)==(i|0)&p>>>0<h>>>0)){e=o;t=n;o=d;n=c;d=0;break}}}while(0);if((z|0)==31){C=f[l>>2]|0;return C|0}if((e|0)==0&(t|0)==0){if(!((n|0)==0&(m|0)==0)){z=Dz(p|0,o|0,n|0,m|0)|0;z=Ez(z|0,I|0,v|0,w|0)|0;A=I;k=Ez(z|0,A|0,-1,-1)|0;k=Jz(k|0,I|0,y|0,x|0)|0;C=I;j=Ez(k|0,C|0,1,0)|0;B=I;C=Sz(k|0,C|0,y|0,x|0)|0;C=Dz(z|0,A|0,C|0,I|0)|0;Qq(a,b,j,B,C,I,n,m,l)|0}}else{c=Dz(p|0,o|0,e|0,t|0)|0;m=Ez(c|0,I|0,v|0,w|0)|0;n=I;o=Ez(m|0,n|0,-1,-1)|0;o=Jz(o|0,I|0,y|0,x|0)|0;p=I;if(A?(f[l>>2]|0)<=0:0){A=Ez(o|0,p|0,1,0)|0;B=I;C=Sz(o|0,p|0,y|0,x|0)|0;C=Dz(m|0,n|0,C|0,I|0)|0;oq(a,b,A,B,C,I,e,t,j+(c<<2)|0,l)|0}}m=f[l>>2]|0;if(!((d|0)!=0&(m|0)<1)){C=m;return C|0}f[l>>2]=412;C=412;return C|0}function Bq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;k=u;u=u+16|0;j=k;if(!(Ek(a,i)|0)){if((f[i>>2]|0)<=0)Yq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0}else ps(a,30,c,d,e,g,0,h,j,i)|0;u=k;return f[i>>2]|0}function Cq(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0;l=f[k>>2]|0;if((l|0)>0){k=l;return k|0}Yq(a,b,c,d,e,g,h,i,j,k)|0;k=f[k>>2]|0;return k|0}function Dq(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;l=u;u=u+16|0;k=l;if(!(Ek(a,j)|0)){Eq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i,j)|0;j=f[j>>2]|0;u=l;return j|0}else{f[k>>2]=i;ps(a,30,c,d,e,g,1,h,k,j)|0;j=f[j>>2]|0;u=l;return j|0}return 0}function Eq(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}m=f[a>>2]|0;o=a+4|0;n=f[o>>2]|0;if((m|0)==(f[n+68>>2]|0)){A=n+120|0;if(((f[A>>2]|0)==-1?(f[A+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;return l|0}}else Hj(a,m+1|0,0,l)|0;m=f[(f[o>>2]|0)+960>>2]|0;n=b+-1|0;o=f[m+(n*160|0)+80>>2]|0;A=(o|0)>0;do if(!A){n=Ez(e|0,g|0,-1,-1)|0;n=Ez(n|0,I|0,h|0,i|0)|0;p=I;if((o|0)<0){m=f[l>>2]|0;if((m|0)<=0){Yq(a,b,c,d,e,g,h,i,j,l)|0;m=f[l>>2]|0;if((m|0)<=0){y=n;x=p;break}}if((m|0)==412){f[l>>2]=0;y=n;x=p;break}else{l=m;return l|0}}else{y=n;x=p}}else{x=m+(n*160|0)+88|0;y=f[x>>2]|0;x=f[x+4>>2]|0}while(0);v=Ez(c|0,d|0,-1,-1)|0;v=Sz(y|0,x|0,v|0,I|0)|0;v=Ez(v|0,I|0,e|0,g|0)|0;w=I;if(!((i|0)>0|(i|0)==0&h>>>0>0)){l=f[l>>2]|0;return l|0}a:do if(A){p=0;n=0;u=0;o=0;d=0;t=0;c=0;b:while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){do if(!((d|0)==0&(t|0)==0)){e=Dz(p|0,o|0,d|0,t|0)|0;g=Ez(e|0,I|0,v|0,w|0)|0;q=I;r=Ez(g|0,q|0,-1,-1)|0;r=Jz(r|0,I|0,y|0,x|0)|0;s=I;m=f[l>>2]|0;if((m|0)<=0){C=Ez(r|0,s|0,1,0)|0;B=I;m=Sz(r|0,s|0,y|0,x|0)|0;m=Dz(g|0,q|0,m|0,I|0)|0;Yq(a,b,C,B,m,I,d,t,j+(e<<2)|0,l)|0;m=f[l>>2]|0;if((m|0)<=0)break}if((m|0)!=412)break b;f[l>>2]=0;c=1}while(0);n=Ez(n|0,u|0,1,0)|0;d=0;t=0;m=I}else{if(!((n|0)==0&(u|0)==0)?(q=Dz(p|0,o|0,n|0,u|0)|0,q=Ez(q|0,I|0,v|0,w|0)|0,r=I,g=Ez(q|0,r|0,-1,-1)|0,g=Jz(g|0,I|0,y|0,x|0)|0,C=I,s=Ez(g|0,C|0,1,0)|0,B=I,C=Sz(g|0,C|0,y|0,x|0)|0,C=Dz(q|0,r|0,C|0,I|0)|0,(Qq(a,b,s,B,C,I,n,u,l)|0)>0):0){z=31;break a}d=Ez(d|0,t|0,1,0)|0;t=I;n=0;m=0}p=Ez(p|0,o|0,1,0)|0;o=I;if((o|0)<(i|0)|(o|0)==(i|0)&p>>>0<h>>>0)u=m;else{e=d;d=c;break a}}return m|0}else{p=0;c=0;m=0;d=0;o=0;n=0;while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){c=Ez(c|0,m|0,1,0)|0;o=0;n=0;m=I}else{if(!((c|0)==0&(m|0)==0)?(s=Dz(p|0,d|0,c|0,m|0)|0,s=Ez(s|0,I|0,v|0,w|0)|0,t=I,r=Ez(s|0,t|0,-1,-1)|0,r=Jz(r|0,I|0,y|0,x|0)|0,C=I,u=Ez(r|0,C|0,1,0)|0,B=I,C=Sz(r|0,C|0,y|0,x|0)|0,C=Dz(s|0,t|0,C|0,I|0)|0,(Qq(a,b,u,B,C,I,c,m,l)|0)>0):0){z=31;break a}o=Ez(o|0,n|0,1,0)|0;n=I;c=0;m=0}p=Ez(p|0,d|0,1,0)|0;d=I;if(!((d|0)<(i|0)|(d|0)==(i|0)&p>>>0<h>>>0)){e=o;t=n;o=d;n=c;d=0;break}}}while(0);if((z|0)==31){C=f[l>>2]|0;return C|0}if((e|0)==0&(t|0)==0){if(!((n|0)==0&(m|0)==0)){z=Dz(p|0,o|0,n|0,m|0)|0;z=Ez(z|0,I|0,v|0,w|0)|0;A=I;k=Ez(z|0,A|0,-1,-1)|0;k=Jz(k|0,I|0,y|0,x|0)|0;C=I;j=Ez(k|0,C|0,1,0)|0;B=I;C=Sz(k|0,C|0,y|0,x|0)|0;C=Dz(z|0,A|0,C|0,I|0)|0;Qq(a,b,j,B,C,I,n,m,l)|0}}else{c=Dz(p|0,o|0,e|0,t|0)|0;m=Ez(c|0,I|0,v|0,w|0)|0;n=I;o=Ez(m|0,n|0,-1,-1)|0;o=Jz(o|0,I|0,y|0,x|0)|0;p=I;if(A?(f[l>>2]|0)<=0:0){A=Ez(o|0,p|0,1,0)|0;B=I;C=Sz(o|0,p|0,y|0,x|0)|0;C=Dz(m|0,n|0,C|0,I|0)|0;Yq(a,b,A,B,C,I,e,t,j+(c<<2)|0,l)|0}}m=f[l>>2]|0;if(!((d|0)!=0&(m|0)<1)){C=m;return C|0}f[l>>2]=412;C=412;return C|0}function Fq(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;z=u;u=u+208|0;y=z+56|0;n=z+80|0;s=z+64|0;t=z+48|0;w=z+40|0;r=z+32|0;v=z+24|0;q=z+186|0;o=z+185|0;x=z+104|0;b[q>>0]=84;b[o>>0]=70;m=f[l>>2]|0;if((m|0)>0){y=m;u=z;return y|0}if((uk(a,c,d,e,g,h,i,j,1,z+8|0,z,z+188|0,z+68|0,n,z+76|0,w,r,s,t,v,z+72|0,z+16|0,z+84|0,l)|0)>0){y=f[l>>2]|0;u=z;return y|0}if((f[n>>2]|0)==14){e=0;g=0;h=0;m=0}else{f[l>>2]=310;y=310;u=z;return y|0}a:while(1){d=k+h|0;while(1){if((i|0)==0&(j|0)==0){j=15;break a}A=w;c=f[A>>2]|0;A=f[A+4>>2]|0;n=v;n=Sz(f[n>>2]|0,f[n+4>>2]|0,e|0,g|0)|0;A=Ez(n|0,I|0,c|0,A|0)|0;c=I;n=r;B=f[s>>2]|0;n=Sz(B|0,((B|0)<0)<<31>>31|0,f[n>>2]|0,f[n+4>>2]|0)|0;n=Ez(A|0,c|0,n|0,I|0)|0;ft(a,n,I,1,l)|0;if(!(b[d>>0]|0))it(a,1,0,o,l)|0;else it(a,1,0,q,l)|0;if((f[l>>2]|0)>0){j=11;break a}i=Ez(i|0,j|0,-1,-1)|0;j=I;if((i|0)==0&(j|0)==0){i=0;j=0}else break}A=Ez(h|0,m|0,1,0)|0;B=I;C=r;C=Ez(f[C>>2]|0,f[C+4>>2]|0,1,0)|0;d=I;n=t;n=(C|0)==(f[n>>2]|0)?(d|0)==(f[n+4>>2]|0):0;c=r;f[c>>2]=n?0:C;f[c+4>>2]=n?0:d;n=Ez(n&1|0,0,e|0,g|0)|0;e=n;g=I;h=A;m=B}if((j|0)==11){C=Ez(h|0,m|0,1,0)|0;p[y>>3]=+(C>>>0)+4294967296.0*+(I|0);ww(x,90339,y)|0;vj(x);C=f[l>>2]|0;u=z;return C|0}else if((j|0)==15){C=f[l>>2]|0;u=z;return C|0}return 0}function Gq(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;n=f[m>>2]|0;if((n|0)>0){m=n;return m|0}n=f[a>>2]|0;p=a+4|0;o=f[p>>2]|0;if((n|0)==(f[o+68>>2]|0)){s=o+120|0;if(!(((f[s>>2]|0)==-1?(f[s+4>>2]|0)==-1:0)?(Kj(a,m)|0)>0:0))q=6}else{Hj(a,n+1|0,0,m)|0;q=6}a:do if((q|0)==6){n=f[(f[p>>2]|0)+960>>2]|0;o=c+-1|0;if((f[n+(o*160|0)+80>>2]|0)>0){s=n+(o*160|0)+88|0;r=f[s>>2]|0;s=f[s+4>>2]|0}else{r=Ez(g|0,h|0,-1,-1)|0;r=Ez(r|0,I|0,i|0,j|0)|0;s=I}if((Fq(a,c,d,e,g,h,i,j,k,m)|0)<=0?(t=Ez(d|0,e|0,-1,-1)|0,t=Sz(r|0,s|0,t|0,I|0)|0,t=Ez(t|0,I|0,g|0,h|0)|0,u=I,(j|0)>0|(j|0)==0&i>>>0>0):0){d=0;o=0;q=0;e=0;p=0;n=0;do{if((b[k+d>>0]|0)==l<<24>>24){o=Ez(o|0,q|0,1,0)|0;p=0;n=0;q=I}else{if(!((o|0)==0&(q|0)==0)?(x=Dz(d|0,e|0,o|0,q|0)|0,x=Ez(x|0,I|0,t|0,u|0)|0,w=I,y=Ez(x|0,w|0,-1,-1)|0,y=Jz(y|0,I|0,r|0,s|0)|0,h=I,v=Ez(y|0,h|0,1,0)|0,g=I,h=Sz(y|0,h|0,r|0,s|0)|0,h=Dz(x|0,w|0,h|0,I|0)|0,(Qq(a,c,v,g,h,I,o,q,m)|0)>0):0)break a;p=Ez(p|0,n|0,1,0)|0;n=I;o=0;q=0}d=Ez(d|0,e|0,1,0)|0;e=I}while((e|0)<(j|0)|(e|0)==(j|0)&d>>>0<i>>>0);if(!((p|0)!=0|(n|0)!=0|(o|0)==0&(q|0)==0)){l=Dz(d|0,e|0,o|0,q|0)|0;l=Ez(l|0,I|0,t|0,u|0)|0;v=I;k=Ez(l|0,v|0,-1,-1)|0;k=Jz(k|0,I|0,r|0,s|0)|0;y=I;w=Ez(k|0,y|0,1,0)|0;x=I;y=Sz(k|0,y|0,r|0,s|0)|0;y=Dz(l|0,v|0,y|0,I|0)|0;Qq(a,c,w,x,y,I,o,q,m)|0}}}while(0);y=f[m>>2]|0;return y|0}function Hq(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0;J=u;u=u+112|0;G=J+56|0;E=J+48|0;r=J+40|0;n=J+32|0;v=J+24|0;w=J+80|0;p=J+76|0;C=J+72|0;q=J+68|0;o=J+64|0;m=J+16|0;t=J+100|0;s=J+88|0;H=J+84|0;A=J+8|0;B=J;k=f[j>>2]|0;if((h|0)<1|(k|0)>0){j=k;u=J;return j|0}if((e|0)<0|(e|0)==0&d>>>0<1){f[j>>2]=307;j=307;u=J;return j|0}if((g|0)<1){f[j>>2]=308;j=308;u=J;return j|0}k=f[a>>2]|0;D=a+4|0;l=f[D>>2]|0;if((k|0)==(f[l+68>>2]|0)){z=l+120|0;if(((f[z>>2]|0)==-1?(f[z+4>>2]|0)==-1:0)?(Kj(a,j)|0)>0:0){j=f[j>>2]|0;u=J;return j|0}}else Hj(a,k+1|0,0,j)|0;z=(g+7|0)/8|0;y=h+g|0;l=1-z+((y+6|0)/8|0)|0;x=((z|0)<0)<<31>>31;if((uk(a,c,d,e,z,x,l,((l|0)<0)<<31>>31,1,m,m,t,w,C,q,G,n,p,E,r,o,v,s,j)|0)>0){j=f[j>>2]|0;u=J;return j|0}l=g+-1|0;l=l-(((l|0)/8|0)<<3)|0;r=Ez(d|0,e|0,-1,-1)|0;q=I;p=z+-1|0;n=((p|0)<0)<<31>>31;k=f[D>>2]|0;g=f[k+960>>2]|0;o=c+-1|0;m=f[g+(o*160|0)+80>>2]|0;f[C>>2]=m;if((((m|0)>-1?m:0-m|0)|0)>11){f[j>>2]=310;j=310;u=J;return j|0}do if((m|0)>0){B=g+(o*160|0)+88|0;C=f[B>>2]|0;B=f[B+4>>2]|0;A=(m|0)==1;c=Ez(C|0,B|0,7,0)|0;c=Jz(c|0,I|0,8,0)|0;C=A?c:C;B=A?I:B;A=E;f[A>>2]=C;f[A+4>>2]=B;if(!((x|0)>(B|0)|(x|0)==(B|0)&z>>>0>C>>>0)){m=k+120|0;s=f[m>>2]|0;m=f[m+4>>2]|0;k=k+952|0;k=Sz(f[k>>2]|0,f[k+4>>2]|0,r|0,q|0)|0;m=Ez(k|0,I|0,s|0,m|0)|0;s=g+(o*160|0)+72|0;k=s;k=Ez(m|0,I|0,f[k>>2]|0,f[k+4>>2]|0)|0;m=I;t=1;break}f[j>>2]=308;j=308;u=J;return j|0}else{z=y+-1|0;C=E;f[C>>2]=z;f[C+4>>2]=((z|0)<0)<<31>>31;if((m|0)==-1){_j(a,c,d,e,B,A,j)|0;B=Nz(0,f[E>>2]|0,32)|0;C=A;vk(a,c,d,e,B,I,f[C>>2]|0,f[C+4>>2]|0,j)|0}m=G;k=f[m>>2]|0;m=f[m+4>>2]|0;t=0;s=g+(o*160|0)+72|0}while(0);k=Ez(k|0,m|0,p|0,n|0)|0;m=I;C=G;f[C>>2]=k;f[C+4>>2]=m;ft(a,k,m,1,j)|0;m=p;k=0;a:while(1){g=l;o=k;while(1){if(!t){F=36;break a}if((kt(a,1,0,H,j)|0)==107){f[j>>2]=0;b[H>>0]=0}C=G;ft(a,f[C>>2]|0,f[C+4>>2]|0,1,j)|0;if((o|0)<(h|0)&(g|0)<8){p=b[H>>0]|0;do{if(!(b[i+o>>0]|0))p=b[90411+g>>0]&p;else p=b[90403+g>>0]|p;g=g+1|0;o=o+1|0}while((o|0)<(h|0)&(g|0)<8);b[H>>0]=p}it(a,1,0,H,j)|0;if((o|0)==(h|0))break a;B=G;B=Ez(f[B>>2]|0,f[B+4>>2]|0,1,0)|0;C=G;f[C>>2]=B;f[C+4>>2]=I;m=Ez(m|0,n|0,1,0)|0;n=I;C=E;if((m|0)==(f[C>>2]|0)?(n|0)==(f[C+4>>2]|0):0)break;else g=0}n=Ez(r|0,q|0,1,0)|0;m=I;C=f[D>>2]|0;l=C+120|0;k=f[l>>2]|0;l=f[l+4>>2]|0;C=C+952|0;C=Sz(f[C>>2]|0,f[C+4>>2]|0,n|0,m|0)|0;l=Ez(C|0,I|0,k|0,l|0)|0;k=s;k=Ez(l|0,I|0,f[k>>2]|0,f[k+4>>2]|0)|0;l=I;C=G;f[C>>2]=k;f[C+4>>2]=l;ft(a,k,l,1,j)|0;r=n;q=m;m=0;n=0;l=0;k=o}b:do if((F|0)==36)while(1){if((kt(a,1,0,H,j)|0)==107){f[j>>2]=0;b[H>>0]=0}F=G;ft(a,f[F>>2]|0,f[F+4>>2]|0,1,j)|0;if((k|0)<(h|0)&(l|0)<8){m=l;l=b[H>>0]|0;do{if(!(b[i+k>>0]|0))l=b[90411+m>>0]&l;else l=b[90403+m>>0]|l;m=m+1|0;k=k+1|0}while((k|0)<(h|0)&(m|0)<8);b[H>>0]=l}it(a,1,0,H,j)|0;if((k|0)==(h|0))break b;F=G;F=Ez(f[F>>2]|0,f[F+4>>2]|0,1,0)|0;l=G;f[l>>2]=F;f[l+4>>2]=I;l=0;F=36}while(0);j=f[j>>2]|0;u=J;return j|0}function Iq(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0.0;L=u;u=u+29024|0;B=L+28864|0;r=L+28856|0;w=L+28896|0;E=L+28892|0;s=L+28888|0;J=L+28884|0;D=L+28880|0;F=L+28848|0;H=L+28840|0;C=L+28832|0;G=L+28824|0;y=L+28816|0;t=L+28808|0;z=L+28800|0;x=L+29004|0;K=L+28920|0;v=L+28900|0;A=L;m=f[l>>2]|0;if((m|0)>0){l=m;u=L;return l|0}m=f[a>>2]|0;o=a+4|0;n=f[o>>2]|0;if((m|0)==(f[n+68>>2]|0)){n=n+120|0;if(((f[n>>2]|0)==-1?(f[n+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;u=L;return l|0}}else Hj(a,m+1|0,0,l)|0;if((c|0)>=1?(q=f[o>>2]|0,(f[q+928>>2]|0)>=(c|0)):0){r=f[(f[q+960>>2]|0)+((c+-1|0)*160|0)+80>>2]|0;f[w>>2]=r;switch(r|0){case -16:{m=f[k>>2]|0;if(!(b[m>>0]|0)){m=1;n=0}else{n=Bx(m)|0;m=n;n=((n|0)<0)<<31>>31}if((uk(a,c,d,e,1,0,m,n,1,t,z,x,J,w,E,H,C,D,F,G,s,y,v,l)|0)>0){l=f[l>>2]|0;u=L;return l|0}J=H;ft(a,f[J>>2]|0,f[J+4>>2]|0,1,l)|0;it(a,m,n,f[k>>2]|0,l)|0;m=f[l>>2]|0;if((m|0)<=0){l=m;u=L;return l|0}m=K;n=90463;j=m+57|0;do{b[m>>0]=b[n>>0]|0;m=m+1|0;n=n+1|0}while((m|0)<(j|0));vj(K);l=f[l>>2]|0;u=L;return l|0}case 16:{if((uk(a,c,d,e,g,h,i,j,1,t,z,x,J,w,E,H,C,D,F,G,s,y,v,l)|0)>0){l=f[l>>2]|0;u=L;return l|0}m=f[J>>2]|0;if((m|0)>2880){f[E>>2]=1;f[D>>2]=m;m=F;f[m>>2]=1;f[m+4>>2]=0;m=0;n=0;w=0;x=0}else{m=0;n=0;w=0;x=0}a:while(1){t=i;while(1){if((t|0)==0&(j|0)==0){m=42;break a}d=f[E>>2]|0;z=((d|0)<0)<<31>>31;v=(j|0)<(z|0)|(j|0)==(z|0)&t>>>0<d>>>0;d=v?t:d;d=Nz(0,d|0,32)|0;z=I;v=F;c=C;s=f[c>>2]|0;c=f[c+4>>2]|0;v=Dz(f[v>>2]|0,f[v+4>>2]|0,s|0,c|0)|0;y=I;e=(z|0)<(y|0)|(z|0)==(y|0)&d>>>0<v>>>0;v=e?d:v;y=H;z=f[y>>2]|0;y=f[y+4>>2]|0;e=G;e=Sz(f[e>>2]|0,f[e+4>>2]|0,w|0,x|0)|0;y=Ez(e|0,I|0,z|0,y|0)|0;z=I;e=f[D>>2]|0;c=Sz(e|0,((e|0)<0)<<31>>31|0,s|0,c|0)|0;c=Ez(y|0,z|0,c|0,I|0)|0;ft(a,c,I,1,l)|0;if((v|0)>0){r=v+-1|0;i=f[J>>2]|0;d=m;e=n;o=A;s=0;while(1){b:do if((i|0)>0){h=f[k+(d<<2)>>2]|0;g=0;while(1){q=b[h>>0]|0;if(!(q<<24>>24))break b;b[o>>0]=q;o=o+1|0;g=g+1|0;i=f[J>>2]|0;if((g|0)<(i|0))h=h+1|0;else break}}else g=0;while(0);if((g|0)<(i|0))do{b[o>>0]=32;o=o+1|0;g=g+1|0;i=f[J>>2]|0}while((g|0)<(i|0));d=Ez(d|0,e|0,1,0)|0;s=s+1|0;if((s|0)>=(v|0))break;else e=I}o=Ez(m|0,n|0,1,0)|0;o=Ez(o|0,I|0,r|0,0)|0;n=I}else{i=f[J>>2]|0;o=m}m=f[D>>2]|0;if((m|0)==(i|0)){c=X(i,v)|0;it(a,c,((c|0)<0)<<31>>31,A,l)|0}else jt(a,i,v,m-i|0,A,l)|0;i=((v|0)<0)<<31>>31;if((f[l>>2]|0)>0){m=38;break a}m=Dz(t|0,j|0,v|0,i|0)|0;j=I;if((m|0)==0&(j|0)==0){m=o;t=0;j=0}else break}y=C;y=Ez(f[y>>2]|0,f[y+4>>2]|0,v|0,i|0)|0;z=I;c=F;c=(y|0)==(f[c>>2]|0)?(z|0)==(f[c+4>>2]|0):0;i=C;f[i>>2]=c?0:y;f[i+4>>2]=c?0:z;c=Ez(c&1|0,0,w|0,x|0)|0;i=m;m=o;w=c;x=I}if((m|0)==38){J=Ez(o|0,n|0,1,0)|0;M=+(J>>>0)+4294967296.0*+(I|0);J=Ez(o|0,n|0,v|0,i|0)|0;p[B>>3]=M;p[B+8>>3]=+(J>>>0)+4294967296.0*+(I|0);ww(K,90520,B)|0;vj(K);l=f[l>>2]|0;u=L;return l|0}else if((m|0)==42){l=f[l>>2]|0;u=L;return l|0}break}default:{f[l>>2]=309;l=309;u=L;return l|0}}}f[r>>2]=c;ww(K,90419,r)|0;vj(K);f[l>>2]=302;l=302;u=L;return l|0}function Jq(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;s=u;u=u+16|0;r=s+4|0;q=s;m=f[l>>2]|0;if((m|0)>0){l=m;u=s;return l|0}m=f[a>>2]|0;o=a+4|0;n=f[o>>2]|0;if((m|0)==(f[n+68>>2]|0)){n=n+120|0;if(!(((f[n>>2]|0)==-1?(f[n+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0))p=6}else{Hj(a,m+1|0,0,l)|0;p=6}a:do if((p|0)==6){kk(a,b,0,r,q,l)|0;m=f[r>>2]|0;if((f[(f[o>>2]|0)+72>>2]|0)==2){m=(m|0)/(f[q>>2]|0)|0;f[r>>2]=m}q=Ez(c|0,d|0,-1,-1)|0;q=Sz(m|0,((m|0)<0)<<31>>31|0,q|0,I|0)|0;q=Ez(q|0,I|0,e|0,g|0)|0;c=I;if((i|0)>0|(i|0)==0&h>>>0>0){d=0;m=0;o=0;e=0;p=0;n=0;do{if(!(tw(k,f[j+(d<<2)>>2]|0)|0)){if(!((p|0)==0&(n|0)==0)?(g=Dz(d|0,e|0,p|0,n|0)|0,y=Ez(g|0,I|0,q|0,c|0)|0,x=I,B=Ez(y|0,x|0,-1,-1)|0,z=f[r>>2]|0,t=((z|0)<0)<<31>>31,B=Jz(B|0,I|0,z|0,t|0)|0,A=I,w=Ez(B|0,A|0,1,0)|0,v=I,t=Sz(B|0,A|0,z|0,t|0)|0,t=Dz(y|0,x|0,t|0,I|0)|0,(Iq(a,b,w,v,t,I,p,n,j+(g<<2)|0,l)|0)>0):0)break a;m=Ez(m|0,o|0,1,0)|0;n=0;o=I;p=0}else{if(!((m|0)==0&(o|0)==0)?(x=Dz(d|0,e|0,m|0,o|0)|0,x=Ez(x|0,I|0,q|0,c|0)|0,y=I,t=Ez(x|0,y|0,-1,-1)|0,w=f[r>>2]|0,B=((w|0)<0)<<31>>31,t=Jz(t|0,I|0,w|0,B|0)|0,v=I,z=Ez(t|0,v|0,1,0)|0,A=I,B=Sz(t|0,v|0,w|0,B|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,b,z,A,B,I,m,o,l)|0)>0):0)break a;p=Ez(p|0,n|0,1,0)|0;n=I;m=0;o=0}d=Ez(d|0,e|0,1,0)|0;e=I}while((e|0)<(i|0)|(e|0)==(i|0)&d>>>0<h>>>0);if(!((p|0)==0&(n|0)==0)){B=Dz(d|0,e|0,p|0,n|0)|0;w=Ez(B|0,I|0,q|0,c|0)|0;x=I;t=Ez(w|0,x|0,-1,-1)|0;v=f[r>>2]|0;A=((v|0)<0)<<31>>31;r=Jz(t|0,I|0,v|0,A|0)|0;t=I;y=Ez(r|0,t|0,1,0)|0;z=I;A=Sz(r|0,t|0,v|0,A|0)|0;A=Dz(w|0,x|0,A|0,I|0)|0;Iq(a,b,y,z,A,I,p,n,j+(B<<2)|0,l)|0;break}if(!((m|0)==0&(o|0)==0)){x=Dz(d|0,e|0,m|0,o|0)|0;x=Ez(x|0,I|0,q|0,c|0)|0;y=I;t=Ez(x|0,y|0,-1,-1)|0;w=f[r>>2]|0;B=((w|0)<0)<<31>>31;t=Jz(t|0,I|0,w|0,B|0)|0;v=I;z=Ez(t|0,v|0,1,0)|0;A=I;B=Sz(t|0,v|0,w|0,B|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Qq(a,b,z,A,B,I,m,o,l)|0}}}while(0);B=f[l>>2]|0;u=s;return B|0}function Kq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){Lq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,12,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function Lq(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0.0,r=0.0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0;T=u;u=u+29056|0;S=T+28864|0;R=T+28856|0;L=T+28896|0;D=T+28892|0;O=T+28888|0;M=T+28884|0;C=T+28880|0;E=T+28848|0;H=T+28840|0;B=T+28832|0;F=T+28824|0;G=T+28808|0;N=T+28800|0;Q=T+29024|0;A=T+29004|0;P=T+28920|0;z=T;o=f[m>>2]|0;if((o|0)>0){m=o;u=T;return m|0}if((uk(a,c,e,g,h,i,j,k,1,G,N,Q,M,L,D,H,B,C,E,F,O,T+28816|0,T+28900|0,m)|0)>0){m=f[m>>2]|0;u=T;return m|0}if((f[L>>2]|0)==16)fk(Q,A);w=A+1|0;x=0;y=0;g=j;e=k;k=0;t=0;a:while(1){v=l+x|0;while(1){if((g|0)==0&(e|0)==0){e=86;break a}Z=f[D>>2]|0;i=((Z|0)<0)<<31>>31;j=(e|0)<(i|0)|(e|0)==(i|0)&g>>>0<Z>>>0;Z=j?g:Z;Z=Nz(0,Z|0,32)|0;i=I;j=E;o=B;U=f[o>>2]|0;o=f[o+4>>2]|0;j=Dz(f[j>>2]|0,f[j+4>>2]|0,U|0,o|0)|0;h=I;V=(i|0)<(h|0)|(i|0)==(h|0)&Z>>>0<j>>>0;j=V?Z:j;h=H;i=f[h>>2]|0;h=f[h+4>>2]|0;V=F;V=Sz(f[V>>2]|0,f[V+4>>2]|0,k|0,t|0)|0;h=Ez(V|0,I|0,i|0,h|0)|0;i=I;V=f[C>>2]|0;o=Sz(V|0,((V|0)<0)<<31>>31|0,U|0,o|0)|0;o=Ez(h|0,i|0,o|0,I|0)|0;ft(a,o,I,1,m)|0;b:do switch(f[L>>2]|0){case 11:{r=+p[G>>3];s=+p[N>>3];h=r==1.0;c:do if(h&s==-128.0){if((j|0)>0){h=0;do{b[z+h>>0]=b[v+h>>0]^-128;h=h+1|0}while((h|0)!=(j|0))}}else{i=(j|0)>0;if(h&s==0.0){if(i)i=0;else break;while(1){h=b[v+i>>0]|0;if(h<<24>>24<0){f[m>>2]=-11;h=0}b[z+i>>0]=h;i=i+1|0;if((i|0)==(j|0))break c}}if(i){i=0;do{q=(+(b[v+i>>0]|0)-s)/r;do if(!(q<-.49))if(q>255.49){f[m>>2]=-11;h=-1;break}else{h=~~(q+.5)&255;break}else{f[m>>2]=-11;h=0}while(0);b[z+i>>0]=h;i=i+1|0}while((i|0)!=(j|0))}}while(0);xt(a,j,f[C>>2]|0,z,m)|0;break}case 81:{r=+p[G>>3];s=+p[N>>3];h=(j|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{V=b[v+h>>0]|0;Z=z+(h<<3)|0;f[Z>>2]=V;f[Z+4>>2]=((V|0)<0)<<31>>31;h=h+1|0}while((h|0)!=(j|0))}}else if(h){o=0;do{q=(+(b[v+o>>0]|0)-s)/r;do if(!(q<-9223372036854775808.0))if(q>9223372036854775808.0){f[m>>2]=-11;h=-1;i=2147483647;break}else{q=q+(!(q>=0.0)?-.5:.5);h=~~q>>>0;i=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);Z=z+(o<<3)|0;f[Z>>2]=h;f[Z+4>>2]=i;o=o+1|0}while((o|0)!=(j|0))}At(a,j,f[C>>2]|0,z,m)|0;break}case 21:{r=+p[G>>3];s=+p[N>>3];h=(j|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{d[z+(h<<1)>>1]=b[v+h>>0]|0;h=h+1|0}while((h|0)!=(j|0))}}else if(h){i=0;do{q=(+(b[v+i>>0]|0)-s)/r;do if(!(q<-32768.49))if(q>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~(q+(!(q>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-32768}while(0);d[z+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(j|0))}yt(a,j,f[C>>2]|0,z,m)|0;break}case 41:{r=+p[G>>3];s=+p[N>>3];h=(j|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{f[z+(h<<2)>>2]=b[v+h>>0];h=h+1|0}while((h|0)!=(j|0))}}else if(h){i=0;do{q=(+(b[v+i>>0]|0)-s)/r;do if(!(q<-2147483648.49))if(q>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~(q+(!(q>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-2147483648}while(0);f[z+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(j|0))}zt(a,j,f[C>>2]|0,z,m)|0;break}case 42:{q=+p[G>>3];r=+p[N>>3];h=(j|0)>0;if(q==1.0&r==0.0){if(h){h=0;do{n[z+(h<<2)>>2]=+(b[v+h>>0]|0);h=h+1|0}while((h|0)!=(j|0))}}else if(h){h=0;do{n[z+(h<<2)>>2]=(+(b[v+h>>0]|0)-r)/q;h=h+1|0}while((h|0)!=(j|0))}Bt(a,j,f[C>>2]|0,z,m)|0;break}case 82:{q=+p[G>>3];r=+p[N>>3];h=(j|0)>0;if(q==1.0&r==0.0){if(h){h=0;do{p[z+(h<<3)>>3]=+(b[v+h>>0]|0);h=h+1|0}while((h|0)!=(j|0))}}else if(h){h=0;do{p[z+(h<<3)>>3]=(+(b[v+h>>0]|0)-r)/q;h=h+1|0}while((h|0)!=(j|0))}Ct(a,j,f[C>>2]|0,z,m)|0;break}case 16:{if(Cx(Q,65)|0){h=f[C>>2]|0;i=f[M>>2]|0;if((h|0)==(i|0)){it(a,j,((j|0)<0)<<31>>31,v,m)|0;break b}else{jt(a,i,(j|0)/(i|0)|0,h-i|0,v,m)|0;break b}}if((b[w>>0]|0)==115){e=79;break a}Mq(v,j,+p[G>>3],+p[N>>3],A,f[M>>2]|0,z,m)|0;h=f[C>>2]|0;i=f[M>>2]|0;if((h|0)==(i|0)){Z=X(h,j)|0;it(a,Z,((Z|0)<0)<<31>>31,z,m)|0;break b}else{jt(a,i,j,h-i|0,z,m)|0;break b}}default:{e=79;break a}}while(0);h=((j|0)<0)<<31>>31;if((f[m>>2]|0)>0){e=83;break a}g=Dz(g|0,e|0,j|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}U=Ez(j|0,h|0,x|0,y|0)|0;V=I;o=B;o=Ez(f[o>>2]|0,f[o+4>>2]|0,j|0,h|0)|0;j=I;Z=E;Z=(o|0)==(f[Z>>2]|0)?(j|0)==(f[Z+4>>2]|0):0;v=B;f[v>>2]=Z?0:o;f[v+4>>2]=Z?0:j;Z=Ez(Z&1|0,0,k|0,t|0)|0;x=U;y=V;k=Z;t=I}if((e|0)==79){f[R>>2]=c;f[R+4>>2]=Q;ww(P,91009,R)|0;vj(P);if((f[O>>2]|0)==1){f[m>>2]=311;Z=311;u=T;return Z|0}else{f[m>>2]=312;Z=312;u=T;return Z|0}}else if((e|0)==83){Z=Ez(x|0,y|0,1,0)|0;s=+(Z>>>0)+4294967296.0*+(I|0);Z=Ez(j|0,h|0,x|0,y|0)|0;p[S>>3]=s;p[S+8>>3]=+(Z>>>0)+4294967296.0*+(I|0);ww(P,90588,S)|0;vj(P);Z=f[m>>2]|0;u=T;return Z|0}else if((e|0)==86){e=f[m>>2]|0;if((e|0)!=-11){Z=e;u=T;return Z|0}vj(91132);f[m>>2]=412;Z=412;u=T;return Z|0}return 0}function Mq(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;o=u;u=u+16|0;n=o+8|0;m=o;k=(c|0)>0;if(d==1.0&e==0.0){if(k){k=0;l=i;do{p[m>>3]=+(b[a+k>>0]|0);ww(l,g,m)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}}else if(k){k=0;l=i;do{p[n>>3]=(+(b[a+k>>0]|0)-e)/d;ww(l,g,n)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}k=Cx(i,44)|0;if(!k){j=f[j>>2]|0;u=o;return j|0}do{b[k>>0]=46;k=Cx(k,44)|0}while((k|0)!=0);j=f[j>>2]|0;u=o;return j|0}function Nq(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){Oq(a,2,(c|0)>1?c:1,0,d,e,g,h,i,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{b[l>>0]=j;ps(a,12,d,e,g,h,1,i,l,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function Oq(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;n=f[m>>2]|0;if((n|0)>0){m=n;return m|0}n=f[a>>2]|0;p=a+4|0;o=f[p>>2]|0;if((n|0)==(f[o+68>>2]|0)){w=o+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,m)|0)>0:0){m=f[m>>2]|0;return m|0}}else Hj(a,n+1|0,0,m)|0;n=f[(f[p>>2]|0)+960>>2]|0;o=c+-1|0;p=f[n+(o*160|0)+80>>2]|0;w=(p|0)>0;do if(!w){o=Ez(g|0,h|0,-1,-1)|0;o=Ez(o|0,I|0,i|0,j|0)|0;q=I;if((p|0)<0?(Lq(a,c,d,e,g,h,i,j,k,m)|0)>0:0){n=f[m>>2]|0;if((n|0)==412){f[m>>2]=0;u=o;t=q;break}else{m=n;return m|0}}else{u=o;t=q}}else{t=n+(o*160|0)+88|0;u=f[t>>2]|0;t=f[t+4>>2]|0}while(0);r=Ez(d|0,e|0,-1,-1)|0;r=Sz(u|0,t|0,r|0,I|0)|0;r=Ez(r|0,I|0,g|0,h|0)|0;s=I;if(!((j|0)>0|(j|0)==0&i>>>0>0)){m=f[m>>2]|0;return m|0}a:do if(w){q=0;o=0;g=0;p=0;d=0;n=0;e=0;while(1){if((b[k+q>>0]|0)==l<<24>>24){if(!((d|0)==0&(n|0)==0)?(h=Dz(q|0,p|0,d|0,n|0)|0,B=Ez(h|0,I|0,r|0,s|0)|0,x=I,A=Ez(B|0,x|0,-1,-1)|0,A=Jz(A|0,I|0,u|0,t|0)|0,z=I,y=Sz(A|0,z|0,u|0,t|0)|0,y=Dz(B|0,x|0,y|0,I|0)|0,x=I,z=Ez(A|0,z|0,1,0)|0,(Lq(a,c,z,I,y,x,d,n,k+h|0,m)|0)>0):0){n=f[m>>2]|0;if((n|0)!=412)break;f[m>>2]=0;e=1}o=Ez(o|0,g|0,1,0)|0;d=0;h=0;n=I}else{if(!((o|0)==0&(g|0)==0)?(x=Dz(q|0,p|0,o|0,g|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,c,z,A,B,I,o,g,m)|0)>0):0){v=29;break a}d=Ez(d|0,n|0,1,0)|0;h=I;o=0;n=0}q=Ez(q|0,p|0,1,0)|0;p=I;if((p|0)<(j|0)|(p|0)==(j|0)&q>>>0<i>>>0){g=n;n=h}else{g=d;break a}}return n|0}else{q=0;d=0;n=0;e=0;p=0;o=0;while(1){if((b[k+q>>0]|0)==l<<24>>24){d=Ez(d|0,n|0,1,0)|0;p=0;o=0;n=I}else{if(!((d|0)==0&(n|0)==0)?(x=Dz(q|0,e|0,d|0,n|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,c,z,A,B,I,d,n,m)|0)>0):0){v=29;break a}p=Ez(p|0,o|0,1,0)|0;o=I;d=0;n=0}q=Ez(q|0,e|0,1,0)|0;e=I;if(!((e|0)<(j|0)|(e|0)==(j|0)&q>>>0<i>>>0)){g=p;h=o;p=e;o=d;e=0;break}}}while(0);if((v|0)==29){B=f[m>>2]|0;return B|0}if((g|0)==0&(h|0)==0){if(!((o|0)==0&(n|0)==0)){x=Dz(q|0,p|0,o|0,n|0)|0;x=Ez(x|0,I|0,r|0,s|0)|0;y=I;k=Ez(x|0,y|0,-1,-1)|0;k=Jz(k|0,I|0,u|0,t|0)|0;B=I;z=Ez(k|0,B|0,1,0)|0;A=I;B=Sz(k|0,B|0,u|0,t|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Qq(a,c,z,A,B,I,o,n,m)|0}}else{d=Dz(q|0,p|0,g|0,h|0)|0;n=Ez(d|0,I|0,r|0,s|0)|0;o=I;p=Ez(n|0,o|0,-1,-1)|0;p=Jz(p|0,I|0,u|0,t|0)|0;q=I;if(w){z=Ez(p|0,q|0,1,0)|0;A=I;B=Sz(p|0,q|0,u|0,t|0)|0;B=Dz(n|0,o|0,B|0,I|0)|0;Lq(a,c,z,A,B,I,g,h,k+d|0,m)|0}}n=f[m>>2]|0;if(!((e|0)!=0&(n|0)<1)){B=n;return B|0}f[m>>2]=412;B=412;return B|0}function Pq(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;if(!(Ek(a,h)|0)){Qq(a,2,(b|0)>1?b:1,0,c,d,e,g,h)|0;h=f[h>>2]|0;return h|0}else{vj(90657);f[h>>2]=413;h=413;return h|0}return 0}function Qq(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0;M=u;u=u+256|0;L=M+80|0;K=M+72|0;F=M+116|0;o=M+108|0;w=M+120|0;x=M+104|0;G=M+100|0;z=M+96|0;n=M+64|0;y=M+56|0;C=M+48|0;E=M+40|0;t=M+32|0;D=M+24|0;v=M+249|0;B=M+248|0;J=M+228|0;H=M+144|0;q=M+124|0;A=M;b[B>>0]=0;m=A;f[m>>2]=-1;f[m+4>>2]=-1;m=f[l>>2]|0;if((m|0)>0){L=m;u=M;return L|0}kk(a,c,F,0,0,l)|0;s=f[F>>2]|0;N=(((s|0)>-1?s:0-s|0)|0)>82;m=Gz(h|0,i|0,1)|0;m=Ez(m|0,I|0,-1,-1)|0;i=N?I:i;k=Gz(j|0,k|0,N&1|0)|0;r=I;if((uk(a,c,e,g,N?m:h,i,k,r,(s>>31)+2&-2,M+16|0,M+8|0,J,G,F,M+112|0,E,t,z,C,D,o,n,q,l)|0)>0){N=f[l>>2]|0;u=M;return N|0}j=f[F>>2]|0;a:do switch(j|0){case 16:{if((b[q>>0]|0)==1){vj(90702);f[l>>2]=314;N=314;u=M;return N|0}i=f[G>>2]|0;i=(i|0)>20?i:20;m=Lv(i)|0;if(m|0){Fz(m|0,32,i|0)|0;s=Bx(q)|0;Vy(m,q,((f[o>>2]|0)==2&1)+s|0)|0;s=m;break a}f[l>>2]=113;N=113;u=M;return N|0}case 11:case 21:case 41:case 81:{i=n;m=f[i>>2]|0;i=f[i+4>>2]|0;if((m|0)==1234554321&(i|0)==0){vj(90768);f[l>>2]=314;N=314;u=M;return N|0}switch(j|0){case 11:{b[v>>0]=m;s=0;break a}case 21:{d[w>>1]=m;Qr(w,1);s=0;break a}case 41:{f[x>>2]=m;Rr(x,1);s=0;break a}default:{s=y;f[s>>2]=m;f[s+4>>2]=i;Sr(y,1);s=0;break a}}}default:s=0}while(0);o=0;q=0;i=k;m=r;h=0;n=0;b:while(1){while(1){if((i|0)==0&(m|0)==0){m=43;break b}e=C;N=t;j=f[N>>2]|0;N=f[N+4>>2]|0;e=Dz(f[e>>2]|0,f[e+4>>2]|0,j|0,N|0)|0;g=I;k=(m|0)<(g|0)|(m|0)==(g|0)&i>>>0<e>>>0;e=k?i:e;g=k?m:g;k=E;r=f[k>>2]|0;k=f[k+4>>2]|0;O=D;O=Sz(f[O>>2]|0,f[O+4>>2]|0,h|0,n|0)|0;k=Ez(O|0,I|0,r|0,k|0)|0;r=I;O=f[z>>2]|0;N=Sz(O|0,((O|0)<0)<<31>>31|0,j|0,N|0)|0;N=Ez(k|0,r|0,N|0,I|0)|0;ft(a,N,I,1,l)|0;switch(f[F>>2]|0){case 11:{if((g|0)>0|(g|0)==0&e>>>0>0){j=0;k=0;do{it(a,1,0,v,l)|0;j=Ez(j|0,k|0,1,0)|0;k=I}while((k|0)<(g|0)|(k|0)==(g|0)&j>>>0<e>>>0)}break}case 21:{if((g|0)>0|(g|0)==0&e>>>0>0){j=0;k=0;do{it(a,2,0,w,l)|0;j=Ez(j|0,k|0,1,0)|0;k=I}while((k|0)<(g|0)|(k|0)==(g|0)&j>>>0<e>>>0)}break}case 41:{if((g|0)>0|(g|0)==0&e>>>0>0){j=0;k=0;do{it(a,4,0,x,l)|0;j=Ez(j|0,k|0,1,0)|0;k=I}while((k|0)<(g|0)|(k|0)==(g|0)&j>>>0<e>>>0)}break}case 81:{if((g|0)>0|(g|0)==0&e>>>0>0){j=0;k=0;do{it(a,8,0,y,l)|0;j=Ez(j|0,k|0,1,0)|0;k=I}while((k|0)<(g|0)|(k|0)==(g|0)&j>>>0<e>>>0)}break}case 42:{if((g|0)>0|(g|0)==0&e>>>0>0){j=0;k=0;do{it(a,4,0,A,l)|0;j=Ez(j|0,k|0,1,0)|0;k=I}while((k|0)<(g|0)|(k|0)==(g|0)&j>>>0<e>>>0)}break}case 82:{if((g|0)>0|(g|0)==0&e>>>0>0){j=0;k=0;do{it(a,8,0,A,l)|0;j=Ez(j|0,k|0,1,0)|0;k=I}while((k|0)<(g|0)|(k|0)==(g|0)&j>>>0<e>>>0)}break}case 14:{if((g|0)>0|(g|0)==0&e>>>0>0){j=0;k=0;do{it(a,1,0,B,l)|0;j=Ez(j|0,k|0,1,0)|0;k=I}while((k|0)<(g|0)|(k|0)==(g|0)&j>>>0<e>>>0)}break}case 16:{O=f[G>>2]|0;it(a,O,((O|0)<0)<<31>>31,s,l)|0;break}default:{m=36;break b}}if((f[l>>2]|0)>0){m=38;break b}i=Dz(i|0,m|0,e|0,g|0)|0;m=I;if((i|0)==0&(m|0)==0){i=0;m=0}else break}r=Ez(e|0,g|0,o|0,q|0)|0;N=I;k=t;k=Ez(f[k>>2]|0,f[k+4>>2]|0,e|0,g|0)|0;e=I;O=C;O=(k|0)==(f[O>>2]|0)?(e|0)==(f[O+4>>2]|0):0;g=t;f[g>>2]=O?0:k;f[g+4>>2]=O?0:e;O=Ez(O&1|0,0,h|0,n|0)|0;o=r;q=N;h=O;n=I}if((m|0)==36){f[K>>2]=c;f[K+4>>2]=J;ww(H,90829,K)|0;vj(H);O=f[l>>2]|0;u=M;return O|0}else if((m|0)==38){O=Ez(o|0,q|0,1,0)|0;P=+(O>>>0)+4294967296.0*+(I|0);O=Ez(e|0,g|0,o|0,q|0)|0;p[L>>3]=P;p[L+8>>3]=+(O>>>0)+4294967296.0*+(I|0);ww(H,90886,L)|0;vj(H);if(s|0)Mv(s);O=f[l>>2]|0;u=M;return O|0}else if((m|0)==43){if(s|0)Mv(s);O=f[l>>2]|0;u=M;return O|0}return 0}function Rq(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0.0;N=u;u=u+256|0;M=N+80|0;L=N+72|0;G=N+116|0;o=N+108|0;x=N+120|0;y=N+104|0;H=N+100|0;A=N+96|0;n=N+64|0;z=N+56|0;D=N+48|0;F=N+40|0;v=N+32|0;E=N+24|0;w=N+249|0;C=N+248|0;K=N+228|0;J=N+144|0;q=N+124|0;B=N;b[C>>0]=0;m=B;f[m>>2]=-1;f[m+4>>2]=-1;m=f[l>>2]|0;if((m|0)>0){M=m;u=N;return M|0}kk(a,c,G,0,0,l)|0;if((uk(a,c,e,g,h,i,j,k,(f[G>>2]>>31)+2&-2,N+16|0,N+8|0,K,H,G,N+112|0,F,v,A,D,E,o,n,q,l)|0)>0){M=f[l>>2]|0;u=N;return M|0}m=f[G>>2]|0;a:do switch(m|0){case 16:{if((b[q>>0]|0)==1){vj(90702);f[l>>2]=314;M=314;u=N;return M|0}g=f[H>>2]|0;g=(g|0)>20?g:20;e=Lv(g)|0;if(e|0){Fz(e|0,32,g|0)|0;t=Bx(q)|0;Vy(e,q,((f[o>>2]|0)==2&1)+t|0)|0;t=e;break a}f[l>>2]=113;M=113;u=N;return M|0}case 11:case 21:case 41:case 81:{g=n;e=f[g>>2]|0;g=f[g+4>>2]|0;if((e|0)==1234554321&(g|0)==0){vj(90768);f[l>>2]=314;M=314;u=N;return M|0}switch(m|0){case 11:{b[w>>0]=e;t=0;break a}case 21:{d[x>>1]=e;Qr(x,1);t=0;break a}case 41:{f[y>>2]=e;Rr(y,1);t=0;break a}default:{t=z;f[t>>2]=e;f[t+4>>2]=g;Rr(z,2);t=0;break a}}}default:t=0}while(0);r=0;s=0;g=j;e=k;o=0;q=0;b:while(1){while(1){if((g|0)==0&(e|0)==0){e=43;break b}i=D;k=v;m=f[k>>2]|0;k=f[k+4>>2]|0;i=Dz(f[i>>2]|0,f[i+4>>2]|0,m|0,k|0)|0;n=I;h=(e|0)<(n|0)|(e|0)==(n|0)&g>>>0<i>>>0;i=h?g:i;n=h?e:n;h=F;j=f[h>>2]|0;h=f[h+4>>2]|0;O=E;O=Sz(f[O>>2]|0,f[O+4>>2]|0,o|0,q|0)|0;h=Ez(O|0,I|0,j|0,h|0)|0;j=I;O=f[A>>2]|0;k=Sz(O|0,((O|0)<0)<<31>>31|0,m|0,k|0)|0;k=Ez(h|0,j|0,k|0,I|0)|0;ft(a,k,I,1,l)|0;switch(f[G>>2]|0){case 11:{if((n|0)>0|(n|0)==0&i>>>0>0){m=0;h=0;do{it(a,1,0,w,l)|0;m=Ez(m|0,h|0,1,0)|0;h=I}while((h|0)<(n|0)|(h|0)==(n|0)&m>>>0<i>>>0)}break}case 21:{if((n|0)>0|(n|0)==0&i>>>0>0){m=0;h=0;do{it(a,2,0,x,l)|0;m=Ez(m|0,h|0,1,0)|0;h=I}while((h|0)<(n|0)|(h|0)==(n|0)&m>>>0<i>>>0)}break}case 41:{if((n|0)>0|(n|0)==0&i>>>0>0){m=0;h=0;do{it(a,4,0,y,l)|0;m=Ez(m|0,h|0,1,0)|0;h=I}while((h|0)<(n|0)|(h|0)==(n|0)&m>>>0<i>>>0)}break}case 81:{if((n|0)>0|(n|0)==0&i>>>0>0){m=0;h=0;do{it(a,8,0,z,l)|0;m=Ez(m|0,h|0,1,0)|0;h=I}while((h|0)<(n|0)|(h|0)==(n|0)&m>>>0<i>>>0)}break}case 42:{if((n|0)>0|(n|0)==0&i>>>0>0){m=0;h=0;do{it(a,4,0,B,l)|0;m=Ez(m|0,h|0,1,0)|0;h=I}while((h|0)<(n|0)|(h|0)==(n|0)&m>>>0<i>>>0)}break}case 82:{if((n|0)>0|(n|0)==0&i>>>0>0){m=0;h=0;do{it(a,8,0,B,l)|0;m=Ez(m|0,h|0,1,0)|0;h=I}while((h|0)<(n|0)|(h|0)==(n|0)&m>>>0<i>>>0)}break}case 14:{if((n|0)>0|(n|0)==0&i>>>0>0){m=0;h=0;do{it(a,1,0,C,l)|0;m=Ez(m|0,h|0,1,0)|0;h=I}while((h|0)<(n|0)|(h|0)==(n|0)&m>>>0<i>>>0)}break}case 16:{O=f[H>>2]|0;it(a,O,((O|0)<0)<<31>>31,t,l)|0;break}default:{e=36;break b}}if((f[l>>2]|0)>0){e=38;break b}g=Dz(g|0,e|0,i|0,n|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}j=Ez(i|0,n|0,r|0,s|0)|0;k=I;h=v;h=Ez(f[h>>2]|0,f[h+4>>2]|0,i|0,n|0)|0;i=I;O=D;O=(h|0)==(f[O>>2]|0)?(i|0)==(f[O+4>>2]|0):0;n=v;f[n>>2]=O?0:h;f[n+4>>2]=O?0:i;O=Ez(O&1|0,0,o|0,q|0)|0;r=j;s=k;o=O;q=I}if((e|0)==36){f[L>>2]=c;f[L+4>>2]=K;ww(J,90829,L)|0;vj(J);O=f[l>>2]|0;u=N;return O|0}else if((e|0)==38){O=Ez(r|0,s|0,1,0)|0;P=+(O>>>0)+4294967296.0*+(I|0);O=Ez(i|0,n|0,r|0,s|0)|0;p[M>>3]=P;p[M+8>>3]=+(O>>>0)+4294967296.0*+(I|0);ww(J,90886,M)|0;vj(J);if(t|0)Mv(t);O=f[l>>2]|0;u=N;return O|0}else if((e|0)==43){if(t|0)Mv(t);O=f[l>>2]|0;u=N;return O|0}return 0}function Sq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){Tq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,20,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function Tq(a,c,e,g,h,i,k,l,m,o){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0.0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0,_=0;U=u;u=u+29056|0;T=U+28864|0;S=U+28856|0;M=U+28896|0;E=U+28892|0;P=U+28888|0;N=U+28884|0;D=U+28880|0;F=U+28848|0;L=U+28840|0;C=U+28832|0;G=U+28824|0;H=U+28808|0;O=U+28800|0;R=U+29024|0;B=U+29004|0;Q=U+28920|0;A=U;q=f[o>>2]|0;if((q|0)>0){o=q;u=U;return o|0}if((uk(a,c,e,g,h,i,k,l,1,H,O,R,N,M,E,L,C,D,F,G,P,U+28816|0,U+28900|0,o)|0)>0){o=f[o>>2]|0;u=U;return o|0}if((f[M>>2]|0)==16)fk(R,B);x=B+1|0;y=0;z=0;g=k;e=l;l=0;v=0;a:while(1){w=m+(y<<1)|0;while(1){if((g|0)==0&(e|0)==0){e=85;break a}_=f[E>>2]|0;i=((_|0)<0)<<31>>31;k=(e|0)<(i|0)|(e|0)==(i|0)&g>>>0<_>>>0;_=k?g:_;_=Nz(0,_|0,32)|0;i=I;k=F;q=C;V=f[q>>2]|0;q=f[q+4>>2]|0;k=Dz(f[k>>2]|0,f[k+4>>2]|0,V|0,q|0)|0;h=I;Z=(i|0)<(h|0)|(i|0)==(h|0)&_>>>0<k>>>0;k=Z?_:k;h=L;i=f[h>>2]|0;h=f[h+4>>2]|0;Z=G;Z=Sz(f[Z>>2]|0,f[Z+4>>2]|0,l|0,v|0)|0;h=Ez(Z|0,I|0,i|0,h|0)|0;i=I;Z=f[D>>2]|0;q=Sz(Z|0,((Z|0)<0)<<31>>31|0,V|0,q|0)|0;q=Ez(h|0,i|0,q|0,I|0)|0;ft(a,q,I,1,o)|0;b:do switch(f[M>>2]|0){case 21:{s=+p[H>>3];t=+p[O>>3];h=s==1.0;c:do if(h&t==32768.0){if((k|0)>0){h=0;do{d[A+(h<<1)>>1]=d[w+(h<<1)>>1]^-32768;h=h+1|0}while((h|0)!=(k|0))}}else{i=(k|0)>0;if(h&t==0.0){if(i)i=0;else break;while(1){h=d[w+(i<<1)>>1]|0;if(h<<16>>16<0){f[o>>2]=-11;h=32767}d[A+(i<<1)>>1]=h;i=i+1|0;if((i|0)==(k|0))break c}}if(i){i=0;do{r=(+(j[w+(i<<1)>>1]|0)-t)/s;do if(!(r<-32768.49))if(r>32767.49){f[o>>2]=-11;h=32767;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[o>>2]=-11;h=-32768}while(0);d[A+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(k|0))}}while(0);yt(a,k,f[D>>2]|0,A,o)|0;break}case 81:{s=+p[H>>3];t=+p[O>>3];h=(k|0)>0;if(s==1.0&t==0.0){if(h){h=0;do{_=A+(h<<3)|0;f[_>>2]=j[w+(h<<1)>>1];f[_+4>>2]=0;h=h+1|0}while((h|0)!=(k|0))}}else if(h){q=0;do{r=(+(j[w+(q<<1)>>1]|0)-t)/s;do if(!(r<-9223372036854775808.0))if(r>9223372036854775808.0){f[o>>2]=-11;h=-1;i=2147483647;break}else{r=r+(!(r>=0.0)?-.5:.5);h=~~r>>>0;i=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0;break}else{f[o>>2]=-11;h=0;i=-2147483648}while(0);_=A+(q<<3)|0;f[_>>2]=h;f[_+4>>2]=i;q=q+1|0}while((q|0)!=(k|0))}At(a,k,f[D>>2]|0,A,o)|0;break}case 11:{s=+p[H>>3];t=+p[O>>3];h=(k|0)>0;if(s==1.0&t==0.0){if(h){i=0;do{h=d[w+(i<<1)>>1]|0;if((h&65535)>255){f[o>>2]=-11;h=-1}else h=h&255;b[A+i>>0]=h;i=i+1|0}while((i|0)!=(k|0))}}else if(h){i=0;do{r=(+(j[w+(i<<1)>>1]|0)-t)/s;do if(!(r<-.49))if(r>255.49){f[o>>2]=-11;h=-1;break}else{h=~~(r+.5)&255;break}else{f[o>>2]=-11;h=0}while(0);b[A+i>>0]=h;i=i+1|0}while((i|0)!=(k|0))}xt(a,k,f[D>>2]|0,A,o)|0;break}case 41:{s=+p[H>>3];t=+p[O>>3];h=(k|0)>0;if(s==1.0&t==0.0){if(h){h=0;do{f[A+(h<<2)>>2]=j[w+(h<<1)>>1];h=h+1|0}while((h|0)!=(k|0))}}else if(h){i=0;do{r=(+(j[w+(i<<1)>>1]|0)-t)/s;do if(!(r<-2147483648.49))if(r>2147483647.49){f[o>>2]=-11;h=2147483647;break}else{h=~~(r+(!(r>=0.0)?-.5:.5));break}else{f[o>>2]=-11;h=-2147483648}while(0);f[A+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(k|0))}zt(a,k,f[D>>2]|0,A,o)|0;break}case 42:{r=+p[H>>3];s=+p[O>>3];h=(k|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{n[A+(h<<2)>>2]=+(j[w+(h<<1)>>1]|0);h=h+1|0}while((h|0)!=(k|0))}}else if(h){h=0;do{n[A+(h<<2)>>2]=(+(j[w+(h<<1)>>1]|0)-s)/r;h=h+1|0}while((h|0)!=(k|0))}Bt(a,k,f[D>>2]|0,A,o)|0;break}case 82:{r=+p[H>>3];s=+p[O>>3];h=(k|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{p[A+(h<<3)>>3]=+(j[w+(h<<1)>>1]|0);h=h+1|0}while((h|0)!=(k|0))}}else if(h){h=0;do{p[A+(h<<3)>>3]=(+(j[w+(h<<1)>>1]|0)-s)/r;h=h+1|0}while((h|0)!=(k|0))}Ct(a,k,f[D>>2]|0,A,o)|0;break}case 16:{if((b[x>>0]|0)==115){e=78;break a}Uq(w,k,+p[H>>3],+p[O>>3],B,f[N>>2]|0,A,o)|0;h=f[D>>2]|0;i=f[N>>2]|0;if((h|0)==(i|0)){_=X(h,k)|0;it(a,_,((_|0)<0)<<31>>31,A,o)|0;break b}else{jt(a,i,k,h-i|0,A,o)|0;break b}}default:{e=78;break a}}while(0);h=((k|0)<0)<<31>>31;if((f[o>>2]|0)>0){e=82;break a}g=Dz(g|0,e|0,k|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}V=Ez(k|0,h|0,y|0,z|0)|0;Z=I;q=C;q=Ez(f[q>>2]|0,f[q+4>>2]|0,k|0,h|0)|0;k=I;_=F;_=(q|0)==(f[_>>2]|0)?(k|0)==(f[_+4>>2]|0):0;w=C;f[w>>2]=_?0:q;f[w+4>>2]=_?0:k;_=Ez(_&1|0,0,l|0,v|0)|0;y=V;z=Z;l=_;v=I}if((e|0)==78){f[S>>2]=c;f[S+4>>2]=R;ww(Q,91009,S)|0;vj(Q);if((f[P>>2]|0)==1){f[o>>2]=311;_=311;u=U;return _|0}else{f[o>>2]=312;_=312;u=U;return _|0}}else if((e|0)==82){_=Ez(y|0,z|0,1,0)|0;t=+(_>>>0)+4294967296.0*+(I|0);_=Ez(k|0,h|0,y|0,z|0)|0;p[T>>3]=t;p[T+8>>3]=+(_>>>0)+4294967296.0*+(I|0);ww(Q,90940,T)|0;vj(Q);_=f[o>>2]|0;u=U;return _|0}else if((e|0)==85){e=f[o>>2]|0;if((e|0)!=-11){_=e;u=U;return _|0}vj(91132);f[o>>2]=412;_=412;u=U;return _|0}return 0}function Uq(a,c,d,e,g,h,i,k){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;k=k|0;var l=0,m=0,n=0,o=0,q=0;q=u;u=u+16|0;o=q+8|0;n=q;l=(c|0)>0;if(d==1.0&e==0.0){if(l){l=0;m=i;do{p[n>>3]=+(j[a+(l<<1)>>1]|0);ww(m,g,n)|0;m=m+h|0;if(b[m>>0]|0)f[k>>2]=-11;l=l+1|0}while((l|0)!=(c|0))}}else if(l){l=0;m=i;do{p[o>>3]=(+(j[a+(l<<1)>>1]|0)-e)/d;ww(m,g,o)|0;m=m+h|0;if(b[m>>0]|0)f[k>>2]=-11;l=l+1|0}while((l|0)!=(c|0))}l=Cx(i,44)|0;if(!l){k=f[k>>2]|0;u=q;return k|0}do{b[l>>0]=46;l=Cx(l,44)|0}while((l|0)!=0);k=f[k>>2]|0;u=q;return k|0}function Vq(a,b,c,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){Wq(a,2,(b|0)>1?b:1,0,c,e,g,h,i,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{d[l>>1]=j;ps(a,20,c,e,g,h,1,i,l,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function Wq(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;n=f[m>>2]|0;if((n|0)>0){m=n;return m|0}n=f[a>>2]|0;p=a+4|0;o=f[p>>2]|0;if((n|0)==(f[o+68>>2]|0)){w=o+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,m)|0)>0:0){m=f[m>>2]|0;return m|0}}else Hj(a,n+1|0,0,m)|0;n=f[(f[p>>2]|0)+960>>2]|0;o=b+-1|0;p=f[n+(o*160|0)+80>>2]|0;w=(p|0)>0;do if(!w){o=Ez(g|0,h|0,-1,-1)|0;o=Ez(o|0,I|0,i|0,j|0)|0;q=I;if((p|0)<0?(Tq(a,b,c,e,g,h,i,j,k,m)|0)>0:0){n=f[m>>2]|0;if((n|0)==412){f[m>>2]=0;u=o;t=q;break}else{m=n;return m|0}}else{u=o;t=q}}else{t=n+(o*160|0)+88|0;u=f[t>>2]|0;t=f[t+4>>2]|0}while(0);r=Ez(c|0,e|0,-1,-1)|0;r=Sz(u|0,t|0,r|0,I|0)|0;r=Ez(r|0,I|0,g|0,h|0)|0;s=I;if(!((j|0)>0|(j|0)==0&i>>>0>0)){m=f[m>>2]|0;return m|0}a:do if(w){q=0;o=0;g=0;p=0;c=0;n=0;e=0;while(1){if((d[k+(q<<1)>>1]|0)==l<<16>>16){if(!((c|0)==0&(n|0)==0)?(h=Dz(q|0,p|0,c|0,n|0)|0,B=Ez(h|0,I|0,r|0,s|0)|0,x=I,A=Ez(B|0,x|0,-1,-1)|0,A=Jz(A|0,I|0,u|0,t|0)|0,z=I,y=Sz(A|0,z|0,u|0,t|0)|0,y=Dz(B|0,x|0,y|0,I|0)|0,x=I,z=Ez(A|0,z|0,1,0)|0,(Tq(a,b,z,I,y,x,c,n,k+(h<<1)|0,m)|0)>0):0){n=f[m>>2]|0;if((n|0)!=412)break;f[m>>2]=0;e=1}o=Ez(o|0,g|0,1,0)|0;c=0;h=0;n=I}else{if(!((o|0)==0&(g|0)==0)?(x=Dz(q|0,p|0,o|0,g|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,b,z,A,B,I,o,g,m)|0)>0):0){v=29;break a}c=Ez(c|0,n|0,1,0)|0;h=I;o=0;n=0}q=Ez(q|0,p|0,1,0)|0;p=I;if((p|0)<(j|0)|(p|0)==(j|0)&q>>>0<i>>>0){g=n;n=h}else{g=c;break a}}return n|0}else{q=0;c=0;n=0;e=0;p=0;o=0;while(1){if((d[k+(q<<1)>>1]|0)==l<<16>>16){c=Ez(c|0,n|0,1,0)|0;p=0;o=0;n=I}else{if(!((c|0)==0&(n|0)==0)?(x=Dz(q|0,e|0,c|0,n|0)|0,x=Ez(x|0,I|0,r|0,s|0)|0,y=I,h=Ez(x|0,y|0,-1,-1)|0,h=Jz(h|0,I|0,u|0,t|0)|0,B=I,z=Ez(h|0,B|0,1,0)|0,A=I,B=Sz(h|0,B|0,u|0,t|0)|0,B=Dz(x|0,y|0,B|0,I|0)|0,(Qq(a,b,z,A,B,I,c,n,m)|0)>0):0){v=29;break a}p=Ez(p|0,o|0,1,0)|0;o=I;c=0;n=0}q=Ez(q|0,e|0,1,0)|0;e=I;if(!((e|0)<(j|0)|(e|0)==(j|0)&q>>>0<i>>>0)){g=p;h=o;p=e;o=c;e=0;break}}}while(0);if((v|0)==29){B=f[m>>2]|0;return B|0}if((g|0)==0&(h|0)==0){if(!((o|0)==0&(n|0)==0)){x=Dz(q|0,p|0,o|0,n|0)|0;x=Ez(x|0,I|0,r|0,s|0)|0;y=I;k=Ez(x|0,y|0,-1,-1)|0;k=Jz(k|0,I|0,u|0,t|0)|0;B=I;z=Ez(k|0,B|0,1,0)|0;A=I;B=Sz(k|0,B|0,u|0,t|0)|0;B=Dz(x|0,y|0,B|0,I|0)|0;Qq(a,b,z,A,B,I,o,n,m)|0}}else{c=Dz(q|0,p|0,g|0,h|0)|0;n=Ez(c|0,I|0,r|0,s|0)|0;o=I;p=Ez(n|0,o|0,-1,-1)|0;p=Jz(p|0,I|0,u|0,t|0)|0;q=I;if(w){z=Ez(p|0,q|0,1,0)|0;A=I;B=Sz(p|0,q|0,u|0,t|0)|0;B=Dz(n|0,o|0,B|0,I|0)|0;Tq(a,b,z,A,B,I,g,h,k+(c<<1)|0,m)|0}}n=f[m>>2]|0;if(!((e|0)!=0&(n|0)<1)){B=n;return B|0}f[m>>2]=412;B=412;return B|0}function Xq(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=u;u=u+16|0;if(!(Ek(a,i)|0)){Yq(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i)|0;i=f[i>>2]|0;u=j;return i|0}else{ps(a,40,c,d,e,g,0,h,j,i)|0;i=f[i>>2]|0;u=j;return i|0}return 0}function Yq(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0.0,r=0.0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,Z=0;T=u;u=u+29056|0;S=T+28864|0;R=T+28856|0;L=T+28896|0;D=T+28892|0;O=T+28888|0;M=T+28884|0;C=T+28880|0;E=T+28848|0;H=T+28840|0;B=T+28832|0;F=T+28824|0;G=T+28808|0;N=T+28800|0;Q=T+29024|0;A=T+29004|0;P=T+28920|0;z=T;o=f[m>>2]|0;if((o|0)>0){m=o;u=T;return m|0}if((uk(a,c,e,g,h,i,j,k,1,G,N,Q,M,L,D,H,B,C,E,F,O,T+28816|0,T+28900|0,m)|0)>0){m=f[m>>2]|0;u=T;return m|0}if((f[L>>2]|0)==16)fk(Q,A);w=A+1|0;x=0;y=0;g=j;e=k;k=0;t=0;a:while(1){v=l+(x<<2)|0;while(1){if((g|0)==0&(e|0)==0){e=88;break a}Z=f[D>>2]|0;i=((Z|0)<0)<<31>>31;j=(e|0)<(i|0)|(e|0)==(i|0)&g>>>0<Z>>>0;Z=j?g:Z;Z=Nz(0,Z|0,32)|0;i=I;j=E;o=B;U=f[o>>2]|0;o=f[o+4>>2]|0;j=Dz(f[j>>2]|0,f[j+4>>2]|0,U|0,o|0)|0;h=I;V=(i|0)<(h|0)|(i|0)==(h|0)&Z>>>0<j>>>0;j=V?Z:j;h=H;i=f[h>>2]|0;h=f[h+4>>2]|0;V=F;V=Sz(f[V>>2]|0,f[V+4>>2]|0,k|0,t|0)|0;h=Ez(V|0,I|0,i|0,h|0)|0;i=I;V=f[C>>2]|0;o=Sz(V|0,((V|0)<0)<<31>>31|0,U|0,o|0)|0;o=Ez(h|0,i|0,o|0,I|0)|0;ft(a,o,I,1,m)|0;b:do switch(f[L>>2]|0){case 41:{r=+p[G>>3];s=+p[N>>3];h=r==1.0;c:do if(h&s==2147483648.0){if((j|0)>0){h=0;do{f[z+(h<<2)>>2]=f[v+(h<<2)>>2]^-2147483648;h=h+1|0}while((h|0)!=(j|0))}}else{i=(j|0)>0;if(h&s==0.0){if(i)i=0;else break;while(1){h=f[v+(i<<2)>>2]|0;if((h|0)<0){f[m>>2]=-11;h=2147483647}f[z+(i<<2)>>2]=h;i=i+1|0;if((i|0)==(j|0))break c}}if(i){i=0;do{q=(+((f[v+(i<<2)>>2]|0)>>>0)-s)/r;do if(!(q<-2147483648.49))if(q>2147483647.49){f[m>>2]=-11;h=2147483647;break}else{h=~~(q+(!(q>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-2147483648}while(0);f[z+(i<<2)>>2]=h;i=i+1|0}while((i|0)!=(j|0))}}while(0);zt(a,j,f[C>>2]|0,z,m)|0;break}case 81:{r=+p[G>>3];s=+p[N>>3];h=(j|0)>0;if(r==1.0&s==0.0){if(h){h=0;do{Z=z+(h<<3)|0;f[Z>>2]=f[v+(h<<2)>>2];f[Z+4>>2]=0;h=h+1|0}while((h|0)!=(j|0))}}else if(h){o=0;do{q=(+((f[v+(o<<2)>>2]|0)>>>0)-s)/r;do if(!(q<-9223372036854775808.0))if(q>9223372036854775808.0){f[m>>2]=-11;h=-1;i=2147483647;break}else{q=q+(!(q>=0.0)?-.5:.5);h=~~q>>>0;i=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}else{f[m>>2]=-11;h=0;i=-2147483648}while(0);Z=z+(o<<3)|0;f[Z>>2]=h;f[Z+4>>2]=i;o=o+1|0}while((o|0)!=(j|0))}At(a,j,f[C>>2]|0,z,m)|0;break}case 11:{r=+p[G>>3];s=+p[N>>3];h=(j|0)>0;if(r==1.0&s==0.0){if(h){i=0;do{h=f[v+(i<<2)>>2]|0;if(h>>>0>255){f[m>>2]=-11;h=-1}else h=h&255;b[z+i>>0]=h;i=i+1|0}while((i|0)!=(j|0))}}else if(h){i=0;do{q=(+((f[v+(i<<2)>>2]|0)>>>0)-s)/r;do if(!(q<-.49))if(q>255.49){f[m>>2]=-11;h=-1;break}else{h=~~(q+.5)&255;break}else{f[m>>2]=-11;h=0}while(0);b[z+i>>0]=h;i=i+1|0}while((i|0)!=(j|0))}xt(a,j,f[C>>2]|0,z,m)|0;break}case 21:{r=+p[G>>3];s=+p[N>>3];h=(j|0)>0;if(r==1.0&s==0.0){if(h){i=0;do{h=f[v+(i<<2)>>2]|0;if(h>>>0>32767){f[m>>2]=-11;h=32767}else h=h&65535;d[z+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(j|0))}}else if(h){i=0;do{q=(+((f[v+(i<<2)>>2]|0)>>>0)-s)/r;do if(!(q<-32768.49))if(q>32767.49){f[m>>2]=-11;h=32767;break}else{h=~~(q+(!(q>=0.0)?-.5:.5));break}else{f[m>>2]=-11;h=-32768}while(0);d[z+(i<<1)>>1]=h;i=i+1|0}while((i|0)!=(j|0))}yt(a,j,f[C>>2]|0,z,m)|0;break}case 42:{q=+p[G>>3];r=+p[N>>3];h=(j|0)>0;if(q==1.0&r==0.0){if(h){h=0;do{n[z+(h<<2)>>2]=+((f[v+(h<<2)>>2]|0)>>>0);h=h+1|0}while((h|0)!=(j|0))}}else if(h){h=0;do{n[z+(h<<2)>>2]=(+((f[v+(h<<2)>>2]|0)>>>0)-r)/q;h=h+1|0}while((h|0)!=(j|0))}Bt(a,j,f[C>>2]|0,z,m)|0;break}case 82:{q=+p[G>>3];r=+p[N>>3];h=(j|0)>0;if(q==1.0&r==0.0){if(h){h=0;do{p[z+(h<<3)>>3]=+((f[v+(h<<2)>>2]|0)>>>0);h=h+1|0}while((h|0)!=(j|0))}}else if(h){h=0;do{p[z+(h<<3)>>3]=(+((f[v+(h<<2)>>2]|0)>>>0)-r)/q;h=h+1|0}while((h|0)!=(j|0))}Ct(a,j,f[C>>2]|0,z,m)|0;break}case 16:{if((b[w>>0]|0)==115){e=81;break a}Zq(v,j,+p[G>>3],+p[N>>3],A,f[M>>2]|0,z,m)|0;h=f[C>>2]|0;i=f[M>>2]|0;if((h|0)==(i|0)){Z=X(h,j)|0;it(a,Z,((Z|0)<0)<<31>>31,z,m)|0;break b}else{jt(a,i,j,h-i|0,z,m)|0;break b}}default:{e=81;break a}}while(0);h=((j|0)<0)<<31>>31;if((f[m>>2]|0)>0){e=85;break a}g=Dz(g|0,e|0,j|0,h|0)|0;e=I;if((g|0)==0&(e|0)==0){g=0;e=0}else break}U=Ez(j|0,h|0,x|0,y|0)|0;V=I;o=B;o=Ez(f[o>>2]|0,f[o+4>>2]|0,j|0,h|0)|0;j=I;Z=E;Z=(o|0)==(f[Z>>2]|0)?(j|0)==(f[Z+4>>2]|0):0;v=B;f[v>>2]=Z?0:o;f[v+4>>2]=Z?0:j;Z=Ez(Z&1|0,0,k|0,t|0)|0;x=U;y=V;k=Z;t=I}if((e|0)==81){f[R>>2]=c;f[R+4>>2]=Q;ww(P,91009,R)|0;vj(P);if((f[O>>2]|0)==1){f[m>>2]=311;Z=311;u=T;return Z|0}else{f[m>>2]=312;Z=312;u=T;return Z|0}}else if((e|0)==85){Z=Ez(x|0,y|0,1,0)|0;s=+(Z>>>0)+4294967296.0*+(I|0);Z=Ez(j|0,h|0,x|0,y|0)|0;p[S>>3]=s;p[S+8>>3]=+(Z>>>0)+4294967296.0*+(I|0);ww(P,91063,S)|0;vj(P);Z=f[m>>2]|0;u=T;return Z|0}else if((e|0)==88){e=f[m>>2]|0;if((e|0)!=-11){Z=e;u=T;return Z|0}vj(91132);f[m>>2]=412;Z=412;u=T;return Z|0}return 0}function Zq(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0;o=u;u=u+16|0;n=o+8|0;m=o;k=(c|0)>0;if(d==1.0&e==0.0){if(k){k=0;l=i;do{p[m>>3]=+((f[a+(k<<2)>>2]|0)>>>0);ww(l,g,m)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}}else if(k){k=0;l=i;do{p[n>>3]=(+((f[a+(k<<2)>>2]|0)>>>0)-e)/d;ww(l,g,n)|0;l=l+h|0;if(b[l>>0]|0)f[j>>2]=-11;k=k+1|0}while((k|0)!=(c|0))}k=Cx(i,44)|0;if(!k){j=f[j>>2]|0;u=o;return j|0}do{b[k>>0]=46;k=Cx(k,44)|0}while((k|0)!=0);j=f[j>>2]|0;u=o;return j|0}function _q(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0;l=u;u=u+16|0;k=l;if(!(Ek(a,j)|0)){$q(a,2,(b|0)>1?b:1,0,c,d,e,g,h,i,j)|0;j=f[j>>2]|0;u=l;return j|0}else{f[k>>2]=i;ps(a,40,c,d,e,g,1,h,k,j)|0;j=f[j>>2]|0;u=l;return j|0}return 0}function $q(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}m=f[a>>2]|0;o=a+4|0;n=f[o>>2]|0;if((m|0)==(f[n+68>>2]|0)){v=n+120|0;if(((f[v>>2]|0)==-1?(f[v+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;return l|0}}else Hj(a,m+1|0,0,l)|0;m=f[(f[o>>2]|0)+960>>2]|0;n=b+-1|0;o=f[m+(n*160|0)+80>>2]|0;v=(o|0)>0;do if(!v){n=Ez(e|0,g|0,-1,-1)|0;n=Ez(n|0,I|0,h|0,i|0)|0;p=I;if((o|0)<0?(Yq(a,b,c,d,e,g,h,i,j,l)|0)>0:0){m=f[l>>2]|0;if((m|0)==412){f[l>>2]=0;t=n;s=p;break}else{l=m;return l|0}}else{t=n;s=p}}else{s=m+(n*160|0)+88|0;t=f[s>>2]|0;s=f[s+4>>2]|0}while(0);q=Ez(c|0,d|0,-1,-1)|0;q=Sz(t|0,s|0,q|0,I|0)|0;q=Ez(q|0,I|0,e|0,g|0)|0;r=I;if(!((i|0)>0|(i|0)==0&h>>>0>0)){l=f[l>>2]|0;return l|0}a:do if(v){p=0;n=0;e=0;o=0;c=0;m=0;d=0;while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){if(!((c|0)==0&(m|0)==0)?(g=Dz(p|0,o|0,c|0,m|0)|0,A=Ez(g|0,I|0,q|0,r|0)|0,w=I,z=Ez(A|0,w|0,-1,-1)|0,z=Jz(z|0,I|0,t|0,s|0)|0,y=I,x=Sz(z|0,y|0,t|0,s|0)|0,x=Dz(A|0,w|0,x|0,I|0)|0,w=I,y=Ez(z|0,y|0,1,0)|0,(Yq(a,b,y,I,x,w,c,m,j+(g<<2)|0,l)|0)>0):0){m=f[l>>2]|0;if((m|0)!=412)break;f[l>>2]=0;d=1}n=Ez(n|0,e|0,1,0)|0;c=0;g=0;m=I}else{if(!((n|0)==0&(e|0)==0)?(w=Dz(p|0,o|0,n|0,e|0)|0,w=Ez(w|0,I|0,q|0,r|0)|0,x=I,g=Ez(w|0,x|0,-1,-1)|0,g=Jz(g|0,I|0,t|0,s|0)|0,A=I,y=Ez(g|0,A|0,1,0)|0,z=I,A=Sz(g|0,A|0,t|0,s|0)|0,A=Dz(w|0,x|0,A|0,I|0)|0,(Qq(a,b,y,z,A,I,n,e,l)|0)>0):0){u=29;break a}c=Ez(c|0,m|0,1,0)|0;g=I;n=0;m=0}p=Ez(p|0,o|0,1,0)|0;o=I;if((o|0)<(i|0)|(o|0)==(i|0)&p>>>0<h>>>0){e=m;m=g}else{e=c;break a}}return m|0}else{p=0;c=0;m=0;d=0;o=0;n=0;while(1){if((f[j+(p<<2)>>2]|0)==(k|0)){c=Ez(c|0,m|0,1,0)|0;o=0;n=0;m=I}else{if(!((c|0)==0&(m|0)==0)?(w=Dz(p|0,d|0,c|0,m|0)|0,w=Ez(w|0,I|0,q|0,r|0)|0,x=I,g=Ez(w|0,x|0,-1,-1)|0,g=Jz(g|0,I|0,t|0,s|0)|0,A=I,y=Ez(g|0,A|0,1,0)|0,z=I,A=Sz(g|0,A|0,t|0,s|0)|0,A=Dz(w|0,x|0,A|0,I|0)|0,(Qq(a,b,y,z,A,I,c,m,l)|0)>0):0){u=29;break a}o=Ez(o|0,n|0,1,0)|0;n=I;c=0;m=0}p=Ez(p|0,d|0,1,0)|0;d=I;if(!((d|0)<(i|0)|(d|0)==(i|0)&p>>>0<h>>>0)){e=o;g=n;o=d;n=c;d=0;break}}}while(0);if((u|0)==29){A=f[l>>2]|0;return A|0}if((e|0)==0&(g|0)==0){if(!((n|0)==0&(m|0)==0)){w=Dz(p|0,o|0,n|0,m|0)|0;w=Ez(w|0,I|0,q|0,r|0)|0;x=I;j=Ez(w|0,x|0,-1,-1)|0;j=Jz(j|0,I|0,t|0,s|0)|0;A=I;y=Ez(j|0,A|0,1,0)|0;z=I;A=Sz(j|0,A|0,t|0,s|0)|0;A=Dz(w|0,x|0,A|0,I|0)|0;Qq(a,b,y,z,A,I,n,m,l)|0}}else{c=Dz(p|0,o|0,e|0,g|0)|0;m=Ez(c|0,I|0,q|0,r|0)|0;n=I;o=Ez(m|0,n|0,-1,-1)|0;o=Jz(o|0,I|0,t|0,s|0)|0;p=I;if(v){y=Ez(o|0,p|0,1,0)|0;z=I;A=Sz(o|0,p|0,t|0,s|0)|0;A=Dz(m|0,n|0,A|0,I|0)|0;Yq(a,b,y,z,A,I,e,g,j+(c<<2)|0,l)|0}}m=f[l>>2]|0;if(!((d|0)!=0&(m|0)<1)){A=m;return A|0}f[l>>2]=412;A=412;return A|0}
function Zk(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;A=u;u=u+848|0;x=A;w=A+832|0;v=A+828|0;z=A+792|0;m=f[l>>2]|0;if((m|0)>0){l=m;u=A;return l|0}Ik(a,v,l)|0;Hk(a,9,z,l)|0;if(!(Ek(a,l)|0)){t=f[v>>2]|0;a:do if((t|0)>0){o=1;r=0;m=0;while(1){if((f[h+(m<<2)>>2]|0)!=1){s=o;q=r;break a}if((f[e+(m<<2)>>2]|0)!=1){s=o;q=r;break a}q=f[g+(m<<2)>>2]|0;if((q|0)!=(f[z+(m<<2)>>2]|0)){s=o;q=r;break a}o=Sz(q|0,((q|0)<0)<<31>>31|0,o|0,r|0)|0;q=I;m=m+1|0;if((m|0)<(t|0))r=q;else{s=o;break}}}else{s=1;q=0;m=0}while(0);if((m|0)==(t|0)){if(!((s|0)==0&(q|0)==0|(f[l>>2]|0)>0)){Ik(a,w,l)|0;m=f[w>>2]|0;if((m|0)>0){o=0;do{z=f[e+(o<<2)>>2]|0;g=x+(o<<3)|0;f[g>>2]=z;f[g+4>>2]=((z|0)<0)<<31>>31;o=o+1|0}while((o|0)!=(m|0))}Yk(a,c,x,s,q,i,j,k,l)|0}}else y=14}else y=14;b:do if((y|0)==14)do switch(c|0){case 11:{m=f[v>>2]|0;if(!i){ml(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{ml(a,1,m,z,e,g,h,b[i>>0]|0,j,k,l)|0;break b}}case 12:{m=f[v>>2]|0;if(!i){Zm(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{Zm(a,1,m,z,e,g,h,b[i>>0]|0,j,k,l)|0;break b}}case 20:{m=f[v>>2]|0;if(!i){sn(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{sn(a,1,m,z,e,g,h,d[i>>1]|0,j,k,l)|0;break b}}case 21:{m=f[v>>2]|0;if(!i){Zl(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{Zl(a,1,m,z,e,g,h,d[i>>1]|0,j,k,l)|0;break b}}case 30:{m=f[v>>2]|0;if(!i){bn(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{bn(a,1,m,z,e,g,h,f[i>>2]|0,j,k,l)|0;break b}}case 31:{m=f[v>>2]|0;if(!i){Am(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{Am(a,1,m,z,e,g,h,f[i>>2]|0,j,k,l)|0;break b}}case 40:{m=f[v>>2]|0;if(!i){Dn(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{Dn(a,1,m,z,e,g,h,f[i>>2]|0,j,k,l)|0;break b}}case 41:{m=f[v>>2]|0;if(!i){im(a,1,m,z,e,g,h,0,j,k,l)|0;break b}else{im(a,1,m,z,e,g,h,f[i>>2]|0,j,k,l)|0;break b}}case 81:{m=f[v>>2]|0;if(!i){vm(a,1,m,z,e,g,h,0,0,j,k,l)|0;break b}else{vm(a,1,m,z,e,g,h,f[i>>2]|0,f[i+4>>2]|0,j,k,l)|0;break b}}case 42:{m=f[v>>2]|0;if(!i){Ml(a,1,m,z,e,g,h,0.0,j,k,l)|0;break b}else{Ml(a,1,m,z,e,g,h,+n[i>>2],j,k,l)|0;break b}}case 82:{m=f[v>>2]|0;if(!i){yl(a,1,m,z,e,g,h,0.0,j,k,l)|0;break b}else{yl(a,1,m,z,e,g,h,+p[i>>3],j,k,l)|0;break b}}default:{f[l>>2]=410;break b}}while(0);while(0);l=f[l>>2]|0;u=A;return l|0}function _k(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0;o=f[m>>2]|0;if((h|0)==0&(i|0)==0|(o|0)>0){m=o;return m|0}a:do switch(c|0){case 11:if(!j){cl(a,1,e,g,h,i,0,k,l,m)|0;break a}else{cl(a,1,e,g,h,i,b[j>>0]|0,k,l,m)|0;break a}case 12:if(!j){Pm(a,1,e,g,h,i,0,k,l,m)|0;break a}else{Pm(a,1,e,g,h,i,b[j>>0]|0,k,l,m)|0;break a}case 20:if(!j){hn(a,1,e,g,h,i,0,k,l,m)|0;break a}else{hn(a,1,e,g,h,i,d[j>>1]|0,k,l,m)|0;break a}case 21:if(!j){Pl(a,1,e,g,h,i,0,k,l,m)|0;break a}else{Pl(a,1,e,g,h,i,d[j>>1]|0,k,l,m)|0;break a}case 30:if(!j){_m(a,1,e,g,h,i,0,k,l,m)|0;break a}else{_m(a,1,e,g,h,i,f[j>>2]|0,k,l,m)|0;break a}case 31:if(!j){xm(a,1,e,g,h,i,0,k,l,m)|0;break a}else{xm(a,1,e,g,h,i,f[j>>2]|0,k,l,m)|0;break a}case 40:if(!j){tn(a,1,e,g,h,i,0,k,l,m)|0;break a}else{tn(a,1,e,g,h,i,f[j>>2]|0,k,l,m)|0;break a}case 41:if(!j){_l(a,1,e,g,h,i,0,k,l,m)|0;break a}else{_l(a,1,e,g,h,i,f[j>>2]|0,k,l,m)|0;break a}case 81:if(!j){lm(a,1,e,g,h,i,0,0,k,l,m)|0;break a}else{lm(a,1,e,g,h,i,f[j>>2]|0,f[j+4>>2]|0,k,l,m)|0;break a}case 42:if(!j){Cl(a,1,e,g,h,i,0.0,k,l,m)|0;break a}else{Cl(a,1,e,g,h,i,+n[j>>2],k,l,m)|0;break a}case 82:if(!j){ol(a,1,e,g,h,i,0.0,k,l,m)|0;break a}else{ol(a,1,e,g,h,i,+p[j>>3],k,l,m)|0;break a}default:f[m>>2]=410}while(0);m=f[m>>2]|0;return m|0}function $k(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0;l=f[k>>2]|0;if((e|0)==0&(g|0)==0|(l|0)>0){k=l;return k|0}do switch(b|0){case 11:{ll(a,1,c,d,e,g,h,i,j,k)|0;break}case 12:{Ym(a,1,c,d,e,g,h,i,j,k)|0;break}case 20:{rn(a,1,c,d,e,g,h,i,j,k)|0;break}case 21:{Yl(a,1,c,d,e,g,h,i,j,k)|0;break}case 30:{an(a,1,c,d,e,g,h,i,j,k)|0;break}case 31:{zm(a,1,c,d,e,g,h,i,j,k)|0;break}case 40:{Cn(a,1,c,d,e,g,h,i,j,k)|0;break}case 41:{hm(a,1,c,d,e,g,h,i,j,k)|0;break}case 81:{um(a,1,c,d,e,g,h,i,j,k)|0;break}case 42:{Ll(a,1,c,d,e,g,h,i,j,k)|0;break}case 82:{xl(a,1,c,d,e,g,h,i,j,k)|0;break}default:f[k>>2]=410}while(0);k=f[k>>2]|0;return k|0}function al(a,c,e,g,h,i,j,k,l,m,o,q,r){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;q=q|0;r=r|0;var s=0,t=0,v=0;v=u;u=u+16|0;t=v;s=f[r>>2]|0;if((s|0)>0){r=s;u=v;return r|0}a:do switch(c|0){case 1:{Jm(a,e,g,h,i,j,k,l,o,r)|0;break}case 11:if(!m){dl(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{dl(a,e,g,h,i,j,k,l,1,1,b[m>>0]|0,o,t,q,r)|0;break a}case 12:if(!m){Qm(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{Qm(a,e,g,h,i,j,k,l,1,1,b[m>>0]|0,o,t,q,r)|0;break a}case 20:if(!m){jn(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{jn(a,e,g,h,i,j,k,l,1,1,d[m>>1]|0,o,t,q,r)|0;break a}case 21:if(!m){Ql(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{Ql(a,e,g,h,i,j,k,l,1,1,d[m>>1]|0,o,t,q,r)|0;break a}case 30:if(!m){$m(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{$m(a,e,g,h,i,j,k,l,1,1,f[m>>2]|0,o,t,q,r)|0;break a}case 31:if(!m){ym(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{ym(a,e,g,h,i,j,k,l,1,1,f[m>>2]|0,o,t,q,r)|0;break a}case 40:if(!m){un(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{un(a,e,g,h,i,j,k,l,1,1,f[m>>2]|0,o,t,q,r)|0;break a}case 41:if(!m){$l(a,e,g,h,i,j,k,l,1,1,0,o,t,q,r)|0;break a}else{$l(a,e,g,h,i,j,k,l,1,1,f[m>>2]|0,o,t,q,r)|0;break a}case 81:if(!m){mm(a,e,g,h,i,j,k,l,1,1,0,0,o,t,q,r)|0;break a}else{mm(a,e,g,h,i,j,k,l,1,1,f[m>>2]|0,f[m+4>>2]|0,o,t,q,r)|0;break a}case 42:if(!m){Dl(a,e,g,h,i,j,k,l,1,1,0.0,o,t,q,r)|0;break a}else{Dl(a,e,g,h,i,j,k,l,1,1,+n[m>>2],o,t,q,r)|0;break a}case 82:if(!m){pl(a,e,g,h,i,j,k,l,1,1,0.0,o,t,q,r)|0;break a}else{pl(a,e,g,h,i,j,k,l,1,1,+p[m>>3],o,t,q,r)|0;break a}case 83:{s=Ez(Gz(i|0,j|0,1)|0,I|0,-1,-1)|0;c=I;i=Gz(k|0,l|0,1)|0;j=I;if(!m){Dl(a,e,g,h,s,c,i,j,1,1,0.0,o,t,q,r)|0;break a}else{Dl(a,e,g,h,s,c,i,j,1,1,+n[m>>2],o,t,q,r)|0;break a}}case 163:{s=Ez(Gz(i|0,j|0,1)|0,I|0,-1,-1)|0;c=I;i=Gz(k|0,l|0,1)|0;j=I;if(!m){pl(a,e,g,h,s,c,i,j,1,1,0.0,o,t,q,r)|0;break a}else{pl(a,e,g,h,s,c,i,j,1,1,+p[m>>3],o,t,q,r)|0;break a}}case 14:if(!m){Hm(a,e,g,h,i,j,k,l,1,0,o,t,q,r)|0;break a}else{Hm(a,e,g,h,i,j,k,l,1,b[m>>0]|0,o,t,q,r)|0;break a}case 16:if(!m){b[t>>0]=0;Lm(a,e,g,h,i,j,k,l,1,t,o,t,q,r)|0;break a}else{Lm(a,e,g,h,i,j,k,l,1,m,o,t,q,r)|0;break a}default:f[r>>2]=410}while(0);r=f[r>>2]|0;u=v;return r|0}function bl(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0;p=u;u=u+16|0;o=f[n>>2]|0;if((o|0)>0){n=o;u=p;return n|0}do switch(b|0){case 1:{Jm(a,c,d,e,g,h,i,j,k,n)|0;break}case 11:{dl(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 12:{Qm(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 20:{jn(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 21:{Ql(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 30:{$m(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 31:{ym(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 40:{un(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 41:{$l(a,c,d,e,g,h,i,j,1,2,0,k,l,m,n)|0;break}case 81:{mm(a,c,d,e,g,h,i,j,1,2,0,0,k,l,m,n)|0;break}case 42:{Dl(a,c,d,e,g,h,i,j,1,2,0.0,k,l,m,n)|0;break}case 82:{pl(a,c,d,e,g,h,i,j,1,2,0.0,k,l,m,n)|0;break}case 83:{Ol(a,c,d,e,g,h,i,j,k,l,m,n)|0;break}case 163:{Bl(a,c,d,e,g,h,i,j,k,l,m,n)|0;break}case 14:{Hm(a,c,d,e,g,h,i,j,2,0,k,l,m,n)|0;break}case 16:{Lm(a,c,d,e,g,h,i,j,2,p,k,l,m,n)|0;break}default:f[n>>2]=410}while(0);n=f[n>>2]|0;u=p;return n|0}function cl(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;n=u;u=u+16|0;m=n;if(!(Ek(a,l)|0)){dl(a,2,(c|0)>1?c:1,0,d,e,g,h,1,1,i,j,n+1|0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}else{b[m>>0]=i;ws(a,11,d,e,g,h,1,m,j,0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}return 0}function dl(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;var s=0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;ca=u;u=u+29072|0;ba=ca+28888|0;aa=ca+28864|0;Y=ca+28856|0;Q=ca+28848|0;Z=ca+28840|0;T=ca+28932|0;x=ca+28928|0;_=ca+28924|0;z=ca+28920|0;y=ca+28916|0;W=ca+28912|0;N=ca+28908|0;A=ca+28904|0;O=ca+28832|0;S=ca+28824|0;M=ca+28816|0;V=ca+28808|0;P=ca+28800|0;U=ca+29040|0;$=ca+28956|0;R=ca+28936|0;L=ca;s=f[r>>2]|0;if((i|0)==0&(j|0)==0|(s|0)>0){r=s;u=ca;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;uk(a,c,d,e,g,h,i,j,k>>31,Q,Z,U,W,T,x,S,M,N,O,P,_,V,R,r)|0;w=f[T>>2]|0;if((k|0)==1&(w|0)==14){Hm(a,c,d,e,g,h,i,j,l,m,n,o,q,r)|0;r=f[r>>2]|0;u=ca;return r|0}s=f[x>>2]|0;if(!(Cx(U,65)|0)){e=s;d=((s|0)<0)<<31>>31}else{if((f[r>>2]|0)==308){f[r>>2]=0;zj()}f[T>>2]=11;f[N>>2]=1;d=f[W>>2]|0;e=O;f[e>>2]=d;f[e+4>>2]=((d|0)<0)<<31>>31;f[W>>2]=1;p[Q>>3]=1.0;p[Z>>3]=0.0;e=V;f[e>>2]=1234554321;f[e+4>>2]=0;e=28800;d=0;w=11}s=f[r>>2]|0;if((s|0)>0){r=s;u=ca;return r|0}K=X(f[N>>2]|0,k)|0;f[N>>2]=K;if((w|0)==16&(f[_>>2]|0)==1?(Tj(U,z,A,y,r)|0,B=f[y>>2]|0,(B|0)>0):0){s=0;t=1.0;do{t=t*10.0;s=s+1|0}while((s|0)<(B|0))}else t=1.0;w=f[T>>2]|0;if(!((l|0)==1&m<<24>>24==0)?(D=V,C=f[D>>2]|0,D=f[D+4>>2]|0,!(((w|0)%10|0|0)==1&((C|0)==1234554321&(D|0)==0))):0){K=Ez(C|0,D|0,32768,0)|0;J=I;if(!((w|0)==21&(J>>>0>0|(J|0)==0&K>>>0>65535)))if((w|0)==11&(D>>>0>0|(D|0)==0&C>>>0>255)){s=0;E=22}else{s=(w|0)==16&(b[R>>0]|0)==1?0:l;E=21}else{K=d;H=e;J=0;s=0}}else{s=0;E=21}if((E|0)==21)if((w|0)==11)E=22;else{K=d;H=e;J=0}if((E|0)==22){H=(j|0)<0|(j|0)==0&i>>>0<2147483647;K=H?j:0;H=H?i:2147483647;J=(s|0)==0&+p[Q>>3]==1.0&+p[Z>>3]==0.0}F=(k|0)>-1;G=0-k|0;g=0;h=0;x=i;d=j;e=0;w=0;a:while(1){while(1){j=n+e|0;E=o+e|0;l=x;while(1){if((l|0)==0&(d|0)==0){E=56;break a}B=(d|0)<(K|0)|(d|0)==(K|0)&l>>>0<H>>>0;z=B?l:H;z=Nz(0,z|0,32)|0;B=I;if(F){x=O;D=M;C=f[D>>2]|0;D=f[D+4>>2]|0;x=Ez(f[x>>2]|0,f[x+4>>2]|0,-1,-1)|0;x=Dz(x|0,I|0,C|0,D|0)|0;y=I;A=k}else{D=M;C=f[D>>2]|0;D=f[D+4>>2]|0;x=C;y=D;A=G}y=Jz(x|0,y|0,A|0,((A|0)<0)<<31>>31|0)|0;i=I;x=(B|0)>(i|0)|(B|0)==(i|0)&z>>>0>y>>>0;i=Ez(y|0,i|0,1,0)|0;y=I;i=x?i:z;B=S;y=f[B>>2]|0;B=f[B+4>>2]|0;z=P;z=Sz(f[z>>2]|0,f[z+4>>2]|0,g|0,h|0)|0;B=Ez(z|0,I|0,y|0,B|0)|0;y=I;z=f[N>>2]|0;x=(z|0)/(k|0)|0;x=Sz(x|0,((x|0)<0)<<31>>31|0,C|0,D|0)|0;x=Ez(B|0,y|0,x|0,I|0)|0;y=I;switch(f[T>>2]|0){case 11:{qt(a,x,y,i,z,j,r)|0;if(!J)el(j,i,+p[Q>>3],+p[Z>>3],s,f[V>>2]&255,m,E,q,j,r)|0;break}case 21:{rt(a,x,y,i,z,L,r)|0;fl(L,i,+p[Q>>3],+p[Z>>3],s,f[V>>2]&65535,m,E,q,j,r)|0;break}case 41:{st(a,x,y,i,z,L,r)|0;gl(L,i,+p[Q>>3],+p[Z>>3],s,f[V>>2]|0,m,E,q,j,r)|0;break}case 81:{tt(a,x,y,i,z,L,r)|0;D=V;hl(L,i,+p[Q>>3],+p[Z>>3],s,f[D>>2]|0,f[D+4>>2]|0,m,E,q,j,r)|0;break}case 42:{ut(a,x,y,i,z,L,r)|0;il(L,i,+p[Q>>3],+p[Z>>3],s,m,E,q,j,r)|0;break}case 82:{vt(a,x,y,i,z,L,r)|0;jl(L,i,+p[Q>>3],+p[Z>>3],s,m,E,q,j,r)|0;break}case 16:{ft(a,x,y,0,r)|0;x=f[N>>2]|0;y=f[W>>2]|0;if((x|0)==(y|0)){D=X(x,i)|0;kt(a,D,((D|0)<0)<<31>>31,L,r)|0}else lt(a,y,i,x-y|0,L,r)|0;kl(L,i,+p[Q>>3],+p[Z>>3],f[W>>2]|0,t,s,R,m,E,q,j,r)|0;break}default:{E=42;break a}}if((f[r>>2]|0)>0){E=46;break a}x=((i|0)<0)<<31>>31;z=Dz(l|0,d|0,i|0,x|0)|0;B=I;if((z|0)==0&(B|0)==0){l=0;d=0}else break}A=Ez(i|0,x|0,e|0,w|0)|0;w=I;e=M;d=X(i,k)|0;d=Ez(f[e>>2]|0,f[e+4>>2]|0,d|0,((d|0)<0)<<31>>31|0)|0;e=I;y=M;f[y>>2]=d;f[y+4>>2]=e;y=O;x=f[y>>2]|0;y=f[y+4>>2]|0;if(!((e|0)<(y|0)|(e|0)==(y|0)&d>>>0<x>>>0)){E=52;break}if((e|0)<0){E=55;break}else{x=z;d=B;e=A}}if((E|0)==52){j=Jz(d|0,e|0,x|0,y|0)|0;E=I;g=Ez(j|0,E|0,g|0,h|0)|0;h=I;E=Sz(j|0,E|0,x|0,y|0)|0;d=Dz(d|0,e|0,E|0,I|0)|0;e=I}else if((E|0)==55){j=Jz(~d|0,~e|0,x|0,y|0)|0;j=Ez(j|0,I|0,1,0)|0;E=I;g=Dz(g|0,h|0,j|0,E|0)|0;h=I;E=Sz(j|0,E|0,x|0,y|0)|0;d=Ez(E|0,I|0,d|0,e|0)|0;e=I}x=M;f[x>>2]=d;f[x+4>>2]=e;x=z;d=B;e=A}if((E|0)==42){f[Y>>2]=c;f[Y+4>>2]=U;ww($,80677,Y)|0;vj($);if((f[_>>2]|0)==1){f[r>>2]=311;r=311;u=ca;return r|0}else{f[r>>2]=312;r=312;u=ca;return r|0}}else if((E|0)==46){t=+(e>>>0)+4294967296.0*+(w|0);v=t+1.0;t=t+ +(i|0);if((f[_>>2]|0)>0){p[aa>>3]=v;p[aa+8>>3]=t;f[aa+16>>2]=c;ww($,79403,aa)|0}else{p[ba>>3]=v;p[ba+8>>3]=t;ww($,79466,ba)|0}vj($);r=f[r>>2]|0;u=ca;return r|0}else if((E|0)==56){s=f[r>>2]|0;if((s|0)!=-11){r=s;u=ca;return r|0}vj(81433);f[r>>2]=412;r=412;u=ca;return r|0}return 0}function el(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0,r=0;q=d==1.0&e==0.0;if(!g){if(q){Uz(m|0,a|0,c|0)|0;n=f[n>>2]|0;return n|0}if((c|0)>0)g=0;else{n=f[n>>2]|0;return n|0}do{p=+(h[a+g>>0]|0)*d+e;do if(!(p<-.49))if(p>255.49){f[n>>2]=-11;o=-1;break}else{o=~~p&255;break}else{f[n>>2]=-11;o=0}while(0);b[m+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}o=(c|0)>0;if(q){if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;j=q?j:1;k=q?m:k;q=0;do{o=b[a+q>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;o=j;g=k}else g=m;b[g+q>>0]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?m:k;k=q?j:1;q=0;do{o=b[a+q>>0]|0;do if(o<<24>>24!=i<<24>>24){p=+(o&255)*d+e;if(p<-.49){f[n>>2]=-11;o=0;g=m;break}if(p>255.49){f[n>>2]=-11;o=-1;g=m;break}else{o=~~p&255;g=m;break}}else{f[l>>2]=1;o=k;g=r}while(0);b[g+q>>0]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}function fl(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0,r=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h)if(q){if(o)k=0;else{n=f[n>>2]|0;return n|0}do{o=d[a+(k<<1)>>1]|0;do if(o<<16>>16>=0)if(o<<16>>16>255){f[n>>2]=-11;o=-1;break}else{o=o&255;break}else{f[n>>2]=-11;o=0}while(0);b[m+k>>0]=o;k=k+1|0}while((k|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)k=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(k<<1)>>1]|0)*e+g;do if(!(p<-.49))if(p>255.49){f[n>>2]=-11;o=-1;break}else{o=~~p&255;break}else{f[n>>2]=-11;o=0}while(0);b[m+k>>0]=o;k=k+1|0}while((k|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}q=(h|0)==1;r=q?m:k;q=q?j:1;h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){if(o<<16>>16<0){f[n>>2]=-11;o=0;k=m;break}if(o<<16>>16>255){f[n>>2]=-11;o=-1;k=m;break}else{o=o&255;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+h>>0]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}q=(h|0)==1;r=q?m:k;q=q?j:1;h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-.49){f[n>>2]=-11;o=0;k=m;break}if(p>255.49){f[n>>2]=-11;o=-1;k=m;break}else{o=~~p&255;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+h>>0]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function gl(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,p=0,q=0;p=d==1.0&e==0.0;n=(c|0)>0;if(!g)if(p){if(n)j=0;else{m=f[m>>2]|0;return m|0}do{n=f[a+(j<<2)>>2]|0;do if((n|0)>=0)if((n|0)>255){f[m>>2]=-11;n=-1;break}else{n=n&255;break}else{f[m>>2]=-11;n=0}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)j=0;else{m=f[m>>2]|0;return m|0}do{o=+(f[a+(j<<2)>>2]|0)*d+e;do if(!(o<-.49))if(o>255.49){f[m>>2]=-11;n=-1;break}else{n=~~o&255;break}else{f[m>>2]=-11;n=0}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}if(p){if(!n){m=f[m>>2]|0;return m|0}p=(g|0)==1;q=p?l:j;p=p?i:1;g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){if((n|0)<0){f[m>>2]=-11;n=0;j=l;break}if((n|0)>255){f[m>>2]=-11;n=-1;j=l;break}else{n=n&255;j=l;break}}else{f[k>>2]=1;n=p;j=q}while(0);b[j+g>>0]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(!n){m=f[m>>2]|0;return m|0}p=(g|0)==1;q=p?l:j;p=p?i:1;g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){o=+(n|0)*d+e;if(o<-.49){f[m>>2]=-11;n=0;j=l;break}if(o>255.49){f[m>>2]=-11;n=-1;j=l;break}else{n=~~o&255;j=l;break}}else{f[k>>2]=1;n=p;j=q}while(0);b[j+g>>0]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}return 0}function hl(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0,r=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g)if(q){if(o)g=0;else{n=f[n>>2]|0;return n|0}do{k=a+(g<<3)|0;o=f[k>>2]|0;k=f[k+4>>2]|0;do if((k|0)>=0)if((k|0)>0|(k|0)==0&o>>>0>255){f[n>>2]=-11;o=-1;break}else{o=o&255;break}else{f[n>>2]=-11;o=0}while(0);b[m+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)k=0;else{n=f[n>>2]|0;return n|0}do{l=a+(k<<3)|0;p=(+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0))*d+e;do if(!(p<-.49))if(p>255.49){f[n>>2]=-11;o=-1;break}else{o=~~p&255;break}else{f[n>>2]=-11;o=0}while(0);b[m+k>>0]=o;k=k+1|0}while((k|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?m:k;q=q?j:1;g=0;do{k=a+(g<<3)|0;o=f[k>>2]|0;k=f[k+4>>2]|0;do if(!((o|0)==(h|0)&(k|0)==(i|0))){if((k|0)<0){f[n>>2]=-11;o=0;k=m;break}if((k|0)>0|(k|0)==0&o>>>0>255){f[n>>2]=-11;o=-1;k=m;break}else{o=o&255;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?m:k;q=q?j:1;g=0;do{k=a+(g<<3)|0;o=f[k>>2]|0;k=f[k+4>>2]|0;do if(!((o|0)==(h|0)&(k|0)==(i|0))){p=(+(o>>>0)+4294967296.0*+(k|0))*d+e;if(p<-.49){f[n>>2]=-11;o=0;k=m;break}if(p>255.49){f[n>>2]=-11;o=-1;k=m;break}else{o=~~p&255;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function il(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)j=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(j<<2)>>2];e=p;do if(!(e<-.49))if(e>255.49){f[m>>2]=-11;o=-1;break}else{o=~~p&255;break}else{f[m>>2]=-11;o=0}while(0);b[l+j>>0]=o;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)j=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(j<<2)>>2]*e+g;do if(!(p<-.49))if(p>255.49){f[m>>2]=-11;o=-1;break}else{o=~~p&255;break}else{f[m>>2]=-11;o=0}while(0);b[l+j>>0]=o;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}r=(h|0)==1;s=r?l:j;r=r?i:1;h=0;while(1){t=d[q>>1]&32640;a:do switch((t<<16>>16==32640?1:t<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2];e=p;if(e<-.49){f[m>>2]=-11;o=0;j=l;break a}if(e>255.49){f[m>>2]=-11;o=-1;j=l;break a}else{o=~~p&255;j=l;break a}}case 1:{f[k>>2]=1;o=r;j=s;break}default:{o=0;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}r=~~g&255;s=(h|0)==1;t=s?l:j;s=s?i:1;if(g<-.49){h=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;o=0;j=l;break b}if(p>255.49){f[m>>2]=-11;o=-1;j=l;break b}else{o=~~p&255;j=l;break b}}case 1:{f[k>>2]=1;o=s;j=t;break}default:{f[m>>2]=-11;o=0;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(g>255.49)h=0;else{h=0;while(1){i=d[q>>1]&32640;c:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;o=0;j=l;break c}if(p>255.49){f[m>>2]=-11;o=-1;j=l;break c}else{o=~~p&255;j=l;break c}}case 1:{f[k>>2]=1;o=s;j=t;break}default:{o=r;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;o=0;j=l;break d}if(p>255.49){f[m>>2]=-11;o=-1;j=l;break d}else{o=~~p&255;j=l;break d}}case 1:{f[k>>2]=1;o=s;j=t;break}default:{f[m>>2]=-11;o=-1;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}function jl(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)j=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(j<<3)>>3];do if(!(o<-.49))if(o>255.49){f[m>>2]=-11;n=-1;break}else{n=~~o&255;break}else{f[m>>2]=-11;n=0}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)j=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(j<<3)>>3]*e+g;do if(!(o<-.49))if(o>255.49){f[m>>2]=-11;n=-1;break}else{n=~~o&255;break}else{f[m>>2]=-11;n=0}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}r=(h|0)==1;s=r?l:j;r=r?i:1;h=0;while(1){t=d[q>>1]&32752;a:do switch((t<<16>>16==32752?1:t<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3];if(o<-.49){f[m>>2]=-11;n=0;j=l;break a}if(o>255.49){f[m>>2]=-11;n=-1;j=l;break a}else{n=~~o&255;j=l;break a}}case 1:{f[k>>2]=1;n=r;j=s;break}default:{n=0;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}r=~~g&255;s=(h|0)==1;t=s?l:j;s=s?i:1;if(g<-.49){h=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;n=0;j=l;break b}if(o>255.49){f[m>>2]=-11;n=-1;j=l;break b}else{n=~~o&255;j=l;break b}}case 1:{f[k>>2]=1;n=s;j=t;break}default:{f[m>>2]=-11;n=0;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(g>255.49)h=0;else{h=0;while(1){i=d[q>>1]&32752;c:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;n=0;j=l;break c}if(o>255.49){f[m>>2]=-11;n=-1;j=l;break c}else{n=~~o&255;j=l;break c}}case 1:{f[k>>2]=1;n=s;j=t;break}default:{n=r;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;n=0;j=l;break d}if(o>255.49){f[m>>2]=-11;n=-1;j=l;break d}else{n=~~o&255;j=l;break d}}case 1:{f[k>>2]=1;n=s;j=t;break}default:{f[m>>2]=-11;n=-1;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function kl(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0.0,q=0,r=0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=u;u=u+96|0;E=F;D=F+4|0;B=Bx(j)|0;a:do if((c|0)>0){C=(i|0)==0;x=(i|0)==1;y=x?n:l;x=x?k:1;w=0;b:while(1){A=a+g|0;z=b[A>>0]|0;b[A>>0]=0;if((b[j>>0]|0)!=1?(vw(j,a,B)|0)==0:0)if(C)l=A;else{f[m>>2]=1;l=A;i=x;k=y;r=38}else{l=a;r=7}do if((r|0)==7){c:while(1){r=0;i=b[l>>0]|0;switch(i<<24>>24){case 43:case 45:{r=9;break c}case 32:break;default:{v=1;break c}}l=l+1|0;r=7}if((r|0)==9){r=0;k=i<<24>>24==45;do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);v=k?-1:1}if((i+-48&255)<10){p=0.0;do{p=p*10.0+ +(i<<24>>24);do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);p=p+-48.0}while((i+-48&255)<10)}else p=0.0;switch(i<<24>>24){case 44:case 46:{do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);if((i+-48&255)<10){s=1.0;do{p=p*10.0+ +(i<<24>>24)+-48.0;do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);s=s*10.0}while((i+-48&255)<10);t=1}else{t=1;s=1.0}break}default:{t=0;s=1.0}}if((i&-2)<<24>>24==68){k=l;d:while(1){l=k+1|0;i=b[l>>0]|0;switch(i<<24>>24){case 32:{k=l;break}case 43:case 45:{r=26;break d}default:{q=1;break d}}}if((r|0)==26){q=i<<24>>24==45;l=k+2|0;while(1){i=b[l>>0]|0;if(i<<24>>24==32)l=l+1|0;else break}q=q?-1:1}if((i+-48&255)<10){k=0;while(1){k=(k*10|0)+-48|0;do{l=l+1|0;r=b[l>>0]|0}while(r<<24>>24==32);k=k+(i<<24>>24)|0;if((r+-48&255)<10)i=r;else{i=r;break}}}else k=0}else{q=1;k=0}if(i<<24>>24)break b;p=+(v|0)*p/((t|0)==0?h:s)*+M(10.0,+(+(X(q,k)|0)))*d+e;if(p<-.49){f[o>>2]=-11;i=0;k=n;r=38;break}if(p>255.49){f[o>>2]=-11;i=-1;k=n;r=38;break}else{i=~~p&255;k=n;r=38;break}}while(0);if((r|0)==38){r=0;b[k+w>>0]=i}b[A>>0]=z;w=w+1|0;if((w|0)>=(c|0))break a;else a=l}l=D;i=81500;k=l+36|0;do{b[l>>0]=b[i>>0]|0;l=l+1|0;i=i+1|0}while((l|0)<(k|0));vj(D);f[E>>2]=a;ww(D,81536,E)|0;vj(D);b[A>>0]=z;f[o>>2]=409;E=409;u=F;return E|0}while(0);E=f[o>>2]|0;u=F;return E|0}function ll(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){dl(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,11,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function ml(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;gb=u;u=u+480|0;t=gb+232|0;o=gb+224|0;ia=gb+352|0;B=gb+316|0;C=gb+280|0;z=gb+244|0;A=gb+144|0;p=gb+72|0;r=gb;n=gb+240|0;eb=gb+236|0;fb=gb+470|0;s=gb+389|0;q=gb+388|0;if((d+-1|0)>>>0>8){f[o>>2]=d;ww(s,79525,o)|0;vj(s);f[m>>2]=320;m=320;u=gb;return m|0}if(Ek(a,m)|0){n=0;do{fb=f[g+(n<<2)>>2]|0;eb=p+(n<<3)|0;f[eb>>2]=fb;f[eb+4>>2]=((fb|0)<0)<<31>>31;eb=f[h+(n<<2)>>2]|0;fb=r+(n<<3)|0;f[fb>>2]=eb;f[fb+4>>2]=((eb|0)<0)<<31>>31;n=n+1|0}while((n|0)!=(d|0));b[q>>0]=j;ts(a,11,p,r,i,1,q,k,0,l,m)|0;m=f[m>>2]|0;u=gb;return m|0}if((mk(a,n,m)|0)>0){m=f[m>>2]|0;u=gb;return m|0}n=(f[n>>2]|0)==0;if(n){Da=(c|0)==0?1:c;c=2;cb=1;v=Da}else{cb=f[i+(d<<2)>>2]|0;v=f[h+(d<<2)>>2]|0;Da=f[g+(d<<2)>>2]|0}db=(l|0)!=0;if(db)f[l>>2]=0;f[ia>>2]=1;f[B>>2]=1;f[C>>2]=1;ca=A;f[ca>>2]=1;f[ca+4>>2]=0;f[z>>2]=1;ca=ia+4|0;f[ca>>2]=1;da=B+4|0;f[da>>2]=1;ya=C+4|0;f[ya>>2]=1;fa=A+8|0;ba=fa;f[ba>>2]=1;f[ba+4>>2]=0;ba=z+4|0;f[ba>>2]=1;_=ia+8|0;f[_>>2]=1;$=B+8|0;f[$>>2]=1;ea=C+8|0;f[ea>>2]=1;ga=A+16|0;Z=ga;f[Z>>2]=1;f[Z+4>>2]=0;Z=z+8|0;f[Z>>2]=1;V=ia+12|0;f[V>>2]=1;W=B+12|0;f[W>>2]=1;aa=C+12|0;f[aa>>2]=1;ha=A+24|0;U=ha;f[U>>2]=1;f[U+4>>2]=0;U=z+12|0;f[U>>2]=1;R=ia+16|0;f[R>>2]=1;S=B+16|0;f[S>>2]=1;Y=C+16|0;f[Y>>2]=1;ja=A+32|0;Q=ja;f[Q>>2]=1;f[Q+4>>2]=0;Q=z+16|0;f[Q>>2]=1;N=ia+20|0;f[N>>2]=1;O=B+20|0;f[O>>2]=1;T=C+20|0;f[T>>2]=1;ka=A+40|0;M=ka;f[M>>2]=1;f[M+4>>2]=0;M=z+20|0;f[M>>2]=1;J=ia+24|0;f[J>>2]=1;K=B+24|0;f[K>>2]=1;P=C+24|0;f[P>>2]=1;na=A+48|0;H=na;f[H>>2]=1;f[H+4>>2]=0;H=z+24|0;f[H>>2]=1;E=ia+28|0;f[E>>2]=1;F=B+28|0;f[F>>2]=1;L=C+28|0;f[L>>2]=1;ra=A+56|0;D=ra;f[D>>2]=1;f[D+4>>2]=0;D=z+28|0;f[D>>2]=1;x=ia+32|0;f[x>>2]=1;y=B+32|0;f[y>>2]=1;G=C+32|0;f[G>>2]=1;ua=A+64|0;w=ua;f[w>>2]=1;f[w+4>>2]=0;w=z+32|0;f[w>>2]=1;a:do if(n){o=d<<2;Lz(ia|0,g|0,o|0)|0;Lz(B|0,h|0,o|0)|0;Lz(C|0,i|0,o|0)|0;o=1;p=0;q=0;do{n=z+(q<<2)|0;if((f[h+(q<<2)>>2]|0)<(f[g+(q<<2)>>2]|0)){f[n>>2]=-1;n=-1}else n=f[n>>2]|0;ab=f[e+(q<<2)>>2]|0;$a=o;o=Sz(ab|0,((ab|0)<0)<<31>>31|0,o|0,p|0)|0;ab=p;p=I;bb=q;q=q+1|0;_a=A+(q<<3)|0;f[_a>>2]=o;f[_a+4>>2]=p;ab=Sz(n|0,((n|0)<0)<<31>>31|0,$a|0,ab|0)|0;bb=A+(bb<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I}while((q|0)!=(d|0))}else{p=1;q=0;r=0;while(1){n=f[h+(r<<2)>>2]|0;o=f[g+(r<<2)>>2]|0;if((n|0)<(o|0))break;f[ia+(r<<2)>>2]=o;f[B+(r<<2)>>2]=n;f[C+(r<<2)>>2]=f[i+(r<<2)>>2];ab=f[e+(r<<2)>>2]|0;bb=p;p=Sz(ab|0,((ab|0)<0)<<31>>31|0,p|0,q|0)|0;ab=q;q=I;n=r+1|0;$a=A+(n<<3)|0;f[$a>>2]=p;f[$a+4>>2]=q;$a=f[z+(r<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,bb|0,ab|0)|0;bb=A+(r<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((n|0)>=(d|0))break a;else r=n}f[t>>2]=r+1;ww(s,79570,t)|0;vj(s);f[m>>2]=321;m=321;u=gb;return m|0}while(0);bb=A+(d<<3)|0;ab=bb;$a=f[z+(d<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,f[ab>>2]|0,f[ab+4>>2]|0)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((d|0)==1?(f[e>>2]|0)==1:0){n=(v-Da|0)/(cb|0)|0;bb=cb;v=Da}else{bb=f[z>>2]|0;n=X((f[B>>2]|0)-(f[ia>>2]|0)|0,bb)|0;n=(n|0)/(f[i>>2]|0)|0;bb=X(f[C>>2]|0,bb)|0}ab=n+1|0;b:do if((Da|0)<=(v|0)){$a=f[w>>2]|0;_a=X($a,f[x>>2]|0)|0;Za=X($a,f[y>>2]|0)|0;Ya=(_a|0)>(Za|0);Xa=f[D>>2]|0;Wa=X(Xa,f[E>>2]|0)|0;Va=X(Xa,f[F>>2]|0)|0;Ua=(Wa|0)>(Va|0);Ta=f[G>>2]|0;Sa=f[H>>2]|0;Ra=X(Sa,f[J>>2]|0)|0;Qa=X(Sa,f[K>>2]|0)|0;Pa=(Ra|0)>(Qa|0);Oa=f[L>>2]|0;Na=f[M>>2]|0;Ma=X(Na,f[N>>2]|0)|0;La=X(Na,f[O>>2]|0)|0;Ka=(Ma|0)>(La|0);Ja=f[P>>2]|0;Ia=f[Q>>2]|0;Ha=X(Ia,f[R>>2]|0)|0;Ga=X(Ia,f[S>>2]|0)|0;Fa=(Ha|0)>(Ga|0);Ea=f[T>>2]|0;Ca=f[U>>2]|0;Ba=X(Ca,f[V>>2]|0)|0;Aa=X(Ca,f[W>>2]|0)|0;za=(Ba|0)>(Aa|0);xa=f[Y>>2]|0;wa=f[Z>>2]|0;va=X(wa,f[_>>2]|0)|0;ta=X(wa,f[$>>2]|0)|0;sa=(va|0)>(ta|0);qa=f[aa>>2]|0;pa=f[ba>>2]|0;oa=X(pa,f[ca>>2]|0)|0;ma=X(pa,f[da>>2]|0)|0;la=(oa|0)>(ma|0);da=f[ea>>2]|0;ba=f[ia>>2]|0;ca=((ba|0)<0)<<31>>31;aa=fa;$=f[aa>>2]|0;aa=f[aa+4>>2]|0;_=ga;Z=f[_>>2]|0;_=f[_+4>>2]|0;Y=ha;W=f[Y>>2]|0;Y=f[Y+4>>2]|0;V=ja;U=f[V>>2]|0;V=f[V+4>>2]|0;T=ka;S=f[T>>2]|0;T=f[T+4>>2]|0;R=na;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ra;O=f[P>>2]|0;P=f[P+4>>2]|0;M=ua;L=f[M>>2]|0;M=f[M+4>>2]|0;N=((ab|0)<0)<<31>>31;K=f[ya>>2]|0;n=0;J=Da;c:while(1){if(!Ya){H=((J|0)<0)<<31>>31;G=_a;do{if(!Ua){E=G-$a|0;E=Sz(E|0,((E|0)<0)<<31>>31|0,L|0,M|0)|0;F=I;D=Wa;do{if(!Pa){d=D-Xa|0;d=Sz(d|0,((d|0)<0)<<31>>31|0,O|0,P|0)|0;h=I;C=Ra;do{if(!Ka){g=C-Sa|0;g=Sz(g|0,((g|0)<0)<<31>>31|0,Q|0,R|0)|0;i=I;B=Ma;do{if(!Fa){A=B-Na|0;A=Sz(A|0,((A|0)<0)<<31>>31|0,S|0,T|0)|0;e=I;z=Ha;do{if(!za){x=z-Ia|0;x=Sz(x|0,((x|0)<0)<<31>>31|0,U|0,V|0)|0;y=I;w=Ba;do{d:do if(!sa){s=w-Ca|0;s=Sz(s|0,((s|0)<0)<<31>>31|0,W|0,Y|0)|0;t=I;if(la){o=va;while(1){o=da+o|0;if((o|0)>(ta|0))break d}}else r=va;do{p=r-wa|0;p=Sz(p|0,((p|0)<0)<<31>>31|0,Z|0,_|0)|0;q=I;if(db){o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,e|0)|0;Da=Ez(Da|0,I|0,g|0,i|0)|0;Da=Ez(Da|0,I|0,d|0,h|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((dl(a,c,J,H,Da,I,ab,N,bb,1,j,k+n|0,fb,eb,m)|0)>0)break c;if(f[eb>>2]|0)f[l>>2]=1;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}else{o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,e|0)|0;Da=Ez(Da|0,I|0,g|0,i|0)|0;Da=Ez(Da|0,I|0,d|0,h|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((dl(a,c,J,H,Da,I,ab,N,bb,1,j,k+n|0,fb,eb,m)|0)>0)break c;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}r=da+r|0}while((r|0)<=(ta|0))}while(0);w=qa+w|0}while((w|0)<=(Aa|0))}z=xa+z|0}while((z|0)<=(Ga|0))}B=Ea+B|0}while((B|0)<=(La|0))}C=Ja+C|0}while((C|0)<=(Qa|0))}D=Oa+D|0}while((D|0)<=(Va|0))}G=Ta+G|0}while((G|0)<=(Za|0))}J=J+cb|0;if((J|0)>(v|0))break b}m=f[m>>2]|0;u=gb;return m|0}while(0);m=f[m>>2]|0;u=gb;return m|0}function nl(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0;n=u;u=u+16|0;dl(a,b,c,d,e,g,h,i,1,1,j,k,n,l,m)|0;u=n;return f[m>>2]|0}function ol(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){pl(a,2,(b|0)>1?b:1,0,c,d,e,g,1,1,h,i,m+8|0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{p[l>>3]=h;ws(a,82,c,d,e,g,1,l,i,0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function pl(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;n=n|0;o=o|0;q=q|0;r=r|0;var s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;ba=u;u=u+29072|0;aa=ba+28888|0;$=ba+28864|0;W=ba+28856|0;P=ba+28848|0;Y=ba+28840|0;S=ba+28932|0;Z=ba+28928|0;w=ba+28920|0;v=ba+28916|0;V=ba+28912|0;M=ba+28908|0;N=ba+28832|0;R=ba+28824|0;L=ba+28816|0;U=ba+28808|0;O=ba+28800|0;T=ba+29040|0;_=ba+28956|0;Q=ba+28936|0;K=ba;t=f[r>>2]|0;if((i|0)==0&(j|0)==0|(t|0)>0){r=t;u=ba;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,k>>31,P,Y,T,V,S,v,R,L,M,N,O,Z,U,Q,r)|0)>0){r=f[r>>2]|0;u=ba;return r|0}h=f[v>>2]|0;g=((h|0)<0)<<31>>31;J=X(f[M>>2]|0,k)|0;f[M>>2]=J;if((f[S>>2]|0)==16?(Tj(T,ba+28924|0,ba+28904|0,w,r)|0,x=f[w>>2]|0,(x|0)>0):0){d=0;s=1.0;do{s=s*10.0;d=d+1|0}while((d|0)<(x|0))}else s=1.0;d=f[S>>2]|0;if(!((l|0)==1&m==0.0)?(z=U,y=f[z>>2]|0,z=f[z+4>>2]|0,!(((d|0)%10|0|0)==1&((y|0)==1234554321&(z|0)==0))):0){J=Ez(y|0,z|0,32768,0)|0;H=I;if(!((d|0)==21&(H>>>0>0|(H|0)==0&J>>>0>65535))?!((d|0)==11&(z>>>0>0|(z|0)==0&y>>>0>255)):0){e=(d|0)==16&(b[Q>>0]|0)==1?0:l;A=16}else{H=h;J=0;e=0}}else{e=0;A=16}if((A|0)==16)if((d|0)==82){H=(j|0)<0|(j|0)==0&i>>>0<268435455;g=H?j:0;H=H?i:268435455;J=(e|0)==0&+p[P>>3]==1.0&+p[Y>>3]==0.0}else{H=h;J=0}F=(k|0)>-1;G=0-k|0;v=0;w=0;h=j;t=0;d=0;a:while(1){while(1){D=n+(t<<3)|0;E=o+t|0;B=i;while(1){if((B|0)==0&(h|0)==0){A=51;break a}l=(h|0)<(g|0)|(h|0)==(g|0)&B>>>0<H>>>0;i=l?B:H;i=Nz(0,i|0,32)|0;l=I;if(F){x=N;A=L;j=f[A>>2]|0;A=f[A+4>>2]|0;x=Ez(f[x>>2]|0,f[x+4>>2]|0,-1,-1)|0;x=Dz(x|0,I|0,j|0,A|0)|0;y=I;z=k}else{y=L;x=f[y>>2]|0;y=f[y+4>>2]|0;j=x;A=y;z=G}x=Jz(x|0,y|0,z|0,((z|0)<0)<<31>>31|0)|0;C=I;y=(l|0)>(C|0)|(l|0)==(C|0)&i>>>0>x>>>0;C=Ez(x|0,C|0,1,0)|0;x=I;C=y?C:i;l=R;x=f[l>>2]|0;l=f[l+4>>2]|0;y=O;y=Sz(f[y>>2]|0,f[y+4>>2]|0,v|0,w|0)|0;l=Ez(y|0,I|0,x|0,l|0)|0;x=I;y=f[M>>2]|0;i=(y|0)/(k|0)|0;i=Sz(i|0,((i|0)<0)<<31>>31|0,j|0,A|0)|0;i=Ez(l|0,x|0,i|0,I|0)|0;x=I;switch(f[S>>2]|0){case 82:{vt(a,i,x,C,y,D,r)|0;if(!J)ql(D,C,+p[P>>3],+p[Y>>3],e,m,E,q,D,r)|0;break}case 11:{qt(a,i,x,C,y,K,r)|0;rl(K,C,+p[P>>3],+p[Y>>3],e,f[U>>2]&255,m,E,q,D,r)|0;break}case 21:{rt(a,i,x,C,y,K,r)|0;sl(K,C,+p[P>>3],+p[Y>>3],e,f[U>>2]&65535,m,E,q,D,r)|0;break}case 41:{st(a,i,x,C,y,K,r)|0;tl(K,C,+p[P>>3],+p[Y>>3],e,f[U>>2]|0,m,E,q,D,r)|0;break}case 81:{tt(a,i,x,C,y,K,r)|0;A=U;ul(K,C,+p[P>>3],+p[Y>>3],e,f[A>>2]|0,f[A+4>>2]|0,m,E,q,D,r)|0;break}case 42:{ut(a,i,x,C,y,K,r)|0;vl(K,C,+p[P>>3],+p[Y>>3],e,m,E,q,D,r)|0;break}case 16:{ft(a,i,x,0,r)|0;i=f[M>>2]|0;x=f[V>>2]|0;if((i|0)==(x|0)){A=X(i,C)|0;kt(a,A,((A|0)<0)<<31>>31,K,r)|0}else lt(a,x,C,i-x|0,K,r)|0;wl(K,C,+p[P>>3],+p[Y>>3],f[V>>2]|0,s,e,Q,m,E,q,D,r)|0;break}default:{A=37;break a}}if((f[r>>2]|0)>0){A=41;break a}i=((C|0)<0)<<31>>31;y=Dz(B|0,h|0,C|0,i|0)|0;l=I;if((y|0)==0&(l|0)==0){B=0;h=0}else break}z=Ez(C|0,i|0,t|0,d|0)|0;d=I;t=L;h=X(C,k)|0;h=Ez(f[t>>2]|0,f[t+4>>2]|0,h|0,((h|0)<0)<<31>>31|0)|0;t=I;x=L;f[x>>2]=h;f[x+4>>2]=t;x=N;i=f[x>>2]|0;x=f[x+4>>2]|0;if(!((t|0)<(x|0)|(t|0)==(x|0)&h>>>0<i>>>0)){A=47;break}if((t|0)<0){A=50;break}else{i=y;h=l;t=z}}if((A|0)==47){D=Jz(h|0,t|0,i|0,x|0)|0;D=Nz(0,D|0,32)|0;E=I;v=Ez(D|0,E|0,v|0,w|0)|0;w=I;E=Sz(D|0,E|0,i|0,x|0)|0;h=Dz(h|0,t|0,E|0,I|0)|0;t=I}else if((A|0)==50){D=Jz(~h|0,~t|0,i|0,x|0)|0;D=Ez(0,D|0,0,1)|0;D=Nz(D|0,I|0,32)|0;E=I;v=Dz(v|0,w|0,D|0,E|0)|0;w=I;E=Sz(D|0,E|0,i|0,x|0)|0;h=Ez(E|0,I|0,h|0,t|0)|0;t=I}i=L;f[i>>2]=h;f[i+4>>2]=t;i=y;h=l;t=z}if((A|0)==37){f[W>>2]=c;f[W+4>>2]=T;ww(_,81254,W)|0;vj(_);if((f[Z>>2]|0)==1){f[r>>2]=311;r=311;u=ba;return r|0}else{f[r>>2]=312;r=312;u=ba;return r|0}}else if((A|0)==41){s=+(t>>>0)+4294967296.0*+(d|0);m=s+1.0;s=s+ +(C|0);if((f[Z>>2]|0)>0){p[$>>3]=m;p[$+8>>3]=s;f[$+16>>2]=c;ww(_,79615,$)|0}else{p[aa>>3]=m;p[aa+8>>3]=s;ww(_,79678,aa)|0}vj(_);r=f[r>>2]|0;u=ba;return r|0}else if((A|0)==51){d=f[r>>2]|0;if((d|0)!=-11){r=d;u=ba;return r|0}vj(81433);f[r>>2]=412;r=412;u=ba;return r|0}return 0}function ql(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0;r=e==1.0&g==0.0;if(!h){if(r){Uz(l|0,a|0,c<<3|0)|0;m=f[m>>2]|0;return m|0}if((c|0)>0)n=0;else{m=f[m>>2]|0;return m|0}do{p[l+(n<<3)>>3]=+p[a+(n<<3)>>3]*e+g;n=n+1|0}while((n|0)!=(c|0));m=f[m>>2]|0;return m|0}n=a+6|0;q=(c|0)>0;if(r){if(!q){m=f[m>>2]|0;return m|0}if((h|0)==1){q=0;while(1){j=d[n>>1]&32752;switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(q<<3)>>3];break}case 1:{f[k>>2]=1;o=i;break}default:o=0.0}p[l+(q<<3)>>3]=o;q=q+1|0;if((q|0)==(c|0))break;else n=n+8|0}m=f[m>>2]|0;return m|0}else{q=0;while(1){r=d[n>>1]&32752;switch((r<<16>>16==32752?1:r<<16>>16==0?2:0)&3){case 0:{o=+p[a+(q<<3)>>3];break}case 1:{f[k>>2]=1;b[j+q>>0]=1;o=-9.1191291391491e-36;break}default:o=0.0}p[l+(q<<3)>>3]=o;q=q+1|0;if((q|0)==(c|0))break;else n=n+8|0}m=f[m>>2]|0;return m|0}}else{if(!q){m=f[m>>2]|0;return m|0}if((h|0)==1){q=0;while(1){j=d[n>>1]&32752;switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(q<<3)>>3]*e+g;break}case 1:{f[k>>2]=1;o=i;break}default:o=g}p[l+(q<<3)>>3]=o;q=q+1|0;if((q|0)==(c|0))break;else n=n+8|0}m=f[m>>2]|0;return m|0}else{q=0;while(1){r=d[n>>1]&32752;switch((r<<16>>16==32752?1:r<<16>>16==0?2:0)&3){case 0:{o=+p[a+(q<<3)>>3]*e+g;break}case 1:{f[k>>2]=1;b[j+q>>0]=1;o=-9.1191291391491e-36;break}default:o=g}p[l+(q<<3)>>3]=o;q=q+1|0;if((q|0)==(c|0))break;else n=n+8|0}m=f[m>>2]|0;return m|0}}return 0}function rl(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0.0,r=0;r=d==1.0&e==0.0;o=(c|0)>0;if(!g)if(r){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{p[m+(o<<3)>>3]=+(h[a+o>>0]|0);o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)o=0;else{n=f[n>>2]|0;return n|0}do{p[m+(o<<3)>>3]=+(h[a+o>>0]|0)*d+e;o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(r){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;q=j}else q=+(o&255);p[m+(g<<3)>>3]=q;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else p[m+(g<<3)>>3]=+(o&255);g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}}else{if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;q=j}else q=+(o&255)*d+e;p[m+(g<<3)>>3]=q;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else p[m+(g<<3)>>3]=+(o&255)*d+e;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}}return 0}function sl(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0.0,r=0;r=e==1.0&g==0.0;o=(c|0)>0;if(!h)if(r){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{p[m+(o<<3)>>3]=+(d[a+(o<<1)>>1]|0);o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)o=0;else{n=f[n>>2]|0;return n|0}do{p[m+(o<<3)>>3]=+(d[a+(o<<1)>>1]|0)*e+g;o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(r){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;q=j}else q=+(o<<16>>16);p[m+(h<<3)>>3]=q;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else p[m+(h<<3)>>3]=+(o<<16>>16);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}}else{if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;q=j}else q=+(o<<16>>16)*e+g;p[m+(h<<3)>>3]=q;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else p[m+(h<<3)>>3]=+(o<<16>>16)*e+g;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}}return 0}function tl(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0;q=d==1.0&e==0.0;n=(c|0)>0;if(!g)if(q){if(n)n=0;else{m=f[m>>2]|0;return m|0}do{p[l+(n<<3)>>3]=+(f[a+(n<<2)>>2]|0);n=n+1|0}while((n|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)n=0;else{m=f[m>>2]|0;return m|0}do{p[l+(n<<3)>>3]=+(f[a+(n<<2)>>2]|0)*d+e;n=n+1|0}while((n|0)!=(c|0));m=f[m>>2]|0;return m|0}if(q){if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;o=i}else o=+(n|0);p[l+(g<<3)>>3]=o;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else p[l+(g<<3)>>3]=+(n|0);g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}}else{if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;o=i}else o=+(n|0)*d+e;p[l+(g<<3)>>3]=o;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else p[l+(g<<3)>>3]=+(n|0)*d+e;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}}return 0}function ul(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0.0,r=0;r=d==1.0&e==0.0;o=(c|0)>0;if(!g)if(r){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{l=a+(o<<3)|0;p[m+(o<<3)>>3]=+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0);o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)o=0;else{n=f[n>>2]|0;return n|0}do{l=a+(o<<3)|0;p[m+(o<<3)>>3]=(+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0))*d+e;o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(r){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){r=0;do{g=a+(r<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;q=j}else q=+(o>>>0)+4294967296.0*+(g|0);p[m+(r<<3)>>3]=q;r=r+1|0}while((r|0)!=(c|0));n=f[n>>2]|0;return n|0}else{r=0;do{g=a+(r<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+r>>0]=1}else p[m+(r<<3)>>3]=+(o>>>0)+4294967296.0*+(g|0);r=r+1|0}while((r|0)!=(c|0));n=f[n>>2]|0;return n|0}}else{if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){r=0;do{g=a+(r<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;q=j}else q=(+(o>>>0)+4294967296.0*+(g|0))*d+e;p[m+(r<<3)>>3]=q;r=r+1|0}while((r|0)!=(c|0));n=f[n>>2]|0;return n|0}else{r=0;do{g=a+(r<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+r>>0]=1}else p[m+(r<<3)>>3]=(+(o>>>0)+4294967296.0*+(g|0))*d+e;r=r+1|0}while((r|0)!=(c|0));n=f[n>>2]|0;return n|0}}return 0}function vl(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0.0,r=0,s=0;s=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(s){if(o)o=0;else{m=f[m>>2]|0;return m|0}do{p[l+(o<<3)>>3]=+n[a+(o<<2)>>2];o=o+1|0}while((o|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)o=0;else{m=f[m>>2]|0;return m|0}do{p[l+(o<<3)>>3]=+n[a+(o<<2)>>2]*e+g;o=o+1|0}while((o|0)!=(c|0));m=f[m>>2]|0;return m|0}}o=a+2|0;r=(c|0)>0;if(s){if(!r){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[o>>1]&32640;switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{q=+n[a+(r<<2)>>2];break}case 1:{f[k>>2]=1;q=i;break}default:q=0.0}p[l+(r<<3)>>3]=q;r=r+1|0;if((r|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){s=d[o>>1]&32640;switch((s<<16>>16==32640?1:s<<16>>16==0?2:0)&3){case 0:{p[l+(r<<3)>>3]=+n[a+(r<<2)>>2];break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:p[l+(r<<3)>>3]=0.0}r=r+1|0;if((r|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}else{if(!r){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[o>>1]&32640;switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{q=+n[a+(r<<2)>>2]*e+g;break}case 1:{f[k>>2]=1;q=i;break}default:q=g}p[l+(r<<3)>>3]=q;r=r+1|0;if((r|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){s=d[o>>1]&32640;switch((s<<16>>16==32640?1:s<<16>>16==0?2:0)&3){case 0:{p[l+(r<<3)>>3]=+n[a+(r<<2)>>2]*e+g;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:p[l+(r<<3)>>3]=g}r=r+1|0;if((r|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}return 0}function wl(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;j=j|0;k=+k;l=l|0;m=m|0;n=n|0;o=o|0;var q=0,r=0.0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+96|0;H=I;G=I+4|0;A=Bx(j)|0;a:do if((c|0)>0){C=(i|0)==0;z=(i|0)==1;B=a;y=0;while(1){F=B+g|0;E=b[F>>0]|0;b[F>>0]=0;do if((b[j>>0]|0)!=1?(vw(j,B,A)|0)==0:0)if(!C){f[m>>2]=1;if(z){p[n+(y<<3)>>3]=k;i=F;break}else{b[l+y>>0]=1;i=F;break}}else i=F;else{i=B;D=9}while(0);if((D|0)==9){b:while(1){D=0;a=b[i>>0]|0;switch(a<<24>>24){case 43:case 45:{D=11;break b}case 32:break;default:{x=1;break b}}i=i+1|0;D=9}if((D|0)==11){D=0;q=a<<24>>24==45;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);x=q?-1:1}if((a+-48&255)<10){r=0.0;do{r=r*10.0+ +(a<<24>>24);do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);r=r+-48.0}while((a+-48&255)<10)}else r=0.0;switch(a<<24>>24){case 44:case 46:{do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);if((a+-48&255)<10){t=1.0;do{r=r*10.0+ +(a<<24>>24)+-48.0;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);t=t*10.0}while((a+-48&255)<10);w=1}else{w=1;t=1.0}break}default:{w=0;t=1.0}}if((a&-2)<<24>>24==68){q=i;c:while(1){i=q+1|0;a=b[i>>0]|0;switch(a<<24>>24){case 32:{q=i;break}case 43:case 45:{D=28;break c}default:{s=1;break c}}}if((D|0)==28){D=0;s=a<<24>>24==45;i=q+2|0;while(1){a=b[i>>0]|0;if(a<<24>>24==32)i=i+1|0;else break}s=s?-1:1}if((a+-48&255)<10){q=0;while(1){q=(q*10|0)+-48|0;do{i=i+1|0;v=b[i>>0]|0}while(v<<24>>24==32);q=q+(a<<24>>24)|0;if((v+-48&255)<10)a=v;else{a=v;break}}}else q=0}else{s=1;q=0}if(a<<24>>24)break;t=+(x|0)*r/((w|0)==0?h:t)*+M(10.0,+(+(X(s,q)|0)))*d+e;p[n+(y<<3)>>3]=t}b[F>>0]=E;y=y+1|0;if((y|0)>=(c|0))break a;else B=i}i=G;a=81500;q=i+36|0;do{b[i>>0]=b[a>>0]|0;i=i+1|0;a=a+1|0}while((i|0)<(q|0));vj(G);f[H>>2]=B;ww(G,81536,H)|0;vj(G);b[F>>0]=E;f[o>>2]=409;H=409;u=I;return H|0}while(0);H=f[o>>2]|0;u=I;return H|0}function xl(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){pl(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0.0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,82,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function yl(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;gb=u;u=u+480|0;t=gb+240|0;n=gb+232|0;ia=gb+360|0;B=gb+324|0;C=gb+288|0;z=gb+252|0;A=gb+152|0;o=gb+80|0;r=gb+8|0;m=gb+248|0;eb=gb+244|0;fb=gb+477|0;s=gb+396|0;q=gb;if((c+-1|0)>>>0>8){f[n>>2]=c;ww(s,79737,n)|0;vj(s);f[l>>2]=320;l=320;u=gb;return l|0}if(Ek(a,l)|0){m=0;do{fb=f[e+(m<<2)>>2]|0;eb=o+(m<<3)|0;f[eb>>2]=fb;f[eb+4>>2]=((fb|0)<0)<<31>>31;eb=f[g+(m<<2)>>2]|0;fb=r+(m<<3)|0;f[fb>>2]=eb;f[fb+4>>2]=((eb|0)<0)<<31>>31;m=m+1|0}while((m|0)!=(c|0));p[q>>3]=i;ts(a,82,o,r,h,1,q,j,0,k,l)|0;l=f[l>>2]|0;u=gb;return l|0}if((mk(a,m,l)|0)>0){l=f[l>>2]|0;u=gb;return l|0}m=(f[m>>2]|0)==0;if(m){Da=(b|0)==0?1:b;b=2;cb=1;v=Da}else{cb=f[h+(c<<2)>>2]|0;v=f[g+(c<<2)>>2]|0;Da=f[e+(c<<2)>>2]|0}db=(k|0)!=0;if(db)f[k>>2]=0;f[ia>>2]=1;f[B>>2]=1;f[C>>2]=1;ca=A;f[ca>>2]=1;f[ca+4>>2]=0;f[z>>2]=1;ca=ia+4|0;f[ca>>2]=1;da=B+4|0;f[da>>2]=1;ya=C+4|0;f[ya>>2]=1;fa=A+8|0;ba=fa;f[ba>>2]=1;f[ba+4>>2]=0;ba=z+4|0;f[ba>>2]=1;_=ia+8|0;f[_>>2]=1;$=B+8|0;f[$>>2]=1;ea=C+8|0;f[ea>>2]=1;ga=A+16|0;Z=ga;f[Z>>2]=1;f[Z+4>>2]=0;Z=z+8|0;f[Z>>2]=1;V=ia+12|0;f[V>>2]=1;W=B+12|0;f[W>>2]=1;aa=C+12|0;f[aa>>2]=1;ha=A+24|0;U=ha;f[U>>2]=1;f[U+4>>2]=0;U=z+12|0;f[U>>2]=1;R=ia+16|0;f[R>>2]=1;S=B+16|0;f[S>>2]=1;Y=C+16|0;f[Y>>2]=1;ja=A+32|0;Q=ja;f[Q>>2]=1;f[Q+4>>2]=0;Q=z+16|0;f[Q>>2]=1;N=ia+20|0;f[N>>2]=1;O=B+20|0;f[O>>2]=1;T=C+20|0;f[T>>2]=1;ka=A+40|0;M=ka;f[M>>2]=1;f[M+4>>2]=0;M=z+20|0;f[M>>2]=1;J=ia+24|0;f[J>>2]=1;K=B+24|0;f[K>>2]=1;P=C+24|0;f[P>>2]=1;na=A+48|0;H=na;f[H>>2]=1;f[H+4>>2]=0;H=z+24|0;f[H>>2]=1;E=ia+28|0;f[E>>2]=1;F=B+28|0;f[F>>2]=1;L=C+28|0;f[L>>2]=1;ra=A+56|0;D=ra;f[D>>2]=1;f[D+4>>2]=0;D=z+28|0;f[D>>2]=1;x=ia+32|0;f[x>>2]=1;y=B+32|0;f[y>>2]=1;G=C+32|0;f[G>>2]=1;ua=A+64|0;w=ua;f[w>>2]=1;f[w+4>>2]=0;w=z+32|0;f[w>>2]=1;a:do if(m){n=c<<2;Lz(ia|0,e|0,n|0)|0;Lz(B|0,g|0,n|0)|0;Lz(C|0,h|0,n|0)|0;n=1;o=0;q=0;do{m=z+(q<<2)|0;if((f[g+(q<<2)>>2]|0)<(f[e+(q<<2)>>2]|0)){f[m>>2]=-1;m=-1}else m=f[m>>2]|0;ab=f[d+(q<<2)>>2]|0;$a=n;n=Sz(ab|0,((ab|0)<0)<<31>>31|0,n|0,o|0)|0;ab=o;o=I;bb=q;q=q+1|0;_a=A+(q<<3)|0;f[_a>>2]=n;f[_a+4>>2]=o;ab=Sz(m|0,((m|0)<0)<<31>>31|0,$a|0,ab|0)|0;bb=A+(bb<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I}while((q|0)!=(c|0))}else{o=1;q=0;r=0;while(1){m=f[g+(r<<2)>>2]|0;n=f[e+(r<<2)>>2]|0;if((m|0)<(n|0))break;f[ia+(r<<2)>>2]=n;f[B+(r<<2)>>2]=m;f[C+(r<<2)>>2]=f[h+(r<<2)>>2];ab=f[d+(r<<2)>>2]|0;bb=o;o=Sz(ab|0,((ab|0)<0)<<31>>31|0,o|0,q|0)|0;ab=q;q=I;m=r+1|0;$a=A+(m<<3)|0;f[$a>>2]=o;f[$a+4>>2]=q;$a=f[z+(r<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,bb|0,ab|0)|0;bb=A+(r<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((m|0)>=(c|0))break a;else r=m}f[t>>2]=r+1;ww(s,79782,t)|0;vj(s);f[l>>2]=321;l=321;u=gb;return l|0}while(0);bb=A+(c<<3)|0;ab=bb;$a=f[z+(c<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,f[ab>>2]|0,f[ab+4>>2]|0)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((c|0)==1?(f[d>>2]|0)==1:0){m=(v-Da|0)/(cb|0)|0;bb=cb;v=Da}else{bb=f[z>>2]|0;m=X((f[B>>2]|0)-(f[ia>>2]|0)|0,bb)|0;m=(m|0)/(f[h>>2]|0)|0;bb=X(f[C>>2]|0,bb)|0}ab=m+1|0;b:do if((Da|0)<=(v|0)){$a=f[w>>2]|0;_a=X($a,f[x>>2]|0)|0;Za=X($a,f[y>>2]|0)|0;Ya=(_a|0)>(Za|0);Xa=f[D>>2]|0;Wa=X(Xa,f[E>>2]|0)|0;Va=X(Xa,f[F>>2]|0)|0;Ua=(Wa|0)>(Va|0);Ta=f[G>>2]|0;Sa=f[H>>2]|0;Ra=X(Sa,f[J>>2]|0)|0;Qa=X(Sa,f[K>>2]|0)|0;Pa=(Ra|0)>(Qa|0);Oa=f[L>>2]|0;Na=f[M>>2]|0;Ma=X(Na,f[N>>2]|0)|0;La=X(Na,f[O>>2]|0)|0;Ka=(Ma|0)>(La|0);Ja=f[P>>2]|0;Ia=f[Q>>2]|0;Ha=X(Ia,f[R>>2]|0)|0;Ga=X(Ia,f[S>>2]|0)|0;Fa=(Ha|0)>(Ga|0);Ea=f[T>>2]|0;Ca=f[U>>2]|0;Ba=X(Ca,f[V>>2]|0)|0;Aa=X(Ca,f[W>>2]|0)|0;za=(Ba|0)>(Aa|0);xa=f[Y>>2]|0;wa=f[Z>>2]|0;va=X(wa,f[_>>2]|0)|0;ta=X(wa,f[$>>2]|0)|0;sa=(va|0)>(ta|0);qa=f[aa>>2]|0;pa=f[ba>>2]|0;oa=X(pa,f[ca>>2]|0)|0;ma=X(pa,f[da>>2]|0)|0;la=(oa|0)>(ma|0);da=f[ea>>2]|0;ba=f[ia>>2]|0;ca=((ba|0)<0)<<31>>31;aa=fa;$=f[aa>>2]|0;aa=f[aa+4>>2]|0;_=ga;Z=f[_>>2]|0;_=f[_+4>>2]|0;Y=ha;W=f[Y>>2]|0;Y=f[Y+4>>2]|0;V=ja;U=f[V>>2]|0;V=f[V+4>>2]|0;T=ka;S=f[T>>2]|0;T=f[T+4>>2]|0;R=na;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ra;O=f[P>>2]|0;P=f[P+4>>2]|0;M=ua;L=f[M>>2]|0;M=f[M+4>>2]|0;N=((ab|0)<0)<<31>>31;K=f[ya>>2]|0;m=0;J=Da;c:while(1){if(!Ya){H=((J|0)<0)<<31>>31;G=_a;do{if(!Ua){E=G-$a|0;E=Sz(E|0,((E|0)<0)<<31>>31|0,L|0,M|0)|0;F=I;D=Wa;do{if(!Pa){c=D-Xa|0;c=Sz(c|0,((c|0)<0)<<31>>31|0,O|0,P|0)|0;g=I;C=Ra;do{if(!Ka){e=C-Sa|0;e=Sz(e|0,((e|0)<0)<<31>>31|0,Q|0,R|0)|0;h=I;B=Ma;do{if(!Fa){A=B-Na|0;A=Sz(A|0,((A|0)<0)<<31>>31|0,S|0,T|0)|0;d=I;z=Ha;do{if(!za){x=z-Ia|0;x=Sz(x|0,((x|0)<0)<<31>>31|0,U|0,V|0)|0;y=I;w=Ba;do{d:do if(!sa){s=w-Ca|0;s=Sz(s|0,((s|0)<0)<<31>>31|0,W|0,Y|0)|0;t=I;if(la){n=va;while(1){n=da+n|0;if((n|0)>(ta|0))break d}}else r=va;do{o=r-wa|0;o=Sz(o|0,((o|0)<0)<<31>>31|0,Z|0,_|0)|0;q=I;if(db){n=oa;do{Da=n-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,o|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,d|0)|0;Da=Ez(Da|0,I|0,e|0,h|0)|0;Da=Ez(Da|0,I|0,c|0,g|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((pl(a,b,J,H,Da,I,ab,N,bb,1,i,j+(m<<3)|0,fb,eb,l)|0)>0)break c;if(f[eb>>2]|0)f[k>>2]=1;m=m+ab|0;n=K+n|0}while((n|0)<=(ma|0))}else{n=oa;do{Da=n-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,o|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,d|0)|0;Da=Ez(Da|0,I|0,e|0,h|0)|0;Da=Ez(Da|0,I|0,c|0,g|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((pl(a,b,J,H,Da,I,ab,N,bb,1,i,j+(m<<3)|0,fb,eb,l)|0)>0)break c;m=m+ab|0;n=K+n|0}while((n|0)<=(ma|0))}r=da+r|0}while((r|0)<=(ta|0))}while(0);w=qa+w|0}while((w|0)<=(Aa|0))}z=xa+z|0}while((z|0)<=(Ga|0))}B=Ea+B|0}while((B|0)<=(La|0))}C=Ja+C|0}while((C|0)<=(Qa|0))}D=Oa+D|0}while((D|0)<=(Va|0))}G=Ta+G|0}while((G|0)<=(Za|0))}J=J+cb|0;if((J|0)>(v|0))break b}l=f[l>>2]|0;u=gb;return l|0}while(0);l=f[l>>2]|0;u=gb;return l|0}function zl(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;var n=0;n=u;u=u+16|0;pl(a,b,c,d,e,g,h,i,1,1,j,k,n,l,m)|0;u=n;return f[m>>2]|0}function Al(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;pl(a,b,c,d,e,g,h,i,1,2,0.0,j,k,l,m)|0;return f[m>>2]|0}function Bl(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0;q=Gz(i|0,j|0,1)|0;p=I;o=Nv(q,1)|0;h=Gz(g|0,h|0,1)|0;h=Ez(h|0,I|0,-1,-1)|0;pl(a,c,d,e,h,I,q,p,1,2,0.0,k,o,m,n)|0;if((j|0)>0|(j|0)==0&i>>>0>0){e=0;g=0;h=0;m=0}else{Mv(o);q=f[n>>2]|0;return q|0}do{if(!(b[o+e>>0]|0))d=(b[o+(e|1)>>0]|0)!=0&1;else d=1;b[l+g>>0]=d;e=Ez(e|0,h|0,2,0)|0;h=I;g=Ez(g|0,m|0,1,0)|0;m=I}while((m|0)<(j|0)|(m|0)==(j|0)&g>>>0<i>>>0);Mv(o);q=f[n>>2]|0;return q|0}function Cl(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){Dl(a,2,(b|0)>1?b:1,0,c,d,e,g,1,1,h,i,m+4|0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{n[l>>2]=h;ws(a,42,c,d,e,g,1,l,i,0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function Dl(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;n=n|0;o=o|0;q=q|0;r=r|0;var s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;ba=u;u=u+29072|0;aa=ba+28888|0;$=ba+28864|0;W=ba+28856|0;P=ba+28848|0;Y=ba+28840|0;S=ba+28932|0;v=ba+28928|0;Z=ba+28924|0;w=ba+28916|0;V=ba+28912|0;M=ba+28908|0;N=ba+28832|0;R=ba+28824|0;L=ba+28816|0;U=ba+28808|0;O=ba+28800|0;T=ba+29040|0;_=ba+28956|0;Q=ba+28936|0;K=ba;t=f[r>>2]|0;if((i|0)==0&(j|0)==0|(t|0)>0){r=t;u=ba;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,k>>31,P,Y,T,V,S,v,R,L,M,N,O,Z,U,Q,r)|0)>0){r=f[r>>2]|0;u=ba;return r|0}h=f[v>>2]|0;g=((h|0)<0)<<31>>31;J=X(f[M>>2]|0,k)|0;f[M>>2]=J;if((f[S>>2]|0)==16?(Tj(T,ba+28920|0,ba+28904|0,w,r)|0,x=f[w>>2]|0,(x|0)>0):0){d=0;s=1.0;do{s=s*10.0;d=d+1|0}while((d|0)<(x|0))}else s=1.0;d=f[S>>2]|0;if(!((l|0)==1&m==0.0)?(z=U,y=f[z>>2]|0,z=f[z+4>>2]|0,!(((d|0)%10|0|0)==1&((y|0)==1234554321&(z|0)==0))):0){J=Ez(y|0,z|0,32768,0)|0;H=I;if(!((d|0)==21&(H>>>0>0|(H|0)==0&J>>>0>65535))?!((d|0)==11&(z>>>0>0|(z|0)==0&y>>>0>255)):0){e=(d|0)==16&(b[Q>>0]|0)==1?0:l;A=16}else{H=h;J=0;e=0}}else{e=0;A=16}if((A|0)==16)if((d|0)==42){H=(j|0)<0|(j|0)==0&i>>>0<536870911;g=H?j:0;H=H?i:536870911;J=(e|0)==0&+p[P>>3]==1.0&+p[Y>>3]==0.0}else{H=h;J=0}F=(k|0)>-1;G=0-k|0;v=0;w=0;h=j;t=0;d=0;a:while(1){while(1){D=n+(t<<2)|0;E=o+t|0;B=i;while(1){if((B|0)==0&(h|0)==0){A=51;break a}l=(h|0)<(g|0)|(h|0)==(g|0)&B>>>0<H>>>0;i=l?B:H;i=Nz(0,i|0,32)|0;l=I;if(F){x=N;A=L;j=f[A>>2]|0;A=f[A+4>>2]|0;x=Ez(f[x>>2]|0,f[x+4>>2]|0,-1,-1)|0;x=Dz(x|0,I|0,j|0,A|0)|0;y=I;z=k}else{y=L;x=f[y>>2]|0;y=f[y+4>>2]|0;j=x;A=y;z=G}x=Jz(x|0,y|0,z|0,((z|0)<0)<<31>>31|0)|0;C=I;y=(l|0)>(C|0)|(l|0)==(C|0)&i>>>0>x>>>0;C=Ez(x|0,C|0,1,0)|0;x=I;C=y?C:i;l=R;x=f[l>>2]|0;l=f[l+4>>2]|0;y=O;y=Sz(f[y>>2]|0,f[y+4>>2]|0,v|0,w|0)|0;l=Ez(y|0,I|0,x|0,l|0)|0;x=I;y=f[M>>2]|0;i=(y|0)/(k|0)|0;i=Sz(i|0,((i|0)<0)<<31>>31|0,j|0,A|0)|0;i=Ez(l|0,x|0,i|0,I|0)|0;x=I;switch(f[S>>2]|0){case 42:{ut(a,i,x,C,y,D,r)|0;if(!J)El(D,C,+p[P>>3],+p[Y>>3],e,m,E,q,D,r)|0;break}case 11:{qt(a,i,x,C,y,K,r)|0;Fl(K,C,+p[P>>3],+p[Y>>3],e,f[U>>2]&255,m,E,q,D,r)|0;break}case 21:{rt(a,i,x,C,y,K,r)|0;Gl(K,C,+p[P>>3],+p[Y>>3],e,f[U>>2]&65535,m,E,q,D,r)|0;break}case 41:{st(a,i,x,C,y,K,r)|0;Hl(K,C,+p[P>>3],+p[Y>>3],e,f[U>>2]|0,m,E,q,D,r)|0;break}case 81:{tt(a,i,x,C,y,K,r)|0;A=U;Il(K,C,+p[P>>3],+p[Y>>3],e,f[A>>2]|0,f[A+4>>2]|0,m,E,q,D,r)|0;break}case 82:{vt(a,i,x,C,y,K,r)|0;Jl(K,C,+p[P>>3],+p[Y>>3],e,m,E,q,D,r)|0;break}case 16:{ft(a,i,x,0,r)|0;i=f[M>>2]|0;x=f[V>>2]|0;if((i|0)==(x|0)){A=X(i,C)|0;kt(a,A,((A|0)<0)<<31>>31,K,r)|0}else lt(a,x,C,i-x|0,K,r)|0;Kl(K,C,+p[P>>3],+p[Y>>3],f[V>>2]|0,s,e,Q,m,E,q,D,r)|0;break}default:{A=37;break a}}if((f[r>>2]|0)>0){A=41;break a}i=((C|0)<0)<<31>>31;y=Dz(B|0,h|0,C|0,i|0)|0;l=I;if((y|0)==0&(l|0)==0){B=0;h=0}else break}z=Ez(C|0,i|0,t|0,d|0)|0;d=I;t=L;h=X(C,k)|0;h=Ez(f[t>>2]|0,f[t+4>>2]|0,h|0,((h|0)<0)<<31>>31|0)|0;t=I;x=L;f[x>>2]=h;f[x+4>>2]=t;x=N;i=f[x>>2]|0;x=f[x+4>>2]|0;if(!((t|0)<(x|0)|(t|0)==(x|0)&h>>>0<i>>>0)){A=47;break}if((t|0)<0){A=50;break}else{i=y;h=l;t=z}}if((A|0)==47){D=Jz(h|0,t|0,i|0,x|0)|0;E=I;v=Ez(D|0,E|0,v|0,w|0)|0;w=I;E=Sz(D|0,E|0,i|0,x|0)|0;h=Dz(h|0,t|0,E|0,I|0)|0;t=I}else if((A|0)==50){D=Jz(~h|0,~t|0,i|0,x|0)|0;D=Ez(D|0,I|0,1,0)|0;E=I;v=Dz(v|0,w|0,D|0,E|0)|0;w=I;E=Sz(D|0,E|0,i|0,x|0)|0;h=Ez(E|0,I|0,h|0,t|0)|0;t=I}i=L;f[i>>2]=h;f[i+4>>2]=t;i=y;h=l;t=z}if((A|0)==37){f[W>>2]=c;f[W+4>>2]=T;ww(_,81254,W)|0;vj(_);if((f[Z>>2]|0)==1){f[r>>2]=311;r=311;u=ba;return r|0}else{f[r>>2]=312;r=312;u=ba;return r|0}}else if((A|0)==41){s=+(t>>>0)+4294967296.0*+(d|0);m=s+1.0;s=s+ +(C|0);if((f[Z>>2]|0)>0){p[$>>3]=m;p[$+8>>3]=s;f[$+16>>2]=c;ww(_,79827,$)|0}else{p[aa>>3]=m;p[aa+8>>3]=s;ww(_,79890,aa)|0}vj(_);r=f[r>>2]|0;u=ba;return r|0}else if((A|0)==51){d=f[r>>2]|0;if((d|0)!=-11){r=d;u=ba;return r|0}vj(81433);f[r>>2]=412;r=412;u=ba;return r|0}return 0}function El(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0,q=0.0,r=0,s=0.0;r=e==1.0&g==0.0;if(!h){if(r){Uz(l|0,a|0,c<<2|0)|0;m=f[m>>2]|0;return m|0}if((c|0)>0)o=0;else{m=f[m>>2]|0;return m|0}do{n[l+(o<<2)>>2]=+n[a+(o<<2)>>2]*e+g;o=o+1|0}while((o|0)!=(c|0));m=f[m>>2]|0;return m|0}o=a+2|0;p=(c|0)>0;if(!r){if(!p){m=f[m>>2]|0;return m|0}s=g;if((h|0)==1){p=0;while(1){j=d[o>>1]&32640;switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{q=+n[a+(p<<2)>>2]*e+g;break}case 1:{f[k>>2]=1;q=i;break}default:q=s}n[l+(p<<2)>>2]=q;p=p+1|0;if((p|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}else{p=0;while(1){h=d[o>>1]&32640;switch((h<<16>>16==32640?1:h<<16>>16==0?2:0)&3){case 0:{q=+n[a+(p<<2)>>2]*e+g;break}case 1:{f[k>>2]=1;b[j+p>>0]=1;q=-9.119119840596153e-36;break}default:q=s}n[l+(p<<2)>>2]=q;p=p+1|0;if((p|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}}if(!p){m=f[m>>2]|0;return m|0}if((h|0)==1){p=0;while(1){j=d[o>>1]&32640;switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{f[l+(p<<2)>>2]=f[a+(p<<2)>>2];break}case 1:{f[k>>2]=1;n[l+(p<<2)>>2]=i;break}default:n[l+(p<<2)>>2]=0.0}p=p+1|0;if((p|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}else{p=0;while(1){h=d[o>>1]&32640;switch((h<<16>>16==32640?1:h<<16>>16==0?2:0)&3){case 0:{f[l+(p<<2)>>2]=f[a+(p<<2)>>2];break}case 1:{f[k>>2]=1;b[j+p>>0]=1;n[l+(p<<2)>>2]=-9.119119840596153e-36;break}default:n[l+(p<<2)>>2]=0.0}p=p+1|0;if((p|0)==(c|0))break;else o=o+4|0}m=f[m>>2]|0;return m|0}return 0}function Fl(a,c,d,e,g,i,j,k,l,m,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;o=o|0;var p=0,q=0.0,r=0;r=d==1.0&e==0.0;p=(c|0)>0;if(!g)if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{n[m+(p<<2)>>2]=+(h[a+p>>0]|0);p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(p)p=0;else{o=f[o>>2]|0;return o|0}do{n[m+(p<<2)>>2]=+(h[a+p>>0]|0)*d+e;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){g=0;do{p=b[a+g>>0]|0;if(p<<24>>24==i<<24>>24){f[l>>2]=1;q=j}else q=+(p&255);n[m+(g<<2)>>2]=q;g=g+1|0}while((g|0)!=(c|0));o=f[o>>2]|0;return o|0}else{g=0;do{p=b[a+g>>0]|0;if(p<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else n[m+(g<<2)>>2]=+(p&255);g=g+1|0}while((g|0)!=(c|0));o=f[o>>2]|0;return o|0}}else{if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){g=0;do{p=b[a+g>>0]|0;if(p<<24>>24==i<<24>>24){f[l>>2]=1;q=j}else q=+(p&255)*d+e;n[m+(g<<2)>>2]=q;g=g+1|0}while((g|0)!=(c|0));o=f[o>>2]|0;return o|0}else{g=0;do{p=b[a+g>>0]|0;if(p<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else n[m+(g<<2)>>2]=+(p&255)*d+e;g=g+1|0}while((g|0)!=(c|0));o=f[o>>2]|0;return o|0}}return 0}function Gl(a,c,e,g,h,i,j,k,l,m,o){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;o=o|0;var p=0,q=0.0,r=0;r=e==1.0&g==0.0;p=(c|0)>0;if(!h)if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{n[m+(p<<2)>>2]=+(d[a+(p<<1)>>1]|0);p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(p)p=0;else{o=f[o>>2]|0;return o|0}do{n[m+(p<<2)>>2]=+(d[a+(p<<1)>>1]|0)*e+g;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){h=0;do{p=d[a+(h<<1)>>1]|0;if(p<<16>>16==i<<16>>16){f[l>>2]=1;q=j}else q=+(p<<16>>16);n[m+(h<<2)>>2]=q;h=h+1|0}while((h|0)!=(c|0));o=f[o>>2]|0;return o|0}else{h=0;do{p=d[a+(h<<1)>>1]|0;if(p<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else n[m+(h<<2)>>2]=+(p<<16>>16);h=h+1|0}while((h|0)!=(c|0));o=f[o>>2]|0;return o|0}}else{if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){h=0;do{p=d[a+(h<<1)>>1]|0;if(p<<16>>16==i<<16>>16){f[l>>2]=1;q=j}else q=+(p<<16>>16)*e+g;n[m+(h<<2)>>2]=q;h=h+1|0}while((h|0)!=(c|0));o=f[o>>2]|0;return o|0}else{h=0;do{p=d[a+(h<<1)>>1]|0;if(p<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else n[m+(h<<2)>>2]=+(p<<16>>16)*e+g;h=h+1|0}while((h|0)!=(c|0));o=f[o>>2]|0;return o|0}}return 0}function Hl(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g)if(q){if(o)o=0;else{m=f[m>>2]|0;return m|0}do{n[l+(o<<2)>>2]=+(f[a+(o<<2)>>2]|0);o=o+1|0}while((o|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)o=0;else{m=f[m>>2]|0;return m|0}do{n[l+(o<<2)>>2]=+(f[a+(o<<2)>>2]|0)*d+e;o=o+1|0}while((o|0)!=(c|0));m=f[m>>2]|0;return m|0}if(q){if(!o){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{o=f[a+(g<<2)>>2]|0;if((o|0)==(h|0)){f[k>>2]=1;p=i}else p=+(o|0);n[l+(g<<2)>>2]=p;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{g=0;do{o=f[a+(g<<2)>>2]|0;if((o|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else n[l+(g<<2)>>2]=+(o|0);g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}}else{if(!o){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{o=f[a+(g<<2)>>2]|0;if((o|0)==(h|0)){f[k>>2]=1;p=i}else p=+(o|0)*d+e;n[l+(g<<2)>>2]=p;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{g=0;do{o=f[a+(g<<2)>>2]|0;if((o|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else n[l+(g<<2)>>2]=+(o|0)*d+e;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}}return 0}function Il(a,c,d,e,g,h,i,j,k,l,m,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;o=o|0;var p=0,q=0.0,r=0;r=d==1.0&e==0.0;p=(c|0)>0;if(!g)if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{l=a+(p<<3)|0;n[m+(p<<2)>>2]=+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0);p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(p)p=0;else{o=f[o>>2]|0;return o|0}do{l=a+(p<<3)|0;n[m+(p<<2)>>2]=(+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0))*d+e;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;if((p|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;q=j}else q=+(p>>>0)+4294967296.0*+(g|0);n[m+(r<<2)>>2]=q;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;if((p|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+r>>0]=1}else n[m+(r<<2)>>2]=+(p>>>0)+4294967296.0*+(g|0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}}else{if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;if((p|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;q=j}else q=(+(p>>>0)+4294967296.0*+(g|0))*d+e;n[m+(r<<2)>>2]=q;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;if((p|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+r>>0]=1}else n[m+(r<<2)>>2]=(+(p>>>0)+4294967296.0*+(g|0))*d+e;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}}return 0}function Jl(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,q=0.0,r=0,s=0,t=0.0;s=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(s){if(o)o=0;else{m=f[m>>2]|0;return m|0}do{n[l+(o<<2)>>2]=+p[a+(o<<3)>>3];o=o+1|0}while((o|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)o=0;else{m=f[m>>2]|0;return m|0}do{n[l+(o<<2)>>2]=+p[a+(o<<3)>>3]*e+g;o=o+1|0}while((o|0)!=(c|0));m=f[m>>2]|0;return m|0}}o=a+6|0;r=(c|0)>0;if(s){if(!r){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[o>>1]&32752;switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{q=+p[a+(r<<3)>>3];break}case 1:{f[k>>2]=1;q=i;break}default:q=0.0}n[l+(r<<2)>>2]=q;r=r+1|0;if((r|0)==(c|0))break;else o=o+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){s=d[o>>1]&32752;switch((s<<16>>16==32752?1:s<<16>>16==0?2:0)&3){case 0:{n[l+(r<<2)>>2]=+p[a+(r<<3)>>3];break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:n[l+(r<<2)>>2]=0.0}r=r+1|0;if((r|0)==(c|0))break;else o=o+8|0}m=f[m>>2]|0;return m|0}else{if(!r){m=f[m>>2]|0;return m|0}t=g;if((h|0)==1){r=0;while(1){j=d[o>>1]&32752;switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{q=+p[a+(r<<3)>>3]*e+g;break}case 1:{f[k>>2]=1;q=i;break}default:q=t}n[l+(r<<2)>>2]=q;r=r+1|0;if((r|0)==(c|0))break;else o=o+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){s=d[o>>1]&32752;switch((s<<16>>16==32752?1:s<<16>>16==0?2:0)&3){case 0:{n[l+(r<<2)>>2]=+p[a+(r<<3)>>3]*e+g;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:n[l+(r<<2)>>2]=t}r=r+1|0;if((r|0)==(c|0))break;else o=o+8|0}m=f[m>>2]|0;return m|0}return 0}function Kl(a,c,d,e,g,h,i,j,k,l,m,o,p){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;j=j|0;k=+k;l=l|0;m=m|0;o=o|0;p=p|0;var q=0,r=0.0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+96|0;H=I;G=I+4|0;A=Bx(j)|0;a:do if((c|0)>0){C=(i|0)==0;z=(i|0)==1;B=a;y=0;while(1){F=B+g|0;E=b[F>>0]|0;b[F>>0]=0;do if((b[j>>0]|0)!=1?(vw(j,B,A)|0)==0:0)if(!C){f[m>>2]=1;if(z){n[o+(y<<2)>>2]=k;i=F;break}else{b[l+y>>0]=1;i=F;break}}else i=F;else{i=B;D=9}while(0);if((D|0)==9){b:while(1){D=0;a=b[i>>0]|0;switch(a<<24>>24){case 43:case 45:{D=11;break b}case 32:break;default:{x=1;break b}}i=i+1|0;D=9}if((D|0)==11){D=0;q=a<<24>>24==45;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);x=q?-1:1}if((a+-48&255)<10){r=0.0;do{r=r*10.0+ +(a<<24>>24);do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);r=r+-48.0}while((a+-48&255)<10)}else r=0.0;switch(a<<24>>24){case 44:case 46:{do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);if((a+-48&255)<10){t=1.0;do{r=r*10.0+ +(a<<24>>24)+-48.0;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);t=t*10.0}while((a+-48&255)<10);w=1}else{w=1;t=1.0}break}default:{w=0;t=1.0}}if((a&-2)<<24>>24==68){q=i;c:while(1){i=q+1|0;a=b[i>>0]|0;switch(a<<24>>24){case 32:{q=i;break}case 43:case 45:{D=28;break c}default:{s=1;break c}}}if((D|0)==28){D=0;s=a<<24>>24==45;i=q+2|0;while(1){a=b[i>>0]|0;if(a<<24>>24==32)i=i+1|0;else break}s=s?-1:1}if((a+-48&255)<10){q=0;while(1){q=(q*10|0)+-48|0;do{i=i+1|0;v=b[i>>0]|0}while(v<<24>>24==32);q=q+(a<<24>>24)|0;if((v+-48&255)<10)a=v;else{a=v;break}}}else q=0}else{s=1;q=0}if(a<<24>>24)break;t=+(x|0)*r/((w|0)==0?h:t)*+M(10.0,+(+(X(s,q)|0)))*d+e;n[o+(y<<2)>>2]=t}b[F>>0]=E;y=y+1|0;if((y|0)>=(c|0))break a;else B=i}i=G;a=81500;q=i+36|0;do{b[i>>0]=b[a>>0]|0;i=i+1|0;a=a+1|0}while((i|0)<(q|0));vj(G);f[H>>2]=B;ww(G,81536,H)|0;vj(G);b[F>>0]=E;f[p>>2]=409;H=409;u=I;return H|0}while(0);H=f[p>>2]|0;u=I;return H|0}function Ll(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){Dl(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0.0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,42,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function Ml(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;var m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;gb=u;u=u+480|0;t=gb+232|0;o=gb+224|0;ia=gb+356|0;B=gb+320|0;C=gb+284|0;z=gb+248|0;A=gb+144|0;p=gb+72|0;r=gb;m=gb+244|0;eb=gb+240|0;fb=gb+473|0;s=gb+392|0;q=gb+236|0;if((c+-1|0)>>>0>8){f[o>>2]=c;ww(s,79949,o)|0;vj(s);f[l>>2]=320;l=320;u=gb;return l|0}if(Ek(a,l)|0){m=0;do{fb=f[e+(m<<2)>>2]|0;eb=p+(m<<3)|0;f[eb>>2]=fb;f[eb+4>>2]=((fb|0)<0)<<31>>31;eb=f[g+(m<<2)>>2]|0;fb=r+(m<<3)|0;f[fb>>2]=eb;f[fb+4>>2]=((eb|0)<0)<<31>>31;m=m+1|0}while((m|0)!=(c|0));n[q>>2]=i;ts(a,42,p,r,h,1,q,j,0,k,l)|0;l=f[l>>2]|0;u=gb;return l|0}if((mk(a,m,l)|0)>0){l=f[l>>2]|0;u=gb;return l|0}m=(f[m>>2]|0)==0;if(m){Da=(b|0)==0?1:b;b=2;cb=1;v=Da}else{cb=f[h+(c<<2)>>2]|0;v=f[g+(c<<2)>>2]|0;Da=f[e+(c<<2)>>2]|0}db=(k|0)!=0;if(db)f[k>>2]=0;f[ia>>2]=1;f[B>>2]=1;f[C>>2]=1;ca=A;f[ca>>2]=1;f[ca+4>>2]=0;f[z>>2]=1;ca=ia+4|0;f[ca>>2]=1;da=B+4|0;f[da>>2]=1;ya=C+4|0;f[ya>>2]=1;fa=A+8|0;ba=fa;f[ba>>2]=1;f[ba+4>>2]=0;ba=z+4|0;f[ba>>2]=1;_=ia+8|0;f[_>>2]=1;$=B+8|0;f[$>>2]=1;ea=C+8|0;f[ea>>2]=1;ga=A+16|0;Z=ga;f[Z>>2]=1;f[Z+4>>2]=0;Z=z+8|0;f[Z>>2]=1;V=ia+12|0;f[V>>2]=1;W=B+12|0;f[W>>2]=1;aa=C+12|0;f[aa>>2]=1;ha=A+24|0;U=ha;f[U>>2]=1;f[U+4>>2]=0;U=z+12|0;f[U>>2]=1;R=ia+16|0;f[R>>2]=1;S=B+16|0;f[S>>2]=1;Y=C+16|0;f[Y>>2]=1;ja=A+32|0;Q=ja;f[Q>>2]=1;f[Q+4>>2]=0;Q=z+16|0;f[Q>>2]=1;N=ia+20|0;f[N>>2]=1;O=B+20|0;f[O>>2]=1;T=C+20|0;f[T>>2]=1;ka=A+40|0;M=ka;f[M>>2]=1;f[M+4>>2]=0;M=z+20|0;f[M>>2]=1;J=ia+24|0;f[J>>2]=1;K=B+24|0;f[K>>2]=1;P=C+24|0;f[P>>2]=1;na=A+48|0;H=na;f[H>>2]=1;f[H+4>>2]=0;H=z+24|0;f[H>>2]=1;E=ia+28|0;f[E>>2]=1;F=B+28|0;f[F>>2]=1;L=C+28|0;f[L>>2]=1;ra=A+56|0;D=ra;f[D>>2]=1;f[D+4>>2]=0;D=z+28|0;f[D>>2]=1;x=ia+32|0;f[x>>2]=1;y=B+32|0;f[y>>2]=1;G=C+32|0;f[G>>2]=1;ua=A+64|0;w=ua;f[w>>2]=1;f[w+4>>2]=0;w=z+32|0;f[w>>2]=1;a:do if(m){o=c<<2;Lz(ia|0,e|0,o|0)|0;Lz(B|0,g|0,o|0)|0;Lz(C|0,h|0,o|0)|0;o=1;p=0;q=0;do{m=z+(q<<2)|0;if((f[g+(q<<2)>>2]|0)<(f[e+(q<<2)>>2]|0)){f[m>>2]=-1;m=-1}else m=f[m>>2]|0;ab=f[d+(q<<2)>>2]|0;$a=o;o=Sz(ab|0,((ab|0)<0)<<31>>31|0,o|0,p|0)|0;ab=p;p=I;bb=q;q=q+1|0;_a=A+(q<<3)|0;f[_a>>2]=o;f[_a+4>>2]=p;ab=Sz(m|0,((m|0)<0)<<31>>31|0,$a|0,ab|0)|0;bb=A+(bb<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I}while((q|0)!=(c|0))}else{p=1;q=0;r=0;while(1){m=f[g+(r<<2)>>2]|0;o=f[e+(r<<2)>>2]|0;if((m|0)<(o|0))break;f[ia+(r<<2)>>2]=o;f[B+(r<<2)>>2]=m;f[C+(r<<2)>>2]=f[h+(r<<2)>>2];ab=f[d+(r<<2)>>2]|0;bb=p;p=Sz(ab|0,((ab|0)<0)<<31>>31|0,p|0,q|0)|0;ab=q;q=I;m=r+1|0;$a=A+(m<<3)|0;f[$a>>2]=p;f[$a+4>>2]=q;$a=f[z+(r<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,bb|0,ab|0)|0;bb=A+(r<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((m|0)>=(c|0))break a;else r=m}f[t>>2]=r+1;ww(s,79994,t)|0;vj(s);f[l>>2]=321;l=321;u=gb;return l|0}while(0);bb=A+(c<<3)|0;ab=bb;$a=f[z+(c<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,f[ab>>2]|0,f[ab+4>>2]|0)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((c|0)==1?(f[d>>2]|0)==1:0){m=(v-Da|0)/(cb|0)|0;bb=cb;v=Da}else{bb=f[z>>2]|0;m=X((f[B>>2]|0)-(f[ia>>2]|0)|0,bb)|0;m=(m|0)/(f[h>>2]|0)|0;bb=X(f[C>>2]|0,bb)|0}ab=m+1|0;b:do if((Da|0)<=(v|0)){$a=f[w>>2]|0;_a=X($a,f[x>>2]|0)|0;Za=X($a,f[y>>2]|0)|0;Ya=(_a|0)>(Za|0);Xa=f[D>>2]|0;Wa=X(Xa,f[E>>2]|0)|0;Va=X(Xa,f[F>>2]|0)|0;Ua=(Wa|0)>(Va|0);Ta=f[G>>2]|0;Sa=f[H>>2]|0;Ra=X(Sa,f[J>>2]|0)|0;Qa=X(Sa,f[K>>2]|0)|0;Pa=(Ra|0)>(Qa|0);Oa=f[L>>2]|0;Na=f[M>>2]|0;Ma=X(Na,f[N>>2]|0)|0;La=X(Na,f[O>>2]|0)|0;Ka=(Ma|0)>(La|0);Ja=f[P>>2]|0;Ia=f[Q>>2]|0;Ha=X(Ia,f[R>>2]|0)|0;Ga=X(Ia,f[S>>2]|0)|0;Fa=(Ha|0)>(Ga|0);Ea=f[T>>2]|0;Ca=f[U>>2]|0;Ba=X(Ca,f[V>>2]|0)|0;Aa=X(Ca,f[W>>2]|0)|0;za=(Ba|0)>(Aa|0);xa=f[Y>>2]|0;wa=f[Z>>2]|0;va=X(wa,f[_>>2]|0)|0;ta=X(wa,f[$>>2]|0)|0;sa=(va|0)>(ta|0);qa=f[aa>>2]|0;pa=f[ba>>2]|0;oa=X(pa,f[ca>>2]|0)|0;ma=X(pa,f[da>>2]|0)|0;la=(oa|0)>(ma|0);da=f[ea>>2]|0;ba=f[ia>>2]|0;ca=((ba|0)<0)<<31>>31;aa=fa;$=f[aa>>2]|0;aa=f[aa+4>>2]|0;_=ga;Z=f[_>>2]|0;_=f[_+4>>2]|0;Y=ha;W=f[Y>>2]|0;Y=f[Y+4>>2]|0;V=ja;U=f[V>>2]|0;V=f[V+4>>2]|0;T=ka;S=f[T>>2]|0;T=f[T+4>>2]|0;R=na;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ra;O=f[P>>2]|0;P=f[P+4>>2]|0;M=ua;L=f[M>>2]|0;M=f[M+4>>2]|0;N=((ab|0)<0)<<31>>31;K=f[ya>>2]|0;m=0;J=Da;c:while(1){if(!Ya){H=((J|0)<0)<<31>>31;G=_a;do{if(!Ua){E=G-$a|0;E=Sz(E|0,((E|0)<0)<<31>>31|0,L|0,M|0)|0;F=I;D=Wa;do{if(!Pa){c=D-Xa|0;c=Sz(c|0,((c|0)<0)<<31>>31|0,O|0,P|0)|0;g=I;C=Ra;do{if(!Ka){e=C-Sa|0;e=Sz(e|0,((e|0)<0)<<31>>31|0,Q|0,R|0)|0;h=I;B=Ma;do{if(!Fa){A=B-Na|0;A=Sz(A|0,((A|0)<0)<<31>>31|0,S|0,T|0)|0;d=I;z=Ha;do{if(!za){x=z-Ia|0;x=Sz(x|0,((x|0)<0)<<31>>31|0,U|0,V|0)|0;y=I;w=Ba;do{d:do if(!sa){s=w-Ca|0;s=Sz(s|0,((s|0)<0)<<31>>31|0,W|0,Y|0)|0;t=I;if(la){o=va;while(1){o=da+o|0;if((o|0)>(ta|0))break d}}else r=va;do{p=r-wa|0;p=Sz(p|0,((p|0)<0)<<31>>31|0,Z|0,_|0)|0;q=I;if(db){o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,d|0)|0;Da=Ez(Da|0,I|0,e|0,h|0)|0;Da=Ez(Da|0,I|0,c|0,g|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((Dl(a,b,J,H,Da,I,ab,N,bb,1,i,j+(m<<2)|0,fb,eb,l)|0)>0)break c;if(f[eb>>2]|0)f[k>>2]=1;m=m+ab|0;o=K+o|0}while((o|0)<=(ma|0))}else{o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,d|0)|0;Da=Ez(Da|0,I|0,e|0,h|0)|0;Da=Ez(Da|0,I|0,c|0,g|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((Dl(a,b,J,H,Da,I,ab,N,bb,1,i,j+(m<<2)|0,fb,eb,l)|0)>0)break c;m=m+ab|0;o=K+o|0}while((o|0)<=(ma|0))}r=da+r|0}while((r|0)<=(ta|0))}while(0);w=qa+w|0}while((w|0)<=(Aa|0))}z=xa+z|0}while((z|0)<=(Ga|0))}B=Ea+B|0}while((B|0)<=(La|0))}C=Ja+C|0}while((C|0)<=(Qa|0))}D=Oa+D|0}while((D|0)<=(Va|0))}G=Ta+G|0}while((G|0)<=(Za|0))}J=J+cb|0;if((J|0)>(v|0))break b}l=f[l>>2]|0;u=gb;return l|0}while(0);l=f[l>>2]|0;u=gb;return l|0}function Nl(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=k|0;l=l|0;m=m|0;var n=0;n=u;u=u+16|0;Dl(a,b,c,d,e,g,h,i,1,1,j,k,n,l,m)|0;u=n;return f[m>>2]|0}function Ol(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0;q=Gz(i|0,j|0,1)|0;p=I;o=Nv(q,1)|0;h=Gz(g|0,h|0,1)|0;h=Ez(h|0,I|0,-1,-1)|0;Dl(a,c,d,e,h,I,q,p,1,2,0.0,k,o,m,n)|0;if((j|0)>0|(j|0)==0&i>>>0>0){e=0;g=0;h=0;m=0}else{Mv(o);q=f[n>>2]|0;return q|0}do{if(!(b[o+e>>0]|0))d=(b[o+(e|1)>>0]|0)!=0&1;else d=1;b[l+g>>0]=d;e=Ez(e|0,h|0,2,0)|0;h=I;g=Ez(g|0,m|0,1,0)|0;m=I}while((m|0)<(j|0)|(m|0)==(j|0)&g>>>0<i>>>0);Mv(o);q=f[n>>2]|0;return q|0}function Pl(a,b,c,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;n=u;u=u+16|0;m=n;if(!(Ek(a,l)|0)){Ql(a,2,(b|0)>1?b:1,0,c,e,g,h,1,1,i,j,n+2|0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}else{d[m>>1]=i;ws(a,21,c,e,g,h,1,m,j,0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}return 0}function Ql(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;var s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0;ca=u;u=u+29072|0;ba=ca+28888|0;aa=ca+28864|0;Y=ca+28856|0;Q=ca+28848|0;Z=ca+28840|0;T=ca+28932|0;w=ca+28928|0;_=ca+28924|0;x=ca+28916|0;W=ca+28912|0;N=ca+28908|0;O=ca+28832|0;S=ca+28824|0;M=ca+28816|0;V=ca+28808|0;P=ca+28800|0;U=ca+29040|0;$=ca+28956|0;R=ca+28936|0;L=ca;v=f[r>>2]|0;if((i|0)==0&(j|0)==0|(v|0)>0){r=v;u=ca;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,k>>31,Q,Z,U,W,T,w,S,M,N,O,P,_,V,R,r)|0)>0){r=f[r>>2]|0;u=ca;return r|0}h=f[w>>2]|0;g=((h|0)<0)<<31>>31;K=X(f[N>>2]|0,k)|0;f[N>>2]=K;if((f[T>>2]|0)==16?(Tj(U,ca+28920|0,ca+28904|0,x,r)|0,y=f[x>>2]|0,(y|0)>0):0){d=0;s=1.0;do{s=s*10.0;d=d+1|0}while((d|0)<(y|0))}else s=1.0;e=f[T>>2]|0;if(!((l|0)==1&m<<16>>16==0)?(A=V,z=f[A>>2]|0,A=f[A+4>>2]|0,!(((e|0)%10|0|0)==1&((z|0)==1234554321&(A|0)==0))):0){K=Ez(z|0,A|0,32768,0)|0;J=I;if(!((e|0)==21&(J>>>0>0|(J|0)==0&K>>>0>65535)))if((e|0)==11&(A>>>0>0|(A|0)==0&z>>>0>255)){J=h;K=0;d=0}else{d=(e|0)==16&(b[R>>0]|0)==1?0:l;B=16}else{d=0;B=17}}else{d=0;B=16}if((B|0)==16)if((e|0)==21)B=17;else{J=h;K=0}if((B|0)==17){J=(j|0)<0|(j|0)==0&i>>>0<1073741823;g=J?j:0;J=J?i:1073741823;K=(d|0)==0&+p[Q>>3]==1.0&+p[Z>>3]==0.0}G=(k|0)>-1;H=0-k|0;w=0;x=0;h=j;v=0;e=0;a:while(1){while(1){E=n+(v<<1)|0;F=o+v|0;C=i;while(1){if((C|0)==0&(h|0)==0){B=51;break a}l=(h|0)<(g|0)|(h|0)==(g|0)&C>>>0<J>>>0;i=l?C:J;i=Nz(0,i|0,32)|0;l=I;if(G){y=O;B=M;j=f[B>>2]|0;B=f[B+4>>2]|0;y=Ez(f[y>>2]|0,f[y+4>>2]|0,-1,-1)|0;y=Dz(y|0,I|0,j|0,B|0)|0;z=I;A=k}else{z=M;y=f[z>>2]|0;z=f[z+4>>2]|0;j=y;B=z;A=H}y=Jz(y|0,z|0,A|0,((A|0)<0)<<31>>31|0)|0;D=I;z=(l|0)>(D|0)|(l|0)==(D|0)&i>>>0>y>>>0;D=Ez(y|0,D|0,1,0)|0;y=I;D=z?D:i;l=S;y=f[l>>2]|0;l=f[l+4>>2]|0;z=P;z=Sz(f[z>>2]|0,f[z+4>>2]|0,w|0,x|0)|0;l=Ez(z|0,I|0,y|0,l|0)|0;y=I;z=f[N>>2]|0;i=(z|0)/(k|0)|0;i=Sz(i|0,((i|0)<0)<<31>>31|0,j|0,B|0)|0;i=Ez(l|0,y|0,i|0,I|0)|0;y=I;switch(f[T>>2]|0){case 21:{rt(a,i,y,D,z,E,r)|0;if(!K)Rl(E,D,+p[Q>>3],+p[Z>>3],d,f[V>>2]&65535,m,F,q,E,r)|0;break}case 81:{tt(a,i,y,D,z,L,r)|0;B=V;Sl(L,D,+p[Q>>3],+p[Z>>3],d,f[B>>2]|0,f[B+4>>2]|0,m,F,q,E,r)|0;break}case 11:{qt(a,i,y,D,z,L,r)|0;Tl(L,D,+p[Q>>3],+p[Z>>3],d,f[V>>2]&255,m,F,q,E,r)|0;break}case 41:{st(a,i,y,D,z,L,r)|0;Ul(L,D,+p[Q>>3],+p[Z>>3],d,f[V>>2]|0,m,F,q,E,r)|0;break}case 42:{ut(a,i,y,D,z,L,r)|0;Vl(L,D,+p[Q>>3],+p[Z>>3],d,m,F,q,E,r)|0;break}case 82:{vt(a,i,y,D,z,L,r)|0;Wl(L,D,+p[Q>>3],+p[Z>>3],d,m,F,q,E,r)|0;break}case 16:{ft(a,i,y,0,r)|0;i=f[N>>2]|0;y=f[W>>2]|0;if((i|0)==(y|0)){B=X(i,D)|0;kt(a,B,((B|0)<0)<<31>>31,L,r)|0}else lt(a,y,D,i-y|0,L,r)|0;Xl(L,D,+p[Q>>3],+p[Z>>3],f[W>>2]|0,s,d,R,m,F,q,E,r)|0;break}default:{B=37;break a}}if((f[r>>2]|0)>0){B=41;break a}i=((D|0)<0)<<31>>31;z=Dz(C|0,h|0,D|0,i|0)|0;l=I;if((z|0)==0&(l|0)==0){C=0;h=0}else break}A=Ez(D|0,i|0,v|0,e|0)|0;e=I;v=M;h=X(D,k)|0;h=Ez(f[v>>2]|0,f[v+4>>2]|0,h|0,((h|0)<0)<<31>>31|0)|0;v=I;y=M;f[y>>2]=h;f[y+4>>2]=v;y=O;i=f[y>>2]|0;y=f[y+4>>2]|0;if(!((v|0)<(y|0)|(v|0)==(y|0)&h>>>0<i>>>0)){B=47;break}if((v|0)<0){B=50;break}else{i=z;h=l;v=A}}if((B|0)==47){E=Jz(h|0,v|0,i|0,y|0)|0;F=I;w=Ez(E|0,F|0,w|0,x|0)|0;x=I;F=Sz(E|0,F|0,i|0,y|0)|0;h=Dz(h|0,v|0,F|0,I|0)|0;v=I}else if((B|0)==50){E=Jz(~h|0,~v|0,i|0,y|0)|0;E=Ez(E|0,I|0,1,0)|0;F=I;w=Dz(w|0,x|0,E|0,F|0)|0;x=I;F=Sz(E|0,F|0,i|0,y|0)|0;h=Ez(F|0,I|0,h|0,v|0)|0;v=I}i=M;f[i>>2]=h;f[i+4>>2]=v;i=z;h=l;v=A}if((B|0)==37){f[Y>>2]=c;f[Y+4>>2]=U;ww($,81254,Y)|0;vj($);if((f[_>>2]|0)==1){f[r>>2]=311;r=311;u=ca;return r|0}else{f[r>>2]=312;r=312;u=ca;return r|0}}else if((B|0)==41){s=+(v>>>0)+4294967296.0*+(e|0);t=s+1.0;s=s+ +(D|0);if((f[_>>2]|0)>0){p[aa>>3]=t;p[aa+8>>3]=s;f[aa+16>>2]=c;ww($,80039,aa)|0}else{p[ba>>3]=t;p[ba+8>>3]=s;ww($,80102,ba)|0}vj($);r=f[r>>2]|0;u=ca;return r|0}else if((B|0)==51){d=f[r>>2]|0;if((d|0)!=-11){r=d;u=ca;return r|0}vj(81433);f[r>>2]=412;r=412;u=ca;return r|0}return 0}function Rl(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0&g==0.0;if(!h){if(q){Uz(m|0,a|0,c<<1|0)|0;n=f[n>>2]|0;return n|0}if((c|0)>0)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(h<<1)>>1]|0)*e+g;do if(!(p<-32768.49))if(p>32767.49){f[n>>2]=-11;o=32767;break}else{o=~~p;break}else{f[n>>2]=-11;o=-32768}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}o=(c|0)>0;if(q){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;o=j}d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-32768.49){f[n>>2]=-11;o=-32768;break}if(p>32767.49){f[n>>2]=-11;o=32767;break}else{o=~~p;break}}else{f[l>>2]=1;o=j}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o<<16>>16)*e+g;if(p<-32768.49){f[n>>2]=-11;d[m+(h<<1)>>1]=-32768;break}if(p>32767.49){f[n>>2]=-11;o=32767}else o=~~p;d[m+(h<<1)>>1]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}function Sl(a,c,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0;r=e==1.0&g==0.0;p=(c|0)>0;if(!h)if(r){if(p)r=0;else{o=f[o>>2]|0;return o|0}do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if(!((h|0)<-1|(h|0)==-1&p>>>0<4294934528))if((h|0)>0|(h|0)==0&p>>>0>32767){f[o>>2]=-11;p=32767;break}else{p=p&65535;break}else{f[o>>2]=-11;p=-32768}while(0);d[n+(r<<1)>>1]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(p)h=0;else{o=f[o>>2]|0;return o|0}do{m=a+(h<<3)|0;q=(+((f[m>>2]|0)>>>0)+4294967296.0*+(f[m+4>>2]|0))*e+g;do if(!(q<-32768.49))if(q>32767.49){f[o>>2]=-11;p=32767;break}else{p=~~q;break}else{f[o>>2]=-11;p=-32768}while(0);d[n+(h<<1)>>1]=p;h=h+1|0}while((h|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if(!((p|0)==(i|0)&(h|0)==(j|0))){if((h|0)<-1|(h|0)==-1&p>>>0<4294934528){f[o>>2]=-11;p=-32768;break}if((h|0)>0|(h|0)==0&p>>>0>32767){f[o>>2]=-11;p=32767;break}else{p=p&65535;break}}else{f[m>>2]=1;p=k}while(0);d[n+(r<<1)>>1]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if((p|0)==(i|0)&(h|0)==(j|0)){f[m>>2]=1;b[l+r>>0]=1}else{if((h|0)<-1|(h|0)==-1&p>>>0<4294934528){f[o>>2]=-11;d[n+(r<<1)>>1]=-32768;break}if((h|0)>0|(h|0)==0&p>>>0>32767){f[o>>2]=-11;p=32767}else p=p&65535;d[n+(r<<1)>>1]=p}while(0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if(!((p|0)==(i|0)&(h|0)==(j|0))){q=(+(p>>>0)+4294967296.0*+(h|0))*e+g;if(q<-32768.49){f[o>>2]=-11;p=-32768;break}if(q>32767.49){f[o>>2]=-11;p=32767;break}else{p=~~q;break}}else{f[m>>2]=1;p=k}while(0);d[n+(r<<1)>>1]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if((p|0)==(i|0)&(h|0)==(j|0)){f[m>>2]=1;b[l+r>>0]=1}else{q=(+(p>>>0)+4294967296.0*+(h|0))*e+g;if(q<-32768.49){f[o>>2]=-11;d[n+(r<<1)>>1]=-32768;break}if(q>32767.49){f[o>>2]=-11;p=32767}else p=~~q;d[n+(r<<1)>>1]=p}while(0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}return 0}function Tl(a,c,e,g,i,j,k,l,m,n,o){a=a|0;c=c|0;e=+e;g=+g;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0;r=e==1.0&g==0.0;p=(c|0)>0;if(!i){if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{d[n+(p<<1)>>1]=h[a+p>>0]|0;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(p)i=0;else{o=f[o>>2]|0;return o|0}do{q=+(h[a+i>>0]|0)*e+g;do if(!(q<-32768.49))if(q>32767.49){f[o>>2]=-11;p=32767;break}else{p=~~q;break}else{f[o>>2]=-11;p=-32768}while(0);d[n+(i<<1)>>1]=p;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((i|0)==1){i=0;do{p=b[a+i>>0]|0;if(p<<24>>24==j<<24>>24){f[m>>2]=1;p=k}else p=p&255;d[n+(i<<1)>>1]=p;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}else{i=0;do{p=b[a+i>>0]|0;if(p<<24>>24==j<<24>>24){f[m>>2]=1;b[l+i>>0]=1}else d[n+(i<<1)>>1]=p&255;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}}if(!p){o=f[o>>2]|0;return o|0}if((i|0)==1){i=0;do{p=b[a+i>>0]|0;do if(p<<24>>24!=j<<24>>24){q=+(p&255)*e+g;if(q<-32768.49){f[o>>2]=-11;p=-32768;break}if(q>32767.49){f[o>>2]=-11;p=32767;break}else{p=~~q;break}}else{f[m>>2]=1;p=k}while(0);d[n+(i<<1)>>1]=p;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}else i=0;do{p=b[a+i>>0]|0;do if(p<<24>>24==j<<24>>24){f[m>>2]=1;b[l+i>>0]=1}else{q=+(p&255)*e+g;if(q<-32768.49){f[o>>2]=-11;d[n+(i<<1)>>1]=-32768;break}if(q>32767.49){f[o>>2]=-11;p=32767}else p=~~q;d[n+(i<<1)>>1]=p}while(0);i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}function Ul(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h)if(q){if(o)h=0;else{n=f[n>>2]|0;return n|0}do{o=f[a+(h<<2)>>2]|0;do if((o|0)>=-32768)if((o|0)>32767){f[n>>2]=-11;o=32767;break}else{o=o&65535;break}else{f[n>>2]=-11;o=-32768}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(f[a+(h<<2)>>2]|0)*e+g;do if(!(p<-32768.49))if(p>32767.49){f[n>>2]=-11;o=32767;break}else{o=~~p;break}else{f[n>>2]=-11;o=-32768}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)!=(i|0)){if((o|0)<-32768){f[n>>2]=-11;o=-32768;break}if((o|0)>32767){f[n>>2]=-11;o=32767;break}else{o=o&65535;break}}else{f[l>>2]=1;o=j}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)==(i|0)){f[l>>2]=1;b[k+h>>0]=1}else{if((o|0)<-32768){f[n>>2]=-11;d[m+(h<<1)>>1]=-32768;break}if((o|0)>32767){f[n>>2]=-11;o=32767}else o=o&65535;d[m+(h<<1)>>1]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)!=(i|0)){p=+(o|0)*e+g;if(p<-32768.49){f[n>>2]=-11;o=-32768;break}if(p>32767.49){f[n>>2]=-11;o=32767;break}else{o=~~p;break}}else{f[l>>2]=1;o=j}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)==(i|0)){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o|0)*e+g;if(p<-32768.49){f[n>>2]=-11;d[m+(h<<1)>>1]=-32768;break}if(p>32767.49){f[n>>2]=-11;o=32767}else o=~~p;d[m+(h<<1)>>1]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function Vl(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2];e=p;do if(!(e<-32768.49))if(e>32767.49){f[m>>2]=-11;o=32767;break}else{o=~~p;break}else{f[m>>2]=-11;o=-32768}while(0);d[l+(q<<1)>>1]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2]*e+g;do if(!(p<-32768.49))if(p>32767.49){f[m>>2]=-11;o=32767;break}else{o=~~p;break}else{f[m>>2]=-11;o=-32768}while(0);d[l+(q<<1)>>1]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;a:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-32768.49){f[m>>2]=-11;o=-32768;break a}if(e>32767.49){f[m>>2]=-11;o=32767;break a}else{o=~~p;break a}}case 1:{f[k>>2]=1;o=i;break}default:o=0}while(0);d[l+(r<<1)>>1]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-32768.49){f[m>>2]=-11;d[l+(r<<1)>>1]=-32768;break b}if(e>32767.49){f[m>>2]=-11;o=32767}else o=~~p;d[l+(r<<1)>>1]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:d[l+(r<<1)>>1]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}s=g<-32768.49;t=g>32767.49;u=~~g;if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;c:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-32768.49){f[m>>2]=-11;o=-32768;break c}if(p>32767.49){f[m>>2]=-11;o=32767;break c}else{o=~~p;break c}}case 1:{f[k>>2]=1;o=i;break}default:{if(s){f[m>>2]=-11;o=-32768;break c}if(t){f[m>>2]=-11;o=32767}else o=u}}while(0);d[l+(r<<1)>>1]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-32768.49){f[m>>2]=-11;d[l+(r<<1)>>1]=-32768;break d}if(p>32767.49){f[m>>2]=-11;o=32767}else o=~~p;d[l+(r<<1)>>1]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;d[l+(r<<1)>>1]=-32768}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;e:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-32768.49){f[m>>2]=-11;d[l+(r<<1)>>1]=-32768;break e}if(p>32767.49){f[m>>2]=-11;o=32767}else o=~~p;d[l+(r<<1)>>1]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;o=32767}else o=u;d[l+(r<<1)>>1]=o}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}function Wl(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3];do if(!(o<-32768.49))if(o>32767.49){f[m>>2]=-11;n=32767;break}else{n=~~o;break}else{f[m>>2]=-11;n=-32768}while(0);d[l+(q<<1)>>1]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3]*e+g;do if(!(o<-32768.49))if(o>32767.49){f[m>>2]=-11;n=32767;break}else{n=~~o;break}else{f[m>>2]=-11;n=-32768}while(0);d[l+(q<<1)>>1]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;a:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-32768.49){f[m>>2]=-11;n=-32768;break a}if(o>32767.49){f[m>>2]=-11;n=32767;break a}else{n=~~o;break a}}case 1:{f[k>>2]=1;n=i;break}default:n=0}while(0);d[l+(r<<1)>>1]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-32768.49){f[m>>2]=-11;d[l+(r<<1)>>1]=-32768;break b}if(o>32767.49){f[m>>2]=-11;n=32767}else n=~~o;d[l+(r<<1)>>1]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:d[l+(r<<1)>>1]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}s=g<-32768.49;t=g>32767.49;u=~~g;if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;c:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-32768.49){f[m>>2]=-11;n=-32768;break c}if(o>32767.49){f[m>>2]=-11;n=32767;break c}else{n=~~o;break c}}case 1:{f[k>>2]=1;n=i;break}default:{if(s){f[m>>2]=-11;n=-32768;break c}if(t){f[m>>2]=-11;n=32767}else n=u}}while(0);d[l+(r<<1)>>1]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-32768.49){f[m>>2]=-11;d[l+(r<<1)>>1]=-32768;break d}if(o>32767.49){f[m>>2]=-11;n=32767}else n=~~o;d[l+(r<<1)>>1]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;d[l+(r<<1)>>1]=-32768}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;e:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-32768.49){f[m>>2]=-11;d[l+(r<<1)>>1]=-32768;break e}if(o>32767.49){f[m>>2]=-11;n=32767}else n=~~o;d[l+(r<<1)>>1]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;n=32767}else n=u;d[l+(r<<1)>>1]=n}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function Xl(a,c,e,g,h,i,j,k,l,m,n,o,p){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0.0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+96|0;H=I;G=I+4|0;B=Bx(k)|0;a:do if((c|0)>0){C=(j|0)==0;A=(j|0)==1;y=a;z=0;b:while(1){F=y+h|0;E=b[F>>0]|0;b[F>>0]=0;do if((b[k>>0]|0)!=1?(vw(k,y,B)|0)==0:0)if(!C){f[n>>2]=1;if(A){d[o+(z<<1)>>1]=l;j=F;break}else{b[m+z>>0]=1;j=F;break}}else j=F;else{j=y;D=9}while(0);do if((D|0)==9){c:while(1){D=0;a=b[j>>0]|0;switch(a<<24>>24){case 43:case 45:{D=11;break c}case 32:break;default:{x=1;break c}}j=j+1|0;D=9}if((D|0)==11){D=0;q=a<<24>>24==45;do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);x=q?-1:1}if((a+-48&255)<10){r=0.0;do{r=r*10.0+ +(a<<24>>24);do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);r=r+-48.0}while((a+-48&255)<10)}else r=0.0;switch(a<<24>>24){case 44:case 46:{do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);if((a+-48&255)<10){t=1.0;do{r=r*10.0+ +(a<<24>>24)+-48.0;do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);t=t*10.0}while((a+-48&255)<10);w=1}else{w=1;t=1.0}break}default:{w=0;t=1.0}}if((a&-2)<<24>>24==68){q=j;d:while(1){j=q+1|0;a=b[j>>0]|0;switch(a<<24>>24){case 32:{q=j;break}case 43:case 45:{D=28;break d}default:{s=1;break d}}}if((D|0)==28){D=0;s=a<<24>>24==45;j=q+2|0;while(1){a=b[j>>0]|0;if(a<<24>>24==32)j=j+1|0;else break}s=s?-1:1}if((a+-48&255)<10){q=0;while(1){q=(q*10|0)+-48|0;do{j=j+1|0;v=b[j>>0]|0}while(v<<24>>24==32);q=q+(a<<24>>24)|0;if((v+-48&255)<10)a=v;else{a=v;break}}}else q=0}else{s=1;q=0}if(a<<24>>24)break b;r=+(x|0)*r/((w|0)==0?i:t)*+M(10.0,+(+(X(s,q)|0)))*e+g;if(r<-32768.49){f[p>>2]=-11;d[o+(z<<1)>>1]=-32768;break}if(r>32767.49){f[p>>2]=-11;a=32767}else a=~~r;d[o+(z<<1)>>1]=a}while(0);b[F>>0]=E;z=z+1|0;if((z|0)>=(c|0))break a;else y=j}j=G;a=81500;q=j+36|0;do{b[j>>0]=b[a>>0]|0;j=j+1|0;a=a+1|0}while((j|0)<(q|0));vj(G);f[H>>2]=y;ww(G,81536,H)|0;vj(G);b[F>>0]=E;f[p>>2]=409;H=409;u=I;return H|0}while(0);H=f[p>>2]|0;u=I;return H|0}function Yl(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){Ql(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,21,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function Zl(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;gb=u;u=u+480|0;t=gb+232|0;o=gb+224|0;ia=gb+352|0;B=gb+316|0;C=gb+280|0;z=gb+244|0;A=gb+144|0;p=gb+72|0;r=gb;n=gb+240|0;eb=gb+236|0;fb=gb+471|0;s=gb+390|0;q=gb+388|0;if((c+-1|0)>>>0>8){f[o>>2]=c;ww(s,80161,o)|0;vj(s);f[m>>2]=320;m=320;u=gb;return m|0}if(Ek(a,m)|0){n=0;do{fb=f[g+(n<<2)>>2]|0;eb=p+(n<<3)|0;f[eb>>2]=fb;f[eb+4>>2]=((fb|0)<0)<<31>>31;eb=f[h+(n<<2)>>2]|0;fb=r+(n<<3)|0;f[fb>>2]=eb;f[fb+4>>2]=((eb|0)<0)<<31>>31;n=n+1|0}while((n|0)!=(c|0));d[q>>1]=j;ts(a,21,p,r,i,1,q,k,0,l,m)|0;m=f[m>>2]|0;u=gb;return m|0}if((mk(a,n,m)|0)>0){m=f[m>>2]|0;u=gb;return m|0}n=(f[n>>2]|0)==0;if(n){Da=(b|0)==0?1:b;b=2;cb=1;v=Da}else{cb=f[i+(c<<2)>>2]|0;v=f[h+(c<<2)>>2]|0;Da=f[g+(c<<2)>>2]|0}db=(l|0)!=0;if(db)f[l>>2]=0;f[ia>>2]=1;f[B>>2]=1;f[C>>2]=1;ca=A;f[ca>>2]=1;f[ca+4>>2]=0;f[z>>2]=1;ca=ia+4|0;f[ca>>2]=1;da=B+4|0;f[da>>2]=1;ya=C+4|0;f[ya>>2]=1;fa=A+8|0;ba=fa;f[ba>>2]=1;f[ba+4>>2]=0;ba=z+4|0;f[ba>>2]=1;_=ia+8|0;f[_>>2]=1;$=B+8|0;f[$>>2]=1;ea=C+8|0;f[ea>>2]=1;ga=A+16|0;Z=ga;f[Z>>2]=1;f[Z+4>>2]=0;Z=z+8|0;f[Z>>2]=1;V=ia+12|0;f[V>>2]=1;W=B+12|0;f[W>>2]=1;aa=C+12|0;f[aa>>2]=1;ha=A+24|0;U=ha;f[U>>2]=1;f[U+4>>2]=0;U=z+12|0;f[U>>2]=1;R=ia+16|0;f[R>>2]=1;S=B+16|0;f[S>>2]=1;Y=C+16|0;f[Y>>2]=1;ja=A+32|0;Q=ja;f[Q>>2]=1;f[Q+4>>2]=0;Q=z+16|0;f[Q>>2]=1;N=ia+20|0;f[N>>2]=1;O=B+20|0;f[O>>2]=1;T=C+20|0;f[T>>2]=1;ka=A+40|0;M=ka;f[M>>2]=1;f[M+4>>2]=0;M=z+20|0;f[M>>2]=1;J=ia+24|0;f[J>>2]=1;K=B+24|0;f[K>>2]=1;P=C+24|0;f[P>>2]=1;na=A+48|0;H=na;f[H>>2]=1;f[H+4>>2]=0;H=z+24|0;f[H>>2]=1;E=ia+28|0;f[E>>2]=1;F=B+28|0;f[F>>2]=1;L=C+28|0;f[L>>2]=1;ra=A+56|0;D=ra;f[D>>2]=1;f[D+4>>2]=0;D=z+28|0;f[D>>2]=1;x=ia+32|0;f[x>>2]=1;y=B+32|0;f[y>>2]=1;G=C+32|0;f[G>>2]=1;ua=A+64|0;w=ua;f[w>>2]=1;f[w+4>>2]=0;w=z+32|0;f[w>>2]=1;a:do if(n){o=c<<2;Lz(ia|0,g|0,o|0)|0;Lz(B|0,h|0,o|0)|0;Lz(C|0,i|0,o|0)|0;o=1;p=0;q=0;do{n=z+(q<<2)|0;if((f[h+(q<<2)>>2]|0)<(f[g+(q<<2)>>2]|0)){f[n>>2]=-1;n=-1}else n=f[n>>2]|0;ab=f[e+(q<<2)>>2]|0;$a=o;o=Sz(ab|0,((ab|0)<0)<<31>>31|0,o|0,p|0)|0;ab=p;p=I;bb=q;q=q+1|0;_a=A+(q<<3)|0;f[_a>>2]=o;f[_a+4>>2]=p;ab=Sz(n|0,((n|0)<0)<<31>>31|0,$a|0,ab|0)|0;bb=A+(bb<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I}while((q|0)!=(c|0))}else{p=1;q=0;r=0;while(1){n=f[h+(r<<2)>>2]|0;o=f[g+(r<<2)>>2]|0;if((n|0)<(o|0))break;f[ia+(r<<2)>>2]=o;f[B+(r<<2)>>2]=n;f[C+(r<<2)>>2]=f[i+(r<<2)>>2];ab=f[e+(r<<2)>>2]|0;bb=p;p=Sz(ab|0,((ab|0)<0)<<31>>31|0,p|0,q|0)|0;ab=q;q=I;n=r+1|0;$a=A+(n<<3)|0;f[$a>>2]=p;f[$a+4>>2]=q;$a=f[z+(r<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,bb|0,ab|0)|0;bb=A+(r<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((n|0)>=(c|0))break a;else r=n}f[t>>2]=r+1;ww(s,80206,t)|0;vj(s);f[m>>2]=321;m=321;u=gb;return m|0}while(0);bb=A+(c<<3)|0;ab=bb;$a=f[z+(c<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,f[ab>>2]|0,f[ab+4>>2]|0)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((c|0)==1?(f[e>>2]|0)==1:0){n=(v-Da|0)/(cb|0)|0;bb=cb;v=Da}else{bb=f[z>>2]|0;n=X((f[B>>2]|0)-(f[ia>>2]|0)|0,bb)|0;n=(n|0)/(f[i>>2]|0)|0;bb=X(f[C>>2]|0,bb)|0}ab=n+1|0;b:do if((Da|0)<=(v|0)){$a=f[w>>2]|0;_a=X($a,f[x>>2]|0)|0;Za=X($a,f[y>>2]|0)|0;Ya=(_a|0)>(Za|0);Xa=f[D>>2]|0;Wa=X(Xa,f[E>>2]|0)|0;Va=X(Xa,f[F>>2]|0)|0;Ua=(Wa|0)>(Va|0);Ta=f[G>>2]|0;Sa=f[H>>2]|0;Ra=X(Sa,f[J>>2]|0)|0;Qa=X(Sa,f[K>>2]|0)|0;Pa=(Ra|0)>(Qa|0);Oa=f[L>>2]|0;Na=f[M>>2]|0;Ma=X(Na,f[N>>2]|0)|0;La=X(Na,f[O>>2]|0)|0;Ka=(Ma|0)>(La|0);Ja=f[P>>2]|0;Ia=f[Q>>2]|0;Ha=X(Ia,f[R>>2]|0)|0;Ga=X(Ia,f[S>>2]|0)|0;Fa=(Ha|0)>(Ga|0);Ea=f[T>>2]|0;Ca=f[U>>2]|0;Ba=X(Ca,f[V>>2]|0)|0;Aa=X(Ca,f[W>>2]|0)|0;za=(Ba|0)>(Aa|0);xa=f[Y>>2]|0;wa=f[Z>>2]|0;va=X(wa,f[_>>2]|0)|0;ta=X(wa,f[$>>2]|0)|0;sa=(va|0)>(ta|0);qa=f[aa>>2]|0;pa=f[ba>>2]|0;oa=X(pa,f[ca>>2]|0)|0;ma=X(pa,f[da>>2]|0)|0;la=(oa|0)>(ma|0);da=f[ea>>2]|0;ba=f[ia>>2]|0;ca=((ba|0)<0)<<31>>31;aa=fa;$=f[aa>>2]|0;aa=f[aa+4>>2]|0;_=ga;Z=f[_>>2]|0;_=f[_+4>>2]|0;Y=ha;W=f[Y>>2]|0;Y=f[Y+4>>2]|0;V=ja;U=f[V>>2]|0;V=f[V+4>>2]|0;T=ka;S=f[T>>2]|0;T=f[T+4>>2]|0;R=na;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ra;O=f[P>>2]|0;P=f[P+4>>2]|0;M=ua;L=f[M>>2]|0;M=f[M+4>>2]|0;N=((ab|0)<0)<<31>>31;K=f[ya>>2]|0;n=0;J=Da;c:while(1){if(!Ya){H=((J|0)<0)<<31>>31;G=_a;do{if(!Ua){E=G-$a|0;E=Sz(E|0,((E|0)<0)<<31>>31|0,L|0,M|0)|0;F=I;D=Wa;do{if(!Pa){c=D-Xa|0;c=Sz(c|0,((c|0)<0)<<31>>31|0,O|0,P|0)|0;h=I;C=Ra;do{if(!Ka){g=C-Sa|0;g=Sz(g|0,((g|0)<0)<<31>>31|0,Q|0,R|0)|0;i=I;B=Ma;do{if(!Fa){A=B-Na|0;A=Sz(A|0,((A|0)<0)<<31>>31|0,S|0,T|0)|0;e=I;z=Ha;do{if(!za){x=z-Ia|0;x=Sz(x|0,((x|0)<0)<<31>>31|0,U|0,V|0)|0;y=I;w=Ba;do{d:do if(!sa){s=w-Ca|0;s=Sz(s|0,((s|0)<0)<<31>>31|0,W|0,Y|0)|0;t=I;if(la){o=va;while(1){o=da+o|0;if((o|0)>(ta|0))break d}}else r=va;do{p=r-wa|0;p=Sz(p|0,((p|0)<0)<<31>>31|0,Z|0,_|0)|0;q=I;if(db){o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,e|0)|0;Da=Ez(Da|0,I|0,g|0,i|0)|0;Da=Ez(Da|0,I|0,c|0,h|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((Ql(a,b,J,H,Da,I,ab,N,bb,1,j,k+(n<<1)|0,fb,eb,m)|0)>0)break c;if(f[eb>>2]|0)f[l>>2]=1;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}else{o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,e|0)|0;Da=Ez(Da|0,I|0,g|0,i|0)|0;Da=Ez(Da|0,I|0,c|0,h|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((Ql(a,b,J,H,Da,I,ab,N,bb,1,j,k+(n<<1)|0,fb,eb,m)|0)>0)break c;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}r=da+r|0}while((r|0)<=(ta|0))}while(0);w=qa+w|0}while((w|0)<=(Aa|0))}z=xa+z|0}while((z|0)<=(Ga|0))}B=Ea+B|0}while((B|0)<=(La|0))}C=Ja+C|0}while((C|0)<=(Qa|0))}D=Oa+D|0}while((D|0)<=(Va|0))}G=Ta+G|0}while((G|0)<=(Za|0))}J=J+cb|0;if((J|0)>(v|0))break b}m=f[m>>2]|0;u=gb;return m|0}while(0);m=f[m>>2]|0;u=gb;return m|0}function _l(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){$l(a,2,(b|0)>1?b:1,0,c,d,e,g,1,1,h,i,m+4|0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{f[l>>2]=h;ws(a,41,c,d,e,g,1,l,i,0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function $l(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;var s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0;ba=u;u=u+29072|0;aa=ba+28888|0;$=ba+28864|0;W=ba+28856|0;P=ba+28848|0;Y=ba+28840|0;S=ba+28932|0;w=ba+28928|0;Z=ba+28924|0;x=ba+28916|0;V=ba+28912|0;M=ba+28908|0;N=ba+28832|0;R=ba+28824|0;L=ba+28816|0;U=ba+28808|0;O=ba+28800|0;T=ba+29040|0;_=ba+28956|0;Q=ba+28936|0;K=ba;v=f[r>>2]|0;if((i|0)==0&(j|0)==0|(v|0)>0){r=v;u=ba;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,k>>31,P,Y,T,V,S,w,R,L,M,N,O,Z,U,Q,r)|0)>0){r=f[r>>2]|0;u=ba;return r|0}H=f[w>>2]|0;J=((H|0)<0)<<31>>31;G=X(f[M>>2]|0,k)|0;f[M>>2]=G;if((f[S>>2]|0)==16?(Tj(T,ba+28920|0,ba+28904|0,x,r)|0,y=f[x>>2]|0,(y|0)>0):0){d=0;s=1.0;do{s=s*10.0;d=d+1|0}while((d|0)<(y|0))}else s=1.0;if(((!((l|0)==1&(m|0)==0)?(z=f[S>>2]|0,B=U,A=f[B>>2]|0,B=f[B+4>>2]|0,!(((z|0)%10|0|0)==1&((A|0)==1234554321&(B|0)==0))):0)?(G=Ez(A|0,B|0,32768,0)|0,F=I,!((z|0)==21&(F>>>0>0|(F|0)==0&G>>>0>65535))):0)?!((z|0)==11&(B>>>0>0|(B|0)==0&A>>>0>255)):0)F=(z|0)==16&(b[Q>>0]|0)==1?0:l;else F=0;E=(k|0)>-1;G=0-k|0;h=0;v=0;w=i;e=j;g=0;d=0;a:while(1){while(1){C=o+g|0;D=n+(g<<2)|0;i=w;while(1){if((i|0)==0&(e|0)==0){y=48;break a}A=(e|0)<(J|0)|(e|0)==(J|0)&i>>>0<H>>>0;w=A?i:H;w=Nz(0,w|0,32)|0;A=I;if(E){x=N;l=L;B=f[l>>2]|0;l=f[l+4>>2]|0;x=Ez(f[x>>2]|0,f[x+4>>2]|0,-1,-1)|0;x=Dz(x|0,I|0,B|0,l|0)|0;y=I;z=k}else{y=L;x=f[y>>2]|0;y=f[y+4>>2]|0;B=x;l=y;z=G}x=Jz(x|0,y|0,z|0,((z|0)<0)<<31>>31|0)|0;j=I;y=(A|0)>(j|0)|(A|0)==(j|0)&w>>>0>x>>>0;j=Ez(x|0,j|0,1,0)|0;x=I;j=y?j:w;A=R;x=f[A>>2]|0;A=f[A+4>>2]|0;y=O;y=Sz(f[y>>2]|0,f[y+4>>2]|0,h|0,v|0)|0;A=Ez(y|0,I|0,x|0,A|0)|0;x=I;y=f[M>>2]|0;w=(y|0)/(k|0)|0;w=Sz(w|0,((w|0)<0)<<31>>31|0,B|0,l|0)|0;w=Ez(A|0,x|0,w|0,I|0)|0;x=I;switch(f[S>>2]|0){case 41:{st(a,w,x,j,y,K,r)|0;am(K,j,+p[P>>3],+p[Y>>3],F,f[U>>2]|0,m,C,q,D,r)|0;break}case 81:{tt(a,w,x,j,y,K,r)|0;l=U;bm(K,j,+p[P>>3],+p[Y>>3],F,f[l>>2]|0,f[l+4>>2]|0,m,C,q,D,r)|0;break}case 11:{qt(a,w,x,j,y,K,r)|0;cm(K,j,+p[P>>3],+p[Y>>3],F,f[U>>2]&255,m,C,q,D,r)|0;break}case 21:{rt(a,w,x,j,y,K,r)|0;dm(K,j,+p[P>>3],+p[Y>>3],F,f[U>>2]&65535,m,C,q,D,r)|0;break}case 42:{ut(a,w,x,j,y,K,r)|0;em(K,j,+p[P>>3],+p[Y>>3],F,m,C,q,D,r)|0;break}case 82:{vt(a,w,x,j,y,K,r)|0;fm(K,j,+p[P>>3],+p[Y>>3],F,m,C,q,D,r)|0;break}case 16:{ft(a,w,x,0,r)|0;w=f[M>>2]|0;x=f[V>>2]|0;if((w|0)==(x|0)){l=X(w,j)|0;kt(a,l,((l|0)<0)<<31>>31,K,r)|0}else lt(a,x,j,w-x|0,K,r)|0;gm(K,j,+p[P>>3],+p[Y>>3],f[V>>2]|0,s,F,Q,m,C,q,D,r)|0;break}default:{y=34;break a}}if((f[r>>2]|0)>0){y=38;break a}w=((j|0)<0)<<31>>31;z=Dz(i|0,e|0,j|0,w|0)|0;B=I;if((z|0)==0&(B|0)==0){i=0;e=0}else break}A=Ez(j|0,w|0,g|0,d|0)|0;d=I;g=L;e=X(j,k)|0;e=Ez(f[g>>2]|0,f[g+4>>2]|0,e|0,((e|0)<0)<<31>>31|0)|0;g=I;x=L;f[x>>2]=e;f[x+4>>2]=g;x=N;w=f[x>>2]|0;x=f[x+4>>2]|0;if(!((g|0)<(x|0)|(g|0)==(x|0)&e>>>0<w>>>0)){y=44;break}if((g|0)<0){y=47;break}else{w=z;e=B;g=A}}if((y|0)==44){C=Jz(e|0,g|0,w|0,x|0)|0;D=I;h=Ez(C|0,D|0,h|0,v|0)|0;v=I;D=Sz(C|0,D|0,w|0,x|0)|0;e=Dz(e|0,g|0,D|0,I|0)|0;g=I}else if((y|0)==47){C=Jz(~e|0,~g|0,w|0,x|0)|0;C=Ez(C|0,I|0,1,0)|0;D=I;h=Dz(h|0,v|0,C|0,D|0)|0;v=I;D=Sz(C|0,D|0,w|0,x|0)|0;e=Ez(D|0,I|0,e|0,g|0)|0;g=I}w=L;f[w>>2]=e;f[w+4>>2]=g;w=z;e=B;g=A}if((y|0)==34){f[W>>2]=c;f[W+4>>2]=T;ww(_,81254,W)|0;vj(_);if((f[Z>>2]|0)==1){f[r>>2]=311;r=311;u=ba;return r|0}else{f[r>>2]=312;r=312;u=ba;return r|0}}else if((y|0)==38){s=+(g>>>0)+4294967296.0*+(d|0);t=s+1.0;s=s+ +(j|0);if((f[Z>>2]|0)>0){p[$>>3]=t;p[$+8>>3]=s;f[$+16>>2]=c;ww(_,80251,$)|0}else{p[aa>>3]=t;p[aa+8>>3]=s;ww(_,80314,aa)|0}vj(_);r=f[r>>2]|0;u=ba;return r|0}else if((y|0)==48){d=f[r>>2]|0;if((d|0)!=-11){r=d;u=ba;return r|0}vj(81433);f[r>>2]=412;r=412;u=ba;return r|0}return 0}function am(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,p=0;p=d==1.0&e==0.0;n=(c|0)>0;if(!g){if(p){if(n)n=0;else{m=f[m>>2]|0;return m|0}do{f[l+(n<<2)>>2]=f[a+(n<<2)>>2];n=n+1|0}while((n|0)!=(c|0));m=f[m>>2]|0;return m|0}if(n)g=0;else{m=f[m>>2]|0;return m|0}do{o=+(f[a+(g<<2)>>2]|0)*d+e;do if(!(o<-9223372036854774784.0))if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}else{f[m>>2]=-11;n=-2147483648}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(p){if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;n=i}f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){o=+(n|0)*d+e;if(o<-9223372036854774784.0){f[m>>2]=-11;n=-2147483648;break}if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}}else{f[k>>2]=1;n=i}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else{o=+(n|0)*d+e;if(o<-9223372036854774784.0){f[m>>2]=-11;f[l+(g<<2)>>2]=-2147483648;break}if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(g<<2)>>2]=n}while(0);g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}function bm(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g)if(q){if(o)q=0;else{n=f[n>>2]|0;return n|0}do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if(!((g|0)<-1|(g|0)==-1&o>>>0<2147483648))if((g|0)>0|(g|0)==0&o>>>0>2147483647){f[n>>2]=-11;o=2147483647;break}else break;else{f[n>>2]=-11;o=-2147483648}while(0);f[m+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)g=0;else{n=f[n>>2]|0;return n|0}do{l=a+(g<<3)|0;p=(+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0))*d+e;do if(!(p<-9223372036854774784.0))if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[n>>2]=-11;o=-2147483648}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if(!((o|0)==(h|0)&(g|0)==(i|0))){if((g|0)<-1|(g|0)==-1&o>>>0<2147483648){f[n>>2]=-11;o=-2147483648;break}if((g|0)>0|(g|0)==0&o>>>0>2147483647){f[n>>2]=-11;o=2147483647;break}else break}else{f[l>>2]=1;o=j}while(0);f[m+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+q>>0]=1}else{if((g|0)<-1|(g|0)==-1&o>>>0<2147483648){f[n>>2]=-11;f[m+(q<<2)>>2]=-2147483648;break}if((g|0)>0|(g|0)==0&o>>>0>2147483647){f[n>>2]=-11;o=2147483647}f[m+(q<<2)>>2]=o}while(0);q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if(!((o|0)==(h|0)&(g|0)==(i|0))){p=(+(o>>>0)+4294967296.0*+(g|0))*d+e;if(p<-9223372036854774784.0){f[n>>2]=-11;o=-2147483648;break}if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}}else{f[l>>2]=1;o=j}while(0);f[m+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+q>>0]=1}else{p=(+(o>>>0)+4294967296.0*+(g|0))*d+e;if(p<-9223372036854774784.0){f[n>>2]=-11;f[m+(q<<2)>>2]=-2147483648;break}if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647}else o=~~p;f[m+(q<<2)>>2]=o}while(0);q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function cm(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g){if(q){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{f[m+(o<<2)>>2]=h[a+o>>0];o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)g=0;else{n=f[n>>2]|0;return n|0}do{p=+(h[a+g>>0]|0)*d+e;do if(!(p<-9223372036854774784.0))if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[n>>2]=-11;o=-2147483648}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;o=j}else o=o&255;f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else f[m+(g<<2)>>2]=o&255;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}}if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24!=i<<24>>24){p=+(o&255)*d+e;if(p<-9223372036854774784.0){f[n>>2]=-11;o=-2147483648;break}if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}}else{f[l>>2]=1;o=j}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else{p=+(o&255)*d+e;if(p<-9223372036854774784.0){f[n>>2]=-11;f[m+(g<<2)>>2]=-2147483648;break}if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647}else o=~~p;f[m+(g<<2)>>2]=o}while(0);g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}function dm(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h){if(q){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{f[m+(o<<2)>>2]=d[a+(o<<1)>>1];o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(h<<1)>>1]|0)*e+g;do if(!(p<-9223372036854774784.0))if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[n>>2]=-11;o=-2147483648}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;o=j}else o=o<<16>>16;f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else f[m+(h<<2)>>2]=o<<16>>16;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}}if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-9223372036854774784.0){f[n>>2]=-11;o=-2147483648;break}if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}}else{f[l>>2]=1;o=j}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o<<16>>16)*e+g;if(p<-9223372036854774784.0){f[n>>2]=-11;f[m+(h<<2)>>2]=-2147483648;break}if(p>9223372036854774784.0){f[n>>2]=-11;o=2147483647}else o=~~p;f[m+(h<<2)>>2]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}function em(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2];e=p;do if(!(e<-9223372036854774784.0))if(e>9223372036854774784.0){f[m>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[m>>2]=-11;o=-2147483648}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2]*e+g;do if(!(p<-9223372036854774784.0))if(p>9223372036854774784.0){f[m>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[m>>2]=-11;o=-2147483648}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;a:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-9223372036854774784.0){f[m>>2]=-11;o=-2147483648;break a}if(e>9223372036854774784.0){f[m>>2]=-11;o=2147483647;break a}else{o=~~p;break a}}case 1:{f[k>>2]=1;o=i;break}default:o=0}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-9223372036854774784.0){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break b}if(e>9223372036854774784.0){f[m>>2]=-11;o=2147483647}else o=~~p;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}s=g<-9223372036854774784.0;t=g>9223372036854774784.0;u=~~g;if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;c:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-9223372036854774784.0){f[m>>2]=-11;o=-2147483648;break c}if(p>9223372036854774784.0){f[m>>2]=-11;o=2147483647;break c}else{o=~~p;break c}}case 1:{f[k>>2]=1;o=i;break}default:{if(s){f[m>>2]=-11;o=-2147483648;break c}if(t){f[m>>2]=-11;o=2147483647}else o=u}}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-9223372036854774784.0){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break d}if(p>9223372036854774784.0){f[m>>2]=-11;o=2147483647}else o=~~p;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;e:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-9223372036854774784.0){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break e}if(p>9223372036854774784.0){f[m>>2]=-11;o=2147483647}else o=~~p;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;o=2147483647}else o=u;f[l+(r<<2)>>2]=o}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}
function Dj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+96|0;j=m;l=m+8|0;d=f[c>>2]|0;if((d|0)>0){c=d;u=m;return c|0}h=Bx(a)|0;i=8;do{if(i>>>0>=h>>>0){k=15;break}g=a+i|0;e=b[g>>0]|0;i=i+1|0}while(!(e<<24>>24<32|e<<24>>24==127));if((k|0)==15){u=m;return d|0}f[j>>2]=i;f[j+4>>2]=e<<24>>24;ww(l,73759,j)|0;switch(b[g>>0]|0){case 0:{d=l+(Bx(l)|0)|0;e=73815;g=d+14|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}case 9:{d=l+(Bx(l)|0)|0;e=73829;g=d+13|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}case 10:{d=l+(Bx(l)|0)|0;e=73842;g=d+19|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}case 11:{d=l+(Bx(l)|0)|0;e=73861;g=d+16|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}case 12:{d=l+(Bx(l)|0)|0;e=73877;g=d+19|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}case 13:{d=l+(Bx(l)|0)|0;e=73896;g=d+19|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}case 27:{d=l+(Bx(l)|0)|0;e=73915;g=d+16|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}case 127:{d=l+(Bx(l)|0)|0;e=73931;g=d+16|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));break}default:{}}wj(5,l);Vy(l,a,80)|0;b[l+80>>0]=0;wj(5,l);f[c>>2]=207;c=207;u=m;return c|0}function Ej(a){a=a|0;var c=0,d=0,e=0,f=0;c=Bx(a)|0;if(!c)return;else d=0;do{e=a+d|0;f=(lw(b[e>>0]|0)|0)&255;b[e>>0]=f;d=d+1|0}while((d|0)!=(c|0));return}function Fj(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+160|0;o=q+79|0;j=q+4|0;n=q;f[n>>2]=-1;h=f[g>>2]|0;if((h|0)>0){g=h;u=q;return g|0}b[o>>0]=0;b[j>>0]=0;b[e>>0]=0;i=0;while(1){h=a+i|0;if((b[h>>0]|0)==32)i=i+1|0;else break}yz(o,h,74)|0;p=Bx(c)|0;h=Bx(o)|0;if(!h)k=0;else{h=o+h+-1|0;if((b[h>>0]|0)==32)do{b[h>>0]=0;h=h+-1|0}while((b[h>>0]|0)==32);k=1-o+h|0}if(Cx(o,61)|0){wj(5,73947);wj(5,o);f[g>>2]=207;g=207;u=q;return g|0}if(k>>>0<9?(Cj(o,n)|0)<1:0){xz(e,o)|0;if(k>>>0<8)Fz(e+k|0,32,8-k|0)|0;b[e+8>>0]=61;b[e+9>>0]=32;b[e+10>>0]=0;k=10;l=0;j=0}else m=15;do if((m|0)==15){switch(b[o>>0]|0){case 72:{if(!(vw(o,81697,9)|0))m=18;break}case 104:{if(!(vw(o,73997,9)|0))m=18;break}default:{}}if((m|0)==18){xz(e,o)|0;h=k+3|0;i=e+(Bx(e)|0)|0;if((h+p|0)>>>0>80){b[i>>0]=b[74007]|0;b[i+1>>0]=b[74008]|0;b[i+2>>0]=b[74009]|0;k=k+2|0;l=0;j=0;break}else{b[i>>0]=32;b[i+1>>0]=61;b[i+2>>0]=32;b[i+3>>0]=0;k=h;l=0;j=0;break}}yz(j,o,74)|0;h=zz(j,94907)|0;if(h){i=0;m=0;while(1){f[n>>2]=-1;l=(Cj(h,n)|0)>0;m=l?1:m;h=zz(0,94907)|0;l=i+1|0;if(!h)break;else i=l}f[n>>2]=-1;if((i|0)>-1){h=e+(Bx(e)|0)|0;i=81697;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));xz(e,o)|0;h=k+12|0;i=e+(Bx(e)|0)|0;if((h+p|0)>>>0>80){b[i>>0]=b[74007]|0;b[i+1>>0]=b[74008]|0;b[i+2>>0]=b[74009]|0;k=k+11|0;j=m;break}else{b[i>>0]=32;b[i+1>>0]=61;b[i+2>>0]=32;b[i+3>>0]=0;k=h;j=m;break}}else{h=l;i=m}}else{f[n>>2]=-1;h=0;i=0}if((Cj(o,n)|0)<1){yz(e,o,74)|0;l=e+(Bx(e)|0)|0;b[l>>0]=b[74007]|0;b[l+1>>0]=b[74008]|0;b[l+2>>0]=b[74009]|0;k=k+2|0;l=h;j=i;break}wj(5,74010);wj(5,o);f[g>>2]=207;g=207;u=q;return g|0}while(0);do if(!p){if((k|0)==10?(b[e+8>>0]=32,d|0):0)yz(e,d,70)|0}else{if((b[c>>0]|0)==39){if(k>>>0>77){wj(5,74032);wj(5,a);wj(5,c);f[g>>2]=207;g=207;u=q;return g|0}yz(e,c,80-k|0)|0;i=k+p|0;h=i>>>0<80?i:80;if(i>>>0>79)b[e+79>>0]=39;if(!d)break;if(h>>>0<30&(b[d>>0]|0)!=0){c=~i;Fz(e+h|0,32,(c>>>0>4294967215?c:-81)+31|0)|0;b[e+30>>0]=0;h=30}}else{h=k+p|0;if(h>>>0>80){wj(5,74032);wj(5,a);wj(5,c);f[g>>2]=207;g=207;u=q;return g|0}if(h>>>0<30)yz(e,74092,30-h|0)|0;yz(e,c,80-k|0)|0;h=h>>>0>30?h:30}if((d|0)!=0&h>>>0<77?b[d>>0]|0:0){c=e+(Bx(e)|0)|0;b[c>>0]=32;b[c+1>>0]=47;b[c+2>>0]=32;b[c+3>>0]=0;yz(e,d,77-h|0)|0}}while(0);if((l|0)==1|(j|0)==1){wj(5,74113);wj(5,e)}g=f[g>>2]|0;u=q;return g|0}function Gj(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;k=u;u=u+96|0;j=k;e=f[a>>2]|0;i=a+4|0;if((e|0)!=(f[(f[i>>2]|0)+68>>2]|0))Hj(a,e+1|0,0,d)|0;Vy(j,c,80)|0;b[j+80>>0]=0;c=Bx(j)|0;if(c){g=0;do{e=j+g|0;l=b[e>>0]|0;if(l<<24>>24<32|l<<24>>24==127)b[e>>0]=32;g=g+1|0}while((g|0)!=(c|0));if(c>>>0<80)h=5}else h=5;if((h|0)==5)Fz(j+c|0,32,80-c|0)|0;e=wz(j,92084)|0;e=(e|0)==80?8:e;if(e|0){c=0;do{l=j+c|0;h=(lw(b[l>>0]|0)|0)&255;b[l>>0]=h;c=c+1|0}while((c|0)!=(e|0))}Cj(j,d)|0;l=(f[i>>2]|0)+112|0;l=Ez(f[l>>2]|0,f[l+4>>2]|0,-80,-1)|0;ft(a,l,I,0,d)|0;it(a,80,0,j,d)|0;u=k;return f[d>>2]|0}function Hj(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;t=u;u=u+96|0;q=t;p=t+4|0;o=t+8|0;e=f[d>>2]|0;if((e|0)>0){d=e;u=t;return d|0}if((b|0)<1){f[d>>2]=301;d=301;u=t;return d|0}s=a+4|0;h=f[s>>2]|0;do if((f[h+84>>2]|0)<=(b|0)){e=Ov(f[h+88>>2]|0,(b<<3)+8008|0)|0;if(e|0){h=f[s>>2]|0;f[h+84>>2]=b+1e3;f[h+88>>2]=e;break}f[d>>2]=113;d=113;u=t;return d|0}while(0);g=f[h+68>>2]|0;f[a>>2]=g;a:do if((g+1|0)!=(b|0)){i=b+-1|0;while(1){e=(f[h+80>>2]|0)+1|0;e=(e|0)<(b|0)?e:i;g=(f[h+88>>2]|0)+(e<<3)|0;w=f[g+4>>2]|0;h=h+32|0;v=f[h+4>>2]|0;if(!((w|0)<(v|0)|((w|0)==(v|0)?(f[g>>2]|0)>>>0<(f[h>>2]|0)>>>0:0))){r=18;break}do if((Ij(a,d)|0)<1){if((f[d>>2]|0)<=0){w=(f[(f[s>>2]|0)+88>>2]|0)+(e<<3)|0;if((ft(a,f[w>>2]|0,f[w+4>>2]|0,0,d)|0)<1?(h=f[s>>2]|0,g=h+68|0,k=f[g>>2]|0,v=h+80|0,l=f[v>>2]|0,w=h+96|0,n=w,m=f[n>>2]|0,n=f[n+4>>2]|0,f[g>>2]=e,f[a>>2]=e,f[v>>2]=(l|0)>(e|0)?l:e,h=h+32|0,v=f[h+4>>2]|0,w,f[w>>2]=f[h>>2],f[w+4>>2]=v,(Jj(a,c,d)|0)>0):0){w=f[s>>2]|0;f[w+68>>2]=k;f[a>>2]=k;f[w+80>>2]=l;w=w+96|0;f[w>>2]=m;f[w+4>>2]=n}if((f[d>>2]|0)<=0)break}f[p>>2]=0;Jj(a,c,p)|0;r=19}else r=19;while(0);if((r|0)==19?(r=0,j=f[d>>2]|0,(j|0)>0):0)break;h=f[s>>2]|0;g=f[h+68>>2]|0;if((g+1|0)==(b|0))break a}if((r|0)==18){f[d>>2]=107;w=107;u=t;return w|0}if((j|0)==107){w=107;u=t;return w|0}f[q>>2]=b;ww(o,74188,q)|0;wj(5,o);w=f[d>>2]|0;u=t;return w|0}while(0);do if(c|0?(f[d>>2]|0)<=0:0){e=f[a>>2]|0;if(!((e|0)==0?(w=h+96|0,(f[w>>2]|0)==0&(f[w+4>>2]|0)==0):0)){if((e|0)==(g|0)){w=h+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,d)|0)>0:0)break}else Hj(a,e+1|0,0,d)|0;w=f[s>>2]|0;f[c>>2]=f[w+72>>2];if(!(f[w+1080>>2]|0))break}f[c>>2]=0}while(0);w=f[d>>2]|0;u=t;return w|0}function Ij(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+96|0;j=k;i=k+8|0;e=k+4|0;c=f[a>>2]|0;h=a+4|0;d=f[h>>2]|0;if((c|0)==(f[d+68>>2]|0)){if((f[d+76>>2]|0)==1){Ig(75872,e)|0;c=f[h>>2]|0;if((f[c+4>>2]|0)!=(f[e>>2]|0)){Kj(a,b)|0;c=f[h>>2]|0}e=c+976|0;d=f[e+4>>2]|0;if((d|0)>0|(d|0)==0&(f[e>>2]|0)>>>0>0)Yj(a,b)|0;Zj(a,b)|0}}else Hj(a,c+1|0,0,b)|0;c=f[h>>2]|0;if((f[c+8>>2]|0)==1?(g=f[c+960>>2]|0,(g|0)!=0):0){Mv(g);c=f[h>>2]|0;f[c+960>>2]=0;if(f[c+1220>>2]|0){a=((f[c+1104>>2]|0)+-1|0)/(f[c+1044>>2]|0)|0;if((a|0)>=0){e=0;while(1){d=f[(f[c+1232>>2]|0)+(e<<2)>>2]|0;if(d){Mv(d);c=f[h>>2]|0}d=f[(f[c+1236>>2]|0)+(e<<2)>>2]|0;if(d){Mv(d);c=f[h>>2]|0}if((e|0)==(a|0))break;else e=e+1|0}}Mv(f[c+1240>>2]|0);Mv(f[(f[h>>2]|0)+1228>>2]|0);Mv(f[(f[h>>2]|0)+1224>>2]|0);Mv(f[(f[h>>2]|0)+1236>>2]|0);Mv(f[(f[h>>2]|0)+1232>>2]|0);Mv(f[(f[h>>2]|0)+1220>>2]|0);c=f[h>>2]|0;h=c+1220|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0}}d=f[b>>2]|0;if((d|0)<1|(d|0)==999){j=d;u=k;return j|0}f[j>>2]=f[c+68>>2];ww(i,75882,j)|0;wj(5,i);j=f[b>>2]|0;u=k;return j|0}function Jj(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=u;u=u+400|0;r=t;n=t+314|0;p=t+239|0;q=t+168|0;o=t+95|0;e=t+24|0;s=t+4|0;g=f[d>>2]|0;if((g|0)>0){s=g;u=t;return s|0}a:do if((Tn(a,1,n,d)|0)>0)wj(5,74315);else{Vy(p,n,8)|0;b[p+8>>0]=0;g=p+7|0;if((((((((b[g>>0]|0)==32?(b[g>>0]=0,h=p+6|0,(b[h>>0]|0)==32):0)?(b[h>>0]=0,i=p+5|0,(b[i>>0]|0)==32):0)?(b[i>>0]=0,j=p+4|0,(b[j>>0]|0)==32):0)?(b[j>>0]=0,k=p+3|0,(b[k>>0]|0)==32):0)?(b[k>>0]=0,l=p+2|0,(b[l>>0]|0)==32):0)?(b[l>>0]=0,m=p+1|0,(b[m>>0]|0)==32):0)?(b[m>>0]=0,(b[p>>0]|0)==32):0)b[p>>0]=0;if((Mj(n,q,o,d)|0)>0){wj(5,74361);wj(5,n);break}b:do if(!(tw(p,98861)|0)){Nj(a,d)|0;if(c|0)f[c>>2]=0}else{if(tw(p,98876)|0)switch(b[n>>0]|0){case 10:case 0:{f[d>>2]=107;break b}default:{f[d>>2]=252;wj(5,74434);wj(5,n);break b}}if((Oj(q,e,d)|0)>0){wj(5,82205);wj(5,q);break a}while(1)if((b[e>>0]|0)==32)e=e+1|0;else break;if(!(tw(e,92122)|0)){Pj(a,d)|0;if(!c)break;f[c>>2]=1;break}if((tw(e,92573)|0?tw(e,74417)|0:0)?tw(e,74426)|0:0){f[r>>2]=0;Nj(a,r)|0;e=f[r>>2]|0;g=(c|0)!=0;if(g&(e|0)==251){f[c>>2]=-1;break}f[d>>2]=e;if(!g)break;f[c>>2]=0;break}Qj(a,d)|0;if(c|0)f[c>>2]=2}while(0);e=a+4|0;g=f[e>>2]|0;r=(f[g+88>>2]|0)+((f[g+68>>2]|0)+1<<3)|0;p=f[r+4>>2]|0;c=g+32|0;q=f[c+4>>2]|0;g=g+40|0;if((p|0)<(q|0)|((p|0)==(q|0)?(f[r>>2]|0)>>>0<(f[c>>2]|0)>>>0:0)){f[g>>2]=0;break}f[g>>2]=1;fh(a,s,d)|0;if(tw(s,97380)|0?tw(s,85192)|0:0)break;s=f[e>>2]|0;s=(f[s+88>>2]|0)+((f[s+68>>2]|0)+1<<3)|0;hh(a,f[s>>2]|0,f[s+4>>2]|0,d)|0}while(0);s=f[d>>2]|0;u=t;return s|0}function Kj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;t=u;u=u+272|0;m=t+16|0;r=t+28|0;e=t+24|0;i=t+8|0;s=t;k=t+176|0;q=t+103|0;l=t+32|0;f[e>>2]=0;c=f[b>>2]|0;if((c|0)>0){b=c;u=t;return b|0}d=f[a>>2]|0;j=a+4|0;c=f[j>>2]|0;if((d|0)==(f[c+68>>2]|0)){if((f[c+76>>2]|0)==1){h=c+120|0;if(!((f[h>>2]|0)==-1?(f[h+4>>2]|0)==-1:0)){if(f[c+72>>2]|0){Fn(a,2,b)|0;e=(Rn(a,106765,i,q,e)|0)>0;c=f[j>>2]|0;h=c+944|0;g=f[h>>2]|0;h=f[h+4>>2]|0;if(e){d=i;f[d>>2]=g;f[d+4>>2]=h;d=h;e=g}else{e=i;d=f[e+4>>2]|0;e=f[e>>2]|0}if((h|0)>(d|0)|(h|0)==(d|0)&g>>>0>e>>>0?(i=c+936|0,(f[i>>2]|0)==(e|0)?(f[i+4>>2]|0)==(d|0):0):0){p[m>>3]=+(g>>>0)+4294967296.0*+(h|0);ww(l,74230,m)|0;Fj(106765,l,q,k,b)|0;Gj(a,k,b)|0;c=f[j>>2]|0}}m=c+976|0;l=f[m+4>>2]|0;if((l|0)>0|(l|0)==0&(f[m>>2]|0)>>>0>0?(Fn(a,2,b)|0,Rn(a,98954,s,q,b)|0,o=(f[j>>2]|0)+976|0,n=f[o>>2]|0,o=f[o+4>>2]|0,s,!((n|0)==(f[s>>2]|0)?(o|0)==(f[s+4>>2]|0):0)):0)op(a,98954,n,o,q,b)|0}if((Lj(a,b)|0)<1)Jj(a,r,b)|0}}else Hj(a,d+1|0,0,b)|0;b=f[b>>2]|0;u=t;return b|0}function Lj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=u;u=u+256|0;o=s;q=s+166|0;r=s+85|0;n=s+4|0;d=n;g=d+81|0;do{b[d>>0]=0;d=d+1|0}while((d|0)<(g|0));d=f[c>>2]|0;if((d|0)>0){c=d;u=s;return c|0}p=a+4|0;g=f[p>>2]|0;k=g+96|0;j=f[k>>2]|0;k=f[k+4>>2]|0;g=g+120|0;d=g;e=f[d>>2]|0;d=f[d+4>>2]|0;if((e|0)==-1&(d|0)==-1){d=Xz(j|0,k|0,2880,0)|0;e=I;i=Ez(j|0,k|0,2880,0)|0;e=Dz(i|0,I|0,d|0,e|0)|0;d=I;i=g;f[i>>2]=e;f[i+4>>2]=d}i=Dz(e|0,d|0,j|0,k|0)|0;i=Jz(i|0,I|0,80,0)|0;d=q;e=89356;g=d+41|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));d=q+(Bx(q)|0)|0;e=89356;g=d+41|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));d=r;e=74235;g=d+41|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));d=r+(Bx(r)|0)|0;e=89356;g=d+41|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));f[o>>2]=0;ft(a,j,k,0,o)|0;h=(i|0)>0;a:do if(h){d=0;while(1){kt(a,80,0,n,o)|0;if(f[o>>2]|0){e=13;break a}if(vw(n,q,80)|0?vw(n,r,80)|0:0){g=0;e=10;break a}d=d+1|0;if((d|0)>=(i|0)){g=0;e=10;break}}}else{g=(f[o>>2]|0)!=0;d=0;e=10}while(0);if((e|0)==10)if(!((d|0)!=(i|0)|g)?(l=(f[p>>2]|0)+120|0,l=Ez(f[l>>2]|0,f[l+4>>2]|0,-2880,-1)|0,m=I,g=(k|0)>(m|0)|(k|0)==(m|0)&j>>>0>l>>>0,l=g?j:l,m=g?k:m,ft(a,l,m,0,o)|0,kt(a,80,0,n,o)|0,n=vw(n,r,80)|0,(f[o>>2]|n|0)==0):0){a=(f[p>>2]|0)+104|0;f[a>>2]=l;f[a+4>>2]=m}else e=13;if((e|0)==13){g=(f[p>>2]|0)+96|0;e=f[g>>2]|0;g=f[g+4>>2]|0;ft(a,e,g,1,c)|0;if(h){d=0;do{it(a,80,0,q,c)|0;d=d+1|0}while((d|0)!=(i|0))}o=(f[p>>2]|0)+120|0;o=Ez(f[o>>2]|0,f[o+4>>2]|0,-2880,-1)|0;q=I;n=(g|0)>(q|0)|(g|0)==(q|0)&e>>>0>o>>>0;o=n?e:o;q=n?g:q;ft(a,o,q,0,c)|0;it(a,80,0,r,c)|0;a=(f[p>>2]|0)+104|0;f[a>>2]=o;f[a+4>>2]=q;if((f[c>>2]|0)>0)wj(5,74276)}c=f[c>>2]|0;u=s;return c|0}function Mj(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;i=f[e>>2]|0;if((i|0)>0){e=i;return e|0}b[c>>0]=0;o=(d|0)!=0;if(o)b[d>>0]=0;n=Bx(a)|0;i=b[a>>0]|0;j=i<<24>>24==72;do if(j?(vw(a,81697,9)|0)==0:0){i=wz(a,92084)|0;if((i|0)!=(n|0)){h=i+1|0;break}a:do if(o&n>>>0>8?(Jx(d,a+8|0)|0,h=n+-9|0,(h|0)>-1):0)while(1){g=d+h|0;if((b[g>>0]|0)!=32)break a;b[g>>0]=0;if((h|0)>0)h=h+-1|0;else break}while(0);e=f[e>>2]|0;return e|0}else m=13;while(0);b:do if((m|0)==13){c:do if(n>>>0>=9){h=i<<24>>24==67;if(!(h?!(vw(a,92086,8)|0):0))m=16;do if((m|0)==16){if(j){if(!(vw(a,92095,8)|0))break}else if(i<<24>>24==69?(vw(a,75765,8)|0)==0:0)break;if(h){if(!(vw(a,92113,8)|0))break}else if(i<<24>>24==32?(vw(a,92104,8)|0)==0:0)break;h=a+8|0;if((b[h>>0]|0)==61?(vw(h,74007,2)|0)==0:0){h=10;break b}i=wz(a,92084)|0;if((i|0)!=(n|0)){h=i+1|0;break b}d:do if(o?(Jx(d,h)|0,l=n+-9|0,(l|0)>-1):0){h=l;while(1){g=d+h|0;if((b[g>>0]|0)!=32)break d;b[g>>0]=0;if((h|0)>0)h=h+-1|0;else break}}while(0);e=f[e>>2]|0;return e|0}while(0);if(o?(Jx(d,a+8|0)|0,k=n+-9|0,(k|0)>-1):0){h=k;while(1){g=d+h|0;if((b[g>>0]|0)!=32)break c;b[g>>0]=0;if((h|0)>0)h=h+-1|0;else break}}}while(0);e=f[e>>2]|0;return e|0}while(0);j=(Zy(a+h|0,94907)|0)+h|0;if((j|0)==(n|0)){e=f[e>>2]|0;return e|0}i=a+j|0;e:do switch(b[i>>0]|0){case 47:{h=j+1|0;break}case 39:{b[c>>0]=39;h=j+1|0;f:do if(h>>>0<n>>>0){l=h;h=1;while(1){i=b[a+l>>0]|0;if(i<<24>>24==39){k=j+2|0;i=a+k|0;m=(b[i>>0]|0)==39;b[c+h>>0]=39;if(!m){i=l;break f}i=b[i>>0]|0;j=k;h=h+1|0}else j=l;b[c+h>>0]=i;h=h+1|0;i=j+1|0;if(i>>>0<n>>>0)l=i;else break}}else{i=h;h=1}while(0);if((i|0)==(n|0)){h=(h|0)<69?h:69;b[c+h>>0]=39;b[c+(h+1)>>0]=0;wj(5,75774);wj(5,a);h=n;break e}else{b[c+(h+1)>>0]=0;h=j+2|0;break e}}case 40:{h=wz(i,81758)|0;if((h|0)!=(Bx(i)|0)){h=h+1|0;Vy(c,i,h)|0;b[c+h>>0]=0;h=h+j|0;break e}wj(5,75822);wj(5,a);f[e>>2]=205;e=205;return e|0}default:{h=wz(i,75869)|0;Vy(c,i,h)|0;b[c+h>>0]=0;h=h+j|0}}while(0);g:do if(o?(g=(Zy(a+h|0,94907)|0)+h|0,g>>>0<80):0){h=g+1|0;if((b[a+g>>0]|0)==47)g=(b[a+h>>0]|0)==32?g+2|0:h;xz(d,a+g|0)|0;g=Bx(d)|0;if((g|0)>0)do{i=g;g=g+-1|0;h=d+g|0;if((b[h>>0]|0)!=32)break g;b[h>>0]=0}while((i|0)>1)}while(0);e=f[e>>2]|0;return e|0}function Nj(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;w=u;u=u+8128|0;k=w+8048|0;i=w+8044|0;e=w+8036|0;j=w+8032|0;h=w+8024|0;t=w+8020|0;m=w+8016|0;l=w+24|0;q=w+16|0;r=w+8|0;s=w;g=w+8052|0;c=f[b>>2]|0;if((c|0)>0){b=c;u=w;return b|0}d=f[a>>2]|0;v=a+4|0;c=f[v>>2]|0;if((d|0)!=(f[c+68>>2]|0)){Hj(a,d+1|0,0,b)|0;c=f[v>>2]|0}f[c+72>>2]=0;n=c+32|0;o=f[n+4>>2]|0;c=c+96|0;f[c>>2]=f[n>>2];f[c+4>>2]=o;f[k>>2]=0;f[i>>2]=f[b>>2];co(a,999,w+8040|0,e,j,l,t,m,w+8028|0,r,s,q,h,b)|0;c=f[b>>2]|0;if((c|0)!=233){if((c|0)>0){b=c;u=w;return b|0}}else f[b>>2]=f[i>>2];o=f[v>>2]|0;d=o+112|0;c=f[d>>2]|0;d=f[d+4>>2]|0;n=((f[h>>2]|0)*80|0)+80|0;n=Dz(c|0,d|0,n|0,((n|0)<0)<<31>>31|0)|0;h=o+96|0;f[h>>2]=n;f[h+4>>2]=I;h=Ez(c|0,d|0,-80,-1)|0;h=Xz(h|0,I|0,2880,0)|0;n=I;d=Ez(c|0,d|0,2800,0)|0;n=Dz(d|0,I|0,h|0,n|0)|0;o=o+120|0;f[o>>2]=n;f[o+4>>2]=I;o=l;if((f[j>>2]|0)>0&((f[o>>2]|0)==0&(f[o+4>>2]|0)==0)?(f[i>>2]=0,Fn(a,2,b)|0,Pn(a,91630,k,g,i)|0):0)f[k>>2]=0;switch(f[e>>2]|0){case 8:{n=1;o=11;break}case 16:{n=2;o=21;break}case 32:{n=4;o=41;break}case 64:{n=8;o=81;break}case -32:{n=4;o=42;break}case -64:{n=8;o=82;break}default:{n=0;o=0}}a=f[j>>2]|0;c=f[v>>2]|0;f[c+128>>2]=a;h=(a|0)==0;if(!h){e=(f[k>>2]|0)==0;j=l;i=f[j>>2]|0;j=f[j+4>>2]|0;d=e?i:1;e=e?j:0;k=c+136|0;f[k>>2]=i;f[k+4>>2]=j;if((a|0)>1){g=1;do{j=l+(g<<3)|0;i=f[j>>2]|0;j=f[j+4>>2]|0;d=Sz(i|0,j|0,d|0,e|0)|0;e=I;k=c+136+(g<<3)|0;f[k>>2]=i;f[k+4>>2]=j;g=g+1|0}while((g|0)<(a|0));j=d;i=e}else{j=d;i=e}}else{j=0;i=0}y=c+120|0;z=f[y>>2]|0;y=f[y+4>>2]|0;g=f[t>>2]|0;g=Ez(g|0,((g|0)<0)<<31>>31|0,j|0,i|0)|0;g=Sz(g|0,I|0,n|0,0)|0;a=I;d=f[m>>2]|0;e=((d|0)<0)<<31>>31;k=Sz(g|0,a|0,d|0,e|0)|0;l=I;B=Ez(k|0,l|0,2879,0)|0;A=I;m=Xz(B|0,A|0,2880,0)|0;x=I;y=Ez(B|0,A|0,z|0,y|0)|0;x=Dz(y|0,I|0,m|0,x|0)|0;m=(f[c+88>>2]|0)+((f[c+68>>2]|0)+1<<3)|0;f[m>>2]=x;f[m+4>>2]=I;m=c+968|0;f[m>>2]=k;f[m+4>>2]=l;m=c+976|0;f[m>>2]=0;f[m+4>>2]=0;f[c+1080>>2]=0;do if(h){B=c+952|0;f[B>>2]=0;f[B+4>>2]=0;f[c+928>>2]=0;if(f[c+1220>>2]|0){g=((f[c+1104>>2]|0)+-1|0)/(f[c+1044>>2]|0)|0;if((g|0)>=0){e=0;while(1){d=f[(f[c+1232>>2]|0)+(e<<2)>>2]|0;if(d){Mv(d);c=f[v>>2]|0}d=f[(f[c+1236>>2]|0)+(e<<2)>>2]|0;if(d){Mv(d);c=f[v>>2]|0}if((e|0)==(g|0))break;else e=e+1|0}}Mv(f[c+1240>>2]|0);Mv(f[(f[v>>2]|0)+1228>>2]|0);Mv(f[(f[v>>2]|0)+1224>>2]|0);Mv(f[(f[v>>2]|0)+1236>>2]|0);Mv(f[(f[v>>2]|0)+1232>>2]|0);Mv(f[(f[v>>2]|0)+1220>>2]|0);c=f[v>>2]|0;B=c+1220|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0}d=f[c+960>>2]|0;if(d){Mv(d);c=f[v>>2]|0}f[c+960>>2]=0;B=c+936|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0}else{B=c+944|0;f[B>>2]=d;f[B+4>>2]=e;B=c+936|0;f[B>>2]=d;f[B+4>>2]=e;B=c+952|0;f[B>>2]=g;f[B+4>>2]=a;f[c+928>>2]=2;if(f[c+1220>>2]|0){g=((f[c+1104>>2]|0)+-1|0)/(f[c+1044>>2]|0)|0;if((g|0)>=0){e=0;while(1){d=f[(f[c+1232>>2]|0)+(e<<2)>>2]|0;if(d){Mv(d);c=f[v>>2]|0}d=f[(f[c+1236>>2]|0)+(e<<2)>>2]|0;if(d){Mv(d);c=f[v>>2]|0}if((e|0)==(g|0))break;else e=e+1|0}}Mv(f[c+1240>>2]|0);Mv(f[(f[v>>2]|0)+1228>>2]|0);Mv(f[(f[v>>2]|0)+1224>>2]|0);Mv(f[(f[v>>2]|0)+1236>>2]|0);Mv(f[(f[v>>2]|0)+1232>>2]|0);Mv(f[(f[v>>2]|0)+1220>>2]|0);c=f[v>>2]|0;B=c+1220|0;f[B>>2]=0;f[B+4>>2]=0;f[B+8>>2]=0;f[B+12>>2]=0;f[B+16>>2]=0;f[B+20>>2]=0}c=f[c+960>>2]|0;if(c|0)Mv(c);c=Nv(2,160)|0;if(c|0){B=f[v>>2]|0;f[B+960>>2]=c;f[c+80>>2]=o;f[c+152>>2]=n;x=f[t>>2]|0;A=c+88|0;f[A>>2]=x;f[A+4>>2]=((x|0)<0)<<31>>31;p[c+96>>3]=1.0;A=q;z=f[A>>2]|0;A=f[A+4>>2]|0;y=c+112|0;f[y>>2]=z;f[y+4>>2]=A;x=X(x,n)|0;y=c+232|0;f[y>>2]=x;f[y+4>>2]=((x|0)<0)<<31>>31;f[c+240>>2]=o;f[c+312>>2]=n;y=c+248|0;f[y>>2]=j;f[y+4>>2]=i;p[c+256>>3]=+p[r>>3];p[c+264>>3]=+p[s>>3];c=c+272|0;f[c>>2]=z;f[c+4>>2]=A;c=B;break}wj(5,75700);f[(f[v>>2]|0)+960>>2]=0;f[b>>2]=111;B=111;u=w;return B|0}while(0);z=(f[c+88>>2]|0)+(f[c+68>>2]<<3)|0;A=f[z+4>>2]|0;B=c+112|0;f[B>>2]=f[z>>2];f[B+4>>2]=A;B=f[b>>2]|0;u=w;return B|0}function Oj(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}switch(b[a>>0]|0){case 39:{j=Bx(a)|0;a:do if(j>>>0>1){i=1;g=0;while(1){e=b[a+i>>0]|0;if(e<<24>>24==39){h=i+1|0;if((b[a+h>>0]|0)==39)e=39;else{e=i;break a}}else h=i;b[c+g>>0]=e;e=h+1|0;g=g+1|0;if(e>>>0<j>>>0)i=e;else break}}else{e=1;g=0}while(0);b[c+g>>0]=0;if((e|0)==(j|0)){wj(5,75652);wj(5,a);f[d>>2]=205;d=205;return d|0}b:do if((g|0)>0)do{h=g;g=g+-1|0;e=c+g|0;if((b[e>>0]|0)!=32)break b;b[e>>0]=0}while((h|0)>1);while(0);d=f[d>>2]|0;return d|0}case 0:{b[c>>0]=0;f[d>>2]=204;d=204;return d|0}default:{Jx(c,a)|0;d=f[d>>2]|0;return d|0}}return 0}function Pj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=u;u=u+512|0;D=G+88|0;C=G+80|0;B=G+72|0;A=G+64|0;z=G+56|0;F=G+48|0;E=G+40|0;y=G+32|0;i=G+24|0;x=G+488|0;k=G+96|0;h=G+16|0;w=G+8|0;v=G;t=G+406|0;l=G+335|0;j=G+262|0;s=G+181|0;g=G+100|0;d=f[c>>2]|0;if((d|0)>0){F=d;u=G;return F|0}e=f[a>>2]|0;r=a+4|0;d=f[r>>2]|0;if((e|0)!=(f[d+68>>2]|0)){Hj(a,e+1|0,0,c)|0;d=f[r>>2]|0}f[d+72>>2]=1;m=d+32|0;n=f[m+4>>2]|0;o=d+96|0;f[o>>2]=f[m>>2];f[o+4>>2]=n;if((go(a,w,v,h,k,c)|0)>0){F=f[c>>2]|0;u=G;return F|0}o=h;if(!((f[o>>2]|0)==0&(f[o+4>>2]|0)==0)){wj(5,75294);f[i>>2]=f[h>>2];ww(g,75350,i)|0;wj(5,g);f[c>>2]=214;F=214;u=G;return F|0}m=w;n=f[m+4>>2]|0;d=f[r>>2]|0;o=d+952|0;f[o>>2]=f[m>>2];f[o+4>>2]=n;f[d+928>>2]=f[k>>2];if(f[d+1220>>2]|0){h=((f[d+1104>>2]|0)+-1|0)/(f[d+1044>>2]|0)|0;if((h|0)>=0){g=0;while(1){e=f[(f[d+1232>>2]|0)+(g<<2)>>2]|0;if(e){Mv(e);d=f[r>>2]|0}e=f[(f[d+1236>>2]|0)+(g<<2)>>2]|0;if(e){Mv(e);d=f[r>>2]|0}if((g|0)==(h|0))break;else g=g+1|0}}Mv(f[d+1240>>2]|0);Mv(f[(f[r>>2]|0)+1228>>2]|0);Mv(f[(f[r>>2]|0)+1224>>2]|0);Mv(f[(f[r>>2]|0)+1236>>2]|0);Mv(f[(f[r>>2]|0)+1232>>2]|0);Mv(f[(f[r>>2]|0)+1220>>2]|0);d=f[r>>2]|0;o=d+1220|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0}d=f[d+960>>2]|0;if(d|0)Mv(d);d=f[k>>2]|0;if((d|0)>0){d=Nv(d,160)|0;if(!d){wj(5,75365);f[(f[r>>2]|0)+960>>2]=0;f[c>>2]=111;F=111;u=G;return F|0}f[(f[r>>2]|0)+960>>2]=d;g=f[k>>2]|0;e=0;while(1){b[d>>0]=0;p[d+96>>3]=1.0;p[d+104>>3]=0.0;b[d+120>>0]=1;o=d+72|0;f[o>>2]=-1;f[o+4>>2]=-1;f[d+80>>2]=-9999;e=e+1|0;if((e|0)>=(g|0))break;else d=d+160|0}d=f[r>>2]|0}else{d=f[r>>2]|0;f[d+960>>2]=0}o=v;g=f[o>>2]|0;o=f[o+4>>2]|0;n=d+944|0;f[n>>2]=g;f[n+4>>2]=o;n=d+936|0;f[n>>2]=g;f[n+4>>2]=o;n=w;o=Sz(f[n>>2]|0,f[n+4>>2]|0,g|0,o|0)|0;g=d+968|0;f[g>>2]=o;f[g+4>>2]=I;g=d+976|0;f[g>>2]=0;f[g+4>>2]=0;f[d+1080>>2]=0;g=8;o=0;a:while(1){Xn(a,g,t,l,j,c)|0;d=f[c>>2]|0;switch(d|0){case 107:{q=29;break a}case 205:{q=l+(Bx(l)|0)|0;b[q>>0]=39;b[q+1>>0]=0;q=28;break}case 207:{q=28;break}default:if((d|0)>0){q=58;break a}}if((q|0)==28){q=0;f[c>>2]=0;d=0}e=b[t>>0]|0;switch(e<<24>>24){case 84:{Rj(a,t,l,c)|0;d=b[t>>0]|0;break}case 69:{if(!(tw(t,88471)|0)){q=35;break a}else d=69;break}default:d=e}g=g+1|0;o=(b[l>>0]|d|b[j>>0])<<24>>24==0?o+1|0:0}if((q|0)==29){wj(5,75430);f[c>>2]=210;F=210;u=G;return F|0}else if((q|0)==35){j=f[k>>2]|0;m=f[r>>2]|0;b:do if((j|0)>0){l=m+952|0;n=f[m+960>>2]|0;k=0;while(1){g=n+72|0;a=f[g>>2]|0;g=f[g+4>>2]|0;if((f[n+80>>2]|0)==-9999){q=38;break}if((a|0)==-1&(g|0)==-1){q=43;break}i=l;h=f[i>>2]|0;i=f[i+4>>2]|0;if(!((h|0)==0&(i|0)==0)){e=k+1|0;if(!(((g|0)>-1|(g|0)==-1&a>>>0>4294967295)&((g|0)<(i|0)|(g|0)==(i|0)&a>>>0<h>>>0))){q=49;break}q=f[n+152>>2]|0;q=Ez(q|0,((q|0)<0)<<31>>31|0,a|0,g|0)|0;k=I;if((k|0)>(i|0)|(k|0)==(i|0)&q>>>0>h>>>0){q=55;break}}else e=k+1|0;if((e|0)<(j|0)){n=n+160|0;k=e}else break b}if((q|0)==38){b[t>>0]=0;if((k|0)<-1)f[c>>2]=206;else{f[y>>2]=k+1;ww(x,91502,y)|0;b[t>>0]=b[92423]|0;b[t+1>>0]=b[92424]|0;b[t+2>>0]=b[92425]|0;b[t+3>>0]=b[92426]|0;b[t+4>>0]=b[92427]|0;b[t+5>>0]=b[92428]|0;xz(t,x)|0}f[E>>2]=t;ww(s,75485,E)|0;wj(5,s);f[c>>2]=232;F=232;u=G;return F|0}else if((q|0)==43){b[t>>0]=0;if((k|0)<-1)f[c>>2]=206;else{f[F>>2]=k+1;ww(x,91502,F)|0;b[t>>0]=b[92417]|0;b[t+1>>0]=b[92418]|0;b[t+2>>0]=b[92419]|0;b[t+3>>0]=b[92420]|0;b[t+4>>0]=b[92421]|0;b[t+5>>0]=b[92422]|0;xz(t,x)|0}f[z>>2]=t;ww(s,75485,z)|0;wj(5,s);f[c>>2]=231;F=231;u=G;return F|0}else if((q|0)==49){b[t>>0]=0;if((k|0)<-1)f[c>>2]=206;else{f[A>>2]=e;ww(x,91502,A)|0;b[t>>0]=b[92417]|0;b[t+1>>0]=b[92418]|0;b[t+2>>0]=b[92419]|0;b[t+3>>0]=b[92420]|0;b[t+4>>0]=b[92421]|0;b[t+5>>0]=b[92422]|0;xz(t,x)|0}f[B>>2]=t;f[B+4>>2]=a;ww(s,75526,B)|0;wj(5,s);f[c>>2]=234;F=234;u=G;return F|0}else if((q|0)==55){f[C>>2]=e;ww(s,75575,C)|0;wj(5,s);F=f[(f[r>>2]|0)+952>>2]|0;f[D>>2]=n+140;f[D+4>>2]=F;ww(s,75623,D)|0;wj(5,s);f[c>>2]=236;F=236;u=G;return F|0}}while(0);F=m+112|0;z=F;D=f[z>>2]|0;z=f[z+4>>2]|0;A=(o*80|0)+80|0;A=Dz(D|0,z|0,A|0,((A|0)<0)<<31>>31|0)|0;C=m+96|0;f[C>>2]=A;f[C+4>>2]=I;z=Ez(D|0,z|0,-80,-1)|0;D=I;C=Xz(z|0,D|0,2880,0)|0;C=Dz(z|0,D|0,C|0,I|0)|0;C=Ez(C|0,I|0,2880,0)|0;D=I;z=m+120|0;f[z>>2]=C;f[z+4>>2]=D;z=w;A=v;z=Sz(f[A>>2]|0,f[A+4>>2]|0,f[z>>2]|0,f[z+4>>2]|0)|0;z=Ez(z|0,I|0,2879,0)|0;A=I;E=Xz(z|0,A|0,2880,0)|0;B=I;D=Ez(z|0,A|0,C|0,D|0)|0;B=Dz(D|0,I|0,E|0,B|0)|0;E=f[m+88>>2]|0;D=f[m+68>>2]|0;C=E+(D+1<<3)|0;f[C>>2]=B;f[C+4>>2]=I;D=E+(D<<3)|0;E=f[D+4>>2]|0;f[F>>2]=f[D>>2];f[F+4>>2]=E;F=d;u=G;return F|0}else if((q|0)==58){u=G;return d|0}return 0}function Qj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;z=u;u=u+384|0;y=z+48|0;t=z+40|0;s=z+32|0;q=z+360|0;m=z+56|0;j=z+24|0;w=z+16|0;i=z+8|0;r=z;o=z+285|0;l=z+214|0;k=z+141|0;x=z+60|0;d=f[c>>2]|0;if((d|0)>0){y=d;u=z;return y|0}e=f[a>>2]|0;v=a+4|0;d=f[v>>2]|0;if((e|0)!=(f[d+68>>2]|0)){Hj(a,e+1|0,0,c)|0;d=f[v>>2]|0}f[d+72>>2]=2;e=d+32|0;g=f[e+4>>2]|0;h=d+96|0;f[h>>2]=f[e>>2];f[h+4>>2]=g;if((go(a,w,i,j,m,c)|0)>0){y=f[c>>2]|0;u=z;return y|0}e=w;g=f[e+4>>2]|0;d=f[v>>2]|0;h=d+952|0;f[h>>2]=f[e>>2];f[h+4>>2]=g;f[d+928>>2]=f[m>>2];if(f[d+1220>>2]|0){h=((f[d+1104>>2]|0)+-1|0)/(f[d+1044>>2]|0)|0;if((h|0)>=0){g=0;while(1){e=f[(f[d+1232>>2]|0)+(g<<2)>>2]|0;if(e){Mv(e);d=f[v>>2]|0}e=f[(f[d+1236>>2]|0)+(g<<2)>>2]|0;if(e){Mv(e);d=f[v>>2]|0}if((g|0)==(h|0))break;else g=g+1|0}}Mv(f[d+1240>>2]|0);Mv(f[(f[v>>2]|0)+1228>>2]|0);Mv(f[(f[v>>2]|0)+1224>>2]|0);Mv(f[(f[v>>2]|0)+1236>>2]|0);Mv(f[(f[v>>2]|0)+1232>>2]|0);Mv(f[(f[v>>2]|0)+1220>>2]|0);d=f[v>>2]|0;h=d+1220|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;f[h+16>>2]=0;f[h+20>>2]=0}d=f[d+960>>2]|0;if(d|0)Mv(d);d=f[m>>2]|0;if((d|0)>0){d=Nv(d,160)|0;if(!d){wj(5,74500);f[(f[v>>2]|0)+960>>2]=0;f[c>>2]=111;y=111;u=z;return y|0}f[(f[v>>2]|0)+960>>2]=d;g=f[m>>2]|0;e=0;while(1){b[d>>0]=0;p[d+96>>3]=1.0;p[d+104>>3]=0.0;h=d+112|0;f[h>>2]=1234554321;f[h+4>>2]=0;f[d+80>>2]=-9999;h=d+88|0;f[h>>2]=1;f[h+4>>2]=0;b[d+120>>0]=0;e=e+1|0;if((e|0)>=(g|0))break;else d=d+160|0}d=f[v>>2]|0}else{d=f[v>>2]|0;f[d+960>>2]=0}e=i;i=f[e>>2]|0;e=f[e+4>>2]|0;h=d+944|0;f[h>>2]=i;f[h+4>>2]=e;h=d+936|0;f[h>>2]=i;f[h+4>>2]=e;h=w;e=Sz(f[h>>2]|0,f[h+4>>2]|0,i|0,e|0)|0;i=d+968|0;f[i>>2]=e;f[i+4>>2]=I;i=j;j=f[i+4>>2]|0;e=d+976|0;f[e>>2]=f[i>>2];f[e+4>>2]=j;f[d+1080>>2]=0;e=8;j=0;a:while(1){Xn(a,e,o,l,k,c)|0;d=f[c>>2]|0;switch(d|0){case 107:{n=27;break a}case 205:{n=l+(Bx(l)|0)|0;b[n>>0]=39;b[n+1>>0]=0;n=26;break}case 207:{n=26;break}default:if((d|0)>0){n=48;break a}}if((n|0)==26){n=0;f[c>>2]=0}d=b[o>>0]|0;switch(d<<24>>24){case 84:{Rj(a,o,l,c)|0;d=b[o>>0]|0;break}case 90:{if((tw(o,99550)|0)==0&(b[l>>0]|0)==84){f[(f[v>>2]|0)+1080>>2]=1;d=90}else d=90;break}case 69:{if(!(tw(o,88471)|0)){n=35;break a}else d=69;break}default:{}}e=e+1|0;j=(b[l>>0]|d|b[k>>0])<<24>>24==0?j+1|0:0}if((n|0)==27){wj(5,74565);f[c>>2]=210;y=210;u=z;return y|0}else if((n|0)==35){i=f[v>>2]|0;d=f[m>>2]|0;b:do if((d|0)>0){g=f[i+960>>2]|0;h=0;while(1){e=h+1|0;if((f[g+80>>2]|0)==-9999)break;if((e|0)<(d|0)){g=g+160|0;h=e}else break b}b[o>>0]=0;if((h|0)<-1)f[c>>2]=206;else{f[s>>2]=e;ww(q,91502,s)|0;b[o>>0]=b[92423]|0;b[o+1>>0]=b[92424]|0;b[o+2>>0]=b[92425]|0;b[o+3>>0]=b[92426]|0;b[o+4>>0]=b[92427]|0;b[o+5>>0]=b[92428]|0;xz(o,q)|0}f[t>>2]=o;ww(x,74621,t)|0;wj(5,x);f[c>>2]=232;y=232;u=z;return y|0}while(0);t=i+112|0;d=f[t>>2]|0;t=f[t+4>>2]|0;o=(j*80|0)+80|0;o=Dz(d|0,t|0,o|0,((o|0)<0)<<31>>31|0)|0;s=i+96|0;f[s>>2]=o;f[s+4>>2]=I;t=Ez(d|0,t|0,-80,-1)|0;d=I;s=Xz(t|0,d|0,2880,0)|0;s=Dz(t|0,d|0,s|0,I|0)|0;s=Ez(s|0,I|0,2880,0)|0;d=I;t=i+120|0;f[t>>2]=s;f[t+4>>2]=d;t=i+968|0;o=i+976|0;q=f[o>>2]|0;o=f[o+4>>2]|0;t=Ez(f[t>>2]|0,f[t+4>>2]|0,2879,0)|0;o=Ez(t|0,I|0,q|0,o|0)|0;q=I;t=Xz(o|0,q|0,2880,0)|0;e=I;d=Ez(o|0,q|0,s|0,d|0)|0;e=Dz(d|0,I|0,t|0,e|0)|0;t=(f[i+88>>2]|0)+((f[i+68>>2]|0)+1<<3)|0;f[t>>2]=e;f[t+4>>2]=I;Sj(a,r,c)|0;t=r;e=f[t>>2]|0;d=f[w>>2]|0;if(!((e|0)==(d|0)?(f[t+4>>2]|0)==(f[w+4>>2]|0):0)){f[y>>2]=d;f[y+4>>2]=e;ww(x,74662,y)|0;wj(5,x);f[c>>2]=241}y=f[v>>2]|0;v=(f[y+88>>2]|0)+(f[y+68>>2]<<3)|0;w=f[v+4>>2]|0;x=y+112|0;f[x>>2]=f[v>>2];f[x+4>>2]=w;if((f[y+1080>>2]|0)==1)ys(a,c)|0;y=f[c>>2]|0;u=z;return y|0}else if((n|0)==48){u=z;return d|0}return 0}function Rj(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;Q=u;u=u+320|0;w=Q+40|0;D=Q+32|0;A=Q+24|0;z=Q+16|0;v=Q+8|0;N=Q+76|0;O=Q+232|0;P=Q+72|0;q=Q+68|0;r=Q+64|0;G=Q+60|0;t=Q+56|0;s=Q+52|0;E=Q;F=Q+161|0;C=Q+48|0;J=Q+80|0;g=f[e>>2]|0;if((g|0)>0){e=g;u=Q;return e|0}f[P>>2]=0;g=f[a>>2]|0;H=a+4|0;if((g|0)!=(f[(f[H>>2]|0)+68>>2]|0))Hj(a,g+1|0,0,e)|0;g=c+1|0;a:do switch(b[g>>0]|0){case 84:{if(!(vw(g,74758,4)|0)){g=c+5|0;a=Wv()|0;f[a>>2]=0;a=kw(g,N,10)|0;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74763;M=K+54|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,g,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if((!((a|0)<1|(f[P>>2]|0)>0)?(m=f[H>>2]|0,(a|0)<=(f[m+928>>2]|0)):0)?(h=f[m+960>>2]|0,(Oj(d,F,P)|0)<=0):0)Jx(h+(a*160|0)+-160|0,F)|0}break}case 70:{if(!(vw(g,74817,4)|0)){g=c+5|0;a=Wv()|0;f[a>>2]=0;a=kw(g,N,10)|0;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74763;M=K+54|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,g,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if((!((a|0)<1|(f[P>>2]|0)>0)?(i=f[H>>2]|0,(a|0)<=(f[i+928>>2]|0)):0)?(y=(f[i+960>>2]|0)+(a*160|0)+-160|0,(Oj(d,F,P)|0)<=0):0){d=y+140|0;Vy(d,F,9)|0;b[d+9>>0]=0;if((f[(f[H>>2]|0)+72>>2]|0)==1){if((Tj(F,q,G,r,e)|0)>0)break a;f[y+80>>2]=16;d=y+88|0;f[d>>2]=1;f[d+4>>2]=0;f[y+152>>2]=f[G>>2];break a}if((Uj(F,q,t,G,e)|0)<=0){d=f[q>>2]|0;f[y+80>>2]=d;a=f[t>>2]|0;g=y+88|0;f[g>>2]=a;f[g+4>>2]=((a|0)<0)<<31>>31;g=y+152|0;if((d|0)==16?(d=f[g>>2]|0,!((d|0)==0|(d|0)>(a|0))):0)break a;f[g>>2]=f[G>>2]}}}break}case 66:{if(!(vw(g,74822,4)|0)){g=c+5|0;a=Wv()|0;f[a>>2]=0;a=kw(g,N,10)|0;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74763;M=K+54|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,g,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if((!((a|0)<1|(f[P>>2]|0)>0)?(j=f[H>>2]|0,(a|0)<=(f[j+928>>2]|0)):0)?(o=(f[j+960>>2]|0)+(a*160|0)+-160|0,(f[j+72>>2]|0)!=2):0)if((Vj(d,s,e)|0)>0){f[v>>2]=c;f[v+4>>2]=d;ww(J,74827,v)|0;wj(5,J);break a}else{P=(f[s>>2]|0)+-1|0;d=o+72|0;f[d>>2]=P;f[d+4>>2]=((P|0)<0)<<31>>31;break a}}break}case 83:{if(!(vw(g,74871,4)|0)){g=c+5|0;a=Wv()|0;f[a>>2]=0;a=kw(g,N,10)|0;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74763;M=K+54|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,g,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if(!((a|0)<1|(f[P>>2]|0)>0)?(k=f[H>>2]|0,(a|0)<=(f[k+928>>2]|0)):0){g=f[k+960>>2]|0;if((Wj(d,E,P)|0)>0){f[z>>2]=c;f[z+4>>2]=d;ww(J,74876,z)|0;wj(5,J);break a}else{p[g+(a*160|0)+-160+96>>3]=+p[E>>3];break a}}}break}case 90:{if(!(vw(g,74918,4)|0)){g=c+5|0;a=Wv()|0;f[a>>2]=0;a=kw(g,N,10)|0;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74763;M=K+54|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,g,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if(!((a|0)<1|(f[P>>2]|0)>0)?(l=f[H>>2]|0,(a|0)<=(f[l+928>>2]|0)):0){g=f[l+960>>2]|0;if((Wj(d,E,P)|0)>0){f[A>>2]=c;f[A+4>>2]=d;ww(J,74876,A)|0;wj(5,J);break a}else{p[g+(a*160|0)+-160+104>>3]=+p[E>>3];break a}}}break}case 78:{if(!(vw(g,80583,4)|0)){g=c+5|0;a=Wv()|0;f[a>>2]=0;a=kw(g,N,10)|0;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}M=Wv()|0;if((f[M>>2]|0)==34){K=O;L=74763;M=K+54|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,g,25)|0;wj(5,O);f[P>>2]=412;M=Wv()|0;f[M>>2]=0}if(!((a|0)<1|(f[P>>2]|0)>0)?(x=f[H>>2]|0,(a|0)<=(f[x+928>>2]|0)):0){h=(f[x+960>>2]|0)+(a*160|0)+-160|0;if((f[x+72>>2]|0)==1){if((Oj(d,F,P)|0)>0)break a;d=h+120|0;Vy(d,F,17)|0;b[d+17>>0]=0;break a}g=Wv()|0;f[g>>2]=0;g=jw(d,N,10)|0;a=I;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74923;M=K+58|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,d,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if((f[P>>2]|0)>0){f[D>>2]=c;f[D+4>>2]=d;ww(J,74827,D)|0;wj(5,J);break a}else{d=h+112|0;f[d>>2]=g;f[d+4>>2]=a;break a}}}break}case 68:{if((vw(g,74981,3)|0)==0?(f[(f[H>>2]|0)+72>>2]|0)!=1:0){g=c+4|0;a=Wv()|0;f[a>>2]=0;a=kw(g,N,10)|0;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74763;M=K+54|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,g,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if(!((a|0)<1|(f[P>>2]|0)>0)?(n=f[H>>2]|0,(a|0)<=(f[n+928>>2]|0)):0){a=(f[n+960>>2]|0)+(a*160|0)+-160|0;g=f[a+80>>2]|0;if((g|0)<16)switch(g|0){case -9999:break;default:break a}else switch(g|0){case 16:break;default:break a}g=Cx(d,40)|0;f[C>>2]=g;if(g|0?(B=g+1|0,f[C>>2]=B,B=kw(B,C,10)|0,f[G>>2]=B,O=a+88|0,d=f[O>>2]|0,O=f[O+4>>2]|0,P=((B|0)<0)<<31>>31,!(((d|0)!=1|(O|0)!=0)&((O|0)<(P|0)|(O|0)==(P|0)&d>>>0<B>>>0))):0)f[a+152>>2]=B}}break}case 72:{if((vw(g,74985,4)|0)==0?(f[(f[H>>2]|0)+72>>2]|0)!=1:0){g=Wv()|0;f[g>>2]=0;g=jw(d,N,10)|0;a=I;switch(b[f[N>>2]>>0]|0){case 32:case 0:break;default:f[P>>2]=407}N=Wv()|0;if((f[N>>2]|0)==34){K=O;L=74923;M=K+58|0;do{b[K>>0]=b[L>>0]|0;K=K+1|0;L=L+1|0}while((K|0)<(M|0));yz(O,d,25)|0;wj(5,O);f[P>>2]=412;O=Wv()|0;f[O>>2]=0}if((f[P>>2]|0)>0){f[w>>2]=c;f[w+4>>2]=d;ww(J,74827,w)|0;wj(5,J);break a}else{d=(f[H>>2]|0)+968|0;f[d>>2]=g;f[d+4>>2]=a;break a}}break}default:{}}while(0);e=f[e>>2]|0;u=Q;return e|0}function Sj(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+96|0;l=m;k=m+4|0;e=f[d>>2]|0;if((e|0)>0){l=e;u=m;return l|0}e=f[a>>2]|0;h=a+4|0;g=f[h>>2]|0;if((e|0)==(f[g+68>>2]|0)){j=g+120|0;if(((f[j>>2]|0)==-1?(f[j+4>>2]|0)==-1:0)?(Kj(a,d)|0)>0:0){l=f[d>>2]|0;u=m;return l|0}}else Hj(a,e+1|0,0,d)|0;e=f[h>>2]|0;j=f[e+928>>2]|0;e=f[e+960>>2]|0;i=c;f[i>>2]=0;f[i+4>>2]=0;a:do if((j|0)>0){g=0;h=0;i=0;b:while(1){a=e+72|0;f[a>>2]=g;f[a+4>>2]=h;g=f[e+80>>2]|0;c:do switch(g|0){case 16:{h=e+88|0;g=f[h>>2]|0;h=f[h+4>>2]|0;break}case 1:{g=e+88|0;g=Jz(Ez(f[g>>2]|0,f[g+4>>2]|0,7,0)|0,I|0,8,0)|0;h=I;break}default:{if((g|0)>0){h=e+88|0;g=Sz(f[h>>2]|0,f[h+4>>2]|0,(g>>>0)/10|0|0,0)|0;h=I;break c}h=e+140|0;a=h;while(1){g=b[a>>0]|0;if(((g<<24>>24)+-48|0)>>>0<10)a=a+1|0;else break}switch(g<<24>>24){case 80:{g=e+88|0;g=Gz(f[g>>2]|0,f[g+4>>2]|0,3)|0;h=I;break c}case 81:{g=e+88|0;g=Gz(f[g>>2]|0,f[g+4>>2]|0,4)|0;h=I;break c}default:break b}}}while(0);a=c;g=Ez(f[a>>2]|0,f[a+4>>2]|0,g|0,h|0)|0;h=I;a=c;f[a>>2]=g;f[a+4>>2]=h;i=i+1|0;if((i|0)>=(j|0))break a;else e=e+160|0}f[l>>2]=h;ww(k,74721,l)|0;wj(5,k);f[d>>2]=261;l=261;u=m;return l|0}while(0);l=f[d>>2]|0;u=m;return l|0}function Tj(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;w=u;u=u+176|0;t=w+8|0;k=w;m=w+20|0;v=w+16|0;l=w+12|0;p=w+105|0;q=w+24|0;h=f[g>>2]|0;if((h|0)>0){v=h;u=w;return v|0}r=(c|0)!=0;if(r)f[c>>2]=0;s=(d|0)!=0;if(s)f[d>>2]=0;o=(e|0)!=0;if(o){f[e>>2]=0;i=0}else i=0;while(1){h=a+i|0;if((b[h>>0]|0)==32)i=i+1|0;else break}Jx(p,h)|0;h=Bx(p)|0;if(h|0){i=0;do{x=p+i|0;y=(lw(b[x>>0]|0)|0)&255;b[x>>0]=y;i=i+1|0}while((i|0)!=(h|0))}switch(b[p>>0]|0){case 0:{wj(5,75130);f[g>>2]=261;y=261;u=w;return y|0}case 65:{h=16;break}case 73:{h=41;break}case 70:{h=42;break}case 69:{h=42;break}case 68:{h=82;break}default:{f[k>>2]=a;ww(q,75169,k)|0;wj(5,q);f[g>>2]=262;y=262;u=w;return y|0}}if(r)f[c>>2]=h;i=p+1|0;k=(h|0)==41;a:do switch(h&127){case 16:case 41:{if((Vj(i,v,g)|0)<1){i=f[v>>2]|0;if((i|0)<1){f[v>>2]=0;i=35;break a}else{h=k&(i|0)<5?21:h;i=34;break a}}else i=34;break}default:if((Xj(i,l,g)|0)<1){j=+n[l>>2];if(!(j<=0.0)){k=~~j;f[v>>2]=k;h=(k|0)>7&(b[p>>0]|0)==70?82:h;i=p+((k|0)<10?2:3)|0;if((b[i>>0]|0)==46?(Vj(i+1|0,m,g)|0)<1:0){i=f[m>>2]|0;if(o)f[e>>2]=i;if((i|0)>=(k|0))f[g>>2]=261;h=(i|0)>6&(b[p>>0]|0)==69?82:h;i=34}else i=34}else i=35}else i=34}while(0);if((i|0)==34){if((f[g>>2]|0)>0)i=36}else if((i|0)==35){f[g>>2]=261;i=36}if((i|0)==36){f[g>>2]=261;f[t>>2]=a;ww(q,75211,t)|0;wj(5,q)}if(r)f[c>>2]=h;if(s)f[d>>2]=f[v>>2];y=f[g>>2]|0;u=w;return y|0}function Uj(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;x=u;u=u+192|0;n=x+16|0;s=x+8|0;l=x;w=x+24|0;v=x+20|0;j=x+109|0;m=x+28|0;h=f[g>>2]|0;if((h|0)>0){w=h;u=x;return w|0}p=(c|0)!=0;if(p)f[c>>2]=0;q=(d|0)!=0;if(q)f[d>>2]=0;r=(e|0)!=0;if(r)f[e>>2]=0;i=Bx(a)|0;a:do if(!i)h=0;else{h=0;do{if((b[a+h>>0]|0)!=32)break a;h=h+1|0}while(h>>>0<i>>>0)}while(0);if((h|0)==(i|0)){wj(5,75036);f[g>>2]=261;w=261;u=x;return w|0}Jx(j,a+h|0)|0;h=Bx(j)|0;if(!h)i=0;else{i=0;do{k=j+i|0;y=(lw(b[k>>0]|0)|0)&255;b[k>>0]=y;i=i+1|0}while((i|0)!=(h|0));i=0}while(1){k=j+i|0;h=b[k>>0]|0;if(((h<<24>>24)+-48|0)>>>0<10)i=i+1|0;else break}if(!i)f[v>>2]=1;else{f[l>>2]=v;qy(j,92733,l)|0;h=b[k>>0]|0}j=(h&-2)<<24>>24==80;i=j?k+1|0:k;b:do switch(b[i>>0]|0){case 85:{f[w>>2]=2;h=20;break}case 73:{f[w>>2]=2;h=21;break}case 86:{f[w>>2]=4;h=40;break}case 74:{f[w>>2]=4;h=41;break}case 75:{f[w>>2]=8;h=81;break}case 69:{f[w>>2]=4;h=42;break}case 68:{f[w>>2]=8;h=82;break}case 65:{h=i+1|0;switch(b[h>>0]|0){case 0:break;case 40:{o=h;t=29;break}default:{o=i;t=29}}if((t|0)==29?(f[s>>2]=w,(qy(o+1|0,92733,s)|0)==1):0){if(j){h=16;break b}if((f[w>>2]|0)<=(f[v>>2]|0)){h=16;break b}}f[w>>2]=f[v>>2];h=16;break}case 76:{f[w>>2]=1;h=14;break}case 88:{f[w>>2]=1;h=1;break}case 66:{f[w>>2]=1;h=11;break}case 83:{f[w>>2]=1;h=12;break}case 67:{f[w>>2]=8;h=83;break}case 77:{f[w>>2]=16;h=163;break}default:{f[n>>2]=a;ww(m,75086,n)|0;wj(5,m);f[g>>2]=262;y=262;u=x;return y|0}}while(0);if(p)f[c>>2]=j?0-h|0:h;if(q)f[d>>2]=f[v>>2];if(r)f[e>>2]=f[w>>2];y=f[g>>2]|0;u=x;return y|0}function Vj(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;i=u;u=u+96|0;g=i;h=i+4|0;e=f[d>>2]|0;if((e|0)>0){d=e;u=i;return d|0}e=Wv()|0;f[e>>2]=0;f[c>>2]=0;e=kw(a,g,10)|0;f[c>>2]=e;switch(b[f[g>>2]>>0]|0){case 32:case 0:break;default:f[d>>2]=407}g=Wv()|0;if((f[g>>2]|0)==34){e=h;c=74763;g=e+54|0;do{b[e>>0]=b[c>>0]|0;e=e+1|0;c=c+1|0}while((e|0)<(g|0));yz(h,a,25)|0;wj(5,h);f[d>>2]=412;h=Wv()|0;f[h>>2]=0}d=f[d>>2]|0;u=i;return d|0}function Wj(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0.0;l=u;u=u+160|0;j=l;k=l+77|0;g=l+4|0;h=f[e>>2]|0;if((h|0)>0){e=h;u=l;return e|0}if(!(b[3014189]|0)){h=Gx()|0;b[3014189]=b[f[h>>2]>>0]|0}h=Wv()|0;f[h>>2]=0;p[c>>3]=0.0;h=(Cx(a,68)|0)!=0;if(h|(b[3014189]|0)==44){Jx(g,a)|0;h=Cx(g,68)|0;f[j>>2]=h;if(h|0)b[h>>0]=69;if((b[3014189]|0)==44?(i=Cx(g,46)|0,f[j>>2]=i,(i|0)!=0):0)b[i>>0]=44}else g=a;m=+sz(g,j);p[c>>3]=m;j=b[f[j>>2]>>0]|0;p[s>>3]=m;g=Oz(f[s>>2]|0,f[s+4>>2]|0,48)|0;switch(j<<24>>24){case 32:case 0:{g=g&65535;break}default:{g=k;h=74990;i=g+46|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));yz(k,a,30)|0;wj(5,k);f[e>>2]=409;g=d[c+6>>1]|0}}j=Wv()|0;if((g&32752)==32752|(f[j>>2]|0)==34){g=k;h=74990;i=g+46|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));yz(k,a,30)|0;wj(5,k);p[c>>3]=0.0;f[e>>2]=412;k=Wv()|0;f[k>>2]=0}e=f[e>>2]|0;u=l;return e|0}function Xj(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0.0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+160|0;k=m;l=m+77|0;g=m+4|0;i=f[e>>2]|0;if((i|0)>0){e=i;u=m;return e|0}if(!(b[3014190]|0)){i=Gx()|0;b[3014190]=b[f[i>>2]>>0]|0}i=Wv()|0;f[i>>2]=0;n[c>>2]=0.0;i=(Cx(a,68)|0)!=0;if(i|(b[3014190]|0)==44){Jx(g,a)|0;i=Cx(g,68)|0;f[k>>2]=i;if(i|0)b[i>>0]=69;if((b[3014190]|0)==44?(j=Cx(g,46)|0,f[k>>2]=j,(j|0)!=0):0)b[j>>0]=44}else g=a;h=+sz(g,k);n[c>>2]=h;switch(b[f[k>>2]>>0]|0){case 32:case 0:{g=(n[s>>2]=h,f[s>>2]|0)>>>16&65535;break}default:{g=l;i=75249;j=g+45|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0));yz(l,a,30)|0;wj(5,l);f[e>>2]=408;g=d[c+2>>1]|0}}k=Wv()|0;if((g&32640)==32640|(f[k>>2]|0)==34){g=l;i=75249;j=g+45|0;do{b[g>>0]=b[i>>0]|0;g=g+1|0;i=i+1|0}while((g|0)<(j|0));yz(l,a,30)|0;wj(5,l);n[c>>2]=0.0;f[e>>2]=412;l=Wv()|0;f[l>>2]=0}e=f[e>>2]|0;u=m;return e|0}function Yj(a,c){a=a|0;c=c|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;C=u;u=u+560|0;z=C+32|0;y=C+24|0;v=C+544|0;w=C+40|0;q=C+16|0;j=C+8|0;s=C;m=C+466|0;o=C+391|0;x=C+320|0;t=C+44|0;r=C+280|0;l=C+196|0;B=C+115|0;Fn(a,2,c)|0;Rn(a,106765,s,m,c)|0;On(a,101690,w,m,c)|0;if((f[w>>2]|0)<1){c=f[c>>2]|0;u=C;return c|0}k=x+1|0;n=1;while(1){b[o>>0]=0;f[y>>2]=n;ww(v,91502,y)|0;b[o>>0]=b[92423]|0;b[o+1>>0]=b[92424]|0;b[o+2>>0]=b[92425]|0;b[o+3>>0]=b[92426]|0;b[o+4>>0]=b[92427]|0;b[o+5>>0]=b[92428]|0;xz(o,v)|0;if((Nn(a,o,x,m,c)|0)>0)break;i=b[x>>0]|0;if(!(i<<24>>24!=80?!(i<<24>>24==81?1:(b[k>>0]&-2)<<24>>24==80):0)){i=s;h=f[i+4>>2]|0;if((h|0)<0|(h|0)==0&(f[i>>2]|0)>>>0<1){h=0;e=0}else{h=1;i=0;e=0;g=0;while(1){_j(a,n,h,i,q,j,c)|0;E=q;F=f[E>>2]|0;E=f[E+4>>2]|0;D=(E|0)>(e|0)|(E|0)==(e|0)&F>>>0>g>>>0;g=D?F:g;e=D?E:e;E=h;h=Ez(h|0,i|0,1,0)|0;D=s;F=f[D+4>>2]|0;if(!((i|0)<(F|0)|((i|0)==(F|0)?E>>>0<(f[D>>2]|0)>>>0:0))){h=g;break}else i=I}}d[t>>1]=39;g=Cx(x,40)|0;if(g|0)b[g>>0]=0;xz(t,x)|0;p[z>>3]=+(h>>>0)+4294967296.0*+(e|0);ww(r,76039,z)|0;xz(t,r)|0;F=Bx(t)|0;e=t+F|0;if(F>>>0<9)do{b[e>>0]=32;b[e+1>>0]=0;F=Bx(t)|0;e=t+F|0}while(F>>>0<9);b[e>>0]=39;b[e+1>>0]=0;Fj(o,t,m,l,c)|0;Gj(a,l,c)|0}if((n|0)<(f[w>>2]|0))n=n+1|0;else{A=15;break}}if((A|0)==15){F=f[c>>2]|0;u=C;return F|0}e=B;g=75971;h=e+68|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));wj(5,B);F=f[c>>2]|0;u=C;return F|0}function Zj(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+2896|0;k=l+8|0;i=l;d=f[c>>2]|0;if((d|0)>0){c=d;u=l;return c|0}h=f[a+4>>2]|0;if((f[a>>2]|0)!=(f[h+68>>2]|0)){c=d;u=l;return c|0}g=h+968|0;e=f[g>>2]|0;g=f[g+4>>2]|0;if((e|0)==0&(g|0)==0){c=d;u=l;return c|0}d=h+120|0;g=Ez(f[d>>2]|0,f[d+4>>2]|0,e|0,g|0)|0;d=h+976|0;d=Ez(g|0,I|0,f[d>>2]|0,f[d+4>>2]|0)|0;g=I;e=Ez(d|0,g|0,2879,0)|0;e=Xz(e|0,I|0,2880,0)|0;e=Dz(2879,0,e|0,I|0)|0;j=(f[h+72>>2]|0)==1?32:0;f[i>>2]=0;if(!e){d=Ez(d|0,g|0,-1,-1)|0;e=I;ft(a,d,e,0,i)|0;kt(a,1,0,k,i)|0;if(!(f[i>>2]|0)){c=f[c>>2]|0;u=l;return c|0}else{g=e;e=1}}else{ft(a,d,g,0,i)|0;kt(a,e,((e|0)<0)<<31>>31,k,i)|0;if(!(f[i>>2]|0)){a:do if((e|0)>0){i=j&255;h=0;do{if((b[k+h>>0]|0)!=(i|0))break a;h=h+1|0}while((h|0)<(e|0))}else h=0;while(0);if((h|0)==(e|0)){c=f[c>>2]|0;u=l;return c|0}}}Fz(k|0,j|0,e|0)|0;ft(a,d,g,1,c)|0;it(a,e,((e|0)<0)<<31>>31,k,c)|0;d=f[c>>2]|0;if((d|0)<=0){c=d;u=l;return c|0}wj(5,75926);c=f[c>>2]|0;u=l;return c|0}function _j(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;q=u;u=u+32|0;n=q+16|0;o=q;j=n;f[j>>2]=0;f[j+4>>2]=0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;j=f[i>>2]|0;if((j|0)>0){p=j;u=q;return p|0}j=f[a>>2]|0;l=a+4|0;k=f[l>>2]|0;if((j|0)==(f[k+68>>2]|0)){m=k+120|0;if(((f[m>>2]|0)==-1?(f[m+4>>2]|0)==-1:0)?(Kj(a,i)|0)>0:0){p=f[i>>2]|0;u=q;return p|0}}else Hj(a,j+1|0,0,i)|0;j=f[l>>2]|0;m=f[j+960>>2]|0;l=c+-1|0;if((f[m+(l*160|0)+80>>2]|0)>-1){f[i>>2]=317;p=317;u=q;return p|0}k=j+120|0;c=f[k>>2]|0;k=f[k+4>>2]|0;r=j+952|0;s=f[r>>2]|0;r=f[r+4>>2]|0;j=Ez(d|0,e|0,-1,-1)|0;j=Sz(s|0,r|0,j|0,I|0)|0;k=Ez(j|0,I|0,c|0,k|0)|0;j=m+(l*160|0)+72|0;j=Ez(k|0,I|0,f[j>>2]|0,f[j+4>>2]|0)|0;k=I;if((b[m+(l*160|0)+140>>0]|0)!=80?(b[m+(l*160|0)+141>>0]|0)!=80:0){if((tt(a,j,k,2,8,o,i)|0)<1){if(g|0){e=o;r=f[e+4>>2]|0;s=g;f[s>>2]=f[e>>2];f[s+4>>2]=r}if(h|0){o=o+8|0;r=f[o+4>>2]|0;s=h;f[s>>2]=f[o>>2];f[s+4>>2]=r}}}else p=11;if((p|0)==11?(st(a,j,k,2,4,n,i)|0)<1:0){if(g|0){s=g;f[s>>2]=f[n>>2];f[s+4>>2]=0}if(h|0){s=h;f[s>>2]=f[n+4>>2];f[s+4>>2]=0}}s=f[i>>2]|0;u=q;return s|0}function $j(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+32|0;h=j;i=j+8|0;b[d>>0]=0;g=Bx(a)|0;if((c|0)<0|(g|0)==0){f[e>>2]=206;i=206;u=j;return i|0}f[h>>2]=c;ww(i,91502,h)|0;Jx(d,a)|0;do{g=g+-1|0;a=d+g|0;if((b[a>>0]|0)!=32)break;b[a>>0]=0}while((g|0)!=0);xz(d,i)|0;i=f[e>>2]|0;u=j;return i|0}function ak(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;s=u;u=u+512|0;q=s+428|0;r=s+8|0;p=s+288|0;n=s+4|0;m=s+148|0;o=s;h=f[g>>2]|0;if((h|0)>0){g=h;u=s;return g|0}b[c>>0]=0;f[e>>2]=0;if((b[a>>0]|0)==32?(vw(a,92104,8)|0)==0:0){yz(c,a,80)|0;f[e>>2]=1;g=f[g>>2]|0;u=s;return g|0}b[q>>0]=0;b[r>>0]=0;b[p>>0]=0;i=a+(Zy(a,94907)|0)|0;if(!(vw(i,76046,20)|0)){f[g>>2]=207;g=207;u=s;return g|0}if((b[i>>0]|0)==45){f[e>>2]=-1;h=i+1|0;r=Zy(h,94907)|0;h=h+r|0;if((r|0)<8){i=wz(h,76067)|0;if((i|0)>74){f[g>>2]=207;g=207;u=s;return g|0}yz(c,h,i)|0;if((i|0)<9){a=Bx(c)|0;if(a|0){j=0;do{r=c+j|0;q=(lw(b[r>>0]|0)|0)&255;b[r>>0]=q;j=j+1|0}while((j|0)!=(a|0))}f[o>>2]=0;if((Cj(c,o)|0)>0){b[c>>0]=0;yz(c,h,i)|0}}h=h+i|0}l=h+(Zy(h,94907)|0)|0;switch(b[l>>0]|0){case 61:case 0:{g=f[g>>2]|0;u=s;return g|0}default:{}}f[e>>2]=-2;j=wz(l,94907)|0;if((j|0)>40){f[g>>2]=207;g=207;u=s;return g|0}h=c+(Bx(c)|0)|0;a=89356;i=h+41|0;do{b[h>>0]=b[a>>0]|0;h=h+1|0;a=a+1|0}while((h|0)<(i|0));h=c+40|0;Vy(h,l,j+1|0)|0;if((j|0)<9){a=Bx(h)|0;if(a|0){i=0;do{c=h+i|0;r=(lw(b[c>>0]|0)|0)&255;b[c>>0]=r;i=i+1|0}while((i|0)!=(a|0))}f[o>>2]=0;if((Cj(h,o)|0)>0)Vy(h,l,j)|0}}else{j=wz(i,76067)|0;if((j|0)>74){f[g>>2]=207;g=207;u=s;return g|0}yz(q,i,j)|0;if((j|0)<9){h=Bx(q)|0;if(h|0){a=0;do{t=q+a|0;v=(lw(b[t>>0]|0)|0)&255;b[t>>0]=v;a=a+1|0}while((a|0)!=(h|0))}f[o>>2]=0;if((Cj(q,o)|0)>0){b[q>>0]=0;yz(q,i,j)|0}}a=b[q>>0]|0;a:do if(a<<24>>24==69){if(tw(q,88471)|0){h=i+j|0;break}b[c>>0]=69;b[c+1>>0]=78;b[c+2>>0]=68;b[c+3>>0]=0;f[e>>2]=2;v=f[g>>2]|0;u=s;return v|0}else{h=i+j|0;switch(a<<24>>24){case 67:{if(tw(q,101682)|0)break a;break}case 72:{if(tw(q,101674)|0?tw(q,86458)|0:0)break a;break}default:break a}f[e>>2]=1;Jx(c,q)|0;yz(c,h,73)|0;v=f[g>>2]|0;u=s;return v|0}while(0);h=i+j+(Zy(h,76067)|0)|0;b:do switch(b[h>>0]|0){case 39:{while(1){v=wz(h+1|0,76070)|0;yz(r,h,v+2|0)|0;h=h+(v+1)|0;if((b[h>>0]|0)!=39)break;h=h+1|0;if((b[h>>0]|0)!=39)break b}f[g>>2]=205;v=205;u=s;return v|0}case 0:case 47:{v=r+(Bx(r)|0)|0;b[v>>0]=32;b[v+1>>0]=0;break}default:{i=wz(h,75869)|0;yz(r,h,i)|0;switch(b[h>>0]|0){case 70:case 84:{switch(b[h+1>>0]|0){case 0:case 47:case 32:{a=i;break}default:l=49}break}default:l=49}c:do if((l|0)==49){k=+sz(r,n);d:do switch(b[f[n>>2]>>0]|0){case 47:case 32:case 0:break;default:{Jx(m,r)|0;a=Cx(m,68)|0;if(a|0){b[a>>0]=69;k=+sz(m,n);break d}a=Cx(m,100)|0;if(a|0){b[a>>0]=69;k=+sz(m,n);break d}a=Cx(m,46)|0;if(a){b[a>>0]=44;k=+sz(m,n)}}}while(0);switch(b[f[n>>2]>>0]|0){case 47:case 32:case 0:break;default:{d[r>>1]=39;yz(r,h,i)|0;v=r+(Bx(r)|0)|0;b[v>>0]=39;b[v+1>>0]=0;if(!(k==0.0)){a=i;break c}a=~~k+i|0;break c}}a=Cx(r,101)|0;if(a|0){b[a>>0]=69;a=i;break}a=Cx(r,100)|0;if(!a)a=i;else{b[a>>0]=68;a=i}}while(0);h=h+a|0}}while(0);h=h+(Zy(h,75869)|0)|0;a=Bx(r)|0;i=a+-1|0;if(i>>>0<9&(b[r>>0]|0)==39){b[r+i>>0]=0;yz(r,92104,10-a|0)|0;v=r+9|0;v=v+(Bx(v)|0)|0;b[v>>0]=39;b[v+1>>0]=0}yz(p,h,70)|0;Fj(q,r,p,c,g)|0}v=f[g>>2]|0;u=s;return v|0}function bk(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;p=f[o>>2]|0;if((p|0)>0){o=p;return o|0}if((a|0)==0|(c|0)==0){f[o>>2]=115;o=115;return o|0}b[c>>0]=0;if(!(b[a>>0]|0)){p=a;q=92104;r=p+9|0;do{b[p>>0]=b[q>>0]|0;p=p+1|0;q=q+1|0}while((p|0)<(r|0))}a:do if((e|0)>0){H=(i|0)==0;G=(i|0)!=-1;F=(i|0)!=1;q=0;r=0;p=0;while(1){D=f[d+(p<<3)>>2]|0;E=b[D>>0]|0;if(E<<24>>24==42){z=32;r=0;s=0;y=-1;i=-1;q=1;break a}b:do if(!(q|0?E<<24>>24==r<<24>>24:0))if(E<<24>>24){c:do if(H){y=E;v=32;x=1;r=0;t=0;z=0;A=0;B=-1;i=-1;q=0;while(1){s=b[a+t>>0]|0;d:do switch(y<<24>>24){case 105:{s=(s<<24>>24)+-48|0;if(s>>>0<10){r=s;u=t;s=A;w=B;q=1}else I=17;break}case 106:{s=(s<<24>>24)+-48|0;if(s>>>0<10){u=t;w=B;q=1}else I=17;break}default:{u=y<<24>>24==110;switch(y<<24>>24){case 63:{u=t;s=A;w=B;q=1;break d}case 35:case 109:case 110:{if(((s<<24>>24)+-48|0)>>>0<10){q=t;t=0}else{w=r;s=A;t=B;r=E;q=0;break b}while(1){s=(s<<24>>24)+-48|0;if(s>>>0>=10)break;t=(t*10|0)+s|0;q=q+1|0;if((q|0)<8)s=b[a+q>>0]|0;else break}q=q+-1|0;if(!u){u=q;s=A;w=y<<24>>24==109?t:B;q=1;break d}if((t+-1|0)>>>0>=999){w=r;s=A;t=B;r=E;q=0;break b}if((t|0)!=(g|0)&(G|(t|0)>(g|0))&(F|(t|0)<(g|0))){w=r;s=A;t=B;r=E;q=0;break b}else{u=q;s=A;w=B;i=t;q=1;break d}}case 97:if(s<<24>>24==32|(bw(s<<24>>24)|0)!=0){v=s;u=t;s=A;w=B;q=1;break d}else{I=17;break d}default:if(s<<24>>24==y<<24>>24){u=t;s=A;w=B;q=1;break d}else{w=r;s=A;t=B;r=E;q=0;break b}}}}while(0);if((I|0)==17){I=0;if(!q){w=r;s=A;t=B;r=E;q=0;break b}else{u=t;s=A;w=B}}z=z+1|0;t=u+1|0;y=b[D+z>>0]|0;if(!((t|0)<8&y<<24>>24!=0)){u=w;break c}else{x=0;A=s;B=w}}}else{y=E;w=32;z=1;A=0;t=0;B=0;C=0;u=-1;i=-1;q=0;while(1){r=b[a+t>>0]|0;e:do switch(y<<24>>24){case 105:{r=(r<<24>>24)+-48|0;if(r>>>0<10){s=C;q=1}else I=40;break}case 106:{s=(r<<24>>24)+-48|0;if(s>>>0<10){r=A;q=1}else I=40;break}default:{x=y<<24>>24==110;switch(y<<24>>24){case 63:{r=A;s=C;q=1;break e}case 35:case 109:case 110:{if(((r<<24>>24)+-48|0)>>>0<10){q=t;s=0}else{v=w;x=z;w=A;s=C;t=u;r=E;q=0;break b}while(1){r=(r<<24>>24)+-48|0;if(r>>>0>=10){v=s;break}s=(s*10|0)+r|0;q=q+1|0;if((q|0)<8)r=b[a+q>>0]|0;else{v=s;break}}q=q+-1|0;if(!x){r=A;t=q;s=C;u=y<<24>>24==109?v:u;q=1;break e}if((v+-1|0)>>>0>=999){v=w;x=z;w=A;s=C;t=u;r=E;q=0;break b}if((G|(v|0)>(g|0))&(F|(v|0)<(g|0))){v=w;x=z;w=A;s=C;t=u;r=E;q=0;break b}else{r=A;t=q;s=C;i=v;q=1;break e}}case 97:if(r<<24>>24==32|(bw(r<<24>>24)|0)!=0){w=r;r=A;s=C;q=1;break e}else{I=40;break e}default:if(r<<24>>24==y<<24>>24){r=A;s=C;q=1;break e}else{v=w;x=z;w=A;s=C;t=u;r=E;q=0;break b}}}}while(0);if((I|0)==40){I=0;if(!q){v=w;x=z;w=A;s=C;t=u;r=E;q=0;break b}else{r=A;s=C}}B=B+1|0;t=t+1|0;y=b[D+B>>0]|0;if(!((t|0)<8&y<<24>>24!=0)){v=w;break c}else{z=0;A=r;C=s}}}while(0);if((t|0)>7){z=v;y=u;break a}if((b[a+t>>0]|0)==32){z=v;y=u;break a}else{x=0;w=r;t=u;r=E}}else{v=32;x=1;w=0;s=0;t=-1;i=-1;r=0;q=0}else{v=32;x=q;w=0;s=0;t=-1;i=-1;q=0}while(0);p=p+1|0;if((p|0)<(e|0))q=x;else{z=v;r=w;y=t;break}}}else{z=32;r=0;s=0;y=0;i=0;q=0;p=0}while(0);if(k|0)f[k>>2]=r;if(l|0)f[l>>2]=s;if(n|0)f[n>>2]=i;if(m|0)f[m>>2]=y;if(j|0)f[j>>2]=p;x=f[d+(p<<3)+4>>2]|0;if(!q){o=0;return o|0}switch(b[x>>0]|0){case 45:case 0:{o=0;return o|0}default:{}}Jx(c,a)|0;p=b[x>>0]|0;if(p<<24>>24==43){o=0;return o|0}v=(y|0)>-1;w=(y|0)>0;u=r+48&255;t=s+48&255;r=p;p=0;s=0;f:while(1){g:do switch(r<<24>>24){case 0:break f;case 105:{b[c+p>>0]=u;q=i;break}case 106:{b[c+p>>0]=t;q=i;break}case 110:{q=(i|0)==-1?g:i;if((q|0)>0){r=q+h|0;if((r|0)>0){q=1;do q=q*10|0;while(((r|0)/(q|0)|0|0)>0);if((q|0)>9)do{a=q;q=(q|0)/10|0;b[c+p>>0]=(((r|0)/(q|0)|0|0)%10|0)+48;p=p+1|0}while((a|0)>99)}p=p+-1|0;q=r}break}default:{if(!(v&r<<24>>24==109)){b[c+p>>0]=r<<24>>24==97?z:r;q=i;break g}if(w){q=1;do q=q*10|0;while(((y|0)/(q|0)|0|0)>0);if((q|0)>9)do{a=q;q=(q|0)/10|0;b[c+p>>0]=(((y|0)/(q|0)|0|0)%10|0)+48;p=p+1|0}while((a|0)>99)}p=p+-1|0;q=i}}while(0);i=s+1|0;r=b[x+i>>0]|0;p=p+1|0;s=i;i=q}if((p|0)<8)Fz(c+p|0,32,8-p|0)|0;o=f[o>>2]|0;return o|0}function ck(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;z=u;u=u+192|0;v=z+24|0;y=z+109|0;q=z+16|0;r=z+12|0;t=z+8|0;s=z+4|0;x=z;w=z+28|0;f[q>>2]=0;f[r>>2]=0;f[t>>2]=0;f[s>>2]=0;f[x>>2]=0;l=f[k>>2]|0;if((l|0)>0){k=l;u=z;return k|0}En(a,v,z+20|0,k)|0;if((f[v>>2]|0)>=(d|0)){o=y+8|0;p=w+8|0;while(1){b[w>>0]=0;Tn(a,d,y,k)|0;m=Bx(y)|0;if((m|0)>8){n=8;do{l=y+n|0;A=b[l>>0]|0;if(A<<24>>24<32|A<<24>>24==127)b[l>>0]=32;n=n+1|0}while((n|0)!=(m|0))}bk(y,w,e,g,h,i,j,x,q,r,s,t,k)|0;if(b[w>>0]|0)cr(c,w,k)|0;b[o>>0]=0;b[p>>0]=0;if((d|0)<(f[v>>2]|0))d=d+1|0;else break}}A=f[k>>2]|0;u=z;return A|0}function dk(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+992|0;o=v+820|0;t=v+905|0;q=v+824|0;r=v+812|0;k=v+808|0;l=v+804|0;p=v+800|0;n=v+796|0;m=v+792|0;s=v;f[r>>2]=0;Lz(s|0,3804,792)|0;e=f[h>>2]|0;if((e|0)>0){h=e;u=v;return h|0}En(a,o,v+816|0,h)|0;if((f[o>>2]|0)>=(d|0)){i=t+8|0;j=q+8|0;e=d;while(1){b[q>>0]=0;Tn(a,e,t,h)|0;ek(t,q,s,99,0,g,r,k,l,p,n,m,h)|0;if(b[q>>0]|0)cr(c,q,h)|0;b[i>>0]=0;b[j>>0]=0;if((e|0)<(f[o>>2]|0))e=e+1|0;else break}}h=f[h>>2]|0;u=v;return h|0}function ek(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;g=f[o>>2]|0;if((g|0)>0){o=g;return o|0}if((a|0)==0|(c|0)==0){f[o>>2]=115;o=115;return o|0}b[c>>0]=0;if(!(b[a>>0]|0)){o=0;return o|0}a:do if((e|0)>0){G=h+4|0;H=h+8|0;I=h+12|0;p=0;u=0;t=0;s=0;r=0;g=0;while(1){E=f[d+(g<<3)>>2]|0;F=b[E>>0]|0;if(F<<24>>24==42){B=32;q=0;r=0;A=u;z=t;y=s;p=1;break a}b:do if(!(p|0?F<<24>>24==r<<24>>24:0))if(F<<24>>24){A=F;v=32;y=1;B=0;z=0;C=0;w=0;x=t;D=s;p=0;while(1){q=b[a+z>>0]|0;c:do switch(A<<24>>24){case 105:{q=(q<<24>>24)+-48|0;if(q>>>0<10){t=z;r=w;s=D;p=1}else{r=z;s=D;J=27}break}case 106:{r=(q<<24>>24)+-48|0;if(r>>>0<10){q=B;t=z;s=D;p=1}else{r=z;s=D;J=27}break}default:{t=A<<24>>24==110;switch(A<<24>>24){case 63:{q=B;t=z;r=w;s=D;p=1;break c}case 35:case 108:case 109:case 110:{if(((q<<24>>24)+-48|0)>>>0<10){p=z;r=0}else{q=B;t=x;s=D;r=F;p=0;break b}while(1){q=(q<<24>>24)+-48|0;if(q>>>0>=10){s=r;break}r=q+(r*10|0)|0;p=p+1|0;if((p|0)<8)q=b[a+p>>0]|0;else{s=r;break}}r=p+-1|0;if((A+-109&255)>=2){q=B;t=r;r=w;u=A<<24>>24==108?s:u;s=D;p=1;break c}if((s+-1|0)>>>0>=999){q=B;t=x;s=D;r=F;p=0;break b}if((s|0)!=(f[h>>2]|0))if((s|0)!=(f[G>>2]|0))if((s|0)==(f[H>>2]|0)){p=1;q=3}else{q=(s|0)==(f[I>>2]|0);p=q&1;q=q?4:0}else{p=1;q=2}else{p=1;q=1}x=t?x:q;s=t?q:D;J=27;break c}case 97:if(q<<24>>24==32|(bw(q<<24>>24)|0)!=0){v=q;q=B;t=z;r=w;s=D;p=1;break c}else{r=z;s=D;J=27;break c}default:if(q<<24>>24==A<<24>>24){q=B;t=z;r=w;s=D;p=1;break c}else{q=B;t=x;s=D;r=F;p=0;break b}}}}while(0);if((J|0)==27){J=0;if(!p){q=B;t=x;r=F;p=0;break b}else{q=B;t=r;r=w}}C=C+1|0;z=t+1|0;A=b[E+C>>0]|0;if(!((z|0)<8&A<<24>>24!=0))break;else{y=0;B=q;w=r;D=s}}if((t|0)>6){B=v;A=u;z=x;y=s;break a}if((b[a+z>>0]|0)==32){B=v;A=u;z=x;y=s;break a}else{y=0;w=r;t=x;r=F}}else{v=32;y=1;q=0;w=0;r=0;p=0}else{v=32;y=p;q=0;w=0;p=0}while(0);g=g+1|0;if((g|0)<(e|0))p=y;else{B=v;r=w;A=u;z=t;y=s;break}}}else{B=32;q=0;r=0;A=0;z=0;y=0;p=0;g=0}while(0);if(j|0)f[j>>2]=q;if(k|0)f[k>>2]=r;if(l|0)f[l>>2]=y;if(m|0)f[m>>2]=z;if(n|0)f[n>>2]=A;if(i|0)f[i>>2]=g;x=f[d+(g<<3)+4>>2]|0;if(!p){o=0;return o|0}switch(b[x>>0]|0){case 45:case 0:{o=0;return o|0}default:{}}Jx(c,a)|0;g=b[x>>0]|0;if(g<<24>>24==43){o=0;return o|0}t=(y|0)>0;u=(z|0)>0;v=(A|0)>-1;w=(A|0)>0;s=q+48&255;r=r+48&255;p=g;g=0;q=0;d:while(1){e:do switch(p<<24>>24){case 0:break d;case 105:{b[c+g>>0]=s;break}case 106:{b[c+g>>0]=r;break}default:{if(t&p<<24>>24==110){p=1;do p=p*10|0;while(((y|0)/(p|0)|0|0)>0);if((p|0)>9)do{a=p;p=(p|0)/10|0;b[c+g>>0]=(((y|0)/(p|0)|0|0)%10|0)+48;g=g+1|0}while((a|0)>99);g=g+-1|0;break e}if(u&p<<24>>24==109){p=1;do p=p*10|0;while(((z|0)/(p|0)|0|0)>0);if((p|0)>9)do{a=p;p=(p|0)/10|0;b[c+g>>0]=(((z|0)/(p|0)|0|0)%10|0)+48;g=g+1|0}while((a|0)>99);g=g+-1|0;break e}if(!(v&p<<24>>24==108)){b[c+g>>0]=p<<24>>24==97?B:p;break e}if(w){p=1;do p=p*10|0;while(((A|0)/(p|0)|0|0)>0);if((p|0)>9)do{a=p;p=(p|0)/10|0;b[c+g>>0]=(((A|0)/(p|0)|0|0)%10|0)+48;g=g+1|0}while((a|0)>99)}g=g+-1|0}}while(0);a=q+1|0;p=b[x+a>>0]|0;g=g+1|0;q=a}if((g|0)<8)Fz(c+g|0,32,8-g|0)|0;o=f[o>>2]|0;return o|0}function fk(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;b[c>>0]=0;d=0;a:while(1){f=a+d|0;switch(b[f>>0]|0){case 0:{e=14;break a}case 32:break;default:break a}d=d+1|0}if((e|0)==14)return;b[c>>0]=37;Jx(c+1|0,a+(d+1)|0)|0;d=b[f>>0]|0;switch(d<<24>>24){case 65:{e=c+(Bx(c)|0)|0;b[e>>0]=115;b[e+1>>0]=0;e=7;break}case 73:{e=c+(Bx(c)|0)|0;b[e>>0]=46;b[e+1>>0]=48;b[e+2>>0]=102;b[e+3>>0]=0;e=7;break}default:{}}if((e|0)==7)d=b[f>>0]|0;if(d<<24>>24==70){d=c+(Bx(c)|0)|0;b[d>>0]=102;b[d+1>>0]=0;d=b[f>>0]|0}if(d<<24>>24==69){d=c+(Bx(c)|0)|0;b[d>>0]=69;b[d+1>>0]=0;d=b[f>>0]|0}if(d<<24>>24!=68)return;c=c+(Bx(c)|0)|0;b[c>>0]=69;b[c+1>>0]=0;return}function gk(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;b[c>>0]=0;e=0;a:while(1){d=a+e|0;switch(b[d>>0]|0){case 0:{f=4;break a}case 32:break;default:break a}e=e+1|0}if((f|0)==4){b[c>>0]=0;return}if(Cx(d,37)|0){b[c>>0]=0;return}b[c>>0]=37;Jx(c+1|0,a+(e+1)|0)|0;switch(b[d>>0]|0){case 97:case 65:{f=c+(Bx(c)|0)|0;b[f>>0]=115;b[f+1>>0]=0;return}case 105:case 73:{f=c+(Bx(c)|0)|0;b[f>>0]=100;b[f+1>>0]=0;return}case 111:case 79:{f=c+(Bx(c)|0)|0;b[f>>0]=111;b[f+1>>0]=0;return}case 122:case 90:{f=c+(Bx(c)|0)|0;b[f>>0]=88;b[f+1>>0]=0;return}case 102:case 70:{f=c+(Bx(c)|0)|0;b[f>>0]=102;b[f+1>>0]=0;return}case 101:case 69:{f=c+(Bx(c)|0)|0;b[f>>0]=69;b[f+1>>0]=0;return}case 100:case 68:{f=c+(Bx(c)|0)|0;b[f>>0]=69;b[f+1>>0]=0;return}case 103:case 71:{f=c+(Bx(c)|0)|0;b[f>>0]=71;b[f+1>>0]=0;return}default:{b[c>>0]=0;return}}}function hk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0;g=u;u=u+80|0;ik(a,b,c,g,d,e)|0;u=g;return f[e>>2]|0}function ik(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;z=u;u=u+192|0;y=z;s=z+12|0;x=z+97|0;w=z+16|0;q=z+8|0;p=z+4|0;i=f[h>>2]|0;do if((i|0)>=1)if((i|0)==237){v=a+4|0;i=h;o=237;break}else{y=i;u=z;return y|0}else{i=a+4|0;v=i;i=(f[i>>2]|0)+932|0;o=0}while(0);f[i>>2]=0;b[e>>0]=0;f[g>>2]=0;i=f[a>>2]|0;j=f[v>>2]|0;if((i|0)==(f[j+68>>2]|0)){n=j+120|0;if(((f[n>>2]|0)==-1?(f[n+4>>2]|0)==-1:0)?(Kj(a,h)|0)>0:0){y=f[h>>2]|0;u=z;return y|0}}else Hj(a,i+1|0,0,h)|0;i=f[v>>2]|0;j=f[i+932>>2]|0;do if((j|0)<(f[i+928>>2]|0)){n=(f[i+960>>2]|0)+(j*160|0)|0;i=0;a=0;m=0;a:while(1){jk(d,n,c,q,p);do if(f[q>>2]|0){k=(i|0)!=0;l=(f[p>>2]|0)!=0;if(k&l){r=14;break a}if(!k){if(l){Jx(e,n)|0;f[g>>2]=j+1;i=1;k=m;break}if(!a){Jx(e,n)|0;i=j+1|0;f[g>>2]=i;f[(f[v>>2]|0)+932>>2]=i;i=0;a=1;k=1}else{i=0;k=0}}else k=m}else k=m;while(0);j=j+1|0;if((j|0)>=(f[(f[v>>2]|0)+928>>2]|0))break;else{n=n+160|0;m=k}}if((r|0)==14){f[(f[v>>2]|0)+932>>2]=f[g>>2];f[h>>2]=237;y=237;u=z;return y|0}if(i|0){if((o|0)!=237)break;f[h>>2]=237;break}if(a){if((o|0)==237|(k|0)==0)f[h>>2]=237}else r=27}else r=27;while(0);do if((r|0)==27){if(o){f[h>>2]=219;if((o|0)==237)break}else{j=Wv()|0;f[j>>2]=0;j=kw(d,s,10)|0;switch(b[f[s>>2]>>0]|0){case 32:case 0:{i=0;break}default:i=407}s=Wv()|0;if((f[s>>2]|0)!=34){if((i|0)==0?(t=f[v>>2]|0,(j|0)>0?(j|0)<=(f[t+928>>2]|0):0):0){f[g>>2]=j;Jx(e,(f[t+960>>2]|0)+((j+-1|0)*160|0)|0)|0;break}}else{i=x;j=74763;a=i+54|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(a|0));yz(x,d,25)|0;wj(5,x);x=Wv()|0;f[x>>2]=0}f[h>>2]=219}f[y>>2]=d;ww(w,76885,y)|0;wj(5,w)}while(0);f[(f[v>>2]|0)+932>>2]=f[g>>2];y=f[h>>2]|0;u=z;return y|0}function jk(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+144|0;n=p+71|0;m=p;f[e>>2]=0;f[g>>2]=1;Vy(n,a,71)|0;Vy(m,c,71)|0;b[n+70>>0]=0;b[m+70>>0]=0;c=(Bx(n)|0)+-1|0;a:do if((c|0)>-1)do{a=n+c|0;if((b[a>>0]|0)!=32)break a;b[a>>0]=0;c=c+-1|0}while((c|0)>-1);while(0);c=(Bx(m)|0)+-1|0;b:do if((c|0)>-1)do{a=m+c|0;if((b[a>>0]|0)!=32)break b;b[a>>0]=0;c=c+-1|0}while((c|0)>-1);while(0);if(!d){c=Bx(n)|0;if(c|0){a=0;do{l=n+a|0;k=(lw(b[l>>0]|0)|0)&255;b[l>>0]=k;a=a+1|0}while((a|0)!=(c|0))}c=Bx(m)|0;if(c|0){a=0;do{l=m+a|0;k=(lw(b[l>>0]|0)|0)&255;b[l>>0]=k;a=a+1|0}while((a|0)!=(c|0))}}if((b[n>>0]|0)==(b[m>>0]|0)?(tw(n,m)|0)==0:0){f[e>>2]=1;u=p;return}f[g>>2]=0;g=0;a=0;h=0;l=0;c=1;c:while(1){k=a+1|0;if(c){a=b[n+h>>0]|0;d=b[m+g>>0]|0;c=d<<24>>24==0;if(!(a<<24>>24)){o=20;break}while(1){if(c){c=h;o=33;break c}if(a<<24>>24==63?1:a<<24>>24==d<<24>>24)g=g+1|0;else{if(a<<24>>24==35&((d<<24>>24)+-48|0)>>>0<10)c=g;else break;do c=c+1|0;while(((b[m+c>>0]|0)+-48|0)>>>0<10);g=c}h=h+1|0;a=b[n+h>>0]|0;d=b[m+g>>0]|0;c=d<<24>>24==0;if(!(a<<24>>24)){o=20;break c}}if(a<<24>>24==42){i=g;c=h}else{o=47;break}}else{i=n+l|0;j=m+k|0;c=h;while(1){a=b[n+c>>0]|0;d=b[m+g>>0]|0;h=d<<24>>24==0;if(a<<24>>24){if(h){o=33;break c}}else{if(h)break c;a=b[i>>0]|0;d=b[j>>0]|0;g=k;c=l}if(a<<24>>24==63?1:a<<24>>24==d<<24>>24){g=g+1|0;c=c+1|0;continue}if(!(a<<24>>24==35&((d<<24>>24)+-48|0)>>>0<10))if(a<<24>>24==42){i=g;break}else{g=k;c=l;continue}else a=g;do a=a+1|0;while(((b[m+a>>0]|0)+-48|0)>>>0<10);g=a;c=c+1|0}}h=c+1|0;a=b[n+h>>0]|0;switch(a<<24>>24){case 32:case 0:{o=44;break c}default:{}}if(!(d<<24>>24)){o=47;break}g=a<<24>>24==d<<24>>24;a=i+1|0;h=(g&1)+h|0;d=b[m+a>>0]|0;if(!(g|d<<24>>24==0))do{g=(b[n+h>>0]|0)==d<<24>>24;a=a+1|0;h=(g&1)+h|0;d=b[m+a>>0]|0}while(!(g|d<<24>>24==0));if(g){g=a;a=i;l=c;c=0}else{o=47;break}}if((o|0)==20){if(!c){u=p;return}}else if((o|0)==33){if(a<<24>>24!=42){u=p;return}if(b[n+(c+1)>>0]|0){u=p;return}f[e>>2]=1;u=p;return}else if((o|0)==44){f[e>>2]=1;u=p;return}else if((o|0)==47){u=p;return}f[e>>2]=1;u=p;return}function kk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;j=u;u=u+16|0;h=j+8|0;i=j;lk(a,b,c,h,i,g)|0;b=f[g>>2]|0;if((b|0)>0){u=j;return b|0}if(d|0)f[d>>2]=f[h>>2];if(!e){u=j;return b|0}f[e>>2]=f[i>>2];u=j;return b|0}function lk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+16|0;n=p+4|0;o=p;h=f[g>>2]|0;if((h|0)>0){e=h;u=p;return e|0}h=f[a>>2]|0;j=a+4|0;i=f[j>>2]|0;if((h|0)==(f[i+68>>2]|0)){m=i+120|0;if(((f[m>>2]|0)==-1?(f[m+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0){e=f[g>>2]|0;u=p;return e|0}}else Hj(a,h+1|0,0,g)|0;if((b|0)>=1?(l=f[j>>2]|0,(f[l+928>>2]|0)>=(b|0)):0){m=f[l+960>>2]|0;k=b+-1|0;h=f[g>>2]|0;if((h|0)>0){e=h;u=p;return e|0}h=f[a>>2]|0;if((h|0)==0?(b=l+96|0,(f[b>>2]|0)==0&(f[b+4>>2]|0)==0):0)b=18;else b=13;do if((b|0)==13){if((h|0)==(f[l+68>>2]|0)){l=l+120|0;if(((f[l>>2]|0)==-1?(f[l+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0){i=0;break}}else Hj(a,h+1|0,0,g)|0;h=f[j>>2]|0;if(!(f[h+1080>>2]|0))i=f[h+72>>2]|0;else b=18}while(0);if((b|0)==18)i=0;h=f[g>>2]|0;if((h|0)>0){e=h;u=p;return e|0}if((i|0)==1){Tj(m+(k*160|0)+140|0,c,o,n,g)|0;c=f[o>>2]|0;f[e>>2]=c;f[e+4>>2]=((c|0)<0)<<31>>31;if(d|0){e=d;f[e>>2]=1;f[e+4>>2]=0}}else{if(c|0)f[c>>2]=f[m+(k*160|0)+80>>2];if(e|0){c=f[m+(k*160|0)+152>>2]|0;f[e>>2]=c;f[e+4>>2]=((c|0)<0)<<31>>31}if(d|0){o=m+(k*160|0)+88|0;c=f[o+4>>2]|0;e=d;f[e>>2]=f[o>>2];f[e+4>>2]=c}}e=f[g>>2]|0;u=p;return e|0}f[g>>2]=302;e=302;u=p;return e|0}function mk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[c>>2]|0;if((d|0)>0){c=d;return c|0}d=f[a>>2]|0;e=a+4|0;g=f[e>>2]|0;if((d|0)==0?(h=g+96|0,(f[h>>2]|0)==0&(f[h+4>>2]|0)==0):0)h=9;else h=4;do if((h|0)==4){if((d|0)==(f[g+68>>2]|0)){g=g+120|0;if(((f[g>>2]|0)==-1?(f[g+4>>2]|0)==-1:0)?(Kj(a,c)|0)>0:0)break}else Hj(a,d+1|0,0,c)|0;a=f[e>>2]|0;f[b>>2]=f[a+72>>2];if(f[a+1080>>2]|0)h=9}while(0);if((h|0)==9)f[b>>2]=0;c=f[c>>2]|0;return c|0}function nk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0,q=0,r=0,s=0,t=0,v=0,w=0;w=u;u=u+16|0;s=w+4|0;t=w;h=f[g>>2]|0;if((h|0)>0){c=h;u=w;return c|0}h=f[a>>2]|0;o=a+4|0;l=f[o>>2]|0;if((h|0)==(f[l+68>>2]|0)){v=l+120|0;if(((f[v>>2]|0)==-1?(f[v+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0){c=f[g>>2]|0;u=w;return c|0}}else Hj(a,h+1|0,0,g)|0;if((b|0)>=1?(q=f[o>>2]|0,(f[q+928>>2]|0)>=(b|0)):0){r=f[q+960>>2]|0;b=b+-1|0;h=f[g>>2]|0;if((h|0)>0){c=h;u=w;return c|0}h=f[a>>2]|0;if((h|0)==0?(v=q+96|0,(f[v>>2]|0)==0&(f[v+4>>2]|0)==0):0)v=18;else v=13;do if((v|0)==13){if((h|0)==(f[q+68>>2]|0)){q=q+120|0;if(((f[q>>2]|0)==-1?(f[q+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0){l=0;break}}else Hj(a,h+1|0,0,g)|0;h=f[o>>2]|0;if(!(f[h+1080>>2]|0))l=f[h+72>>2]|0;else v=18}while(0);if((v|0)==18)l=0;h=f[g>>2]|0;if((h|0)>0){c=h;u=w;return c|0}if((l|0)==1){Tj(r+(b*160|0)+140|0,c,t,s,g)|0;if(e|0){t=f[t>>2]|0;f[e>>2]=t;f[e+4>>2]=((t|0)<0)<<31>>31}if(d|0){e=d;f[e>>2]=1;f[e+4>>2]=0}}else{if(c|0)f[c>>2]=f[r+(b*160|0)+80>>2];if(e|0){t=f[r+(b*160|0)+152>>2]|0;f[e>>2]=t;f[e+4>>2]=((t|0)<0)<<31>>31}if(d|0){s=r+(b*160|0)+88|0;t=f[s+4>>2]|0;e=d;f[e>>2]=f[s>>2];f[e+4>>2]=t}}if(!c){c=f[g>>2]|0;u=w;return c|0}n=+p[r+(b*160|0)+96>>3];k=+p[r+(b*160|0)+104>>3];if(n==1.0&k==0.0){c=f[g>>2]|0;u=w;return c|0}l=f[c>>2]|0;h=(l|0)>-1?l:0-l|0;switch(h|0){case 11:{j=255.0;i=0.0;break}case 21:{j=32767.0;i=-32768.0;break}case 41:{j=2147483647.0;i=-2147483648.0;break}case 81:{j=2147483647.0;i=-2147483648.0;break}default:{c=f[g>>2]|0;u=w;return c|0}}e=!(n>=0.0);i=k+n*i;m=e?k+n*i:i;i=e?i:k+n*j;a:do if(k!=2147483648.0?+(~~n|0)!=n|(k<2147483648.0?+(~~k|0):0.0)!=k:0){switch(h|0){case 11:case 21:{h=42;break a}default:{}}h=82}else v=44;while(0);if((v|0)==44)if(!(i==127.0&m==-128.0))if(!(i<=32767.0&m>=-32768.0)){h=m>=0.0;if(i<=65535.0&h)h=20;else h=i<=2147483647.0&m>=-2147483648.0?41:i<4294967296.0&h?40:82}else h=21;else h=12;f[c>>2]=(l|0)<0?0-h|0:h;c=f[g>>2]|0;u=w;return c|0}f[g>>2]=302;c=302;u=w;return c|0}function ok(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[c>>2]|0;if((d|0)>0){c=d;return c|0}d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;if((d|0)==(f[e+68>>2]|0)){e=e+120|0;if(((f[e>>2]|0)==-1?(f[e+4>>2]|0)==-1:0)?(Kj(a,c)|0)>0:0){c=f[c>>2]|0;return c|0}}else Hj(a,d+1|0,0,c)|0;d=f[g>>2]|0;if(!(f[d+72>>2]|0)){f[c>>2]=235;c=235;return c|0}else{f[b>>2]=f[d+928>>2];c=f[c>>2]|0;return c|0}return 0}function pk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[c>>2]|0;if((d|0)>0){c=d;return c|0}d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;if((d|0)==(f[e+68>>2]|0)){e=e+120|0;if(((f[e>>2]|0)==-1?(f[e+4>>2]|0)==-1:0)?(Kj(a,c)|0)>0:0){c=f[c>>2]|0;return c|0}}else Hj(a,d+1|0,0,c)|0;d=f[g>>2]|0;if(!(f[d+72>>2]|0)){f[c>>2]=235;c=235;return c|0}else{f[b>>2]=f[d+944>>2];c=f[c>>2]|0;return c|0}return 0}function qk(a,b){a=a|0;b=b|0;a=(f[a>>2]|0)+1|0;f[b>>2]=a;return a|0}function rk(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=f[e>>2]|0;if((g|0)>0){j=g;return j|0}g=f[a>>2]|0;i=a+4|0;h=f[i>>2]|0;if((g|0)==(f[h+68>>2]|0)){h=h+120|0;if(!(((f[h>>2]|0)==-1?(f[h+4>>2]|0)==-1:0)?(Kj(a,e)|0)>0:0))j=6}else if((Hj(a,g+1|0,0,e)|0)<=0)j=6;if((j|0)==6){if(b|0){h=f[i>>2]|0;h=(f[h+88>>2]|0)+(f[h+68>>2]<<3)|0;a=f[h+4>>2]|0;j=b;f[j>>2]=f[h>>2];f[j+4>>2]=a}if(c|0){a=(f[i>>2]|0)+120|0;b=f[a+4>>2]|0;j=c;f[j>>2]=f[a>>2];f[j+4>>2]=b}if(d|0){a=f[i>>2]|0;a=(f[a+88>>2]|0)+((f[a+68>>2]|0)+1<<3)|0;b=f[a+4>>2]|0;j=d;f[j>>2]=f[a>>2];f[j+4>>2]=b}}j=f[e>>2]|0;return j|0}function sk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+16|0;j=m+8|0;k=m+4|0;l=m;h=f[g>>2]|0;if((h|0)>0){l=h;u=m;return l|0}f[d>>2]=0;if((a|0)<1){l=h;u=m;return l|0}f[e>>2]=1;h=f[d>>2]|0;i=0;do{f[e+(i<<2)>>2]=h+1;Tj(f[b+(i<<2)>>2]|0,j,l,k,g)|0;h=(f[l>>2]|0)+c+(f[d>>2]|0)|0;f[d>>2]=h;i=i+1|0}while((i|0)!=(a|0));l=f[g>>2]|0;f[d>>2]=h-c;u=m;return l|0}function tk(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;i=u;u=u+96|0;g=i;h=i+4|0;e=f[d>>2]|0;if((e|0)>0){d=e;u=i;return d|0}e=Wv()|0;f[e>>2]=0;e=c;f[e>>2]=0;f[e+4>>2]=0;e=jw(a,g,10)|0;f[c>>2]=e;f[c+4>>2]=I;switch(b[f[g>>2]>>0]|0){case 32:case 0:break;default:f[d>>2]=407}g=Wv()|0;if((f[g>>2]|0)==34){e=h;c=74923;g=e+58|0;do{b[e>>0]=b[c>>0]|0;e=e+1|0;c=c+1|0}while((e|0)<(g|0));yz(h,a,25)|0;wj(5,h);f[d>>2]=412;h=Wv()|0;f[h>>2]=0}d=f[d>>2]|0;u=i;return d|0}function uk(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r,s,t,v,w,x,y,z,A,B){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;s=s|0;t=t|0;v=v|0;w=w|0;x=x|0;y=y|0;z=z|0;A=A|0;B=B|0;var C=0,D=0,E=0.0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;ea=u;u=u+304|0;S=ea+200|0;R=ea+192|0;O=ea+176|0;ba=ea+168|0;_=ea+160|0;Z=ea+136|0;Y=ea+120|0;X=ea+112|0;W=ea+104|0;V=ea+96|0;U=ea+88|0;aa=ea+80|0;Q=ea+72|0;M=ea+64|0;G=ea+56|0;F=ea+48|0;J=ea+40|0;H=ea+32|0;L=ea+24|0;K=ea+16|0;N=ea+204|0;$=ea+8|0;P=ea;da=ea+208|0;f[N>>2]=0;C=f[a>>2]|0;ca=a+4|0;D=f[ca>>2]|0;do if((C|0)==(f[D+68>>2]|0)){C=D+120|0;if((f[C>>2]|0)==-1?(f[C+4>>2]|0)==-1:0){if((Kj(a,B)|0)<=0)break;B=f[B>>2]|0;u=ea;return B|0}if((k|0)>0){C=f[55446]|0;if((C+-1|0)>>>0>39){Ig(75872,221784)|0;D=f[ca>>2]|0;C=f[55446]|0}if((f[D+4>>2]|0)==(C|0)?(ga=D+104|0,ja=f[ga>>2]|0,ga=f[ga+4>>2]|0,C=D+96|0,ia=f[C>>2]|0,C=f[C+4>>2]|0,ha=D+120|0,ha=Ez(f[ha>>2]|0,f[ha+4>>2]|0,-2880,-1)|0,D=I,fa=(C|0)>(D|0)|(C|0)==(D|0)&ia>>>0>ha>>>0,!((ja|0)==((fa?ia:ha)|0)&(ga|0)==((fa?C:D)|0))):0)Lj(a,B)|0}}else Hj(a,C+1|0,0,B)|0;while(0);D=f[ca>>2]|0;C=f[D+72>>2]|0;if((e|0)<0|(e|0)==0&d>>>0<1){E=+(d>>>0)+4294967296.0*+(e|0);if(!C){p[K>>3]=E;ww(da,76921,K)|0;wj(5,da);f[B>>2]=307;ja=307;u=ea;return ja|0}else{p[L>>3]=E;ww(da,76961,L)|0;wj(5,da);f[B>>2]=307;ja=307;u=ea;return ja|0}}if(((h|0)<0|(h|0)==0&g>>>0<1)&(C|0)!=1){f[H>>2]=g;ww(da,77002,H)|0;wj(5,da);f[B>>2]=308;ja=308;u=ea;return ja|0}if((j|0)<0){p[J>>3]=+(i>>>0)+4294967296.0*+(j|0);ww(da,77043,J)|0;wj(5,da);f[B>>2]=306;ja=306;u=ea;return ja|0}if((c|0)>=1?(f[D+928>>2]|0)>=(c|0):0){f[y>>2]=C;ia=D+952|0;K=f[ia+4>>2]|0;L=x;f[L>>2]=f[ia>>2];f[L+4>>2]=K;L=D+120|0;K=f[L>>2]|0;L=f[L+4>>2]|0;ia=f[D+960>>2]|0;ja=c+-1|0;p[l>>3]=+p[ia+(ja*160|0)+96>>3];p[m>>3]=+p[ia+(ja*160|0)+104>>3];J=ia+(ja*160|0)+112|0;G=f[J+4>>2]|0;H=z;f[H>>2]=f[J>>2];f[H+4>>2]=G;H=ia+(ja*160|0)+72|0;G=f[H>>2]|0;H=f[H+4>>2]|0;J=ia+(ja*160|0)+152|0;f[o>>2]=f[J>>2];f[v>>2]=f[J>>2];J=ia+(ja*160|0)+80|0;f[q>>2]=f[J>>2];fa=ia+(ja*160|0)+88|0;ga=f[fa+4>>2]|0;ha=w;f[ha>>2]=f[fa>>2];f[ha+4>>2]=ga;Jx(n,ia+(ja*160|0)+140|0)|0;Jx(A,ia+(ja*160|0)+120|0)|0;if((f[y>>2]|0)==1?(b[A>>0]|0)==0:0){C=A;D=77131;F=C+18|0;do{b[C>>0]=b[D>>0]|0;C=C+1|0;D=D+1|0}while((C|0)<(F|0));ja=f[o>>2]|0;b[A+((ja|0)<17?ja:17)>>0]=0}n=(k|0)==-1;m=n^1;n=n?0:k;C=f[q>>2]|0;if((((C|0)>-1?C:0-C|0)|0)==1){C=C*11|0;f[q>>2]=C;ia=w;ia=Ez(f[ia>>2]|0,f[ia+4>>2]|0,7,0)|0;ia=Jz(ia|0,I|0,8,0)|0;ja=w;f[ja>>2]=ia;f[ja+4>>2]=I}D=f[y>>2]|0;a:do if((D|0)==2)switch(C|0){case 16:{ja=w;ia=f[o>>2]|0;ia=Jz(f[ja>>2]|0,f[ja+4>>2]|0,ia|0,((ia|0)<0)<<31>>31|0)|0;ja=w;f[ja>>2]=ia;f[ja+4>>2]=I;break a}case -16:{f[v>>2]=1;f[o>>2]=i;break a}default:break a}while(0);ia=(D|0)==1;ha=Ez(g|0,h|0,-1,-1)|0;ja=t;f[ja>>2]=ia?0:ha;f[ja+4>>2]=ia?0:I;if((((C|0)>-1?C:0-C|0)|0)>82){C=(((C|0)>0?1:-1)+C|0)/2|0;f[q>>2]=C;ia=w;ia=Gz(f[ia>>2]|0,f[ia+4>>2]|0,1)|0;ja=w;f[ja>>2]=ia;f[ja+4>>2]=I;f[o>>2]=(f[o>>2]|0)/2|0;f[v>>2]=(f[v>>2]|0)/2|0}D=(C|0)>-1?C:0-C|0;b:do switch(D|0){case 42:{C=7200;T=40;break}case 82:{C=3600;T=40;break}default:{C=f[o>>2]|0;if((D|0)!=16){C=28800/(C|0)|0;T=40;break b}ja=28799/(C|0)|0;f[r>>2]=ja;if(!ja){f[M>>2]=C;f[M+4>>2]=28799;ww(da,77149,M)|0;wj(5,da);f[B>>2]=236;ja=236;u=ea;return ja|0}}}while(0);if((T|0)==40)f[r>>2]=C;l=Ez(d|0,e|0,-1,-1)|0;z=x;l=Sz(f[z>>2]|0,f[z+4>>2]|0,l|0,I|0)|0;z=I;ja=Ez(G|0,H|0,K|0,L|0)|0;z=Ez(ja|0,I|0,l|0,z|0)|0;l=s;f[l>>2]=z;f[l+4>>2]=I;l=(f[y>>2]|0)==0;z=(n|0)!=0;do if(z&l){ia=w;ja=f[ia>>2]|0;ia=f[ia+4>>2]|0;C=t;C=Ez(f[C>>2]|0,f[C+4>>2]|0,i|0,j|0)|0;D=I;if((ia|0)<(D|0)|(ia|0)==(D|0)&ja>>>0<C>>>0){ja=w;f[ja>>2]=C;f[ja+4>>2]=D}}else{C=f[q>>2]|0;if((C|0)>0){D=t;C=f[D>>2]|0;D=f[D+4>>2]|0;G=w;F=f[G>>2]|0;G=f[G+4>>2]|0;if(!((D|0)<(G|0)|(D|0)==(G|0)&C>>>0<F>>>0)){ja=Ez(C|0,D|0,1,0)|0;f[Q>>2]=ja;f[Q+4>>2]=F;ww(da,77213,Q)|0;wj(5,da);f[B>>2]=308;ja=308;u=ea;return ja|0}H=Ez(i|0,j|0,-1,-1)|0;H=Ez(H|0,I|0,C|0,D|0)|0;F=Jz(H|0,I|0,F|0,G|0)|0;F=Ez(F|0,I|0,d|0,e|0)|0;G=I;H=f[ca>>2]|0;L=H+944|0;K=L;J=f[K>>2]|0;K=f[K+4>>2]|0;C=(G|0)>(K|0)|(G|0)==(K|0)&F>>>0>J>>>0;c:do if(z){if(((j|0)>0|(j|0)==0&i>>>0>0)&C){ja=(f[H+40>>2]|0)==0;C=Dz(F|0,G|0,J|0,K|0)|0;D=I;do if(!ja){ja=H+976|0;ia=f[ja+4>>2]|0;if((ia|0)>0|(ia|0)==0&(f[ja>>2]|0)>>>0>0)break;ia=H+952|0;ia=Sz(f[ia>>2]|0,f[ia+4>>2]|0,C|0,D|0)|0;ja=H+968|0;ha=ja;ia=Ez(f[ha>>2]|0,f[ha+4>>2]|0,ia|0,I|0)|0;f[ja>>2]=ia;f[ja+4>>2]=I;ja=L;f[ja>>2]=F;f[ja+4>>2]=G;break c}while(0);if((Pi(a,J,K,C,D,B)|0)<=0)break;p[aa>>3]=+(C>>>0)+4294967296.0*+(D|0);ww(da,77280,aa)|0;wj(5,da);ja=f[B>>2]|0;u=ea;return ja|0}}else if(C&m){do if(l)if((K|0)<(e|0)|(K|0)==(e|0)&J>>>0<d>>>0){f[U>>2]=d;ww(da,77328,U)|0;wj(5,da);f[V>>2]=f[(f[ca>>2]|0)+944>>2];ww(da,77373,V)|0;wj(5,da);break}else{wj(5,77417);f[W>>2]=f[w>>2];ww(da,77452,W)|0;wj(5,da);f[X>>2]=i;f[X+4>>2]=g;ww(da,77479,X)|0;wj(5,da);break}else{wj(5,77533);ja=(f[ca>>2]|0)+944|0;ia=w;E=+((f[ia>>2]|0)>>>0)+4294967296.0*+(f[ia+4>>2]|0);p[Y>>3]=+((f[ja>>2]|0)>>>0)+4294967296.0*+(f[ja+4>>2]|0);p[Y+8>>3]=E;ww(da,77568,Y)|0;wj(5,da);ja=t;ja=Ez(f[ja>>2]|0,f[ja+4>>2]|0,1,0)|0;p[Z>>3]=+(i>>>0)+4294967296.0*+(j|0);p[Z+8>>3]=+(d>>>0)+4294967296.0*+(e|0);p[Z+16>>3]=+(ja>>>0)+4294967296.0*+(I|0);ww(da,77618,Z)|0;wj(5,da)}while(0);f[B>>2]=307;ja=307;u=ea;return ja|0}while(0);ja=w;if(!((n|0)!=2&(((j|0)>0|(j|0)==0&i>>>0>1)&((f[ja>>2]|0)==1&(f[ja+4>>2]|0)==0))))break;ja=x;C=f[ja>>2]|0;ja=f[ja+4>>2]|0;if(!((ja|0)<0|(ja|0)==0&C>>>0<2147483648))break;f[v>>2]=C;ja=w;f[ja>>2]=i;f[ja+4>>2]=j;break}f[q>>2]=0-C;if(!z){ja=(f[ca>>2]|0)+944|0;ia=f[ja+4>>2]|0;if((ia|0)<(e|0)|((ia|0)==(e|0)?(f[ja>>2]|0)>>>0<d>>>0:0)){wj(5,77753);ja=(f[ca>>2]|0)+944|0;p[O>>3]=+((f[ja>>2]|0)>>>0)+4294967296.0*+(f[ja+4>>2]|0);p[O+8>>3]=+(d>>>0)+4294967296.0*+(e|0);ww(da,77787,O)|0;wj(5,da);f[B>>2]=307;ja=307;u=ea;return ja|0}_j(a,c,d,e,P,$,B)|0;C=P;D=f[C>>2]|0;C=f[C+4>>2]|0;F=w;f[F>>2]=D;f[F+4>>2]=C;F=f[J>>2]|0;if((F|0)>=-82){if((F|0)==-1){D=Ez(D|0,C|0,7,0)|0;D=Jz(D|0,I|0,8,0)|0;C=I;T=95}}else{D=Gz(D|0,C|0,1)|0;C=I;T=95}if((T|0)==95){ja=w;f[ja>>2]=D;f[ja+4>>2]=C}ja=t;ia=f[ja+4>>2]|0;if((ia|0)<(C|0)|((ia|0)==(C|0)?(f[ja>>2]|0)>>>0<D>>>0:0)){ja=$;ja=Ez(f[ja>>2]|0,f[ja+4>>2]|0,K|0,L|0)|0;ia=(f[ca>>2]|0)+968|0;ia=Ez(ja|0,I|0,f[ia>>2]|0,f[ia+4>>2]|0)|0;ja=s;f[ja>>2]=ia;f[ja+4>>2]=I;break}f[R>>2]=g;ww(da,77837,R)|0;wj(5,da);f[S>>2]=f[w>>2];ww(da,77906,S)|0;wj(5,da);f[B>>2]=308;ja=308;u=ea;return ja|0}ia=t;ia=Ez(f[ia>>2]|0,f[ia+4>>2]|0,i|0,j|0)|0;ja=w;f[ja>>2]=ia;f[ja+4>>2]=I;ja=(f[ca>>2]|0)+944|0;ia=f[ja+4>>2]|0;if(!((ia|0)<(e|0)|((ia|0)==(e|0)?(f[ja>>2]|0)>>>0<d>>>0:0))?(_j(a,c,d,e,P,$,N)|0,(f[N>>2]|0)==0):0){F=f[J>>2]|0;H=(F|0)<-82;do if(H){C=P;C=Gz(f[C>>2]|0,f[C+4>>2]|0,1)|0;D=I;ja=P;f[ja>>2]=C;f[ja+4>>2]=D}else{D=P;C=f[D>>2]|0;D=f[D+4>>2]|0;if((F|0)!=-1)break;C=Ez(C|0,D|0,7,0)|0;C=Jz(C|0,I|0,8,0)|0;D=I;ja=P;f[ja>>2]=C;f[ja+4>>2]=D}while(0);ja=w;ia=f[ja+4>>2]|0;if(!((D|0)<(ia|0)|((D|0)==(ia|0)?C>>>0<(f[ja>>2]|0)>>>0:0))){G=$;F=f[G>>2]|0;G=f[G+4>>2]|0;D=Ez(F|0,G|0,K|0,L|0)|0;C=(f[ca>>2]|0)+968|0;C=Ez(D|0,I|0,f[C>>2]|0,f[C+4>>2]|0)|0;D=s;f[D>>2]=C;f[D+4>>2]=I;D=w;C=f[D>>2]|0;D=f[D+4>>2]|0;if(H){ja=Jz(C|0,D|0,2,0)|0;vk(a,c,d,e,ja,I,F,G,B)|0}else vk(a,c,d,e,C,D,F,G,B)|0;ja=f[B>>2]|0;u=ea;return ja|0}}C=f[ca>>2]|0;G=C+944|0;F=f[G>>2]|0;G=f[G+4>>2]|0;do if((G|0)<(e|0)|(G|0)==(e|0)&F>>>0<d>>>0){C=Dz(d|0,e|0,F|0,G|0)|0;D=I;if((Pi(a,F,G,C,D,B)|0)<=0){C=f[ca>>2]|0;break}p[_>>3]=+(C>>>0)+4294967296.0*+(D|0);ww(da,77280,_)|0;wj(5,da);ja=f[B>>2]|0;u=ea;return ja|0}while(0);D=C+968|0;D=Ez(f[D>>2]|0,f[D+4>>2]|0,K|0,L|0)|0;F=C+976|0;C=F;C=Ez(D|0,I|0,f[C>>2]|0,f[C+4>>2]|0)|0;D=s;f[D>>2]=C;f[D+4>>2]=I;D=w;C=f[D>>2]|0;D=f[D+4>>2]|0;if((f[J>>2]|0)<-82){ia=Jz(C|0,D|0,2,0)|0;ja=F;vk(a,c,d,e,ia,I,f[ja>>2]|0,f[ja+4>>2]|0,B)|0}else{ja=F;vk(a,c,d,e,C,D,f[ja>>2]|0,f[ja+4>>2]|0,B)|0}C=f[ca>>2]|0;do if(!(f[C+40>>2]|0)){F=C+968|0;F=Ez(f[F>>2]|0,f[F+4>>2]|0,K|0,L|0)|0;H=C+976|0;H=Ez(F|0,I|0,f[H>>2]|0,f[H+4>>2]|0)|0;F=I;D=w;G=f[v>>2]|0;D=Sz(G|0,((G|0)<0)<<31>>31|0,f[D>>2]|0,f[D+4>>2]|0)|0;D=Ez(H|0,F|0,D|0,I|0)|0;F=I;H=(f[C+88>>2]|0)+((f[C+68>>2]|0)+1<<3)|0;G=f[H>>2]|0;H=f[H+4>>2]|0;if(!((F|0)>(H|0)|(F|0)==(H|0)&D>>>0>G>>>0))break;C=Ez(D|0,F|0,-1,-1)|0;C=Dz(C|0,I|0,G|0,H|0)|0;C=Jz(C|0,I|0,2880,0)|0;C=Ez(C|0,I|0,1,0)|0;if((wk(a,C,1,B)|0)<=0){C=f[ca>>2]|0;break}f[ba>>2]=C;ww(da,77684,ba)|0;wj(5,da);ja=f[B>>2]|0;u=ea;return ja|0}while(0);ia=w;ja=f[v>>2]|0;ia=Sz(ja|0,((ja|0)<0)<<31>>31|0,f[ia>>2]|0,f[ia+4>>2]|0)|0;ja=C+976|0;ha=ja;ia=Ez(f[ha>>2]|0,f[ha+4>>2]|0,ia|0,I|0)|0;f[ja>>2]=ia;f[ja+4>>2]=I}while(0);ja=f[B>>2]|0;u=ea;return ja|0}f[F>>2]=c;ww(da,90419,F)|0;wj(5,da);f[G>>2]=f[(f[ca>>2]|0)+928>>2];ww(da,77093,G)|0;wj(5,da);f[B>>2]=302;ja=302;u=ea;return ja|0}function vk(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;r=u;u=u+32|0;o=r+16|0;p=r;l=f[k>>2]|0;if((l|0)>0){q=l;u=r;return q|0}l=f[a>>2]|0;n=a+4|0;m=f[n>>2]|0;if((l|0)==(f[m+68>>2]|0)){m=m+120|0;if(((f[m>>2]|0)==-1?(f[m+4>>2]|0)==-1:0)?(Kj(a,k)|0)>0:0){q=f[k>>2]|0;u=r;return q|0}}else Hj(a,l+1|0,0,k)|0;m=f[n>>2]|0;n=f[m+960>>2]|0;l=c+-1|0;if((f[n+(l*160|0)+80>>2]|0)>-1)f[k>>2]=317;c=m+120|0;s=f[c>>2]|0;c=f[c+4>>2]|0;m=m+952|0;t=f[m>>2]|0;m=f[m+4>>2]|0;d=Ez(d|0,e|0,-1,-1)|0;d=Sz(t|0,m|0,d|0,I|0)|0;d=Ez(d|0,I|0,s|0,c|0)|0;e=n+(l*160|0)+72|0;e=Ez(d|0,I|0,f[e>>2]|0,f[e+4>>2]|0)|0;ft(a,e,I,1,k)|0;if((b[n+(l*160|0)+140>>0]|0)!=80?(b[n+(l*160|0)+141>>0]|0)!=80:0){t=p;f[t>>2]=g;f[t+4>>2]=h;t=p+8|0;f[t>>2]=i;f[t+4>>2]=j;At(a,2,8,p,k)|0}else q=11;do if((q|0)==11){t=j|h;if(!(t>>>0>0|(t|0)==0&(i|g)>>>0>4294967295)){f[o>>2]=g;f[o+4>>2]=i;zt(a,2,4,o,k)|0;break}wj(5,77992);f[k>>2]=412;t=412;u=r;return t|0}while(0);t=f[k>>2]|0;u=r;return t|0}function wk(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;s=u;u=u+5856|0;n=s;p=s+2968|0;j=s+88|0;m=s+4|0;o=f[e>>2]|0;if((c|0)<1|(o|0)>0){e=o;u=s;return e|0}r=(d|0)==0;q=a+4|0;l=f[q>>2]|0;do if(!r){g=(f[l+72>>2]|0)==1?32:0;if((d|0)==-1){h=m;i=77944;k=h+48|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(k|0));i=0;h=0;break}else{v=l+120|0;i=l+968|0;t=f[i>>2]|0;i=f[i+4>>2]|0;k=l+976|0;h=f[k>>2]|0;k=f[k+4>>2]|0;v=Ez(f[v>>2]|0,f[v+4>>2]|0,2879,0)|0;i=Ez(v|0,I|0,t|0,i|0)|0;k=Ez(i|0,I|0,h|0,k|0)|0;h=I;i=Xz(k|0,h|0,2880,0)|0;i=Dz(k|0,h|0,i|0,I|0)|0;h=I;break}}else{h=l+120|0;i=f[h>>2]|0;h=f[h+4>>2]|0;g=32}while(0);Fz(j|0,g|0,2880)|0;if((c|0)!=1){k=f[l+68>>2]|0;if((o|0)<1)do{Hj(a,(f[a>>2]|0)+2|0,n,e)|0;g=f[e>>2]|0}while((g|0)<1);else g=o;if((g|0)==107)f[e>>2]=o;Hj(a,k+1|0,n,e)|0;if((d|0)==-1)Ep(a,1,m,e)|0;k=f[q>>2]|0;k=(f[k+88>>2]|0)+((f[k+80>>2]|0)+1<<3)|0;g=f[k>>2]|0;k=f[k+4>>2]|0;m=Dz(g|0,k|0,i|0,h|0)|0;m=Jz(m|0,I|0,2880,0)|0;a:do if((m|0)>0){d=Sz(c|0,((c|0)<0)<<31>>31|0,2880,0)|0;n=I;l=0;while(1){g=Ez(g|0,k|0,-2880,-1)|0;k=I;if((ft(a,g,k,0,e)|0)>0)break;kt(a,2880,0,p,e)|0;v=Ez(g|0,k|0,d|0,n|0)|0;ft(a,v,I,1,e)|0;it(a,2880,0,p,e)|0;l=l+1|0;if((l|0)>=(m|0))break a}v=f[e>>2]|0;u=s;return v|0}while(0);ft(a,i,h,1,e)|0;if((c|0)>0){g=0;do{it(a,2880,0,j,e)|0;g=g+1|0}while((g|0)!=(c|0))}}else{if((d|0)==-1)Ep(a,1,m,e)|0;ft(a,i,h,0,e)|0;kt(a,2880,0,p,e)|0;b:do if((f[e>>2]|0)<1){k=p;while(1){ft(a,i,h,0,e)|0;it(a,2880,0,j,e)|0;g=f[e>>2]|0;if((g|0)>0)break;g=Ez(i|0,h|0,2880,0)|0;h=I;ft(a,g,h,0,e)|0;kt(a,2880,0,j,e)|0;if((f[e>>2]|0)<1){v=j;i=g;j=k;k=v}else{i=g;g=k;break b}}u=s;return g|0}else g=j;while(0);f[e>>2]=o;ft(a,i,h,1,e)|0;it(a,2880,0,g,e)|0}h=f[q>>2]|0;g=h+120|0;if(r){t=Sz(c|0,((c|0)<0)<<31>>31|0,2880,0)|0;v=g;t=Ez(f[v>>2]|0,f[v+4>>2]|0,t|0,I|0)|0;v=g;f[v>>2]=t;f[v+4>>2]=I}g=f[h+68>>2]|0;k=f[h+80>>2]|0;if((g|0)<=(k|0)){i=Sz(c|0,((c|0)<0)<<31>>31|0,2880,0)|0;j=I;h=f[h+88>>2]|0;do{v=g;g=g+1|0;t=h+(g<<3)|0;c=t;c=Ez(f[c>>2]|0,f[c+4>>2]|0,i|0,j|0)|0;f[t>>2]=c;f[t+4>>2]=I}while((v|0)<(k|0))}v=f[e>>2]|0;u=s;return v|0}function xk(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0;H=u;u=u+144|0;z=H+40|0;y=H+32|0;v=H+24|0;w=H+16|0;x=H+48|0;t=H+8|0;s=H;B=H+52|0;i=f[h>>2]|0;if((i|0)>0){h=i;u=H;return h|0}i=f[a>>2]|0;r=a+4|0;if((i|0)==(f[(f[r>>2]|0)+68>>2]|0)){if((Kj(a,h)|0)>0){h=f[h>>2]|0;u=H;return h|0}}else Hj(a,i+1|0,0,h)|0;q=(g|0)!=0;if(q)f[g>>2]=1;D=(c|0)!=0;if(D){C=(f[r>>2]|0)+976|0;E=f[C+4>>2]|0;F=c;f[F>>2]=f[C>>2];f[F+4>>2]=E}E=(d|0)!=0;if(E){F=d;f[F>>2]=0;f[F+4>>2]=0}F=(e|0)!=0;if(F){C=e;f[C>>2]=0;f[C+4>>2]=0}i=f[r>>2]|0;if((f[i+72>>2]|0)==2?(j=i+976|0,G=f[j>>2]|0,j=f[j+4>>2]|0,!((G|0)==0&(j|0)==0)):0){if((j|0)>0|(j|0)==0&G>>>0>2147483647){wj(5,78044);f[h>>2]=113;h=113;u=H;return h|0}C=Nv(1,G)|0;if(!C){i=B;j=78096;k=i+43|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));wj(5,B);f[h>>2]=113;h=113;u=H;return h|0}a:do if((f[i+928>>2]|0)>=1){o=((G|0)<0)<<31>>31;p=1;while(1){if((f[h>>2]|0)>=1)break a;lk(a,p,x,v,w,h)|0;i=f[x>>2]|0;if((i|0)<=0){n=(i|0)/-10|0;i=f[r>>2]|0;m=i+944|0;l=f[m+4>>2]|0;if(!((l|0)<0|(l|0)==0&(f[m>>2]|0)>>>0<1))if(q){k=1;i=0;m=1;while(1){_j(a,p,k,i,t,s,h)|0;i=t;j=f[i>>2]|0;if((f[x>>2]|0)==-1){l=Ez(j|0,f[i+4>>2]|0,7,0)|0;l=(l|0)/8|0}else l=X(j,n)|0;j=s;i=f[j>>2]|0;j=f[j+4>>2]|0;do if((j|0)<0)A=35;else{k=Ez(i|0,j|0,l|0,((l|0)<0)<<31>>31|0)|0;J=I;if((J|0)>(o|0)|(J|0)==(o|0)&k>>>0>G>>>0){A=35;break}if((l|0)>0)k=0;else break;do{J=Ez(i|0,j|0,k|0,0)|0;J=C+J|0;b[J>>0]=(b[J>>0]|0)+1<<24>>24;k=k+1|0}while((k|0)!=(l|0))}while(0);if((A|0)==35){A=0;f[g>>2]=0;f[y>>2]=m;f[y+4>>2]=p;ww(B,78139,y)|0;wj(5,B)}l=m+1|0;j=((l|0)<0)<<31>>31;i=f[r>>2]|0;J=i+944|0;m=f[J+4>>2]|0;if((j|0)>(m|0)|((j|0)==(m|0)?l>>>0>(f[J>>2]|0)>>>0:0))break;else{k=l;i=j;m=l}}}else{k=1;i=0;m=1;while(1){_j(a,p,k,i,t,s,h)|0;i=t;j=f[i>>2]|0;if((f[x>>2]|0)==-1){l=Ez(j|0,f[i+4>>2]|0,7,0)|0;l=(l|0)/8|0}else l=X(j,n)|0;j=s;i=f[j>>2]|0;j=f[j+4>>2]|0;do if((j|0)<0)A=44;else{J=Ez(i|0,j|0,l|0,((l|0)<0)<<31>>31|0)|0;k=I;if((k|0)>(o|0)|(k|0)==(o|0)&J>>>0>G>>>0){A=44;break}if((l|0)>0)k=0;else break;do{J=Ez(i|0,j|0,k|0,0)|0;J=C+J|0;b[J>>0]=(b[J>>0]|0)+1<<24>>24;k=k+1|0}while((k|0)!=(l|0))}while(0);if((A|0)==44){A=0;f[z>>2]=m;f[z+4>>2]=p;ww(B,78139,z)|0;wj(5,B)}l=m+1|0;j=((l|0)<0)<<31>>31;i=f[r>>2]|0;J=i+944|0;m=f[J+4>>2]|0;if((j|0)>(m|0)|((j|0)==(m|0)?l>>>0>(f[J>>2]|0)>>>0:0))break;else{k=l;i=j;m=l}}}}else i=f[r>>2]|0;if((p|0)<(f[i+928>>2]|0))p=p+1|0;else break}}while(0);if((G|0)>0){l=0;k=0;j=0;i=0;m=0;do{J=b[C+m>>0]|0;l=Ez(l|0,k|0,J<<24>>24==0|0,0)|0;k=I;j=Ez(j|0,i|0,J<<24>>24>1|0,0)|0;i=I;m=m+1|0}while((m|0)!=(G|0))}else{l=0;k=0;j=0;i=0}if(D){J=c;f[J>>2]=G;f[J+4>>2]=((G|0)<0)<<31>>31}if(E){J=d;f[J>>2]=l;f[J+4>>2]=k}if(F){J=e;f[J>>2]=j;f[J+4>>2]=i}Mv(C);J=f[h>>2]|0;u=H;return J|0}J=f[h>>2]|0;u=H;return J|0}function yk(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0;K=u;u=u+240|0;D=K+56|0;A=K+48|0;B=K+40|0;G=K+68|0;C=K+64|0;e=K+60|0;h=K+32|0;g=K+24|0;z=K+16|0;y=K+8|0;H=K+153|0;F=K+72|0;J=K;d=f[c>>2]|0;if((d|0)>0){c=d;u=K;return c|0}xk(a,0,h,g,e,c)|0;if(!(f[e>>2]|0)){f[c>>2]=264;c=264;u=K;return c|0}E=a+4|0;d=f[E>>2]|0;if((((f[d+72>>2]|0)==2?(x=d+976|0,!((f[x>>2]|0)==0&(f[x+4>>2]|0)==0)):0)?(x=h,w=g,!((f[w>>2]|f[x>>2]|0)==0?(f[w+4>>2]|f[x+4>>2]|0)==0:0)):0)?(f[c>>2]|0)<=0:0){if(Lg(G,78197,c)|0){d=F;e=78216;g=d+45|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));wj(5,F);c=f[c>>2]|0;u=K;return c|0}if(Yi(a,f[G>>2]|0,0,c)|0){d=F;e=78261;g=d+34|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));wj(5,F);Fg(f[G>>2]|0,c)|0;c=f[c>>2]|0;u=K;return c|0}d=Lv(1e4)|0;if(!d){d=F;e=78295;g=d+43|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));wj(5,F);Fg(f[G>>2]|0,c)|0;f[c>>2]=113;c=113;u=K;return c|0}s=f[(f[G>>2]|0)+4>>2]|0;r=s+120|0;s=s+968|0;r=Ez(f[s>>2]|0,f[s+4>>2]|0,f[r>>2]|0,f[r+4>>2]|0)|0;s=I;q=f[E>>2]|0;t=q+120|0;v=q+968|0;t=Ez(f[v>>2]|0,f[v+4>>2]|0,f[t>>2]|0,f[t+4>>2]|0)|0;v=I;p=q+976|0;x=p;w=f[x>>2]|0;x=f[x+4>>2]|0;f[p>>2]=0;f[p+4>>2]=0;a:do if((f[q+928>>2]|0)>=1){g=1e4;q=1;b:while(1){if((f[c>>2]|0)>=1)break a;lk(f[G>>2]|0,q,C,A,B,c)|0;e=f[C>>2]|0;if((e|0)<=0){p=(e|0)/-10|0;e=f[E>>2]|0;o=e+944|0;n=f[o+4>>2]|0;if(!((n|0)<0|(n|0)==0&(f[o>>2]|0)>>>0<1)){o=1;h=0;n=1;while(1){_j(f[G>>2]|0,q,o,h,z,y,c)|0;e=z;i=f[e>>2]|0;if((f[C>>2]|0)==-1){m=Ez(i|0,f[e+4>>2]|0,7,0)|0;m=(m|0)/8|0}else m=X(i,p)|0;do if((m|0)>(g|0)){e=Ov(d,m)|0;if(e|0){d=e;g=m;break}f[c>>2]=113}while(0);e=f[E>>2]|0;do if(!(f[e+40>>2]|0)){k=e+976|0;l=f[k>>2]|0;k=f[k+4>>2]|0;i=((m|0)<0)<<31>>31;j=Ez(m|0,i|0,t|0,v|0)|0;k=Ez(j|0,I|0,l|0,k|0)|0;l=I;j=(f[e+88>>2]|0)+((f[e+68>>2]|0)+1<<3)|0;e=f[j>>2]|0;j=f[j+4>>2]|0;if(!((l|0)>(j|0)|(l|0)==(j|0)&k>>>0>e>>>0)){j=m;break}l=Ez(k|0,l|0,-1,-1)|0;e=Dz(l|0,I|0,e|0,j|0)|0;e=Jz(e|0,I|0,2880,0)|0;e=Ez(e|0,I|0,1,0)|0;if((wk(a,e,1,c)|0)<=0){j=m;break}f[D>>2]=e;ww(F,77684,D)|0;wj(5,F);j=m}else{j=m;i=((m|0)<0)<<31>>31}while(0);e=f[G>>2]|0;m=y;m=Ez(r|0,s|0,f[m>>2]|0,f[m+4>>2]|0)|0;ft(e,m,I,0,c)|0;kt(f[G>>2]|0,j,i,d,c)|0;m=(f[E>>2]|0)+976|0;m=Ez(f[m>>2]|0,f[m+4>>2]|0,t|0,v|0)|0;ft(a,m,I,1,c)|0;it(a,j,i,d,c)|0;m=z;e=(f[E>>2]|0)+976|0;vk(a,q,o,h,f[m>>2]|0,f[m+4>>2]|0,f[e>>2]|0,f[e+4>>2]|0,c)|0;e=f[E>>2]|0;m=e+976|0;o=m;o=Ez(f[o>>2]|0,f[o+4>>2]|0,j|0,i|0)|0;i=m;f[i>>2]=o;f[i+4>>2]=I;i=n+1|0;if((f[c>>2]|0)>0)break b;h=((i|0)<0)<<31>>31;o=e+944|0;n=f[o+4>>2]|0;if((h|0)>(n|0)|((h|0)==(n|0)?i>>>0>(f[o>>2]|0)>>>0:0))break;else{o=i;n=i}}}}else e=f[E>>2]|0;if((q|0)<(f[e+928>>2]|0))q=q+1|0;else break a}Mv(d);Fg(f[G>>2]|0,c)|0;c=f[c>>2]|0;u=K;return c|0}while(0);Mv(d);Fg(f[G>>2]|0,c)|0;h=f[E>>2]|0;d=(f[h+88>>2]|0)+((f[h+68>>2]|0)+1<<3)|0;h=h+976|0;g=h;e=f[g>>2]|0;g=f[g+4>>2]|0;d=Dz(f[d>>2]|0,f[d+4>>2]|0,t|0,v|0)|0;d=Dz(d|0,I|0,e|0,g|0)|0;d=Jz(d|0,I|0,2880,0)|0;if((d|0)>0){G=h;f[G>>2]=w;f[G+4>>2]=x;zk(a,d,c)|0;G=(f[E>>2]|0)+976|0;f[G>>2]=e;f[G+4>>2]=g}Fn(a,2,c)|0;Rn(a,98954,J,H,c)|0;e=(f[E>>2]|0)+976|0;d=f[e>>2]|0;e=f[e+4>>2]|0;if(!((d|0)==(f[J>>2]|0)?(e|0)==(f[J+4>>2]|0):0))op(a,98954,d,e,H,c)|0;Kj(a,c)|0;c=f[c>>2]|0;u=K;return c|0}c=f[c>>2]|0;u=K;return c|0}function zk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+2896|0;l=o+8|0;i=o;d=f[c>>2]|0;if((b|0)<1|(d|0)>0){c=d;u=o;return c|0}f[i>>2]=0;j=a+4|0;m=f[j>>2]|0;d=m+120|0;g=m+968|0;n=f[g>>2]|0;g=f[g+4>>2]|0;m=m+976|0;h=f[m>>2]|0;m=f[m+4>>2]|0;d=Ez(f[d>>2]|0,f[d+4>>2]|0,2879,0)|0;g=Ez(d|0,I|0,n|0,g|0)|0;m=Ez(g|0,I|0,h|0,m|0)|0;h=I;g=Xz(m|0,h|0,2880,0)|0;g=Dz(m|0,h|0,g|0,I|0)|0;h=I;m=Sz(b|0,((b|0)<0)<<31>>31|0,2880,0)|0;n=I;d=Dz(g|0,h|0,m|0,n|0)|0;e=I;a:do if(!(ft(a,g,h,0,i)|0)){while(1){if(kt(a,2880,0,l,i)|0){g=d;k=7;break a}ft(a,d,e,0,c)|0;it(a,2880,0,l,c)|0;if((f[c>>2]|0)>0)break;g=Ez(g|0,h|0,2880,0)|0;h=I;d=Ez(d|0,e|0,2880,0)|0;e=I;if(ft(a,g,h,0,i)|0){g=d;k=7;break a}}wj(5,78338)}else{g=d;k=7}while(0);if((k|0)==7){Fz(l|0,0,2880)|0;ft(a,g,e,0,c)|0;if((b|0)>0){d=0;do{it(a,2880,0,l,c)|0;d=d+1|0}while((d|0)!=(b|0))}d=Ez(g|0,e|0,-1,-1)|0;ft(a,d,I,0,c)|0;hh(a,g,e,c)|0;d=f[j>>2]|0;g=f[d+68>>2]|0;h=f[d+80>>2]|0;if((g|0)<=(h|0)){e=f[d+88>>2]|0;d=g;do{b=d;d=d+1|0;a=e+(d<<3)|0;l=a;l=Dz(f[l>>2]|0,f[l+4>>2]|0,m|0,n|0)|0;f[a>>2]=l;f[a+4>>2]=I}while((b|0)<(h|0))}}c=f[c>>2]|0;u=o;return c|0}function Ak(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;k=u;u=u+16|0;i=k+8|0;j=k;do if((_j(a,b,c,d,i,j,h)|0)<=0){do if(e|0){c=f[i>>2]|0;i=f[i+4>>2]|0;if((i|0)>0|(i|0)==0&c>>>0>2147483647){f[h>>2]=412;break}else{f[e>>2]=c;break}}while(0);if(g|0){e=j;c=f[e>>2]|0;e=f[e+4>>2]|0;if((e|0)>0|(e|0)==0&c>>>0>2147483647){f[h>>2]=412;break}else{f[g>>2]=c;break}}}while(0);u=k;return f[h>>2]|0}function Bk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[c>>2]|0;if((b|0)<1|(d|0)>0){c=d;return c|0}d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;if((d|0)==(f[e+68>>2]|0)){e=e+120|0;if((f[e>>2]|0)==-1?(f[e+4>>2]|0)==-1:0){Kj(a,c)|0;a=f[g>>2]|0;e=a+96|0;b=b*80|0;b=Ez(f[e>>2]|0,f[e+4>>2]|0,b|0,((b|0)<0)<<31>>31|0)|0;e=I;d=Xz(b|0,e|0,2880,0)|0;d=Dz(b|0,e|0,d|0,I|0)|0;d=Ez(d|0,I|0,2880,0)|0;e=I;b=a+120|0;g=b;g=Dz(d|0,e|0,f[g>>2]|0,f[g+4>>2]|0)|0;f[b>>2]=d;f[b+4>>2]=e;b=(f[a+88>>2]|0)+((f[a+68>>2]|0)+1<<3)|0;a=b;a=Ez(g|0,I|0,f[a>>2]|0,f[a+4>>2]|0)|0;f[b>>2]=a;f[b+4>>2]=I}}else Hj(a,d+1|0,0,c)|0;c=f[c>>2]|0;return c|0}function Ck(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;h=u;u=u+16|0;e=h;f[e>>2]=0;c=f[b>>2]|0;if((c|0)>0){b=c;u=h;return b|0}c=f[a>>2]|0;g=a+4|0;d=f[g>>2]|0;if((c|0)!=(f[d+68>>2]|0)){Hj(a,c+1|0,0,b)|0;d=f[g>>2]|0;c=f[d+68>>2]|0}i=d+96|0;d=(f[d+88>>2]|0)+(c<<3)|0;if((f[i>>2]|0)==(f[d>>2]|0)?(f[i+4>>2]|0)==(f[d+4>>2]|0):0){i=f[b>>2]|0;u=h;return i|0}do Hj(a,(f[a>>2]|0)+2|0,0,e)|0;while(!(f[e>>2]|0));c=f[g>>2]|0;d=f[c+84>>2]|0;do if((f[c+80>>2]|0)==(d|0)){c=Ov(f[c+88>>2]|0,(d<<3)+8008|0)|0;if(c|0){i=f[g>>2]|0;e=i+84|0;f[e>>2]=(f[e>>2]|0)+1e3;f[i+88>>2]=c;break}f[b>>2]=113;i=113;u=h;return i|0}while(0);if((Ij(a,b)|0)<1){e=f[g>>2]|0;e=(f[e+88>>2]|0)+((f[e+80>>2]|0)+1<<3)|0;d=f[e>>2]|0;e=f[e+4>>2]|0;ft(a,d,e,1,b)|0;i=f[g>>2]|0;c=i+80|0;g=(f[c>>2]|0)+1|0;f[c>>2]=g;f[i+68>>2]=g;f[a>>2]=g;a=i+112|0;f[a>>2]=d;f[a+4>>2]=e;a=i+96|0;f[a>>2]=d;f[a+4>>2]=e;a=i+120|0;f[a>>2]=-1;f[a+4>>2]=-1;f[i+1076>>2]=f[i+1020>>2]}i=f[b>>2]|0;u=h;return i|0}function Dk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}Hj(a,b+1+(f[a>>2]|0)|0,c,d)|0;d=f[d>>2]|0;return d|0}function Ek(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;if((f[b>>2]|0)>0){b=0;return b|0}c=f[a>>2]|0;e=a+4|0;d=f[e>>2]|0;if((c|0)==(f[d+68>>2]|0)){d=d+120|0;if(((f[d>>2]|0)==-1?(f[d+4>>2]|0)==-1:0)?(Kj(a,b)|0)>0:0){b=f[b>>2]|0;return b|0}}else Hj(a,c+1|0,0,b)|0;b=(f[(f[e>>2]|0)+1080>>2]|0)!=0&1;return b|0}function Fk(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0;h=f[g>>2]|0;if((h|0)>0){g=h;return g|0}if(c|0)Gk(a,c,g)|0;do if(d|0?(f[g>>2]|0)<=0:0){h=f[a>>2]|0;i=a+4|0;c=f[i>>2]|0;if((h|0)==(f[c+68>>2]|0)){c=c+120|0;if(((f[c>>2]|0)==-1?(f[c+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0)break}else Hj(a,h+1|0,0,g)|0;h=f[i>>2]|0;if(!(f[h+72>>2]|0)){f[d>>2]=f[h+128>>2];break}if(!(f[h+1080>>2]|0)){f[g>>2]=233;break}else{f[d>>2]=f[h+1100>>2];break}}while(0);if(e|0)Hk(a,b,e,g)|0;g=f[g>>2]|0;return g|0}function Gk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[c>>2]|0;if((d|0)>0){c=d;return c|0}d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;if((d|0)==(f[e+68>>2]|0)){e=e+120|0;if(!(((f[e>>2]|0)==-1?(f[e+4>>2]|0)==-1:0)?(Kj(a,c)|0)>0:0))h=6}else{Hj(a,d+1|0,0,c)|0;h=6}do if((h|0)==6){Fn(a,1,c)|0;d=f[g>>2]|0;if(!(f[d+72>>2]|0)){Kn(a,31,98813,b,0,c)|0;break}if(!(f[d+1080>>2]|0)){f[c>>2]=233;break}else{Kn(a,31,98820,b,0,c)|0;break}}while(0);c=f[c>>2]|0;return c|0}function Hk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}e=f[a>>2]|0;h=a+4|0;g=f[h>>2]|0;if((e|0)==(f[g+68>>2]|0)){g=g+120|0;if(!(((f[g>>2]|0)==-1?(f[g+4>>2]|0)==-1:0)?(Kj(a,d)|0)>0:0))i=6}else{Hj(a,e+1|0,0,d)|0;i=6}a:do if((i|0)==6){h=f[h>>2]|0;if(!(f[h+72>>2]|0)){e=f[h+128>>2]|0;e=(e|0)<(b|0)?e:b;if((e|0)>0)g=0;else break;while(1){f[c+(g<<2)>>2]=f[h+136+(g<<3)>>2];g=g+1|0;if((g|0)>=(e|0))break a}}if(!(f[h+1080>>2]|0)){f[d>>2]=233;break}e=f[h+1100>>2]|0;e=(e|0)<(b|0)?e:b;if((e|0)>0){g=0;do{f[c+(g<<2)>>2]=f[h+1104+(g<<2)>>2];g=g+1|0}while((g|0)<(e|0))}}while(0);d=f[d>>2]|0;return d|0}function Ik(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=f[c>>2]|0;if((d|0)>0){c=d;return c|0}d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;if((d|0)==(f[e+68>>2]|0)){e=e+120|0;if(!(((f[e>>2]|0)==-1?(f[e+4>>2]|0)==-1:0)?(Kj(a,c)|0)>0:0))h=6}else{Hj(a,d+1|0,0,c)|0;h=6}do if((h|0)==6){d=f[g>>2]|0;if(!(f[d+72>>2]|0)){f[b>>2]=f[d+128>>2];break}if(!(f[d+1080>>2]|0)){f[c>>2]=233;break}else{f[b>>2]=f[d+1100>>2];break}}while(0);c=f[c>>2]|0;return c|0}function Jk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}e=f[a>>2]|0;h=a+4|0;g=f[h>>2]|0;if((e|0)==(f[g+68>>2]|0)){g=g+120|0;if(!(((f[g>>2]|0)==-1?(f[g+4>>2]|0)==-1:0)?(Kj(a,d)|0)>0:0))i=6}else{Hj(a,e+1|0,0,d)|0;i=6}a:do if((i|0)==6){h=f[h>>2]|0;if(!(f[h+72>>2]|0)){e=f[h+128>>2]|0;e=(e|0)<(b|0)?e:b;if((e|0)>0)g=0;else break;while(1){a=h+136+(g<<3)|0;i=f[a+4>>2]|0;b=c+(g<<3)|0;f[b>>2]=f[a>>2];f[b+4>>2]=i;g=g+1|0;if((g|0)>=(e|0))break a}}if(!(f[h+1080>>2]|0)){f[d>>2]=233;break}e=f[h+1100>>2]|0;e=(e|0)<(b|0)?e:b;if((e|0)>0){g=0;do{i=f[h+1104+(g<<2)>>2]|0;b=c+(g<<3)|0;f[b>>2]=i;f[b+4>>2]=((i|0)<0)<<31>>31;g=g+1|0}while((g|0)<(e|0))}}while(0);d=f[d>>2]|0;return d|0}function Kk(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}e=a+4|0;k=(f[(f[e>>2]|0)+88>>2]|0)+(b<<3)|0;if((ft(a,f[k>>2]|0,f[k+4>>2]|0,0,d)|0)<1?(l=f[e>>2]|0,n=l+68|0,g=f[n>>2]|0,m=l+80|0,h=f[m>>2]|0,k=l+96|0,j=k,i=f[j>>2]|0,j=f[j+4>>2]|0,f[n>>2]=b,f[a>>2]=b,f[m>>2]=(h|0)>(b|0)?h:b,l=l+32|0,b=f[l+4>>2]|0,k,f[k>>2]=f[l>>2],f[k+4>>2]=b,(Jj(a,c,d)|0)>0):0){n=f[e>>2]|0;f[n+68>>2]=g;f[a>>2]=g;f[n+80>>2]=h;n=n+96|0;f[n>>2]=i;f[n+4>>2]=j}n=f[d>>2]|0;return n|0}function Lk(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;y=u;u=u+96|0;s=y+20|0;v=y+16|0;x=y+12|0;w=y+8|0;r=y+4|0;t=y;h=f[g>>2]|0;if((h|0)>0){g=h;u=y;return g|0}q=(f[a>>2]|0)+1|0;p=a+4|0;if(!(f[(f[p>>2]|0)+20>>2]|0))h=0;else{h=d+((Bx(d)|0)+-1)|0;h=(b[h>>0]|0)!=35&1}f[x>>2]=0;a:do if(!(Hj(a,1,v,x)|0)){o=(c|0)==-1;m=(h|0)==0;n=(e|0)==0;k=0;h=0;l=1;while(1){do if((f[g>>2]|0)>0)i=0;else{i=f[a>>2]|0;j=f[p>>2]|0;if((i|0)==(f[j+68>>2]|0)){j=j+120|0;if(((f[j>>2]|0)==-1?(f[j+4>>2]|0)==-1:0)?(Kj(a,g)|0)>0:0){i=f[g>>2]|0;break}}else Hj(a,i+1|0,0,g)|0;i=(f[(f[p>>2]|0)+1080>>2]|0)!=0&1}while(0);if(!o?(j=f[v>>2]|0,!((j|0)==(c|0)|(j|0)==(((i|0)==0?-1:2)|0))):0)i=k;else{Fn(a,2,g)|0;if((Nn(a,106716,s,0,x)|0)<1){if(!m){h=s+((Bx(s)|0)+-1)|0;if((b[h>>0]|0)==35){b[h>>0]=0;h=1}else h=0}jk(s,d,0,w,r);i=f[r>>2]|0}else i=k;if(!((f[x>>2]|0)==0&(i|0)!=0)?(f[x>>2]=0,(Nn(a,78374,s,0,x)|0)<1):0){if(!m){h=s+((Bx(s)|0)+-1)|0;if((b[h>>0]|0)==35){b[h>>0]=0;h=1}else h=0}jk(s,d,0,w,r);i=f[r>>2]|0;j=h}else j=h;if((f[x>>2]|0)==0&(i|0)!=0){if(n){h=36;break}if((On(a,86518,t,0,x)|0)>0){f[t>>2]=1;h=1}else h=f[t>>2]|0;if((h|0)==(e|0)){h=33;break}else h=j}else h=j}l=l+1|0;f[x>>2]=0;if(Hj(a,l,v,x)|0)break a;else k=i}if((h|0)==33){if(j|0)f[(f[p>>2]|0)+20>>2]=0;g=f[g>>2]|0;u=y;return g|0}else if((h|0)==36){if(j|0)f[(f[p>>2]|0)+20>>2]=0;g=f[g>>2]|0;u=y;return g|0}}while(0);Hj(a,q,0,g)|0;f[g>>2]=301;g=301;u=y;return g|0}function Mk(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;h=u;u=u+16|0;g=h;d=f[c>>2]|0;if((d|0)>0){g=d;u=h;return g|0}e=f[a>>2]|0;d=e+1|0;f[b>>2]=e;e=(f[a+4>>2]|0)+120|0;if(!((f[e>>2]|0)==-1?(f[e+4>>2]|0)==-1:0)){f[g>>2]=0;if((Hj(a,d,0,g)|0)<1){e=d;do{f[b>>2]=e;e=e+1|0}while((Hj(a,e,0,g)|0)<1)}Hj(a,d,0,c)|0}g=f[c>>2]|0;u=h;return g|0}function Nk(a){a=a|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;i=u;u=u+32|0;g=i;b[g>>0]=0;yz(g,a,8)|0;c=g+(Bx(g)|0)|0;d=92104;e=c+9|0;do{b[c>>0]=b[d>>0]|0;c=c+1|0;d=d+1|0}while((c|0)<(e|0));c=Bx(g)|0;if(c|0){d=0;do{f=g+d|0;e=(lw(b[f>>0]|0)|0)&255;b[f>>0]=e;d=d+1|0}while((d|0)!=(c|0))}f=g+1|0;e=g+5|0;c=b[g>>0]|0;a:do switch(c<<24>>24){case 90:{d=b[f>>0]|0;b:do switch(d<<24>>24){case 73:if(!(vw(f,78382,7)|0)){c=20;break a}else{h=225;break a}case 67:if(!(vw(f,78390,7)|0)){c=20;break a}else{h=225;break a}case 78:{if(!(vw(f,78398,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=20;break a}else{h=225;break a}if(!(vw(f,98894,5)|0)){g=b[g+6>>0]|0;if(g<<24>>24==32|(g+-48&255)<10){c=20;break a}else{h=225;break a}}else c=0;break}case 86:{if(vw(f,78403,3)|0){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=20;break a}else{h=225;break a}}case 84:if(!(vw(f,78407,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=20;break a}else{h=225;break a}else if(!(vw(f,78452,7)|0)){c=20;break a}else{c=0;break b}case 66:{if(!(vw(f,78412,7)|0)){c=20;break a}if(!(vw(f,78436,7)|0)){c=20;break a}else c=1;break}case 83:{if(!(vw(f,78420,7)|0)){c=20;break a}if(!(vw(f,78444,7)|0)){c=20;break a}else c=0;break}case 90:if(!(vw(f,78428,7)|0)){c=20;break a}else{h=225;break a}default:c=0}while(0);if(d<<24>>24==69?(vw(f,78460,7)|0)==0:0){c=20;break a}if(c?(vw(f,98937,7)|0)==0:0){c=20;break a}switch(d<<24>>24){case 80:if(!(vw(f,78468,7)|0)){c=20;break a}else{h=225;break a}case 71:if(!(vw(f,78476,7)|0)){c=20;break a}else{h=225;break a}case 81:if(!(vw(f,78484,7)|0)){c=20;break a}else{h=225;break a}case 68:if(!(vw(f,78492,7)|0)){c=20;break a}else{h=225;break a}default:{h=225;break a}}}case 32:{c=130;break}case 66:switch(b[f>>0]|0){case 73:if(!(vw(f,78500,7)|0)){c=10;break a}else{h=225;break a}case 76:{if(!(vw(f,78508,7)|0)){c=10;break a}if(!(vw(f,78516,7)|0)){c=40;break a}else{h=225;break a}}case 83:if(!(vw(f,78420,7)|0)){c=30;break a}else{h=225;break a}case 90:if(!(vw(f,78428,7)|0)){c=30;break a}else{h=225;break a}case 85:if(!(vw(f,78524,7)|0)){c=70;break a}else{h=225;break a}default:{h=225;break a}}case 67:switch(b[f>>0]|0){case 79:{if(vw(f,78532,6)|0)if(!(vw(f,78787,7)|0)){c=140;break a}else{h=225;break a}if((b[a>>0]|0)==67){if(!(vw(a,78539,47)|0)){c=10;break a}if(!(vw(a,78587,47)|0)){c=10;break a}if(!(vw(a,78635,47)|0)){c=10;break a}if(!(vw(a,78683,47)|0)){c=10;break a}if(!(vw(a,78731,47)|0)){c=10;break a}}c=(b[g+7>>0]|0)==32?130:150;break a}case 72:if(!(vw(f,78779,7)|0)){c=100;break a}else{h=225;break a}case 84:{if(vw(f,74758,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 85:{if(vw(f,78795,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 82:{if(!(vw(f,78800,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,78805,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,78810,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(vw(f,78815,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 83:{if(vw(f,78820,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 68:if(!(vw(f,78825,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}else if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}default:{h=225;break a}}case 68:{if((b[f>>0]|0)==65)if(vw(f,78830,7)|0)if((vw(f,78838,7)|0)!=0?(vw(f,78846,7)|0)!=0:0)if(!(vw(f,78854,7)|0))c=120;else h=225;else c=60;else c=100;else h=225;break}case 69:switch(b[f>>0]|0){case 88:{if(!(vw(f,78862,7)|0)){c=10;break a}if(vw(f,78878,7)|0){if(!(vw(f,78886,7)|0)){c=90;break a}if(!(vw(f,78894,7)|0)){c=90;break a}else{h=225;break a}}else{if((b[a>>0]|0)!=69){c=90;break a}c=(vw(a,98784,28)|0)==0;c=c?20:90;break a}}case 78:if(!(vw(f,78870,7)|0)){c=10;break a}else{h=225;break a}case 81:{if(!(vw(f,78902,6)|0)){c=120;break a}if(vw(f,78909,3)|0){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=120;break a}else{h=225;break a}}case 80:if(!(vw(f,78913,7)|0)){c=120;break a}else{h=225;break a}default:{h=225;break a}}case 71:switch(b[f>>0]|0){case 67:if(!(vw(f,78921,7)|0)){c=10;break a}else{h=225;break a}case 82:if(!(vw(f,78929,7)|0)){c=10;break a}else{h=225;break a}default:{h=225;break a}}case 72:{switch(b[f>>0]|0){case 68:break;case 73:{if(vw(f,78961,6)|0){h=225;break a}c=(b[g+7>>0]|0)==32?130:150;break a}default:{h=225;break a}}if(((vw(f,78937,7)|0)!=0?(vw(f,78945,7)|0)!=0:0)?(vw(f,78953,7)|0)!=0:0)h=225;else c=90;break}case 76:switch(b[f>>0]|0){case 79:{if(!(vw(f,78968,6)|0)){c=110;break a}if(vw(f,78982,3)|0){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 65:{if(!(vw(f,78975,6)|0)){c=110;break a}if(vw(f,78986,3)|0){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}default:{h=225;break a}}case 77:{if((b[f>>0]|0)==74)if(vw(f,78990,7)|0)if((vw(f,78998,4)|0)==0?((b[e>>0]|0)+-48&255)<10:0)c=120;else h=225;else c=120;else h=225;break}case 78:{if(((b[f>>0]|0)==65?(vw(f,79003,4)|0)==0:0)?(g=b[e>>0]|0,g<<24>>24==32|(g+-48&255)<10):0)c=10;else h=225;break}case 80:switch(b[f>>0]|0){case 67:{if(!(vw(f,78921,7)|0)){c=10;break a}if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 83:if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}case 86:if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}default:{h=225;break a}}case 82:{if((b[f>>0]|0)==65)if((vw(f,79008,7)|0)!=0?(vw(f,79016,6)|0)!=0:0)if((vw(f,79023,3)|0)==0?((b[g+4>>0]|0)+-48&255)<10:0)c=120;else h=225;else c=120;else h=225;break}case 83:{if((b[f>>0]|0)==73?(vw(f,79027,7)|0)==0:0)c=10;else h=225;break}case 84:{c=b[f>>0]|0;c:do switch(c<<24>>24){case 84:{if(!(vw(f,74758,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=10;break a}else{h=225;break a}else h=134;break}case 70:if(!(vw(f,74817,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=10;break a}else{h=225;break a}else if(!(vw(f,79035,7)|0)){c=10;break a}else{h=134;break c}case 66:{if(!(vw(f,74822,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=10;break a}else{h=225;break a}else h=134;break}case 72:{if(!(vw(f,79043,7)|0)){c=10;break a}else h=134;break}case 78:{if(vw(f,80583,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=40;break a}else{h=225;break a}}case 68:{if(!(vw(f,74981,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=50;break a}else{h=225;break a}if(!(vw(f,79051,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=80;break a}else{h=225;break a}if(!(vw(f,79066,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=60;break a}else{h=225;break a}if(!(vw(f,79071,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=60;break a}else{h=225;break a}else h=147;break}case 85:{if(vw(f,78795,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=70;break a}else{h=225;break a}}case 83:{h=135;break}case 90:{h=137;break}case 76:{h=139;break}case 67:{h=148;break}case 87:{h=174;break}case 80:{h=177;break}case 86:{h=178;break}default:{h=225;break a}}while(0);if((h|0)==134)switch(c<<24>>24){case 83:{h=135;break}case 90:{h=137;break}case 76:{h=139;break}case 67:{h=148;break}case 87:{h=174;break}case 80:{h=177;break}case 86:{h=178;break}default:{h=225;break a}}if((h|0)==135)if(!(vw(f,74871,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=30;break a}else{h=225;break a}else h=147;else if((h|0)==137){if(vw(f,74918,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=30;break a}else{h=225;break a}}else if((h|0)==139){if(!(vw(f,79056,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=60;break a}else{h=225;break a}if(vw(f,79061,4)|0){h=225;break a}if(((b[e>>0]|0)+-48&255)<10){c=60;break a}else{h=225;break a}}d:do if((h|0)==147){switch(c<<24>>24){case 67:{h=148;break d}case 87:{h=174;break d}case 80:{h=177;break d}case 86:{h=178;break d}case 83:break;default:{h=225;break a}}if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}while(0);if((h|0)==148){if(!(vw(f,79076,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79081,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79085,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79090,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79094,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79099,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79103,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79108,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79112,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79117,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79122,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79126,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79130,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}else if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}else if((h|0)==174){if(vw(f,79134,3)|0){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}else if((h|0)==177)if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}else if((h|0)==178)if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}break}case 88:{if((b[f>>0]|0)==84?(vw(f,78452,7)|0)==0:0)c=10;else h=225;break}case 87:{if((b[f>>0]|0)==67)if((vw(f,79138,6)|0)!=0?(vw(f,79145,6)|0)!=0:0){if(!(vw(f,79152,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if((vw(f,79156,3)|0)==0?((b[g+4>>0]|0)+-48&255)<10:0)c=110;else h=225}else c=110;else h=225;break}default:if((c+-48&255)<10){c=b[f>>0]|0;switch(c<<24>>24){case 67:{if(!(vw(f,79076,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79081,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79085,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79090,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79094,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79099,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79103,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79108,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79112,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79117,4)|0))if(((b[e>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79122,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(!(vw(f,79126,3)|0))if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}if(vw(f,79130,3)|0){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 86:if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}case 83:if(((b[g+2>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}default:{if((c+-48&255)>=10){h=225;break a}switch(b[g+2>>0]|0){case 80:{if((b[g+3>>0]|0)!=67){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}case 67:{if((b[g+3>>0]|0)!=68){h=225;break a}if(((b[g+4>>0]|0)+-48&255)<10){c=110;break a}else{h=225;break a}}default:{h=225;break a}}}}}else h=225}while(0);if((h|0)==225)c=150;u=i;return c|0}function Ok(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}switch(b[a>>0]|0){case 0:{f[d>>2]=204;d=204;return d|0}case 39:{e=67;break}case 70:case 84:{e=76;break}case 40:{e=88;break}default:if((Cx(a,46)|0)==0?(Cx(a,69)|0)==0:0){e=(Cx(a,68)|0)==0;e=e?73:70}else e=70}b[c>>0]=e;d=f[d>>2]|0;return d|0}function Pk(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;a:do if((f[i>>2]|0)>0)k=10;else{switch(b[a>>0]|0){case 0:{f[i>>2]=204;k=10;break a}case 39:{j=67;break}case 70:case 84:{j=76;break}case 40:{j=88;break}default:if((Cx(a,46)|0)==0?(Cx(a,69)|0)==0:0){j=(Cx(a,68)|0)==0;j=j?73:70}else j=70}b[c>>0]=j}while(0);if((k|0)==10)j=b[c>>0]|0;switch(j<<24>>24){case 73:{Vj(a,d,i)|0;break}case 70:{Wj(a,h,i)|0;break}case 76:{if((f[i>>2]|0)<=0)f[e>>2]=(b[a>>0]|0)==84&1;break}default:Oj(a,g,i)|0}return f[i>>2]|0}function Qk(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}f[c>>2]=(b[a>>0]|0)==84&1;d=f[d>>2]|0;return d|0}function Rk(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0;a:do if((f[i>>2]|0)>0)k=10;else{switch(b[a>>0]|0){case 0:{f[i>>2]=204;k=10;break a}case 39:{j=67;break}case 70:case 84:{j=76;break}case 40:{j=88;break}default:if((Cx(a,46)|0)==0?(Cx(a,69)|0)==0:0){j=(Cx(a,68)|0)==0;j=j?73:70}else j=70}b[c>>0]=j}while(0);if((k|0)==10)j=b[c>>0]|0;switch(j<<24>>24){case 73:{tk(a,d,i)|0;break}case 70:{Wj(a,h,i)|0;break}case 76:{if((f[i>>2]|0)<=0)f[e>>2]=(b[a>>0]|0)==84&1;break}default:Oj(a,g,i)|0}return f[i>>2]|0}function Sk(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0.0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+176|0;h=m+174|0;k=m+93|0;l=m+12|0;j=m+8|0;i=m;e=f[d>>2]|0;if((e|0)>0){d=e;u=m;return d|0}if(!(b[a>>0]|0)){f[d>>2]=204;d=204;u=m;return d|0}Pk(a,h,c,j,k,i,d)|0;switch(b[h>>0]|0){case 88:{e=403;h=12;break}case 67:{if((Wj(k,i,d)|0)<1){g=+p[i>>3];if(g>2147483647.0|g<-2147483648.0){e=412;h=12}else{f[c>>2]=~~g;h=11}}else h=11;break}case 70:{g=+p[i>>3];if(g>2147483647.0|g<-2147483648.0){e=412;h=12}else{f[c>>2]=~~g;h=11}break}case 76:{f[c>>2]=f[j>>2];h=11;break}default:h=11}if((h|0)==11){e=f[d>>2]|0;if((e|0)<=0){d=e;u=m;return d|0}}else if((h|0)==12)f[d>>2]=e;f[c>>2]=0;e=l;h=79160;i=e+49|0;do{b[e>>0]=b[h>>0]|0;e=e+1|0;h=h+1|0}while((e|0)<(i|0));yz(l,a,30)|0;wj(5,l);d=f[d>>2]|0;u=m;return d|0}function Tk(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0.0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+176|0;h=m+174|0;k=m+93|0;l=m+12|0;j=m+8|0;i=m;e=f[d>>2]|0;if((e|0)>0){d=e;u=m;return d|0}if(!(b[a>>0]|0)){f[d>>2]=204;d=204;u=m;return d|0}Rk(a,h,c,j,k,i,d)|0;switch(b[h>>0]|0){case 88:{e=403;h=12;break}case 67:{if((Wj(k,i,d)|0)<1){g=+p[i>>3];if(g>9223372036854775808.0|g<-9223372036854775808.0){e=412;h=12}else{k=+K(g)>=1.0?(g>0.0?~~+Y(+J(g/4294967296.0),4294967295.0)>>>0:~~+W((g-+(~~g>>>0))/4294967296.0)>>>0):0;h=c;f[h>>2]=~~g>>>0;f[h+4>>2]=k;h=11}}else h=11;break}case 70:{g=+p[i>>3];if(g>9223372036854775808.0|g<-9223372036854775808.0){e=412;h=12}else{k=+K(g)>=1.0?(g>0.0?~~+Y(+J(g/4294967296.0),4294967295.0)>>>0:~~+W((g-+(~~g>>>0))/4294967296.0)>>>0):0;h=c;f[h>>2]=~~g>>>0;f[h+4>>2]=k;h=11}break}case 76:{k=f[j>>2]|0;h=c;f[h>>2]=k;f[h+4>>2]=((k|0)<0)<<31>>31;h=11;break}default:h=11}if((h|0)==11){e=f[d>>2]|0;if((e|0)<=0){d=e;u=m;return d|0}}else if((h|0)==12)f[d>>2]=e;e=c;f[e>>2]=0;f[e+4>>2]=0;e=l;h=79209;i=e+53|0;do{b[e>>0]=b[h>>0]|0;e=e+1|0;h=h+1|0}while((e|0)<(i|0));yz(l,a,30)|0;wj(5,l);d=f[d>>2]|0;u=m;return d|0}function Uk(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+176|0;g=k+174|0;j=k+12|0;i=k+8|0;h=k;e=f[d>>2]|0;if((e|0)>0){d=e;u=k;return d|0}if(!(b[a>>0]|0)){f[d>>2]=204;d=204;u=k;return d|0}Pk(a,g,i,c,k+93|0,h,d)|0;g=b[g>>0]|0;switch(g<<24>>24){case 88:case 67:{f[d>>2]=404;break}default:{e=f[d>>2]|0;if((e|0)<=0){switch(g<<24>>24){case 73:{e=(f[i>>2]|0)!=0;break}case 70:{e=+p[h>>3]!=0.0;break}default:{d=e;u=k;return d|0}}f[c>>2]=e&1;d=f[d>>2]|0;u=k;return d|0}}}f[c>>2]=0;e=j;g=79262;h=e+48|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(h|0));yz(j,a,30)|0;wj(5,j);d=f[d>>2]|0;u=k;return d|0}function Vk(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+176|0;h=k+81|0;j=k;e=f[d>>2]|0;if((e|0)>0){d=e;u=k;return d|0}e=b[a>>0]|0;switch(e<<24>>24){case 0:{f[d>>2]=204;d=204;u=k;return d|0}case 40:{f[d>>2]=405;break}case 39:{Oj(a,h,d)|0;Xj(h,c,d)|0;i=8;break}case 70:case 84:{n[c>>2]=+(e<<24>>24==84&1);i=8;break}default:{Xj(a,c,d)|0;i=8}}if((i|0)==8?(g=f[d>>2]|0,(g|0)<=0):0){d=g;u=k;return d|0}n[c>>2]=0.0;e=j;g=79310;c=e+46|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(c|0));yz(j,a,30)|0;wj(5,j);d=f[d>>2]|0;u=k;return d|0}function Wk(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+176|0;h=k+81|0;j=k;e=f[d>>2]|0;if((e|0)>0){d=e;u=k;return d|0}e=b[a>>0]|0;switch(e<<24>>24){case 0:{f[d>>2]=204;d=204;u=k;return d|0}case 40:{f[d>>2]=406;break}case 39:{Oj(a,h,d)|0;Wj(h,c,d)|0;i=8;break}case 70:case 84:{p[c>>3]=+(e<<24>>24==84&1);i=8;break}default:{Wj(a,c,d)|0;i=8}}if((i|0)==8?(g=f[d>>2]|0,(g|0)<=0):0){d=g;u=k;return d|0}p[c>>3]=0.0;e=j;g=79356;c=e+47|0;do{b[e>>0]=b[g>>0]|0;e=e+1|0;g=g+1|0}while((e|0)<(c|0));yz(j,a,30)|0;wj(5,j);d=f[d>>2]|0;u=k;return d|0}function Xk(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0;n=u;u=u+800|0;m=n;l=n+792|0;k=f[j>>2]|0;if((d|0)==0&(e|0)==0|(k|0)>0){m=k;u=n;return m|0}Ik(a,l,j)|0;k=f[l>>2]|0;if((k|0)>0){l=0;do{p=f[c+(l<<2)>>2]|0;o=m+(l<<3)|0;f[o>>2]=p;f[o+4>>2]=((p|0)<0)<<31>>31;l=l+1|0}while((l|0)<(k|0))}Yk(a,b,m,d,e,g,h,i,j)|0;p=f[j>>2]|0;u=n;return p|0}function Yk(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;G=u;u=u+192|0;C=G+180|0;B=G+184|0;D=G+72|0;F=G;E=G+144|0;m=F;o=8;q=m+72|0;do{f[m>>2]=f[o>>2];m=m+4|0;o=o+4|0}while((m|0)<(q|0));m=E;o=4676;q=m+36|0;do{f[m>>2]=f[o>>2];m=m+4|0;o=o+4|0}while((m|0)<(q|0));m=f[l>>2]|0;if((g|0)==0&(h|0)==0|(m|0)>0){F=m;u=G;return F|0}Ik(a,C,l)|0;Jk(a,9,D,l)|0;w=f[C>>2]|0;r=D;q=f[r>>2]|0;r=f[r+4>>2]|0;if((w|0)==0|(q|0)==0&(r|0)==0){f[l>>2]=320;F=320;u=G;return F|0}if((w|0)>0){Lz(F|0,e|0,w<<3|0)|0;o=e;o=Ez(f[o>>2]|0,f[o+4>>2]|0,-1,-1)|0;m=I;if((w|0)!=1){t=1;v=0;s=1;do{t=Sz(q|0,r|0,t|0,v|0)|0;v=I;H=D+(s<<3)|0;q=f[H>>2]|0;r=f[H+4>>2]|0;H=e+(s<<3)|0;H=Ez(f[H>>2]|0,f[H+4>>2]|0,-1,-1)|0;H=Sz(H|0,I|0,t|0,v|0)|0;o=Ez(H|0,I|0,o|0,m|0)|0;m=I;s=s+1|0}while((s|0)<(w|0))}}else{o=0;m=0}m=Ez(o|0,m|0,1,0)|0;o=I;if(Ek(a,l)|0){if(((f[C>>2]&-2|0)==2?(H=e,(f[H>>2]|0)==1&(f[H+4>>2]|0)==0):0)?(y=D,x=f[y>>2]|0,y=f[y+4>>2]|0,z=Jz(g|0,h|0,x|0,y|0)|0,A=I,H=Sz(z|0,A|0,x|0,y|0)|0,(H|0)==(g|0)&(I|0)==(h|0)):0){m=F;f[m>>2]=x;f[m+4>>2]=y;m=e+8|0;o=f[m>>2]|0;m=f[m+4>>2]|0;w=Ez(z|0,A|0,-1,-1)|0;m=Ez(w|0,I|0,o|0,m|0)|0;o=I;w=F+8|0;t=w;f[t>>2]=m;f[t+4>>2]=o;t=D+8|0;s=f[t>>2]|0;t=f[t+4>>2]|0;if((o|0)>(t|0)|(o|0)==(t|0)&m>>>0>s>>>0){v=F+16|0;r=v;q=f[r>>2]|0;r=f[r+4>>2]|0;do{m=Dz(m|0,o|0,s|0,t|0)|0;o=I;q=Ez(q|0,r|0,1,0)|0;r=I}while((o|0)>(t|0)|(o|0)==(t|0)&m>>>0>s>>>0);H=w;f[H>>2]=m;f[H+4>>2]=o;H=v;f[H>>2]=q;f[H+4>>2]=r}ts(a,c,e,F,E,1,i,j,0,k,l)|0}else ws(a,c,m,o,g,h,1,i,j,0,k,l)|0;H=f[l>>2]|0;u=G;return H|0}a:do switch(c|0){case 11:if(!i){dl(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{dl(a,2,1,0,m,o,g,h,1,1,b[i>>0]|0,j,B,k,l)|0;break a}case 12:if(!i){Qm(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{Qm(a,2,1,0,m,o,g,h,1,1,b[i>>0]|0,j,B,k,l)|0;break a}case 20:if(!i){jn(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{jn(a,2,1,0,m,o,g,h,1,1,d[i>>1]|0,j,B,k,l)|0;break a}case 21:if(!i){Ql(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{Ql(a,2,1,0,m,o,g,h,1,1,d[i>>1]|0,j,B,k,l)|0;break a}case 30:if(!i){$m(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{$m(a,2,1,0,m,o,g,h,1,1,f[i>>2]|0,j,B,k,l)|0;break a}case 31:if(!i){ym(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{ym(a,2,1,0,m,o,g,h,1,1,f[i>>2]|0,j,B,k,l)|0;break a}case 40:if(!i){un(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{un(a,2,1,0,m,o,g,h,1,1,f[i>>2]|0,j,B,k,l)|0;break a}case 41:if(!i){$l(a,2,1,0,m,o,g,h,1,1,0,j,B,k,l)|0;break a}else{$l(a,2,1,0,m,o,g,h,1,1,f[i>>2]|0,j,B,k,l)|0;break a}case 81:if(!i){mm(a,2,1,0,m,o,g,h,1,1,0,0,j,B,k,l)|0;break a}else{H=i;mm(a,2,1,0,m,o,g,h,1,1,f[H>>2]|0,f[H+4>>2]|0,j,B,k,l)|0;break a}case 42:if(!i){Dl(a,2,1,0,m,o,g,h,1,1,0.0,j,B,k,l)|0;break a}else{Dl(a,2,1,0,m,o,g,h,1,1,+n[i>>2],j,B,k,l)|0;break a}case 82:if(!i){pl(a,2,1,0,m,o,g,h,1,1,0.0,j,B,k,l)|0;break a}else{pl(a,2,1,0,m,o,g,h,1,1,+p[i>>3],j,B,k,l)|0;break a}default:f[l>>2]=410}while(0);H=f[l>>2]|0;u=G;return H|0}
function fm(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3];do if(!(o<-9223372036854774784.0))if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}else{f[m>>2]=-11;n=-2147483648}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3]*e+g;do if(!(o<-9223372036854774784.0))if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}else{f[m>>2]=-11;n=-2147483648}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;a:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-9223372036854774784.0){f[m>>2]=-11;n=-2147483648;break a}if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647;break a}else{n=~~o;break a}}case 1:{f[k>>2]=1;n=i;break}default:n=0}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-9223372036854774784.0){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break b}if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}s=g<-9223372036854774784.0;t=g>9223372036854774784.0;u=~~g;if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;c:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-9223372036854774784.0){f[m>>2]=-11;n=-2147483648;break c}if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647;break c}else{n=~~o;break c}}case 1:{f[k>>2]=1;n=i;break}default:{if(s){f[m>>2]=-11;n=-2147483648;break c}if(t){f[m>>2]=-11;n=2147483647}else n=u}}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-9223372036854774784.0){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break d}if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;e:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-9223372036854774784.0){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break e}if(o>9223372036854774784.0){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;n=2147483647}else n=u;f[l+(r<<2)>>2]=n}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function gm(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;H=u;u=u+96|0;G=H;F=H+4|0;A=Bx(j)|0;a:do if((c|0)>0){B=(i|0)==0;z=(i|0)==1;x=a;y=0;b:while(1){E=x+g|0;D=b[E>>0]|0;b[E>>0]=0;do if((b[j>>0]|0)!=1?(vw(j,x,A)|0)==0:0)if(!B){f[m>>2]=1;if(z){f[n+(y<<2)>>2]=k;i=E;break}else{b[l+y>>0]=1;i=E;break}}else i=E;else{i=x;C=9}while(0);do if((C|0)==9){c:while(1){C=0;a=b[i>>0]|0;switch(a<<24>>24){case 43:case 45:{C=11;break c}case 32:break;default:{w=1;break c}}i=i+1|0;C=9}if((C|0)==11){C=0;p=a<<24>>24==45;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);w=p?-1:1}if((a+-48&255)<10){q=0.0;do{q=q*10.0+ +(a<<24>>24);do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);q=q+-48.0}while((a+-48&255)<10)}else q=0.0;switch(a<<24>>24){case 44:case 46:{do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);if((a+-48&255)<10){s=1.0;do{q=q*10.0+ +(a<<24>>24)+-48.0;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);s=s*10.0}while((a+-48&255)<10);v=1}else{v=1;s=1.0}break}default:{v=0;s=1.0}}if((a&-2)<<24>>24==68){p=i;d:while(1){i=p+1|0;a=b[i>>0]|0;switch(a<<24>>24){case 32:{p=i;break}case 43:case 45:{C=28;break d}default:{r=1;break d}}}if((C|0)==28){C=0;r=a<<24>>24==45;i=p+2|0;while(1){a=b[i>>0]|0;if(a<<24>>24==32)i=i+1|0;else break}r=r?-1:1}if((a+-48&255)<10){p=0;while(1){p=(p*10|0)+-48|0;do{i=i+1|0;t=b[i>>0]|0}while(t<<24>>24==32);p=p+(a<<24>>24)|0;if((t+-48&255)<10)a=t;else{a=t;break}}}else p=0}else{r=1;p=0}if(a<<24>>24)break b;q=+(w|0)*q/((v|0)==0?h:s)*+M(10.0,+(+(X(r,p)|0)))*d+e;if(q<-9223372036854774784.0){f[o>>2]=-11;f[n+(y<<2)>>2]=-2147483648;break}if(q>9223372036854774784.0){f[o>>2]=-11;a=2147483647}else a=~~q;f[n+(y<<2)>>2]=a}while(0);b[E>>0]=D;y=y+1|0;if((y|0)>=(c|0))break a;else x=i}i=F;a=81500;p=i+36|0;do{b[i>>0]=b[a>>0]|0;i=i+1|0;a=a+1|0}while((i|0)<(p|0));vj(F);f[G>>2]=x;ww(F,81536,G)|0;vj(F);b[E>>0]=D;f[o>>2]=409;G=409;u=H;return G|0}while(0);G=f[o>>2]|0;u=H;return G|0}function hm(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){$l(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,41,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function im(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0;fb=u;u=u+480|0;s=fb+232|0;n=fb+224|0;ha=fb+356|0;A=fb+320|0;B=fb+284|0;y=fb+248|0;z=fb+144|0;o=fb+72|0;q=fb;m=fb+244|0;db=fb+240|0;eb=fb+473|0;r=fb+392|0;p=fb+236|0;if((c+-1|0)>>>0>8){f[n>>2]=c;ww(r,80418,n)|0;vj(r);f[l>>2]=320;l=320;u=fb;return l|0}if(Ek(a,l)|0){m=0;do{eb=f[e+(m<<2)>>2]|0;db=o+(m<<3)|0;f[db>>2]=eb;f[db+4>>2]=((eb|0)<0)<<31>>31;db=f[g+(m<<2)>>2]|0;eb=q+(m<<3)|0;f[eb>>2]=db;f[eb+4>>2]=((db|0)<0)<<31>>31;m=m+1|0}while((m|0)!=(c|0));f[p>>2]=i;ts(a,41,o,q,h,1,p,j,0,k,l)|0;l=f[l>>2]|0;u=fb;return l|0}if((mk(a,m,l)|0)>0){l=f[l>>2]|0;u=fb;return l|0}m=(f[m>>2]|0)==0;if(m){Ca=(b|0)==0?1:b;b=2;bb=1;t=Ca}else{bb=f[h+(c<<2)>>2]|0;t=f[g+(c<<2)>>2]|0;Ca=f[e+(c<<2)>>2]|0}cb=(k|0)!=0;if(cb)f[k>>2]=0;f[ha>>2]=1;f[A>>2]=1;f[B>>2]=1;ba=z;f[ba>>2]=1;f[ba+4>>2]=0;f[y>>2]=1;ba=ha+4|0;f[ba>>2]=1;ca=A+4|0;f[ca>>2]=1;xa=B+4|0;f[xa>>2]=1;ea=z+8|0;aa=ea;f[aa>>2]=1;f[aa+4>>2]=0;aa=y+4|0;f[aa>>2]=1;Z=ha+8|0;f[Z>>2]=1;_=A+8|0;f[_>>2]=1;da=B+8|0;f[da>>2]=1;fa=z+16|0;Y=fa;f[Y>>2]=1;f[Y+4>>2]=0;Y=y+8|0;f[Y>>2]=1;U=ha+12|0;f[U>>2]=1;V=A+12|0;f[V>>2]=1;$=B+12|0;f[$>>2]=1;ga=z+24|0;T=ga;f[T>>2]=1;f[T+4>>2]=0;T=y+12|0;f[T>>2]=1;Q=ha+16|0;f[Q>>2]=1;R=A+16|0;f[R>>2]=1;W=B+16|0;f[W>>2]=1;ia=z+32|0;P=ia;f[P>>2]=1;f[P+4>>2]=0;P=y+16|0;f[P>>2]=1;M=ha+20|0;f[M>>2]=1;N=A+20|0;f[N>>2]=1;S=B+20|0;f[S>>2]=1;ja=z+40|0;L=ja;f[L>>2]=1;f[L+4>>2]=0;L=y+20|0;f[L>>2]=1;H=ha+24|0;f[H>>2]=1;J=A+24|0;f[J>>2]=1;O=B+24|0;f[O>>2]=1;ma=z+48|0;G=ma;f[G>>2]=1;f[G+4>>2]=0;G=y+24|0;f[G>>2]=1;D=ha+28|0;f[D>>2]=1;E=A+28|0;f[E>>2]=1;K=B+28|0;f[K>>2]=1;qa=z+56|0;C=qa;f[C>>2]=1;f[C+4>>2]=0;C=y+28|0;f[C>>2]=1;w=ha+32|0;f[w>>2]=1;x=A+32|0;f[x>>2]=1;F=B+32|0;f[F>>2]=1;ta=z+64|0;v=ta;f[v>>2]=1;f[v+4>>2]=0;v=y+32|0;f[v>>2]=1;a:do if(m){n=c<<2;Lz(ha|0,e|0,n|0)|0;Lz(A|0,g|0,n|0)|0;Lz(B|0,h|0,n|0)|0;n=1;o=0;p=0;do{m=y+(p<<2)|0;if((f[g+(p<<2)>>2]|0)<(f[e+(p<<2)>>2]|0)){f[m>>2]=-1;m=-1}else m=f[m>>2]|0;$a=f[d+(p<<2)>>2]|0;_a=n;n=Sz($a|0,(($a|0)<0)<<31>>31|0,n|0,o|0)|0;$a=o;o=I;ab=p;p=p+1|0;Za=z+(p<<3)|0;f[Za>>2]=n;f[Za+4>>2]=o;$a=Sz(m|0,((m|0)<0)<<31>>31|0,_a|0,$a|0)|0;ab=z+(ab<<3)|0;f[ab>>2]=$a;f[ab+4>>2]=I}while((p|0)!=(c|0))}else{o=1;p=0;q=0;while(1){m=f[g+(q<<2)>>2]|0;n=f[e+(q<<2)>>2]|0;if((m|0)<(n|0))break;f[ha+(q<<2)>>2]=n;f[A+(q<<2)>>2]=m;f[B+(q<<2)>>2]=f[h+(q<<2)>>2];$a=f[d+(q<<2)>>2]|0;ab=o;o=Sz($a|0,(($a|0)<0)<<31>>31|0,o|0,p|0)|0;$a=p;p=I;m=q+1|0;_a=z+(m<<3)|0;f[_a>>2]=o;f[_a+4>>2]=p;_a=f[y+(q<<2)>>2]|0;$a=Sz(_a|0,((_a|0)<0)<<31>>31|0,ab|0,$a|0)|0;ab=z+(q<<3)|0;f[ab>>2]=$a;f[ab+4>>2]=I;if((m|0)>=(c|0))break a;else q=m}f[s>>2]=q+1;ww(r,80373,s)|0;vj(r);f[l>>2]=321;l=321;u=fb;return l|0}while(0);ab=z+(c<<3)|0;$a=ab;_a=f[y+(c<<2)>>2]|0;$a=Sz(_a|0,((_a|0)<0)<<31>>31|0,f[$a>>2]|0,f[$a+4>>2]|0)|0;f[ab>>2]=$a;f[ab+4>>2]=I;if((c|0)==1?(f[d>>2]|0)==1:0){m=(t-Ca|0)/(bb|0)|0;ab=bb;t=Ca}else{ab=f[y>>2]|0;m=X((f[A>>2]|0)-(f[ha>>2]|0)|0,ab)|0;m=(m|0)/(f[h>>2]|0)|0;ab=X(f[B>>2]|0,ab)|0}$a=m+1|0;b:do if((Ca|0)<=(t|0)){_a=f[v>>2]|0;Za=X(_a,f[w>>2]|0)|0;Ya=X(_a,f[x>>2]|0)|0;Xa=(Za|0)>(Ya|0);Wa=f[C>>2]|0;Va=X(Wa,f[D>>2]|0)|0;Ua=X(Wa,f[E>>2]|0)|0;Ta=(Va|0)>(Ua|0);Sa=f[F>>2]|0;Ra=f[G>>2]|0;Qa=X(Ra,f[H>>2]|0)|0;Pa=X(Ra,f[J>>2]|0)|0;Oa=(Qa|0)>(Pa|0);Na=f[K>>2]|0;Ma=f[L>>2]|0;La=X(Ma,f[M>>2]|0)|0;Ka=X(Ma,f[N>>2]|0)|0;Ja=(La|0)>(Ka|0);Ia=f[O>>2]|0;Ha=f[P>>2]|0;Ga=X(Ha,f[Q>>2]|0)|0;Fa=X(Ha,f[R>>2]|0)|0;Ea=(Ga|0)>(Fa|0);Da=f[S>>2]|0;Ba=f[T>>2]|0;Aa=X(Ba,f[U>>2]|0)|0;za=X(Ba,f[V>>2]|0)|0;ya=(Aa|0)>(za|0);wa=f[W>>2]|0;va=f[Y>>2]|0;ua=X(va,f[Z>>2]|0)|0;sa=X(va,f[_>>2]|0)|0;ra=(ua|0)>(sa|0);pa=f[$>>2]|0;oa=f[aa>>2]|0;na=X(oa,f[ba>>2]|0)|0;la=X(oa,f[ca>>2]|0)|0;ka=(na|0)>(la|0);ca=f[da>>2]|0;aa=f[ha>>2]|0;ba=((aa|0)<0)<<31>>31;$=ea;_=f[$>>2]|0;$=f[$+4>>2]|0;Z=fa;Y=f[Z>>2]|0;Z=f[Z+4>>2]|0;W=ga;V=f[W>>2]|0;W=f[W+4>>2]|0;U=ia;T=f[U>>2]|0;U=f[U+4>>2]|0;S=ja;R=f[S>>2]|0;S=f[S+4>>2]|0;Q=ma;P=f[Q>>2]|0;Q=f[Q+4>>2]|0;O=qa;N=f[O>>2]|0;O=f[O+4>>2]|0;L=ta;K=f[L>>2]|0;L=f[L+4>>2]|0;M=(($a|0)<0)<<31>>31;J=f[xa>>2]|0;m=0;H=Ca;c:while(1){if(!Xa){G=((H|0)<0)<<31>>31;F=Za;do{if(!Ta){D=F-_a|0;D=Sz(D|0,((D|0)<0)<<31>>31|0,K|0,L|0)|0;E=I;C=Va;do{if(!Oa){c=C-Wa|0;c=Sz(c|0,((c|0)<0)<<31>>31|0,N|0,O|0)|0;g=I;B=Qa;do{if(!Ja){e=B-Ra|0;e=Sz(e|0,((e|0)<0)<<31>>31|0,P|0,Q|0)|0;h=I;A=La;do{if(!Ea){z=A-Ma|0;z=Sz(z|0,((z|0)<0)<<31>>31|0,R|0,S|0)|0;d=I;y=Ga;do{if(!ya){w=y-Ha|0;w=Sz(w|0,((w|0)<0)<<31>>31|0,T|0,U|0)|0;x=I;v=Aa;do{d:do if(!ra){r=v-Ba|0;r=Sz(r|0,((r|0)<0)<<31>>31|0,V|0,W|0)|0;s=I;if(ka){n=ua;while(1){n=ca+n|0;if((n|0)>(sa|0))break d}}else q=ua;do{o=q-va|0;o=Sz(o|0,((o|0)<0)<<31>>31|0,Y|0,Z|0)|0;p=I;if(cb){n=na;do{Ca=n-oa|0;Ca=Sz(_|0,$|0,Ca|0,((Ca|0)<0)<<31>>31|0)|0;Ca=Ez(Ca|0,I|0,aa|0,ba|0)|0;Ca=Ez(Ca|0,I|0,o|0,p|0)|0;Ca=Ez(Ca|0,I|0,r|0,s|0)|0;Ca=Ez(Ca|0,I|0,w|0,x|0)|0;Ca=Ez(Ca|0,I|0,z|0,d|0)|0;Ca=Ez(Ca|0,I|0,e|0,h|0)|0;Ca=Ez(Ca|0,I|0,c|0,g|0)|0;Ca=Ez(Ca|0,I|0,D|0,E|0)|0;if(($l(a,b,H,G,Ca,I,$a,M,ab,1,i,j+(m<<2)|0,eb,db,l)|0)>0)break c;if(f[db>>2]|0)f[k>>2]=1;m=m+$a|0;n=J+n|0}while((n|0)<=(la|0))}else{n=na;do{Ca=n-oa|0;Ca=Sz(_|0,$|0,Ca|0,((Ca|0)<0)<<31>>31|0)|0;Ca=Ez(Ca|0,I|0,aa|0,ba|0)|0;Ca=Ez(Ca|0,I|0,o|0,p|0)|0;Ca=Ez(Ca|0,I|0,r|0,s|0)|0;Ca=Ez(Ca|0,I|0,w|0,x|0)|0;Ca=Ez(Ca|0,I|0,z|0,d|0)|0;Ca=Ez(Ca|0,I|0,e|0,h|0)|0;Ca=Ez(Ca|0,I|0,c|0,g|0)|0;Ca=Ez(Ca|0,I|0,D|0,E|0)|0;if(($l(a,b,H,G,Ca,I,$a,M,ab,1,i,j+(m<<2)|0,eb,db,l)|0)>0)break c;m=m+$a|0;n=J+n|0}while((n|0)<=(la|0))}q=ca+q|0}while((q|0)<=(sa|0))}while(0);v=pa+v|0}while((v|0)<=(za|0))}y=wa+y|0}while((y|0)<=(Fa|0))}A=Da+A|0}while((A|0)<=(Ka|0))}B=Ia+B|0}while((B|0)<=(Pa|0))}C=Na+C|0}while((C|0)<=(Ua|0))}F=Sa+F|0}while((F|0)<=(Ya|0))}H=H+bb|0;if((H|0)>(t|0))break b}l=f[l>>2]|0;u=fb;return l|0}while(0);l=f[l>>2]|0;u=fb;return l|0}function jm(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0;n=u;u=u+16|0;$l(a,b,c,d,e,g,h,i,1,1,j,k,n,l,m)|0;u=n;return f[m>>2]|0}function km(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;$l(a,b,c,d,e,g,h,i,1,2,0,j,k,l,m)|0;return f[m>>2]|0}function lm(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;n=u;u=u+16|0;m=n;if(!(Ek(a,l)|0)){mm(a,2,(b|0)>1?b:1,0,c,d,e,g,1,1,h,i,j,n+8|0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}else{b=m;f[b>>2]=h;f[b+4>>2]=i;ws(a,81,c,d,e,g,1,m,j,0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}return 0}function mm(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r,s){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;s=s|0;var t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;da=u;u=u+29072|0;ca=da+28888|0;ba=da+28864|0;Z=da+28856|0;R=da+28848|0;_=da+28840|0;U=da+28932|0;x=da+28928|0;$=da+28924|0;y=da+28916|0;Y=da+28912|0;O=da+28908|0;P=da+28832|0;T=da+28824|0;N=da+28816|0;W=da+28808|0;Q=da+28800|0;V=da+29040|0;aa=da+28956|0;S=da+28936|0;M=da;w=f[s>>2]|0;if((i|0)==0&(j|0)==0|(w|0)>0){s=w;u=da;return s|0}if(r|0)f[r>>2]=0;if((l|0)==2)Fz(q|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,k>>31,R,_,V,Y,U,x,T,N,O,P,Q,$,W,S,s)|0)>0){s=f[s>>2]|0;u=da;return s|0}h=f[x>>2]|0;g=((h|0)<0)<<31>>31;L=X(f[O>>2]|0,k)|0;f[O>>2]=L;if((f[U>>2]|0)==16?(Tj(V,da+28920|0,da+28904|0,y,s)|0,z=f[y>>2]|0,(z|0)>0):0){d=0;t=1.0;do{t=t*10.0;d=d+1|0}while((d|0)<(z|0))}else t=1.0;d=f[U>>2]|0;if(!((l|0)==1&((m|0)==0&(n|0)==0))?(B=W,A=f[B>>2]|0,B=f[B+4>>2]|0,!(((d|0)%10|0|0)==1&((A|0)==1234554321&(B|0)==0))):0){L=Ez(A|0,B|0,32768,0)|0;K=I;if(!((d|0)==21&(K>>>0>0|(K|0)==0&L>>>0>65535))?!((d|0)==11&(B>>>0>0|(B|0)==0&A>>>0>255)):0){e=(d|0)==16&(b[S>>0]|0)==1?0:l;C=16}else{K=h;L=0;e=0}}else{e=0;C=16}if((C|0)==16)if((d|0)==81){K=(j|0)<0|(j|0)==0&i>>>0<268435455;g=K?j:0;K=K?i:268435455;L=(e|0)==0&+p[R>>3]==1.0&+p[_>>3]==0.0}else{K=h;L=0}H=(k|0)>-1;J=0-k|0;x=0;y=0;h=j;w=0;d=0;a:while(1){while(1){F=o+(w<<3)|0;G=q+w|0;D=i;while(1){if((D|0)==0&(h|0)==0){C=51;break a}l=(h|0)<(g|0)|(h|0)==(g|0)&D>>>0<K>>>0;i=l?D:K;i=Nz(0,i|0,32)|0;l=I;if(H){z=P;C=N;j=f[C>>2]|0;C=f[C+4>>2]|0;z=Ez(f[z>>2]|0,f[z+4>>2]|0,-1,-1)|0;z=Dz(z|0,I|0,j|0,C|0)|0;A=I;B=k}else{A=N;z=f[A>>2]|0;A=f[A+4>>2]|0;j=z;C=A;B=J}z=Jz(z|0,A|0,B|0,((B|0)<0)<<31>>31|0)|0;E=I;A=(l|0)>(E|0)|(l|0)==(E|0)&i>>>0>z>>>0;E=Ez(z|0,E|0,1,0)|0;z=I;E=A?E:i;l=T;z=f[l>>2]|0;l=f[l+4>>2]|0;A=Q;A=Sz(f[A>>2]|0,f[A+4>>2]|0,x|0,y|0)|0;l=Ez(A|0,I|0,z|0,l|0)|0;z=I;A=f[O>>2]|0;i=(A|0)/(k|0)|0;i=Sz(i|0,((i|0)<0)<<31>>31|0,j|0,C|0)|0;i=Ez(l|0,z|0,i|0,I|0)|0;z=I;switch(f[U>>2]|0){case 81:{tt(a,i,z,E,A,F,s)|0;if(!L){C=W;nm(F,E,+p[R>>3],+p[_>>3],e,f[C>>2]|0,f[C+4>>2]|0,m,n,G,r,F,s)|0}break}case 41:{st(a,i,z,E,A,M,s)|0;om(M,E,+p[R>>3],+p[_>>3],e,f[W>>2]|0,m,n,G,r,F,s)|0;break}case 11:{qt(a,i,z,E,A,M,s)|0;pm(M,E,+p[R>>3],+p[_>>3],e,f[W>>2]&255,m,n,G,r,F,s)|0;break}case 21:{rt(a,i,z,E,A,M,s)|0;qm(M,E,+p[R>>3],+p[_>>3],e,f[W>>2]&65535,m,n,G,r,F,s)|0;break}case 42:{ut(a,i,z,E,A,M,s)|0;rm(M,E,+p[R>>3],+p[_>>3],e,m,n,G,r,F,s)|0;break}case 82:{vt(a,i,z,E,A,M,s)|0;sm(M,E,+p[R>>3],+p[_>>3],e,m,n,G,r,F,s)|0;break}case 16:{ft(a,i,z,0,s)|0;i=f[O>>2]|0;z=f[Y>>2]|0;if((i|0)==(z|0)){C=X(i,E)|0;kt(a,C,((C|0)<0)<<31>>31,M,s)|0}else lt(a,z,E,i-z|0,M,s)|0;tm(M,E,+p[R>>3],+p[_>>3],f[Y>>2]|0,t,e,S,m,n,G,r,F,s)|0;break}default:{C=37;break a}}if((f[s>>2]|0)>0){C=41;break a}i=((E|0)<0)<<31>>31;A=Dz(D|0,h|0,E|0,i|0)|0;l=I;if((A|0)==0&(l|0)==0){D=0;h=0}else break}B=Ez(E|0,i|0,w|0,d|0)|0;d=I;w=N;h=X(E,k)|0;h=Ez(f[w>>2]|0,f[w+4>>2]|0,h|0,((h|0)<0)<<31>>31|0)|0;w=I;z=N;f[z>>2]=h;f[z+4>>2]=w;z=P;i=f[z>>2]|0;z=f[z+4>>2]|0;if(!((w|0)<(z|0)|(w|0)==(z|0)&h>>>0<i>>>0)){C=47;break}if((w|0)<0){C=50;break}else{i=A;h=l;w=B}}if((C|0)==47){F=Jz(h|0,w|0,i|0,z|0)|0;G=I;x=Ez(F|0,G|0,x|0,y|0)|0;y=I;G=Sz(F|0,G|0,i|0,z|0)|0;h=Dz(h|0,w|0,G|0,I|0)|0;w=I}else if((C|0)==50){F=Jz(~h|0,~w|0,i|0,z|0)|0;F=Ez(F|0,I|0,1,0)|0;G=I;x=Dz(x|0,y|0,F|0,G|0)|0;y=I;G=Sz(F|0,G|0,i|0,z|0)|0;h=Ez(G|0,I|0,h|0,w|0)|0;w=I}i=N;f[i>>2]=h;f[i+4>>2]=w;i=A;h=l;w=B}if((C|0)==37){f[Z>>2]=c;f[Z+4>>2]=V;ww(aa,81254,Z)|0;vj(aa);if((f[$>>2]|0)==1){f[s>>2]=311;s=311;u=da;return s|0}else{f[s>>2]=312;s=312;u=da;return s|0}}else if((C|0)==41){t=+(w>>>0)+4294967296.0*+(d|0);v=t+1.0;t=t+ +(E|0);if((f[$>>2]|0)>0){p[ba>>3]=v;p[ba+8>>3]=t;f[ba+16>>2]=c;ww(aa,80251,ba)|0}else{p[ca>>3]=v;p[ca+8>>3]=t;ww(aa,80314,ca)|0}vj(aa);s=f[s>>2]|0;u=da;return s|0}else if((C|0)==51){d=f[s>>2]|0;if((d|0)!=-11){s=d;u=da;return s|0}vj(81433);f[s>>2]=412;s=412;u=da;return s|0}return 0}function nm(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0;r=d==1.0&e==0.0;p=(c|0)>0;if(!g){if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{h=a+(p<<3)|0;i=f[h+4>>2]|0;m=n+(p<<3)|0;f[m>>2]=f[h>>2];f[m+4>>2]=i;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(p)r=0;else{o=f[o>>2]|0;return o|0}do{m=a+(r<<3)|0;q=(+((f[m>>2]|0)>>>0)+4294967296.0*+(f[m+4>>2]|0))*d+e;do if(!(q<-9223372036854775808.0))if(q>9223372036854775808.0){f[o>>2]=-11;g=-1;p=2147483647;break}else{g=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}else{f[o>>2]=-11;g=0;p=-2147483648}while(0);m=n+(r<<3)|0;f[m>>2]=g;f[m+4>>2]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;if((p|0)==(h|0)&(g|0)==(i|0)){f[m>>2]=1;p=j;g=k}l=n+(r<<3)|0;f[l>>2]=p;f[l+4>>2]=g;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;if((p|0)==(h|0)&(g|0)==(i|0)){f[m>>2]=1;b[l+r>>0]=1}else{k=n+(r<<3)|0;f[k>>2]=p;f[k+4>>2]=g}r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;do if(!((p|0)==(h|0)&(g|0)==(i|0))){q=(+(p>>>0)+4294967296.0*+(g|0))*d+e;if(q<-9223372036854775808.0){f[o>>2]=-11;g=0;p=-2147483648;break}if(q>9223372036854775808.0){f[o>>2]=-11;g=-1;p=2147483647;break}else{g=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}}else{f[m>>2]=1;g=j;p=k}while(0);l=n+(r<<3)|0;f[l>>2]=g;f[l+4>>2]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{g=a+(r<<3)|0;p=f[g>>2]|0;g=f[g+4>>2]|0;do if((p|0)==(h|0)&(g|0)==(i|0)){f[m>>2]=1;b[l+r>>0]=1}else{q=(+(p>>>0)+4294967296.0*+(g|0))*d+e;if(q<-9223372036854775808.0){f[o>>2]=-11;k=n+(r<<3)|0;f[k>>2]=0;f[k+4>>2]=-2147483648;break}if(q>9223372036854775808.0){f[o>>2]=-11;g=-1;p=2147483647}else{g=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0}k=n+(r<<3)|0;f[k>>2]=g;f[k+4>>2]=p}while(0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}function om(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g){if(q){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{l=f[a+(o<<2)>>2]|0;h=m+(o<<3)|0;f[h>>2]=l;f[h+4>>2]=((l|0)<0)<<31>>31;o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)q=0;else{n=f[n>>2]|0;return n|0}do{p=+(f[a+(q<<2)>>2]|0)*d+e;do if(!(p<-9223372036854775808.0))if(p>9223372036854775808.0){f[n>>2]=-11;g=-1;o=2147483647;break}else{g=~~p>>>0;o=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0;break}else{f[n>>2]=-11;g=0;o=-2147483648}while(0);h=m+(q<<3)|0;f[h>>2]=g;f[h+4>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){q=0;do{o=f[a+(q<<2)>>2]|0;if((o|0)==(h|0)){f[l>>2]=1;g=i;o=j}else{g=o;o=((o|0)<0)<<31>>31}k=m+(q<<3)|0;f[k>>2]=g;f[k+4>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else{g=0;do{o=f[a+(g<<2)>>2]|0;if((o|0)==(h|0)){f[l>>2]=1;b[k+g>>0]=1}else{j=m+(g<<3)|0;f[j>>2]=o;f[j+4>>2]=((o|0)<0)<<31>>31}g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}}if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){q=0;do{o=f[a+(q<<2)>>2]|0;do if((o|0)!=(h|0)){p=+(o|0)*d+e;if(p<-9223372036854775808.0){f[n>>2]=-11;g=0;o=-2147483648;break}if(p>9223372036854775808.0){f[n>>2]=-11;g=-1;o=2147483647;break}else{g=~~p>>>0;o=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0;break}}else{f[l>>2]=1;g=i;o=j}while(0);k=m+(q<<3)|0;f[k>>2]=g;f[k+4>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else q=0;do{o=f[a+(q<<2)>>2]|0;do if((o|0)==(h|0)){f[l>>2]=1;b[k+q>>0]=1}else{p=+(o|0)*d+e;if(p<-9223372036854775808.0){f[n>>2]=-11;j=m+(q<<3)|0;f[j>>2]=0;f[j+4>>2]=-2147483648;break}if(p>9223372036854775808.0){f[n>>2]=-11;g=-1;o=2147483647}else{g=~~p>>>0;o=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0}j=m+(q<<3)|0;f[j>>2]=g;f[j+4>>2]=o}while(0);q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}function pm(a,c,d,e,g,i,j,k,l,m,n,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0;r=d==1.0&e==0.0;p=(c|0)>0;if(!g){if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{i=n+(p<<3)|0;f[i>>2]=h[a+p>>0];f[i+4>>2]=0;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(p)r=0;else{o=f[o>>2]|0;return o|0}do{q=+(h[a+r>>0]|0)*d+e;do if(!(q<-9223372036854775808.0))if(q>9223372036854775808.0){f[o>>2]=-11;g=-1;p=2147483647;break}else{g=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}else{f[o>>2]=-11;g=0;p=-2147483648}while(0);i=n+(r<<3)|0;f[i>>2]=g;f[i+4>>2]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){r=0;do{p=b[a+r>>0]|0;if(p<<24>>24==i<<24>>24){f[m>>2]=1;p=j;g=k}else{p=p&255;g=0}l=n+(r<<3)|0;f[l>>2]=p;f[l+4>>2]=g;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{g=0;do{p=b[a+g>>0]|0;if(p<<24>>24==i<<24>>24){f[m>>2]=1;b[l+g>>0]=1}else{k=n+(g<<3)|0;f[k>>2]=p&255;f[k+4>>2]=0}g=g+1|0}while((g|0)!=(c|0));o=f[o>>2]|0;return o|0}}if(!p){o=f[o>>2]|0;return o|0}if((g|0)==1){r=0;do{p=b[a+r>>0]|0;do if(p<<24>>24!=i<<24>>24){q=+(p&255)*d+e;if(q<-9223372036854775808.0){f[o>>2]=-11;g=0;p=-2147483648;break}if(q>9223372036854775808.0){f[o>>2]=-11;g=-1;p=2147483647;break}else{g=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}}else{f[m>>2]=1;g=j;p=k}while(0);l=n+(r<<3)|0;f[l>>2]=g;f[l+4>>2]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{p=b[a+r>>0]|0;do if(p<<24>>24==i<<24>>24){f[m>>2]=1;b[l+r>>0]=1}else{q=+(p&255)*d+e;if(q<-9223372036854775808.0){f[o>>2]=-11;k=n+(r<<3)|0;f[k>>2]=0;f[k+4>>2]=-2147483648;break}if(q>9223372036854775808.0){f[o>>2]=-11;g=-1;p=2147483647}else{g=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0}k=n+(r<<3)|0;f[k>>2]=g;f[k+4>>2]=p}while(0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}function qm(a,c,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0;r=e==1.0&g==0.0;p=(c|0)>0;if(!h){if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{m=d[a+(p<<1)>>1]|0;i=n+(p<<3)|0;f[i>>2]=m;f[i+4>>2]=((m|0)<0)<<31>>31;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(p)r=0;else{o=f[o>>2]|0;return o|0}do{q=+(d[a+(r<<1)>>1]|0)*e+g;do if(!(q<-9223372036854775808.0))if(q>9223372036854775808.0){f[o>>2]=-11;h=-1;p=2147483647;break}else{h=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}else{f[o>>2]=-11;h=0;p=-2147483648}while(0);i=n+(r<<3)|0;f[i>>2]=h;f[i+4>>2]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){r=0;do{p=d[a+(r<<1)>>1]|0;if(p<<16>>16==i<<16>>16){f[m>>2]=1;p=j;h=k}else{h=p<<16>>16;p=h;h=((h|0)<0)<<31>>31}l=n+(r<<3)|0;f[l>>2]=p;f[l+4>>2]=h;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{h=0;do{p=d[a+(h<<1)>>1]|0;if(p<<16>>16==i<<16>>16){f[m>>2]=1;b[l+h>>0]=1}else{j=p<<16>>16;k=n+(h<<3)|0;f[k>>2]=j;f[k+4>>2]=((j|0)<0)<<31>>31}h=h+1|0}while((h|0)!=(c|0));o=f[o>>2]|0;return o|0}}if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){r=0;do{p=d[a+(r<<1)>>1]|0;do if(p<<16>>16!=i<<16>>16){q=+(p<<16>>16)*e+g;if(q<-9223372036854775808.0){f[o>>2]=-11;h=0;p=-2147483648;break}if(q>9223372036854775808.0){f[o>>2]=-11;h=-1;p=2147483647;break}else{h=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0;break}}else{f[m>>2]=1;h=j;p=k}while(0);l=n+(r<<3)|0;f[l>>2]=h;f[l+4>>2]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{p=d[a+(r<<1)>>1]|0;do if(p<<16>>16==i<<16>>16){f[m>>2]=1;b[l+r>>0]=1}else{q=+(p<<16>>16)*e+g;if(q<-9223372036854775808.0){f[o>>2]=-11;k=n+(r<<3)|0;f[k>>2]=0;f[k+4>>2]=-2147483648;break}if(q>9223372036854775808.0){f[o>>2]=-11;h=-1;p=2147483647}else{h=~~q>>>0;p=+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0}k=n+(r<<3)|0;f[k>>2]=h;f[k+4>>2]=p}while(0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}function rm(a,c,e,g,h,i,j,k,l,m,o){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var p=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;r=e==1.0&g==0.0;if(!h){q=(c|0)>0;if(r){if(q)s=0;else{o=f[o>>2]|0;return o|0}do{p=+n[a+(s<<2)>>2];do if(!(p<-9223372036854775808.0))if(p>9223372036854775808.0){f[o>>2]=-11;r=2147483647;q=-1;break}else{r=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0;q=~~p>>>0;break}else{f[o>>2]=-11;r=-2147483648;q=0}while(0);l=m+(s<<3)|0;f[l>>2]=q;f[l+4>>2]=r;s=s+1|0}while((s|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(q)s=0;else{o=f[o>>2]|0;return o|0}do{p=+n[a+(s<<2)>>2]*e+g;do if(!(p<-9223372036854775808.0))if(p>9223372036854775808.0){f[o>>2]=-11;r=-1;q=2147483647;break}else{r=~~p>>>0;q=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0;break}else{f[o>>2]=-11;r=0;q=-2147483648}while(0);l=m+(s<<3)|0;f[l>>2]=r;f[l+4>>2]=q;s=s+1|0}while((s|0)!=(c|0));o=f[o>>2]|0;return o|0}}s=a+2|0;q=(c|0)>0;if(r){if(!q){o=f[o>>2]|0;return o|0}if((h|0)==1){h=0;while(1){k=d[s>>1]&32640;a:do switch((k<<16>>16==32640?1:k<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2];if(p<-9223372036854775808.0){f[o>>2]=-11;r=0;q=-2147483648;break a}if(p>9223372036854775808.0){f[o>>2]=-11;r=-1;q=2147483647;break a}else{r=~~p>>>0;q=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0;break a}}case 1:{f[l>>2]=1;r=i;q=j;break}default:{r=0;q=0}}while(0);k=m+(h<<3)|0;f[k>>2]=r;f[k+4>>2]=q;h=h+1|0;if((h|0)==(c|0))break;else s=s+4|0}o=f[o>>2]|0;return o|0}else h=0;while(1){w=d[s>>1]&32640;b:do switch((w<<16>>16==32640?1:w<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2];if(p<-9223372036854775808.0){f[o>>2]=-11;w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=-2147483648;break b}if(p>9223372036854775808.0){f[o>>2]=-11;r=-1;q=2147483647}else{r=~~p>>>0;q=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0}w=m+(h<<3)|0;f[w>>2]=r;f[w+4>>2]=q;break}case 1:{f[l>>2]=1;b[k+h>>0]=1;break}default:{w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=0}}while(0);h=h+1|0;if((h|0)==(c|0))break;else s=s+4|0}o=f[o>>2]|0;return o|0}if(!q){o=f[o>>2]|0;return o|0}t=g<-9223372036854775808.0;w=g>9223372036854775808.0;u=~~g>>>0;v=+K(g)>=1.0?(g>0.0?~~+Y(+J(g/4294967296.0),4294967295.0)>>>0:~~+W((g-+(~~g>>>0))/4294967296.0)>>>0):0;if((h|0)==1){h=0;while(1){k=d[s>>1]&32640;c:do switch((k<<16>>16==32640?1:k<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-9223372036854775808.0){f[o>>2]=-11;r=0;q=-2147483648;break c}if(p>9223372036854775808.0){f[o>>2]=-11;r=-1;q=2147483647;break c}else{r=~~p>>>0;q=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0;break c}}case 1:{f[l>>2]=1;r=i;q=j;break}default:{if(t){f[o>>2]=-11;r=0;q=-2147483648;break c}if(w){f[o>>2]=-11;r=-1;q=2147483647}else{r=u;q=v}}}while(0);k=m+(h<<3)|0;f[k>>2]=r;f[k+4>>2]=q;h=h+1|0;if((h|0)==(c|0))break;else s=s+4|0}o=f[o>>2]|0;return o|0}if(t){h=0;while(1){w=d[s>>1]&32640;d:do switch((w<<16>>16==32640?1:w<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-9223372036854775808.0){f[o>>2]=-11;w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=-2147483648;break d}if(p>9223372036854775808.0){f[o>>2]=-11;r=-1;q=2147483647}else{r=~~p>>>0;q=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0}w=m+(h<<3)|0;f[w>>2]=r;f[w+4>>2]=q;break}case 1:{f[l>>2]=1;b[k+h>>0]=1;break}default:{f[o>>2]=-11;w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=-2147483648}}while(0);h=h+1|0;if((h|0)==(c|0))break;else s=s+4|0}o=f[o>>2]|0;return o|0}else h=0;while(1){j=d[s>>1]&32640;e:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-9223372036854775808.0){f[o>>2]=-11;j=m+(h<<3)|0;f[j>>2]=0;f[j+4>>2]=-2147483648;break e}if(p>9223372036854775808.0){f[o>>2]=-11;r=-1;q=2147483647}else{r=~~p>>>0;q=+K(p)>=1.0?(p>0.0?~~+Y(+J(p/4294967296.0),4294967295.0)>>>0:~~+W((p-+(~~p>>>0))/4294967296.0)>>>0):0}j=m+(h<<3)|0;f[j>>2]=r;f[j+4>>2]=q;break}case 1:{f[l>>2]=1;b[k+h>>0]=1;break}default:{if(w){f[o>>2]=-11;q=-1;r=2147483647}else{q=u;r=v}j=m+(h<<3)|0;f[j>>2]=q;f[j+4>>2]=r}}while(0);h=h+1|0;if((h|0)==(c|0))break;else s=s+4|0}o=f[o>>2]|0;return o|0}function sm(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0.0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;r=e==1.0&g==0.0;if(!h){q=(c|0)>0;if(r){if(q)s=0;else{n=f[n>>2]|0;return n|0}do{o=+p[a+(s<<3)>>3];do if(!(o<-9223372036854775808.0))if(o>9223372036854775808.0){f[n>>2]=-11;r=2147483647;q=-1;break}else{r=+K(o)>=1.0?(o>0.0?~~+Y(+J(o/4294967296.0),4294967295.0)>>>0:~~+W((o-+(~~o>>>0))/4294967296.0)>>>0):0;q=~~o>>>0;break}else{f[n>>2]=-11;r=-2147483648;q=0}while(0);l=m+(s<<3)|0;f[l>>2]=q;f[l+4>>2]=r;s=s+1|0}while((s|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(q)s=0;else{n=f[n>>2]|0;return n|0}do{o=+p[a+(s<<3)>>3]*e+g;do if(!(o<-9223372036854775808.0))if(o>9223372036854775808.0){f[n>>2]=-11;r=-1;q=2147483647;break}else{r=~~o>>>0;q=+K(o)>=1.0?(o>0.0?~~+Y(+J(o/4294967296.0),4294967295.0)>>>0:~~+W((o-+(~~o>>>0))/4294967296.0)>>>0):0;break}else{f[n>>2]=-11;r=0;q=-2147483648}while(0);l=m+(s<<3)|0;f[l>>2]=r;f[l+4>>2]=q;s=s+1|0}while((s|0)!=(c|0));n=f[n>>2]|0;return n|0}}s=a+6|0;q=(c|0)>0;if(r){if(!q){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;while(1){k=d[s>>1]&32752;a:do switch((k<<16>>16==32752?1:k<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3];if(o<-9223372036854775808.0){f[n>>2]=-11;r=0;q=-2147483648;break a}if(o>9223372036854775808.0){f[n>>2]=-11;r=-1;q=2147483647;break a}else{r=~~o>>>0;q=+K(o)>=1.0?(o>0.0?~~+Y(+J(o/4294967296.0),4294967295.0)>>>0:~~+W((o-+(~~o>>>0))/4294967296.0)>>>0):0;break a}}case 1:{f[l>>2]=1;r=i;q=j;break}default:{r=0;q=0}}while(0);k=m+(h<<3)|0;f[k>>2]=r;f[k+4>>2]=q;h=h+1|0;if((h|0)==(c|0))break;else s=s+8|0}n=f[n>>2]|0;return n|0}else h=0;while(1){w=d[s>>1]&32752;b:do switch((w<<16>>16==32752?1:w<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3];if(o<-9223372036854775808.0){f[n>>2]=-11;w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=-2147483648;break b}if(o>9223372036854775808.0){f[n>>2]=-11;r=-1;q=2147483647}else{r=~~o>>>0;q=+K(o)>=1.0?(o>0.0?~~+Y(+J(o/4294967296.0),4294967295.0)>>>0:~~+W((o-+(~~o>>>0))/4294967296.0)>>>0):0}w=m+(h<<3)|0;f[w>>2]=r;f[w+4>>2]=q;break}case 1:{f[l>>2]=1;b[k+h>>0]=1;break}default:{w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=0}}while(0);h=h+1|0;if((h|0)==(c|0))break;else s=s+8|0}n=f[n>>2]|0;return n|0}if(!q){n=f[n>>2]|0;return n|0}t=g<-9223372036854775808.0;w=g>9223372036854775808.0;u=~~g>>>0;v=+K(g)>=1.0?(g>0.0?~~+Y(+J(g/4294967296.0),4294967295.0)>>>0:~~+W((g-+(~~g>>>0))/4294967296.0)>>>0):0;if((h|0)==1){h=0;while(1){k=d[s>>1]&32752;c:do switch((k<<16>>16==32752?1:k<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-9223372036854775808.0){f[n>>2]=-11;r=0;q=-2147483648;break c}if(o>9223372036854775808.0){f[n>>2]=-11;r=-1;q=2147483647;break c}else{r=~~o>>>0;q=+K(o)>=1.0?(o>0.0?~~+Y(+J(o/4294967296.0),4294967295.0)>>>0:~~+W((o-+(~~o>>>0))/4294967296.0)>>>0):0;break c}}case 1:{f[l>>2]=1;r=i;q=j;break}default:{if(t){f[n>>2]=-11;r=0;q=-2147483648;break c}if(w){f[n>>2]=-11;r=-1;q=2147483647}else{r=u;q=v}}}while(0);k=m+(h<<3)|0;f[k>>2]=r;f[k+4>>2]=q;h=h+1|0;if((h|0)==(c|0))break;else s=s+8|0}n=f[n>>2]|0;return n|0}if(t){h=0;while(1){w=d[s>>1]&32752;d:do switch((w<<16>>16==32752?1:w<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-9223372036854775808.0){f[n>>2]=-11;w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=-2147483648;break d}if(o>9223372036854775808.0){f[n>>2]=-11;r=-1;q=2147483647}else{r=~~o>>>0;q=+K(o)>=1.0?(o>0.0?~~+Y(+J(o/4294967296.0),4294967295.0)>>>0:~~+W((o-+(~~o>>>0))/4294967296.0)>>>0):0}w=m+(h<<3)|0;f[w>>2]=r;f[w+4>>2]=q;break}case 1:{f[l>>2]=1;b[k+h>>0]=1;break}default:{f[n>>2]=-11;w=m+(h<<3)|0;f[w>>2]=0;f[w+4>>2]=-2147483648}}while(0);h=h+1|0;if((h|0)==(c|0))break;else s=s+8|0}n=f[n>>2]|0;return n|0}else h=0;while(1){j=d[s>>1]&32752;e:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-9223372036854775808.0){f[n>>2]=-11;j=m+(h<<3)|0;f[j>>2]=0;f[j+4>>2]=-2147483648;break e}if(o>9223372036854775808.0){f[n>>2]=-11;r=-1;q=2147483647}else{r=~~o>>>0;q=+K(o)>=1.0?(o>0.0?~~+Y(+J(o/4294967296.0),4294967295.0)>>>0:~~+W((o-+(~~o>>>0))/4294967296.0)>>>0):0}j=m+(h<<3)|0;f[j>>2]=r;f[j+4>>2]=q;break}case 1:{f[l>>2]=1;b[k+h>>0]=1;break}default:{if(w){f[n>>2]=-11;q=-1;r=2147483647}else{q=u;r=v}j=m+(h<<3)|0;f[j>>2]=q;f[j+4>>2]=r}}while(0);h=h+1|0;if((h|0)==(c|0))break;else s=s+8|0}n=f[n>>2]|0;return n|0}function tm(a,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0.0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+96|0;H=I;G=I+4|0;B=Bx(j)|0;a:do if((c|0)>0){C=(i|0)==0;A=(i|0)==1;y=a;z=0;b:while(1){F=y+g|0;E=b[F>>0]|0;b[F>>0]=0;do if((b[j>>0]|0)!=1?(vw(j,y,B)|0)==0:0)if(!C){f[n>>2]=1;if(A){i=o+(z<<3)|0;f[i>>2]=k;f[i+4>>2]=l;i=F;break}else{b[m+z>>0]=1;i=F;break}}else i=F;else{i=y;D=9}while(0);do if((D|0)==9){c:while(1){D=0;a=b[i>>0]|0;switch(a<<24>>24){case 43:case 45:{D=11;break c}case 32:break;default:{x=1;break c}}i=i+1|0;D=9}if((D|0)==11){D=0;q=a<<24>>24==45;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);x=q?-1:1}if((a+-48&255)<10){r=0.0;do{r=r*10.0+ +(a<<24>>24);do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);r=r+-48.0}while((a+-48&255)<10)}else r=0.0;switch(a<<24>>24){case 44:case 46:{do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);if((a+-48&255)<10){t=1.0;do{r=r*10.0+ +(a<<24>>24)+-48.0;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);t=t*10.0}while((a+-48&255)<10);w=1}else{w=1;t=1.0}break}default:{w=0;t=1.0}}if((a&-2)<<24>>24==68){q=i;d:while(1){i=q+1|0;a=b[i>>0]|0;switch(a<<24>>24){case 32:{q=i;break}case 43:case 45:{D=28;break d}default:{s=1;break d}}}if((D|0)==28){D=0;s=a<<24>>24==45;i=q+2|0;while(1){a=b[i>>0]|0;if(a<<24>>24==32)i=i+1|0;else break}s=s?-1:1}if((a+-48&255)<10){q=0;while(1){q=(q*10|0)+-48|0;do{i=i+1|0;v=b[i>>0]|0}while(v<<24>>24==32);q=q+(a<<24>>24)|0;if((v+-48&255)<10)a=v;else{a=v;break}}}else q=0}else{s=1;q=0}if(a<<24>>24)break b;r=+(x|0)*r/((w|0)==0?h:t)*+M(10.0,+(+(X(s,q)|0)))*d+e;if(r<-9223372036854775808.0){f[p>>2]=-11;y=o+(z<<3)|0;f[y>>2]=0;f[y+4>>2]=-2147483648;break}if(r>9223372036854775808.0){f[p>>2]=-11;q=-1;a=2147483647}else{q=~~r>>>0;a=+K(r)>=1.0?(r>0.0?~~+Y(+J(r/4294967296.0),4294967295.0)>>>0:~~+W((r-+(~~r>>>0))/4294967296.0)>>>0):0}y=o+(z<<3)|0;f[y>>2]=q;f[y+4>>2]=a}while(0);b[F>>0]=E;z=z+1|0;if((z|0)>=(c|0))break a;else y=i}i=G;a=81500;q=i+36|0;do{b[i>>0]=b[a>>0]|0;i=i+1|0;a=a+1|0}while((i|0)<(q|0));vj(G);f[H>>2]=y;ww(G,81536,H)|0;vj(G);b[F>>0]=E;f[p>>2]=409;H=409;u=I;return H|0}while(0);H=f[p>>2]|0;u=I;return H|0}function um(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){mm(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,81,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function vm(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;gb=u;u=u+480|0;t=gb+240|0;o=gb+232|0;ia=gb+360|0;B=gb+324|0;C=gb+288|0;z=gb+252|0;A=gb+152|0;p=gb+80|0;r=gb+8|0;n=gb+248|0;eb=gb+244|0;fb=gb+477|0;s=gb+396|0;q=gb;if((c+-1|0)>>>0>8){f[o>>2]=c;ww(s,80418,o)|0;vj(s);f[m>>2]=320;m=320;u=gb;return m|0}if(Ek(a,m)|0){n=0;do{fb=f[e+(n<<2)>>2]|0;eb=p+(n<<3)|0;f[eb>>2]=fb;f[eb+4>>2]=((fb|0)<0)<<31>>31;eb=f[g+(n<<2)>>2]|0;fb=r+(n<<3)|0;f[fb>>2]=eb;f[fb+4>>2]=((eb|0)<0)<<31>>31;n=n+1|0}while((n|0)!=(c|0));fb=q;f[fb>>2]=i;f[fb+4>>2]=j;ts(a,81,p,r,h,1,q,k,0,l,m)|0;m=f[m>>2]|0;u=gb;return m|0}if((mk(a,n,m)|0)>0){m=f[m>>2]|0;u=gb;return m|0}n=(f[n>>2]|0)==0;if(n){Da=(b|0)==0?1:b;b=2;cb=1;v=Da}else{cb=f[h+(c<<2)>>2]|0;v=f[g+(c<<2)>>2]|0;Da=f[e+(c<<2)>>2]|0}db=(l|0)!=0;if(db)f[l>>2]=0;f[ia>>2]=1;f[B>>2]=1;f[C>>2]=1;ca=A;f[ca>>2]=1;f[ca+4>>2]=0;f[z>>2]=1;ca=ia+4|0;f[ca>>2]=1;da=B+4|0;f[da>>2]=1;ya=C+4|0;f[ya>>2]=1;fa=A+8|0;ba=fa;f[ba>>2]=1;f[ba+4>>2]=0;ba=z+4|0;f[ba>>2]=1;_=ia+8|0;f[_>>2]=1;$=B+8|0;f[$>>2]=1;ea=C+8|0;f[ea>>2]=1;ga=A+16|0;Z=ga;f[Z>>2]=1;f[Z+4>>2]=0;Z=z+8|0;f[Z>>2]=1;V=ia+12|0;f[V>>2]=1;W=B+12|0;f[W>>2]=1;aa=C+12|0;f[aa>>2]=1;ha=A+24|0;U=ha;f[U>>2]=1;f[U+4>>2]=0;U=z+12|0;f[U>>2]=1;R=ia+16|0;f[R>>2]=1;S=B+16|0;f[S>>2]=1;Y=C+16|0;f[Y>>2]=1;ja=A+32|0;Q=ja;f[Q>>2]=1;f[Q+4>>2]=0;Q=z+16|0;f[Q>>2]=1;N=ia+20|0;f[N>>2]=1;O=B+20|0;f[O>>2]=1;T=C+20|0;f[T>>2]=1;ka=A+40|0;M=ka;f[M>>2]=1;f[M+4>>2]=0;M=z+20|0;f[M>>2]=1;J=ia+24|0;f[J>>2]=1;K=B+24|0;f[K>>2]=1;P=C+24|0;f[P>>2]=1;na=A+48|0;H=na;f[H>>2]=1;f[H+4>>2]=0;H=z+24|0;f[H>>2]=1;E=ia+28|0;f[E>>2]=1;F=B+28|0;f[F>>2]=1;L=C+28|0;f[L>>2]=1;ra=A+56|0;D=ra;f[D>>2]=1;f[D+4>>2]=0;D=z+28|0;f[D>>2]=1;x=ia+32|0;f[x>>2]=1;y=B+32|0;f[y>>2]=1;G=C+32|0;f[G>>2]=1;ua=A+64|0;w=ua;f[w>>2]=1;f[w+4>>2]=0;w=z+32|0;f[w>>2]=1;a:do if(n){o=c<<2;Lz(ia|0,e|0,o|0)|0;Lz(B|0,g|0,o|0)|0;Lz(C|0,h|0,o|0)|0;o=1;p=0;q=0;do{n=z+(q<<2)|0;if((f[g+(q<<2)>>2]|0)<(f[e+(q<<2)>>2]|0)){f[n>>2]=-1;n=-1}else n=f[n>>2]|0;ab=f[d+(q<<2)>>2]|0;$a=o;o=Sz(ab|0,((ab|0)<0)<<31>>31|0,o|0,p|0)|0;ab=p;p=I;bb=q;q=q+1|0;_a=A+(q<<3)|0;f[_a>>2]=o;f[_a+4>>2]=p;ab=Sz(n|0,((n|0)<0)<<31>>31|0,$a|0,ab|0)|0;bb=A+(bb<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I}while((q|0)!=(c|0))}else{p=1;q=0;r=0;while(1){n=f[g+(r<<2)>>2]|0;o=f[e+(r<<2)>>2]|0;if((n|0)<(o|0))break;f[ia+(r<<2)>>2]=o;f[B+(r<<2)>>2]=n;f[C+(r<<2)>>2]=f[h+(r<<2)>>2];ab=f[d+(r<<2)>>2]|0;bb=p;p=Sz(ab|0,((ab|0)<0)<<31>>31|0,p|0,q|0)|0;ab=q;q=I;n=r+1|0;$a=A+(n<<3)|0;f[$a>>2]=p;f[$a+4>>2]=q;$a=f[z+(r<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,bb|0,ab|0)|0;bb=A+(r<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((n|0)>=(c|0))break a;else r=n}f[t>>2]=r+1;ww(s,80373,t)|0;vj(s);f[m>>2]=321;m=321;u=gb;return m|0}while(0);bb=A+(c<<3)|0;ab=bb;$a=f[z+(c<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,f[ab>>2]|0,f[ab+4>>2]|0)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((c|0)==1?(f[d>>2]|0)==1:0){n=(v-Da|0)/(cb|0)|0;bb=cb;v=Da}else{bb=f[z>>2]|0;n=X((f[B>>2]|0)-(f[ia>>2]|0)|0,bb)|0;n=(n|0)/(f[h>>2]|0)|0;bb=X(f[C>>2]|0,bb)|0}ab=n+1|0;b:do if((Da|0)<=(v|0)){$a=f[w>>2]|0;_a=X($a,f[x>>2]|0)|0;Za=X($a,f[y>>2]|0)|0;Ya=(_a|0)>(Za|0);Xa=f[D>>2]|0;Wa=X(Xa,f[E>>2]|0)|0;Va=X(Xa,f[F>>2]|0)|0;Ua=(Wa|0)>(Va|0);Ta=f[G>>2]|0;Sa=f[H>>2]|0;Ra=X(Sa,f[J>>2]|0)|0;Qa=X(Sa,f[K>>2]|0)|0;Pa=(Ra|0)>(Qa|0);Oa=f[L>>2]|0;Na=f[M>>2]|0;Ma=X(Na,f[N>>2]|0)|0;La=X(Na,f[O>>2]|0)|0;Ka=(Ma|0)>(La|0);Ja=f[P>>2]|0;Ia=f[Q>>2]|0;Ha=X(Ia,f[R>>2]|0)|0;Ga=X(Ia,f[S>>2]|0)|0;Fa=(Ha|0)>(Ga|0);Ea=f[T>>2]|0;Ca=f[U>>2]|0;Ba=X(Ca,f[V>>2]|0)|0;Aa=X(Ca,f[W>>2]|0)|0;za=(Ba|0)>(Aa|0);xa=f[Y>>2]|0;wa=f[Z>>2]|0;va=X(wa,f[_>>2]|0)|0;ta=X(wa,f[$>>2]|0)|0;sa=(va|0)>(ta|0);qa=f[aa>>2]|0;pa=f[ba>>2]|0;oa=X(pa,f[ca>>2]|0)|0;ma=X(pa,f[da>>2]|0)|0;la=(oa|0)>(ma|0);da=f[ea>>2]|0;ba=f[ia>>2]|0;ca=((ba|0)<0)<<31>>31;aa=fa;$=f[aa>>2]|0;aa=f[aa+4>>2]|0;_=ga;Z=f[_>>2]|0;_=f[_+4>>2]|0;Y=ha;W=f[Y>>2]|0;Y=f[Y+4>>2]|0;V=ja;U=f[V>>2]|0;V=f[V+4>>2]|0;T=ka;S=f[T>>2]|0;T=f[T+4>>2]|0;R=na;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ra;O=f[P>>2]|0;P=f[P+4>>2]|0;M=ua;L=f[M>>2]|0;M=f[M+4>>2]|0;N=((ab|0)<0)<<31>>31;K=f[ya>>2]|0;n=0;J=Da;c:while(1){if(!Ya){H=((J|0)<0)<<31>>31;G=_a;do{if(!Ua){E=G-$a|0;E=Sz(E|0,((E|0)<0)<<31>>31|0,L|0,M|0)|0;F=I;D=Wa;do{if(!Pa){c=D-Xa|0;c=Sz(c|0,((c|0)<0)<<31>>31|0,O|0,P|0)|0;g=I;C=Ra;do{if(!Ka){e=C-Sa|0;e=Sz(e|0,((e|0)<0)<<31>>31|0,Q|0,R|0)|0;h=I;B=Ma;do{if(!Fa){A=B-Na|0;A=Sz(A|0,((A|0)<0)<<31>>31|0,S|0,T|0)|0;d=I;z=Ha;do{if(!za){x=z-Ia|0;x=Sz(x|0,((x|0)<0)<<31>>31|0,U|0,V|0)|0;y=I;w=Ba;do{d:do if(!sa){s=w-Ca|0;s=Sz(s|0,((s|0)<0)<<31>>31|0,W|0,Y|0)|0;t=I;if(la){o=va;while(1){o=da+o|0;if((o|0)>(ta|0))break d}}else r=va;do{p=r-wa|0;p=Sz(p|0,((p|0)<0)<<31>>31|0,Z|0,_|0)|0;q=I;if(db){o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,d|0)|0;Da=Ez(Da|0,I|0,e|0,h|0)|0;Da=Ez(Da|0,I|0,c|0,g|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((mm(a,b,J,H,Da,I,ab,N,bb,1,i,j,k+(n<<3)|0,fb,eb,m)|0)>0)break c;if(f[eb>>2]|0)f[l>>2]=1;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}else{o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,d|0)|0;Da=Ez(Da|0,I|0,e|0,h|0)|0;Da=Ez(Da|0,I|0,c|0,g|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((mm(a,b,J,H,Da,I,ab,N,bb,1,i,j,k+(n<<3)|0,fb,eb,m)|0)>0)break c;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}r=da+r|0}while((r|0)<=(ta|0))}while(0);w=qa+w|0}while((w|0)<=(Aa|0))}z=xa+z|0}while((z|0)<=(Ga|0))}B=Ea+B|0}while((B|0)<=(La|0))}C=Ja+C|0}while((C|0)<=(Qa|0))}D=Oa+D|0}while((D|0)<=(Va|0))}G=Ta+G|0}while((G|0)<=(Za|0))}J=J+cb|0;if((J|0)>(v|0))break b}m=f[m>>2]|0;u=gb;return m|0}while(0);m=f[m>>2]|0;u=gb;return m|0}function wm(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;mm(a,b,c,d,e,g,h,i,1,2,0,0,j,k,l,m)|0;return f[m>>2]|0}function xm(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;n=u;u=u+16|0;l=n+4|0;m=n;if(!(Ek(a,k)|0)){if(!((e|0)==0&(g|0)==0|(f[k>>2]|0)>0))$l(a,2,(b|0)>1?b:1,0,c,d,e,g,1,1,h,i,l,j,k)|0}else{f[m>>2]=h;ws(a,31,c,d,e,g,1,m,i,0,j,k)|0}u=n;return f[k>>2]|0}function ym(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0;q=f[p>>2]|0;if((h|0)==0&(i|0)==0|(q|0)>0){p=q;return p|0}$l(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p)|0;p=f[p>>2]|0;return p|0}function zm(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){if(!((e|0)==0&(g|0)==0|(f[k>>2]|0)>0))$l(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0}else ws(a,31,c,d,e,g,2,0,h,i,j,k)|0;return f[k>>2]|0}function Am(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0,hb=0;hb=u;u=u+480|0;s=hb+232|0;n=hb+224|0;ia=hb+356|0;A=hb+320|0;B=hb+284|0;y=hb+248|0;z=hb+144|0;o=hb+72|0;q=hb;m=hb+244|0;fb=hb+240|0;gb=hb+473|0;r=hb+392|0;p=hb+236|0;if((c+-1|0)>>>0>8){f[n>>2]=c;ww(r,80418,n)|0;vj(r);f[l>>2]=320;l=320;u=hb;return l|0}if(Ek(a,l)|0){m=0;do{gb=f[e+(m<<2)>>2]|0;fb=o+(m<<3)|0;f[fb>>2]=gb;f[fb+4>>2]=((gb|0)<0)<<31>>31;fb=f[g+(m<<2)>>2]|0;gb=q+(m<<3)|0;f[gb>>2]=fb;f[gb+4>>2]=((fb|0)<0)<<31>>31;m=m+1|0}while((m|0)!=(c|0));f[p>>2]=i;ts(a,31,o,q,h,1,p,j,0,k,l)|0;l=f[l>>2]|0;u=hb;return l|0}if((mk(a,m,l)|0)>0){l=f[l>>2]|0;u=hb;return l|0}m=(f[m>>2]|0)==0;if(m){ya=(b|0)==0?1:b;b=2;db=1;t=ya}else{db=f[h+(c<<2)>>2]|0;t=f[g+(c<<2)>>2]|0;ya=f[e+(c<<2)>>2]|0}eb=(k|0)!=0;if(eb)f[k>>2]=0;f[ia>>2]=1;f[A>>2]=1;f[B>>2]=1;ba=z;f[ba>>2]=1;f[ba+4>>2]=0;f[y>>2]=1;ba=ia+4|0;f[ba>>2]=1;ca=A+4|0;f[ca>>2]=1;ea=B+4|0;f[ea>>2]=1;fa=z+8|0;aa=fa;f[aa>>2]=1;f[aa+4>>2]=0;aa=y+4|0;f[aa>>2]=1;Z=ia+8|0;f[Z>>2]=1;_=A+8|0;f[_>>2]=1;da=B+8|0;f[da>>2]=1;ga=z+16|0;Y=ga;f[Y>>2]=1;f[Y+4>>2]=0;Y=y+8|0;f[Y>>2]=1;U=ia+12|0;f[U>>2]=1;V=A+12|0;f[V>>2]=1;$=B+12|0;f[$>>2]=1;ha=z+24|0;T=ha;f[T>>2]=1;f[T+4>>2]=0;T=y+12|0;f[T>>2]=1;Q=ia+16|0;f[Q>>2]=1;R=A+16|0;f[R>>2]=1;W=B+16|0;f[W>>2]=1;ja=z+32|0;P=ja;f[P>>2]=1;f[P+4>>2]=0;P=y+16|0;f[P>>2]=1;M=ia+20|0;f[M>>2]=1;N=A+20|0;f[N>>2]=1;S=B+20|0;f[S>>2]=1;ka=z+40|0;L=ka;f[L>>2]=1;f[L+4>>2]=0;L=y+20|0;f[L>>2]=1;H=ia+24|0;f[H>>2]=1;J=A+24|0;f[J>>2]=1;O=B+24|0;f[O>>2]=1;la=z+48|0;G=la;f[G>>2]=1;f[G+4>>2]=0;G=y+24|0;f[G>>2]=1;D=ia+28|0;f[D>>2]=1;E=A+28|0;f[E>>2]=1;K=B+28|0;f[K>>2]=1;oa=z+56|0;C=oa;f[C>>2]=1;f[C+4>>2]=0;C=y+28|0;f[C>>2]=1;w=ia+32|0;f[w>>2]=1;x=A+32|0;f[x>>2]=1;F=B+32|0;f[F>>2]=1;ta=z+64|0;v=ta;f[v>>2]=1;f[v+4>>2]=0;v=y+32|0;f[v>>2]=1;a:do if(m){n=c<<2;Lz(ia|0,e|0,n|0)|0;Lz(A|0,g|0,n|0)|0;Lz(B|0,h|0,n|0)|0;n=1;o=0;p=0;do{m=y+(p<<2)|0;if((f[g+(p<<2)>>2]|0)<(f[e+(p<<2)>>2]|0)){f[m>>2]=-1;m=-1}else m=f[m>>2]|0;bb=f[d+(p<<2)>>2]|0;ab=n;n=Sz(bb|0,((bb|0)<0)<<31>>31|0,n|0,o|0)|0;bb=o;o=I;cb=p;p=p+1|0;$a=z+(p<<3)|0;f[$a>>2]=n;f[$a+4>>2]=o;bb=Sz(m|0,((m|0)<0)<<31>>31|0,ab|0,bb|0)|0;cb=z+(cb<<3)|0;f[cb>>2]=bb;f[cb+4>>2]=I}while((p|0)!=(c|0))}else{o=1;p=0;q=0;while(1){m=f[g+(q<<2)>>2]|0;n=f[e+(q<<2)>>2]|0;if((m|0)<(n|0))break;f[ia+(q<<2)>>2]=n;f[A+(q<<2)>>2]=m;f[B+(q<<2)>>2]=f[h+(q<<2)>>2];bb=f[d+(q<<2)>>2]|0;cb=o;o=Sz(bb|0,((bb|0)<0)<<31>>31|0,o|0,p|0)|0;bb=p;p=I;m=q+1|0;ab=z+(m<<3)|0;f[ab>>2]=o;f[ab+4>>2]=p;ab=f[y+(q<<2)>>2]|0;bb=Sz(ab|0,((ab|0)<0)<<31>>31|0,cb|0,bb|0)|0;cb=z+(q<<3)|0;f[cb>>2]=bb;f[cb+4>>2]=I;if((m|0)>=(c|0))break a;else q=m}f[s>>2]=q+1;ww(r,80463,s)|0;vj(r);f[l>>2]=321;l=321;u=hb;return l|0}while(0);cb=z+(c<<3)|0;bb=cb;ab=f[y+(c<<2)>>2]|0;bb=Sz(ab|0,((ab|0)<0)<<31>>31|0,f[bb>>2]|0,f[bb+4>>2]|0)|0;f[cb>>2]=bb;f[cb+4>>2]=I;if((c|0)==1?(f[d>>2]|0)==1:0){m=(t-ya|0)/(db|0)|0;cb=db;t=ya}else{cb=f[y>>2]|0;m=X((f[A>>2]|0)-(f[ia>>2]|0)|0,cb)|0;m=(m|0)/(f[h>>2]|0)|0;cb=X(f[B>>2]|0,cb)|0}bb=m+1|0;b:do if((ya|0)<=(t|0)){ab=f[v>>2]|0;$a=X(ab,f[w>>2]|0)|0;_a=X(ab,f[x>>2]|0)|0;Za=($a|0)>(_a|0);Ya=f[C>>2]|0;Xa=X(Ya,f[D>>2]|0)|0;Wa=X(Ya,f[E>>2]|0)|0;Va=(Xa|0)>(Wa|0);Ua=f[F>>2]|0;Ta=f[G>>2]|0;Sa=X(Ta,f[H>>2]|0)|0;Ra=X(Ta,f[J>>2]|0)|0;Qa=(Sa|0)>(Ra|0);Pa=f[K>>2]|0;Oa=f[L>>2]|0;Na=X(Oa,f[M>>2]|0)|0;Ma=X(Oa,f[N>>2]|0)|0;La=(Na|0)>(Ma|0);Ka=f[O>>2]|0;Ja=f[P>>2]|0;Ia=X(Ja,f[Q>>2]|0)|0;Ha=X(Ja,f[R>>2]|0)|0;Ga=(Ia|0)>(Ha|0);Fa=f[S>>2]|0;Ea=f[T>>2]|0;Da=X(Ea,f[U>>2]|0)|0;Ca=X(Ea,f[V>>2]|0)|0;Ba=(Da|0)>(Ca|0);Aa=f[W>>2]|0;za=f[Y>>2]|0;xa=X(za,f[Z>>2]|0)|0;wa=X(za,f[_>>2]|0)|0;va=(xa|0)>(wa|0);ua=f[$>>2]|0;sa=f[aa>>2]|0;ra=X(sa,f[ba>>2]|0)|0;qa=X(sa,f[ca>>2]|0)|0;pa=(ra|0)>(qa|0);ma=f[da>>2]|0;na=(bb|0)==0;ca=f[ea>>2]|0;da=((bb|0)<0)<<31>>31;aa=f[ia>>2]|0;ba=((aa|0)<0)<<31>>31;$=fa;_=f[$>>2]|0;$=f[$+4>>2]|0;Z=ga;Y=f[Z>>2]|0;Z=f[Z+4>>2]|0;W=ha;V=f[W>>2]|0;W=f[W+4>>2]|0;U=ja;T=f[U>>2]|0;U=f[U+4>>2]|0;S=ka;R=f[S>>2]|0;S=f[S+4>>2]|0;Q=la;P=f[Q>>2]|0;Q=f[Q+4>>2]|0;O=oa;N=f[O>>2]|0;O=f[O+4>>2]|0;M=ta;L=f[M>>2]|0;M=f[M+4>>2]|0;m=0;K=ya;c:while(1){if(!Za){J=((K|0)<0)<<31>>31;H=$a;do{if(!Va){F=H-ab|0;F=Sz(F|0,((F|0)<0)<<31>>31|0,L|0,M|0)|0;G=I;E=Xa;do{if(!Qa){C=E-Ya|0;C=Sz(C|0,((C|0)<0)<<31>>31|0,N|0,O|0)|0;D=I;g=Sa;do{if(!La){B=g-Ta|0;B=Sz(B|0,((B|0)<0)<<31>>31|0,P|0,Q|0)|0;c=I;h=Na;do{if(!Ga){A=h-Oa|0;A=Sz(A|0,((A|0)<0)<<31>>31|0,R|0,S|0)|0;e=I;d=Ia;do{if(!Ba){y=d-Ja|0;y=Sz(y|0,((y|0)<0)<<31>>31|0,T|0,U|0)|0;z=I;x=Da;do{if(!va){v=x-Ea|0;v=Sz(v|0,((v|0)<0)<<31>>31|0,V|0,W|0)|0;w=I;p=m;s=xa;while(1){d:do if(pa)m=p;else{q=s-za|0;q=Sz(q|0,((q|0)<0)<<31>>31|0,Y|0,Z|0)|0;r=I;if(na){o=eb&(f[fb>>2]|0)!=0;n=ra;while(1){m=f[l>>2]|0;if((m|0)>0){n=68;break c}if(o)f[k>>2]=1;n=ca+n|0;if((n|0)>(qa|0)){m=p;break d}}}if(eb){n=p;o=ra}else{m=f[l>>2]|0;n=p;o=ra;while(1){if((m|0)>0){n=68;break c}m=o-sa|0;m=Sz(_|0,$|0,m|0,((m|0)<0)<<31>>31|0)|0;m=Ez(m|0,I|0,aa|0,ba|0)|0;m=Ez(m|0,I|0,q|0,r|0)|0;m=Ez(m|0,I|0,v|0,w|0)|0;m=Ez(m|0,I|0,y|0,z|0)|0;m=Ez(m|0,I|0,A|0,e|0)|0;m=Ez(m|0,I|0,B|0,c|0)|0;m=Ez(m|0,I|0,C|0,D|0)|0;m=Ez(m|0,I|0,F|0,G|0)|0;$l(a,b,K,J,m,I,bb,da,cb,1,i,j+(n<<2)|0,gb,fb,l)|0;m=f[l>>2]|0;if((m|0)>0){n=68;break c}n=n+bb|0;o=ca+o|0;if((o|0)>(qa|0)){m=n;break d}}}while(1){m=f[l>>2]|0;if((m|0)>0){n=68;break c}m=o-sa|0;m=Sz(_|0,$|0,m|0,((m|0)<0)<<31>>31|0)|0;m=Ez(m|0,I|0,aa|0,ba|0)|0;m=Ez(m|0,I|0,q|0,r|0)|0;m=Ez(m|0,I|0,v|0,w|0)|0;m=Ez(m|0,I|0,y|0,z|0)|0;m=Ez(m|0,I|0,A|0,e|0)|0;m=Ez(m|0,I|0,B|0,c|0)|0;m=Ez(m|0,I|0,C|0,D|0)|0;m=Ez(m|0,I|0,F|0,G|0)|0;$l(a,b,K,J,m,I,bb,da,cb,1,i,j+(n<<2)|0,gb,fb,l)|0;m=f[l>>2]|0;if((m|0)>0){n=68;break c}if(f[fb>>2]|0)f[k>>2]=1;m=n+bb|0;o=ca+o|0;if((o|0)>(qa|0))break;else n=m}}while(0);s=ma+s|0;if((s|0)>(wa|0))break;else p=m}}x=ua+x|0}while((x|0)<=(Ca|0))}d=Aa+d|0}while((d|0)<=(Ha|0))}h=Fa+h|0}while((h|0)<=(Ma|0))}g=Ka+g|0}while((g|0)<=(Ra|0))}E=Pa+E|0}while((E|0)<=(Wa|0))}H=Ua+H|0}while((H|0)<=(_a|0))}K=K+db|0;if((K|0)>(t|0))break b}if((n|0)==68){u=hb;return m|0}}while(0);l=f[l>>2]|0;u=hb;return l|0}function Bm(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0;o=u;u=u+16|0;n=f[m>>2]|0;if((h|0)==0&(i|0)==0|(n|0)>0){m=n;u=o;return m|0}$l(a,b,c,d,e,g,h,i,1,1,j,k,o,l,m)|0;m=f[m>>2]|0;u=o;return m|0}function Cm(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g){if(q){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{f[m+(o<<2)>>2]=h[a+o>>0];o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)g=0;else{n=f[n>>2]|0;return n|0}do{p=+(h[a+g>>0]|0)*d+e;do if(!(p<-2147483648.49))if(p>2147483647.49){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[n>>2]=-11;o=-2147483648}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;o=j}else o=o&255;f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else f[m+(g<<2)>>2]=o&255;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}}if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24!=i<<24>>24){p=+(o&255)*d+e;if(p<-2147483648.49){f[n>>2]=-11;o=-2147483648;break}if(p>2147483647.49){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}}else{f[l>>2]=1;o=j}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else{p=+(o&255)*d+e;if(p<-2147483648.49){f[n>>2]=-11;f[m+(g<<2)>>2]=-2147483648;break}if(p>2147483647.49){f[n>>2]=-11;o=2147483647}else o=~~p;f[m+(g<<2)>>2]=o}while(0);g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}function Dm(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h){if(q){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{f[m+(o<<2)>>2]=d[a+(o<<1)>>1];o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(h<<1)>>1]|0)*e+g;do if(!(p<-2147483648.49))if(p>2147483647.49){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[n>>2]=-11;o=-2147483648}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;o=j}else o=o<<16>>16;f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else f[m+(h<<2)>>2]=o<<16>>16;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}}if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-2147483648.49){f[n>>2]=-11;o=-2147483648;break}if(p>2147483647.49){f[n>>2]=-11;o=2147483647;break}else{o=~~p;break}}else{f[l>>2]=1;o=j}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o<<16>>16)*e+g;if(p<-2147483648.49){f[n>>2]=-11;f[m+(h<<2)>>2]=-2147483648;break}if(p>2147483647.49){f[n>>2]=-11;o=2147483647}else o=~~p;f[m+(h<<2)>>2]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}function Em(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,p=0;p=d==1.0&e==0.0;n=(c|0)>0;if(!g){if(p){if(n)n=0;else{m=f[m>>2]|0;return m|0}do{f[l+(n<<2)>>2]=f[a+(n<<2)>>2];n=n+1|0}while((n|0)!=(c|0));m=f[m>>2]|0;return m|0}if(n)g=0;else{m=f[m>>2]|0;return m|0}do{o=+(f[a+(g<<2)>>2]|0)*d+e;do if(!(o<-2147483648.49))if(o>2147483647.49){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}else{f[m>>2]=-11;n=-2147483648}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(p){if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;n=i}f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){o=+(n|0)*d+e;if(o<-2147483648.49){f[m>>2]=-11;n=-2147483648;break}if(o>2147483647.49){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}}else{f[k>>2]=1;n=i}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else{o=+(n|0)*d+e;if(o<-2147483648.49){f[m>>2]=-11;f[l+(g<<2)>>2]=-2147483648;break}if(o>2147483647.49){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(g<<2)>>2]=n}while(0);g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}function Fm(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2];e=p;do if(!(e<-2147483648.49))if(e>2147483647.49){f[m>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[m>>2]=-11;o=-2147483648}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2]*e+g;do if(!(p<-2147483648.49))if(p>2147483647.49){f[m>>2]=-11;o=2147483647;break}else{o=~~p;break}else{f[m>>2]=-11;o=-2147483648}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;a:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-2147483648.49){f[m>>2]=-11;o=-2147483648;break a}if(e>2147483647.49){f[m>>2]=-11;o=2147483647;break a}else{o=~~p;break a}}case 1:{f[k>>2]=1;o=i;break}default:o=0}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-2147483648.49){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break b}if(e>2147483647.49){f[m>>2]=-11;o=2147483647}else o=~~p;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}s=g<-2147483648.49;t=g>2147483647.49;u=~~g;if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;c:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-2147483648.49){f[m>>2]=-11;o=-2147483648;break c}if(p>2147483647.49){f[m>>2]=-11;o=2147483647;break c}else{o=~~p;break c}}case 1:{f[k>>2]=1;o=i;break}default:{if(s){f[m>>2]=-11;o=-2147483648;break c}if(t){f[m>>2]=-11;o=2147483647}else o=u}}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-2147483648.49){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break d}if(p>2147483647.49){f[m>>2]=-11;o=2147483647}else o=~~p;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;e:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-2147483648.49){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break e}if(p>2147483647.49){f[m>>2]=-11;o=2147483647}else o=~~p;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;o=2147483647}else o=u;f[l+(r<<2)>>2]=o}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}function Gm(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3];do if(!(o<-2147483648.49))if(o>2147483647.49){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}else{f[m>>2]=-11;n=-2147483648}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3]*e+g;do if(!(o<-2147483648.49))if(o>2147483647.49){f[m>>2]=-11;n=2147483647;break}else{n=~~o;break}else{f[m>>2]=-11;n=-2147483648}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;a:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-2147483648.49){f[m>>2]=-11;n=-2147483648;break a}if(o>2147483647.49){f[m>>2]=-11;n=2147483647;break a}else{n=~~o;break a}}case 1:{f[k>>2]=1;n=i;break}default:n=0}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-2147483648.49){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break b}if(o>2147483647.49){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}s=g<-2147483648.49;t=g>2147483647.49;u=~~g;if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;c:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-2147483648.49){f[m>>2]=-11;n=-2147483648;break c}if(o>2147483647.49){f[m>>2]=-11;n=2147483647;break c}else{n=~~o;break c}}case 1:{f[k>>2]=1;n=i;break}default:{if(s){f[m>>2]=-11;n=-2147483648;break c}if(t){f[m>>2]=-11;n=2147483647}else n=u}}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-2147483648.49){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break d}if(o>2147483647.49){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;e:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-2147483648.49){f[m>>2]=-11;f[l+(r<<2)>>2]=-2147483648;break e}if(o>2147483647.49){f[m>>2]=-11;n=2147483647}else n=~~o;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;n=2147483647}else n=u;f[l+(r<<2)>>2]=n}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function Hm(a,c,d,e,g,h,i,j,k,l,m,n,o,q){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;var r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0.0;L=u;u=u+29024|0;J=L+56|0;s=L+88|0;D=L+84|0;C=L+72|0;F=L+48|0;H=L+40|0;B=L+32|0;G=L+16|0;E=L+28916|0;A=L+96|0;r=f[q>>2]|0;if((i|0)==0&(j|0)==0|(r|0)>0){K=r;u=L;return K|0}z=(o|0)!=0;if(z)f[o>>2]=0;y=(k|0)==2;if(y)Fz(n|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,0,L+8|0,L,L+29e3|0,L+76|0,s,D,H,B,C,F,G,L+80|0,L+24|0,L+28896|0,q)|0)>0){K=f[q>>2]|0;u=L;return K|0}if((f[s>>2]|0)==14){r=0;k=0;w=0;x=0}else{f[q>>2]=310;K=310;u=L;return K|0}a:while(1){while(1){if(!i){K=41;break a}h=f[D>>2]|0;h=(i|0)<(h|0)?i:h;t=((h|0)<0)<<31>>31;v=F;s=B;g=f[s>>2]|0;s=f[s+4>>2]|0;v=Dz(f[v>>2]|0,f[v+4>>2]|0,g|0,s|0)|0;c=I;v=(t|0)<(c|0)|(t|0)==(c|0)&h>>>0<v>>>0?h:v;h=H;c=f[h>>2]|0;h=f[h+4>>2]|0;t=G;t=Sz(f[t>>2]|0,f[t+4>>2]|0,w|0,x|0)|0;h=Ez(t|0,I|0,c|0,h|0)|0;c=I;t=f[C>>2]|0;s=Sz(t|0,((t|0)<0)<<31>>31|0,g|0,s|0)|0;s=Ez(h|0,c|0,s|0,I|0)|0;qt(a,s,I,v,t,A,q)|0;do if((v|0)>0){s=v+-1|0;t=A+v|0;if(z){g=r;h=k;c=A;while(1){d=b[c>>0]|0;switch(d<<24>>24){case 84:{d=1;e=m;K=18;break}case 70:{d=0;e=m;K=18;break}case 0:{b[m+g>>0]=l;f[o>>2]=1;if(y){d=1;e=n;K=18}break}case 1:{d=49;e=m;K=18;break}default:{e=m;K=18}}if((K|0)==18){K=0;b[e+g>>0]=d}g=Ez(g|0,h|0,1,0)|0;c=c+1|0;if((c|0)==(t|0))break;else h=I}r=Ez(r|0,k|0,1,0)|0;r=Ez(r|0,I|0,s|0,0)|0;k=I;break}if(y){g=r;h=k;c=A;while(1){d=b[c>>0]|0;switch(d<<24>>24){case 84:{d=1;e=m;break}case 70:{d=0;e=m;break}case 0:{b[m+g>>0]=l;d=1;e=n;break}case 1:{d=49;e=m;break}default:e=m}b[e+g>>0]=d;g=Ez(g|0,h|0,1,0)|0;c=c+1|0;if((c|0)==(t|0))break;else h=I}r=Ez(r|0,k|0,1,0)|0;r=Ez(r|0,I|0,s|0,0)|0;k=I;break}else{e=r;g=k;h=A;while(1){d=b[h>>0]|0;switch(d<<24>>24){case 84:{d=1;K=31;break}case 70:{d=0;K=31;break}case 0:{d=l;break}case 1:{d=49;K=31;break}default:K=31}if((K|0)==31)K=0;b[m+e>>0]=d;e=Ez(e|0,g|0,1,0)|0;h=h+1|0;if((h|0)==(t|0))break;else g=I}r=Ez(r|0,k|0,1,0)|0;r=Ez(r|0,I|0,s|0,0)|0;k=I;break}}while(0);if((f[q>>2]|0)>0){K=37;break a}d=((v|0)<0)<<31>>31;i=Dz(i|0,j|0,v|0,d|0)|0;j=I;if((i|0)==0&(j|0)==0){i=0;j=0}else break}c=B;c=Ez(f[c>>2]|0,f[c+4>>2]|0,v|0,d|0)|0;s=I;v=F;v=(c|0)==(f[v>>2]|0)?(s|0)==(f[v+4>>2]|0):0;t=B;f[t>>2]=v?0:c;f[t+4>>2]=v?0:s;v=Ez(v&1|0,0,w|0,x|0)|0;w=v;x=I}if((K|0)==37){M=+(r>>>0)+4294967296.0*+(k|0);p[J>>3]=M+1.0;p[J+8>>3]=+(v|0)+M;ww(E,80508,J)|0;vj(E);K=f[q>>2]|0;u=L;return K|0}else if((K|0)==41){K=f[q>>2]|0;u=L;return K|0}return 0}function Im(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;Hm(a,b,c,d,e,g,h,i,2,0,j,k,l,m)|0;return f[m>>2]|0}function Jm(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=u;u=u+16|0;r=B+4|0;z=B;A=B+8|0;m=f[l>>2]|0;if((j|0)<0|(j|0)==0&i>>>0<1|(m|0)>0){l=m;u=B;return l|0}if((e|0)<0|(e|0)==0&d>>>0<1){f[l>>2]=307;l=307;u=B;return l|0}if((h|0)<0|(h|0)==0&g>>>0<1){f[l>>2]=308;l=308;u=B;return l|0}m=f[a>>2]|0;y=a+4|0;n=f[y>>2]|0;if((m|0)==(f[n+68>>2]|0)){x=n+120|0;if(((f[x>>2]|0)==-1?(f[x+4>>2]|0)==-1:0)?(Kj(a,l)|0)>0:0){l=f[l>>2]|0;u=B;return l|0}}else Hj(a,m+1|0,0,l)|0;m=Ez(g|0,h|0,7,0)|0;m=Jz(m|0,I|0,8,0)|0;w=Ez(g|0,h|0,-1,-1)|0;v=I;o=Jz(w|0,v|0,8,0)|0;o=Gz(o|0,I|0,3)|0;o=Dz(w|0,v|0,o|0,I|0)|0;v=Ez(d|0,e|0,-1,-1)|0;w=I;x=m+-1|0;p=((x|0)<0)<<31>>31;n=f[y>>2]|0;s=f[n+960>>2]|0;t=c+-1|0;q=f[s+(t*160|0)+80>>2]|0;if((((q|0)>-1?q:0-q|0)|0)>11){f[l>>2]=310;l=310;u=B;return l|0}do if((q|0)>0){r=f[s+(t*160|0)+88>>2]|0;r=(q|0)==1?(r+7|0)/8|0:r;f[z>>2]=r;if((m|0)<=(r|0)){m=n+120|0;q=f[m>>2]|0;m=f[m+4>>2]|0;n=n+952|0;n=Sz(f[n>>2]|0,f[n+4>>2]|0,v|0,w|0)|0;m=Ez(n|0,I|0,q|0,m|0)|0;n=I;q=0;d=s+(t*160|0)+72|0;break}f[l>>2]=308;l=308;u=B;return l|0}else{Ak(a,c,d,e,z,r,l)|0;m=f[z>>2]|0;if((q|0)==-1){m=(m+7|0)/8|0;f[z>>2]=m}h=Ez(g|0,h|0,6,0)|0;h=Ez(h|0,I|0,i|0,j|0)|0;h=Jz(h|0,I|0,8,0)|0;c=I;g=((m|0)<0)<<31>>31;if(!((c|0)>(g|0)|(c|0)==(g|0)&h>>>0>m>>>0)){d=f[y>>2]|0;m=d+120|0;n=f[r>>2]|0;m=Ez(n|0,((n|0)<0)<<31>>31|0,f[m>>2]|0,f[m+4>>2]|0)|0;n=I;q=1;d=d+968|0;break}f[l>>2]=308;l=308;u=B;return l|0}while(0);r=d;h=f[r>>2]|0;r=f[r+4>>2]|0;g=Ez(m|0,n|0,x|0,p|0)|0;r=Ez(g|0,I|0,h|0,r|0)|0;if((ft(a,r,I,0,l)|0)>0){l=f[l>>2]|0;u=B;return l|0}h=(q|0)==0;g=s+(t*160|0)+72|0;a:do if(h){c=w;n=x;q=o;m=0;while(1){e=n;while(1){if((kt(a,1,0,A,l)|0)>0){n=28;break a}n=((m|0)<0)<<31>>31;if((q|0)<8&((n|0)<(j|0)|(n|0)==(j|0)&m>>>0<i>>>0)){d=b[A>>0]|0;do{b[k+m>>0]=(b[90403+q>>0]&d)<<24>>24!=0&1;q=q+1|0;m=m+1|0;n=((m|0)<0)<<31>>31}while((q|0)<8&((n|0)<(j|0)|(n|0)==(j|0)&m>>>0<i>>>0));q=m}else q=m;if((q|0)==(i|0)&(n|0)==(j|0)){n=31;break a}e=Ez(e|0,p|0,1,0)|0;p=I;x=f[z>>2]|0;if((e|0)==(x|0)&(p|0)==(((x|0)<0)<<31>>31|0))break;else q=0}v=Ez(v|0,c|0,1,0)|0;c=I;t=f[y>>2]|0;w=t+120|0;x=f[w>>2]|0;w=f[w+4>>2]|0;t=t+952|0;t=Sz(f[t>>2]|0,f[t+4>>2]|0,v|0,c|0)|0;w=Ez(t|0,I|0,x|0,w|0)|0;x=g;x=Ez(w|0,I|0,f[x>>2]|0,f[x+4>>2]|0)|0;ft(a,x,I,0,l)|0;if(!h){m=0;n=25;break}else{n=0;p=0;q=0}}}else{m=0;n=25}while(0);b:do if((n|0)==25)while(1){if((kt(a,1,0,A,l)|0)>0){n=28;break b}n=((m|0)<0)<<31>>31;if((o|0)<8&((n|0)<(j|0)|(n|0)==(j|0)&m>>>0<i>>>0)){p=b[A>>0]|0;do{b[k+m>>0]=(b[90403+o>>0]&p)<<24>>24!=0&1;o=o+1|0;m=m+1|0;n=((m|0)<0)<<31>>31}while((o|0)<8&((n|0)<(j|0)|(n|0)==(j|0)&m>>>0<i>>>0));o=m}else o=m;if((o|0)==(i|0)&(n|0)==(j|0)){n=31;break}else{o=0;n=25}}while(0);if((n|0)==28){l=f[l>>2]|0;u=B;return l|0}else if((n|0)==31){l=f[l>>2]|0;u=B;return l|0}return 0}function Km(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0;n=u;u=u+16|0;Lm(a,b,c,d,e,g,h,i,1,j,k,n,l,m)|0;u=n;return f[m>>2]|0}function Lm(a,c,e,g,h,i,j,k,l,m,o,q,r,s){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;q=q|0;r=r|0;s=s|0;var t=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0;$=u;u=u+848|0;X=$+160|0;W=$+152|0;V=$+144|0;H=$+136|0;G=$+128|0;F=$+120|0;E=$+112|0;D=$+104|0;O=$+96|0;N=$+88|0;M=$+80|0;L=$+72|0;K=$+64|0;Q=$+56|0;P=$+48|0;J=$+40|0;y=$+32|0;C=$+180|0;S=$+176|0;U=$+172|0;A=$+168|0;x=$+759|0;R=$+684|0;Z=$+8|0;T=$+664|0;_=$+264|0;Y=$+184|0;B=$;p[B>>3]=1.0;t=f[s>>2]|0;if((j|0)==0&(k|0)==0|(t|0)>0){s=t;u=$;return s|0}t=f[a>>2]|0;z=a+4|0;w=f[z>>2]|0;if((t|0)==(f[w+68>>2]|0)){w=w+120|0;if(((f[w>>2]|0)==-1?(f[w+4>>2]|0)==-1:0)?(Kj(a,s)|0)>0:0){s=f[s>>2]|0;u=$;return s|0}}else Hj(a,t+1|0,0,s)|0;if((c|0)>=1?(f[(f[z>>2]|0)+928>>2]|0)>=(c|0):0){nk(a,c,A,0,0,s)|0;t=f[A>>2]|0;if((t|0)<0){t=0-t|0;f[A>>2]=t}A=f[(f[(f[z>>2]|0)+960>>2]|0)+((c+-1|0)*160|0)+80>>2]|0;A=(A|0)>-1?A:0-A|0;a:do switch(A|0){case 16:{Mm(a,c,e,g,h,i,j,k,l,m,o,q,r,s)|0;break}case 14:{w=Lv(j)|0;Hm(a,c,e,g,h,i,j,k,l,b[m>>0]|0,w,q,r,s)|0;if((f[s>>2]|0)<1&((k|0)>0|(k|0)==0&j>>>0>0)){t=0;do{Z=b[w+t>>0]|0;_=f[o+(t<<2)>>2]|0;Z=Z<<24>>24==1?84:Z<<24>>24==0?70:78;b[_>>0]=Z;b[_+1>>0]=Z>>8;t=t+1|0;_=((t|0)<0)<<31>>31}while((_|0)<(k|0)|(_|0)==(k|0)&t>>>0<j>>>0)}Mv(w);break}case 83:{X=Gz(j|0,k|0,1)|0;Y=I;z=Nv(X,4)|0;W=Gz(h|0,i|0,1)|0;W=Ez(W|0,I|0,-1,-1)|0;Dl(a,c,e,g,W,I,X,Y,1,1,-9.119119840596153e-36,z,q,r,s)|0;if((f[s>>2]|0)<1){Nm(a,c,U,s)|0;y=((f[U>>2]|0)+-3|0)/2|0;f[U>>2]=y;$j(89840,c,R,s)|0;f[S>>2]=0;b[Z>>0]=0;if(!(Nn(a,R,T,0,S)|0))gk(T,Z);if(!(b[Z>>0]|0)){b[Z>>0]=b[80576]|0;b[Z+1>>0]=b[80577]|0;b[Z+2>>0]=b[80578]|0;b[Z+3>>0]=b[80579]|0;b[Z+4>>0]=b[80580]|0;b[Z+5>>0]=b[80581]|0;b[Z+6>>0]=b[80582]|0}if((k|0)>0|(k|0)==0&j>>>0>0)if((l|0)==2){w=0;x=0;while(1){t=o+(w<<2)|0;l=f[t>>2]|0;b[l>>0]=40;b[l+1>>0]=0;v=+n[z+(x<<2)>>2];if(v==-9.119119840596153e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0;b[q+w>>0]=1}else{p[J>>3]=v;ww(_,Z,J)|0}yz(f[t>>2]|0,_,y)|0;l=f[t>>2]|0;l=l+(Bx(l)|0)|0;b[l>>0]=44;b[l+1>>0]=0;v=+n[z+((x|1)<<2)>>2];if(v==-9.119119840596153e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0;b[q+w>>0]=1}else{p[P>>3]=v;ww(_,Z,P)|0}yz(f[t>>2]|0,_,y)|0;l=f[t>>2]|0;l=l+(Bx(l)|0)|0;b[l>>0]=41;b[l+1>>0]=0;w=w+1|0;l=((w|0)<0)<<31>>31;if(!((l|0)<(k|0)|(l|0)==(k|0)&w>>>0<j>>>0))break;else x=x+2|0}}else{w=0;x=0;while(1){t=o+(w<<2)|0;q=f[t>>2]|0;b[q>>0]=40;b[q+1>>0]=0;v=+n[z+(x<<2)>>2];if(v==-9.119119840596153e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0}else{p[Q>>3]=v;ww(_,Z,Q)|0}yz(f[t>>2]|0,_,y)|0;q=f[t>>2]|0;q=q+(Bx(q)|0)|0;b[q>>0]=44;b[q+1>>0]=0;v=+n[z+((x|1)<<2)>>2];if(v==-9.119119840596153e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0}else{p[K>>3]=v;ww(_,Z,K)|0}yz(f[t>>2]|0,_,y)|0;q=f[t>>2]|0;q=q+(Bx(q)|0)|0;b[q>>0]=41;b[q+1>>0]=0;w=w+1|0;q=((w|0)<0)<<31>>31;if(!((q|0)<(k|0)|(q|0)==(k|0)&w>>>0<j>>>0))break;else x=x+2|0}}}Mv(z);break}case 163:{X=Gz(j|0,k|0,1)|0;Y=I;z=Nv(X,8)|0;W=Gz(h|0,i|0,1)|0;W=Ez(W|0,I|0,-1,-1)|0;pl(a,c,e,g,W,I,X,Y,1,1,-9.1191291391491e-36,z,q,r,s)|0;if((f[s>>2]|0)<1){Nm(a,c,U,s)|0;y=((f[U>>2]|0)+-3|0)/2|0;f[U>>2]=y;$j(89840,c,R,s)|0;f[S>>2]=0;b[Z>>0]=0;if(!(Nn(a,R,T,0,S)|0))gk(T,Z);if(!(b[Z>>0]|0)){Y=Z;f[Y>>2]=775107109;f[Y+4>>2]=4535601}if((k|0)>0|(k|0)==0&j>>>0>0)if((l|0)==2){w=0;x=0;while(1){t=o+(w<<2)|0;l=f[t>>2]|0;b[l>>0]=40;b[l+1>>0]=0;v=+p[z+(x<<3)>>3];if(v==-9.1191291391491e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0;b[q+w>>0]=1}else{p[L>>3]=v;ww(_,Z,L)|0}yz(f[t>>2]|0,_,y)|0;l=f[t>>2]|0;l=l+(Bx(l)|0)|0;b[l>>0]=44;b[l+1>>0]=0;v=+p[z+((x|1)<<3)>>3];if(v==-9.1191291391491e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0;b[q+w>>0]=1}else{p[M>>3]=v;ww(_,Z,M)|0}yz(f[t>>2]|0,_,y)|0;l=f[t>>2]|0;l=l+(Bx(l)|0)|0;b[l>>0]=41;b[l+1>>0]=0;w=w+1|0;l=((w|0)<0)<<31>>31;if(!((l|0)<(k|0)|(l|0)==(k|0)&w>>>0<j>>>0))break;else x=x+2|0}}else{w=0;x=0;while(1){t=o+(w<<2)|0;q=f[t>>2]|0;b[q>>0]=40;b[q+1>>0]=0;v=+p[z+(x<<3)>>3];if(v==-9.1191291391491e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0}else{p[N>>3]=v;ww(_,Z,N)|0}yz(f[t>>2]|0,_,y)|0;q=f[t>>2]|0;q=q+(Bx(q)|0)|0;b[q>>0]=44;b[q+1>>0]=0;v=+p[z+((x|1)<<3)>>3];if(v==-9.1191291391491e-36){b[_>>0]=b[80583]|0;b[_+1>>0]=b[80584]|0;b[_+2>>0]=b[80585]|0;b[_+3>>0]=b[80586]|0;b[_+4>>0]=b[80587]|0}else{p[O>>3]=v;ww(_,Z,O)|0}yz(f[t>>2]|0,_,y)|0;q=f[t>>2]|0;q=q+(Bx(q)|0)|0;b[q>>0]=41;b[q+1>>0]=0;w=w+1|0;q=((w|0)<0)<<31>>31;if(!((q|0)<(k|0)|(q|0)==(k|0)&w>>>0<j>>>0))break;else x=x+2|0}}}Mv(z);break}default:{y=(A|0)==81;J=Nv(j,8)|0;if(y&(t|0)==81){x=Nv(j,1)|0;f[U>>2]=20;if((wm(a,c,e,g,h,i,j,k,J,x,r,s)|0)>0){Mv(x);Mv(J);s=f[s>>2]|0;u=$;return s|0}if(!m){d[Y>>1]=32;t=1}else{Jx(Y,m)|0;t=Bx(m)|0}b:do if((k|0)>0|(k|0)==0&j>>>0>0){w=(l|0)==2;if((t|0)>20){t=0;while(1){if(b[x+t>>0]|0){Z=o+(t<<2)|0;b[f[Z>>2]>>0]=0;yz(f[Z>>2]|0,Y,20)|0;if(w)b[q+t>>0]=1}else{X=J+(t<<3)|0;l=f[X+4>>2]|0;Z=D;f[Z>>2]=f[X>>2];f[Z+4>>2]=l;ww(_,80588,D)|0;Z=o+(t<<2)|0;b[f[Z>>2]>>0]=0;yz(f[Z>>2]|0,_,20)|0}t=t+1|0;Z=((t|0)<0)<<31>>31;if(!((Z|0)<(k|0)|(Z|0)==(k|0)&t>>>0<j>>>0))break b}}if(w){t=0;do{if(!(b[x+t>>0]|0)){X=J+(t<<3)|0;l=f[X+4>>2]|0;Z=F;f[Z>>2]=f[X>>2];f[Z+4>>2]=l;ww(_,80588,F)|0;Z=o+(t<<2)|0;b[f[Z>>2]>>0]=0;yz(f[Z>>2]|0,_,20)|0}else{Z=o+(t<<2)|0;b[f[Z>>2]>>0]=0;Z=f[Z>>2]|0;f[E>>2]=20;f[E+4>>2]=Y;ww(Z,80595,E)|0;b[q+t>>0]=1}t=t+1|0;Z=((t|0)<0)<<31>>31}while((Z|0)<(k|0)|(Z|0)==(k|0)&t>>>0<j>>>0)}else{t=0;do{if(!(b[x+t>>0]|0)){l=J+(t<<3)|0;q=f[l+4>>2]|0;Z=H;f[Z>>2]=f[l>>2];f[Z+4>>2]=q;ww(_,80588,H)|0;Z=o+(t<<2)|0;b[f[Z>>2]>>0]=0;yz(f[Z>>2]|0,_,20)|0}else{Z=o+(t<<2)|0;b[f[Z>>2]>>0]=0;Z=f[Z>>2]|0;f[G>>2]=20;f[G+4>>2]=Y;ww(Z,80595,G)|0}t=t+1|0;Z=((t|0)<0)<<31>>31}while((Z|0)<(k|0)|(Z|0)==(k|0)&t>>>0<j>>>0)}}while(0);Mv(x);Mv(J);break a}if((pl(a,c,e,g,h,i,j,k,1,l,-9.1191291391491e-36,J,q,r,s)|0)>0){Mv(J);s=f[s>>2]|0;u=$;return s|0}Nm(a,c,U,s)|0;$j(93024,c,R,s)|0;f[S>>2]=0;x=(Qn(a,R,B,0,S)|0)==0;x=x&+p[B>>3]!=1.0;t=(((A|0)>41|x)^1)&1;$j(89840,c,R,s)|0;f[S>>2]=0;b[Z>>0]=0;if(!(Nn(a,R,T,0,S)|0))gk(T,Z);c:do if(!(b[Z>>0]|0)){$j(92423,c,R,s)|0;Nn(a,R,T,0,s)|0;if((A|0)<22&x){a=Z;f[a>>2]=875635493;f[a+4>>2]=4666926;break}w=(A|0)==41;if(w&x){w=Z;x=80599;y=w+9|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));break}if(y&x){w=Z;x=80599;y=w+9|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));break}mk(a,C,s)|0;if((f[C>>2]|0)==1){gk(T,Z);break}switch(A|0){case 1:{f[Z>>2]=6566949;break c}case 11:{f[Z>>2]=6566949;break c}case 21:{f[Z>>2]=6567461;break c}default:{if(w){b[Z>>0]=b[80608]|0;b[Z+1>>0]=b[80609]|0;b[Z+2>>0]=b[80610]|0;b[Z+3>>0]=b[80611]|0;b[Z+4>>0]=b[80612]|0;b[Z+5>>0]=b[80613]|0;b[Z+6>>0]=b[80614]|0;t=0;break c}switch(A|0){case 42:{a=Z;f[a>>2]=875635493;f[a+4>>2]=4666926;break c}case 82:{w=Z;x=80599;y=w+9|0;do{b[w>>0]=b[x>>0]|0;w=w+1|0;x=x+1|0}while((w|0)<(y|0));break c}default:break c}}}}while(0);if(!m){d[Y>>1]=32;w=1}else{Jx(Y,m)|0;w=Bx(m)|0}d:do if((k|0)>0|(k|0)==0&j>>>0>0){z=(t|0)==0;y=f[U>>2]|0;x=(y|0)<(w|0);if((A|0)==1){t=0;while(1){q=~~+p[J+(t<<3)>>3];_=o+(t<<2)|0;Z=q&255;b[f[_>>2]>>0]=(q&255)>>>7|48;b[(f[_>>2]|0)+1>>0]=Z>>>6&1|48;b[(f[_>>2]|0)+2>>0]=Z>>>5&1|48;b[(f[_>>2]|0)+3>>0]=Z>>>4&1|48;b[(f[_>>2]|0)+4>>0]=Z>>>3&1|48;b[(f[_>>2]|0)+5>>0]=Z>>>2&1|48;b[(f[_>>2]|0)+6>>0]=Z>>>1&1|48;b[(f[_>>2]|0)+7>>0]=Z&1|48;b[(f[_>>2]|0)+8>>0]=0;t=t+1|0;_=((t|0)<0)<<31>>31;if(!((_|0)<(k|0)|(_|0)==(k|0)&t>>>0<j>>>0))break d}}else w=0;while(1){switch(l|0){case 1:{if(+p[J+(w<<3)>>3]==-9.1191291391491e-36)t=115;else t=118;break}case 2:{if(!(b[q+w>>0]|0))t=118;else t=115;break}default:t=118}do if((t|0)==115){t=o+(w<<2)|0;b[f[t>>2]>>0]=0;t=f[t>>2]|0;if(x){yz(t,Y,y)|0;break}else{f[V>>2]=y;f[V+4>>2]=Y;ww(t,80595,V)|0;break}}else if((t|0)==118){v=+p[J+(w<<3)>>3];if(z){p[X>>3]=v;ww(_,Z,X)|0}else{f[W>>2]=~~v;ww(_,Z,W)|0}if((Bx(_)|0)>(y|0))Fz(_|0,42,y|0)|0;U=o+(w<<2)|0;b[f[U>>2]>>0]=0;yz(f[U>>2]|0,_,y)|0}while(0);w=w+1|0;U=((w|0)<0)<<31>>31;if(!((U|0)<(k|0)|(U|0)==(k|0)&w>>>0<j>>>0))break d}}while(0);Mv(J)}}while(0);s=f[s>>2]|0;u=$;return s|0}f[y>>2]=c;ww(x,90419,y)|0;vj(x);f[s>>2]=302;s=302;u=$;return s|0}function Mm(a,c,d,e,g,h,i,j,k,l,m,n,o,q){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;var r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0.0;S=u;u=u+29024|0;R=S+28864|0;B=S+28856|0;x=S+28896|0;K=S+28892|0;v=S+28888|0;P=S+28884|0;J=S+28880|0;L=S+28848|0;O=S+28840|0;H=S+28832|0;z=S+28824|0;M=S+28816|0;w=S+28808|0;A=S+28800|0;y=S+29004|0;Q=S+28920|0;N=S+28900|0;G=S;r=f[q>>2]|0;if((i|0)==0&(j|0)==0|(r|0)>0){R=r;u=S;return R|0}r=f[a>>2]|0;s=a+4|0;if((r|0)!=(f[(f[s>>2]|0)+68>>2]|0))Hj(a,r+1|0,0,q)|0;if(o|0)f[o>>2]=0;if((k|0)==2)Fz(n|0,0,i|0)|0;if((c|0)>=1?(t=f[s>>2]|0,(f[t+928>>2]|0)>=(c|0)):0){F=f[(f[t+960>>2]|0)+((c+-1|0)*160|0)+80>>2]|0;f[x>>2]=F;a:do switch(F|0){case -16:{if((uk(a,c,d,e,1,0,1,0,0,w,A,y,P,x,K,O,H,J,L,M,v,z,N,q)|0)<=0){r=f[L>>2]|0;f[P>>2]=r;i=1;j=0;break a}R=f[q>>2]|0;u=S;return R|0}case 16:if((uk(a,c,d,e,g,h,i,j,0,w,A,y,P,x,K,O,H,J,L,M,v,z,N,q)|0)>0){R=f[q>>2]|0;u=S;return R|0}else{r=f[P>>2]|0;if((r|0)<=2880)break a;f[K>>2]=1;f[J>>2]=r;F=L;f[F>>2]=1;f[F+4>>2]=0;break a}default:{f[q>>2]=309;R=309;u=S;return R|0}}while(0);D=Bx(N)|0;D=(D|0)==0?1:D;E=(k|0)==1;F=(l|0)==0;do if(E&F)C=1;else{if(E&(l|0)!=0){if((b[l>>0]|0)==0|(b[N>>0]|0)==1){C=1;break}}else if((b[N>>0]|0)==1){C=1;break}C=(D|0)>(r|0)|(k|0)==0}while(0);r=0;s=0;B=0;k=0;b:while(1){c=r;while(1){if((i|0)==0&(j|0)==0){r=65;break b}w=f[K>>2]|0;d=((w|0)<0)<<31>>31;A=(j|0)<(d|0)|(j|0)==(d|0)&i>>>0<w>>>0;w=A?i:w;w=Nz(0,w|0,32)|0;d=I;A=L;r=H;y=f[r>>2]|0;r=f[r+4>>2]|0;A=Dz(f[A>>2]|0,f[A+4>>2]|0,y|0,r|0)|0;z=I;x=(d|0)<(z|0)|(d|0)==(z|0)&w>>>0<A>>>0;A=x?w:A;z=O;d=f[z>>2]|0;z=f[z+4>>2]|0;x=M;x=Sz(f[x>>2]|0,f[x+4>>2]|0,B|0,k|0)|0;z=Ez(x|0,I|0,d|0,z|0)|0;d=I;x=f[J>>2]|0;r=Sz(x|0,((x|0)<0)<<31>>31|0,y|0,r|0)|0;r=Ez(z|0,d|0,r|0,I|0)|0;ft(a,r,I,0,q)|0;r=f[J>>2]|0;d=f[P>>2]|0;if((r|0)==(d|0)){z=X(A,r)|0;kt(a,z,((z|0)<0)<<31>>31,G,q)|0}else lt(a,d,A,r-d|0,G,q)|0;d=f[P>>2]|0;e=G+(X(d,A)|0)+-1|0;y=((A|0)<0)<<31>>31;r=Ez(A|0,y|0,c|0,s|0)|0;z=I;t=Ez(r|0,z|0,-1,0)|0;x=((t|0)<0)<<31>>31;c:do if(!((x|0)<(s|0)|(x|0)==(s|0)&t>>>0<c>>>0)){if(C)while(1){g=(f[m+(t<<2)>>2]|0)+d|0;h=g+-1|0;w=d+-1|0;d:do if((d|0)>1){v=h;while(1){if((b[e>>0]|0)!=32){h=v;d=w;break d}e=e+-1|0;h=v+-1|0;d=w+-1|0;if((w|0)>1){g=v;v=h;w=d}else{g=v;break}}}else d=w;while(0);b[g>>0]=0;if((d|0)>-1)while(1){b[h>>0]=b[e>>0]|0;e=e+-1|0;if((d|0)>0){h=h+-1|0;d=d+-1|0}else break}t=t+-1|0;x=((t|0)<0)<<31>>31;if((x|0)<(s|0)|(x|0)==(s|0)&t>>>0<c>>>0)break c;d=f[P>>2]|0}if(!E)while(1){x=m+(t<<2)|0;g=(f[x>>2]|0)+d|0;h=g+-1|0;w=d+-1|0;e:do if((d|0)>1){v=h;while(1){if((b[e>>0]|0)!=32){h=v;d=w;break e}e=e+-1|0;h=v+-1|0;d=w+-1|0;if((w|0)>1){g=v;v=h;w=d}else{g=v;break}}}else d=w;while(0);b[g>>0]=0;if((d|0)>-1)while(1){b[h>>0]=b[e>>0]|0;e=e+-1|0;if((d|0)>0){h=h+-1|0;d=d+-1|0}else break}if(!(vw(N,f[x>>2]|0,D)|0)){f[o>>2]=1;b[n+t>>0]=1}t=t+-1|0;x=((t|0)<0)<<31>>31;if((x|0)<(s|0)|(x|0)==(s|0)&t>>>0<c>>>0)break c;d=f[P>>2]|0}while(1){x=m+(t<<2)|0;g=(f[x>>2]|0)+d|0;h=g+-1|0;w=d+-1|0;f:do if((d|0)>1){v=h;while(1){if((b[e>>0]|0)!=32){h=v;d=w;break f}e=e+-1|0;h=v+-1|0;d=w+-1|0;if((w|0)>1){g=v;v=h;w=d}else{g=v;break}}}else d=w;while(0);b[g>>0]=0;if((d|0)>-1)while(1){b[h>>0]=b[e>>0]|0;e=e+-1|0;if((d|0)>0){h=h+-1|0;d=d+-1|0}else break}d=f[x>>2]|0;do if(!(vw(N,d,D)|0)){f[o>>2]=1;if(F){b[d>>0]=32;b[d+1>>0]=0;break}else{Jx(d,l)|0;break}}while(0);t=t+-1|0;x=((t|0)<0)<<31>>31;if((x|0)<(s|0)|(x|0)==(s|0)&t>>>0<c>>>0)break c;d=f[P>>2]|0}}while(0);if((f[q>>2]|0)>0){r=62;break b}i=Dz(i|0,j|0,A|0,y|0)|0;j=I;if((i|0)==0&(j|0)==0){c=r;s=z;i=0;j=0}else break}c=H;y=Ez(f[c>>2]|0,f[c+4>>2]|0,A|0,y|0)|0;A=I;c=L;c=(y|0)==(f[c>>2]|0)?(A|0)==(f[c+4>>2]|0):0;s=H;f[s>>2]=c?0:y;f[s+4>>2]=c?0:A;c=Ez(c&1|0,0,B|0,k|0)|0;s=z;B=c;k=I}if((r|0)==62){T=+(c>>>0)+4294967296.0*+(s|0);p[R>>3]=T+1.0;p[R+8>>3]=T+ +(A|0);ww(Q,80615,R)|0;vj(Q);R=f[q>>2]|0;u=S;return R|0}else if((r|0)==65){R=f[q>>2]|0;u=S;return R|0}}f[B>>2]=c;ww(Q,90419,B)|0;vj(Q);f[q>>2]=302;R=302;u=S;return R|0}function Nm(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;t=u;u=u+208|0;l=t+8|0;k=t+115|0;n=t+40|0;g=t+20|0;s=t+16|0;q=t+12|0;o=t;h=f[e>>2]|0;if((h|0)>0){d=h;u=t;return d|0}h=f[a>>2]|0;i=a+4|0;if((h|0)!=(f[(f[i>>2]|0)+68>>2]|0))Hj(a,h+1|0,0,e)|0;if((c|0)>=1?(j=f[i>>2]|0,(f[j+928>>2]|0)>=(c|0)):0){k=f[(f[j+960>>2]|0)+((c+-1|0)*160|0)+80>>2]|0;k=(k|0)>-1?k:0-k|0;$j(89840,c,n,e)|0;f[d>>2]=0;f[q>>2]=0;a:do if(!(Nn(a,n,g,0,q)|0)){h=g;b:while(1){i=b[h>>0]|0;switch(i<<24>>24){case 103:case 71:case 100:case 68:case 101:case 69:case 102:case 70:case 122:case 90:case 111:case 79:case 105:case 73:case 97:case 65:break b;case 32:break;default:{r=14;break a}}h=h+1|0}if(i<<24>>24!=0&((i<<24>>24)+-48|0)>>>0>9)do{h=h+1|0;l=b[h>>0]|0}while(l<<24>>24!=0&((l<<24>>24)+-48|0)>>>0>9);h=uz(h)|0;f[d>>2]=h;if((k|0)>82)f[d>>2]=(h<<1)+3;else{m=h;r=15}}else r=14;while(0);if((r|0)==14){m=f[d>>2]|0;r=15}c:do if((r|0)==15?(m|0)==0:0){$j(92423,c,n,e)|0;Nn(a,n,g,0,e)|0;$j(93024,c,n,e)|0;f[q>>2]=0;j=(Qn(a,n,o,0,q)|0)==0;j=j&+p[o>>3]!=1.0;if((k|0)<22&j){f[d>>2]=14;break}h=(k|0)==41;if(h&j){f[d>>2]=23;break}i=(k|0)==81;if(i&j){f[d>>2]=23;break}mk(a,s,e)|0;if((f[s>>2]|0)==1){while(1){s=b[g>>0]|0;if(s<<24>>24!=0&((s<<24>>24)+-48|0)>>>0>9)g=g+1|0;else break}s=uz(g)|0;f[d>>2]=s;break}switch(k|0){case 1:{f[d>>2]=8;break c}case 11:{f[d>>2]=4;break c}case 21:{f[d>>2]=6;break c}default:{if(h){f[d>>2]=11;break c}if(i){f[d>>2]=20;break c}switch(k|0){case 42:{f[d>>2]=14;break c}case 82:{f[d>>2]=23;break c}case 83:{f[d>>2]=31;break c}case 163:{f[d>>2]=49;break c}case 14:{f[d>>2]=1;break c}case 16:{while(1){s=b[g>>0]|0;if(s<<24>>24!=0&((s<<24>>24)+-48|0)>>>0>9)g=g+1|0;else break}s=uz(g)|0;f[d>>2]=(s|0)>1?s:1;break c}default:break c}}}}while(0);d=f[e>>2]|0;u=t;return d|0}f[l>>2]=c;ww(k,90419,l)|0;vj(k);f[e>>2]=302;d=302;u=t;return d|0}function Om(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0;n=u;u=u+16|0;Lm(a,b,c,d,e,g,h,i,2,n,j,k,l,m)|0;u=n;return f[m>>2]|0}function Pm(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;n=u;u=u+16|0;m=n;if(!(Ek(a,l)|0)){Qm(a,2,(c|0)>1?c:1,0,d,e,g,h,1,1,i,j,n+1|0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}else{b[m>>0]=i;ws(a,12,d,e,g,h,1,m,j,0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}return 0}function Qm(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;var s=0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0;aa=u;u=u+29072|0;$=aa+28888|0;_=aa+28864|0;V=aa+28856|0;O=aa+28848|0;W=aa+28840|0;R=aa+28932|0;L=aa+28928|0;Y=aa+28924|0;y=aa+28920|0;x=aa+28916|0;U=aa+28912|0;K=aa+28908|0;z=aa+28904|0;M=aa+28832|0;Q=aa+28824|0;J=aa+28816|0;T=aa+28808|0;N=aa+28800|0;S=aa+29040|0;Z=aa+28956|0;P=aa+28936|0;H=aa;s=f[r>>2]|0;if((i|0)==0&(j|0)==0|(s|0)>0){r=s;u=aa;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;uk(a,c,d,e,g,h,i,j,k>>31,O,W,S,U,R,L,Q,J,K,M,N,Y,T,P,r)|0;w=f[R>>2]|0;if((k|0)==1&(w|0)==14){Hm(a,c,d,e,g,h,i,j,l,m,n,o,q,r)|0;r=f[r>>2]|0;u=aa;return r|0}if(Cx(S,65)|0){if((f[r>>2]|0)==308){f[r>>2]=0;zj()}f[R>>2]=11;f[K>>2]=1;G=f[U>>2]|0;w=M;f[w>>2]=G;f[w+4>>2]=((G|0)<0)<<31>>31;f[U>>2]=1;p[O>>3]=1.0;p[W>>3]=0.0;w=T;f[w>>2]=1234554321;f[w+4>>2]=0;f[L>>2]=28800;w=11}s=f[r>>2]|0;if((s|0)>0){r=s;u=aa;return r|0}G=X(f[K>>2]|0,k)|0;f[K>>2]=G;if((w|0)==16&(f[Y>>2]|0)==1?(Tj(S,y,z,x,r)|0,A=f[x>>2]|0,(A|0)>0):0){s=0;t=1.0;do{t=t*10.0;s=s+1|0}while((s|0)<(A|0))}else t=1.0;if(((!((l|0)==1&m<<24>>24==0)?(B=f[R>>2]|0,D=T,C=f[D>>2]|0,D=f[D+4>>2]|0,!(((B|0)%10|0|0)==1&((C|0)==1234554321&(D|0)==0))):0)?(G=Ez(C|0,D|0,32768,0)|0,F=I,!((B|0)==21&(F>>>0>0|(F|0)==0&G>>>0>65535))):0)?!((B|0)==11&(D>>>0>0|(D|0)==0&C>>>0>255)):0)F=(B|0)==16&(b[P>>0]|0)==1?0:l;else F=0;E=(k|0)>-1;G=0-k|0;e=0;g=0;w=j;d=0;s=0;a:while(1){while(1){l=n+d|0;j=o+d|0;C=i;while(1){if((C|0)==0&(w|0)==0){x=53;break a}i=f[L>>2]|0;z=((i|0)<0)<<31>>31;D=(w|0)<(z|0)|(w|0)==(z|0)&C>>>0<i>>>0;i=D?C:i;i=Nz(0,i|0,32)|0;z=I;if(E){h=M;B=J;A=f[B>>2]|0;B=f[B+4>>2]|0;h=Ez(f[h>>2]|0,f[h+4>>2]|0,-1,-1)|0;h=Dz(h|0,I|0,A|0,B|0)|0;x=I;y=k}else{x=J;h=f[x>>2]|0;x=f[x+4>>2]|0;A=h;B=x;y=G}h=Jz(h|0,x|0,y|0,((y|0)<0)<<31>>31|0)|0;D=I;x=(z|0)>(D|0)|(z|0)==(D|0)&i>>>0>h>>>0;D=Ez(h|0,D|0,1,0)|0;h=I;D=x?D:i;z=Q;h=f[z>>2]|0;z=f[z+4>>2]|0;x=N;x=Sz(f[x>>2]|0,f[x+4>>2]|0,e|0,g|0)|0;z=Ez(x|0,I|0,h|0,z|0)|0;h=I;x=f[K>>2]|0;i=(x|0)/(k|0)|0;i=Sz(i|0,((i|0)<0)<<31>>31|0,A|0,B|0)|0;i=Ez(z|0,h|0,i|0,I|0)|0;h=I;switch(f[R>>2]|0){case 11:{qt(a,i,h,D,x,l,r)|0;Rm(l,D,+p[O>>3],+p[W>>3],F,f[T>>2]&255,m,j,q,l,r)|0;break}case 21:{rt(a,i,h,D,x,H,r)|0;Sm(H,D,+p[O>>3],+p[W>>3],F,f[T>>2]&65535,m,j,q,l,r)|0;break}case 41:{st(a,i,h,D,x,H,r)|0;Tm(H,D,+p[O>>3],+p[W>>3],F,f[T>>2]|0,m,j,q,l,r)|0;break}case 81:{tt(a,i,h,D,x,H,r)|0;B=T;Um(H,D,+p[O>>3],+p[W>>3],F,f[B>>2]|0,f[B+4>>2]|0,m,j,q,l,r)|0;break}case 42:{ut(a,i,h,D,x,H,r)|0;Vm(H,D,+p[O>>3],+p[W>>3],F,m,j,q,l,r)|0;break}case 82:{vt(a,i,h,D,x,H,r)|0;Wm(H,D,+p[O>>3],+p[W>>3],F,m,j,q,l,r)|0;break}case 16:{ft(a,i,h,0,r)|0;i=f[K>>2]|0;h=f[U>>2]|0;if((i|0)==(h|0)){B=X(i,D)|0;kt(a,B,((B|0)<0)<<31>>31,H,r)|0}else lt(a,h,D,i-h|0,H,r)|0;Xm(H,D,+p[O>>3],+p[W>>3],f[U>>2]|0,t,F,P,m,j,q,l,r)|0;break}default:{x=39;break a}}if((f[r>>2]|0)>0){x=43;break a}i=((D|0)<0)<<31>>31;y=Dz(C|0,w|0,D|0,i|0)|0;A=I;if((y|0)==0&(A|0)==0){C=0;w=0}else break}z=Ez(D|0,i|0,d|0,s|0)|0;s=I;d=J;w=X(D,k)|0;w=Ez(f[d>>2]|0,f[d+4>>2]|0,w|0,((w|0)<0)<<31>>31|0)|0;d=I;h=J;f[h>>2]=w;f[h+4>>2]=d;h=M;i=f[h>>2]|0;h=f[h+4>>2]|0;if(!((d|0)<(h|0)|(d|0)==(h|0)&w>>>0<i>>>0)){x=49;break}if((d|0)<0){x=52;break}else{i=y;w=A;d=z}}if((x|0)==49){l=Jz(w|0,d|0,i|0,h|0)|0;j=I;e=Ez(l|0,j|0,e|0,g|0)|0;g=I;j=Sz(l|0,j|0,i|0,h|0)|0;w=Dz(w|0,d|0,j|0,I|0)|0;d=I}else if((x|0)==52){l=Jz(~w|0,~d|0,i|0,h|0)|0;l=Ez(l|0,I|0,1,0)|0;j=I;e=Dz(e|0,g|0,l|0,j|0)|0;g=I;j=Sz(l|0,j|0,i|0,h|0)|0;w=Ez(j|0,I|0,w|0,d|0)|0;d=I}i=J;f[i>>2]=w;f[i+4>>2]=d;i=y;w=A;d=z}if((x|0)==39){f[V>>2]=c;f[V+4>>2]=S;ww(Z,80677,V)|0;vj(Z);if((f[Y>>2]|0)==1){f[r>>2]=311;r=311;u=aa;return r|0}else{f[r>>2]=312;r=312;u=aa;return r|0}}else if((x|0)==43){t=+(d>>>0)+4294967296.0*+(s|0);v=t+1.0;t=t+ +(D|0);if((f[Y>>2]|0)>0){p[_>>3]=v;p[_+8>>3]=t;f[_+16>>2]=c;ww(Z,80730,_)|0}else{p[$>>3]=v;p[$+8>>3]=t;ww(Z,80794,$)|0}vj(Z);r=f[r>>2]|0;u=aa;return r|0}else if((x|0)==53){s=f[r>>2]|0;if((s|0)!=-11){r=s;u=aa;return r|0}vj(81433);f[r>>2]=412;r=412;u=aa;return r|0}return 0}function Rm(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0,r=0;q=d==1.0;o=q&e==-128.0;if(!g){if(o){if((c|0)>0)o=0;else{n=f[n>>2]|0;return n|0}do{b[m+o>>0]=b[a+o>>0]^-128;o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}o=(c|0)>0;if(q&e==0.0){if(o)g=0;else{n=f[n>>2]|0;return n|0}do{o=b[a+g>>0]|0;if(o<<24>>24<0){f[n>>2]=-11;o=127}b[m+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)g=0;else{n=f[n>>2]|0;return n|0}do{p=+(h[a+g>>0]|0)*d+e;do if(!(p<-128.49))if(p>127.49){f[n>>2]=-11;o=127;break}else{o=~~p;break}else{f[n>>2]=-11;o=-128}while(0);b[m+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o){if((c|0)<=0){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?m:k;k=q?j:1;q=0;do{o=b[a+q>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;o=k;g=r}else{o=o^-128;g=m}b[g+q>>0]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}o=(c|0)>0;if(q&e==0.0){if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?j:1;k=q?m:k;q=0;do{o=b[a+q>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;o=r;g=k}else g=m;b[g+q>>0]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?m:k;k=q?j:1;q=0;do{o=b[a+q>>0]|0;do if(o<<24>>24!=i<<24>>24){p=+(o&255)*d+e;if(p<-128.49){f[n>>2]=-11;o=-128;g=m;break}if(p>127.49){f[n>>2]=-11;o=127;g=m;break}else{o=~~p;g=m;break}}else{f[l>>2]=1;o=k;g=r}while(0);b[g+q>>0]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}function Sm(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0,r=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h)if(q){if(o)k=0;else{n=f[n>>2]|0;return n|0}do{o=d[a+(k<<1)>>1]|0;do if(o<<16>>16>=-128)if(o<<16>>16>127){f[n>>2]=-11;o=127;break}else{o=o&255;break}else{f[n>>2]=-11;o=-128}while(0);b[m+k>>0]=o;k=k+1|0}while((k|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)k=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(k<<1)>>1]|0)*e+g;do if(!(p<-128.49))if(p>127.49){f[n>>2]=-11;o=127;break}else{o=~~p;break}else{f[n>>2]=-11;o=-128}while(0);b[m+k>>0]=o;k=k+1|0}while((k|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}q=(h|0)==1;r=q?m:k;q=q?j:1;h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){if(o<<16>>16<-128){f[n>>2]=-11;o=-128;k=m;break}if(o<<16>>16>127){f[n>>2]=-11;o=127;k=m;break}else{o=o&255;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+h>>0]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}q=(h|0)==1;r=q?m:k;q=q?j:1;h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-128.49){f[n>>2]=-11;o=-128;k=m;break}if(p>127.49){f[n>>2]=-11;o=127;k=m;break}else{o=~~p;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+h>>0]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function Tm(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,p=0,q=0;p=d==1.0&e==0.0;n=(c|0)>0;if(!g)if(p){if(n)j=0;else{m=f[m>>2]|0;return m|0}do{n=f[a+(j<<2)>>2]|0;do if((n|0)>=-128)if((n|0)>127){f[m>>2]=-11;n=127;break}else{n=n&255;break}else{f[m>>2]=-11;n=-128}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)j=0;else{m=f[m>>2]|0;return m|0}do{o=+(f[a+(j<<2)>>2]|0)*d+e;do if(!(o<-128.49))if(o>127.49){f[m>>2]=-11;n=127;break}else{n=~~o;break}else{f[m>>2]=-11;n=-128}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}if(p){if(!n){m=f[m>>2]|0;return m|0}p=(g|0)==1;q=p?l:j;p=p?i:1;g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){if((n|0)<-128){f[m>>2]=-11;n=-128;j=l;break}if((n|0)>127){f[m>>2]=-11;n=127;j=l;break}else{n=n&255;j=l;break}}else{f[k>>2]=1;n=p;j=q}while(0);b[j+g>>0]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(!n){m=f[m>>2]|0;return m|0}p=(g|0)==1;q=p?l:j;p=p?i:1;g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){o=+(n|0)*d+e;if(o<-128.49){f[m>>2]=-11;n=-128;j=l;break}if(o>127.49){f[m>>2]=-11;n=127;j=l;break}else{n=~~o;j=l;break}}else{f[k>>2]=1;n=p;j=q}while(0);b[j+g>>0]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}return 0}function Um(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0,r=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g)if(q){if(o)g=0;else{n=f[n>>2]|0;return n|0}do{k=a+(g<<3)|0;o=f[k>>2]|0;k=f[k+4>>2]|0;do if(!((k|0)<-1|(k|0)==-1&o>>>0<4294967168))if((k|0)>0|(k|0)==0&o>>>0>127){f[n>>2]=-11;o=127;break}else{o=o&255;break}else{f[n>>2]=-11;o=-128}while(0);b[m+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)k=0;else{n=f[n>>2]|0;return n|0}do{l=a+(k<<3)|0;p=(+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0))*d+e;do if(!(p<-128.49))if(p>127.49){f[n>>2]=-11;o=127;break}else{o=~~p;break}else{f[n>>2]=-11;o=-128}while(0);b[m+k>>0]=o;k=k+1|0}while((k|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?m:k;q=q?j:1;g=0;do{k=a+(g<<3)|0;o=f[k>>2]|0;k=f[k+4>>2]|0;do if(!((o|0)==(h|0)&(k|0)==(i|0))){if((k|0)<-1|(k|0)==-1&o>>>0<4294967168){f[n>>2]=-11;o=-128;k=m;break}if((k|0)>0|(k|0)==0&o>>>0>127){f[n>>2]=-11;o=127;k=m;break}else{o=o&255;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}q=(g|0)==1;r=q?m:k;q=q?j:1;g=0;do{k=a+(g<<3)|0;o=f[k>>2]|0;k=f[k+4>>2]|0;do if(!((o|0)==(h|0)&(k|0)==(i|0))){p=(+(o>>>0)+4294967296.0*+(k|0))*d+e;if(p<-128.49){f[n>>2]=-11;o=-128;k=m;break}if(p>127.49){f[n>>2]=-11;o=127;k=m;break}else{o=~~p;k=m;break}}else{f[l>>2]=1;o=q;k=r}while(0);b[k+g>>0]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function Vm(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)j=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(j<<2)>>2];e=p;do if(!(e<-128.49))if(e>127.49){f[m>>2]=-11;o=127;break}else{o=~~p;break}else{f[m>>2]=-11;o=-128}while(0);b[l+j>>0]=o;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)j=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(j<<2)>>2]*e+g;do if(!(p<-128.49))if(p>127.49){f[m>>2]=-11;o=127;break}else{o=~~p;break}else{f[m>>2]=-11;o=-128}while(0);b[l+j>>0]=o;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}r=(h|0)==1;s=r?l:j;r=r?i:1;h=0;while(1){t=d[q>>1]&32640;a:do switch((t<<16>>16==32640?1:t<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2];e=p;if(e<-128.49){f[m>>2]=-11;o=-128;j=l;break a}if(e>127.49){f[m>>2]=-11;o=127;j=l;break a}else{o=~~p;j=l;break a}}case 1:{f[k>>2]=1;o=r;j=s;break}default:{o=0;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}r=~~g;s=(h|0)==1;t=s?l:j;s=s?i:1;if(g<-128.49){h=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-128.49){f[m>>2]=-11;o=-128;j=l;break b}if(p>127.49){f[m>>2]=-11;o=127;j=l;break b}else{o=~~p;j=l;break b}}case 1:{f[k>>2]=1;o=s;j=t;break}default:{f[m>>2]=-11;o=-128;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(g>127.49)h=0;else{h=0;while(1){i=d[q>>1]&32640;c:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-128.49){f[m>>2]=-11;o=-128;j=l;break c}if(p>127.49){f[m>>2]=-11;o=127;j=l;break c}else{o=~~p;j=l;break c}}case 1:{f[k>>2]=1;o=s;j=t;break}default:{o=r;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(h<<2)>>2]*e+g;if(p<-128.49){f[m>>2]=-11;o=-128;j=l;break d}if(p>127.49){f[m>>2]=-11;o=127;j=l;break d}else{o=~~p;j=l;break d}}case 1:{f[k>>2]=1;o=s;j=t;break}default:{f[m>>2]=-11;o=127;j=l}}while(0);b[j+h>>0]=o;h=h+1|0;if((h|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}function Wm(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)j=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(j<<3)>>3];do if(!(o<-128.49))if(o>127.49){f[m>>2]=-11;n=127;break}else{n=~~o;break}else{f[m>>2]=-11;n=-128}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)j=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(j<<3)>>3]*e+g;do if(!(o<-128.49))if(o>127.49){f[m>>2]=-11;n=127;break}else{n=~~o;break}else{f[m>>2]=-11;n=-128}while(0);b[l+j>>0]=n;j=j+1|0}while((j|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}r=(h|0)==1;s=r?l:j;r=r?i:1;h=0;while(1){t=d[q>>1]&32752;a:do switch((t<<16>>16==32752?1:t<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3];if(o<-128.49){f[m>>2]=-11;n=-128;j=l;break a}if(o>127.49){f[m>>2]=-11;n=127;j=l;break a}else{n=~~o;j=l;break a}}case 1:{f[k>>2]=1;n=r;j=s;break}default:{n=0;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}r=~~g;s=(h|0)==1;t=s?l:j;s=s?i:1;if(g<-128.49){h=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-128.49){f[m>>2]=-11;n=-128;j=l;break b}if(o>127.49){f[m>>2]=-11;n=127;j=l;break b}else{n=~~o;j=l;break b}}case 1:{f[k>>2]=1;n=s;j=t;break}default:{f[m>>2]=-11;n=-128;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(g>127.49)h=0;else{h=0;while(1){i=d[q>>1]&32752;c:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-128.49){f[m>>2]=-11;n=-128;j=l;break c}if(o>127.49){f[m>>2]=-11;n=127;j=l;break c}else{n=~~o;j=l;break c}}case 1:{f[k>>2]=1;n=s;j=t;break}default:{n=r;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(h<<3)>>3]*e+g;if(o<-128.49){f[m>>2]=-11;n=-128;j=l;break d}if(o>127.49){f[m>>2]=-11;n=127;j=l;break d}else{n=~~o;j=l;break d}}case 1:{f[k>>2]=1;n=s;j=t;break}default:{f[m>>2]=-11;n=127;j=l}}while(0);b[j+h>>0]=n;h=h+1|0;if((h|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function Xm(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0.0,q=0,r=0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=u;u=u+96|0;E=F;D=F+4|0;B=Bx(j)|0;a:do if((c|0)>0){C=(i|0)==0;x=(i|0)==1;y=x?n:l;x=x?k:1;w=0;b:while(1){A=a+g|0;z=b[A>>0]|0;b[A>>0]=0;if((b[j>>0]|0)!=1?(vw(j,a,B)|0)==0:0)if(C)l=A;else{f[m>>2]=1;l=A;i=x;k=y;r=38}else{l=a;r=7}do if((r|0)==7){c:while(1){r=0;i=b[l>>0]|0;switch(i<<24>>24){case 43:case 45:{r=9;break c}case 32:break;default:{v=1;break c}}l=l+1|0;r=7}if((r|0)==9){r=0;k=i<<24>>24==45;do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);v=k?-1:1}if((i+-48&255)<10){p=0.0;do{p=p*10.0+ +(i<<24>>24);do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);p=p+-48.0}while((i+-48&255)<10)}else p=0.0;switch(i<<24>>24){case 44:case 46:{do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);if((i+-48&255)<10){s=1.0;do{p=p*10.0+ +(i<<24>>24)+-48.0;do{l=l+1|0;i=b[l>>0]|0}while(i<<24>>24==32);s=s*10.0}while((i+-48&255)<10);t=1}else{t=1;s=1.0}break}default:{t=0;s=1.0}}if((i&-2)<<24>>24==68){k=l;d:while(1){l=k+1|0;i=b[l>>0]|0;switch(i<<24>>24){case 32:{k=l;break}case 43:case 45:{r=26;break d}default:{q=1;break d}}}if((r|0)==26){q=i<<24>>24==45;l=k+2|0;while(1){i=b[l>>0]|0;if(i<<24>>24==32)l=l+1|0;else break}q=q?-1:1}if((i+-48&255)<10){k=0;while(1){k=(k*10|0)+-48|0;do{l=l+1|0;r=b[l>>0]|0}while(r<<24>>24==32);k=k+(i<<24>>24)|0;if((r+-48&255)<10)i=r;else{i=r;break}}}else k=0}else{q=1;k=0}if(i<<24>>24)break b;p=+(v|0)*p/((t|0)==0?h:s)*+M(10.0,+(+(X(q,k)|0)))*d+e;if(p<-128.49){f[o>>2]=-11;i=-128;k=n;r=38;break}if(p>127.49){f[o>>2]=-11;i=127;k=n;r=38;break}else{i=~~p;k=n;r=38;break}}while(0);if((r|0)==38){r=0;b[k+w>>0]=i}b[A>>0]=z;w=w+1|0;if((w|0)>=(c|0))break a;else a=l}l=D;i=81500;k=l+36|0;do{b[l>>0]=b[i>>0]|0;l=l+1|0;i=i+1|0}while((l|0)<(k|0));vj(D);f[E>>2]=a;ww(D,81536,E)|0;vj(D);b[A>>0]=z;f[o>>2]=409;E=409;u=F;return E|0}while(0);E=f[o>>2]|0;u=F;return E|0}function Ym(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){Qm(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,12,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function Zm(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,gb=0;gb=u;u=u+480|0;t=gb+232|0;o=gb+224|0;ia=gb+352|0;B=gb+316|0;C=gb+280|0;z=gb+244|0;A=gb+144|0;p=gb+72|0;r=gb;n=gb+240|0;eb=gb+236|0;fb=gb+470|0;s=gb+389|0;q=gb+388|0;if((d+-1|0)>>>0>8){f[o>>2]=d;ww(s,80854,o)|0;vj(s);f[m>>2]=320;m=320;u=gb;return m|0}if(Ek(a,m)|0){n=0;do{fb=f[g+(n<<2)>>2]|0;eb=p+(n<<3)|0;f[eb>>2]=fb;f[eb+4>>2]=((fb|0)<0)<<31>>31;eb=f[h+(n<<2)>>2]|0;fb=r+(n<<3)|0;f[fb>>2]=eb;f[fb+4>>2]=((eb|0)<0)<<31>>31;n=n+1|0}while((n|0)!=(d|0));b[q>>0]=j;ts(a,12,p,r,i,1,q,k,0,l,m)|0;m=f[m>>2]|0;u=gb;return m|0}if((mk(a,n,m)|0)>0){m=f[m>>2]|0;u=gb;return m|0}n=(f[n>>2]|0)==0;if(n){Da=(c|0)==0?1:c;c=2;cb=1;v=Da}else{cb=f[i+(d<<2)>>2]|0;v=f[h+(d<<2)>>2]|0;Da=f[g+(d<<2)>>2]|0}db=(l|0)!=0;if(db)f[l>>2]=0;f[ia>>2]=1;f[B>>2]=1;f[C>>2]=1;ca=A;f[ca>>2]=1;f[ca+4>>2]=0;f[z>>2]=1;ca=ia+4|0;f[ca>>2]=1;da=B+4|0;f[da>>2]=1;ya=C+4|0;f[ya>>2]=1;fa=A+8|0;ba=fa;f[ba>>2]=1;f[ba+4>>2]=0;ba=z+4|0;f[ba>>2]=1;_=ia+8|0;f[_>>2]=1;$=B+8|0;f[$>>2]=1;ea=C+8|0;f[ea>>2]=1;ga=A+16|0;Z=ga;f[Z>>2]=1;f[Z+4>>2]=0;Z=z+8|0;f[Z>>2]=1;V=ia+12|0;f[V>>2]=1;W=B+12|0;f[W>>2]=1;aa=C+12|0;f[aa>>2]=1;ha=A+24|0;U=ha;f[U>>2]=1;f[U+4>>2]=0;U=z+12|0;f[U>>2]=1;R=ia+16|0;f[R>>2]=1;S=B+16|0;f[S>>2]=1;Y=C+16|0;f[Y>>2]=1;ja=A+32|0;Q=ja;f[Q>>2]=1;f[Q+4>>2]=0;Q=z+16|0;f[Q>>2]=1;N=ia+20|0;f[N>>2]=1;O=B+20|0;f[O>>2]=1;T=C+20|0;f[T>>2]=1;ka=A+40|0;M=ka;f[M>>2]=1;f[M+4>>2]=0;M=z+20|0;f[M>>2]=1;J=ia+24|0;f[J>>2]=1;K=B+24|0;f[K>>2]=1;P=C+24|0;f[P>>2]=1;na=A+48|0;H=na;f[H>>2]=1;f[H+4>>2]=0;H=z+24|0;f[H>>2]=1;E=ia+28|0;f[E>>2]=1;F=B+28|0;f[F>>2]=1;L=C+28|0;f[L>>2]=1;ra=A+56|0;D=ra;f[D>>2]=1;f[D+4>>2]=0;D=z+28|0;f[D>>2]=1;x=ia+32|0;f[x>>2]=1;y=B+32|0;f[y>>2]=1;G=C+32|0;f[G>>2]=1;ua=A+64|0;w=ua;f[w>>2]=1;f[w+4>>2]=0;w=z+32|0;f[w>>2]=1;a:do if(n){o=d<<2;Lz(ia|0,g|0,o|0)|0;Lz(B|0,h|0,o|0)|0;Lz(C|0,i|0,o|0)|0;o=1;p=0;q=0;do{n=z+(q<<2)|0;if((f[h+(q<<2)>>2]|0)<(f[g+(q<<2)>>2]|0)){f[n>>2]=-1;n=-1}else n=f[n>>2]|0;ab=f[e+(q<<2)>>2]|0;$a=o;o=Sz(ab|0,((ab|0)<0)<<31>>31|0,o|0,p|0)|0;ab=p;p=I;bb=q;q=q+1|0;_a=A+(q<<3)|0;f[_a>>2]=o;f[_a+4>>2]=p;ab=Sz(n|0,((n|0)<0)<<31>>31|0,$a|0,ab|0)|0;bb=A+(bb<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I}while((q|0)!=(d|0))}else{p=1;q=0;r=0;while(1){n=f[h+(r<<2)>>2]|0;o=f[g+(r<<2)>>2]|0;if((n|0)<(o|0))break;f[ia+(r<<2)>>2]=o;f[B+(r<<2)>>2]=n;f[C+(r<<2)>>2]=f[i+(r<<2)>>2];ab=f[e+(r<<2)>>2]|0;bb=p;p=Sz(ab|0,((ab|0)<0)<<31>>31|0,p|0,q|0)|0;ab=q;q=I;n=r+1|0;$a=A+(n<<3)|0;f[$a>>2]=p;f[$a+4>>2]=q;$a=f[z+(r<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,bb|0,ab|0)|0;bb=A+(r<<3)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((n|0)>=(d|0))break a;else r=n}f[t>>2]=r+1;ww(s,80900,t)|0;vj(s);f[m>>2]=321;m=321;u=gb;return m|0}while(0);bb=A+(d<<3)|0;ab=bb;$a=f[z+(d<<2)>>2]|0;ab=Sz($a|0,(($a|0)<0)<<31>>31|0,f[ab>>2]|0,f[ab+4>>2]|0)|0;f[bb>>2]=ab;f[bb+4>>2]=I;if((d|0)==1?(f[e>>2]|0)==1:0){n=(v-Da|0)/(cb|0)|0;bb=cb;v=Da}else{bb=f[z>>2]|0;n=X((f[B>>2]|0)-(f[ia>>2]|0)|0,bb)|0;n=(n|0)/(f[i>>2]|0)|0;bb=X(f[C>>2]|0,bb)|0}ab=n+1|0;b:do if((Da|0)<=(v|0)){$a=f[w>>2]|0;_a=X($a,f[x>>2]|0)|0;Za=X($a,f[y>>2]|0)|0;Ya=(_a|0)>(Za|0);Xa=f[D>>2]|0;Wa=X(Xa,f[E>>2]|0)|0;Va=X(Xa,f[F>>2]|0)|0;Ua=(Wa|0)>(Va|0);Ta=f[G>>2]|0;Sa=f[H>>2]|0;Ra=X(Sa,f[J>>2]|0)|0;Qa=X(Sa,f[K>>2]|0)|0;Pa=(Ra|0)>(Qa|0);Oa=f[L>>2]|0;Na=f[M>>2]|0;Ma=X(Na,f[N>>2]|0)|0;La=X(Na,f[O>>2]|0)|0;Ka=(Ma|0)>(La|0);Ja=f[P>>2]|0;Ia=f[Q>>2]|0;Ha=X(Ia,f[R>>2]|0)|0;Ga=X(Ia,f[S>>2]|0)|0;Fa=(Ha|0)>(Ga|0);Ea=f[T>>2]|0;Ca=f[U>>2]|0;Ba=X(Ca,f[V>>2]|0)|0;Aa=X(Ca,f[W>>2]|0)|0;za=(Ba|0)>(Aa|0);xa=f[Y>>2]|0;wa=f[Z>>2]|0;va=X(wa,f[_>>2]|0)|0;ta=X(wa,f[$>>2]|0)|0;sa=(va|0)>(ta|0);qa=f[aa>>2]|0;pa=f[ba>>2]|0;oa=X(pa,f[ca>>2]|0)|0;ma=X(pa,f[da>>2]|0)|0;la=(oa|0)>(ma|0);da=f[ea>>2]|0;ba=f[ia>>2]|0;ca=((ba|0)<0)<<31>>31;aa=fa;$=f[aa>>2]|0;aa=f[aa+4>>2]|0;_=ga;Z=f[_>>2]|0;_=f[_+4>>2]|0;Y=ha;W=f[Y>>2]|0;Y=f[Y+4>>2]|0;V=ja;U=f[V>>2]|0;V=f[V+4>>2]|0;T=ka;S=f[T>>2]|0;T=f[T+4>>2]|0;R=na;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ra;O=f[P>>2]|0;P=f[P+4>>2]|0;M=ua;L=f[M>>2]|0;M=f[M+4>>2]|0;N=((ab|0)<0)<<31>>31;K=f[ya>>2]|0;n=0;J=Da;c:while(1){if(!Ya){H=((J|0)<0)<<31>>31;G=_a;do{if(!Ua){E=G-$a|0;E=Sz(E|0,((E|0)<0)<<31>>31|0,L|0,M|0)|0;F=I;D=Wa;do{if(!Pa){d=D-Xa|0;d=Sz(d|0,((d|0)<0)<<31>>31|0,O|0,P|0)|0;h=I;C=Ra;do{if(!Ka){g=C-Sa|0;g=Sz(g|0,((g|0)<0)<<31>>31|0,Q|0,R|0)|0;i=I;B=Ma;do{if(!Fa){A=B-Na|0;A=Sz(A|0,((A|0)<0)<<31>>31|0,S|0,T|0)|0;e=I;z=Ha;do{if(!za){x=z-Ia|0;x=Sz(x|0,((x|0)<0)<<31>>31|0,U|0,V|0)|0;y=I;w=Ba;do{d:do if(!sa){s=w-Ca|0;s=Sz(s|0,((s|0)<0)<<31>>31|0,W|0,Y|0)|0;t=I;if(la){o=va;while(1){o=da+o|0;if((o|0)>(ta|0))break d}}else r=va;do{p=r-wa|0;p=Sz(p|0,((p|0)<0)<<31>>31|0,Z|0,_|0)|0;q=I;if(db){o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,e|0)|0;Da=Ez(Da|0,I|0,g|0,i|0)|0;Da=Ez(Da|0,I|0,d|0,h|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((Qm(a,c,J,H,Da,I,ab,N,bb,1,j,k+n|0,fb,eb,m)|0)>0)break c;if(f[eb>>2]|0)f[l>>2]=1;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}else{o=oa;do{Da=o-pa|0;Da=Sz($|0,aa|0,Da|0,((Da|0)<0)<<31>>31|0)|0;Da=Ez(Da|0,I|0,ba|0,ca|0)|0;Da=Ez(Da|0,I|0,p|0,q|0)|0;Da=Ez(Da|0,I|0,s|0,t|0)|0;Da=Ez(Da|0,I|0,x|0,y|0)|0;Da=Ez(Da|0,I|0,A|0,e|0)|0;Da=Ez(Da|0,I|0,g|0,i|0)|0;Da=Ez(Da|0,I|0,d|0,h|0)|0;Da=Ez(Da|0,I|0,E|0,F|0)|0;if((Qm(a,c,J,H,Da,I,ab,N,bb,1,j,k+n|0,fb,eb,m)|0)>0)break c;n=n+ab|0;o=K+o|0}while((o|0)<=(ma|0))}r=da+r|0}while((r|0)<=(ta|0))}while(0);w=qa+w|0}while((w|0)<=(Aa|0))}z=xa+z|0}while((z|0)<=(Ga|0))}B=Ea+B|0}while((B|0)<=(La|0))}C=Ja+C|0}while((C|0)<=(Qa|0))}D=Oa+D|0}while((D|0)<=(Va|0))}G=Ta+G|0}while((G|0)<=(Za|0))}J=J+cb|0;if((J|0)>(v|0))break b}m=f[m>>2]|0;u=gb;return m|0}while(0);m=f[m>>2]|0;u=gb;return m|0}function _m(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0;n=u;u=u+16|0;l=n+4|0;m=n;if(!(Ek(a,k)|0)){if(!((e|0)==0&(g|0)==0|(f[k>>2]|0)>0))un(a,2,(b|0)>1?b:1,0,c,d,e,g,1,1,h,i,l,j,k)|0}else{f[m>>2]=h;ws(a,30,c,d,e,g,1,m,i,0,j,k)|0}u=n;return f[k>>2]|0}function $m(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0;q=f[p>>2]|0;if((h|0)==0&(i|0)==0|(q|0)>0){p=q;return p|0}un(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p)|0;p=f[p>>2]|0;return p|0}function an(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){if(!((e|0)==0&(g|0)==0|(f[k>>2]|0)>0))un(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0}else ws(a,30,c,d,e,g,2,0,h,i,j,k)|0;return f[k>>2]|0}function bn(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0;Xa=u;u=u+448|0;y=Xa+232|0;n=Xa+224|0;$=Xa+320|0;x=Xa+284|0;A=Xa+248|0;v=Xa+144|0;o=Xa+72|0;q=Xa;m=Xa+244|0;Va=Xa+240|0;Wa=Xa+437|0;w=Xa+356|0;p=Xa+236|0;if((c+-1|0)>>>0>8){f[n>>2]=c;ww(w,80946,n)|0;vj(w);f[l>>2]=320;l=320;u=Xa;return l|0}if(Ek(a,l)|0){b=0;do{Wa=f[e+(b<<2)>>2]|0;Va=o+(b<<3)|0;f[Va>>2]=Wa;f[Va+4>>2]=((Wa|0)<0)<<31>>31;Va=f[g+(b<<2)>>2]|0;Wa=q+(b<<3)|0;f[Wa>>2]=Va;f[Wa+4>>2]=((Va|0)<0)<<31>>31;b=b+1|0}while((b|0)!=(c|0));f[p>>2]=i;ts(a,30,o,q,h,1,p,j,0,k,l)|0;l=f[l>>2]|0;u=Xa;return l|0}if((mk(a,m,l)|0)>0){l=f[l>>2]|0;u=Xa;return l|0}if(!(f[m>>2]|0)){fa=(b|0)==0?1:b;Sa=2;Ta=1;r=fa}else{Sa=b;Ta=f[h+(c<<2)>>2]|0;r=f[g+(c<<2)>>2]|0;fa=f[e+(c<<2)>>2]|0}Ua=(k|0)!=0;if(Ua)f[k>>2]=0;f[$>>2]=1;f[x>>2]=1;f[A>>2]=1;U=v;f[U>>2]=1;f[U+4>>2]=0;U=$+4|0;f[U>>2]=1;V=x+4|0;f[V>>2]=1;X=A+4|0;f[X>>2]=1;Y=v+8|0;R=Y;f[R>>2]=1;f[R+4>>2]=0;R=$+8|0;f[R>>2]=1;S=x+8|0;f[S>>2]=1;W=A+8|0;f[W>>2]=1;Z=v+16|0;O=Z;f[O>>2]=1;f[O+4>>2]=0;O=$+12|0;f[O>>2]=1;P=x+12|0;f[P>>2]=1;T=A+12|0;f[T>>2]=1;_=v+24|0;L=_;f[L>>2]=1;f[L+4>>2]=0;L=$+16|0;f[L>>2]=1;M=x+16|0;f[M>>2]=1;Q=A+16|0;f[Q>>2]=1;aa=v+32|0;H=aa;f[H>>2]=1;f[H+4>>2]=0;H=$+20|0;f[H>>2]=1;J=x+20|0;f[J>>2]=1;N=A+20|0;f[N>>2]=1;ba=v+40|0;E=ba;f[E>>2]=1;f[E+4>>2]=0;E=$+24|0;f[E>>2]=1;F=x+24|0;f[F>>2]=1;K=A+24|0;f[K>>2]=1;ca=v+48|0;z=ca;f[z>>2]=1;f[z+4>>2]=0;z=$+28|0;f[z>>2]=1;C=x+28|0;f[C>>2]=1;G=A+28|0;f[G>>2]=1;da=v+56|0;s=da;f[s>>2]=1;f[s+4>>2]=0;s=$+32|0;f[s>>2]=1;t=x+32|0;f[t>>2]=1;D=A+32|0;f[D>>2]=1;ea=v+64|0;n=ea;f[n>>2]=1;f[n+4>>2]=0;n=1;o=0;p=0;do{b=f[g+(p<<2)>>2]|0;m=f[e+(p<<2)>>2]|0;q=p;p=p+1|0;if((b|0)<(m|0)){B=15;break}f[$+(q<<2)>>2]=m;f[x+(q<<2)>>2]=b;f[A+(q<<2)>>2]=f[h+(q<<2)>>2];Ra=f[d+(q<<2)>>2]|0;n=Sz(Ra|0,((Ra|0)<0)<<31>>31|0,n|0,o|0)|0;o=I;Ra=v+(p<<3)|0;f[Ra>>2]=n;f[Ra+4>>2]=o}while((p|0)<(c|0));if((B|0)==15){f[y>>2]=p;ww(w,80992,y)|0;vj(w);f[l>>2]=321;l=321;u=Xa;return l|0}if((c|0)==1?(f[d>>2]|0)==1:0){b=(r-fa|0)/(Ta|0)|0;Ra=Ta;r=fa}else{b=((f[x>>2]|0)-(f[$>>2]|0)|0)/(f[h>>2]|0)|0;Ra=f[A>>2]|0}Qa=b+1|0;a:do if((fa|0)<=(r|0)){Pa=f[s>>2]|0;Na=f[t>>2]|0;Oa=(Pa|0)>(Na|0);Ma=f[z>>2]|0;Ka=f[C>>2]|0;La=(Ma|0)>(Ka|0);Ja=f[D>>2]|0;Ia=f[E>>2]|0;Ga=f[F>>2]|0;Ha=(Ia|0)>(Ga|0);Fa=f[G>>2]|0;Ea=f[H>>2]|0;Ca=f[J>>2]|0;Da=(Ea|0)>(Ca|0);Ba=f[K>>2]|0;Aa=f[L>>2]|0;ya=f[M>>2]|0;za=(Aa|0)>(ya|0);xa=f[N>>2]|0;wa=f[O>>2]|0;ua=f[P>>2]|0;va=(wa|0)>(ua|0);ta=f[Q>>2]|0;sa=f[R>>2]|0;qa=f[S>>2]|0;ra=(sa|0)>(qa|0);pa=f[T>>2]|0;oa=f[U>>2]|0;ma=f[V>>2]|0;na=(oa|0)>(ma|0);ka=f[W>>2]|0;la=(Qa|0)==0;ja=f[X>>2]|0;ia=((Qa|0)<0)<<31>>31;ga=f[$>>2]|0;ha=((ga|0)<0)<<31>>31;$=Y;Y=f[$>>2]|0;$=f[$+4>>2]|0;X=Z;W=f[X>>2]|0;X=f[X+4>>2]|0;V=_;U=f[V>>2]|0;V=f[V+4>>2]|0;T=aa;S=f[T>>2]|0;T=f[T+4>>2]|0;R=ba;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ca;O=f[P>>2]|0;P=f[P+4>>2]|0;N=da;M=f[N>>2]|0;N=f[N+4>>2]|0;L=ea;K=f[L>>2]|0;L=f[L+4>>2]|0;b=0;J=fa;b:while(1){if(!Oa){H=((J|0)<0)<<31>>31;G=Pa;do{if(!La){E=G+-1|0;E=Sz(K|0,L|0,E|0,((E|0)<0)<<31>>31|0)|0;F=I;D=Ma;do{if(!Ha){B=D+-1|0;B=Sz(M|0,N|0,B|0,((B|0)<0)<<31>>31|0)|0;C=I;g=Ia;do{if(!Da){A=g+-1|0;A=Sz(O|0,P|0,A|0,((A|0)<0)<<31>>31|0)|0;c=I;h=Ea;do{if(!za){z=h+-1|0;z=Sz(Q|0,R|0,z|0,((z|0)<0)<<31>>31|0)|0;e=I;y=Aa;do{if(!va){d=y+-1|0;d=Sz(S|0,T|0,d|0,((d|0)<0)<<31>>31|0)|0;x=I;w=wa;do{if(!ra){t=w+-1|0;t=Sz(U|0,V|0,t|0,((t|0)<0)<<31>>31|0)|0;v=I;o=b;s=sa;while(1){c:do if(na)b=o;else{p=s+-1|0;p=Sz(W|0,X|0,p|0,((p|0)<0)<<31>>31|0)|0;q=I;if(la){n=Ua&(f[Va>>2]|0)!=0;m=oa;while(1){b=f[l>>2]|0;if((b|0)>0){B=63;break b}if(n)f[k>>2]=1;m=ja+m|0;if((m|0)>(ma|0)){b=o;break c}}}if(Ua){m=o;n=oa}else{b=f[l>>2]|0;m=o;n=oa;while(1){if((b|0)>0){B=63;break b}b=n+-1|0;b=Sz(Y|0,$|0,b|0,((b|0)<0)<<31>>31|0)|0;b=Ez(b|0,I|0,ga|0,ha|0)|0;b=Ez(b|0,I|0,p|0,q|0)|0;b=Ez(b|0,I|0,t|0,v|0)|0;b=Ez(b|0,I|0,d|0,x|0)|0;b=Ez(b|0,I|0,z|0,e|0)|0;b=Ez(b|0,I|0,A|0,c|0)|0;b=Ez(b|0,I|0,B|0,C|0)|0;b=Ez(b|0,I|0,E|0,F|0)|0;un(a,Sa,J,H,b,I,Qa,ia,Ra,1,i,j+(m<<2)|0,Wa,Va,l)|0;b=f[l>>2]|0;if((b|0)>0){B=63;break b}m=m+Qa|0;n=ja+n|0;if((n|0)>(ma|0)){b=m;break c}}}while(1){b=f[l>>2]|0;if((b|0)>0){B=63;break b}b=n+-1|0;b=Sz(Y|0,$|0,b|0,((b|0)<0)<<31>>31|0)|0;b=Ez(b|0,I|0,ga|0,ha|0)|0;b=Ez(b|0,I|0,p|0,q|0)|0;b=Ez(b|0,I|0,t|0,v|0)|0;b=Ez(b|0,I|0,d|0,x|0)|0;b=Ez(b|0,I|0,z|0,e|0)|0;b=Ez(b|0,I|0,A|0,c|0)|0;b=Ez(b|0,I|0,B|0,C|0)|0;b=Ez(b|0,I|0,E|0,F|0)|0;un(a,Sa,J,H,b,I,Qa,ia,Ra,1,i,j+(m<<2)|0,Wa,Va,l)|0;b=f[l>>2]|0;if((b|0)>0){B=63;break b}if(f[Va>>2]|0)f[k>>2]=1;b=m+Qa|0;n=ja+n|0;if((n|0)>(ma|0))break;else m=b}}while(0);s=ka+s|0;if((s|0)>(qa|0))break;else o=b}}w=pa+w|0}while((w|0)<=(ua|0))}y=ta+y|0}while((y|0)<=(ya|0))}h=xa+h|0}while((h|0)<=(Ca|0))}g=Ba+g|0}while((g|0)<=(Ga|0))}D=Fa+D|0}while((D|0)<=(Ka|0))}G=Ja+G|0}while((G|0)<=(Na|0))}J=J+Ta|0;if((J|0)>(r|0))break a}if((B|0)==63){u=Xa;return b|0}}while(0);l=f[l>>2]|0;u=Xa;return l|0}function cn(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g){if(q){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{f[m+(o<<2)>>2]=h[a+o>>0];o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)g=0;else{n=f[n>>2]|0;return n|0}do{p=+(h[a+g>>0]|0)*d+e;do if(!(p<-.49))if(p>4294967295.49){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[n>>2]=-11;o=0}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;o=j}else o=o&255;f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else f[m+(g<<2)>>2]=o&255;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}}if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24!=i<<24>>24){p=+(o&255)*d+e;if(p<-.49){f[n>>2]=-11;o=0;break}if(p>4294967295.49){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}}else{f[l>>2]=1;o=j}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else{p=+(o&255)*d+e;if(p<-.49){f[n>>2]=-11;f[m+(g<<2)>>2]=0;break}if(p>4294967295.49){f[n>>2]=-11;o=-1}else o=~~p>>>0;f[m+(g<<2)>>2]=o}while(0);g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}
function Ec(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=+e;f=+f;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0,s=0,t=0;t=u;u=u+1664|0;l=t+864|0;m=t+64|0;r=t+32|0;s=t;h=Fc(4,a,b,120984,121784,c,1)|0;if((((h|0)>0?(i=Fc(h,120984,121784,122584,123384,d,0)|0,(i|0)>0):0)?(j=Fc(i,123384,122584,121784,120984,e,1)|0,(j|0)>0):0)?(k=Fc(j,121784,120984,m,l,f,0)|0,(k|0)>=3):0){d=0.0;h=0;do{r=h;h=h+1|0;s=(h|0)==(k|0);b=s?0:h;d=d+(+p[l+(r<<3)>>3]*+p[m+(b<<3)>>3]-+p[l+(b<<3)>>3]*+p[m+(r<<3)>>3])}while(!s);g=+K(+d)*.5*g;u=t;return +g}p[r>>3]=c;p[s>>3]=e;p[r+8>>3]=d;p[s+8>>3]=e;p[r+16>>3]=d;p[s+16>>3]=f;p[r+24>>3]=c;p[s+24>>3]=f;c=+p[a>>3];f=+p[b>>3];h=0;i=0;a:do{while(1){j=i;i=i+1|0;a=(i|0)%4|0;d=+p[s+(j<<3)>>3];if(d<=f?(n=+p[s+(a<<3)>>3],n>f):0){q=n;b=12}else b=9;if(((b|0)==9?(b=0,d>f):0)?(o=+p[s+(a<<3)>>3],o<=f):0){q=o;b=12}if((b|0)==12?(0,e=+p[r+(j<<3)>>3],e+(f-d)/(q-d)*(+p[r+(a<<3)>>3]-e)>c):0)break;if((i|0)>=4)break a}h=h+1|0}while((i|0)<4);g=(h&1|0)==0?0.0:g;u=t;return +g}function Fc(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=+f;g=g|0;var h=0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0,o=0,q=0,r=0,s=0,t=0.0;h=a+-1|0;s=b+(h<<3)|0;m=+p[s>>3];g=(g|0)==0;i=(g?m<=f:m>=f)&1;if((a|0)<=0){c=0;return c|0}r=c+(h<<3)|0;if(g){o=0;g=0;do{h=b+(o<<3)|0;m=+p[h>>3];l=m<=f;do if(!i)if(l){if(!o){k=+p[r>>3];j=k;i=s;n=c;k=+p[c>>3]-k}else{i=o+-1|0;k=+p[c+(i<<3)>>3];q=c+(o<<3)|0;j=k;i=b+(i<<3)|0;n=q;k=+p[q>>3]-k}t=+p[i>>3];p[d+(g<<3)>>3]=f;p[e+(g<<3)>>3]=j+k*(f-t)/(m-t);q=g+1|0;p[d+(q<<3)>>3]=+p[h>>3];l=2;i=1;h=q;j=+p[n>>3];q=15}else i=0;else{if(l){p[d+(g<<3)>>3]=m;l=1;h=g;j=+p[c+(o<<3)>>3];q=15;break}if(!o){j=+p[r>>3];k=j;h=b;i=s;j=+p[c>>3]-j}else{i=o+-1|0;j=+p[c+(i<<3)>>3];k=j;i=b+(i<<3)|0;j=+p[c+(o<<3)>>3]-j}t=+p[i>>3];j=k+j*(f-t)/(+p[h>>3]-t);p[d+(g<<3)>>3]=f;l=1;i=0;h=g;q=15}while(0);if((q|0)==15){q=0;p[e+(h<<3)>>3]=j;g=l+g|0}o=o+1|0}while((o|0)!=(a|0));return g|0}else{o=0;g=0;do{n=b+(o<<3)|0;j=+p[n>>3];h=j>=f;do if(!i)if(h){if(!o){k=+p[r>>3];j=k;h=s;l=c;k=+p[c>>3]-k}else{h=o+-1|0;k=+p[c+(h<<3)>>3];q=c+(o<<3)|0;j=k;h=b+(h<<3)|0;l=q;k=+p[q>>3]-k}t=+p[h>>3];j=j+k*(f-t)/(+p[n>>3]-t);p[d+(g<<3)>>3]=f;p[e+(g<<3)>>3]=j;h=g+1|0;p[d+(h<<3)>>3]=+p[n>>3];n=2;i=1;j=+p[l>>3];q=29}else i=0;else{if(h){p[d+(g<<3)>>3]=j;n=1;h=g;j=+p[c+(o<<3)>>3];q=29;break}if(!o){k=+p[r>>3];m=k;j=+p[b>>3];h=s;k=+p[c>>3]-k}else{h=o+-1|0;k=+p[c+(h<<3)>>3];m=k;h=b+(h<<3)|0;k=+p[c+(o<<3)>>3]-k}t=+p[h>>3];p[d+(g<<3)>>3]=f;n=1;i=0;h=g;j=m+k*(f-t)/(j-t);q=29}while(0);if((q|0)==29){q=0;p[e+(h<<3)>>3]=j;g=n+g|0}o=o+1|0}while((o|0)!=(a|0));return g|0}return 0}function Gc(a){a=a|0;var b=0,c=0,d=0,e=0;d=u;u=u+16|0;c=d;e=d+4|0;b=kw(a,e,0)|0;e=(f[e>>2]|0)-a|0;if((e|0)<(Bx(a)|0)){e=f[53218]|0;f[c>>2]=a;zy(e,43446,c)|0;Ib(1)}if((b|0)<0){Vx(43512,66,1,f[53218]|0)|0;Ib(1)}else{u=d;return b|0}return 0}function Hc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0;la=u;u=u+2736|0;ka=la+344|0;ja=la+336|0;ia=la+328|0;ha=la+320|0;ga=la+312|0;fa=la+304|0;ea=la+296|0;da=la+288|0;ca=la+280|0;B=la+272|0;aa=la+264|0;$=la+256|0;_=la+248|0;Z=la+240|0;Y=la+232|0;X=la+224|0;W=la+216|0;V=la+208|0;U=la+200|0;T=la+192|0;S=la+184|0;R=la+176|0;Q=la+168|0;P=la+160|0;O=la+152|0;N=la+144|0;M=la+136|0;L=la+128|0;K=la+120|0;J=la+112|0;I=la+104|0;H=la+96|0;G=la+88|0;F=la+80|0;E=la+72|0;D=la+64|0;C=la+56|0;p=la+48|0;o=la+40|0;n=la+32|0;w=la+24|0;m=la+16|0;l=la+8|0;j=la;t=la+360|0;k=la+356|0;y=la+352|0;r=la+2656|0;s=la+2576|0;q=la+2496|0;v=la+2416|0;A=la+1392|0;z=la+368|0;x=la+348|0;f[y>>2]=0;g=f[53788]|0;if(!g){g=Lv(8e4)|0;f[53788]=g;f[53789]=8e4}f[53764]=0;f[53765]=0;f[53766]=0;f[53767]=0;f[53768]=0;f[53769]=0;f[53770]=0;f[53771]=0;f[53772]=0;f[53773]=0;f[53774]=0;f[53775]=0;f[53776]=0;f[53777]=0;f[53778]=0;f[53779]=0;f[53780]=0;f[53781]=0;f[53782]=0;f[53783]=0;f[53784]=0;f[53785]=0;f[53786]=0;f[53763]=0;h=f[53761]|0;do if(h){h=ey(h,43579)|0;f[53741]=h;if(!h){h=f[53218]|0;f[j>>2]=f[53761];zy(h,43582,j)|0;ly(f[53218]|0)|0;Ib(1)}else{i=f[53788]|0;break}}else i=g;while(0);b[i>>0]=0;j=(ah(5,x,a,0,y)|0)==0;g=(f[53762]|0)!=0;if(j){if(g){oz(43640)|0;ly(f[5096]|0)|0}if((c|0)==1){z=f[53218]|0;f[l>>2]=a;zy(z,43651,l)|0;ly(f[53218]|0)|0;Ib(1)}if((d|0)>0?Hj(f[x>>2]|0,d+1|0,0,y)|0:0)Ic(f[y>>2]|0)|0;if(En(f[x>>2]|0,t,k,y)|0)Ic(f[y>>2]|0)|0;g=f[t>>2]|0;if((g|0)>1e3){z=Ov(f[53788]|0,(g*80|0)+1024|0)|0;f[53788]=z}if(f[53762]|0){f[m>>2]=f[t>>2];mz(43732,m)|0;ly(f[5096]|0)|0}a:do if((f[t>>2]|0)>=1){d=s+1|0;k=1;while(1){if(Xn(f[x>>2]|0,k,r,s,q,y)|0)break;if((b[s>>0]|0)==39){Jx(v,d)|0;g=v+((Bx(v)|0)+-1)|0;if((b[g>>0]|0)==39)b[g>>0]=0}else Jx(v,s)|0;Jc(r,v)|0;f[w>>2]=r;f[w+4>>2]=s;ww(A,43744,w)|0;if(vw(A,101682,7)|0){g=f[53788]|0;h=Bx(g)|0;i=Bx(A)|0;if((i|0)>0){j=0;do{b[g+(j+h)>>0]=b[A+j>>0]|0;j=j+1|0}while((j|0)!=(i|0));if((i|0)<80)ba=33}else ba=33;if((ba|0)==33){ba=0;Fz(g+(i+h)|0,32,80-i|0)|0}b[g+(h+80)>>0]=0}if((k|0)<(f[t>>2]|0))k=k+1|0;else break a}Ic(f[y>>2]|0)|0}while(0);g=f[53788]|0;h=Bx(g)|0;b[g+h>>0]=69;b[g+(h+1)>>0]=78;b[g+(h+2)>>0]=68;i=g+(h+3)|0;j=i+77|0;do{b[i>>0]=32;i=i+1|0}while((i|0)<(j|0));b[g+(h+80)>>0]=0;if(Fg(f[x>>2]|0,y)|0)Ic(f[y>>2]|0)|0}else{if(g){oz(43755)|0;ly(f[5096]|0)|0}k=ey(a,96427)|0;g=(k|0)==0;if(!c)if(g){y=f[53218]|0;f[n>>2]=a;zy(y,43770,n)|0;ly(f[53218]|0)|0;Ib(1)}else{ky(k)|0;y=f[53218]|0;f[o>>2]=a;zy(y,43819,o)|0;ly(f[53218]|0)|0;Ib(1)}if(g){y=f[53218]|0;f[p>>2]=a;zy(y,43770,p)|0;ly(f[53218]|0)|0;Ib(1)}b:do if(ny(A,1024,k)|0){while(1){g=A+((Bx(A)|0)+-1)|0;if((b[g>>0]|0)==10)b[g>>0]=0;g=A+((Bx(A)|0)+-1)|0;if((b[g>>0]|0)==13)b[g>>0]=0;Jx(z,A)|0;if((Bx(A)|0)>80)break;j=z+(Bx(z)|0)|0;d=z;while(1){g=b[d>>0]|0;if(d>>>0<j>>>0&g<<24>>24==32)d=d+1|0;else{h=d;break}}c:while(1){switch(g<<24>>24){case 61:case 32:{i=h;break c}default:{}}if(h>>>0>=j>>>0){i=h;break}y=h+1|0;g=b[y>>0]|0;h=y}d:while(1){switch(g<<24>>24){case 39:case 32:case 61:break;default:break d}if(i>>>0>=j>>>0)break;y=i+1|0;g=b[y>>0]|0;i=y}b[h>>0]=0;g=(b[i>>0]|0)==39?i+1|0:i;e:while(1){switch(b[g>>0]|0){case 39:case 32:break e;default:{}}if(g>>>0>=j>>>0)break;g=g+1|0}b[g>>0]=0;Jc(d,i)|0;j=f[53788]|0;g=Bx(j)|0;h=Bx(A)|0;if((h|0)>0){i=0;do{b[j+(i+g)>>0]=b[A+i>>0]|0;i=i+1|0}while((i|0)!=(h|0));if((h|0)<80)ba=68}else ba=68;if((ba|0)==68){ba=0;Fz(j+(h+g)|0,32,80-h|0)|0}b[j+(g+80)>>0]=0;x=(Bx(j)|0)+160|0;y=f[53789]|0;g=y+8e4|0;if((x|0)>(y|0)){f[53789]=g;y=Ov(j,g)|0;f[53788]=y}if(!(ny(A,1024,k)|0))break b}Vx(43879,85,1,f[53218]|0)|0;ly(f[53218]|0)|0;Ib(1)}while(0);ky(k)|0}do if(!(f[53766]|0))if(!(f[53761]|0)){D=f[53218]|0;f[C>>2]=43998;zy(D,43965,C)|0;ly(f[53218]|0)|0;Ib(1)}else{C=f[53741]|0;f[D>>2]=43998;zy(C,103825,D)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53767]|0))if(!(f[53761]|0)){F=f[53218]|0;f[E>>2]=44031;zy(F,43965,E)|0;ly(f[53218]|0)|0;Ib(1)}else{E=f[53741]|0;f[F>>2]=44031;zy(E,103825,F)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53768]|0))if(!(f[53761]|0)){H=f[53218]|0;f[G>>2]=44063;zy(H,43965,G)|0;ly(f[53218]|0)|0;Ib(1)}else{G=f[53741]|0;f[H>>2]=44063;zy(G,103825,H)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53769]|0))if(!(f[53761]|0)){J=f[53218]|0;f[I>>2]=44096;zy(J,43965,I)|0;ly(f[53218]|0)|0;Ib(1)}else{I=f[53741]|0;f[J>>2]=44096;zy(I,103825,J)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);if(f[53764]|0){Mv(f[53788]|0);f[53789]=0;f[53788]=0;u=la;return 0}do if(!(f[53770]|0))if(!(f[53761]|0)){L=f[53218]|0;f[K>>2]=44129;zy(L,43965,K)|0;ly(f[53218]|0)|0;Ib(1)}else{K=f[53741]|0;f[L>>2]=44129;zy(K,103825,L)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53771]|0))if(!(f[53761]|0)){N=f[53218]|0;f[M>>2]=44162;zy(N,43965,M)|0;ly(f[53218]|0)|0;Ib(1)}else{M=f[53741]|0;f[N>>2]=44162;zy(M,103825,N)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53772]|0))if(!(f[53761]|0)){P=f[53218]|0;f[O>>2]=44195;zy(P,43965,O)|0;ly(f[53218]|0)|0;Ib(1)}else{O=f[53741]|0;f[P>>2]=44195;zy(O,103825,P)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53773]|0))if(!(f[53761]|0)){R=f[53218]|0;f[Q>>2]=44228;zy(R,43965,Q)|0;ly(f[53218]|0)|0;Ib(1)}else{Q=f[53741]|0;f[R>>2]=44228;zy(Q,103825,R)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53780]|0))if(!(f[53761]|0)){T=f[53218]|0;f[S>>2]=44261;zy(T,43965,S)|0;ly(f[53218]|0)|0;Ib(1)}else{S=f[53741]|0;f[T>>2]=44261;zy(S,103825,T)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53781]|0))if(!(f[53761]|0)){V=f[53218]|0;f[U>>2]=44294;zy(V,43965,U)|0;ly(f[53218]|0)|0;Ib(1)}else{U=f[53741]|0;f[V>>2]=44294;zy(U,103825,V)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(!(f[53777]|f[53776]|f[53778]|f[53779])){if(!(f[53774]|0))if(!(f[53761]|0)){X=f[53218]|0;f[W>>2]=44327;zy(X,43965,W)|0;ly(f[53218]|0)|0;Ib(1)}else{Z=f[53741]|0;f[X>>2]=44327;zy(Z,103825,X)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}if(!(f[53775]|0))if(!(f[53761]|0)){Z=f[53218]|0;f[Y>>2]=44386;zy(Z,43965,Y)|0;ly(f[53218]|0)|0;Ib(1)}else{Y=f[53741]|0;f[Z>>2]=44386;zy(Y,103825,Z)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}}while(0);do if((Bx(2887696)|0)>>>0<8)if(!(f[53761]|0)){$=f[53218]|0;f[_>>2]=44445;zy($,43965,_)|0;ly(f[53218]|0)|0;Ib(1)}else{_=f[53741]|0;f[$>>2]=44445;zy(_,103825,$)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if((Bx(2888720)|0)>>>0<8)if(!(f[53761]|0)){$=f[53218]|0;f[aa>>2]=44482;zy($,43965,aa)|0;ly(f[53218]|0)|0;Ib(1)}else{e=f[53741]|0;f[B>>2]=44482;zy(e,103825,B)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;e=2887696;break}else e=2887696;while(0);f:while(1){g=b[e>>0]|0;switch(g<<24>>24){case 45:{ba=135;break f}case 0:break f;default:{}}e=e+1|0}if((ba|0)==135)while(1){ba=0;e=e+1|0;g=b[e>>0]|0;if(g<<24>>24==45)ba=135;else break}i=2888720;g:while(1){h=b[i>>0]|0;switch(h<<24>>24){case 45:{h=i;ba=138;break g}case 0:break g;default:{}}i=i+1|0}if((ba|0)==138)while(1){i=h+1|0;h=b[i>>0]|0;if(h<<24>>24==45){h=i;ba=138}else break}do if(h<<24>>24==0|g<<24>>24==0)if(!(f[53761]|0)){da=f[53218]|0;f[ca>>2]=44519;zy(da,43965,ca)|0;ly(f[53218]|0)|0;Ib(1)}else{ca=f[53741]|0;f[da>>2]=44519;zy(ca,103825,da)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(tw(e,i)|0)if(!(f[53761]|0)){fa=f[53218]|0;f[ea>>2]=44567;zy(fa,43965,ea)|0;ly(f[53218]|0)|0;Ib(1)}else{ea=f[53741]|0;f[fa>>2]=44567;zy(ea,103825,fa)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);do if(f[53787]|0){do if((Bx(e)|0)!=3)if(!(f[53761]|0)){ha=f[53218]|0;f[ga>>2]=44614;zy(ha,43965,ga)|0;ly(f[53218]|0)|0;Ib(1)}else{ga=f[53741]|0;f[ha>>2]=44614;zy(ga,103825,ha)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);if((Bx(i)|0)==3)break;if(!(f[53761]|0)){ja=f[53218]|0;f[ia>>2]=44652;zy(ja,43965,ia)|0;ly(f[53218]|0)|0;Ib(1)}else{ia=f[53741]|0;f[ja>>2]=44652;zy(ia,103825,ja)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}}while(0);e=ld(f[53788]|0)|0;f[53790]=e;Kc(e,0)|0;e=f[53763]|0;if((e|0)>0){la=f[53218]|0;f[ka>>2]=e;zy(la,44690,ka)|0;ly(f[53218]|0)|0;Ib(1)}else{u=la;return 0}return 0}function Ic(a){a=a|0;var b=0,c=0,d=0;d=u;u=u+48|0;b=d;d=d+8|0;uj(a,d);c=f[53218]|0;f[b>>2]=a;f[b+4>>2]=d;zy(c,45867,b)|0;Ib(1);return 0}function Jc(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;da=u;u=u+416|0;P=da+400|0;O=da+392|0;t=da+384|0;s=da+376|0;r=da+368|0;q=da+360|0;p=da+352|0;o=da+344|0;n=da+336|0;m=da+328|0;l=da+320|0;k=da+312|0;j=da+304|0;i=da+296|0;h=da+288|0;g=da+280|0;e=da+272|0;L=da+264|0;K=da+256|0;J=da+248|0;I=da+240|0;H=da+232|0;G=da+224|0;F=da+216|0;E=da+208|0;D=da+200|0;C=da+192|0;B=da+184|0;A=da+176|0;z=da+168|0;y=da+160|0;x=da+152|0;aa=da+144|0;$=da+136|0;_=da+128|0;Z=da+120|0;Y=da+112|0;X=da+104|0;W=da+96|0;V=da+88|0;U=da+80|0;T=da+72|0;S=da+64|0;R=da+56|0;Q=da+48|0;N=da+40|0;M=da+32|0;ba=da+24|0;w=da+16|0;v=da+8|0;d=da;ca=da+404|0;if(f[53762]|0){f[d>>2]=a;f[d+4>>2]=b;mz(44730,d)|0;ly(f[5096]|0)|0}if(!(tw(a,98861)|0)){f[53765]=1;if(!(tw(b,86491)|0)){u=da;return 0}if(!(tw(b,86493)|0)){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[v>>2]=44755;zy(b,43965,v)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[w>>2]=44755;zy(b,103825,w)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,98813)|0)){f[53766]=1;a=kw(b,ca,0)|0;ca=f[ca>>2]|0;do if(ca>>>0<(b+(Bx(b)|0)|0)>>>0)if(!(f[53761]|0)){b=f[53218]|0;f[ba>>2]=44785;zy(b,43965,ba)|0;ly(f[53218]|0)|0;Ib(1)}else{b=f[53741]|0;f[M>>2]=44785;zy(b,103825,M)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);switch(a|0){case 8:case 16:case 32:case 64:case -64:case -32:{u=da;return 0}default:{}}if(!(f[53761]|0)){b=f[53218]|0;f[N>>2]=44830;zy(b,43965,N)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[Q>>2]=44830;zy(b,103825,Q)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,98894)|0)){f[53767]=1;a=kw(b,ca,0)|0;ca=f[ca>>2]|0;do if(ca>>>0<(b+(Bx(b)|0)|0)>>>0)if(!(f[53761]|0)){b=f[53218]|0;f[R>>2]=44892;zy(b,43965,R)|0;ly(f[53218]|0)|0;Ib(1)}else{b=f[53741]|0;f[S>>2]=44892;zy(b,103825,S)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);if((a|0)>=2){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[T>>2]=44936;zy(b,43965,T)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[U>>2]=44936;zy(b,103825,U)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,92199)|0)){f[53768]=1;a=kw(b,ca,0)|0;ca=f[ca>>2]|0;do if(ca>>>0<(b+(Bx(b)|0)|0)>>>0)if(!(f[53761]|0)){b=f[53218]|0;f[V>>2]=44978;zy(b,43965,V)|0;ly(f[53218]|0)|0;Ib(1)}else{b=f[53741]|0;f[W>>2]=44978;zy(b,103825,W)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);if((a|0)>=0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[X>>2]=45023;zy(b,43965,X)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[Y>>2]=45023;zy(b,103825,Y)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,106765)|0)){f[53769]=1;a=kw(b,ca,0)|0;ca=f[ca>>2]|0;do if(ca>>>0<(b+(Bx(b)|0)|0)>>>0)if(!(f[53761]|0)){b=f[53218]|0;f[Z>>2]=45065;zy(b,43965,Z)|0;ly(f[53218]|0)|0;Ib(1)}else{b=f[53741]|0;f[_>>2]=45065;zy(b,103825,_)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;break}while(0);if((a|0)>=0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[$>>2]=45110;zy(b,43965,$)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[aa>>2]=45110;zy(b,103825,aa)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,48339)|0)){f[53764]=1;u=da;return 0}if(!(tw(a,97364)|0)){f[53770]=1;Jx(2887696,b)|0;u=da;return 0}if(!(tw(a,48005)|0)){f[53771]=1;Jx(2888720,b)|0;u=da;return 0}if(!(tw(a,97281)|0)){f[53772]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[x>>2]=45152;zy(b,43965,x)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[y>>2]=45152;zy(b,103825,y)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97288)|0)){f[53773]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[z>>2]=45200;zy(b,43965,z)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[A>>2]=45200;zy(b,103825,A)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97267)|0)){f[53780]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[B>>2]=45248;zy(b,43965,B)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[C>>2]=45248;zy(b,103825,C)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97274)|0)){f[53781]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[D>>2]=45296;zy(b,43965,D)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[E>>2]=45296;zy(b,103825,E)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97295)|0)){f[53774]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[F>>2]=45344;zy(b,43965,F)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[G>>2]=45344;zy(b,103825,G)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97326)|0)){f[53775]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[H>>2]=45392;zy(b,43965,H)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[I>>2]=45392;zy(b,103825,I)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97333)|0)){+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[J>>2]=45440;zy(b,43965,J)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[K>>2]=45440;zy(b,103825,K)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97302)|0)){f[53776]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[L>>2]=45488;zy(b,43965,L)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[e>>2]=45488;zy(b,103825,e)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97314)|0)){f[53777]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[g>>2]=45535;zy(b,43965,g)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[h>>2]=45535;zy(b,103825,h)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97308)|0)){f[53778]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[i>>2]=45535;zy(b,43965,i)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[j>>2]=45535;zy(b,103825,j)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,97320)|0)){f[53779]=1;+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[k>>2]=45582;zy(b,43965,k)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[l>>2]=45582;zy(b,103825,l)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,98828)|0)){+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[m>>2]=45629;zy(b,43965,m)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[n>>2]=45629;zy(b,103825,n)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,98835)|0)){+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[o>>2]=45677;zy(b,43965,o)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[p>>2]=45677;zy(b,103825,p)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,98841)|0)){+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[q>>2]=45724;zy(b,43965,q)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[r>>2]=45724;zy(b,103825,r)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(!(tw(a,76564)|0)){+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[s>>2]=45771;zy(b,43965,s)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[t>>2]=45771;zy(b,103825,t)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}if(tw(a,48393)|0){u=da;return 0}c=+sz(b,ca);ca=f[ca>>2]|0;if(ca>>>0>=(b+(Bx(b)|0)|0)>>>0){u=da;return 0}if(!(c<1900.0|c>2050.0)){u=da;return 0}if(!(f[53761]|0)){b=f[53218]|0;f[O>>2]=45818;zy(b,43965,O)|0;ly(f[53218]|0)|0;Ib(1)}b=f[53741]|0;f[P>>2]=45818;zy(b,103825,P)|0;ly(f[53741]|0)|0;f[53763]=(f[53763]|0)+1;u=da;return 0}function Kc(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0;ca=u;u=u+672|0;Q=ca+664|0;P=ca+656|0;O=ca+640|0;N=ca+624|0;M=ca+608|0;L=ca+592|0;K=ca+576|0;J=ca+560|0;I=ca+544|0;H=ca+528|0;G=ca+512|0;F=ca+496|0;E=ca+480|0;D=ca+464|0;C=ca+448|0;B=ca+432|0;A=ca+416|0;z=ca+400|0;y=ca+384|0;x=ca+368|0;w=ca+352|0;ba=ca+336|0;aa=ca+320|0;$=ca+304|0;_=ca+288|0;Z=ca+272|0;Y=ca+256|0;X=ca+240|0;W=ca+232|0;V=ca+224|0;U=ca+216|0;T=ca+208|0;S=ca+200|0;R=ca+184|0;v=ca+168|0;t=ca+152|0;s=ca+136|0;r=ca+120|0;q=ca+112|0;o=ca+104|0;n=ca+88|0;m=ca+80|0;l=ca+72|0;k=ca+56|0;j=ca+48|0;g=ca+40|0;e=ca+32|0;i=ca+24|0;h=ca+16|0;d=ca+8|0;c=ca;if(!a)if(!b){Vx(45911,69,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}if(!(f[53791]|0))c=a+3316|0;else{f[c>>2]=f[a+3260>>2];mz(45981,c)|0;f[d>>2]=a+3467;mz(45998,d)|0;p[h>>3]=+p[a+136>>3];mz(46017,h)|0;p[i>>3]=+p[a+144>>3];mz(46035,i)|0;f[e>>2]=a+3449;mz(46053,e)|0;f[g>>2]=a+3458;mz(46072,g)|0;c=a+3316|0;f[j>>2]=f[c>>2];mz(46091,j)|0;if((f[c>>2]|0)>0){d=0;do{da=+p[a+688+(d<<3)>>3];f[k>>2]=d;p[k+8>>3]=da;mz(46108,k)|0;d=d+1|0}while((d|0)<(f[c>>2]|0))}p[l>>3]=+p[a>>3];mz(46127,l)|0;p[m>>3]=+p[a+8>>3];mz(46145,m)|0;if((f[c>>2]|0)>0){d=0;do{da=+p[a+616+(d<<3)>>3];f[n>>2]=d;p[n+8>>3]=da;mz(46163,n)|0;d=d+1|0}while((d|0)<(f[c>>2]|0))}p[o>>3]=+p[a+16>>3];mz(46182,o)|0;p[q>>3]=+p[a+24>>3];mz(46200,q)|0;if(!(f[a+3300>>2]|0)){if((f[c>>2]|0)>0){d=0;do{da=+p[a+760+(d<<3)>>3];f[R>>2]=d;p[R+8>>3]=da;mz(46237,R)|0;d=d+1|0}while((d|0)<(f[c>>2]|0))}}else{da=+p[a+56>>3];f[r>>2]=0;p[r+8>>3]=da;mz(46218,r)|0;da=+p[a+64>>3];f[s>>2]=1;p[s+8>>3]=da;mz(46218,s)|0;da=+p[a+72>>3];f[t>>2]=2;p[t+8>>3]=da;mz(46218,t)|0;da=+p[a+80>>3];f[v>>2]=3;p[v+8>>3]=da;mz(46218,v)|0}p[S>>3]=+p[a+32>>3];mz(46256,S)|0;p[T>>3]=+p[a+40>>3];mz(46274,T)|0;p[U>>3]=+p[a+48>>3];mz(46292,U)|0;p[V>>3]=+p[a+120>>3];mz(46310,V)|0;p[W>>3]=+p[a+128>>3];mz(46328,W)|0;da=+p[a+832>>3];f[X>>2]=0;p[X+8>>3]=da;mz(46346,X)|0;da=+p[a+840>>3];f[Y>>2]=1;p[Y+8>>3]=da;mz(46346,Y)|0;da=+p[a+848>>3];f[Z>>2]=2;p[Z+8>>3]=da;mz(46346,Z)|0;da=+p[a+856>>3];f[_>>2]=3;p[_+8>>3]=da;mz(46346,_)|0;da=+p[a+864>>3];f[$>>2]=4;p[$+8>>3]=da;mz(46346,$)|0;da=+p[a+872>>3];f[aa>>2]=5;p[aa+8>>3]=da;mz(46346,aa)|0;da=+p[a+880>>3];f[ba>>2]=6;p[ba+8>>3]=da;mz(46346,ba)|0;da=+p[a+888>>3];f[w>>2]=7;p[w+8>>3]=da;mz(46346,w)|0;da=+p[a+896>>3];f[x>>2]=8;p[x+8>>3]=da;mz(46346,x)|0;da=+p[a+904>>3];f[y>>2]=9;p[y+8>>3]=da;mz(46346,y)|0;da=+p[a+912>>3];f[z>>2]=10;p[z+8>>3]=da;mz(46346,z)|0;da=+p[a+920>>3];f[A>>2]=11;p[A+8>>3]=da;mz(46346,A)|0;da=+p[a+928>>3];f[B>>2]=12;p[B+8>>3]=da;mz(46346,B)|0;da=+p[a+936>>3];f[C>>2]=13;p[C+8>>3]=da;mz(46346,C)|0;da=+p[a+944>>3];f[D>>2]=14;p[D+8>>3]=da;mz(46346,D)|0;da=+p[a+952>>3];f[E>>2]=15;p[E+8>>3]=da;mz(46346,E)|0;da=+p[a+1480>>3];f[F>>2]=0;p[F+8>>3]=da;mz(46365,F)|0;da=+p[a+1488>>3];f[G>>2]=1;p[G+8>>3]=da;mz(46365,G)|0;da=+p[a+1496>>3];f[H>>2]=2;p[H+8>>3]=da;mz(46365,H)|0;da=+p[a+1504>>3];f[I>>2]=3;p[I+8>>3]=da;mz(46365,I)|0;da=+p[a+1512>>3];f[J>>2]=4;p[J+8>>3]=da;mz(46365,J)|0;da=+p[a+1520>>3];f[K>>2]=5;p[K+8>>3]=da;mz(46365,K)|0;da=+p[a+1528>>3];f[L>>2]=6;p[L+8>>3]=da;mz(46365,L)|0;da=+p[a+1536>>3];f[M>>2]=7;p[M+8>>3]=da;mz(46365,M)|0;da=+p[a+1544>>3];f[N>>2]=8;p[N+8>>3]=da;mz(46365,N)|0;da=+p[a+1552>>3];f[O>>2]=9;p[O+8>>3]=da;mz(46365,O)|0;p[P>>3]=+p[a+3176>>3];mz(46384,P)|0;p[Q>>3]=+p[a+3184>>3];mz(46402,Q)|0}if((f[c>>2]|0)<2)if(!b){Vx(46420,63,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}if((f[a+3260>>2]|0)<1)if(!b){Vx(46484,48,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}if(+p[a+136>>3]<=0.0)if(!b){Vx(46533,44,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}if(+p[a+144>>3]<=0.0)if(!b){Vx(46578,44,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}c=a+3449|0;do if(!(tw(c,51026)|0)){if(tw(a+3458|0,48931)|0)if(!b){Vx(46623,59,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}else{if(!(tw(c,48931)|0)){if(!(tw(a+3458|0,51026)|0))break;if(!b){Vx(46623,59,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}if(!(tw(c,46683)|0)){if(!(tw(a+3458|0,46688)|0))break;if(!b){Vx(46623,59,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}if(!(tw(c,46688)|0)){if(!(tw(a+3458|0,46683)|0))break;if(!b){Vx(46623,59,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}if(!(tw(c,46693)|0)){if(!(tw(a+3458|0,46698)|0))break;if(!b){Vx(46623,59,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}if(tw(c,46698)|0)if(!b){Vx(46703,44,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}if(tw(a+3458|0,46693)|0)if(!b){Vx(46623,59,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}while(0);if(!(f[a+3300>>2]|0)){if(+p[a+32>>3]==0.0)if(!b){Vx(46796,44,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}if(!(+p[a+40>>3]==0.0)){a=0;u=ca;return a|0}if(!b){Vx(46841,44,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}else{if(!(+p[a+56>>3]==0.0?+p[a+64>>3]==0.0:0)){if(!(+p[a+72>>3]==0.0)){a=0;u=ca;return a|0}if(!(+p[a+80>>3]==0.0)){a=0;u=ca;return a|0}}if(!b){Vx(46748,47,1,f[53218]|0)|0;Ib(1)}else{a=1;u=ca;return a|0}}return 0}function Lc(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0,k=0,l=0.0,m=0.0;k=u;u=u+3264|0;j=k;p[c>>3]=0.0;p[d>>3]=0.0;if((f[e+6672>>2]|0)!=1){e=-1;u=k;return e|0}if((f[e+6664>>2]|0)>0){Lz(j|0,e+136|0,3264)|0;Qc(a,b,j,c,d);a=+p[c>>3];b=+p[d>>3]}h=a-+p[e+8>>3];a=b-+p[e+16>>3];if(!(f[e+6676>>2]|0)){i=h*+p[e+88>>3];l=+p[e+40>>3];h=a*+p[e+96>>3];a=+p[e+48>>3];b=i*l+h*a;a=l*h-i*a}else{b=h*+p[e+6680>>3]+a*+p[e+6688>>3];a=h*+p[e+6696>>3]+a*+p[e+6704>>3]}h=b*.0174532925199433;do if(tw(e,51219)|0){if(!(tw(e,51227)|0)){b=h*h+a*a*.0174532925199433*.0174532925199433;if(b>1.0){e=2;u=k;return e|0}if(b<1.0)b=+L(+(1.0-b));else b=0.0;h=h/b;a=a/b;break}if(!(tw(e,51239)|0)){b=(h*h+a*a*.0174532925199433*.0174532925199433)*.25;if(b>.5){e=2;u=k;return e|0}else{l=+L(+(1.0-b))*.5/(1.0-b*2.0);h=h*l;a=a*l;break}}if(!(tw(e,51223)|0)){b=(h*h+a*a*.0174532925199433*.0174532925199433)*.25;if(!(b>=1.0)){l=1.0-b;h=h*l;a=a*l;break}else{e=2;u=k;return e|0}}if(tw(e,51231)|0){if(!(+p[e+72>>3]-h*+p[e+80>>3]<=0.0))break;else g=2;u=k;return g|0}b=a*a+h*h/3.0461741978670873e-04;if(!(b<=0.0)){l=+L(+b);l=+P(+l)/l;h=h*l;a=a*l;break}else{e=2;u=k;return e|0}}while(0);l=+p[e+72>>3];m=+p[e+80>>3];b=l-h*m;i=a/b;b=(m+h*l)/b/.0174532925199433;g=e+4|0;do if(tw(g,51219)|0){if(!(tw(g,51227)|0)){a=1.0/+L(+((i*i+b*b)*.0174532925199433*.0174532925199433+1.0));b=b*a;a=i*a;break}if(!(tw(g,51239)|0)){a=(i*i+b*b)*.0174532925199433*.0174532925199433;if(!(a>1.0e-23)){a=i;break}a=+L(+((1.0-1.0/+L(+(a+1.0)))*2.0))/+L(+a);b=b*a;a=i*a;break}if(!(tw(g,51223)|0)){a=1.0/(+L(+((i*i+b*b)*.0174532925199433*.0174532925199433+1.0))+1.0);b=b*a;a=i*a;break}if(!(tw(g,51231)|0)){a=(i*i+b*b)*.0174532925199433*.0174532925199433;if(!(a<=0.0)){a=+L(+a);a=+S(+a)/a;b=b*a;a=i*a;break}else{e=2;u=k;return e|0}}else a=i}else a=i;while(0);if(!(f[e+6744>>2]|0)){l=+p[e+56>>3];m=+p[e+64>>3];h=(b*l-a*m)/+p[e+104>>3];a=(a*l+b*m)/+p[e+112>>3]}else{h=b*+p[e+6784>>3]+a*+p[e+6792>>3];a=b*+p[e+6800>>3]+a*+p[e+6808>>3]}b=h+ +p[e+24>>3];a=a+ +p[e+32>>3];if((f[e+6668>>2]|0)>0){Lz(j|0,e+3400|0,3264)|0;Pc(b,a,j,c,d)}else{p[c>>3]=b;p[d>>3]=a}a=+p[c>>3];if(a<.5){e=1;u=k;return e|0}if(a>+(f[e+124>>2]|0)+.5){e=1;u=k;return e|0}a=+p[d>>3];if(a<.5){e=1;u=k;return e|0}if(a>+(f[e+132>>2]|0)+.5){e=1;u=k;return e|0}e=0;u=k;return e|0}function Mc(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0;m=u;u=u+3264|0;l=m;p[c>>3]=0.0;p[d>>3]=0.0;if((f[e+6672>>2]|0)!=1){e=-1;u=m;return e|0}if((f[e+6668>>2]|0)>0){Lz(l|0,e+3400|0,3264)|0;Qc(a,b,l,c,d);a=+p[c>>3];b=+p[d>>3]}h=a-+p[e+24>>3];a=b-+p[e+32>>3];if(!(f[e+6744>>2]|0)){k=h*+p[e+104>>3];i=+p[e+56>>3];j=a*+p[e+112>>3];h=+p[e+64>>3];b=k*i+j*h;h=i*j-k*h}else{b=h*+p[e+6752>>3]+a*+p[e+6760>>3];h=h*+p[e+6768>>3]+a*+p[e+6776>>3]}b=b*.0174532925199433;g=e+4|0;do if(tw(g,51219)|0){if(!(tw(g,51227)|0)){a=b*b+h*h*.0174532925199433*.0174532925199433;if(a>1.0){e=2;u=m;return e|0}if(a<1.0)a=+L(+(1.0-a));else a=0.0;j=b/a;a=h/a;break}if(!(tw(g,51239)|0)){a=(b*b+h*h*.0174532925199433*.0174532925199433)*.25;if(a>.5){e=2;u=m;return e|0}else{a=+L(+(1.0-a))*.5/(1.0-a*2.0);j=b*a;a=h*a;break}}if(!(tw(g,51223)|0)){a=(b*b+h*h*.0174532925199433*.0174532925199433)*.25;if(!(a>=1.0)){a=1.0-a;j=b*a;a=h*a;break}else{e=2;u=m;return e|0}}if(!(tw(g,51231)|0)){a=h*h+b*b/3.0461741978670873e-04;if(!(a<=0.0)){a=+L(+a);a=+P(+a)/a;j=b*a;a=h*a;break}else{e=2;u=m;return e|0}}else{j=b;a=h}}else{j=b;a=h}while(0);b=+p[e+72>>3];h=+p[e+80>>3];i=b+j*h;if(i<=0.0){e=2;u=m;return e|0}k=a/i;b=(j*b-h)/i/.0174532925199433;do if(tw(e,51219)|0){if(!(tw(e,51227)|0)){a=1.0/+L(+((k*k+b*b)*.0174532925199433*.0174532925199433+1.0));b=b*a;a=k*a;break}if(!(tw(e,51239)|0)){a=(k*k+b*b)*.0174532925199433*.0174532925199433;if(!(a>1.0e-23)){a=k;break}a=+L(+((1.0-1.0/+L(+(a+1.0)))*2.0))/+L(+a);b=b*a;a=k*a;break}if(!(tw(e,51223)|0)){a=1.0/(+L(+((k*k+b*b)*.0174532925199433*.0174532925199433+1.0))+1.0);b=b*a;a=k*a;break}if(!(tw(e,51231)|0)){a=(k*k+b*b)*.0174532925199433*.0174532925199433;if(!(a<=0.0)){a=+L(+a);a=+S(+a)/a;b=b*a;a=k*a;break}else{e=2;u=m;return e|0}}else a=k}else a=k;while(0);if(!(f[e+6676>>2]|0)){j=+p[e+40>>3];k=+p[e+48>>3];h=(b*j-a*k)/+p[e+88>>3];a=(a*j+b*k)/+p[e+96>>3]}else{h=b*+p[e+6712>>3]+a*+p[e+6720>>3];a=b*+p[e+6728>>3]+a*+p[e+6736>>3]}b=h+ +p[e+8>>3];a=a+ +p[e+16>>3];if((f[e+6664>>2]|0)>0){Lz(l|0,e+136|0,3264)|0;Pc(b,a,l,c,d)}else{p[c>>3]=b;p[d>>3]=a}a=+p[c>>3];if(a<.5){e=1;u=m;return e|0}if(a>+(f[e+120>>2]|0)+.5){e=1;u=m;return e|0}a=+p[d>>3];if(a<.5){e=1;u=m;return e|0}if(a>+(f[e+128>>2]|0)+.5){e=1;u=m;return e|0}e=0;u=m;return e|0}function Nc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0.0,n=0.0,o=0,q=0,r=0,t=0.0,v=0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,K=0.0,L=0.0,M=0,P=0;M=u;u=u+48|0;o=M+24|0;r=M+16|0;v=M+8|0;l=M;q=M+32|0;P=(f[b+3304>>2]|0)==0;x=+p[b+56>>3];D=+p[b+80>>3];w=+p[b>>3];k=+p[b+72>>3];z=+p[b+64>>3];B=+p[b+8>>3];A=P?B:w;B=P?w:B;w=P?x:k;y=P?z:D;x=P?k:x;z=P?D:z;P=(f[c+3304>>2]|0)==0;D=+p[c+8>>3];k=+p[c+56>>3];j=+p[c>>3];e=+p[c+80>>3];n=+p[c+64>>3];d=+p[c+72>>3];C=P?D:j;D=P?j:D;j=P?k:d;m=P?n:e;k=P?d:k;n=P?e:n;e=+p[b+48>>3];d=+p[c+48>>3];E=+p[b+32>>3];F=+p[b+40>>3];G=+p[c+32>>3];H=+p[c+40>>3];I=+p[b+16>>3];J=+p[b+24>>3];K=+p[c+16>>3];L=+p[c+24>>3];f[a+120>>2]=~~+p[b+136>>3];f[a+128>>2]=~~+p[b+144>>3];f[a+124>>2]=~~+p[c+136>>3];f[a+132>>2]=~~+p[c+144>>3];f[b+5968>>2]=0;f[c+5968>>2]=0;if(B==D&A==C){p[a+6680>>3]=w;p[a+6688>>3]=y;p[a+6696>>3]=x;p[a+6704>>3]=z;p[a+6752>>3]=j;p[a+6760>>3]=m;p[a+6768>>3]=k;p[a+6776>>3]=n;p[a+6712>>3]=+p[b+88>>3];p[a+6720>>3]=+p[b+96>>3];p[a+6728>>3]=+p[b+104>>3];p[a+6736>>3]=+p[b+112>>3];p[a+6784>>3]=+p[c+88>>3];p[a+6792>>3]=+p[c+96>>3];p[a+6800>>3]=+p[c+104>>3];p[a+6808>>3]=+p[c+112>>3];g=d*.0174532925199433;e=e*.0174532925199433;d=0.0}else{Bd(c,B,A,v,l,q);d=+p[v>>3];e=+p[l>>3];if(d!=K){i=e-L;g=d-K;t=+S(+(H*i/G/g));d=i}else{t=e!=L?1.5707963267948966:0.0;g=d-K;d=e-L}d=+T(+(k*g+n*d),+(j*g+m*d));e=+N(+d);d=+O(+d);h=j*e+k*d;p[a+6752>>3]=h;i=m*e+n*d;p[a+6760>>3]=i;d=-d;g=k*e+j*d;p[a+6768>>3]=g;d=n*e+m*d;p[a+6776>>3]=d;e=1.0/(d*h-i*g);p[s>>3]=e;P=f[s+4>>2]&2147483647;if(P>>>0>2146435072|(P|0)==2146435072&(f[s>>2]|0)>>>0>0){Vx(46886,72,1,f[4971]|0)|0;P=1;u=M;return P|0}p[a+6784>>3]=d*e;p[a+6792>>3]=-(e*i);p[a+6800>>3]=-(e*g);p[a+6808>>3]=e*h;Bd(b,D,C,o,r,q);d=+p[o>>3];e=+p[r>>3];if(d!=I){n=e-J;i=d-I;h=+S(+(F*n/E/i));d=n}else{h=e!=J?1.5707963267948966:0.0;i=d-I;d=e-J}g=G*(+p[v>>3]-K)<0.0?t+3.141592653589793:t;e=E*i>0.0?h+3.141592653589793:h;d=+T(+(x*i+z*d),+(w*i+y*d))+3.141592653589793;h=+N(+d);d=+O(+d);j=w*h+x*d;p[a+6680>>3]=j;k=y*h+z*d;p[a+6688>>3]=k;d=-d;i=x*h+w*d;p[a+6696>>3]=i;d=z*h+y*d;p[a+6704>>3]=d;h=1.0/(d*j-k*i);p[s>>3]=h;P=f[s+4>>2]&2147483647;if(P>>>0>2146435072|(P|0)==2146435072&(f[s>>2]|0)>>>0>0){Vx(46959,71,1,f[4971]|0)|0;P=1;u=M;return P|0}p[a+6712>>3]=d*h;p[a+6720>>3]=-(h*k);p[a+6728>>3]=-(h*i);p[a+6736>>3]=h*j;C=C*.0174532925199433;z=+N(+C);D=D*.0174532925199433;d=A*.0174532925199433;A=+N(+d);B=B*.0174532925199433;d=z*+N(+D)*A*+N(+B)+ +O(+B)*(A*(z*+O(+D)))+ +O(+C)*+O(+d);if(!(d>1.0)){if(d<-1.0)d=-1.0}else d=1.0;d=+Q(+d)}p[a+8>>3]=I;p[a+16>>3]=J;p[a+24>>3]=K;p[a+32>>3]=L;L=+N(+e);p[a+40>>3]=L;L=+O(+e);p[a+48>>3]=L;L=+N(+g);p[a+56>>3]=L;L=+O(+g);p[a+64>>3]=L;L=+N(+d);p[a+72>>3]=L;L=+O(+d);p[a+80>>3]=L;p[a+88>>3]=E;p[a+96>>3]=F;p[a+104>>3]=G;p[a+112>>3]=H;Jx(a,b+3467|0)|0;Jx(a+4|0,c+3467|0)|0;f[a+6672>>2]=1;f[a+6664>>2]=0;f[a+6668>>2]=0;f[a+6676>>2]=1;f[a+6744>>2]=1;P=0;u=M;return P|0}function Oc(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=ld(b)|0;e=ld(c)|0;g=Nc(a,d,e)|0;if(g|0){a=g;return a|0}b=Rc(b,a+136|0)|0;f[a+6664>>2]=b;c=Rc(c,a+3400|0)|0;f[a+6668>>2]=c;if(e|0)Mv(e);if(!d){a=0;return a|0}Mv(d);a=0;return a|0}function Pc(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0,q=0.0,r=0,s=0;r=u;u=u+80|0;o=r;i=f[c+1616>>2]|0;h=f[c+2424>>2]|0;q=a-+p[c+3232>>3];n=b-+p[c+3240>>3];if((i|0)>=0){k=0;while(1){m=i-k|0;g=+p[c+1624+(m*80|0)+(k<<3)>>3];j=o+(k<<3)|0;p[j>>3]=g;if((k|0)>0){l=k;do{s=l;l=l+-1|0;g=n*g+ +p[c+1624+(m*80|0)+(l<<3)>>3]}while((s|0)>1);p[j>>3]=g}if((i|0)==(k|0))break;else k=k+1|0}g=+p[o>>3];if((i|0)>0){j=i+1|0;while(1){g=q*g+ +p[o+(j-i<<3)>>3];if((i|0)>1)i=i+-1|0;else{m=o;break}}}else m=o}else{m=o;g=0.0}p[d>>3]=g;if((h|0)<0){q=+p[m>>3];p[e>>3]=q;q=+p[d>>3];a=q+a;p[d>>3]=a;a=+p[e>>3];b=a+b;p[e>>3]=b;u=r;return}else j=0;while(1){l=h-j|0;g=+p[c+2432+(l*80|0)+(j<<3)>>3];i=o+(j<<3)|0;p[i>>3]=g;if((j|0)>0){k=j;do{s=k;k=k+-1|0;g=n*g+ +p[c+2432+(l*80|0)+(k<<3)>>3]}while((s|0)>1);p[i>>3]=g}if((h|0)==(j|0))break;else j=j+1|0}g=+p[m>>3];if((h|0)<=0){q=g;p[e>>3]=q;q=+p[d>>3];a=q+a;p[d>>3]=a;a=+p[e>>3];b=a+b;p[e>>3]=b;u=r;return}i=h+1|0;while(1){g=q*g+ +p[o+(i-h<<3)>>3];if((h|0)>1)h=h+-1|0;else break}p[e>>3]=g;q=+p[d>>3];a=q+a;p[d>>3]=a;a=+p[e>>3];b=a+b;p[e>>3]=b;u=r;return}function Qc(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0,q=0.0,r=0,s=0;r=u;u=u+80|0;o=r;i=f[c>>2]|0;h=f[c+808>>2]|0;q=a-+p[c+3232>>3];n=b-+p[c+3240>>3];if((i|0)>=0){k=0;while(1){m=i-k|0;g=+p[c+8+(m*80|0)+(k<<3)>>3];j=o+(k<<3)|0;p[j>>3]=g;if((k|0)>0){l=k;do{s=l;l=l+-1|0;g=n*g+ +p[c+8+(m*80|0)+(l<<3)>>3]}while((s|0)>1);p[j>>3]=g}if((i|0)==(k|0))break;else k=k+1|0}g=+p[o>>3];if((i|0)>0){j=i+1|0;while(1){g=q*g+ +p[o+(j-i<<3)>>3];if((i|0)>1)i=i+-1|0;else{m=o;break}}}else m=o}else{m=o;g=0.0}p[d>>3]=g;if((h|0)<0){q=+p[m>>3];p[e>>3]=q;q=+p[d>>3];a=q+a;p[d>>3]=a;a=+p[e>>3];b=a+b;p[e>>3]=b;u=r;return}else j=0;while(1){l=h-j|0;g=+p[c+816+(l*80|0)+(j<<3)>>3];i=o+(j<<3)|0;p[i>>3]=g;if((j|0)>0){k=j;do{s=k;k=k+-1|0;g=n*g+ +p[c+816+(l*80|0)+(k<<3)>>3]}while((s|0)>1);p[i>>3]=g}if((h|0)==(j|0))break;else j=j+1|0}g=+p[m>>3];if((h|0)<=0){q=g;p[e>>3]=q;q=+p[d>>3];a=q+a;p[d>>3]=a;a=+p[e>>3];b=a+b;p[e>>3]=b;u=r;return}i=h+1|0;while(1){g=q*g+ +p[o+(i-h<<3)>>3];if((h|0)>1)h=h+-1|0;else break}p[e>>3]=g;q=+p[d>>3];a=q+a;p[d>>3]=a;a=+p[e>>3];b=a+b;p[e>>3]=b;u=r;return}function Rc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=u;u=u+304|0;r=s+144|0;p=s+136|0;o=s+128|0;m=s+120|0;l=s+112|0;k=s+104|0;j=s+96|0;h=s+88|0;g=s+80|0;q=s;d=s+229|0;e=s+156|0;n=s+152|0;f[n>>2]=0;b[q>>0]=b[97364]|0;b[q+1>>0]=b[97365]|0;b[q+2>>0]=b[97366]|0;b[q+3>>0]=b[97367]|0;b[q+4>>0]=b[97368]|0;b[q+5>>0]=b[97369]|0;b[q+6>>0]=b[97370]|0;if(Tc(a,d,q)|0){r=f[4971]|0;f[g>>2]=q;zy(r,47031,g)|0;r=-1;u=s;return r|0}if((Bx(d)|0)==8){r=0;u=s;return r|0}Vy(e,d+9|0,4)|0;b[e+4>>0]=0;if(tw(e,51625)|0){r=-1;u=s;return r|0}i=q;f[i>>2]=1380933441;f[i+4>>2]=5391684;if(Uc(a,n,q)|0){i=f[4971]|0;f[h>>2]=q;zy(i,47031,h)|0}i=f[n>>2]|0;f[c>>2]=i;e=(i|0)<0;if(!e){d=(i<<3)+8|0;g=0;while(1){Fz(c+8+(g*80|0)|0,0,d|0)|0;if((g|0)==(i|0))break;else g=g+1|0}if(!e){d=i+1|0;e=0;g=d;while(1){if((i|0)>=(e|0)){h=0;do{f[j>>2]=e;f[j+4>>2]=h;ww(q,51392,j)|0;Sc(a,c+8+(e*80|0)+(h<<3)|0,q)|0;h=h+1|0}while((h|0)!=(g|0))}e=e+1|0;if((e|0)==(d|0))break;else g=g+-1|0}}}j=q;f[j>>2]=1380933442;f[j+4>>2]=5391684;if(Uc(a,n,q)|0){j=f[4971]|0;f[k>>2]=q;zy(j,47031,k)|0}i=f[n>>2]|0;f[c+808>>2]=i;e=(i|0)<0;if(!e){d=(i<<3)+8|0;g=0;while(1){Fz(c+816+(g*80|0)|0,0,d|0)|0;if((g|0)==(i|0))break;else g=g+1|0}if(!e){d=i+1|0;e=0;g=d;while(1){if((i|0)>=(e|0)){h=0;do{f[l>>2]=e;f[l+4>>2]=h;ww(q,51465,l)|0;Sc(a,c+816+(e*80|0)+(h<<3)|0,q)|0;h=h+1|0}while((h|0)!=(g|0))}e=e+1|0;if((e|0)==(d|0))break;else g=g+-1|0}}}d=q;e=51473;g=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));if(Uc(a,n,q)|0){l=f[4971]|0;f[m>>2]=q;zy(l,47031,m)|0}i=f[n>>2]|0;f[c+1616>>2]=i;e=(i|0)<0;if(!e){d=(i<<3)+8|0;g=0;while(1){Fz(c+1624+(g*80|0)|0,0,d|0)|0;if((g|0)==(i|0))break;else g=g+1|0}if(!e){d=i+1|0;e=0;g=d;while(1){if((i|0)>=(e|0)){h=0;do{b[q>>0]=0;f[o>>2]=e;f[o+4>>2]=h;ww(q,51540,o)|0;Sc(a,c+1624+(e*80|0)+(h<<3)|0,q)|0;h=h+1|0}while((h|0)!=(g|0))}e=e+1|0;if((e|0)==(d|0))break;else g=g+-1|0}}}d=q;e=51549;g=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));if(Uc(a,n,q)|0){o=f[4971]|0;f[p>>2]=q;zy(o,47031,p)|0}i=f[n>>2]|0;f[c+2424>>2]=i;e=(i|0)<0;if(!e){d=(i<<3)+8|0;g=0;while(1){Fz(c+2432+(g*80|0)|0,0,d|0)|0;if((g|0)==(i|0))break;else g=g+1|0}if(!e){d=i+1|0;e=0;g=d;while(1){if((i|0)>=(e|0)){h=0;do{f[r>>2]=e;f[r+4>>2]=h;ww(q,51616,r)|0;Sc(a,c+2432+(e*80|0)+(h<<3)|0,q)|0;h=h+1|0}while((h|0)!=(g|0))}e=e+1|0;if((e|0)==(d|0))break;else g=g+-1|0}}};b[q>>0]=b[97281]|0;b[q+1>>0]=b[97282]|0;b[q+2>>0]=b[97283]|0;b[q+3>>0]=b[97284]|0;b[q+4>>0]=b[97285]|0;b[q+5>>0]=b[97286]|0;b[q+6>>0]=b[97287]|0;if(Sc(a,c+3232|0,q)|0){Vx(47059,21,1,f[4971]|0)|0;r=-1;u=s;return r|0};b[q>>0]=b[97288]|0;b[q+1>>0]=b[97289]|0;b[q+2>>0]=b[97290]|0;b[q+3>>0]=b[97291]|0;b[q+4>>0]=b[97292]|0;b[q+5>>0]=b[97293]|0;b[q+6>>0]=b[97294]|0;if(!(Sc(a,c+3240|0,q)|0)){r=1;u=s;return r|0}Vx(47059,21,1,f[4971]|0)|0;r=-1;u=s;return r|0}function Sc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0.0;h=u;u=u+96|0;g=h+16|0;f=h;Jx(f,d)|0;e=Bx(f)|0;d=f+e|0;if((e|0)<8)do{b[d>>0]=32;b[d+1>>0]=0;e=e+1|0;d=f+(Bx(f)|0)|0}while((e|0)!=8);b[d>>0]=61;b[d+1>>0]=0;d=Cy(a,f)|0;if(!d){c=1;u=h;return c|0}d=Cx(d,61)|0;if(!d){c=1;u=h;return c|0}do d=d+1|0;while((b[d>>0]|0)==32);e=wz(d,94907)|0;if((e|0)>79){c=1;u=h;return c|0}Vy(g,d,e)|0;b[g+e>>0]=0;i=+rz(g);p[c>>3]=i;c=0;u=h;return c|0}function Tc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;h=u;u=u+96|0;g=h+16|0;f=h;Jx(f,d)|0;e=Bx(f)|0;d=f+e|0;if((e|0)<8)do{b[d>>0]=32;b[d+1>>0]=0;e=e+1|0;d=f+(Bx(f)|0)|0}while((e|0)!=8);b[d>>0]=61;b[d+1>>0]=0;d=Cy(a,f)|0;if(!d){c=1;u=h;return c|0}d=Cx(d,61)|0;if(!d){c=1;u=h;return c|0}do d=d+1|0;while((b[d>>0]|0)==32);e=wz(d,94907)|0;if((e|0)>79){c=1;u=h;return c|0}Vy(g,d,e)|0;b[g+e>>0]=0;Jx(c,g)|0;c=0;u=h;return c|0}function Uc(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;i=u;u=u+96|0;h=i+16|0;g=i;Jx(g,d)|0;e=Bx(g)|0;d=g+e|0;if((e|0)<8)do{b[d>>0]=32;b[d+1>>0]=0;e=e+1|0;d=g+(Bx(g)|0)|0}while((e|0)!=8);b[d>>0]=61;b[d+1>>0]=0;d=Cy(a,g)|0;if(!d){c=1;u=i;return c|0}d=Cx(d,61)|0;if(!d){c=1;u=i;return c|0}do d=d+1|0;while((b[d>>0]|0)==32);e=wz(d,94907)|0;if((e|0)>79){c=1;u=i;return c|0}Vy(h,d,e)|0;b[h+e>>0]=0;h=uz(h)|0;f[c>>2]=h;c=0;u=i;return c|0}function Vc(a,c){a=a|0;c=c|0;var d=0.0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0.0,m=0,n=0,o=0,p=0;p=u;u=u+16|0;g=p;f[53792]=0;e=(c|0)==0;while(1)if((b[a>>0]|0)==32)a=a+1|0;else break;o=e?g:c;d=+sz(a,o);n=f[o>>2]|0;g=n;if(Cx(a,46)|0)f[53792]=46;m=b[g>>0]|0;j=m<<24>>24;switch(m<<24>>24){case 32:case 58:case 100:case 104:case 109:{k=6;break}case 39:case 114:case 34:break;default:{l=d;u=p;return +l}}a:do if((k|0)==6){do if((n-a|0)<5){c=g+1|0;e=b[c>>0]|0;if(((e<<24>>24)+-48|0)>>>0>=10){if(e<<24>>24!=32)break;if(((b[g+2>>0]|0)+-48|0)>>>0>=10)break}f[53792]=j;f[o>>2]=c;k=(b[a>>0]|0)==45;h=k?-d:d;l=k?-1.0:1.0;d=+sz(c,o);b:do if(m<<24>>24!=109){e=f[o>>2]|0;switch(b[e>>0]|0){case 32:case 58:case 109:break;default:{i=h;h=d;d=0.0;break b}}if((e-n|0)<4){g=e+1|0;a=b[g>>0]|0;if(((a<<24>>24)+-48|0)>>>0>=10){if(a<<24>>24!=32){i=h;h=d;d=0.0;break}if(((b[e+2>>0]|0)+-48|0)>>>0>=10){i=h;h=d;d=0.0;break}}f[o>>2]=g;i=h;h=d;d=+sz(g,o)}else{i=h;h=d;d=0.0}}else i=0.0;while(0);l=l*(i+h/60.0+d/3600.0);u=p;return +l}while(0);switch(m<<24>>24){case 39:case 114:case 100:case 34:break a;default:{}}u=p;return +d}while(0);a=g+1|0;if(b[a>>0]|0){l=d;u=p;return +l}f[53792]=j;f[o>>2]=a;l=d;u=p;return +l}function Wc(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;o=u;u=u+64|0;n=o;a=f[h>>2]|0;if((a|0)>0){p=a;u=o;return p|0}k=Lv(115200)|0;if(!k){f[h>>2]=113;p=113;u=o;return p|0}f[n+32>>2]=0;f[n+36>>2]=0;f[n+40>>2]=0;l=n+12|0;f[l>>2]=f[c>>2];j=n+16|0;f[j>>2]=f[d>>2];if(Au(n,31,108787,56)|0){f[h>>2]=414;p=414;u=o;return p|0}a=jz(k,1,115200,b)|0;a:do if(!(py(b)|0)){i=n+4|0;m=n+20|0;b:do if(!e){c:while(1){if(!a)break b;f[n>>2]=k;f[i>>2]=a;switch(Bu(n,0)|0){case 1:break;case 0:{if(f[i>>2]|0)break c;break}default:{p=22;break b}}if(oy(b)|0)break b;a=f[m>>2]|0;f[l>>2]=(f[c>>2]|0)+a;f[j>>2]=(f[d>>2]|0)-a;a=jz(k,1,115200,b)|0;if(py(b)|0)break a}Du(n)|0;Mv(k);f[h>>2]=414;p=414;u=o;return p|0}else{d:while(1){if(!a)break b;f[n>>2]=k;f[i>>2]=a;e:while(1){switch(Bu(n,0)|0){case 1:break e;case 0:break;default:{p=22;break b}}if(!(f[i>>2]|0))break;a=zb[e&31](f[c>>2]|0,(f[d>>2]|0)+28800|0)|0;f[c>>2]=a;if(!a)break d;f[j>>2]=28800;q=f[d>>2]|0;f[l>>2]=a+q;f[d>>2]=q+28800}if(oy(b)|0)break b;a=f[m>>2]|0;f[l>>2]=(f[c>>2]|0)+a;f[j>>2]=(f[d>>2]|0)-a;a=jz(k,1,115200,b)|0;if(py(b)|0)break a}Du(n)|0;Mv(k);f[h>>2]=414;q=414;u=o;return q|0}while(0);if((p|0)==22){Du(n)|0;Mv(k);f[h>>2]=414;q=414;u=o;return q|0}f[g>>2]=f[m>>2];Mv(k);if(!(Du(n)|0)){q=f[h>>2]|0;u=o;return q|0}else{f[h>>2]=414;q=414;u=o;return q|0}}while(0);Du(n)|0;Mv(k);f[h>>2]=414;q=414;u=o;return q|0}function Xc(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;l=u;u=u+64|0;j=l;i=f[h>>2]|0;if((i|0)>0){k=i;u=l;return k|0}f[j+32>>2]=0;f[j+36>>2]=0;f[j+40>>2]=0;if(Au(j,31,108787,56)|0){f[h>>2]=414;k=414;u=l;return k|0}f[j>>2]=a;f[j+4>>2]=b;b=j+12|0;f[b>>2]=f[c>>2];i=j+16|0;f[i>>2]=f[d>>2];a:do if(!e){switch(Bu(j,0)|0){case 1:break a;case 0:break;default:{k=11;break a}}Du(j)|0;f[h>>2]=414;k=414;u=l;return k|0}else{while(1){switch(Bu(j,0)|0){case 1:break a;case 0:break;default:{k=11;break a}}a=zb[e&31](f[c>>2]|0,(f[d>>2]|0)+28800|0)|0;f[c>>2]=a;if(!a)break;f[i>>2]=28800;m=f[d>>2]|0;f[b>>2]=a+m;f[d>>2]=m+28800}Du(j)|0;f[h>>2]=414;m=414;u=l;return m|0}while(0);if((k|0)==11){Du(j)|0;f[h>>2]=414;m=414;u=l;return m|0}if(g|0)f[g>>2]=f[j+20>>2];if(!(Du(j)|0)){m=f[h>>2]|0;u=l;return m|0}else{f[h>>2]=414;m=414;u=l;return m|0}return 0}function Yc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+64|0;l=m;a=f[d>>2]|0;if((a|0)>0){d=a;u=m;return d|0}j=Lv(115200)|0;if(!j){f[d>>2]=113;d=113;u=m;return d|0}k=Lv(115200)|0;if(!k){f[d>>2]=113;d=113;u=m;return d|0}f[l+32>>2]=0;f[l+36>>2]=0;f[l+40>>2]=0;i=l+12|0;f[i>>2]=k;h=l+16|0;f[h>>2]=115200;if(Au(l,31,108787,56)|0){f[d>>2]=414;d=414;u=m;return d|0}e=l+4|0;g=0;a:while(1){a=jz(j,1,115200,b)|0;if(py(b)|0){a=10;break}if(!a){a=20;break}f[l>>2]=j;f[e>>2]=a;b:while(1){switch(Bu(l,0)|0){case 1:break b;case 0:break;default:{a=18;break a}}if(!(f[e>>2]|0))break;if((Vx(k,1,115200,c)|0)!=115200){a=16;break a}f[i>>2]=k;f[h>>2]=115200;g=g+115200|0}if(oy(b)|0){a=20;break}}if((a|0)==10){Du(l)|0;Mv(j);Mv(k);f[d>>2]=414;d=414;u=m;return d|0}else if((a|0)==16){Du(l)|0;Mv(j);Mv(k);f[d>>2]=414;d=414;u=m;return d|0}else if((a|0)==18){Du(l)|0;Mv(j);Mv(k);f[d>>2]=414;d=414;u=m;return d|0}else if((a|0)==20){e=l+20|0;a=f[e>>2]|0;if(a>>>0>g>>>0?(c=Vx(k,1,a-g|0,c)|0,(c|0)!=((f[e>>2]|0)-g|0)):0){Du(l)|0;Mv(j);Mv(k);f[d>>2]=414;d=414;u=m;return d|0}Mv(j);Mv(k);if(!(Du(l)|0)){d=f[d>>2]|0;u=m;return d|0}else{f[d>>2]=414;d=414;u=m;return d|0}}return 0}function Zc(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;l=u;u=u+64|0;j=l;i=f[h>>2]|0;if((i|0)>0){k=i;u=l;return k|0}f[j+32>>2]=0;f[j+36>>2]=0;f[j+40>>2]=0;if(ou(j,1,8,31,8,0,108787,56)|0){f[h>>2]=413;k=413;u=l;return k|0}f[j>>2]=a;f[j+4>>2]=b;b=j+12|0;f[b>>2]=f[c>>2];i=j+16|0;f[i>>2]=f[d>>2];a:do if(!e){switch(xu(j,4)|0){case 1:break a;case 0:break;default:{k=11;break a}}pu(j)|0;f[h>>2]=413;k=413;u=l;return k|0}else{while(1){switch(xu(j,4)|0){case 1:break a;case 0:break;default:{k=11;break a}}a=zb[e&31](f[c>>2]|0,(f[d>>2]|0)+28800|0)|0;f[c>>2]=a;if(!a)break;f[i>>2]=28800;m=f[d>>2]|0;f[b>>2]=a+m;f[d>>2]=m+28800}pu(j)|0;f[h>>2]=413;m=413;u=l;return m|0}while(0);if((k|0)==11){pu(j)|0;f[h>>2]=413;m=413;u=l;return m|0}if(g|0)f[g>>2]=f[j+20>>2];if(!(pu(j)|0)){m=f[h>>2]|0;u=l;return m|0}else{f[h>>2]=413;m=413;u=l;return m|0}return 0}function _c(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+64|0;i=j;g=f[e>>2]|0;if((g|0)>0){e=g;u=j;return e|0}h=Lv(115200)|0;if(!h){f[e>>2]=113;e=113;u=j;return e|0}f[i+32>>2]=0;f[i+36>>2]=0;f[i+40>>2]=0;if(ou(i,1,8,31,8,0,108787,56)|0){f[e>>2]=413;e=413;u=j;return e|0}f[i>>2]=a;f[i+4>>2]=b;a=i+12|0;g=i+16|0;b=0;a:while(1){f[a>>2]=h;f[g>>2]=115200;switch(xu(i,4)|0){case 1:{g=12;break a}case 0:break;default:{g=11;break a}}if((Vx(h,1,115200,c)|0)!=115200){g=9;break}b=b+115200|0}if((g|0)==9){pu(i)|0;Mv(h);f[e>>2]=413;e=413;u=j;return e|0}else if((g|0)==11){pu(i)|0;Mv(h);f[e>>2]=413;e=413;u=j;return e|0}else if((g|0)==12){a=i+20|0;g=f[a>>2]|0;if(g>>>0>b>>>0?(c=Vx(h,1,g-b|0,c)|0,(c|0)!=((f[a>>2]|0)-b|0)):0){pu(i)|0;Mv(h);f[e>>2]=413;e=413;u=j;return e|0}Mv(h);if(d|0)f[d>>2]=f[a>>2];if(!(pu(i)|0)){e=f[e>>2]|0;u=j;return e|0}else{f[e>>2]=413;e=413;u=j;return e|0}}return 0}function $c(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;f[53793]=c;c=f[53794]|0;do if(c>>>0<(f[53795]|0)>>>0){f[53794]=c+1;c=2889744+c|0;i=9}else{f[53795]=0;c=0;a:do{c=jz(2889744+c|0,1,32768-c|0,f[53796]|0)|0;switch(c|0){case 0:case -1:{i=6;break a}default:{}}c=(f[53795]|0)+c|0;f[53795]=c}while(c>>>0<32768);if((i|0)==6){c=f[53795]|0;if(!c){vj(2922576);vj(108613);f[787]=0;f[788]=1;E=2;break}}f[53797]=(f[53797]|0)+c;f[53794]=1;c=2889744;i=9}while(0);if((i|0)==9){c=h[c>>0]|0;f[788]=c;f[787]=c&128;if(c&96){vj(2922576);vj(47081);c=f[788]|0}c=c&31;f[788]=c;if(c>>>0>16){vj(2922576);vj(47127);a=1;return a|0}else E=1<<c}i=f[53795]|0;g=f[53794]|0;e=(f[787]|0)!=0;Fz(222976,0,256)|0;c=255;while(1){b[2922704+c>>0]=c;if((c|0)>0)c=c+-1|0;else break}o=511;p=0;j=e?257:256;k=511;l=9;m=-1;n=0;e=g<<3;c=i;b:while(1){c:while(1){g=e>>3;i=(f[53795]|0)-g|0;if((i|0)>0){e=0;do{b[2889744+e>>0]=b[2889744+(e+g)>>0]|0;e=e+1|0}while((e|0)!=(i|0))}f[53795]=i;if(i>>>0<64){c=jz(2889744+i|0,1,32768,a)|0;if((c|0)==-1){i=21;break b}i=(f[53795]|0)+c|0;f[53795]=i;f[53797]=(f[53797]|0)+c}D=(c|0)==0;if(D)B=1-l+(i<<3)|0;else B=i-((i>>>0)%(l>>>0)|0)<<3;if((B|0)>0){C=p;z=m;A=n;x=0}else{g=j;e=0;break}d:while(1){w=(j|0)>(k|0);v=(j|0)<(E|0);g=C;y=z;n=A;e=x;while(1){if(w){i=29;break d}m=2889744+(e>>3)|0;m=((h[m+1>>0]|0)<<8|(h[m>>0]|0)|(h[m+2>>0]|0)<<16)>>>(e&7)&o;e=e+l|0;if((y|0)!=-1){if((m|0)==256&(f[787]|0)!=0){i=36;break d}if((m|0)<(j|0)){i=m;g=419582}else{if((m|0)>(j|0)){i=39;break b}b[419582+-1>>0]=g;i=y;g=419582+-1|0}p=b[2922704+i>>0]|0;g=g+-1|0;b[g>>0]=p;if(i>>>0>255){do{u=d[222976+(i<<1)>>1]|0;i=u&65535;p=b[2922704+i>>0]|0;g=g+-1|0;b[g>>0]=p}while((u&65535)>255);u=p}else u=p;p=u&255;q=419582-g|0;i=q+n|0;if((i|0)>16383)do{t=16384-n|0;t=(q|0)>(t|0)?t:q;if((t|0)>0){Lz(2988240+n|0,g|0,t|0)|0;n=t+n|0}if((n|0)>16383){r=f[53798]|0;e:do if(!r){if((Vx(2988240,1,n,f[53793]|0)|0)==(n|0))break;vj(2922576);vj(47192)}else{i=f[53799]|0;s=i+n|0;q=f[f[53801]>>2]|0;do if(s>>>0>(f[f[53800]>>2]|0)>>>0){q=zb[r&31](q,s)|0;f[f[53801]>>2]=q;i=f[53799]|0;f[f[53800]>>2]=i+n;if(q|0)break;vj(2922576);vj(47255);break e}while(0);Lz(q+i|0,2988240,n|0)|0}while(0);f[53799]=(f[53799]|0)+n;n=0}g=g+t|0;q=419582-g|0}while((q|0)>0);else{Lz(2988240+n|0,g|0,q|0)|0;n=i}if(v)break;else g=p}else{if((m|0)>255){i=32;break b}b[2988240+n>>0]=m;g=m;n=n+1|0}if((B|0)>(e|0))y=m;else{p=g;g=j;break c}}g=j+1|0;d[222976+(j<<1)>>1]=y;b[2922704+j>>0]=u;if((B|0)>(e|0)){C=p;j=g;z=m;A=n;x=e}else break c}if((i|0)==29){e=l<<3;D=x+-1+e|0;m=l+1|0;k=(1<<m)+-1|0;o=k;p=C;k=(m|0)==(f[788]|0)?E:k;l=m;m=z;n=A;e=D-((D|0)%(e|0)|0)|0;continue}else if((i|0)==36){Fz(222976,0,256)|0;D=l<<3;e=e+-1+D|0;o=511;p=g;j=256;k=511;l=9;m=y;e=e-((e|0)%(D|0)|0)|0;continue}}if(D){i=69;break}else j=g}if((i|0)==21){vj(2922576);vj(108613);a=1;return a|0}else if((i|0)==32){vj(2922576);vj(47177);a=1;return a|0}else if((i|0)==39){if((n|0)>0){g=f[53798]|0;do if(!g){if((Vx(2988240,1,n,f[53793]|0)|0)!=(n|0)){vj(2922576);vj(47192)}}else{c=f[53799]|0;i=c+n|0;e=f[f[53801]>>2]|0;if(i>>>0>(f[f[53800]>>2]|0)>>>0){e=zb[g&31](e,i)|0;f[f[53801]>>2]=e;c=f[53799]|0;f[f[53800]>>2]=c+n;if(!e){vj(2922576);vj(47255);break}}Lz(e+c|0,2988240,n|0)|0}while(0);f[53799]=(f[53799]|0)+n}vj(2922576);vj(47177);a=1;return a|0}else if((i|0)==69){if((n|0)<=0){a=0;return a|0}g=f[53798]|0;do if(!g){if((Vx(2988240,1,n,f[53793]|0)|0)!=(n|0)){vj(2922576);vj(47192)}}else{c=f[53799]|0;i=c+n|0;e=f[f[53801]>>2]|0;if(i>>>0>(f[f[53800]>>2]|0)>>>0){e=zb[g&31](e,i)|0;f[f[53801]>>2]=e;c=f[53799]|0;f[f[53800]>>2]=c+n;if(!e){vj(2922576);vj(47255);break}}Lz(e+c|0,2988240,n|0)|0}while(0);f[53799]=(f[53799]|0)+n;a=0;return a|0}return 0}function ad(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0;l=u;u=u+16|0;k=l;j=f[i>>2]|0;if((j|0)>0){i=j;u=l;return i|0}b[2922576]=0;yz(2922576,a,127)|0;f[53796]=c;f[53801]=d;f[53800]=e;f[53798]=g;f[53794]=0;f[53799]=0;f[53797]=0;f[53795]=0;j=0;a:while(1){j=jz(2889744+j|0,1,32768-j|0,c)|0;switch(j|0){case 0:case -1:{e=6;break a}default:{}}j=(f[53795]|0)+j|0;f[53795]=j;if(j>>>0>=32768){e=8;break}c=f[53796]|0}if((e|0)==6){j=f[53795]|0;if(!j){vj(2922576);vj(108613);d=f[53794]|0;j=f[53795]|0;c=1}else e=8}if((e|0)==8){f[53797]=(f[53797]|0)+j;f[53794]=1;d=1;c=b[2889744]|0}b[k>>0]=c;do if(d>>>0<j>>>0){f[53794]=d+1;j=b[2889744+d>>0]|0}else{f[53795]=0;j=0;b:do{j=jz(2889744+j|0,1,32768-j|0,f[53796]|0)|0;switch(j|0){case 0:case -1:{e=14;break b}default:{}}j=(f[53795]|0)+j|0;f[53795]=j}while(j>>>0<32768);if((e|0)==14){j=f[53795]|0;if(!j){vj(2922576);vj(108613);j=1;break}}f[53797]=(f[53797]|0)+j;f[53794]=1;j=b[2889744]|0}while(0);b[k+1>>0]=j;if(uw(k,61820,2)|0){vj(2922576);vj(47301);i=-1;u=l;return i|0}f[786]=1;if($c(f[53796]|0,f[53793]|0)|0)f[i>>2]=414;if(h|0)f[h>>2]=f[53799];i=f[i>>2]|0;u=l;return i|0}function bd(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=+h;i=i|0;j=j|0;var k=0.0,l=0,m=0,o=0.0,q=0.0,r=0.0,s=0,t=0,v=0,w=0,x=0;x=u;u=u+128|0;t=x+80|0;s=x+64|0;v=x+32|0;l=x;w=x+116|0;m=x+112|0;f[m>>2]=0;if(f[53172]|0){f[l>>2]=b;f[l+4>>2]=c;f[l+8>>2]=d;p[l+16>>3]=h;f[l+24>>2]=i;f[l+28>>2]=j;mz(47362,l)|0}l=cd(a,d,m,b,c,i,j)|0;c=f[m>>2]|0;gx(c,l,4,9);q=+n[c>>2];r=+n[c+(l<<2)+-4>>2];m=l+1|0;m=(m|0)<2?1:(m|0)/2|0;b=m+-1|0;i=c+(b<<2)|0;k=+n[i>>2];if(((l|0)%2|0|0)!=1&(l|0)>(m|0))k=(k+ +n[i+4>>2])*.5;o=+(l|0);d=~~(o*.5);d=(d|0)>5?d:5;j=~~(o*.01+.5);j=(j|0)>1?j:1;a=ed(c,l,x+120|0,w,2.5,j,5)|0;if((a|0)<(d|0)){n[e>>2]=q;h=r}else{o=+n[w>>2];if(h>0.0){h=o/h;n[w>>2]=h}else h=o;o=k-+(b|0)*h;n[e>>2]=q>o?q:o;h=k+ +(l-m|0)*h;h=r<h?r:h}n[g>>2]=h;if(!(f[53172]|0)){Mv(c);u=x;return}o=+n[i>>2];p[v>>3]=q;p[v+8>>3]=r;p[v+16>>3]=o;p[v+24>>3]=k;mz(47410,v)|0;f[s>>2]=d;f[s+4>>2]=j;f[s+8>>2]=a;mz(47458,s)|0;q=+n[e>>2];r=+n[g>>2];p[t>>3]=+n[w>>2];f[t+8>>2]=m;p[t+16>>3]=q;p[t+24>>3]=r;mz(47503,t)|0;Mv(c);u=x;return}function cd(a,c,e,g,h,i,j){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;E=u;u=u+32|0;o=E+16|0;l=E;k=(g|0)<(j|0)?g:j;k=(k|0)>1?k:1;C=g+-1|0;D=(C+k|0)/(k|0)|0;D=(D|0)>2?D:2;C=(C+D|0)/(D|0)|0;C=(C|0)>1?C:1;if(!(f[53172]|0))m=1;else{f[l>>2]=k;f[l+4>>2]=D;f[l+8>>2]=C;mz(47553,l)|0;m=(f[53172]|0)==0}j=(i|0)/(j|0)|0;j=(j|0)>1?j:1;k=(i+-1+C|0)/(C|0)|0;k=(k|0)>(h|0)?h:k;k=(j|0)>(k|0)?j:k;B=(h|0)/(k|0)|0;B=(B|0)>2?B:2;l=(h+-1+B|0)/(B|0)|0;if(!m){f[o>>2]=j;f[o+4>>2]=k;f[o+8>>2]=B;f[o+12>>2]=l;mz(47607,o)|0}A=X(l,C)|0;s=Lv(A<<2)|0;f[e>>2]=s;y=g<<2;t=Lv(y)|0;o=(B+1|0)>>>1;if((o|0)>=(h|0)){h=0;Mv(t);u=E;return h|0}v=(C|0)>0;w=(g|0)>0;z=g<<1;x=g<<3;if((c|0)==8){i=o;k=0;m=s;while(1){l=a+(X(i+-1|0,g)|0)|0;if(w){j=0;do{n[t+(j<<2)>>2]=+(b[l+j>>0]|0);j=j+1|0}while((j|0)!=(g|0))}if(v){l=0;j=0;while(1){f[m+(l<<2)>>2]=f[t+(j<<2)>>2];l=l+1|0;if((l|0)==(C|0))break;else j=j+D|0}}k=k+C|0;if((k|0)>(A|0)){l=27;break}i=i+B|0;if((i|0)>=(h|0)){l=27;break}else m=m+(C<<2)|0}if((l|0)==27){Mv(t);u=E;return k|0}}r=(X(o+-1|0,g)|0)<<2;q=(X(B,g)|0)<<2;m=c+64|0;m=m>>>4|m<<28;e=0;k=0;i=s;while(1){l=a+(r+(X(q,e)|0))|0;switch(m|0){case 0:{l=a+(X(x,o+-1|0)|0)|0;if(w){j=0;do{n[t+(j<<2)>>2]=+p[l+(j<<3)>>3];j=j+1|0}while((j|0)!=(g|0))}break}case 5:{l=a+(X(z,o+-1|0)|0)|0;if(w){j=0;do{n[t+(j<<2)>>2]=+(d[l+(j<<1)>>1]|0);j=j+1|0}while((j|0)!=(g|0))}break}case 6:{l=a+(X(y,o+-1|0)|0)|0;if(w){j=0;do{n[t+(j<<2)>>2]=+(f[l+(j<<2)>>2]|0);j=j+1|0}while((j|0)!=(g|0))}break}case 2:{if(w)Lz(t|0,l|0,y|0)|0;break}default:{}}if(v){l=0;j=0;while(1){f[i+(l<<2)>>2]=f[t+(j<<2)>>2];l=l+1|0;if((l|0)==(C|0))break;else j=j+D|0}}k=k+C|0;if((k|0)>(A|0)){l=27;break}o=o+B|0;if((o|0)>=(h|0)){l=27;break}else{e=e+1|0;i=i+(C<<2)|0}}if((l|0)==27){Mv(t);u=E;return k|0}return 0}function dd(a,b){a=a|0;b=b|0;return (+n[a>>2]<=+n[b>>2]?-1:1)|0}function ed(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0.0,l=0.0,m=0.0,o=0.0,p=0,q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0.0,x=0,y=0,z=0,A=0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0.0;if((c|0)<1){d=0;return d|0}if((c|0)==1){f[d>>2]=f[a+4>>2];n[e>>2]=0.0;d=1;return d|0}H=2.0/+(c+-1|0);F=c<<2;E=Lv(F)|0;F=Lv(F)|0;G=Nv(c,1)|0;j=0;do{n[F+(j<<2)>>2]=H*+(j|0)+-1.0;j=j+1|0}while((j|0)!=(c|0));j=0;l=0.0;m=0.0;o=0.0;do{w=+n[F+(j<<2)>>2];C=+n[a+(j<<2)>>2];l=l+w*w;m=m+w*C;o=o+C;j=j+1|0}while((j|0)!=(c|0));w=+(c|0);q=o/w;C=m/l;A=~~(w*.5);A=(A|0)>5?A:5;if((i|0)>0){k=C;y=c;z=0;u=0.0;t=l;while(1){j=0;do{n[E+(j<<2)>>2]=+n[a+(j<<2)>>2]-(q+k*+n[F+(j<<2)>>2]);j=j+1|0}while((j|0)!=(c|0));p=0;j=0;l=0.0;r=0.0;do{if(!(b[G+p>>0]|0)){w=+n[E+(p<<2)>>2];j=j+1|0;l=l+w;r=r+w*w}p=p+1|0}while((p|0)!=(c|0));if(j>>>0>=2){x=j+-1|0;l=r/+(x|0)-l*l/+(X(x,j)|0);if(l<0.0)l=0.0;else l=+L(+l)}else l=-999.0;v=g*l;w=-v;x=0;j=c;l=u;r=t;do{if((b[G+x>>0]|0)!=1){u=+n[E+(x<<2)>>2];if(u<w|u>v?(B=x-h|0,B=(B|0)>0?B:0,D=x+h|0,D=(D|0)>(c|0)?c:D,(B|0)<(D|0)):0){s=B;do{p=G+s|0;do if((b[p>>0]|0)!=1)if((s|0)>(x|0)){b[p>>0]=2;break}else{t=+n[F+(s<<2)>>2];u=+n[a+(s<<2)>>2];b[p>>0]=1;j=j+-1|0;l=l-t;r=r-t*t;m=m-t*u;o=o-u;break}while(0);s=s+1|0}while((s|0)<(D|0))}}else j=j+-1|0;x=x+1|0}while((x|0)!=(c|0));if((j|0)>0){q=l/r;q=(o-m*q)/(+(j|0)-l*q);k=(m-l*q)/r}z=z+1|0;if(!((j|0)>=(A|0)&(j|0)<(y|0)&(z|0)<(i|0))){g=q;break}else{y=j;u=l;t=r}}}else{k=C;j=c;g=q}n[d>>2]=g-k;w=H*k;n[e>>2]=(w>=0.0?w:-w)<.001?H*C:w;Mv(E);Mv(F);Mv(G);d=j;return d|0}function fd(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;n=u;u=u+96|0;l=n;m=n+16|0;if(!c){m=0;u=n;return m|0}d=Bx(c)|0;k=Nv(1,d+1|0)|0;if((d|0)>0){e=0;do{j=b[c+e>>0]|0;b[k+e>>0]=(j+-97&255)<26?(j&255)+224&255:j;e=e+1|0}while((e|0)!=(d|0))}b[k+d>>0]=0;if((Bx(k)|0)==1){m=b[k>>0]|0;u=n;return m|0}i=l;f[i>>2]=1314079575;f[i+4>>2]=4541761;b[l+8>>0]=0;i=l+7|0;d=95;j=0;do{g=(j|0)>0?j+64&255:0;b[i>>0]=g;if(me(a,l,72,m)|0){e=Bx(m)|0;c=Nv(1,e+1|0)|0;if((e|0)>0){h=0;do{o=b[m+h>>0]|0;b[c+h>>0]=(o+-97&255)<26?(o&255)+224&255:o;h=h+1|0}while((h|0)!=(e|0))}b[c+e>>0]=0;o=(tw(c,k)|0)==0;Mv(c);d=o?g:d}j=j+1|0}while((j|0)!=27);Mv(k);o=d;u=n;return o|0}function gd(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0.0,bb=0.0,cb=0.0;$a=u;u=u+1520|0;Ta=$a+1192|0;L=$a+1184|0;K=$a+1176|0;H=$a+1168|0;G=$a+1160|0;F=$a+1152|0;E=$a+1144|0;D=$a+1136|0;C=$a+1128|0;B=$a+1064|0;A=$a+1056|0;Pa=$a+1048|0;Ia=$a+1040|0;Ha=$a+1032|0;za=$a+1024|0;ta=$a+1016|0;ma=$a+1008|0;la=$a+1e3|0;ka=$a+992|0;ja=$a+984|0;ia=$a+976|0;ha=$a+968|0;ga=$a+960|0;fa=$a+952|0;ea=$a+944|0;da=$a+936|0;ca=$a+928|0;ba=$a+920|0;aa=$a+912|0;$=$a+904|0;_=$a+896|0;Z=$a+888|0;W=$a+880|0;V=$a+872|0;U=$a+864|0;T=$a+856|0;R=$a+848|0;P=$a+840|0;Q=$a+832|0;m=$a+824|0;l=$a+816|0;k=$a+808|0;S=$a+1504|0;I=$a+1472|0;J=$a+1440|0;Ya=$a+1408|0;pa=$a+1400|0;oa=$a+1392|0;na=$a+1384|0;t=$a+1376|0;w=$a+800|0;x=$a+792|0;y=$a+784|0;o=$a+776|0;q=$a+768|0;r=$a+760|0;Aa=$a+752|0;Da=$a+744|0;Ea=$a+736|0;Ba=$a+728|0;Ca=$a+720|0;Na=$a+712|0;Oa=$a+704|0;ya=$a+672|0;Ma=$a+24|0;Wa=$a+1360|0;v=$a+1208|0;Ra=$a+1204|0;Ka=$a+1200|0;z=$a+1280|0;n=$a+1216|0;Sa=$a+1212|0;Xa=$a+16|0;Ja=$a+8|0;Za=$a;_a=Nv(1,9336)|0;Va=b[c>>0]|0;Va=Va<<24>>24==32?0:Va;b[Sa>>0]=Va;b[_a+9324>>0]=Va;if(le(a,47713,Sa,63,n)|0){Va=Nv((Bx(n)|0)+2|0,1)|0;f[_a+9320>>2]=Va;Jx(Va,n)|0}Ua=_a+3984|0;f[Ua>>2]=0;f[_a+3956>>2]=0;f[_a+3924>>2]=0;f[_a+3952>>2]=-1;ra=_a+3268|0;f[ra>>2]=0;xa=_a+3272|0;f[xa>>2]=0;p[Na>>3]=0.0;p[Oa>>3]=0.0;ua=ya+8|0;va=ya+16|0;wa=ya+24|0;f[ya>>2]=0;f[ya+4>>2]=0;f[ya+8>>2]=0;f[ya+12>>2]=0;f[ya+16>>2]=0;f[ya+20>>2]=0;f[ya+24>>2]=0;f[ya+28>>2]=0;p[Ma>>3]=0.0;qa=_a+3300|0;f[qa>>2]=0;Ga=_a+48|0;p[Ga>>3]=0.0;f[Ka>>2]=0;$d(a,47721,Sa,Ka)|0;c=f[Ka>>2]|0;if(!c){ae(a,47721,Ka)|0;c=f[Ka>>2]|0;if(!c){ae(a,98894,Ka)|0;c=f[Ka>>2]|0;if(!c){ae(a,47729,Ka)|0;c=f[Ka>>2]|0}}}if((c|0)<1){zd(47736);md(_a);_a=0;u=$a;return _a|0}if((c|0)>2){f[Ka>>2]=2;c=2}La=_a+3316|0;f[La>>2]=c;j=_a+3320|0;f[j>>2]=c;f[_a+3960>>2]=c;M=_a+136|0;p[M>>3]=0.0;ie(a,92199,M)|0;i=+p[M>>3];if(i<1.0){ie(a,47782,M)|0;i=+p[M>>3]}if(i<1.0){zd(47789);md(_a);_a=0;u=$a;return _a|0}Fa=_a+144|0;p[Fa>>3]=0.0;ie(a,106765,Fa)|0;if(+p[Fa>>3]<1.0)ie(a,47826,Fa)|0;c=f[Ka>>2]|0;if((c|0)>1)if(+p[Fa>>3]<1.0){zd(47833);md(_a);_a=0;u=$a;return _a|0}else sa=19;else if((c|0)==1)sa=19;else c=0;if((sa|0)==19){e=f[4971]|0;g=0;c=0;do{b[Wa>>0]=b[98894]|0;b[Wa+1>>0]=b[98895]|0;b[Wa+2>>0]=b[98896]|0;b[Wa+3>>0]=b[98897]|0;b[Wa+4>>0]=b[98898]|0;b[Wa+5>>0]=b[98899]|0;d=g;g=g+1|0;f[k>>2]=g;ww(z,91502,k)|0;xz(Wa,z)|0;a:do if(!(ae(a,Wa,Ra)|0)){switch(d|0){case 0:{i=+p[M>>3];if(i>1.0){f[Ra>>2]=~~i;break a}break}case 1:{i=+p[Fa>>3];if(i>1.0){f[Ra>>2]=~~i;break a}break}default:{}}f[l>>2]=Wa;zy(e,47870,l)|0}while(0);b[Wa>>0]=b[87538]|0;b[Wa+1>>0]=b[87539]|0;b[Wa+2>>0]=b[87540]|0;b[Wa+3>>0]=b[87541]|0;b[Wa+4>>0]=b[87542]|0;b[Wa+5>>0]=b[87543]|0;xz(Wa,z)|0;if(me(a,Wa,16,z)|0?ne(z,47909)|0:0)f[Ra>>2]=0;c=((f[Ra>>2]|0)>1&1)+c|0}while((g|0)<(f[Ka>>2]|0))}f[Ka>>2]=c;f[j>>2]=c;f[La>>2]=c;me(a,76615,16,_a+3336|0)|0;ae(a,47914,_a+3332|0)|0;Va=Id()|0;Y=_a+3324|0;f[Y>>2]=Va;Va=_a+9328|0;f[Va>>2]=0;ae(a,47923,Va)|0;Va=_a+832|0;Fz(Va|0,0,648)|0;Fz(Ma|0,0,648)|0;g=f[Ka>>2]|0;e=(g|0)>0;if(e){c=0;do{Qa=Va+((X(g,c)|0)+c<<3)|0;p[Qa>>3]=1.0;c=c+1|0}while((c|0)<(g|0));if(e){c=0;do{Qa=Ma+((X(c,g)|0)+c<<3)|0;p[Qa>>3]=1.0;c=c+1|0}while((c|0)!=(g|0));d=_a+760|0;j=d;k=j+72|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));if(e){c=0;do{p[d+(c<<3)>>3]=1.0;c=c+1|0}while((c|0)<(g|0));Qa=d}else Qa=d}else sa=36}else sa=36;if((sa|0)==36){c=_a+760|0;j=c;k=j+72|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));Qa=c}do if(!(le(a,47931,Sa,63,n)|0))f[_a+9312>>2]=0;else{s=fd(a,n)|0;b[S>>0]=s;if(s<<24>>24!=95){c=gd(a,S)|0;f[_a+9312>>2]=c;if(c|0){f[c+9316>>2]=_a;break}}else{a=f[4971]|0;f[m>>2]=n;zy(a,47663,m)|0;f[_a+9312>>2]=0}zd(47938);md(_a);_a=0;u=$a;return _a|0}while(0);c=_a+3224|0;d=_a+3232|0;f[c>>2]=0;f[c+4>>2]=0;f[c+8>>2]=0;f[c+12>>2]=0;do if(!(he(a,47980,Sa,c)|0)){if(he(a,47988,Sa,d)|0){p[c>>3]=+p[d>>3]*299792.5;break}if(ie(a,47996,c)|0)p[d>>3]=+p[c>>3]/299792.5}else p[d>>3]=+p[c>>3]/299792.5;while(0);s=_a+4096|0;j=s;k=j+80|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));do if(!(le(a,97364,Sa,16,I)|0)){c=b[Sa>>0]|0;switch(c<<24>>24){case 32:case 0:break;default:{f[A>>2]=c<<24>>24;ww(z,48303,A)|0;zd(z);md(_a);_a=0;u=$a;return _a|0}}if(_d(a,48339)|0){f[_a+3260>>2]=31;d=_d(a,48339)|0;ie(d,48339,w)|0;ie(d,48346,x)|0;ie(d,48353,y)|0;p[_a+152>>3]=(+p[w>>3]+ +p[x>>3]/60.0+ +p[y>>3]/3600.0)*15.0*3.141592653589793/180.0;b[t>>0]=43;me(d,48360,1,t)|0;cb=(b[t>>0]|0)==45?-1.0:1.0;ie(d,48369,o)|0;ie(d,48377,q)|0;ie(d,48385,r)|0;p[_a+160>>3]=cb*(+p[o>>3]+ +p[q>>3]/60.0+ +p[r>>3]/3600.0)*3.141592653589793/180.0;d=_a+120|0;ie(a,48393,d)|0;ae(a,48393,v)|0;e=_a+3764|0;c=(f[v>>2]|0)==1950?3427142:3492678;b[e>>0]=c;b[e+1>>0]=c>>8;b[e+2>>0]=c>>16;b[e+3>>0]=c>>24;c=_a+128|0;p[c>>3]=+p[d>>3];ie(a,76564,c)|0;cb=+p[x>>3];bb=+p[y>>3];c=b[t>>0]|0;ab=+p[o>>3];h=+p[q>>3];i=+p[r>>3];p[B>>3]=+p[w>>3];p[B+8>>3]=cb;p[B+16>>3]=bb;f[B+24>>2]=c;p[B+32>>3]=ab;p[B+40>>3]=h;p[B+48>>3]=i;f[B+56>>2]=e;ww(_a+3892|0,48401,B)|0;ie(a,48442,_a+168|0)|0;ie(a,48451,_a+192|0)|0;ie(a,48460,_a+200|0)|0;ie(a,48469,_a+176|0)|0;ie(a,48476,_a+184|0)|0;e=_d(a,48483)|0;c=_a+208|0;f[C>>2]=1;ww(Wa,48488,C)|0;p[c>>3]=0.0;ie(e,Wa,c)|0;f[D>>2]=2;ww(Wa,48488,D)|0;c=_a+216|0;p[c>>3]=0.0;ie(e,Wa,c)|0;f[E>>2]=3;ww(Wa,48488,E)|0;c=_a+224|0;p[c>>3]=0.0;ie(e,Wa,c)|0;f[F>>2]=4;ww(Wa,48488,F)|0;c=_a+232|0;p[c>>3]=0.0;ie(e,Wa,c)|0;f[G>>2]=5;ww(Wa,48488,G)|0;c=_a+240|0;p[c>>3]=0.0;ie(e,Wa,c)|0;f[H>>2]=6;ww(Wa,48488,H)|0;c=_a+248|0;p[c>>3]=0.0;ie(e,Wa,c)|0;c=_d(a,48494)|0;e=_a+256|0;d=0;do{Za=d;d=d+1|0;f[K>>2]=d;ww(Wa,48500,K)|0;Za=e+(Za<<3)|0;p[Za>>3]=0.0;ie(c,Wa,Za)|0}while((d|0)!=20);c=_d(a,48507)|0;e=_a+416|0;d=0;do{a=d;d=d+1|0;f[L>>2]=d;ww(Wa,48513,L)|0;a=e+(a<<3)|0;p[a>>3]=0.0;ie(c,Wa,a)|0}while((d|0)!=20);c=_a+3312|0;f[c>>2]=1;j=_a+3449|0;b[j>>0]=b[51026]|0;b[j+1>>0]=b[51027]|0;b[j+2>>0]=b[51028]|0;j=_a+3458|0;b[j>>0]=68;b[j+1>>0]=69;b[j+2>>0]=67;b[j+3>>0]=0;j=_a+3467|0;b[j>>0]=68;b[j+1>>0]=83;b[j+2>>0]=83;b[j+3>>0]=0;f[_a+3292>>2]=0;f[_a+3288>>2]=3;j=_a+3368|0;d=48520;k=j+9|0;do{b[j>>0]=b[d>>0]|0;j=j+1|0;d=d+1|0}while((j|0)<(k|0));j=_a+3377|0;d=48529;k=j+9|0;do{b[j>>0]=b[d>>0]|0;j=j+1|0;d=d+1|0}while((j|0)<(k|0));cb=+p[M>>3]*.5;a=_a+616|0;p[a>>3]=cb;bb=+p[Fa>>3]*.5;Za=_a+624|0;p[Za>>3]=bb;p[_a+16>>3]=cb;p[_a+24>>3]=bb;Ke(cb,bb,_a,Da,Ba)|0;bb=+p[Da>>3];p[_a+688>>3]=bb;cb=+p[Ba>>3];p[_a+696>>3]=cb;p[_a>>3]=bb;p[_a+8>>3]=cb;Ke(+p[a>>3],+p[Za>>3]+1.0,_a,Ea,Ca)|0;cb=+p[Ca>>3]-+p[Ba>>3];p[_a+40>>3]=cb;p[_a+32>>3]=-cb;id(_a);f[c>>2]=1;vd(_a);cb=+p[Ga>>3]*3.141592653589793/180.0;p[Ja>>3]=cb;bb=+p[a>>3]+ +N(+cb);Ke(bb,+p[Za>>3]+ +O(+cb),_a,Ea,Ca)|0;cb=-+Dd(+p[Da>>3],+p[Ba>>3],+p[Ea>>3],+p[Ca>>3]);p[Qa>>3]=cb;cb=+p[Ja>>3];bb=+p[a>>3]+ +O(+cb);Ke(bb,+p[Za>>3]+ +N(+cb),_a,Ea,Ca)|0;cb=+Dd(+p[Da>>3],+p[Ba>>3],+p[Ea>>3],+p[Ca>>3]);p[_a+768>>3]=cb;pd(_a,+p[Qa>>3],cb,+p[Ga>>3]);c=a;break}if(((((_d(a,48150)|0)==0?(_d(a,48157)|0)==0:0)?(_d(a,48166)|0)==0:0)?(_d(a,48175)|0)==0:0)?(_d(a,48184)|0)==0:0){zd(48635);md(_a);_a=0;u=$a;return _a|0}p[Aa>>3]=0.0;ie(a,48150,Aa)|0;h=+p[Aa>>3];if(h==0.0){ie(a,48157,Aa)|0;h=+p[Aa>>3]}do if(h==0.0){ie(a,48184,Aa)|0;h=+p[Aa>>3];if(h!=0.0){p[Na>>3]=-h/3600.0;ie(a,48192,Aa)|0;p[Oa>>3]=+p[Aa>>3]/3600.0;break}ie(a,48175,Aa)|0;h=+p[Aa>>3];if(h!=0.0){p[Na>>3]=-h/3600.0;ie(a,48200,Aa)|0;p[Oa>>3]=+p[Aa>>3]/3600.0;break}else{ie(a,48166,Aa)|0;p[Na>>3]=-+p[Aa>>3]/3600.0;ie(a,48209,Aa)|0;p[Oa>>3]=+p[Aa>>3]/3600.0;break}}else{cb=h/3600.0;p[Oa>>3]=cb;p[Na>>3]=-cb}while(0);p[Ja>>3]=0.0;ie(a,48250,Ja)|0;if(+p[Ga>>3]==0.0)ie(a,97333,Ja)|0;pd(_a,+p[Na>>3],+p[Oa>>3],+p[Ja>>3]);c=_a+616|0;p[c>>3]=+p[M>>3]*.5+.5;d=_a+624|0;p[d>>3]=+p[Fa>>3]*.5+.5;if(_d(a,97281)|0){ie(a,97281,c)|0;ie(a,97288,d)|0}p[_a+16>>3]=+p[c>>3];p[_a+24>>3]=+p[d>>3];e=_a+688|0;p[e>>3]=-999.0;if(!(ee(a,51026,e)|0)){zd(48538);md(_a);_a=0;u=$a;return _a|0}d=_a+696|0;p[d>>3]=-999.0;if(!(ge(a,48931,d)|0)){zd(48573);md(_a);_a=0;u=$a;return _a|0}bb=+p[e>>3];p[_a>>3]=bb;cb=+p[d>>3];p[_a+8>>3]=cb;e=_a+3304|0;f[e>>2]=0;p[_a+3992>>3]=bb;p[_a+4e3>>3]=cb;d=_a+4008|0;p[d>>3]=999.0;if(!(ie(a,48046,d)|0))ie(a,48608,d)|0;Wa=_a+4016|0;p[Wa>>3]=999.0;ie(a,48054,Wa)|0;do if(!(ie(a,76431,Xa)|0)){d=_a+128|0;if(!(je(a,48285,d)|0)){if(je(a,93895,d)|0)break;if(ie(a,76564,d)|0)break;p[d>>3]=+p[_a+120>>3];break}me(a,48285,32,Ya)|0;if(Cx(Ya,84)|0)break;if(ie(a,48294,Za)|0){p[d>>3]=+p[d>>3]+ +p[Za>>3]/8765.812770744;break}if(!(ie(a,48297,Za)|0))break;p[d>>3]=+p[d>>3]+ +p[Za>>3]/8765.812770744}else p[_a+128>>3]=(+p[Xa>>3]+-15019.81352)/365.242198781+1900.0;while(0);od(_a,48617,48626)|0;f[e>>2]=0;b[S>>0]=0;hd(a,_a,S);id(_a);f[_a+3292>>2]=0;f[_a+3288>>2]=3;f[_a+3312>>2]=1}else{Jx(J,I)|0;c=(le(a,48005,Sa,16,J)|0)==0;Jx(_a+3368|0,I)|0;Jx(_a+3377|0,J)|0;if(!(ne(J,97376)|0)){t=(ne(J,48931)|0)==0;t=t?1:2}else t=2;S=_a+3386|0;b[S>>0]=0;le(a,48012,Sa,9,S)|0;S=_a+3395|0;b[S>>0]=0;le(a,48019,Sa,9,S)|0;if(od(_a,I,J)|0){md(_a);_a=0;u=$a;return _a|0}v=_a+3260|0;do if(!(f[v>>2]|0)){d=_a+3476|0;if((le(a,48026,Sa,16,d)|0)==0?(ue(a,50055,48033,16,d)|0)==0:0)b[d>>0]=0;if(!(tw(d,96524)|0))f[v>>2]=-1;if(!c){c=_a+3508|0;do if(!(le(a,48039,Sa,16,c)|0)){if(ue(a,50221,48033,16,c)|0)break;b[c>>0]=0}while(0);if(tw(d,96524)|0)break;f[v>>2]=-1}}while(0);c=_a+616|0;p[c>>3]=1.0;he(a,97281,Sa,c)|0;r=_a+624|0;p[r>>3]=1.0;he(a,97288,Sa,r)|0;p[_a+16>>3]=+p[c>>3];p[_a+24>>3]=+p[r>>3];e=_a+688|0;p[e>>3]=0.0;he(a,97267,Sa,e)|0;d=_a+696|0;p[d>>3]=0.0;he(a,97274,Sa,d)|0;switch(f[_a+3884>>2]|0){case 7:{p[d>>3]=90.0-+p[d>>3];sa=72;break}case 8:{i=+p[d>>3]+-90.0;p[d>>3]=i;break}default:sa=72}if((sa|0)==72)i=+p[d>>3];cb=+p[e>>3];p[_a>>3]=cb;p[_a+8>>3]=i;q=(f[_a+3304>>2]|0)==0;p[_a+3992>>3]=q?cb:i;p[_a+4e3>>3]=q?i:cb;q=_a+3176|0;p[q>>3]=999.0;he(a,48046,Sa,q)|0;p[_a+4008>>3]=+p[q>>3];q=_a+3184|0;p[q>>3]=999.0;he(a,48054,Sa,q)|0;p[_a+4016>>3]=+p[q>>3];f[_a+3964>>2]=c;f[_a+3972>>2]=Qa;f[_a+3968>>2]=Va;q=_a+4088|0;p[q>>3]=0.0;he(a,48062,Sa,q)|0;f[Q>>2]=0;ww(Wa,48069,Q)|0;he(a,Wa,Sa,s)|0;f[P>>2]=1;ww(Wa,48069,P)|0;q=_a+4104|0;he(a,Wa,Sa,q)|0;f[R>>2]=2;ww(Wa,48069,R)|0;o=_a+4112|0;he(a,Wa,Sa,o)|0;f[T>>2]=3;ww(Wa,48069,T)|0;n=_a+4120|0;he(a,Wa,Sa,n)|0;f[U>>2]=4;ww(Wa,48069,U)|0;m=_a+4128|0;he(a,Wa,Sa,m)|0;f[V>>2]=5;ww(Wa,48069,V)|0;l=_a+4136|0;he(a,Wa,Sa,l)|0;f[W>>2]=6;ww(Wa,48069,W)|0;k=_a+4144|0;he(a,Wa,Sa,k)|0;f[Z>>2]=7;ww(Wa,48069,Z)|0;j=_a+4152|0;he(a,Wa,Sa,j)|0;f[_>>2]=8;ww(Wa,48069,_)|0;g=_a+4160|0;he(a,Wa,Sa,g)|0;f[$>>2]=9;ww(Wa,48069,$)|0;e=_a+4168|0;he(a,Wa,Sa,e)|0;f[aa>>2]=t;ww(pa,48077,aa)|0;f[ba>>2]=t;ww(oa,48084,ba)|0;f[ca>>2]=t;ww(na,48091,ca)|0;d=f[v>>2]|0;switch(d|0){case 17:case 15:case 16:case 14:case 4:case 1:{he(a,pa,Sa,_a+4104|0)|0;he(a,oa,Sa,_a+4112|0)|0;sa=94;break}case 2:{he(a,pa,Sa,_a+4104|0)|0;he(a,oa,Sa,_a+4112|0)|0;d=_a+4120|0;if(+p[d>>3]==0.0)p[d>>3]=90.0;he(a,na,Sa,d)|0;sa=94;break}case 13:{d=_a+4104|0;if(+p[d>>3]==0.0)p[d>>3]=1.0;he(a,pa,Sa,d)|0;sa=94;break}case 10:{d=_a+4104|0;if(+p[d>>3]==0.0)p[d>>3]=1.0;he(a,pa,Sa,d)|0;d=_a+4112|0;if(+p[d>>3]==0.0)p[d>>3]=1.0;he(a,oa,Sa,d)|0;sa=94;break}case 9:{d=_a+4104|0;if(+p[d>>3]==0.0)p[d>>3]=90.0;he(a,pa,Sa,d)|0;sa=94;break}case 18:{he(a,pa,Sa,_a+4104|0)|0;sa=94;break}case 7:{f[da>>2]=t;f[da+4>>2]=0;ww(Wa,48098,da)|0;he(a,Wa,Sa,s)|0;f[ea>>2]=t;f[ea+4>>2]=1;ww(Wa,48098,ea)|0;he(a,Wa,Sa,q)|0;f[fa>>2]=t;f[fa+4>>2]=2;ww(Wa,48098,fa)|0;he(a,Wa,Sa,o)|0;f[ga>>2]=t;f[ga+4>>2]=3;ww(Wa,48098,ga)|0;he(a,Wa,Sa,n)|0;f[ha>>2]=t;f[ha+4>>2]=4;ww(Wa,48098,ha)|0;he(a,Wa,Sa,m)|0;f[ia>>2]=t;f[ia+4>>2]=5;ww(Wa,48098,ia)|0;he(a,Wa,Sa,l)|0;f[ja>>2]=t;f[ja+4>>2]=6;ww(Wa,48098,ja)|0;he(a,Wa,Sa,k)|0;f[ka>>2]=t;f[ka+4>>2]=7;ww(Wa,48098,ka)|0;he(a,Wa,Sa,j)|0;f[la>>2]=t;f[la+4>>2]=8;ww(Wa,48098,la)|0;he(a,Wa,Sa,g)|0;f[ma>>2]=t;f[ma+4>>2]=9;ww(Wa,48098,ma)|0;he(a,Wa,Sa,e)|0;sa=94;break}case 27:{he(a,48106,Sa,_a+4104|0)|0;he(a,48112,Sa,_a+4112|0)|0;sa=94;break}case 36:{he(a,48106,Sa,_a+4104|0)|0;sa=94;break}default:{}}if((sa|0)==94)d=f[v>>2]|0;if((d|0)==33)if(!(Ae(a,_a)|0)){d=f[v>>2]|0;sa=98}else sa=102;else sa=98;do if((sa|0)==98){if((d|0)==34){if(He(a,_a)|0){d=7;e=78;g=3375;sa=103;break}d=f[v>>2]|0}if((d|0)==35)sa=102}while(0);if((sa|0)==102){b[_a+3374>>0]=65;b[_a+3375>>0]=78;d=3;e=65;g=3383;sa=103}if((sa|0)==103){b[_a+g>>0]=e;b[_a+3384>>0]=78;f[v>>2]=d}if((f[Y>>2]|0)>0)hd(a,_a,Sa);id(_a);yg(_a,a);f[ra>>2]=0;f[xa>>2]=0;d=he(a,97302,Sa,ya)|0;e=he(a,97314,Sa,ua)|0;g=he(a,97308,Sa,va)|0;j=he(a,97320,Sa,wa)|0;do if((f[Y>>2]|0)==2)sa=117;else{k=_d(a,48118)|0;if(!k){sa=117;break}f[v>>2]=32;e=_a+3467|0;b[e>>0]=b[48124]|0;b[e+1>>0]=b[48125]|0;b[e+2>>0]=b[48126]|0;b[e+3>>0]=b[48127]|0;b[e+4>>0]=b[48128]|0;b[e+5>>0]=b[48129]|0;e=_a+256|0;d=0;do{Oa=d;d=d+1|0;f[ta>>2]=d;ww(Wa,48130,ta)|0;Oa=e+(Oa<<3)|0;p[Oa>>3]=0.0;if(ie(k,Wa,Oa)|0)f[ra>>2]=d}while((d|0)!=20);d=_d(a,48137)|0;g=_a+416|0;e=0;do{Oa=e;e=e+1|0;f[za>>2]=e;ww(Wa,48143,za)|0;Oa=g+(Oa<<3)|0;p[Oa>>3]=0.0;if(ie(d,Wa,Oa)|0)f[xa>>2]=e}while((e|0)!=20);ye(+p[c>>3],+p[r>>3],_a,Da,Ba)|0;ye(+p[c>>3],+p[r>>3]+1.0,_a,Ea,Ca)|0;cb=+p[Ca>>3]-+p[Ba>>3];Oa=_a+40|0;p[Oa>>3]=cb;Na=_a+32|0;p[Na>>3]=-cb;f[_a+3312>>2]=1;vd(_a);p[Ja>>3]=+p[Ga>>3]*3.141592653589793/180.0;ye(+p[c>>3],+p[r>>3],_a,Da,Ba)|0;cb=+p[Ja>>3];bb=+p[c>>3]+ +N(+cb);ye(bb,+p[r>>3]+ +O(+cb),_a,Ea,Ca)|0;cb=-+Dd(+p[Da>>3],+p[Ba>>3],+p[Ea>>3],+p[Ca>>3]);p[Qa>>3]=cb;p[Na>>3]=cb;cb=+p[Ja>>3];bb=+p[c>>3]+ +O(+cb);ye(bb,+p[r>>3]+ +N(+cb),_a,Ea,Ca)|0;cb=+Dd(+p[Da>>3],+p[Ba>>3],+p[Ea>>3],+p[Ca>>3]);p[_a+768>>3]=cb;p[Oa>>3]=cb;Oa=_a+56|0;p[Oa>>3]=+p[ya>>3];p[_a+64>>3]=+p[ua>>3];p[_a+72>>3]=+p[va>>3];p[_a+80>>3]=+p[wa>>3];Ye(2,Oa,_a+88|0)|0}while(0);b:do if((sa|0)==117){if(e|d|g|j|0){f[qa>>2]=1;ud(_a,ya);break}if(!(he(a,97295,Sa,Na)|0)){p[_a+32>>3]=1.0;p[_a+40>>3]=1.0;p[Qa>>3]=1.0;p[_a+768>>3]=1.0;p[Ga>>3]=0.0;f[qa>>2]=0;zd(48257);break}he(a,97326,Sa,Oa)|0;if(!(!(+p[Na>>3]==0.0)?(h=+p[Oa>>3],!(+p[Fa>>3]>1.0&h==0.0)):0))sa=122;c:do if((sa|0)==122){do if(!(_d(a,48150)|0)){if(_d(a,48157)|0)break;if(_d(a,48166)|0)break;if(_d(a,48175)|0)break;if(_d(a,48184)|0)break;h=+p[Oa>>3];break c}while(0);p[Aa>>3]=0.0;ie(a,48150,Aa)|0;h=+p[Aa>>3];if(h==0.0){ie(a,48157,Aa)|0;h=+p[Aa>>3]}if(!(h==0.0)){if(+p[Na>>3]==0.0)p[Na>>3]=-h/3600.0;i=+p[Oa>>3];if(!(i==0.0)){h=i;break}h=h/3600.0;p[Oa>>3]=h;break}ie(a,48184,Aa)|0;h=+p[Aa>>3];if(h!=0.0){if(+p[Na>>3]==0.0)p[Na>>3]=-h/3600.0;h=+p[Oa>>3];if(!(h==0.0))break;ie(a,48192,Aa)|0;h=+p[Aa>>3]/3600.0;p[Oa>>3]=h;break}ie(a,48175,Aa)|0;h=+p[Aa>>3];if(h!=0.0){if(+p[Na>>3]==0.0)p[Na>>3]=-h/3600.0;h=+p[Oa>>3];if(!(h==0.0))break;ie(a,48200,Aa)|0;h=+p[Aa>>3]/3600.0;p[Oa>>3]=h;break}else{ie(a,48166,Aa)|0;h=+p[Aa>>3];if(h!=0.0&+p[Na>>3]==0.0)p[Na>>3]=-h/3600.0;h=+p[Oa>>3];if(!(h==0.0))break;ie(a,48209,Aa)|0;h=+p[Aa>>3]/3600.0;p[Oa>>3]=h;break}}while(0);do if(h==0.0){if(!(+p[Fa>>3]>1.0))break;p[Oa>>3]=-+p[Na>>3]}while(0);p[_a+776>>3]=1.0;p[_a+784>>3]=1.0;Fz(Ma|0,0,648)|0;Fz(Va|0,0,648)|0;d=f[Ka>>2]|0;if((d|0)>0){e=0;do{Ga=Ma+((X(d,e)|0)+e<<3)|0;p[Ga>>3]=1.0;e=e+1|0}while((e|0)<(d|0))}do if(!(b[Sa>>0]|0)){if(!(ie(a,48218,Ma)|0))break;d=f[Ka>>2]|0;if((d|0)>0){k=0;e=0;do{f[Ra>>2]=0;j=k;k=k+1|0;if((d|0)>0){g=0;do{d=Ma+(e<<3)|0;p[d>>3]=(j|0)==(g|0)?1.0:0.0;f[Ha>>2]=k;f[Ha+4>>2]=g+1;ww(Wa,48227,Ha)|0;e=e+1|0;ie(a,Wa,d)|0;g=(f[Ra>>2]|0)+1|0;f[Ra>>2]=g;d=f[Ka>>2]|0}while((g|0)<(d|0))}}while((k|0)<(d|0))}Ad(_a,+p[Na>>3],+p[Oa>>3],Ma);break b}while(0);if(!(he(a,97340,Sa,Ma)|0)){p[Ja>>3]=0.0;if((t|0)==2)he(a,97333,Sa,Ja)|0;else he(a,48250,Sa,Ja)|0;pd(_a,+p[Na>>3],+p[Oa>>3],+p[Ja>>3]);break}d=f[Ka>>2]|0;if((d|0)>0){k=0;e=0;do{f[Ra>>2]=0;j=k;k=k+1|0;if((d|0)>0){g=0;do{d=Ma+(e<<3)|0;p[d>>3]=(j|0)==(g|0)?1.0:0.0;f[Ia>>2]=k;f[Ia+4>>2]=g+1;ww(Wa,48240,Ia)|0;e=e+1|0;he(a,Wa,Sa,d)|0;g=(f[Ra>>2]|0)+1|0;f[Ra>>2]=g;d=f[Ka>>2]|0}while((g|0)<(d|0))}}while((k|0)<(d|0))}Ad(_a,+p[Na>>3],+p[Oa>>3],Ma)}while(0);do if((f[v>>2]|0)==3){if((f[La>>2]|0)!=2)break;e=_a+3168|0;d=f[e>>2]|0;if(d|0){Oe(d);f[e>>2]=0}e=_a+3172|0;d=f[e>>2]|0;if(d|0){Oe(d);f[e>>2]=0}f[_a+1560>>2]=0;k=_a+1568|0;j=_a+4344|0;d=0;do{p[k+(d<<3)>>3]=0.0;p[j+(d<<3)>>3]=0.0;d=d+1|0}while((d|0)!=200);f[Ra>>2]=0;e=0;d=0;do{f[Pa>>2]=1;f[Pa+4>>2]=d;ww(Wa,48098,Pa)|0;if(!(he(a,Wa,Sa,k+(f[Ra>>2]<<3)|0)|0)){d=f[Ra>>2]|0;p[k+(d<<3)>>3]=0.0}else{d=f[Ra>>2]|0;e=e+1|0}d=d+1|0;f[Ra>>2]=d}while((d|0)<100);f[Ra>>2]=0;d=0;do{f[Ta>>2]=2;f[Ta+4>>2]=d;ww(Wa,48098,Ta)|0;if(!(he(a,Wa,Sa,k+((f[Ra>>2]|0)+100<<3)|0)|0)){d=f[Ra>>2]|0;p[k+(d+100<<3)>>3]=0.0}else{d=f[Ra>>2]|0;e=e+1|0}d=d+1|0;f[Ra>>2]=d}while((d|0)<100);if((e|0)<=0)break;if((f[_a+5968>>2]|0)==1)break;e=_a+3948|0;g=_a+3944|0;d=100;while(1){p[j+(d<<3)>>3]=+p[k+(((f[e>>2]|0)*100|0)+d<<3)>>3];p[j+(d+100<<3)>>3]=+p[k+(((f[g>>2]|0)*100|0)+d<<3)>>3];if((d|0)>0)d=d+-1|0;else break}jd(_a);f[Ua>>2]=0}while(0);d=_a+3467|0;if(!((vw(d,48890,6)|0)!=0?(vw(d,48897,5)|0)!=0:0)){f[_a+3292>>2]=-1;f[_a+3288>>2]=5}do if(!(ie(a,76431,Xa)|0)){d=_a+128|0;if(!(je(a,48285,d)|0)){if(je(a,93895,d)|0)break;if(ie(a,76564,d)|0)break;p[d>>3]=+p[_a+120>>3];break}me(a,48285,32,Ya)|0;if(Cx(Ya,84)|0)break;if(ie(a,48294,Za)|0){p[d>>3]=+p[d>>3]+ +p[Za>>3]/8765.812770744;break}if(!(ie(a,48297,Za)|0))break;p[d>>3]=+p[d>>3]+ +p[Za>>3]/8765.812770744}else p[_a+128>>3]=(+p[Xa>>3]+-15019.81352)/365.242198781+1900.0;while(0);f[_a+3312>>2]=1}while(0);f[_a+3964>>2]=c;f[_a+3972>>2]=Qa;f[_a+3968>>2]=Va;f[_a+3284>>2]=1;f[_a+3296>>2]=0;f[_a+3328>>2]=0;sd(_a);u=$a;return _a|0}function hd(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0.0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;t=u;u=u+160|0;i=t+32|0;h=t+24|0;r=t+72|0;s=t+40|0;k=t+128|0;n=t+112|0;j=t+8|0;l=t+80|0;m=t;f[r>>2]=0;b[s>>0]=0;b[k>>0]=0;e=b[d>>0]|0;if(!(e<<24>>24)){d=j;f[d>>2]=1230328133;f[d+4>>2]=5787470;d=n;h=76597;i=d+9|0;do{b[d>>0]=b[h>>0]|0;d=d+1|0;h=h+1|0}while((d|0)<(i|0))}else{f[h>>2]=e<<24>>24;ww(j,48764,h)|0;f[i>>2]=b[d>>0];ww(n,48774,i)|0}if((me(a,j,31,k)|0)==0?me(a,48393,31,k)|0:0){i=j;f[i>>2]=1230328133;f[i+4>>2]=5787470}if((me(a,n,31,s)|0)==0?me(a,76597,31,s)|0:0){d=n;h=76597;i=d+9|0;do{b[d>>0]=b[h>>0]|0;d=d+1|0;h=h+1|0}while((d|0)<(i|0))}a:do switch(b[k>>0]|0){case 74:{d=k+1|0;g=+rz(d);p[c+120>>3]=g;d=uz(d)|0;f[r>>2]=d;f[s>>2]=3492678;e=0;o=31;break}case 66:{d=k+1|0;g=+rz(d);p[c+120>>3]=g;d=~~+rz(d);f[r>>2]=d;f[s>>2]=3427142;e=0;o=31;break}default:{do if(!(ae(a,j,r)|0)){if(ae(a,76564,r)|0)if(!(f[r>>2]|0)){f[r>>2]=1950;p[c+120>>3]=1950.0;e=0;break}else{ie(a,76564,c+120|0)|0;e=1;break}if(b[s>>0]|0){if(!(vw(s,49453,3)|0)){p[c+120>>3]=1950.0;f[r>>2]=1950;d=0;break a}if(!(vw(s,49432,4)|0)){p[c+120>>3]=2.0e3;f[r>>2]=2e3;d=0;break a}if(!(vw(s,49437,3)|0)){p[c+120>>3]=2.0e3;f[r>>2]=2e3;d=0;break a}if(!(vw(s,48785,3)|0)){p[c+120>>3]=2.0e3;f[r>>2]=2e3;d=0;break a}if(!(vw(s,48789,3)|0)){p[c+120>>3]=2.0e3;f[r>>2]=2e3;d=0;break a}else e=0}else e=0}else{ie(a,j,c+120|0)|0;e=1}while(0);d=f[r>>2]|0;o=31}}while(0);do if((o|0)==31)if(!d){p[c+120>>3]=2.0e3;f[r>>2]=2e3;d=c+3449|0;if(vw(d,51026,2)|0?vw(d,48931,3)|0:0){d=e;break}f[s>>2]=3492678;d=e}else d=e;while(0);e=c+128|0;do if(!(je(a,48285,e)|0))if((je(a,93895,e)|0)==0?(ie(a,76564,e)|0)==0:0){g=+p[c+120>>3];p[e>>3]=g}else o=44;else{me(a,48285,32,l)|0;if(!(Cx(l,84)|0)){if(ie(a,48294,m)|0){g=+p[e>>3]+ +p[m>>3]/8765.812770744;p[e>>3]=g;break}if(ie(a,48297,m)|0){g=+p[e>>3]+ +p[m>>3]/8765.812770744;p[e>>3]=g}else o=44}else o=44}while(0);if((o|0)==44)g=+p[e>>3];if(g==0.0)p[e>>3]=+p[c+120>>3];do if((b[s>>0]|0)==0?(me(a,n,31,s)|0,(b[s>>0]|0)==0):0){if((f[c+3884>>2]|0)!=7){e=c+3764|0;if((f[r>>2]|0)>1980){b[e>>0]=70;b[e+1>>0]=75;b[e+2>>0]=53;b[e+3>>0]=0;break}else{b[e>>0]=70;b[e+1>>0]=75;b[e+2>>0]=52;b[e+3>>0]=0;break}}}else o=49;while(0);do if((o|0)==49?(q=c+3764|0,Jx(q,s)|0,(d|0)==0):0){if(!(vw(q,49453,3)|0)){p[c+120>>3]=1950.0;break}if(!(vw(q,49437,3)|0)){p[c+120>>3]=2.0e3;break}if(!(vw(q,49432,4)|0)){p[c+120>>3]=2.0e3;break}s=vw(q,48785,3)|0;if(!(f[r>>2]|s))p[c+120>>3]=2.0e3}while(0);switch(b[c+3449>>0]|0){case 71:{e=c+3764|0;d=e;h=48793;i=d+9|0;do{b[d>>0]=b[h>>0]|0;d=d+1|0;h=h+1|0}while((d|0)<(i|0));s=e;s=Vd(s)|0;c=c+3884|0;f[c>>2]=s;u=t;return}case 69:{e=c+3764|0;d=e;h=48802;i=d+9|0;do{b[d>>0]=b[h>>0]|0;d=d+1|0;h=h+1|0}while((d|0)<(i|0));s=e;s=Vd(s)|0;c=c+3884|0;f[c>>2]=s;u=t;return}case 83:{e=c+3764|0;d=e;h=48811;i=d+9|0;do{b[d>>0]=b[h>>0]|0;d=d+1|0;h=h+1|0}while((d|0)<(i|0));s=e;s=Vd(s)|0;c=c+3884|0;f[c>>2]=s;u=t;return}case 72:{e=c+3764|0;d=e;h=48820;i=d+9|0;do{b[d>>0]=b[h>>0]|0;d=d+1|0;h=h+1|0}while((d|0)<(i|0));s=e;s=Vd(s)|0;c=c+3884|0;f[c>>2]=s;u=t;return}case 65:{s=c+3764|0;b[s>>0]=b[48829]|0;b[s+1>>0]=b[48830]|0;b[s+2>>0]=b[48831]|0;b[s+3>>0]=b[48832]|0;b[s+4>>0]=b[48833]|0;b[s+5>>0]=b[48834]|0;s=Vd(s)|0;c=c+3884|0;f[c>>2]=s;u=t;return}case 76:{s=c+3764|0;b[s>>0]=b[48890]|0;b[s+1>>0]=b[48891]|0;b[s+2>>0]=b[48892]|0;b[s+3>>0]=b[48893]|0;b[s+4>>0]=b[48894]|0;b[s+5>>0]=b[48895]|0;b[s+6>>0]=b[48896]|0;s=Vd(s)|0;c=c+3884|0;f[c>>2]=s;u=t;return}default:{s=c+3764|0;s=Vd(s)|0;c=c+3884|0;f[c>>2]=s;u=t;return}}}function id(a){a=a|0;var c=0,d=0,e=0,g=0;e=a+3764|0;g=(Bx(e)|0)==0;c=f[a+3260>>2]|0;if(!g){if(!c){c=0;d=3}}else d=3;if((d|0)==3){b[e>>0]=b[48890]|0;b[e+1>>0]=b[48891]|0;b[e+2>>0]=b[48892]|0;b[e+3>>0]=b[48893]|0;b[e+4>>0]=b[48894]|0;b[e+5>>0]=b[48895]|0;b[e+6>>0]=b[48896]|0}if((c|0)==-1){b[e>>0]=b[48897]|0;b[e+1>>0]=b[48898]|0;b[e+2>>0]=b[48899]|0;b[e+3>>0]=b[48900]|0;b[e+4>>0]=b[48901]|0;b[e+5>>0]=b[48902]|0}d=Vd(e)|0;f[a+3884>>2]=d;do if((d|0)!=2){c=a+3796|0;if((d|0)==1){b[c>>0]=70;b[c+1>>0]=75;b[c+2>>0]=53;b[c+3>>0]=0;break}else{Jx(c,e)|0;break}}else{c=a+3796|0;b[c>>0]=70;b[c+1>>0]=75;b[c+2>>0]=52;b[c+3>>0]=0}while(0);g=Vd(c)|0;f[a+3888>>2]=g;g=a+120|0;p[a+3872>>3]=+p[g>>3];d=a+3828|0;Jx(d,e)|0;e=Vd(d)|0;f[a+3880>>2]=e;p[a+3864>>3]=+p[g>>3];return}function jd(a){a=a|0;var b=0,c=0,d=0.0,e=0,g=0,h=0.0,i=0,j=0,k=0.0,l=0.0,m=0,n=0,o=0,q=0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,M=0,N=0,O=0;O=u;u=u+192|0;J=O+104|0;A=O+96|0;z=O+88|0;E=O+72|0;F=O+56|0;G=O+40|0;N=O+32|0;M=O+108|0;I=O+112|0;j=O+24|0;g=O+16|0;i=O+8|0;e=O;m=N;f[m>>2]=1;f[m+4>>2]=1;m=f[a+3944>>2]|0;n=f[a+3948>>2]|0;if((f[a+3316>>2]|0)!=2){u=O;return}H=a+3928|0;if(tw(H,51219)|0){u=O;return}if(+p[a+1568+((m*100|1)<<3)>>3]==0.0?+p[a+1568+((n*100|1)<<3)>>3]==0.0:0){u=O;return}c=a+9312|0;b=f[c>>2]|0;if(!b){p[j>>3]=0.0;p[g>>3]=0.0;d=+p[a+136>>3];p[i>>3]=d;h=+p[a+144>>3];p[e>>3]=h;l=0.0;k=0.0}else{wd(b,0.0,0.0,j,g);wd(f[c>>2]|0,+p[a+136>>3],+p[a+144>>3],i,e);h=+p[e>>3];l=+p[g>>3];d=+p[i>>3];k=+p[j>>3]}t=(m|0)==0;r=(d-k)/11.0;d=(h-l)/11.0;h=t?r:d;r=t?d:r;B=Nv(288,8)|0;C=Nv(144,8)|0;D=Nv(144,8)|0;d=(t?l:k)+.5;x=G+(n<<3)|0;p[x>>3]=d;y=F+(n<<3)|0;p[y>>3]=d;d=(t?k:l)+.5;t=G+(m<<3)|0;p[t>>3]=d;v=F+(m<<3)|0;p[v>>3]=d;w=a+3956|0;q=E+(m<<3)|0;s=E+(n<<3)|0;n=a+4064|0;i=11;b=D;j=C;m=B;while(1){p[v>>3]=d;o=b+96|0;g=11;c=j;e=m;while(1){if(_e(F,w,E)|0){f[z>>2]=H;ww(I,48659,z)|0;zd(I)}p[c>>3]=+p[q>>3];p[b>>3]=+p[s>>3];kg(n,+p[q>>3],+p[s>>3],e,e+8|0)|0;p[v>>3]=h+ +p[v>>3];if(!g)break;else{g=g+-1|0;b=b+8|0;c=c+8|0;e=e+16|0}}p[y>>3]=r+ +p[y>>3];if(!i)break;d=+p[t>>3];i=i+-1|0;b=o;j=j+96|0;m=m+192|0}_e(G,w,E)|0;p[q>>3]=+p[q>>3]+2.777777777777778e-04;Ze(E,w,F)|0;r=+p[v>>3]-+p[t>>3];d=+p[y>>3]-+p[x>>3];d=+L(+(r*r+d*d))*3600.0;if(!(d!=0.0)){f[A>>2]=H;ww(I,48659,A)|0;zd(I)}d=.04/d;f[M>>2]=1;g=0;b=1;a:while(1){if((b|0)>1)Oe(g);g=Ne(N,2,M,1)|0;Qe(g,B,C,0,144,0);b=143;c=C;e=B;while(1){r=+Pe(g,e);if(+K(+(r-+p[c>>3]))>d)break;if(!b){b=24;break a}else{b=b+-1|0;c=c+8|0;e=e+16|0}}b=(f[M>>2]|0)+1|0;f[M>>2]=b;if((b|0)>=10){b=25;break}}if((b|0)==24)f[M>>2]=(f[M>>2]|0)+1;else if((b|0)==25){zd(48702);f[a+1560>>2]=1}f[a+3168>>2]=g;f[a+5944>>2]=g;_e(G,w,E)|0;p[s>>3]=+p[s>>3]+2.777777777777778e-04;Ze(E,w,F)|0;r=+p[v>>3]-+p[t>>3];d=+p[y>>3]-+p[x>>3];d=+L(+(r*r+d*d))*3600.0;if(!(d!=0.0)){f[J>>2]=H;ww(I,48659,J)|0;zd(I)}d=.04/d;f[M>>2]=1;b=1;b:while(1){if((b|0)>1)Oe(g);g=Ne(N,2,M,1)|0;Qe(g,B,D,0,144,0);b=143;c=D;e=B;while(1){r=+Pe(g,e);if(+K(+(r-+p[c>>3]))>d)break;if(!b){b=35;break b}else{b=b+-1|0;c=c+8|0;e=e+16|0}}b=(f[M>>2]|0)+1|0;f[M>>2]=b;if((b|0)>=10){b=36;break}}if((b|0)==35)f[M>>2]=(f[M>>2]|0)+1;else if((b|0)==36){zd(48702);f[a+1560>>2]=1}f[a+3172>>2]=g;f[a+5948>>2]=g;Mv(B);Mv(C);Mv(D);u=O;return}function kd(a,c){a=a|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;b[e>>0]=0;Yd(a,c)|0;c=gd(a,e)|0;u=d;return c|0}function ld(a){a=a|0;var c=0,d=0;c=u;u=u+16|0;d=c;b[d>>0]=0;a=gd(a,d)|0;u=c;return a|0}function md(a){a=a|0;var b=0,c=0;if(!a)return;if(!(f[a+3312>>2]|0)){Mv(a);return}c=a+9312|0;b=f[c>>2]|0;if(b|0){md(b);f[c>>2]=0}nd(a);b=f[a+9320>>2]|0;if(b|0)Mv(b);b=f[a+3980>>2]|0;if(b|0)Mv(b);b=f[a+3976>>2]|0;if(b|0)Mv(b);b=f[a+3168>>2]|0;if(b|0)Oe(b);b=f[a+3172>>2]|0;if(b|0)Oe(b);Mv(a);return}function nd(a){a=a|0;var b=0;b=f[53802]|0;if(b|0){Mv(b);f[53802]=0}b=f[53803]|0;if(b|0){Mv(b);f[53803]=0}b=f[53804]|0;if(b|0){Mv(b);f[53804]=0}b=f[53805]|0;if(b|0){Mv(b);f[53805]=0}b=f[53806]|0;if(b|0){Mv(b);f[53806]=0}b=f[53807]|0;if(b|0){Mv(b);f[53807]=0}b=f[53808]|0;if(b|0){Mv(b);f[53808]=0}b=f[53809]|0;if(b|0){Mv(b);f[53809]=0}b=f[53810]|0;if(b|0){Mv(b);f[53810]=0}b=f[53811]|0;if(b|0){Mv(b);f[53811]=0}if(!a)return;if(!(f[a+3312>>2]|0))return;b=f[a+9208>>2]|0;if(b|0)Mv(b);b=f[a+9212>>2]|0;if(b|0)Mv(b);b=f[a+9216>>2]|0;if(b|0)Mv(b);b=f[a+9220>>2]|0;if(b|0)Mv(b);b=f[a+9224>>2]|0;if(b|0)Mv(b);b=f[a+9228>>2]|0;if(b|0)Mv(b);b=f[a+9232>>2]|0;if(b|0)Mv(b);b=f[a+9236>>2]|0;if(b|0)Mv(b);b=f[a+9240>>2]|0;if(b|0)Mv(b);b=f[a+9244>>2]|0;if(!b)return;Mv(b);return}function od(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+176|0;n=p+8|0;j=p;l=p+16|0;f[l>>2]=5130572;f[l+4>>2]=5265985;f[l+8>>2]=5266003;f[l+12>>2]=5128532;f[l+16>>2]=5130579;f[l+20>>2]=4674643;f[l+24>>2]=4411969;f[l+28>>2]=5132378;f[l+32>>2]=4277594;f[l+36>>2]=5392705;f[l+40>>2]=5265731;f[l+44>>2]=5390659;f[l+48>>2]=5391693;f[l+52>>2]=4277571;f[l+56>>2]=5263171;f[l+60>>2]=4476739;f[l+64>>2]=4542275;f[l+68>>2]=5197635;f[l+72>>2]=5132098;f[l+76>>2]=5194576;f[l+80>>2]=4998739;f[l+84>>2]=5390672;f[l+88>>2]=5523777;f[l+92>>2]=5001037;f[l+96>>2]=4412227;f[l+100>>2]=4412241;f[l+104>>2]=4412244;f[l+108>>2]=5787720;f[l+112>>2]=4739160;f[l+116>>2]=5260110;f[l+120>>2]=5459015;f[l+124>>2]=5460804;f[l+128>>2]=5524560;f[l+132>>2]=5787220;f[l+136>>2]=5787738;f[l+140>>2]=5656660;f[l+144>>2]=4280148;if(!(vw(c,69341,4)|0)){b[c>>0]=88;b[c+1>>0]=76;b[c+2>>0]=79;b[c+3>>0]=78}h=a+3368|0;Jx(h,c)|0;i=a+3449|0;Jx(i,c)|0;m=a+3467|0;Jx(m,c)|0;a:do if(vw(c,48890,6)|0){if(!(vw(c,48897,6)|0)){f[a+3260>>2]=-1;break}if(ne(c,48903)|0){f[a+3260>>2]=-1;break}e=b[c>>0]|0;switch(e<<24>>24){case 65:case 68:case 82:break;default:if((b[c+1>>0]|0)!=76){f[a+3260>>2]=0;u=p;return 0}}b[i>>0]=e;b[a+3450>>0]=b[c+1>>0]|0;e=b[c+2>>0]|0;g=a+3451|0;if(e<<24>>24==45)e=3;else{b[g>>0]=e;e=b[c+3>>0]|0;if(e<<24>>24==45)e=3;else{b[a+3452>>0]=e;e=4}g=a+3449+e|0;e=4}b[g>>0]=0;k=((b[c+e>>0]|0)==45&1)+e|0;k=k+((b[c+k>>0]|0)==45&1)|0;k=k+((b[c+k>>0]|0)==45&1)|0;k=k+((b[c+k>>0]|0)==45&1)|0;b[m>>0]=b[c+k>>0]|0;b[a+3468>>0]=b[c+(k+1)>>0]|0;b[a+3469>>0]=b[c+(k+2)>>0]|0;b[a+3470>>0]=0;f[j>>2]=i;f[j+4>>2]=m;ww(h,48907,j)|0;if((b[h>>0]|0)==32)b[h>>0]=45;e=a+3369|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3370|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3371|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3372|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3373|0;if((b[e>>0]|0)==32)b[e>>0]=45;i=a+3374|0;if((b[i>>0]|0)==32)b[i>>0]=45;j=a+3375|0;if((b[j>>0]|0)==32)b[j>>0]=45;k=a+3260|0;f[k>>2]=0;e=0;g=1;while(1){if(!(vw(m,l+(g<<2)|0,3)|0)){f[k>>2]=g;h=g}else h=e;g=g+1|0;if((g|0)==37)break;else e=h}g=a+3324|0;e=f[g>>2]|0;switch(e|0){case 0:{e=3;o=23;break}case 1:{e=2;o=23;break}default:{}}if((o|0)==23)f[g>>2]=e;if((e|0)==2)switch(h|0){case 33:{b[i>>0]=65;b[j>>0]=78;f[k>>2]=3;break a}case 34:{b[i>>0]=80;b[j>>0]=78;f[k>>2]=7;break a}default:break a}}else f[a+3260>>2]=0;while(0);do if(vw(d,48915,4)|0)if(!(vw(d,48926,4)|0)){b[d>>0]=b[c>>0]|0;l=d+1|0;b[l>>0]=b[97376]|0;b[l+1>>0]=b[97377]|0;b[l+2>>0]=b[97378]|0;f[a+3264>>2]=-90;l=a+3764|0;b[l>>0]=83;b[l+1>>0]=80;b[l+2>>0]=65;b[l+3>>0]=0;f[a+3884>>2]=8;break}else{f[a+3264>>2]=0;break}else{b[d>>0]=b[c>>0]|0;l=d+1|0;b[l>>0]=b[97376]|0;b[l+1>>0]=b[97377]|0;b[l+2>>0]=b[97378]|0;f[a+3264>>2]=90;l=a+3764|0;b[l>>0]=b[48920]|0;b[l+1>>0]=b[48921]|0;b[l+2>>0]=b[48922]|0;b[l+3>>0]=b[48923]|0;b[l+4>>0]=b[48924]|0;b[l+5>>0]=b[48925]|0;f[a+3884>>2]=7}while(0);i=a+3377|0;Jx(i,d)|0;j=a+3458|0;Jx(j,d)|0;b:do if(vw(d,48890,6)|0)if(vw(d,48897,6)|0){e=b[d>>0]|0;switch(e<<24>>24){case 65:case 68:case 82:break;default:if((b[d+1>>0]|0)!=76){e=0;o=51;break b}}b[j>>0]=e;h=d+1|0;b[a+3459>>0]=b[h>>0]|0;e=b[d+2>>0]|0;g=a+3460|0;do if(e<<24>>24!=45){b[g>>0]=e;e=b[d+3>>0]|0;g=a+3461|0;if(e<<24>>24==45){b[g>>0]=0;e=4;break}else{b[g>>0]=e;b[a+3462>>0]=0;e=4;break}}else{b[g>>0]=0;e=3}while(0);l=((b[d+e>>0]|0)==45&1)+e|0;l=l+((b[d+l>>0]|0)==45&1)|0;l=l+((b[d+l>>0]|0)==45&1)|0;l=l+((b[d+l>>0]|0)==45&1)|0;b[m>>0]=b[d+l>>0]|0;b[a+3468>>0]=b[d+(l+1)>>0]|0;b[a+3469>>0]=b[d+(l+2)>>0]|0;b[a+3470>>0]=0;if(!(vw(c,48931,3)|0))e=1;else e=(vw(c+1|0,97376,3)|0)==0&1;f[a+3304>>2]=e;if((b[h>>0]|0)!=76?(b[d>>0]|0)!=65:0){e=0;g=3}else{e=1;g=5}f[a+3292>>2]=e;f[a+3288>>2]=g;f[n>>2]=j;f[n+4>>2]=m;ww(i,48907,n)|0;if((b[i>>0]|0)==32)b[i>>0]=45;e=a+3378|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3379|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3380|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3381|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3382|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3383|0;if((b[e>>0]|0)==32)b[e>>0]=45;e=a+3384|0;if((b[e>>0]|0)==32)b[e>>0]=45}else{e=-1;o=51}else{e=0;o=51}while(0);if((o|0)==51)f[a+3260>>2]=e;Bg(a,c);u=p;return 0}function pd(a,b,c,d){a=a|0;b=+b;c=+c;d=+d;var e=0,g=0.0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0.0;j=f[a+3316>>2]|0;k=(j|0)<2?j:2;l=a+760|0;p[l>>3]=b;g=c!=0.0?c:b;m=a+768|0;p[m>>3]=g;p[a+32>>3]=b;p[a+40>>3]=g;if((j|0)>0){i=0;e=a+832|0;do{j=0;do{p[e>>3]=(i|0)==(j|0)?1.0:0.0;e=e+8|0;j=j+1|0}while((j|0)<(k|0));i=i+1|0}while((i|0)<(k|0));h=+p[l>>3];g=+p[m>>3]}else h=b;f[a+3300>>2]=0;i=a+48|0;n=d<0.0?d+360.0:d;n=!(n>=360.0)?n:n+-360.0;p[i>>3]=n;n=n*3.141592653589793/180.0;d=+N(+n);c=+O(+(b*c>0.0?-n:n));e=a+56|0;p[e>>3]=d*h;b=+K(+g);p[a+64>>3]=c*(h<0.0?-b:b);c=c*+K(+h);p[a+72>>3]=g<0.0?c:-c;p[a+80>>3]=d*g;Ye(2,e,a+88|0)|0;td(a);g=+p[l>>3];e=g<0.0;if(!(f[a+3304>>2]|0)){if(e?+p[m>>3]>0.0:0){f[a+3256>>2]=0;g=+p[i>>3];p[a+3200>>3]=g;n=g+90.0;p[a+3208>>3]=n>180.0?n+-360.0:n;g=g+180.0;e=a+3216|0;p[e>>3]=g;if(!(g>180.0))return;p[e>>3]=g+-360.0;return}do if(g>0.0){g=+p[m>>3];if(!(g<0.0)){if(!(g>0.0))break;f[a+3256>>2]=1;n=+p[i>>3];p[a+3200>>3]=-n;d=90.0-n;p[a+3208>>3]=d>180.0?d+-360.0:d;p[a+3216>>3]=n;return}f[a+3256>>2]=0;g=+p[i>>3]+180.0;g=g>180.0?g+-360.0:g;p[a+3200>>3]=g;n=g+90.0;p[a+3208>>3]=n>180.0?n+-360.0:n;g=g+180.0;e=a+3216|0;p[e>>3]=g;if(!(g>180.0))return;p[e>>3]=g+-360.0;return}while(0);if(!e)return;if(!(+p[m>>3]<0.0))return;f[a+3256>>2]=1;g=+p[i>>3];n=g+180.0;n=n>180.0?n+-360.0:n;p[a+3200>>3]=n;n=n+90.0;p[a+3208>>3]=n>180.0?n+-360.0:n;g=g+90.0;e=a+3216|0;p[e>>3]=g;if(!(g>180.0))return;p[e>>3]=g+-360.0;return}if(e?+p[m>>3]>0.0:0){f[a+3256>>2]=1;d=+p[i>>3];n=d+-90.0;m=n<-180.0;g=n+360.0;p[a+3200>>3]=m?g:n;p[a+3208>>3]=d;e=a+3216|0;p[e>>3]=n;if(!m)return;p[e>>3]=g;return}if(g>0.0){g=+p[m>>3];if(g<0.0){f[a+3256>>2]=1;g=+p[i>>3];n=g+90.0;p[a+3200>>3]=n>180.0?n+-360.0:n;p[a+3208>>3]=g;g=g+-90.0;e=a+3216|0;p[e>>3]=g;if(!(g<-180.0))return;p[e>>3]=g+360.0;return}if(g>0.0){f[a+3256>>2]=0;n=+p[i>>3]+90.0;m=n>180.0;g=n+-360.0;d=m?g:n;p[a+3200>>3]=d;p[a+3208>>3]=d;e=a+3216|0;p[e>>3]=n;if(!m)return;p[e>>3]=g;return}}if(!e)return;if(!(+p[m>>3]<0.0))return;f[a+3256>>2]=0;g=+p[i>>3];n=g+-90.0;n=n<-180.0?n+360.0:n;p[a+3200>>3]=n;p[a+3208>>3]=n;g=g+90.0;e=a+3216|0;p[e>>3]=g;if(!(g>180.0))return;p[e>>3]=g+-360.0;return}function qd(a,c){a=a|0;c=c|0;var d=0,e=0.0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+16|0;i=k+8|0;h=k;if(!a){u=k;return}j=a+3312|0;if(!(f[j>>2]|0)){u=k;return}do if((((c|0)!=0?(b[c>>0]|0)!=0:0)?(tw(c,48878)|0)!=0:0)?(tw(c,48884)|0)!=0:0){d=Vd(c)|0;if((d|0)<0){u=k;return}i=f[a+3884>>2]|0;if((d|0)!=(i|0)&(i+-5|0)>>>0<2){u=k;return}else{Jx(a+3796|0,c)|0;e=+Wd(c);p[a+3872>>3]=e;break}}else g=7;while(0);a:do if((g|0)==7){d=f[a+3884>>2]|0;c=a+3796|0;Jx(c,a+3764|0)|0;e=+p[a+120>>3];p[a+3872>>3]=e;switch(d|0){case 2:{if(!(e!=1950.0)){b[c>>0]=b[48866]|0;b[c+1>>0]=b[48867]|0;b[c+2>>0]=b[48868]|0;b[c+3>>0]=b[48869]|0;b[c+4>>0]=b[48870]|0;b[c+5>>0]=b[48871]|0;d=2;break a}b[c>>0]=66;p[h>>3]=e;ww(a+3797|0,48861,h)|0;d=(Bx(c)|0)+-1+(a+3796)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(c)|0)+-1+(a+3796)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(c)|0)+-1+(a+3796)|0;if((b[d>>0]|0)!=48){d=2;break a}b[d>>0]=0;d=2;break a}case 1:{if(!(e!=2.0e3)){b[c>>0]=b[48872]|0;b[c+1>>0]=b[48873]|0;b[c+2>>0]=b[48874]|0;b[c+3>>0]=b[48875]|0;b[c+4>>0]=b[48876]|0;b[c+5>>0]=b[48877]|0;d=1;break a}b[c>>0]=74;p[i>>3]=e;ww(a+3797|0,48861,i)|0;d=(Bx(c)|0)+-1+(a+3796)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(c)|0)+-1+(a+3796)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(c)|0)+-1+(a+3796)|0;if((b[d>>0]|0)!=48){d=1;break a}b[d>>0]=0;d=1;break a}default:break a}}while(0);f[a+3888>>2]=d;if(!(f[j>>2]|0)){u=k;return}switch(d|0){case 8:case 7:case 5:case 9:case 4:case 3:{d=1;c=5;break}default:{d=0;c=3}}f[a+3292>>2]=d;f[a+3288>>2]=c;u=k;return}function rd(a,c){a=a|0;c=c|0;var d=0,e=0.0,g=0,h=0,i=0,j=0;j=u;u=u+16|0;h=j+8|0;g=j;if(!a){u=j;return}if(!(f[a+3312>>2]|0)){u=j;return}if(!((c|0)!=0?(b[c>>0]|0)!=0:0))d=5;a:do if((d|0)==5){d=a+3880|0;f[d>>2]=f[a+3884>>2];i=a+3828|0;Jx(i,a+3764|0)|0;e=+p[a+120>>3];p[a+3864>>3]=e;switch(f[d>>2]|0){case 2:{if(!(e!=1950.0)){b[i>>0]=b[48866]|0;b[i+1>>0]=b[48867]|0;b[i+2>>0]=b[48868]|0;b[i+3>>0]=b[48869]|0;b[i+4>>0]=b[48870]|0;b[i+5>>0]=b[48871]|0;break a}b[i>>0]=66;p[g>>3]=e;ww(a+3829|0,48861,g)|0;d=(Bx(i)|0)+-1+(a+3828)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(i)|0)+-1+(a+3828)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(i)|0)+-1+(a+3828)|0;if((b[d>>0]|0)!=48)break a;b[d>>0]=0;break a}case 1:{if(!(e!=2.0e3)){b[i>>0]=b[48872]|0;b[i+1>>0]=b[48873]|0;b[i+2>>0]=b[48874]|0;b[i+3>>0]=b[48875]|0;b[i+4>>0]=b[48876]|0;b[i+5>>0]=b[48877]|0;break a}b[i>>0]=74;p[h>>3]=e;ww(a+3829|0,48861,h)|0;d=(Bx(i)|0)+-1+(a+3828)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(i)|0)+-1+(a+3828)|0;if((b[d>>0]|0)==48)b[d>>0]=0;d=(Bx(i)|0)+-1+(a+3828)|0;if((b[d>>0]|0)!=48)break a;b[d>>0]=0;break a}default:break a}}while(0);d=Vd(c)|0;if((d|0)<0){u=j;return}f[a+3880>>2]=d;e=+Wd(c);p[a+3864>>3]=e;Jx(a+3828|0,c)|0;u=j;return}function sd(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;s=u;u=u+32|0;q=s;o=s+8|0;if(!a){u=s;return}r=a+3312|0;if(!(f[r>>2]|0)){u=s;return}m=a+9212|0;j=a+9216|0;k=a+9220|0;l=a+9224|0;i=a+9228|0;p=0;a:while(1){if(!p){c=o;d=48835;e=c+12|0;do{b[c>>0]=b[d>>0]|0;c=c+1|0;d=d+1|0}while((c|0)<(e|0))}else{f[q>>2]=p;ww(o,48847,q)|0}e=f[215208+(p<<2)>>2]|0;b:do if(e){if(f[r>>2]|0?(n=Bx(e)|0,(n|0)>0):0){g=a+9208+(p<<2)|0;c=f[g>>2]|0;if(c|0)Mv(c);c=Nv(n+2|0,1)|0;f[g>>2]=c;if(c|0){d=0;do{h=b[e+d>>0]|0;b[c+d>>0]=h<<24>>24==95?32:h;d=d+1|0;c=f[g>>2]|0}while((d|0)!=(n|0));b[c+n>>0]=0}}}else{h=Ua(o|0)|0;if(h|0){if(!(f[r>>2]|0))break;g=Bx(h)|0;if((g|0)<=0)break;e=a+9208+(p<<2)|0;c=f[e>>2]|0;if(c|0)Mv(c);c=Nv(g+2|0,1)|0;f[e>>2]=c;if(!c)break;else d=0;do{t=b[h+d>>0]|0;b[c+d>>0]=t<<24>>24==95?32:t;d=d+1|0;c=f[e>>2]|0}while((d|0)!=(g|0));b[c+g>>0]=0;break}switch(p|0){case 1:{if(f[r>>2]|0){c=f[m>>2]|0;if(c|0)Mv(c);c=Nv(13,1)|0;f[m>>2]=c;if(c|0){b[c>>0]=115;b[c+1>>0]=117;b[c+2>>0]=97;b[c+3>>0]=50;b[c+4>>0]=32;b[c+5>>0]=45;b[c+6>>0]=97;b[c+7>>0]=104;b[c+8>>0]=32;b[c+9>>0]=37;b[c+10>>0]=115}}break}case 2:{if(f[r>>2]|0){c=f[j>>2]|0;if(c|0)Mv(c);c=Nv(13,1)|0;f[j>>2]=c;if(c|0){b[c>>0]=115;b[c+1>>0]=103;b[c+2>>0]=115;b[c+3>>0]=99;b[c+4>>0]=32;b[c+5>>0]=45;b[c+6>>0]=97;b[c+7>>0]=104;b[c+8>>0]=32;b[c+9>>0]=37;b[c+10>>0]=115}}break}case 3:{if(f[r>>2]|0){c=f[k>>2]|0;if(c|0)Mv(c);c=Nv(13,1)|0;f[k>>2]=c;if(c|0){b[c>>0]=115;b[c+1>>0]=116;b[c+2>>0]=121;b[c+3>>0]=50;b[c+4>>0]=32;b[c+5>>0]=45;b[c+6>>0]=97;b[c+7>>0]=104;b[c+8>>0]=32;b[c+9>>0]=37;b[c+10>>0]=115}}break}case 4:{if(f[r>>2]|0){c=f[l>>2]|0;if(c|0)Mv(c);c=Nv(13,1)|0;f[l>>2]=c;if(c|0){b[c>>0]=115;b[c+1>>0]=112;b[c+2>>0]=112;b[c+3>>0]=109;b[c+4>>0]=32;b[c+5>>0]=45;b[c+6>>0]=97;b[c+7>>0]=104;b[c+8>>0]=32;b[c+9>>0]=37;b[c+10>>0]=115}}break}case 5:{if(f[r>>2]|0){c=f[i>>2]|0;if(c|0)Mv(c);c=Nv(13,1)|0;f[i>>2]=c;if(c|0){b[c>>0]=115;b[c+1>>0]=115;b[c+2>>0]=97;b[c+3>>0]=111;b[c+4>>0]=32;b[c+5>>0]=45;b[c+6>>0]=97;b[c+7>>0]=104;b[c+8>>0]=32;b[c+9>>0]=37;b[c+10>>0]=115}}break}default:{f[a+9208+(p<<2)>>2]=0;break b}}p=p+1|0;continue a}while(0);p=p+1|0;if((p|0)==10)break}u=s;return}function td(a){a=a|0;var b=0,c=0,d=0,e=0,g=0.0,h=0,i=0,j=0;c=a+3316|0;b=f[c>>2]|0;b=(b|0)<2?b:2;if((b+-1|0)>>>0>8){b=f[a+3320>>2]|0;f[c>>2]=b}d=X(b<<3,b)|0;j=a+3976|0;c=f[j>>2]|0;if(!c){c=Lv(d)|0;f[j>>2]=c;if(!c)return}i=a+3980|0;if((f[i>>2]|0)==0?(h=Lv(d)|0,f[i>>2]=h,(h|0)==0):0)return;h=a+3956|0;f[h>>2]=137;switch(b|0){case 2:{p[c>>3]=+p[a+56>>3];p[c+8>>3]=+p[a+64>>3];p[c+16>>3]=+p[a+72>>3];g=+p[a+80>>3];d=3;e=11;break}case 3:{d=c;e=d+72|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));p[c>>3]=+p[a+56>>3];p[c+8>>3]=+p[a+64>>3];p[c+24>>3]=+p[a+72>>3];p[c+32>>3]=+p[a+80>>3];g=1.0;d=8;e=11;break}case 4:{d=c;e=d+128|0;do{f[d>>2]=0;d=d+4|0}while((d|0)<(e|0));p[c>>3]=+p[a+56>>3];p[c+8>>3]=+p[a+64>>3];p[c+32>>3]=+p[a+72>>3];p[c+40>>3]=+p[a+80>>3];p[c+80>>3]=1.0;g=1.0;d=15;e=11;break}default:{}}if((e|0)==11)p[c+(d<<3)>>3]=g;Ye(b,f[j>>2]|0,f[i>>2]|0)|0;f[a+3964>>2]=a+616;f[a+3972>>2]=a+760;f[a+3968>>2]=a+832;f[h>>2]=137;return}function ud(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0.0,h=0.0,i=0;if(!b)return;f[a+3300>>2]=1;i=a+56|0;p[i>>3]=+p[b>>3];d=b+8|0;p[a+64>>3]=+p[d>>3];e=b+16|0;p[a+72>>3]=+p[e>>3];c=b+24|0;p[a+80>>3]=+p[c>>3];Ye(2,i,a+88|0)|0;g=+p[b>>3];h=+p[e>>3];h=+L(+(g*g+h*h));b=a+32|0;p[b>>3]=h;h=+p[d>>3];g=+p[c>>3];g=+L(+(h*h+g*g));c=a+40|0;p[c>>3]=g;if(f[a+3304>>2]|0){h=+p[d>>3];p[d>>3]=-+p[e>>3];p[e>>3]=-h}td(a);f[a+3312>>2]=1;vd(a);p[a+760>>3]=+p[b>>3];p[a+768>>3]=+p[c>>3];return}function vd(a){a=a|0;var b=0,c=0.0,d=0,e=0.0,g=0,h=0,i=0,j=0.0,k=0.0,l=0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0;t=u;u=u+64|0;g=t+48|0;b=t+40|0;d=t+32|0;h=t+24|0;l=t+16|0;i=t+8|0;m=t;if(!(+p[a+136>>3]<1.5)?!(+p[a+144>>3]<1.5):0){if((f[a+3884>>2]|0)==6){u=t;return}r=a+32|0;j=+K(+(+p[r>>3]));p[r>>3]=j;s=a+40|0;j=+K(+(+p[s>>3]));p[s>>3]=j;j=+p[a+16>>3];k=+p[a+24>>3];wd(a,j,k,b,d);n=a+3304|0;e=+p[b>>3];c=+p[d>>3];if(!(f[n>>2]|0)){d=a+3828|0;xd(a,e+ +p[r>>3],c,d,l,m,g);xd(a,e,c+ +p[s>>3],d,h,i,g)}else{d=a+3828|0;xd(a,e+ +p[s>>3],c,d,l,m,g);xd(a,e,c+ +p[r>>3],d,h,i,g)}o=+T(+(+p[i>>3]-k),+(+p[h>>3]-j))*180.0/3.141592653589793;o=o<-90.0?o+360.0:o;p[a+3208>>3]=o;e=+T(+(+p[m>>3]-k),+(+p[l>>3]-j))*180.0/3.141592653589793;e=e<-90.0?e+360.0:e;p[a+3216>>3]=e;c=o+(o<-90.0?270.0:-90.0);p[a+3200>>3]=c;g=(f[n>>2]|0)==0;if(!g){c=c+90.0;b=a+48|0;p[b>>3]=c;if(c<0.0){c=c+360.0;q=12}else d=b}else{b=a+48|0;q=12}if((q|0)==12){p[b>>3]=c;d=b}q=c<0.0;c=q?c+360.0:c;b=!(c>=360.0);if(q|b^1)p[d>>3]=b?c:c+-360.0;k=e-o;o=o-e;b=k<280.0&k>260.0|k<-80.0&k>-100.0|o>80.0&o<100.0;f[a+3256>>2]=b&1;if(g){if(b){u=t;return}p[r>>3]=-+p[r>>3];u=t;return}else{if(!b){u=t;return}p[s>>3]=-+p[s>>3];u=t;return}}o=+p[a+48>>3];p[a+3200>>3]=o;p[a+3208>>3]=o+90.0;p[a+3216>>3]=o+180.0;u=t;return}function wd(a,b,c,d,e){a=a|0;b=+b;c=+c;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+144|0;q=v+112|0;k=v+80|0;n=v+48|0;m=v+40|0;o=v+32|0;i=v+24|0;j=v+16|0;s=v+8|0;r=v;if(!a){u=v;return}if(!(f[a+3312>>2]|0)){u=v;return}p[a+576>>3]=b;p[a+584>>3]=c;p[a+592>>3]=+p[15523];l=a+3308|0;f[l>>2]=0;g=f[a+9312>>2]|0;if(!g)Ag(a,b,c,i,j);else wd(g,b,c,i,j);h=a+3260|0;g=f[h>>2]|0;c=+p[i>>3];b=+p[j>>3];a:do switch(g|0){case 31:{if(!(Ke(c,b,a,s,r)|0))t=24;else{f[l>>2]=1;b=0.0;c=0.0}break}case 32:{if(!(ye(c,b,a,s,r)|0))t=24;else{f[l>>2]=1;b=0.0;c=0.0}break}case 33:{if(!(De(c,b,a,s,r)|0))t=24;else{f[l>>2]=1;b=0.0;c=0.0}break}case 34:{if(!(Ie(c,b,a,s,r)|0))t=24;else{f[l>>2]=1;b=0.0;c=0.0}break}default:{if((g|0)<1?1:(f[a+3324>>2]|0)==2){if(!(we(c,b,a,s,r)|0)){t=24;break a}f[l>>2]=1;b=0.0;c=0.0;break a}p[s>>3]=0.0;p[r>>3]=0.0;p[n>>3]=c;p[n+8>>3]=b;if((g+-24|0)>>>0<3)b=+((f[53813]|0)+1|0);else b=+p[15523];p[n+16>>3]=b;p[n+24>>3]=1.0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[k+24>>2]=0;f[k+28>>2]=0;if(!(We(a+3368|0,a+3924|0,n,a+3956|0,k,a+4064|0,m,o,a+688|0,a+3984|0,q)|0)){p[s>>3]=+p[q+(f[a+3944>>2]<<3)>>3];p[r>>3]=+p[q+(f[a+3948>>2]<<3)>>3];t=24;break a}else{f[l>>2]=1;b=0.0;c=0.0;break a}}}while(0);if((t|0)==24)if(!(f[l>>2]|0)){if((f[h>>2]|0)>0)Ud(f[a+3884>>2]|0,f[a+3888>>2]|0,+p[a+120>>3],+p[a+3872>>3],s,r,+p[a+128>>3]);switch(f[a+3264>>2]|0){case 90:{b=90.0-+p[r>>3];p[r>>3]=b;break}case -90:{b=+p[r>>3]+-90.0;p[r>>3]=b;break}default:b=+p[r>>3]}c=+p[s>>3];p[a+600>>3]=c;p[a+608>>3]=b}else{b=0.0;c=0.0}p[d>>3]=c;p[e>>3]=b;g=f[a+3888>>2]|0;if((g|0)<1){u=v;return}switch(g|0){case 6:case 10:{u=v;return}default:{}}b=+p[d>>3];if(b<0.0){p[d>>3]=b+360.0;u=v;return}if(!(b>360.0)){u=v;return}p[d>>3]=b+-360.0;u=v;return}function xd(a,b,c,d,e,g,h){a=a|0;b=+b;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;var i=0.0,j=0.0,k=0,l=0,m=0,n=0,o=0.0,q=0,r=0;q=u;u=u+32|0;k=q+24|0;l=q+16|0;n=q+8|0;m=q;if(!a){u=q;return}if(!(f[a+3312>>2]|0)){u=q;return}f[h>>2]=0;p[k>>3]=b;p[l>>3]=c;switch(f[a+3264>>2]|0){case 90:{i=90.0-c;p[l>>3]=i;break}case -90:{i=c+-90.0;p[l>>3]=i;break}default:i=c}if(!d){j=+p[a+120>>3];d=f[a+3884>>2]|0}else{r=Vd(d)|0;j=+Wd(d);d=r}p[a+592>>3]=1.0;a:do if((d|0)>0){switch(d|0){case 6:case 10:{j=b;break a}default:{}}Ud(d,f[a+3884>>2]|0,j,+p[a+120>>3],k,l,+p[a+128>>3]);j=+p[k>>3];i=+p[l>>3]}else j=b;while(0);d=f[a+3260>>2]|0;b:do switch(d|0){case 31:{if(Le(j,i,a,n,m)|0)f[h>>2]=1;break}case 32:{if(ze(j,i,a,n,m)|0)f[h>>2]=1;break}case 33:{if(Fe(j,i,a,n,m)|0)f[h>>2]=1;break}case 34:{if(Je(j,i,a,n,m)|0)f[h>>2]=1;break}default:if((d|0)<1?1:(f[a+3324>>2]|0)==2){if(!(xe(j,i,a,n,m)|0))break b;f[h>>2]=1;break b}else{if(!(yd(j,i,a,n,m)|0))break b;f[h>>2]=1;break b}}while(0);d=f[a+9312>>2]|0;j=+p[m>>3];i=+p[n>>3];do if(!d){zg(a,i,j,e,g);d=f[h>>2]|0;if(!d){i=+p[e>>3];if(!(i<.5)?(o=+p[g>>3],!(o<.5)):0){if(!(i>+p[a+136>>3]+.5)?!(o>+p[a+144>>3]+.5):0){d=0;break}f[h>>2]=2;d=2;break}f[h>>2]=2;d=2}}else{xd(d,i,j,0,e,g,h);d=f[h>>2]|0}while(0);f[a+3308>>2]=d;p[a+600>>3]=b;p[a+608>>3]=c;p[a+576>>3]=+p[e>>3];p[a+584>>3]=+p[g>>3];u=q;return}function yd(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+112|0;l=o+80|0;i=o+48|0;n=o+16|0;j=o+8|0;k=o;p[d>>3]=0.0;p[e>>3]=0.0;m=c+3924|0;if((f[m>>2]|0)!=137){g=c+3368|0;if(Ue(f[c+3960>>2]|0,g,m)|0){e=1;u=o;return e|0}}else g=c+3368|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;f[l+16>>2]=0;f[l+20>>2]=0;f[l+24>>2]=0;f[l+28>>2]=0;p[l+(f[c+3944>>2]<<3)>>3]=a;p[l+(f[c+3948>>2]<<3)>>3]=b;h=n+16|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;p[h>>3]=1.0;p[n+24>>3]=1.0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;p[i+16>>3]=1.0;p[i+24>>3]=1.0;g=Ve(g,m,l,c+688|0,c+3984|0,j,k,c+4064|0,i,c+3956|0,n)|0;if(g|0){e=g;u=o;return e|0}p[d>>3]=+p[n>>3];p[e>>3]=+p[n+8>>3];b=+p[h>>3];p[c+592>>3]=((f[c+3260>>2]|0)+-24|0)>>>0<3?b+-1.0:b;e=0;u=o;return e|0}function zd(a){a=a|0;Jx(3006672,a)|0;return}function Ad(a,b,c,d){a=a|0;b=+b;c=+c;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if(!d)return;g=a+3316|0;e=f[g>>2]|0;if((e+-1|0)>>>0>8){n=f[a+3320>>2]|0;f[g>>2]=n}else n=e;l=a+760|0;p[l>>3]=b;c=c!=0.0?c:b;m=a+768|0;p[m>>3]=c;p[a+32>>3]=b;p[a+40>>3]=c;if((n|0)>0){e=0;h=d;j=a+832|0;while(1){g=0;i=h;k=j;j=j+(n<<3)|0;while(1){p[k>>3]=+p[i>>3];g=g+1|0;if((g|0)==(n|0))break;else{i=i+8|0;k=k+8|0}}e=e+1|0;if((e|0)==(n|0))break;else h=h+(n<<3)|0}c=+p[l>>3];e=a+56|0;p[e>>3]=+p[d>>3]*c;if((n|0)>1){p[a+64>>3]=c*+p[d+8>>3];c=+p[m>>3];p[a+72>>3]=+p[d+(n<<3)>>3]*c;c=c*+p[d+(n+1<<3)>>3]}else o=12}else{e=a+56|0;p[e>>3]=+p[d>>3]*b;o=12}if((o|0)==12){o=a+64|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;c=1.0}p[a+80>>3]=c;Ye(2,e,a+88|0)|0;f[a+3300>>2]=1;Xe(a+3956|0)|0;f[a+3312>>2]=1;vd(a);return}function Bd(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=d|0;e=e|0;f=f|0;xd(a,b,c,a+3828|0,d,e,f);return}function Cd(a,c,d,e,g){a=a|0;c=+c;d=+d;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;x=u;u=u+128|0;w=x+56|0;v=x+48|0;m=x+40|0;n=x+32|0;l=x+24|0;k=x+16|0;o=x+8|0;q=x;t=x+96|0;s=x+64|0;if(a|0?f[a+3312>>2]|0:0){wd(a,c,d,o,q);if(f[a+3308>>2]|0){a=e;b[a>>0]=79;b[a+1>>0]=102;b[a+2>>0]=102;b[a+3>>0]=32;e=e+4|0;b[e>>0]=109;b[e+1>>0]=97;b[e+2>>0]=112;b[e+3>>0]=0;e=1;u=x;return e|0}a:do switch(f[a+3292>>2]|0){case 1:{j=a+3288|0;h=f[j>>2]|0;i=(h<<1)+9|0;if((i|0)>=(g|0))if(!(f[a+3296>>2]|0)){Vy(e,48968,g)|0;g=0;break a}else{Vy(e,48947,g)|0;g=0;break a}qe(t,32,+p[o>>3],h);qe(s,32,+p[q>>3],f[j>>2]|0);if(!(f[a+3296>>2]|0)){f[l>>2]=t;f[l+4>>2]=s;ww(e,48941,l)|0}else{f[k>>2]=t;f[k+4>>2]=s;ww(e,48935,k)|0}g=g-i|0;break}case 0:{j=a+3288|0;h=f[j>>2]|0;i=(h<<1)+18|0;if((i|0)>=(g|0))if(!(f[a+3296>>2]|0)){Vy(e,49016,g)|0;g=0;break a}else{Vy(e,48988,g)|0;g=0;break a}c=+p[o>>3];if(((f[a+3888>>2]|0)+-1|0)>>>0<2){oe(t,32,c,h);pe(s,32,+p[q>>3],(f[j>>2]|0)+-1|0)}else{pe(t,32,c,h);pe(s,32,+p[q>>3],f[j>>2]|0)}if(!(f[a+3296>>2]|0)){f[m>>2]=t;f[m+4>>2]=s;ww(e,48941,m)|0}else{f[n>>2]=t;f[n+4>>2]=s;ww(e,48935,n)|0}g=g-i|0;break}default:{}}while(0);switch(f[a+3888>>2]|0){case 3:{if((g|0)<=9){e=1;u=x;return e|0}if(!(f[a+3284>>2]|0)){e=1;u=x;return e|0}a=(f[a+3296>>2]|0)==0;h=e+(Bx(e)|0)|0;if(a){i=49053;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}else{i=49043;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}}case 4:{if((g|0)<=9){e=1;u=x;return e|0}if(!(f[a+3284>>2]|0)){e=1;u=x;return e|0}a=(f[a+3296>>2]|0)==0;h=e+(Bx(e)|0)|0;if(a){i=49073;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}else{i=49063;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}}case 9:{if((g|0)<=9){e=1;u=x;return e|0}if(!(f[a+3284>>2]|0)){e=1;u=x;return e|0}a=(f[a+3296>>2]|0)==0;h=e+(Bx(e)|0)|0;if(a){e=h;a=e;b[a>>0]=32;b[a+1>>0]=112;b[a+2>>0]=108;b[a+3>>0]=97;e=e+4|0;b[e>>0]=110;b[e+1>>0]=101;b[e+2>>0]=116;b[e+3>>0]=0;e=1;u=x;return e|0}else{e=h;a=e;b[a>>0]=9;b[a+1>>0]=112;b[a+2>>0]=108;b[a+3>>0]=97;e=e+4|0;b[e>>0]=110;b[e+1>>0]=101;b[e+2>>0]=116;b[e+3>>0]=0;e=1;u=x;return e|0}}case 5:{if((g|0)<=7){e=1;u=x;return e|0}if(!(f[a+3284>>2]|0)){e=1;u=x;return e|0}a=(f[a+3296>>2]|0)==0;h=e+(Bx(e)|0)|0;if(a){e=h;a=e;b[a>>0]=32;b[a+1>>0]=97;b[a+2>>0]=108;b[a+3>>0]=116;e=e+4|0;b[e>>0]=45;b[e+1>>0]=97;b[e+2>>0]=122;b[e+3>>0]=0;e=1;u=x;return e|0}else{e=h;a=e;b[a>>0]=9;b[a+1>>0]=97;b[a+2>>0]=108;b[a+3>>0]=116;e=e+4|0;b[e>>0]=45;b[e+1>>0]=97;b[e+2>>0]=122;b[e+3>>0]=0;e=1;u=x;return e|0}}case 7:{if((g|0)<=7){e=1;u=x;return e|0}if(!(f[a+3284>>2]|0)){e=1;u=x;return e|0}a=(f[a+3296>>2]|0)==0;h=e+(Bx(e)|0)|0;if(a){i=49093;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}else{i=49083;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}}case 8:{if((g|0)<=7){e=1;u=x;return e|0}if(!(f[a+3284>>2]|0)){e=1;u=x;return e|0}a=(f[a+3296>>2]|0)==0;h=e+(Bx(e)|0)|0;if(a){i=49113;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}else{i=49103;j=h+10|0;do{b[h>>0]=b[i>>0]|0;h=h+1|0;i=i+1|0}while((h|0)<(j|0));e=1;u=x;return e|0}}case 1:case 2:{h=a+3796|0;if((g|0)<=((Bx(h)|0)+1|0)){e=1;u=x;return e|0}if(!(f[a+3284>>2]|0)){e=1;u=x;return e|0}w=(f[a+3296>>2]|0)==0;a=e+(Bx(e)|0)|0;w=w?32:9;b[a>>0]=w;b[a+1>>0]=w>>8;xz(e,h)|0;e=1;u=x;return e|0}default:{i=a+3288|0;re(t,+p[o>>3],0,f[i>>2]|0);re(s,+p[q>>3],0,f[i>>2]|0);i=Bx(t)|0;h=i+1+(Bx(s)|0)|0;m=a+3476|0;j=Bx(m)|0;n=a+3508|0;l=j+2+(Bx(n)|0)|0;k=a+3884|0;if(((f[k>>2]|0)==6?(f[a+3328>>2]|0)==1:0)?(r=l+h|0,(g|0)>(r|0)):0){if(j|0){q=t+i|0;b[q>>0]=32;b[q+1>>0]=0;xz(t,m)|0}if(!(Bx(n)|0))j=r;else{j=s+(Bx(s)|0)|0;b[j>>0]=32;b[j+1>>0]=0;xz(s,n)|0;j=r}}else j=h;h=(f[a+3296>>2]|0)!=0;do if((g|0)>(j|0))if(h){f[v>>2]=t;f[v+4>>2]=s;ww(e,48935,v)|0;break}else{f[w>>2]=t;f[w+4>>2]=s;ww(e,48941,w)|0;break}else if(h){Vy(e,49123,g)|0;break}else{Vy(e,48968,g)|0;break}while(0);if((f[k>>2]|0)!=6){e=1;u=x;return e|0}i=a+3328|0;h=f[i>>2]|0;do if((g|0)>(j+7|0)&(h|0)!=1){a=e+(Bx(e)|0)|0;w=a;b[w>>0]=32;b[w+1>>0]=108;b[w+2>>0]=105;b[w+3>>0]=110;a=a+4|0;b[a>>0]=101;b[a+1>>0]=97;b[a+2>>0]=114;b[a+3>>0]=0;if((f[k>>2]|0)==6){h=f[i>>2]|0;break}else{e=1;u=x;return e|0}}while(0);if((h|0)!=2){e=1;u=x;return e|0}if((g|0)<=(l+7+j|0)){e=1;u=x;return e|0}if(Bx(m)|0){a=e+(Bx(e)|0)|0;b[a>>0]=32;b[a+1>>0]=0;xz(e,m)|0}if(!(Bx(n)|0)){e=1;u=x;return e|0}a=e+(Bx(e)|0)|0;b[a>>0]=32;b[a+1>>0]=0;xz(e,n)|0;e=1;u=x;return e|0}}}if((g|0)<=0){e=0;u=x;return e|0}b[e>>0]=0;e=0;u=x;return e|0}function Dd(a,b,c,d){a=+a;b=+b;c=+c;d=+d;var e=0,f=0,g=0;e=u;u=u+48|0;g=e+24|0;f=e;Xd(a,b,1.0,g);Xd(c,d,1.0,f);c=+p[g>>3]-+p[f>>3];b=+p[g+8>>3]-+p[f+8>>3];d=+p[g+16>>3]-+p[f+16>>3];d=(c*c+0.0+b*b+d*d)*.25;d=d>1.0?1.0:d;d=+T(+(+L(+d)),+(+L(+(1.0-d))))*2.0*180.0/3.141592653589793;u=e;return +d}function Ed(a){a=a|0;if(!a)return 0;else return (f[a+3312>>2]|0?a+3796|0:0)|0;return 0}function Fd(a,b){a=a|0;b=b|0;var c=0,d=0;do if((a|0)!=0?(f[a+3312>>2]|0)!=0:0){d=a+3292|0;c=f[d>>2]|0;f[d>>2]=b;if((b|0)==1&(c|0)==0){c=a+3288|0;if((f[c>>2]|0)!=3){c=0;break}f[c>>2]=6;c=0;break}if((b|0)==0&(c|0)==1){c=a+3288|0;if((f[c>>2]|0)==5){f[c>>2]=3;c=1}else c=1}}else c=0;while(0);return c|0}function Gd(a,b){a=a|0;b=b|0;do if((a|0)!=0?(f[a+3312>>2]|0)!=0:0){a=a+3288|0;if((b|0)>-1){f[a>>2]=b;break}else{b=f[a>>2]|0;break}}else b=0;while(0);return b|0}function Hd(a){a=a|0;if(!a)return 0;else return (f[a+3312>>2]|0?a+3764|0:0)|0;return 0}function Id(){return f[53812]|0}function Jd(a,b,c,d){a=+a;b=+b;c=c|0;d=d|0;var e=0,f=0.0,g=0.0,h=0,i=0.0,j=0.0,k=0.0;e=u;u=u+80|0;h=e;i=+p[c>>3]*3.141592653589793/180.0;g=+p[d>>3]*3.141592653589793/180.0;j=(a+-1850.0)/100.0;f=(b-a)/100.0;a=f*4.8481368110953e-06;b=j*(j*.000059+1.3972)+2303.5548;k=j*.000365;Td(323,-(a*(b+f*(.30242-j*.000269+f*.017996))),a*(j*(-.85294-k)+2005.1125+f*(-.42647-k-f*.041802)),-(a*(b+f*(j*.000387+1.09478+f*.018324))),h);f=+N(+g);j=+N(+i)*f;i=f*+O(+i);g=+O(+g);f=+p[h>>3]*j+0.0+ +p[h+8>>3]*i+ +p[h+16>>3]*g;b=+p[h+24>>3]*j+0.0+ +p[h+32>>3]*i+ +p[h+40>>3]*g;a=+T(+b,+f);a=a<0.0?a+6.283185307179586:a;b=+T(+(+p[h+48>>3]*j+0.0+ +p[h+56>>3]*i+ +p[h+64>>3]*g),+(+L(+(f*f+b*b))));p[c>>3]=(a>6.283185307179586?a+-6.283185307179586:a)*180.0/3.141592653589793;p[d>>3]=b*180.0/3.141592653589793;u=e;return}function Kd(a,b,c,d){a=+a;b=+b;c=c|0;d=d|0;var e=0,f=0.0,g=0,h=0.0,i=0.0,j=0.0,k=0.0;e=u;u=u+80|0;g=e;i=+p[c>>3]*3.141592653589793/180.0;h=+p[d>>3]*3.141592653589793/180.0;j=(a+-2.0e3)/100.0;f=(b-a)/100.0;a=f*4.8481368110953e-06;b=j*(1.39656-j*.000139)+2306.2181;k=j*.000217;Td(323,-(a*(b+f*(.30188-j*.000344+f*.017998))),a*(j*(-.8533-k)+2004.3109+f*(-.42665-k-f*.041833)),-(a*(b+f*(j*.000066+1.09468+f*.018203))),g);f=+N(+h);j=+N(+i)*f;i=f*+O(+i);h=+O(+h);f=j*+p[g>>3]+0.0+i*+p[g+8>>3]+h*+p[g+16>>3];b=j*+p[g+24>>3]+0.0+i*+p[g+32>>3]+h*+p[g+40>>3];a=+T(+b,+f);a=a<0.0?a+6.283185307179586:a;b=+T(+(j*+p[g+48>>3]+0.0+i*+p[g+56>>3]+h*+p[g+64>>3]),+(+L(+(f*f+b*b))));p[c>>3]=(a>6.283185307179586?a+-6.283185307179586:a)*180.0/3.141592653589793;p[d>>3]=b*180.0/3.141592653589793;u=e;return}function Ld(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,v=0,w=0.0,x=0.0,y=0;y=u;u=u+48|0;v=y;h=+p[a>>3]*3.141592653589793/180.0;g=+p[b>>3]*3.141592653589793/180.0;x=+p[c>>3]*36.0e4;w=+p[d>>3]*36.0e4;j=+O(+h);h=+N(+h);k=+O(+g);g=+N(+g);l=h*g;m=j*g;if(x!=0.0|w!=0.0){i=w*g;h=-(x*m)-w*(h*k);g=x*l-w*(j*k)}else{i=0.0;h=0.0;g=0.0}p[v>>3]=l*.9999256795+0.0+m*.0111814828+k*.0048590039+h*-2.4238984e-06+g*-2.710544e-08+i*-1.177742e-08;p[v+8>>3]=l*-.0111814828+0.0+m*.9999374849+k*-.0000271771+h*2.710544e-08+g*-2.42392702e-06+i*6.585e-11;p[v+16>>3]=l*-.004859004+0.0+m*-.0000271557+k*.9999881946+h*1.177742e-08+g*6.585e-11+i*-2.42404995e-06;p[v+24>>3]=l*-.000551+0.0+m*.238509+k*-.435614+h*.99990432+g*.01118145+i*.00485852;p[v+32>>3]=l*-.23856+0.0+m*-.002667+k*.012254+h*-.01118145+g*.99991613+i*-.00002717;p[v+40>>3]=l*.43573+0.0+m*-.008541+k*.002117+h*-.00485852+g*-.00002716+i*.99996684;j=+p[v>>3];q=+p[v+8>>3];o=+p[v+16>>3];h=+L(+(j*j+q*q+o*o));t=q*-3.1919e-07-j*1.62557e-06-o*1.3843e-07;r=j*t;m=j-h*1.62557e-06-r;s=q*t;n=q-h*3.1919e-07-s;t=o*t;h=o-h*1.3843e-07-t;n=+L(+(h*h+(m*m+n*n)));m=j*.001245-q*.00158-o*.000659;r=j-n*1.62557e-06-r;s=q-n*3.1919e-07-s;t=o-n*1.3843e-07-t;o=+p[v+24>>3]+n*.001245-m*r;q=+p[v+32>>3]-n*.00158-m*s;m=+p[v+40>>3]-n*.000659-m*t;j=r*r+s*s;h=+L(+j);if(!(r==0.0&s==0.0)){g=+T(+s,+r);if(g<0.0)l=g+6.283185307179586;else l=g}else l=0.0;k=+T(+t,+h);if(h>1.0e-30){i=(m*j-t*(r*o+s*q))/(h*(t*t+j));h=(r*q-s*o)/j}else{i=w;h=x}g=+p[e>>3];if(!(g>1.0e-30)){x=l*180.0;x=x/3.141592653589793;p[a>>3]=x;x=k*180.0;x=x/3.141592653589793;p[b>>3]=x;x=h/36.0e4;p[c>>3]=x;x=i/36.0e4;p[d>>3]=x;u=y;return}p[f>>3]=(t*m+(r*o+s*q))/(n*(g*21.095));p[e>>3]=+p[e>>3]/n;x=l*180.0;x=x/3.141592653589793;p[a>>3]=x;x=k*180.0;x=x/3.141592653589793;p[b>>3]=x;x=h/36.0e4;p[c>>3]=x;x=i/36.0e4;p[d>>3]=x;u=y;return}function Md(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,g=0.0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0,t=0,v=0;m=u;u=u+64|0;l=m+56|0;k=m+16|0;i=m;d=+p[a>>3];e=+p[c>>3];q=d*3.141592653589793/180.0;o=e*3.141592653589793/180.0;n=+N(+o);r=+N(+q)*n;q=n*+O(+q);o=+O(+o);n=r*-.066988739415+q*.492728466075+o*-.867600811151;h=r*-.872755765852+q*-.45034695802+o*-.188374601723;g=+T(+h,+n);g=g<0.0?g+6.283185307179586:g;g=(g>6.283185307179586?g+-6.283185307179586:g)*180.0/3.141592653589793;h=+T(+(r*-.483538914632+q*.744584633283+o*.460199784784),+(+L(+(n*n+h*h))))*180.0/3.141592653589793;p[a>>3]=g;p[c>>3]=h;if(!(f[53814]|0)){u=m;return}j=f[4971]|0;p[i>>3]=d;p[i+8>>3]=e;zy(j,49360,i)|0;q=g/15.0;v=~~q;q=(q-+(v|0))*60.0;t=~~q;s=h<0.0;r=s?-h:h;i=~~r;r=(r-+(i|0))*60.0;c=~~r;a=Lv(32)|0;f[k>>2]=v;f[k+4>>2]=t;p[k+8>>3]=(q-+(t|0))*60.0;f[k+16>>2]=s?45:43;f[k+20>>2]=i;f[k+24>>2]=c;p[k+32>>3]=(r-+(c|0))*60.0;ww(a,49144,k)|0;c=a+6|0;if((b[c>>0]|0)==32)b[c>>0]=48;c=a+20|0;if((b[c>>0]|0)==32)b[c>>0]=48;f[l>>2]=a;zy(j,49393,l)|0;Mv(a);u=m;return}function Nd(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0.0,f=0.0,g=0.0,h=0.0,i=0,j=0.0,k=0.0;d=u;u=u+80|0;i=d;j=+p[a>>3]*3.141592653589793/180.0;h=+p[b>>3]*3.141592653589793/180.0;g=+N(+h);k=+N(+j)*g;j=g*+O(+j);h=+O(+h);g=(c+-2.0e3)*.01;Td(1,(g*(g*(g*.001813+-.00059)+-46.815)+84381.448)*4.8481368110953e-06,0.0,0.0,i);g=+p[i>>3]*k+0.0+ +p[i+24>>3]*j+ +p[i+48>>3]*h;e=+p[i+8>>3]*k+0.0+ +p[i+32>>3]*j+ +p[i+56>>3]*h;f=+T(+e,+g);f=f<0.0?f+6.283185307179586:f;e=+T(+(+p[i+16>>3]*k+0.0+ +p[i+40>>3]*j+ +p[i+64>>3]*h),+(+L(+(g*g+e*e))));p[a>>3]=(f>6.283185307179586?f+-6.283185307179586:f)*180.0/3.141592653589793;p[b>>3]=e*180.0/3.141592653589793;if(!(c!=2.0e3)){u=d;return}Kd(c,2.0e3,a,b);u=d;return}
function dn(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h){if(q){if(o)h=0;else{n=f[n>>2]|0;return n|0}do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16<0){f[n>>2]=-11;o=0}else o=o<<16>>16;f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(h<<1)>>1]|0)*e+g;do if(!(p<-.49))if(p>4294967295.49){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[n>>2]=-11;o=0}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16!=i<<16>>16)if(o<<16>>16<0){f[n>>2]=-11;o=0}else o=o<<16>>16;else{f[l>>2]=1;o=j}f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{if(o<<16>>16<0){f[n>>2]=-11;o=0}else o=o<<16>>16;f[m+(h<<2)>>2]=o}h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-.49){f[n>>2]=-11;o=0;break}if(p>4294967295.49){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}}else{f[l>>2]=1;o=j}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o<<16>>16)*e+g;if(p<-.49){f[n>>2]=-11;f[m+(h<<2)>>2]=0;break}if(p>4294967295.49){f[n>>2]=-11;o=-1}else o=~~p>>>0;f[m+(h<<2)>>2]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}function en(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,p=0;p=d==1.0;n=p&e==2147483648.0;if(!g){if(n){if((c|0)>0)n=0;else{m=f[m>>2]|0;return m|0}do{f[l+(n<<2)>>2]=f[a+(n<<2)>>2]^-2147483648;n=n+1|0}while((n|0)!=(c|0));m=f[m>>2]|0;return m|0}n=(c|0)>0;if(p&e==0.0){if(n)g=0;else{m=f[m>>2]|0;return m|0}do{n=f[a+(g<<2)>>2]|0;if((n|0)<0){f[m>>2]=-11;n=0}f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(n)g=0;else{m=f[m>>2]|0;return m|0}do{o=+(f[a+(g<<2)>>2]|0)*d+e;do if(!(o<-.49))if(o>4294967295.49){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}else{f[m>>2]=-11;n=0}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(n){if((c|0)<=0){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;n=i}else n=n^-2147483648;f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else f[l+(g<<2)>>2]=n^-2147483648;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}}n=(c|0)>0;if(p&e==0.0){if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)!=(h|0)){if((n|0)<0){f[m>>2]=-11;n=0}}else{f[k>>2]=1;n=i}f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else{if((n|0)<0){f[m>>2]=-11;n=0}f[l+(g<<2)>>2]=n}g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){o=+(n|0)*d+e;if(o<-.49){f[m>>2]=-11;n=0;break}if(o>4294967295.49){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}}else{f[k>>2]=1;n=i}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else{o=+(n|0)*d+e;if(o<-.49){f[m>>2]=-11;f[l+(g<<2)>>2]=0;break}if(o>4294967295.49){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(g<<2)>>2]=n}while(0);g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}function fn(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2];e=p;do if(!(e<-.49))if(e>4294967295.49){f[m>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[m>>2]=-11;o=0}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2]*e+g;do if(!(p<-.49))if(p>4294967295.49){f[m>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[m>>2]=-11;o=0}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;a:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-.49){f[m>>2]=-11;o=0;break a}if(e>4294967295.49){f[m>>2]=-11;o=-1;break a}else{o=~~p>>>0;break a}}case 1:{f[k>>2]=1;o=i;break}default:o=0}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break b}if(e>4294967295.49){f[m>>2]=-11;o=-1}else o=~~p>>>0;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}s=g<-.49;t=g>4294967295.49;u=~~g>>>0;if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;c:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;o=0;break c}if(p>4294967295.49){f[m>>2]=-11;o=-1;break c}else{o=~~p>>>0;break c}}case 1:{f[k>>2]=1;o=i;break}default:{if(s){f[m>>2]=-11;o=0;break c}if(t){f[m>>2]=-11;o=-1}else o=u}}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break d}if(p>4294967295.49){f[m>>2]=-11;o=-1}else o=~~p>>>0;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=0}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;e:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break e}if(p>4294967295.49){f[m>>2]=-11;o=-1}else o=~~p>>>0;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;o=-1}else o=u;f[l+(r<<2)>>2]=o}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}function gn(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3];do if(!(o<-.49))if(o>4294967295.49){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}else{f[m>>2]=-11;n=0}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3]*e+g;do if(!(o<-.49))if(o>4294967295.49){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}else{f[m>>2]=-11;n=0}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;a:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-.49){f[m>>2]=-11;n=0;break a}if(o>4294967295.49){f[m>>2]=-11;n=-1;break a}else{n=~~o>>>0;break a}}case 1:{f[k>>2]=1;n=i;break}default:n=0}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break b}if(o>4294967295.49){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}s=g<-.49;t=g>4294967295.49;u=~~g>>>0;if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;c:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;n=0;break c}if(o>4294967295.49){f[m>>2]=-11;n=-1;break c}else{n=~~o>>>0;break c}}case 1:{f[k>>2]=1;n=i;break}default:{if(s){f[m>>2]=-11;n=0;break c}if(t){f[m>>2]=-11;n=-1}else n=u}}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break d}if(o>4294967295.49){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=0}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;e:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break e}if(o>4294967295.49){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;n=-1}else n=u;f[l+(r<<2)>>2]=n}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function hn(a,b,c,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0;n=u;u=u+16|0;m=n;if(!(Ek(a,l)|0)){jn(a,2,(b|0)>1?b:1,0,c,e,g,h,1,1,i,j,n+2|0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}else{d[m>>1]=i;ws(a,20,c,e,g,h,1,m,j,0,k,l)|0;l=f[l>>2]|0;u=n;return l|0}return 0}function jn(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;var s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0;$=u;u=u+29072|0;_=$+28888|0;Z=$+28864|0;V=$+28856|0;N=$+28848|0;T=$+28840|0;Q=$+28932|0;w=$+28928|0;W=$+28924|0;x=$+28916|0;S=$+28912|0;K=$+28908|0;L=$+28832|0;P=$+28824|0;J=$+28816|0;R=$+28808|0;M=$+28800|0;U=$+29040|0;Y=$+28956|0;O=$+28936|0;H=$;v=f[r>>2]|0;if((i|0)==0&(j|0)==0|(v|0)>0){r=v;u=$;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,0,N,T,U,S,Q,w,P,J,K,L,M,W,R,O,r)|0)>0){r=f[r>>2]|0;u=$;return r|0}g=f[w>>2]|0;h=((g|0)<0)<<31>>31;G=X(f[K>>2]|0,k)|0;f[K>>2]=G;if((f[Q>>2]|0)==16?(Tj(U,$+28920|0,$+28904|0,x,r)|0,y=f[x>>2]|0,(y|0)>0):0){d=0;s=1.0;do{s=s*10.0;d=d+1|0}while((d|0)<(y|0))}else s=1.0;e=f[Q>>2]|0;if(!((l|0)==1&m<<16>>16==0)?(A=R,z=f[A>>2]|0,A=f[A+4>>2]|0,!(((e|0)%10|0|0)==1&((z|0)==1234554321&(A|0)==0))):0){G=Ez(z|0,A|0,32768,0)|0;F=I;if(!((e|0)==21&(F>>>0>0|(F|0)==0&G>>>0>65535)))if((e|0)==11&(A>>>0>0|(A|0)==0&z>>>0>255)){d=11;G=0}else{d=e;G=(e|0)==16&(b[O>>0]|0)==1?0:l}else{d=21;G=0}}else{d=e;G=0}E=(d|0)==21;D=(j|0)<0|(j|0)==0&i>>>0<1073741823;F=E?(D?i:1073741823):g;D=E?(D?j:0):h;E=((k|0)<0)<<31>>31;B=0;C=0;h=i;e=j;g=0;d=0;a:while(1){l=d;while(1){x=n+(g<<1)|0;z=o+g|0;w=h;while(1){if((w|0)==0&(e|0)==0){d=42;break a}j=(e|0)<(D|0)|(e|0)==(D|0)&w>>>0<F>>>0;A=j?w:F;A=Nz(0,A|0,32)|0;j=I;v=L;h=J;i=f[h>>2]|0;h=f[h+4>>2]|0;v=Ez(f[v>>2]|0,f[v+4>>2]|0,-1,-1)|0;v=Dz(v|0,I|0,i|0,h|0)|0;v=Jz(v|0,I|0,k|0,E|0)|0;y=I;d=(j|0)>(y|0)|(j|0)==(y|0)&A>>>0>v>>>0;y=Ez(v|0,y|0,1,0)|0;v=I;A=d?y:A;j=P;v=f[j>>2]|0;j=f[j+4>>2]|0;d=M;d=Sz(f[d>>2]|0,f[d+4>>2]|0,B|0,C|0)|0;j=Ez(d|0,I|0,v|0,j|0)|0;v=I;d=f[K>>2]|0;y=(d|0)/(k|0)|0;h=Sz(y|0,((y|0)<0)<<31>>31|0,i|0,h|0)|0;h=Ez(j|0,v|0,h|0,I|0)|0;v=I;switch(f[Q>>2]|0){case 21:{rt(a,h,v,A,d,x,r)|0;kn(x,A,+p[N>>3],+p[T>>3],G,f[R>>2]&65535,m,z,q,x,r)|0;break}case 81:{tt(a,h,v,A,d,H,r)|0;j=R;ln(H,A,+p[N>>3],+p[T>>3],G,f[j>>2]|0,f[j+4>>2]|0,m,z,q,x,r)|0;break}case 11:{qt(a,h,v,A,d,H,r)|0;mn(H,A,+p[N>>3],+p[T>>3],G,f[R>>2]&255,m,z,q,x,r)|0;break}case 41:{st(a,h,v,A,d,H,r)|0;nn(H,A,+p[N>>3],+p[T>>3],G,f[R>>2]|0,m,z,q,x,r)|0;break}case 42:{ut(a,h,v,A,d,H,r)|0;on(H,A,+p[N>>3],+p[T>>3],G,m,z,q,x,r)|0;break}case 82:{vt(a,h,v,A,d,H,r)|0;pn(H,A,+p[N>>3],+p[T>>3],G,m,z,q,x,r)|0;break}case 16:{ft(a,h,v,0,r)|0;d=f[K>>2]|0;h=f[S>>2]|0;if((d|0)==(h|0)){j=X(d,A)|0;kt(a,j,((j|0)<0)<<31>>31,H,r)|0}else lt(a,h,A,d-h|0,H,r)|0;qn(H,A,+p[N>>3],+p[T>>3],f[S>>2]|0,s,G,O,m,z,q,x,r)|0;break}default:{d=31;break a}}if((f[r>>2]|0)>0){d=35;break a}d=((A|0)<0)<<31>>31;w=Dz(w|0,e|0,A|0,d|0)|0;y=I;if((w|0)==0&(y|0)==0){w=0;e=0}else break}x=Ez(A|0,d|0,g|0,l|0)|0;d=I;g=J;e=X(A,k)|0;e=Ez(f[g>>2]|0,f[g+4>>2]|0,e|0,((e|0)<0)<<31>>31|0)|0;g=I;v=J;f[v>>2]=e;f[v+4>>2]=g;v=L;h=f[v>>2]|0;v=f[v+4>>2]|0;if((g|0)<(v|0)|(g|0)==(v|0)&e>>>0<h>>>0){l=d;h=w;e=y;g=x}else break}A=Jz(e|0,g|0,h|0,v|0)|0;l=I;i=Ez(A|0,l|0,B|0,C|0)|0;j=I;h=Sz(A|0,l|0,h|0,v|0)|0;e=Dz(e|0,g|0,h|0,I|0)|0;h=J;f[h>>2]=e;f[h+4>>2]=I;B=i;C=j;h=w;e=y;g=x}if((d|0)==31){f[V>>2]=c;f[V+4>>2]=U;ww(Y,81254,V)|0;vj(Y);if((f[W>>2]|0)==1){f[r>>2]=311;r=311;u=$;return r|0}else{f[r>>2]=312;r=312;u=$;return r|0}}else if((d|0)==35){s=+(g>>>0)+4294967296.0*+(l|0);t=s+1.0;s=s+ +(A|0);if((f[W>>2]|0)>0){p[Z>>3]=t;p[Z+8>>3]=s;f[Z+16>>2]=c;ww(Y,81038,Z)|0}else{p[_>>3]=t;p[_+8>>3]=s;ww(Y,81102,_)|0}vj(Y);r=f[r>>2]|0;u=$;return r|0}else if((d|0)==42){d=f[r>>2]|0;if((d|0)!=-11){r=d;u=$;return r|0}vj(81433);f[r>>2]=412;r=412;u=$;return r|0}return 0}function kn(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0;o=q&g==32768.0;if(!h){if(o){if((c|0)>0)o=0;else{n=f[n>>2]|0;return n|0}do{d[m+(o<<1)>>1]=d[a+(o<<1)>>1]^-32768;o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}o=(c|0)>0;if(q&g==0.0){if(o)h=0;else{n=f[n>>2]|0;return n|0}do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16<0){f[n>>2]=-11;o=0}d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(h<<1)>>1]|0)*e+g;do if(!(p<-.49))if(p>65535.49){f[n>>2]=-11;o=-1;break}else{o=~~p&65535;break}else{f[n>>2]=-11;o=0}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o){if((c|0)<=0){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;o=j}else o=o^-32768;d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else d[m+(h<<1)>>1]=o^-32768;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}}o=(c|0)>0;if(q&g==0.0){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16!=i<<16>>16){if(o<<16>>16<0){f[n>>2]=-11;o=0}}else{f[l>>2]=1;o=j}d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{if(o<<16>>16<0){f[n>>2]=-11;o=0}d[m+(h<<1)>>1]=o}h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-.49){f[n>>2]=-11;o=0;break}if(p>65535.49){f[n>>2]=-11;o=-1;break}else{o=~~p&65535;break}}else{f[l>>2]=1;o=j}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o<<16>>16)*e+g;if(p<-.49){f[n>>2]=-11;d[m+(h<<1)>>1]=0;break}if(p>65535.49){f[n>>2]=-11;o=-1}else o=~~p&65535;d[m+(h<<1)>>1]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}function ln(a,c,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0;r=e==1.0&g==0.0;p=(c|0)>0;if(!h)if(r){if(p)r=0;else{o=f[o>>2]|0;return o|0}do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if((h|0)>=0)if((h|0)>0|(h|0)==0&p>>>0>65535){f[o>>2]=-11;p=-1;break}else{p=p&65535;break}else{f[o>>2]=-11;p=0}while(0);d[n+(r<<1)>>1]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(p)h=0;else{o=f[o>>2]|0;return o|0}do{m=a+(h<<3)|0;q=(+((f[m>>2]|0)>>>0)+4294967296.0*+(f[m+4>>2]|0))*e+g;do if(!(q<-.49))if(q>65535.49){f[o>>2]=-11;p=-1;break}else{p=~~q&65535;break}else{f[o>>2]=-11;p=0}while(0);d[n+(h<<1)>>1]=p;h=h+1|0}while((h|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if(!((p|0)==(i|0)&(h|0)==(j|0))){if((h|0)<0){f[o>>2]=-11;p=0;break}if((h|0)>0|(h|0)==0&p>>>0>65535){f[o>>2]=-11;p=-1;break}else{p=p&65535;break}}else{f[m>>2]=1;p=k}while(0);d[n+(r<<1)>>1]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if((p|0)==(i|0)&(h|0)==(j|0)){f[m>>2]=1;b[l+r>>0]=1}else{if((h|0)<0){f[o>>2]=-11;d[n+(r<<1)>>1]=0;break}if((h|0)>0|(h|0)==0&p>>>0>65535){f[o>>2]=-11;p=-1}else p=p&65535;d[n+(r<<1)>>1]=p}while(0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else{if(!p){o=f[o>>2]|0;return o|0}if((h|0)==1){r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if(!((p|0)==(i|0)&(h|0)==(j|0))){q=(+(p>>>0)+4294967296.0*+(h|0))*e+g;if(q<-.49){f[o>>2]=-11;p=0;break}if(q>65535.49){f[o>>2]=-11;p=-1;break}else{p=~~q&65535;break}}else{f[m>>2]=1;p=k}while(0);d[n+(r<<1)>>1]=p;r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}else r=0;do{h=a+(r<<3)|0;p=f[h>>2]|0;h=f[h+4>>2]|0;do if((p|0)==(i|0)&(h|0)==(j|0)){f[m>>2]=1;b[l+r>>0]=1}else{q=(+(p>>>0)+4294967296.0*+(h|0))*e+g;if(q<-.49){f[o>>2]=-11;d[n+(r<<1)>>1]=0;break}if(q>65535.49){f[o>>2]=-11;p=-1}else p=~~q&65535;d[n+(r<<1)>>1]=p}while(0);r=r+1|0}while((r|0)!=(c|0));o=f[o>>2]|0;return o|0}return 0}function mn(a,c,e,g,i,j,k,l,m,n,o){a=a|0;c=c|0;e=+e;g=+g;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0;r=e==1.0&g==0.0;p=(c|0)>0;if(!i){if(r){if(p)p=0;else{o=f[o>>2]|0;return o|0}do{d[n+(p<<1)>>1]=h[a+p>>0]|0;p=p+1|0}while((p|0)!=(c|0));o=f[o>>2]|0;return o|0}if(p)i=0;else{o=f[o>>2]|0;return o|0}do{q=+(h[a+i>>0]|0)*e+g;do if(!(q<-.49))if(q>65535.49){f[o>>2]=-11;p=-1;break}else{p=~~q&65535;break}else{f[o>>2]=-11;p=0}while(0);d[n+(i<<1)>>1]=p;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}if(r){if(!p){o=f[o>>2]|0;return o|0}if((i|0)==1){i=0;do{p=b[a+i>>0]|0;if(p<<24>>24==j<<24>>24){f[m>>2]=1;p=k}else p=p&255;d[n+(i<<1)>>1]=p;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}else{i=0;do{p=b[a+i>>0]|0;if(p<<24>>24==j<<24>>24){f[m>>2]=1;b[l+i>>0]=1}else d[n+(i<<1)>>1]=p&255;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}}if(!p){o=f[o>>2]|0;return o|0}if((i|0)==1){i=0;do{p=b[a+i>>0]|0;do if(p<<24>>24!=j<<24>>24){q=+(p&255)*e+g;if(q<-.49){f[o>>2]=-11;p=0;break}if(q>65535.49){f[o>>2]=-11;p=-1;break}else{p=~~q&65535;break}}else{f[m>>2]=1;p=k}while(0);d[n+(i<<1)>>1]=p;i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}else i=0;do{p=b[a+i>>0]|0;do if(p<<24>>24==j<<24>>24){f[m>>2]=1;b[l+i>>0]=1}else{q=+(p&255)*e+g;if(q<-.49){f[o>>2]=-11;d[n+(i<<1)>>1]=0;break}if(q>65535.49){f[o>>2]=-11;p=-1}else p=~~q&65535;d[n+(i<<1)>>1]=p}while(0);i=i+1|0}while((i|0)!=(c|0));o=f[o>>2]|0;return o|0}function nn(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h)if(q){if(o)h=0;else{n=f[n>>2]|0;return n|0}do{o=f[a+(h<<2)>>2]|0;do if((o|0)>=0)if((o|0)>65535){f[n>>2]=-11;o=-1;break}else{o=o&65535;break}else{f[n>>2]=-11;o=0}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(f[a+(h<<2)>>2]|0)*e+g;do if(!(p<-.49))if(p>65535.49){f[n>>2]=-11;o=-1;break}else{o=~~p&65535;break}else{f[n>>2]=-11;o=0}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)!=(i|0)){if((o|0)<0){f[n>>2]=-11;o=0;break}if((o|0)>65535){f[n>>2]=-11;o=-1;break}else{o=o&65535;break}}else{f[l>>2]=1;o=j}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)==(i|0)){f[l>>2]=1;b[k+h>>0]=1}else{if((o|0)<0){f[n>>2]=-11;d[m+(h<<1)>>1]=0;break}if((o|0)>65535){f[n>>2]=-11;o=-1}else o=o&65535;d[m+(h<<1)>>1]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)!=(i|0)){p=+(o|0)*e+g;if(p<-.49){f[n>>2]=-11;o=0;break}if(p>65535.49){f[n>>2]=-11;o=-1;break}else{o=~~p&65535;break}}else{f[l>>2]=1;o=j}while(0);d[m+(h<<1)>>1]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=f[a+(h<<2)>>2]|0;do if((o|0)==(i|0)){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o|0)*e+g;if(p<-.49){f[n>>2]=-11;d[m+(h<<1)>>1]=0;break}if(p>65535.49){f[n>>2]=-11;o=-1}else o=~~p&65535;d[m+(h<<1)>>1]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function on(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2];e=p;do if(!(e<-.49))if(e>65535.49){f[m>>2]=-11;o=-1;break}else{o=~~p&65535;break}else{f[m>>2]=-11;o=0}while(0);d[l+(q<<1)>>1]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2]*e+g;do if(!(p<-.49))if(p>65535.49){f[m>>2]=-11;o=-1;break}else{o=~~p&65535;break}else{f[m>>2]=-11;o=0}while(0);d[l+(q<<1)>>1]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;a:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-.49){f[m>>2]=-11;o=0;break a}if(e>65535.49){f[m>>2]=-11;o=-1;break a}else{o=~~p&65535;break a}}case 1:{f[k>>2]=1;o=i;break}default:o=0}while(0);d[l+(r<<1)>>1]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-.49){f[m>>2]=-11;d[l+(r<<1)>>1]=0;break b}if(e>65535.49){f[m>>2]=-11;o=-1}else o=~~p&65535;d[l+(r<<1)>>1]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:d[l+(r<<1)>>1]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}s=g<-.49;t=g>65535.49;u=~~g&65535;if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;c:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;o=0;break c}if(p>65535.49){f[m>>2]=-11;o=-1;break c}else{o=~~p&65535;break c}}case 1:{f[k>>2]=1;o=i;break}default:{if(s){f[m>>2]=-11;o=0;break c}if(t){f[m>>2]=-11;o=-1}else o=u}}while(0);d[l+(r<<1)>>1]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;d[l+(r<<1)>>1]=0;break d}if(p>65535.49){f[m>>2]=-11;o=-1}else o=~~p&65535;d[l+(r<<1)>>1]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;d[l+(r<<1)>>1]=0}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;e:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;d[l+(r<<1)>>1]=0;break e}if(p>65535.49){f[m>>2]=-11;o=-1}else o=~~p&65535;d[l+(r<<1)>>1]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;o=-1}else o=u;d[l+(r<<1)>>1]=o}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}function pn(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3];do if(!(o<-.49))if(o>65535.49){f[m>>2]=-11;n=-1;break}else{n=~~o&65535;break}else{f[m>>2]=-11;n=0}while(0);d[l+(q<<1)>>1]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3]*e+g;do if(!(o<-.49))if(o>65535.49){f[m>>2]=-11;n=-1;break}else{n=~~o&65535;break}else{f[m>>2]=-11;n=0}while(0);d[l+(q<<1)>>1]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;a:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-.49){f[m>>2]=-11;n=0;break a}if(o>65535.49){f[m>>2]=-11;n=-1;break a}else{n=~~o&65535;break a}}case 1:{f[k>>2]=1;n=i;break}default:n=0}while(0);d[l+(r<<1)>>1]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-.49){f[m>>2]=-11;d[l+(r<<1)>>1]=0;break b}if(o>65535.49){f[m>>2]=-11;n=-1}else n=~~o&65535;d[l+(r<<1)>>1]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:d[l+(r<<1)>>1]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}s=g<-.49;t=g>65535.49;u=~~g&65535;if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;c:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;n=0;break c}if(o>65535.49){f[m>>2]=-11;n=-1;break c}else{n=~~o&65535;break c}}case 1:{f[k>>2]=1;n=i;break}default:{if(s){f[m>>2]=-11;n=0;break c}if(t){f[m>>2]=-11;n=-1}else n=u}}while(0);d[l+(r<<1)>>1]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;d[l+(r<<1)>>1]=0;break d}if(o>65535.49){f[m>>2]=-11;n=-1}else n=~~o&65535;d[l+(r<<1)>>1]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;d[l+(r<<1)>>1]=0}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;e:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;d[l+(r<<1)>>1]=0;break e}if(o>65535.49){f[m>>2]=-11;n=-1}else n=~~o&65535;d[l+(r<<1)>>1]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;n=-1}else n=u;d[l+(r<<1)>>1]=n}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function qn(a,c,e,g,h,i,j,k,l,m,n,o,p){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=+i;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0.0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+96|0;H=I;G=I+4|0;B=Bx(k)|0;a:do if((c|0)>0){C=(j|0)==0;A=(j|0)==1;y=a;z=0;b:while(1){F=y+h|0;E=b[F>>0]|0;b[F>>0]=0;do if((b[k>>0]|0)!=1?(vw(k,y,B)|0)==0:0)if(!C){f[n>>2]=1;if(A){d[o+(z<<1)>>1]=l;j=F;break}else{b[m+z>>0]=1;j=F;break}}else j=F;else{j=y;D=9}while(0);do if((D|0)==9){c:while(1){D=0;a=b[j>>0]|0;switch(a<<24>>24){case 43:case 45:{D=11;break c}case 32:break;default:{x=1;break c}}j=j+1|0;D=9}if((D|0)==11){D=0;q=a<<24>>24==45;do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);x=q?-1:1}if((a+-48&255)<10){r=0.0;do{r=r*10.0+ +(a<<24>>24);do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);r=r+-48.0}while((a+-48&255)<10)}else r=0.0;switch(a<<24>>24){case 44:case 46:{do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);if((a+-48&255)<10){t=1.0;do{r=r*10.0+ +(a<<24>>24)+-48.0;do{j=j+1|0;a=b[j>>0]|0}while(a<<24>>24==32);t=t*10.0}while((a+-48&255)<10);w=1}else{w=1;t=1.0}break}default:{w=0;t=1.0}}if((a&-2)<<24>>24==68){q=j;d:while(1){j=q+1|0;a=b[j>>0]|0;switch(a<<24>>24){case 32:{q=j;break}case 43:case 45:{D=28;break d}default:{s=1;break d}}}if((D|0)==28){D=0;s=a<<24>>24==45;j=q+2|0;while(1){a=b[j>>0]|0;if(a<<24>>24==32)j=j+1|0;else break}s=s?-1:1}if((a+-48&255)<10){q=0;while(1){q=(q*10|0)+-48|0;do{j=j+1|0;v=b[j>>0]|0}while(v<<24>>24==32);q=q+(a<<24>>24)|0;if((v+-48&255)<10)a=v;else{a=v;break}}}else q=0}else{s=1;q=0}if(a<<24>>24)break b;r=+(x|0)*r/((w|0)==0?i:t)*+M(10.0,+(+(X(s,q)|0)))*e+g;if(r<-.49){f[p>>2]=-11;d[o+(z<<1)>>1]=0;break}if(r>65535.49){f[p>>2]=-11;a=-1}else a=~~r&65535;d[o+(z<<1)>>1]=a}while(0);b[F>>0]=E;z=z+1|0;if((z|0)>=(c|0))break a;else y=j}j=G;a=81500;q=j+36|0;do{b[j>>0]=b[a>>0]|0;j=j+1|0;a=a+1|0}while((j|0)<(q|0));vj(G);f[H>>2]=y;ww(G,81536,H)|0;vj(G);b[F>>0]=E;f[p>>2]=409;H=409;u=I;return H|0}while(0);H=f[p>>2]|0;u=I;return H|0}function rn(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){jn(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,20,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function sn(a,b,c,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0;Wa=u;u=u+448|0;A=Wa+232|0;o=Wa+224|0;aa=Wa+316|0;z=Wa+280|0;D=Wa+244|0;x=Wa+144|0;p=Wa+72|0;r=Wa;n=Wa+240|0;Ua=Wa+236|0;Va=Wa+435|0;y=Wa+354|0;q=Wa+352|0;if((c+-1|0)>>>0>8){f[o>>2]=c;ww(y,81162,o)|0;vj(y);f[m>>2]=320;m=320;u=Wa;return m|0}if(Ek(a,m)|0){b=0;do{Va=f[g+(b<<2)>>2]|0;Ua=p+(b<<3)|0;f[Ua>>2]=Va;f[Ua+4>>2]=((Va|0)<0)<<31>>31;Ua=f[h+(b<<2)>>2]|0;Va=r+(b<<3)|0;f[Va>>2]=Ua;f[Va+4>>2]=((Ua|0)<0)<<31>>31;b=b+1|0}while((b|0)!=(c|0));d[q>>1]=j;ts(a,20,p,r,i,1,q,k,0,l,m)|0;m=f[m>>2]|0;u=Wa;return m|0}if((mk(a,n,m)|0)>0){m=f[m>>2]|0;u=Wa;return m|0}if(!(f[n>>2]|0)){ha=(b|0)==0?1:b;b=2;Sa=1;t=ha}else{Sa=f[i+(c<<2)>>2]|0;t=f[h+(c<<2)>>2]|0;ha=f[g+(c<<2)>>2]|0}Ta=(l|0)!=0;if(Ta)f[l>>2]=0;f[aa>>2]=1;f[z>>2]=1;f[D>>2]=1;W=x;f[W>>2]=1;f[W+4>>2]=0;W=aa+4|0;f[W>>2]=1;X=z+4|0;f[X>>2]=1;ga=D+4|0;f[ga>>2]=1;Z=x+8|0;T=Z;f[T>>2]=1;f[T+4>>2]=0;T=aa+8|0;f[T>>2]=1;U=z+8|0;f[U>>2]=1;Y=D+8|0;f[Y>>2]=1;_=x+16|0;Q=_;f[Q>>2]=1;f[Q+4>>2]=0;Q=aa+12|0;f[Q>>2]=1;R=z+12|0;f[R>>2]=1;V=D+12|0;f[V>>2]=1;$=x+24|0;N=$;f[N>>2]=1;f[N+4>>2]=0;N=aa+16|0;f[N>>2]=1;O=z+16|0;f[O>>2]=1;S=D+16|0;f[S>>2]=1;ba=x+32|0;K=ba;f[K>>2]=1;f[K+4>>2]=0;K=aa+20|0;f[K>>2]=1;L=z+20|0;f[L>>2]=1;P=D+20|0;f[P>>2]=1;ca=x+40|0;G=ca;f[G>>2]=1;f[G+4>>2]=0;G=aa+24|0;f[G>>2]=1;H=z+24|0;f[H>>2]=1;M=D+24|0;f[M>>2]=1;da=x+48|0;C=da;f[C>>2]=1;f[C+4>>2]=0;C=aa+28|0;f[C>>2]=1;E=z+28|0;f[E>>2]=1;J=D+28|0;f[J>>2]=1;ea=x+56|0;v=ea;f[v>>2]=1;f[v+4>>2]=0;v=aa+32|0;f[v>>2]=1;w=z+32|0;f[w>>2]=1;F=D+32|0;f[F>>2]=1;fa=x+64|0;p=fa;f[p>>2]=1;f[p+4>>2]=0;p=1;q=0;r=0;do{n=f[h+(r<<2)>>2]|0;o=f[g+(r<<2)>>2]|0;s=r;r=r+1|0;if((n|0)<(o|0)){B=15;break}f[aa+(s<<2)>>2]=o;f[z+(s<<2)>>2]=n;f[D+(s<<2)>>2]=f[i+(s<<2)>>2];Ra=f[e+(s<<2)>>2]|0;p=Sz(Ra|0,((Ra|0)<0)<<31>>31|0,p|0,q|0)|0;q=I;Ra=x+(r<<3)|0;f[Ra>>2]=p;f[Ra+4>>2]=q}while((r|0)<(c|0));if((B|0)==15){f[A>>2]=r;ww(y,81208,A)|0;vj(y);f[m>>2]=321;m=321;u=Wa;return m|0}if((c|0)==1?(f[e>>2]|0)==1:0){n=(t-ha|0)/(Sa|0)|0;Ra=Sa;t=ha}else{n=((f[z>>2]|0)-(f[aa>>2]|0)|0)/(f[i>>2]|0)|0;Ra=f[D>>2]|0}Qa=n+1|0;a:do if((ha|0)<=(t|0)){Pa=f[v>>2]|0;Na=f[w>>2]|0;Oa=(Pa|0)>(Na|0);Ma=f[C>>2]|0;Ka=f[E>>2]|0;La=(Ma|0)>(Ka|0);Ja=f[F>>2]|0;Ia=f[G>>2]|0;Ga=f[H>>2]|0;Ha=(Ia|0)>(Ga|0);Fa=f[J>>2]|0;Ea=f[K>>2]|0;Ca=f[L>>2]|0;Da=(Ea|0)>(Ca|0);Ba=f[M>>2]|0;Aa=f[N>>2]|0;ya=f[O>>2]|0;za=(Aa|0)>(ya|0);xa=f[P>>2]|0;wa=f[Q>>2]|0;ua=f[R>>2]|0;va=(wa|0)>(ua|0);ta=f[S>>2]|0;sa=f[T>>2]|0;qa=f[U>>2]|0;ra=(sa|0)>(qa|0);pa=f[V>>2]|0;oa=f[W>>2]|0;ma=f[X>>2]|0;na=(oa|0)>(ma|0);la=f[Y>>2]|0;ka=f[aa>>2]|0;ja=((ka|0)<0)<<31>>31;ia=Z;aa=f[ia>>2]|0;ia=f[ia+4>>2]|0;Z=_;Y=f[Z>>2]|0;Z=f[Z+4>>2]|0;X=$;W=f[X>>2]|0;X=f[X+4>>2]|0;V=ba;U=f[V>>2]|0;V=f[V+4>>2]|0;T=ca;S=f[T>>2]|0;T=f[T+4>>2]|0;R=da;Q=f[R>>2]|0;R=f[R+4>>2]|0;P=ea;O=f[P>>2]|0;P=f[P+4>>2]|0;M=fa;L=f[M>>2]|0;M=f[M+4>>2]|0;N=((Qa|0)<0)<<31>>31;K=f[ga>>2]|0;n=0;J=ha;b:while(1){if(!Oa){H=((J|0)<0)<<31>>31;G=Pa;do{if(!La){E=G+-1|0;E=Sz(L|0,M|0,E|0,((E|0)<0)<<31>>31|0)|0;F=I;h=Ma;do{if(!Ha){D=h+-1|0;D=Sz(O|0,P|0,D|0,((D|0)<0)<<31>>31|0)|0;c=I;i=Ia;do{if(!Da){C=i+-1|0;C=Sz(Q|0,R|0,C|0,((C|0)<0)<<31>>31|0)|0;g=I;B=Ea;do{if(!za){z=B+-1|0;z=Sz(S|0,T|0,z|0,((z|0)<0)<<31>>31|0)|0;A=I;e=Aa;do{if(!va){x=e+-1|0;x=Sz(U|0,V|0,x|0,((x|0)<0)<<31>>31|0)|0;y=I;w=wa;do{c:do if(!ra){s=w+-1|0;s=Sz(W|0,X|0,s|0,((s|0)<0)<<31>>31|0)|0;v=I;if(na){o=sa;while(1){o=la+o|0;if((o|0)>(qa|0))break c}}else r=sa;do{p=r+-1|0;p=Sz(Y|0,Z|0,p|0,((p|0)<0)<<31>>31|0)|0;q=I;if(Ta){o=oa;do{ha=o+-1|0;ha=Sz(aa|0,ia|0,ha|0,((ha|0)<0)<<31>>31|0)|0;ha=Ez(ha|0,I|0,ka|0,ja|0)|0;ha=Ez(ha|0,I|0,p|0,q|0)|0;ha=Ez(ha|0,I|0,s|0,v|0)|0;ha=Ez(ha|0,I|0,x|0,y|0)|0;ha=Ez(ha|0,I|0,z|0,A|0)|0;ha=Ez(ha|0,I|0,C|0,g|0)|0;ha=Ez(ha|0,I|0,D|0,c|0)|0;ha=Ez(ha|0,I|0,E|0,F|0)|0;if((jn(a,b,J,H,ha,I,Qa,N,Ra,1,j,k+(n<<1)|0,Va,Ua,m)|0)>0)break b;if(f[Ua>>2]|0)f[l>>2]=1;n=n+Qa|0;o=K+o|0}while((o|0)<=(ma|0))}else{o=oa;do{ha=o+-1|0;ha=Sz(aa|0,ia|0,ha|0,((ha|0)<0)<<31>>31|0)|0;ha=Ez(ha|0,I|0,ka|0,ja|0)|0;ha=Ez(ha|0,I|0,p|0,q|0)|0;ha=Ez(ha|0,I|0,s|0,v|0)|0;ha=Ez(ha|0,I|0,x|0,y|0)|0;ha=Ez(ha|0,I|0,z|0,A|0)|0;ha=Ez(ha|0,I|0,C|0,g|0)|0;ha=Ez(ha|0,I|0,D|0,c|0)|0;ha=Ez(ha|0,I|0,E|0,F|0)|0;if((jn(a,b,J,H,ha,I,Qa,N,Ra,1,j,k+(n<<1)|0,Va,Ua,m)|0)>0)break b;n=n+Qa|0;o=K+o|0}while((o|0)<=(ma|0))}r=la+r|0}while((r|0)<=(qa|0))}while(0);w=pa+w|0}while((w|0)<=(ua|0))}e=ta+e|0}while((e|0)<=(ya|0))}B=xa+B|0}while((B|0)<=(Ca|0))}i=Ba+i|0}while((i|0)<=(Ga|0))}h=Fa+h|0}while((h|0)<=(Ka|0))}G=Ja+G|0}while((G|0)<=(Na|0))}J=J+Sa|0;if((J|0)>(t|0))break a}m=f[m>>2]|0;u=Wa;return m|0}while(0);m=f[m>>2]|0;u=Wa;return m|0}function tn(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0;m=u;u=u+16|0;l=m;if(!(Ek(a,k)|0)){un(a,2,(b|0)>1?b:1,0,c,d,e,g,1,1,h,i,m+4|0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}else{f[l>>2]=h;ws(a,40,c,d,e,g,1,l,i,0,j,k)|0;k=f[k>>2]|0;u=m;return k|0}return 0}function un(a,c,d,e,g,h,i,j,k,l,m,n,o,q,r){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;r=r|0;var s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0;_=u;u=u+29072|0;Z=_+28888|0;Y=_+28864|0;U=_+28856|0;M=_+28848|0;S=_+28840|0;P=_+28932|0;w=_+28928|0;V=_+28924|0;x=_+28916|0;R=_+28912|0;J=_+28908|0;K=_+28832|0;O=_+28824|0;H=_+28816|0;Q=_+28808|0;L=_+28800|0;T=_+29040|0;W=_+28956|0;N=_+28936|0;G=_;v=f[r>>2]|0;if((i|0)==0&(j|0)==0|(v|0)>0){r=v;u=_;return r|0}if(q|0)f[q>>2]=0;if((l|0)==2)Fz(o|0,0,i|0)|0;if((uk(a,c,d,e,g,h,i,j,0,M,S,T,R,P,w,O,H,J,K,L,V,Q,N,r)|0)>0){r=f[r>>2]|0;u=_;return r|0}E=f[w>>2]|0;F=((E|0)<0)<<31>>31;D=X(f[J>>2]|0,k)|0;f[J>>2]=D;if((f[P>>2]|0)==16?(Tj(T,_+28920|0,_+28904|0,x,r)|0,y=f[x>>2]|0,(y|0)>0):0){d=0;s=1.0;do{s=s*10.0;d=d+1|0}while((d|0)<(y|0))}else s=1.0;if(((!((l|0)==1&(m|0)==0)?(z=f[P>>2]|0,B=Q,A=f[B>>2]|0,B=f[B+4>>2]|0,!(((z|0)%10|0|0)==1&((A|0)==1234554321&(B|0)==0))):0)?(D=Ez(A|0,B|0,32768,0)|0,C=I,!((z|0)==21&(C>>>0>0|(C|0)==0&D>>>0>65535))):0)?!((z|0)==11&(B>>>0>0|(B|0)==0&A>>>0>255)):0)D=(z|0)==16&(b[N>>0]|0)==1?0:l;else D=0;C=((k|0)<0)<<31>>31;h=i;e=j;g=0;d=0;l=0;i=0;a:while(1){B=d;while(1){x=o+g|0;z=n+(g<<2)|0;w=h;while(1){if((w|0)==0&(e|0)==0){d=42;break a}j=(e|0)<(F|0)|(e|0)==(F|0)&w>>>0<E>>>0;A=j?w:E;A=Nz(0,A|0,32)|0;j=I;v=K;h=H;y=f[h>>2]|0;h=f[h+4>>2]|0;v=Ez(f[v>>2]|0,f[v+4>>2]|0,-1,-1)|0;v=Dz(v|0,I|0,y|0,h|0)|0;v=Jz(v|0,I|0,k|0,C|0)|0;$=I;d=(j|0)>($|0)|(j|0)==($|0)&A>>>0>v>>>0;$=Ez(v|0,$|0,1,0)|0;v=I;A=d?$:A;j=O;v=f[j>>2]|0;j=f[j+4>>2]|0;d=L;d=Sz(f[d>>2]|0,f[d+4>>2]|0,l|0,i|0)|0;j=Ez(d|0,I|0,v|0,j|0)|0;v=I;d=f[J>>2]|0;$=(d|0)/(k|0)|0;h=Sz($|0,(($|0)<0)<<31>>31|0,y|0,h|0)|0;h=Ez(j|0,v|0,h|0,I|0)|0;v=I;switch(f[P>>2]|0){case 41:{st(a,h,v,A,d,G,r)|0;vn(G,A,+p[M>>3],+p[S>>3],D,f[Q>>2]|0,m,x,q,z,r)|0;break}case 81:{tt(a,h,v,A,d,G,r)|0;$=Q;wn(G,A,+p[M>>3],+p[S>>3],D,f[$>>2]|0,f[$+4>>2]|0,m,x,q,z,r)|0;break}case 11:{qt(a,h,v,A,d,G,r)|0;xn(G,A,+p[M>>3],+p[S>>3],D,f[Q>>2]&255,m,x,q,z,r)|0;break}case 21:{rt(a,h,v,A,d,G,r)|0;yn(G,A,+p[M>>3],+p[S>>3],D,f[Q>>2]&65535,m,x,q,z,r)|0;break}case 42:{ut(a,h,v,A,d,G,r)|0;zn(G,A,+p[M>>3],+p[S>>3],D,m,x,q,z,r)|0;break}case 82:{vt(a,h,v,A,d,G,r)|0;An(G,A,+p[M>>3],+p[S>>3],D,m,x,q,z,r)|0;break}case 16:{ft(a,h,v,0,r)|0;d=f[J>>2]|0;h=f[R>>2]|0;if((d|0)==(h|0)){$=X(d,A)|0;kt(a,$,(($|0)<0)<<31>>31,G,r)|0}else lt(a,h,A,d-h|0,G,r)|0;Bn(G,A,+p[M>>3],+p[S>>3],f[R>>2]|0,s,D,N,m,x,q,z,r)|0;break}default:{d=31;break a}}if((f[r>>2]|0)>0){d=35;break a}d=((A|0)<0)<<31>>31;w=Dz(w|0,e|0,A|0,d|0)|0;y=I;if((w|0)==0&(y|0)==0){w=0;e=0}else break}x=Ez(A|0,d|0,g|0,B|0)|0;d=I;g=H;e=X(A,k)|0;e=Ez(f[g>>2]|0,f[g+4>>2]|0,e|0,((e|0)<0)<<31>>31|0)|0;g=I;v=H;f[v>>2]=e;f[v+4>>2]=g;v=K;h=f[v>>2]|0;v=f[v+4>>2]|0;if((g|0)<(v|0)|(g|0)==(v|0)&e>>>0<h>>>0){B=d;h=w;e=y;g=x}else break}A=Jz(e|0,g|0,h|0,v|0)|0;B=I;j=Ez(A|0,B|0,l|0,i|0)|0;$=I;h=Sz(A|0,B|0,h|0,v|0)|0;e=Dz(e|0,g|0,h|0,I|0)|0;h=H;f[h>>2]=e;f[h+4>>2]=I;h=w;e=y;g=x;l=j;i=$}if((d|0)==31){f[U>>2]=c;f[U+4>>2]=T;ww(W,81254,U)|0;vj(W);if((f[V>>2]|0)==1){f[r>>2]=311;$=311;u=_;return $|0}else{f[r>>2]=312;$=312;u=_;return $|0}}else if((d|0)==35){s=+(g>>>0)+4294967296.0*+(B|0);t=s+1.0;s=s+ +(A|0);if((f[V>>2]|0)>0){p[Y>>3]=t;p[Y+8>>3]=s;f[Y+16>>2]=c;ww(W,81309,Y)|0}else{p[Z>>3]=t;p[Z+8>>3]=s;ww(W,81373,Z)|0}vj(W);$=f[r>>2]|0;u=_;return $|0}else if((d|0)==42){d=f[r>>2]|0;if((d|0)!=-11){$=d;u=_;return $|0}vj(81433);f[r>>2]=412;$=412;u=_;return $|0}return 0}function vn(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,p=0;p=d==1.0;n=p&e==2147483648.0;if(!g){if(n){if((c|0)>0)n=0;else{m=f[m>>2]|0;return m|0}do{f[l+(n<<2)>>2]=f[a+(n<<2)>>2]^-2147483648;n=n+1|0}while((n|0)!=(c|0));m=f[m>>2]|0;return m|0}n=(c|0)>0;if(p&e==0.0){if(n)g=0;else{m=f[m>>2]|0;return m|0}do{n=f[a+(g<<2)>>2]|0;if((n|0)<0){f[m>>2]=-11;n=0}f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(n)g=0;else{m=f[m>>2]|0;return m|0}do{o=+(f[a+(g<<2)>>2]|0)*d+e;do if(!(o<-.49))if(o>18446744073709549568.0){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}else{f[m>>2]=-11;n=0}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(n){if((c|0)<=0){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;n=i}else n=n^-2147483648;f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else{g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else f[l+(g<<2)>>2]=n^-2147483648;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}}n=(c|0)>0;if(p&e==0.0){if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)!=(h|0)){if((n|0)<0){f[m>>2]=-11;n=0}}else{f[k>>2]=1;n=i}f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else{if((n|0)<0){f[m>>2]=-11;n=0}f[l+(g<<2)>>2]=n}g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}if((g|0)==1){g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)!=(h|0)){o=+(n|0)*d+e;if(o<-.49){f[m>>2]=-11;n=0;break}if(o>18446744073709549568.0){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}}else{f[k>>2]=1;n=i}while(0);f[l+(g<<2)>>2]=n;g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}else g=0;do{n=f[a+(g<<2)>>2]|0;do if((n|0)==(h|0)){f[k>>2]=1;b[j+g>>0]=1}else{o=+(n|0)*d+e;if(o<-.49){f[m>>2]=-11;f[l+(g<<2)>>2]=0;break}if(o>18446744073709549568.0){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(g<<2)>>2]=n}while(0);g=g+1|0}while((g|0)!=(c|0));m=f[m>>2]|0;return m|0}function wn(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g)if(q){if(o)q=0;else{n=f[n>>2]|0;return n|0}do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if((g|0)>=0)if((g|0)>0|(g|0)==0&o>>>0>4294967295){f[n>>2]=-11;o=-1;break}else break;else{f[n>>2]=-11;o=0}while(0);f[m+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(o)g=0;else{n=f[n>>2]|0;return n|0}do{l=a+(g<<3)|0;p=(+((f[l>>2]|0)>>>0)+4294967296.0*+(f[l+4>>2]|0))*d+e;do if(!(p<-.49))if(p>18446744073709549568.0){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[n>>2]=-11;o=0}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if(!((o|0)==(h|0)&(g|0)==(i|0))){if((g|0)<0){f[n>>2]=-11;o=0;break}if((g|0)>0|(g|0)==0&o>>>0>4294967295){f[n>>2]=-11;o=-1;break}else break}else{f[l>>2]=1;o=j}while(0);f[m+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+q>>0]=1}else{if((g|0)<0){f[n>>2]=-11;f[m+(q<<2)>>2]=0;break}if((g|0)>0|(g|0)==0&o>>>0>4294967295){f[n>>2]=-11;o=-1}f[m+(q<<2)>>2]=o}while(0);q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else{if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if(!((o|0)==(h|0)&(g|0)==(i|0))){p=(+(o>>>0)+4294967296.0*+(g|0))*d+e;if(p<-.49){f[n>>2]=-11;o=0;break}if(p>18446744073709549568.0){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}}else{f[l>>2]=1;o=j}while(0);f[m+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}else q=0;do{g=a+(q<<3)|0;o=f[g>>2]|0;g=f[g+4>>2]|0;do if((o|0)==(h|0)&(g|0)==(i|0)){f[l>>2]=1;b[k+q>>0]=1}else{p=(+(o>>>0)+4294967296.0*+(g|0))*d+e;if(p<-.49){f[n>>2]=-11;f[m+(q<<2)>>2]=0;break}if(p>18446744073709549568.0){f[n>>2]=-11;o=-1}else o=~~p>>>0;f[m+(q<<2)>>2]=o}while(0);q=q+1|0}while((q|0)!=(c|0));n=f[n>>2]|0;return n|0}return 0}function xn(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=+d;e=+e;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=d==1.0&e==0.0;o=(c|0)>0;if(!g){if(q){if(o)o=0;else{n=f[n>>2]|0;return n|0}do{f[m+(o<<2)>>2]=h[a+o>>0];o=o+1|0}while((o|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)g=0;else{n=f[n>>2]|0;return n|0}do{p=+(h[a+g>>0]|0)*d+e;do if(!(p<-.49))if(p>18446744073709549568.0){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[n>>2]=-11;o=0}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;o=j}else o=o&255;f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else{g=0;do{o=b[a+g>>0]|0;if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else f[m+(g<<2)>>2]=o&255;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}}if(!o){n=f[n>>2]|0;return n|0}if((g|0)==1){g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24!=i<<24>>24){p=+(o&255)*d+e;if(p<-.49){f[n>>2]=-11;o=0;break}if(p>18446744073709549568.0){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}}else{f[l>>2]=1;o=j}while(0);f[m+(g<<2)>>2]=o;g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}else g=0;do{o=b[a+g>>0]|0;do if(o<<24>>24==i<<24>>24){f[l>>2]=1;b[k+g>>0]=1}else{p=+(o&255)*d+e;if(p<-.49){f[n>>2]=-11;f[m+(g<<2)>>2]=0;break}if(p>18446744073709549568.0){f[n>>2]=-11;o=-1}else o=~~p>>>0;f[m+(g<<2)>>2]=o}while(0);g=g+1|0}while((g|0)!=(c|0));n=f[n>>2]|0;return n|0}function yn(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0.0,q=0;q=e==1.0&g==0.0;o=(c|0)>0;if(!h){if(q){if(o)h=0;else{n=f[n>>2]|0;return n|0}do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16<0){f[n>>2]=-11;o=0}else o=o<<16>>16;f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(o)h=0;else{n=f[n>>2]|0;return n|0}do{p=+(d[a+(h<<1)>>1]|0)*e+g;do if(!(p<-.49))if(p>18446744073709549568.0){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[n>>2]=-11;o=0}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(q){if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16!=i<<16>>16)if(o<<16>>16<0){f[n>>2]=-11;o=0}else o=o<<16>>16;else{f[l>>2]=1;o=j}f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{if(o<<16>>16<0){f[n>>2]=-11;o=0}else o=o<<16>>16;f[m+(h<<2)>>2]=o}h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}if(!o){n=f[n>>2]|0;return n|0}if((h|0)==1){h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16!=i<<16>>16){p=+(o<<16>>16)*e+g;if(p<-.49){f[n>>2]=-11;o=0;break}if(p>18446744073709549568.0){f[n>>2]=-11;o=-1;break}else{o=~~p>>>0;break}}else{f[l>>2]=1;o=j}while(0);f[m+(h<<2)>>2]=o;h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}else h=0;do{o=d[a+(h<<1)>>1]|0;do if(o<<16>>16==i<<16>>16){f[l>>2]=1;b[k+h>>0]=1}else{p=+(o<<16>>16)*e+g;if(p<-.49){f[n>>2]=-11;f[m+(h<<2)>>2]=0;break}if(p>18446744073709549568.0){f[n>>2]=-11;o=-1}else o=~~p>>>0;f[m+(h<<2)>>2]=o}while(0);h=h+1|0}while((h|0)!=(c|0));n=f[n>>2]|0;return n|0}function zn(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0,p=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){o=(c|0)>0;if(r){if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2];e=p;do if(!(e<-.49))if(e>18446744073709549568.0){f[m>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[m>>2]=-11;o=0}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(o)q=0;else{m=f[m>>2]|0;return m|0}do{p=+n[a+(q<<2)>>2]*e+g;do if(!(p<-.49))if(p>18446744073709549568.0){f[m>>2]=-11;o=-1;break}else{o=~~p>>>0;break}else{f[m>>2]=-11;o=0}while(0);f[l+(q<<2)>>2]=o;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+2|0;o=(c|0)>0;if(r){if(!o){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;a:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-.49){f[m>>2]=-11;o=0;break a}if(e>18446744073709549568.0){f[m>>2]=-11;o=-1;break a}else{o=~~p>>>0;break a}}case 1:{f[k>>2]=1;o=i;break}default:o=0}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;b:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2];e=p;if(e<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break b}if(e>18446744073709549568.0){f[m>>2]=-11;o=-1}else o=~~p>>>0;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(!o){m=f[m>>2]|0;return m|0}s=g<-.49;t=g>18446744073709549568.0;u=~~g>>>0;if((h|0)==1){r=0;while(1){j=d[q>>1]&32640;c:do switch((j<<16>>16==32640?1:j<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;o=0;break c}if(p>18446744073709549568.0){f[m>>2]=-11;o=-1;break c}else{o=~~p>>>0;break c}}case 1:{f[k>>2]=1;o=i;break}default:{if(s){f[m>>2]=-11;o=0;break c}if(t){f[m>>2]=-11;o=-1}else o=u}}while(0);f[l+(r<<2)>>2]=o;r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32640;d:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break d}if(p>18446744073709549568.0){f[m>>2]=-11;o=-1}else o=~~p>>>0;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=0}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32640;e:do switch((i<<16>>16==32640?1:i<<16>>16==0?2:0)&3){case 0:{p=+n[a+(r<<2)>>2]*e+g;if(p<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break e}if(p>18446744073709549568.0){f[m>>2]=-11;o=-1}else o=~~p>>>0;f[l+(r<<2)>>2]=o;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;o=-1}else o=u;f[l+(r<<2)>>2]=o}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+4|0}m=f[m>>2]|0;return m|0}function An(a,c,e,g,h,i,j,k,l,m){a=a|0;c=c|0;e=+e;g=+g;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0.0,q=0,r=0,s=0,t=0,u=0;r=e==1.0&g==0.0;if(!h){n=(c|0)>0;if(r){if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3];do if(!(o<-.49))if(o>18446744073709549568.0){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}else{f[m>>2]=-11;n=0}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}else{if(n)q=0;else{m=f[m>>2]|0;return m|0}do{o=+p[a+(q<<3)>>3]*e+g;do if(!(o<-.49))if(o>18446744073709549568.0){f[m>>2]=-11;n=-1;break}else{n=~~o>>>0;break}else{f[m>>2]=-11;n=0}while(0);f[l+(q<<2)>>2]=n;q=q+1|0}while((q|0)!=(c|0));m=f[m>>2]|0;return m|0}}q=a+6|0;n=(c|0)>0;if(r){if(!n){m=f[m>>2]|0;return m|0}if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;a:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-.49){f[m>>2]=-11;n=0;break a}if(o>18446744073709549568.0){f[m>>2]=-11;n=-1;break a}else{n=~~o>>>0;break a}}case 1:{f[k>>2]=1;n=i;break}default:n=0}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;b:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3];if(o<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break b}if(o>18446744073709549568.0){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:f[l+(r<<2)>>2]=0}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(!n){m=f[m>>2]|0;return m|0}s=g<-.49;t=g>18446744073709549568.0;u=~~g>>>0;if((h|0)==1){r=0;while(1){j=d[q>>1]&32752;c:do switch((j<<16>>16==32752?1:j<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;n=0;break c}if(o>18446744073709549568.0){f[m>>2]=-11;n=-1;break c}else{n=~~o>>>0;break c}}case 1:{f[k>>2]=1;n=i;break}default:{if(s){f[m>>2]=-11;n=0;break c}if(t){f[m>>2]=-11;n=-1}else n=u}}while(0);f[l+(r<<2)>>2]=n;r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}if(s){r=0;while(1){i=d[q>>1]&32752;d:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break d}if(o>18446744073709549568.0){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{f[m>>2]=-11;f[l+(r<<2)>>2]=0}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}else r=0;while(1){i=d[q>>1]&32752;e:do switch((i<<16>>16==32752?1:i<<16>>16==0?2:0)&3){case 0:{o=+p[a+(r<<3)>>3]*e+g;if(o<-.49){f[m>>2]=-11;f[l+(r<<2)>>2]=0;break e}if(o>18446744073709549568.0){f[m>>2]=-11;n=-1}else n=~~o>>>0;f[l+(r<<2)>>2]=n;break}case 1:{f[k>>2]=1;b[j+r>>0]=1;break}default:{if(t){f[m>>2]=-11;n=-1}else n=u;f[l+(r<<2)>>2]=n}}while(0);r=r+1|0;if((r|0)==(c|0))break;else q=q+8|0}m=f[m>>2]|0;return m|0}function Bn(a,c,d,e,g,h,i,j,k,l,m,n,o){a=a|0;c=c|0;d=+d;e=+e;g=g|0;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;var p=0,q=0.0,r=0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;H=u;u=u+96|0;G=H;F=H+4|0;A=Bx(j)|0;a:do if((c|0)>0){B=(i|0)==0;z=(i|0)==1;x=a;y=0;b:while(1){E=x+g|0;D=b[E>>0]|0;b[E>>0]=0;do if((b[j>>0]|0)!=1?(vw(j,x,A)|0)==0:0)if(!B){f[m>>2]=1;if(z){f[n+(y<<2)>>2]=k;i=E;break}else{b[l+y>>0]=1;i=E;break}}else i=E;else{i=x;C=9}while(0);do if((C|0)==9){c:while(1){C=0;a=b[i>>0]|0;switch(a<<24>>24){case 43:case 45:{C=11;break c}case 32:break;default:{w=1;break c}}i=i+1|0;C=9}if((C|0)==11){C=0;p=a<<24>>24==45;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);w=p?-1:1}if((a+-48&255)<10){q=0.0;do{q=q*10.0+ +(a<<24>>24);do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);q=q+-48.0}while((a+-48&255)<10)}else q=0.0;switch(a<<24>>24){case 44:case 46:{do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);if((a+-48&255)<10){s=1.0;do{q=q*10.0+ +(a<<24>>24)+-48.0;do{i=i+1|0;a=b[i>>0]|0}while(a<<24>>24==32);s=s*10.0}while((a+-48&255)<10);v=1}else{v=1;s=1.0}break}default:{v=0;s=1.0}}if((a&-2)<<24>>24==68){p=i;d:while(1){i=p+1|0;a=b[i>>0]|0;switch(a<<24>>24){case 32:{p=i;break}case 43:case 45:{C=28;break d}default:{r=1;break d}}}if((C|0)==28){C=0;r=a<<24>>24==45;i=p+2|0;while(1){a=b[i>>0]|0;if(a<<24>>24==32)i=i+1|0;else break}r=r?-1:1}if((a+-48&255)<10){p=0;while(1){p=(p*10|0)+-48|0;do{i=i+1|0;t=b[i>>0]|0}while(t<<24>>24==32);p=p+(a<<24>>24)|0;if((t+-48&255)<10)a=t;else{a=t;break}}}else p=0}else{r=1;p=0}if(a<<24>>24)break b;q=+(w|0)*q/((v|0)==0?h:s)*+M(10.0,+(+(X(r,p)|0)))*d+e;if(q<-.49){f[o>>2]=-11;f[n+(y<<2)>>2]=0;break}if(q>18446744073709549568.0){f[o>>2]=-11;a=-1}else a=~~q>>>0;f[n+(y<<2)>>2]=a}while(0);b[E>>0]=D;y=y+1|0;if((y|0)>=(c|0))break a;else x=i}i=F;a=81500;p=i+36|0;do{b[i>>0]=b[a>>0]|0;i=i+1|0;a=a+1|0}while((i|0)<(p|0));vj(F);f[G>>2]=x;ww(F,81536,G)|0;vj(F);b[E>>0]=D;f[o>>2]=409;G=409;u=H;return G|0}while(0);G=f[o>>2]|0;u=H;return G|0}function Cn(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;if(!(Ek(a,k)|0)){un(a,2,(b|0)>1?b:1,0,c,d,e,g,1,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}else{ws(a,40,c,d,e,g,2,0,h,i,j,k)|0;k=f[k>>2]|0;return k|0}return 0}function Dn(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0;Va=u;u=u+448|0;z=Va+232|0;n=Va+224|0;$=Va+320|0;y=Va+284|0;C=Va+248|0;w=Va+144|0;o=Va+72|0;q=Va;m=Va+244|0;Ta=Va+240|0;Ua=Va+437|0;x=Va+356|0;p=Va+236|0;if((c+-1|0)>>>0>8){f[n>>2]=c;ww(x,81555,n)|0;vj(x);f[l>>2]=320;l=320;u=Va;return l|0}if(Ek(a,l)|0){b=0;do{Ua=f[e+(b<<2)>>2]|0;Ta=o+(b<<3)|0;f[Ta>>2]=Ua;f[Ta+4>>2]=((Ua|0)<0)<<31>>31;Ta=f[g+(b<<2)>>2]|0;Ua=q+(b<<3)|0;f[Ua>>2]=Ta;f[Ua+4>>2]=((Ta|0)<0)<<31>>31;b=b+1|0}while((b|0)!=(c|0));f[p>>2]=i;ts(a,40,o,q,h,1,p,j,0,k,l)|0;l=f[l>>2]|0;u=Va;return l|0}if((mk(a,m,l)|0)>0){l=f[l>>2]|0;u=Va;return l|0}if(!(f[m>>2]|0)){ga=(b|0)==0?1:b;b=2;Ra=1;s=ga}else{Ra=f[h+(c<<2)>>2]|0;s=f[g+(c<<2)>>2]|0;ga=f[e+(c<<2)>>2]|0}Sa=(k|0)!=0;if(Sa)f[k>>2]=0;f[$>>2]=1;f[y>>2]=1;f[C>>2]=1;V=w;f[V>>2]=1;f[V+4>>2]=0;V=$+4|0;f[V>>2]=1;W=y+4|0;f[W>>2]=1;fa=C+4|0;f[fa>>2]=1;Y=w+8|0;S=Y;f[S>>2]=1;f[S+4>>2]=0;S=$+8|0;f[S>>2]=1;T=y+8|0;f[T>>2]=1;X=C+8|0;f[X>>2]=1;Z=w+16|0;P=Z;f[P>>2]=1;f[P+4>>2]=0;P=$+12|0;f[P>>2]=1;Q=y+12|0;f[Q>>2]=1;U=C+12|0;f[U>>2]=1;_=w+24|0;M=_;f[M>>2]=1;f[M+4>>2]=0;M=$+16|0;f[M>>2]=1;N=y+16|0;f[N>>2]=1;R=C+16|0;f[R>>2]=1;aa=w+32|0;J=aa;f[J>>2]=1;f[J+4>>2]=0;J=$+20|0;f[J>>2]=1;K=y+20|0;f[K>>2]=1;O=C+20|0;f[O>>2]=1;ba=w+40|0;F=ba;f[F>>2]=1;f[F+4>>2]=0;F=$+24|0;f[F>>2]=1;G=y+24|0;f[G>>2]=1;L=C+24|0;f[L>>2]=1;ca=w+48|0;B=ca;f[B>>2]=1;f[B+4>>2]=0;B=$+28|0;f[B>>2]=1;D=y+28|0;f[D>>2]=1;H=C+28|0;f[H>>2]=1;da=w+56|0;t=da;f[t>>2]=1;f[t+4>>2]=0;t=$+32|0;f[t>>2]=1;v=y+32|0;f[v>>2]=1;E=C+32|0;f[E>>2]=1;ea=w+64|0;o=ea;f[o>>2]=1;f[o+4>>2]=0;o=1;p=0;q=0;do{m=f[g+(q<<2)>>2]|0;n=f[e+(q<<2)>>2]|0;r=q;q=q+1|0;if((m|0)<(n|0)){A=15;break}f[$+(r<<2)>>2]=n;f[y+(r<<2)>>2]=m;f[C+(r<<2)>>2]=f[h+(r<<2)>>2];Qa=f[d+(r<<2)>>2]|0;o=Sz(Qa|0,((Qa|0)<0)<<31>>31|0,o|0,p|0)|0;p=I;Qa=w+(q<<3)|0;f[Qa>>2]=o;f[Qa+4>>2]=p}while((q|0)<(c|0));if((A|0)==15){f[z>>2]=q;ww(x,81601,z)|0;vj(x);f[l>>2]=321;l=321;u=Va;return l|0}if((c|0)==1?(f[d>>2]|0)==1:0){m=(s-ga|0)/(Ra|0)|0;Qa=Ra;s=ga}else{m=((f[y>>2]|0)-(f[$>>2]|0)|0)/(f[h>>2]|0)|0;Qa=f[C>>2]|0}Pa=m+1|0;a:do if((ga|0)<=(s|0)){Oa=f[t>>2]|0;Ma=f[v>>2]|0;Na=(Oa|0)>(Ma|0);La=f[B>>2]|0;Ja=f[D>>2]|0;Ka=(La|0)>(Ja|0);Ia=f[E>>2]|0;Ha=f[F>>2]|0;Fa=f[G>>2]|0;Ga=(Ha|0)>(Fa|0);Ea=f[H>>2]|0;Da=f[J>>2]|0;Ba=f[K>>2]|0;Ca=(Da|0)>(Ba|0);Aa=f[L>>2]|0;za=f[M>>2]|0;xa=f[N>>2]|0;ya=(za|0)>(xa|0);wa=f[O>>2]|0;va=f[P>>2]|0;ta=f[Q>>2]|0;ua=(va|0)>(ta|0);sa=f[R>>2]|0;ra=f[S>>2]|0;pa=f[T>>2]|0;qa=(ra|0)>(pa|0);oa=f[U>>2]|0;na=f[V>>2]|0;la=f[W>>2]|0;ma=(na|0)>(la|0);ka=f[X>>2]|0;ja=f[$>>2]|0;ia=((ja|0)<0)<<31>>31;ha=Y;$=f[ha>>2]|0;ha=f[ha+4>>2]|0;Y=Z;X=f[Y>>2]|0;Y=f[Y+4>>2]|0;W=_;V=f[W>>2]|0;W=f[W+4>>2]|0;U=aa;T=f[U>>2]|0;U=f[U+4>>2]|0;S=ba;R=f[S>>2]|0;S=f[S+4>>2]|0;Q=ca;P=f[Q>>2]|0;Q=f[Q+4>>2]|0;O=da;N=f[O>>2]|0;O=f[O+4>>2]|0;L=ea;K=f[L>>2]|0;L=f[L+4>>2]|0;M=((Pa|0)<0)<<31>>31;J=f[fa>>2]|0;m=0;H=ga;b:while(1){if(!Na){G=((H|0)<0)<<31>>31;F=Oa;do{if(!Ka){D=F+-1|0;D=Sz(K|0,L|0,D|0,((D|0)<0)<<31>>31|0)|0;E=I;g=La;do{if(!Ga){C=g+-1|0;C=Sz(N|0,O|0,C|0,((C|0)<0)<<31>>31|0)|0;c=I;h=Ha;do{if(!Ca){B=h+-1|0;B=Sz(P|0,Q|0,B|0,((B|0)<0)<<31>>31|0)|0;e=I;A=Da;do{if(!ya){y=A+-1|0;y=Sz(R|0,S|0,y|0,((y|0)<0)<<31>>31|0)|0;z=I;d=za;do{if(!ua){w=d+-1|0;w=Sz(T|0,U|0,w|0,((w|0)<0)<<31>>31|0)|0;x=I;v=va;do{c:do if(!qa){r=v+-1|0;r=Sz(V|0,W|0,r|0,((r|0)<0)<<31>>31|0)|0;t=I;if(ma){n=ra;while(1){n=ka+n|0;if((n|0)>(pa|0))break c}}else q=ra;do{o=q+-1|0;o=Sz(X|0,Y|0,o|0,((o|0)<0)<<31>>31|0)|0;p=I;if(Sa){n=na;do{ga=n+-1|0;ga=Sz($|0,ha|0,ga|0,((ga|0)<0)<<31>>31|0)|0;ga=Ez(ga|0,I|0,ja|0,ia|0)|0;ga=Ez(ga|0,I|0,o|0,p|0)|0;ga=Ez(ga|0,I|0,r|0,t|0)|0;ga=Ez(ga|0,I|0,w|0,x|0)|0;ga=Ez(ga|0,I|0,y|0,z|0)|0;ga=Ez(ga|0,I|0,B|0,e|0)|0;ga=Ez(ga|0,I|0,C|0,c|0)|0;ga=Ez(ga|0,I|0,D|0,E|0)|0;if((un(a,b,H,G,ga,I,Pa,M,Qa,1,i,j+(m<<2)|0,Ua,Ta,l)|0)>0)break b;if(f[Ta>>2]|0)f[k>>2]=1;m=m+Pa|0;n=J+n|0}while((n|0)<=(la|0))}else{n=na;do{ga=n+-1|0;ga=Sz($|0,ha|0,ga|0,((ga|0)<0)<<31>>31|0)|0;ga=Ez(ga|0,I|0,ja|0,ia|0)|0;ga=Ez(ga|0,I|0,o|0,p|0)|0;ga=Ez(ga|0,I|0,r|0,t|0)|0;ga=Ez(ga|0,I|0,w|0,x|0)|0;ga=Ez(ga|0,I|0,y|0,z|0)|0;ga=Ez(ga|0,I|0,B|0,e|0)|0;ga=Ez(ga|0,I|0,C|0,c|0)|0;ga=Ez(ga|0,I|0,D|0,E|0)|0;if((un(a,b,H,G,ga,I,Pa,M,Qa,1,i,j+(m<<2)|0,Ua,Ta,l)|0)>0)break b;m=m+Pa|0;n=J+n|0}while((n|0)<=(la|0))}q=ka+q|0}while((q|0)<=(pa|0))}while(0);v=oa+v|0}while((v|0)<=(ta|0))}d=sa+d|0}while((d|0)<=(xa|0))}A=wa+A|0}while((A|0)<=(Ba|0))}h=Aa+h|0}while((h|0)<=(Fa|0))}g=Ea+g|0}while((g|0)<=(Ja|0))}F=Ia+F|0}while((F|0)<=(Ma|0))}H=H+Ra|0;if((H|0)>(s|0))break a}l=f[l>>2]|0;u=Va;return l|0}while(0);l=f[l>>2]|0;u=Va;return l|0}function En(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}e=f[a>>2]|0;h=a+4|0;g=f[h>>2]|0;if((e|0)==(f[g+68>>2]|0))a=g;else{Hj(a,e+1|0,0,d)|0;a=f[h>>2]|0}if(b|0){g=a+96|0;h=(f[a+88>>2]|0)+(f[a+68>>2]<<3)|0;h=Dz(f[g>>2]|0,f[g+4>>2]|0,f[h>>2]|0,f[h+4>>2]|0)|0;h=Jz(h|0,I|0,80,0)|0;f[b>>2]=h}g=a+120|0;e=f[g>>2]|0;g=f[g+4>>2]|0;h=(c|0)!=0;if((e|0)==-1&(g|0)==-1){if(h)f[c>>2]=-1}else if(h){b=a+96|0;b=Dz(e|0,g|0,f[b>>2]|0,f[b+4>>2]|0)|0;b=Jz(b|0,I|0,80,0)|0;b=Ez(b|0,I|0,-1,0)|0;f[c>>2]=b}d=f[d>>2]|0;return d|0}function Fn(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;if((d|0)!=(f[e+68>>2]|0)){Hj(a,d+1|0,0,c)|0;d=f[g>>2]|0;e=d;d=f[d+68>>2]|0}g=(f[e+88>>2]|0)+(d<<3)|0;a=(b*80|0)+-80|0;a=Ez(f[g>>2]|0,f[g+4>>2]|0,a|0,((a|0)<0)<<31>>31|0)|0;b=e+112|0;f[b>>2]=a;f[b+4>>2]=I;return f[c>>2]|0}function Gn(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;m=u;u=u+96|0;l=m;k=m+4|0;e=f[d>>2]|0;if((e|0)>0){d=e;u=m;return d|0}e=f[a>>2]|0;j=a+4|0;if((e|0)!=(f[(f[j>>2]|0)+68>>2]|0))Hj(a,e+1|0,0,d)|0;b[c>>0]=0;h=f[j>>2]|0;e=h+112|0;i=f[e>>2]|0;e=f[e+4>>2]|0;g=h+96|0;o=f[g>>2]|0;g=f[g+4>>2]|0;n=h+120|0;n=Ez(f[n>>2]|0,f[n+4>>2]|0,-2880,-1)|0;q=I;p=(g|0)>(q|0)|(g|0)==(q|0)&o>>>0>n>>>0;q=p?g:q;h=(f[h+88>>2]|0)+(f[h+68>>2]<<3)|0;g=f[h>>2]|0;h=f[h+4>>2]|0;if((e|0)>(q|0)|(e|0)==(q|0)&i>>>0>(p?o:n)>>>0|((e|0)<(h|0)|(e|0)==(h|0)&i>>>0<g>>>0)){q=Dz(i|0,e|0,g|0,h|0)|0;q=Jz(q|0,I|0,80,0)|0;q=Ez(q|0,I|0,1,0)|0;f[l>>2]=q;ww(k,81647,l)|0;vj(k);f[d>>2]=203;q=203;u=m;return q|0}ft(a,i,e,0,d)|0;b[c+80>>0]=0;if((kt(a,80,0,c,d)|0)<1){g=(f[j>>2]|0)+112|0;q=g;q=Ez(f[q>>2]|0,f[q+4>>2]|0,80,0)|0;f[g>>2]=q;f[g+4>>2]=I;g=79;while(1){if((b[c+g>>0]|0)!=32){e=g;break}e=g+-1|0;if((g|0)>0)g=e;else break}b[c+(e+1)>>0]=0}q=f[d>>2]|0;u=m;return q|0}function Hn(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+176|0;o=q+8|0;l=q+4|0;p=q;m=q+87|0;n=q+12|0;b[h>>0]=0;j=f[i>>2]|0;if((j|0)>0){i=j;u=q;return i|0}a:do if((In(a,99019,m,i)|0)<1){if((d|0)<=0)while(1){Jn(m,n,p,i)|0;if((In(a,99019,m,i)|0)>=1)break a}b:while(1){Jn(m,n,p,i)|0;j=0;do{jk(f[c+(j<<2)>>2]|0,n,0,o,l);if(f[o>>2]|0){k=-1;do{k=k+1|0;if((k|0)>=(g|0))break b;jk(f[e+(k<<2)>>2]|0,n,0,o,l)}while(!(f[o>>2]|0))}j=j+1|0}while((j|0)<(d|0));if((In(a,99019,m,i)|0)>=1)break a}xz(h,m)|0}while(0);i=f[i>>2]|0;u=q;return i|0}function In(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=u;u=u+176|0;w=B+8|0;A=B+4|0;y=B;z=B+87|0;x=B+12|0;g=f[e>>2]|0;if((g|0)>0){e=g;u=B;return e|0}b[z>>0]=0;h=0;while(1){g=c+h|0;if((b[g>>0]|0)==32)h=h+1|0;else break}yz(z,g,74)|0;h=Bx(z)|0;while(1){if((h|0)<=0){j=7;break}g=h+-1|0;if((b[z+g>>0]|0)==32)h=g;else{j=8;break}}if((j|0)==7)b[z+h>>0]=0;else if((j|0)==8){b[z+h>>0]=0;g=0;do{v=z+g|0;t=(lw(b[v>>0]|0)|0)&255;b[v>>0]=t;g=g+1|0}while((g|0)!=(h|0))}if((b[z>>0]|0)==72?(vw(86458,z,8)|0)==0:0)if((h|0)==8){c=1;h=8;j=18}else{i=z+8|0;a:while(1){g=b[i>>0]|0;switch(g<<24>>24){case 32:{i=i+1|0;break}case 0:{h=0;g=z;break a}default:{h=0;c=z;j=15;break a}}}if((j|0)==15)while(1){b[c>>0]=g;c=c+1|0;i=i+1|0;h=h+1|0;g=b[i>>0]|0;if(!(g<<24>>24)){g=c;break}else j=15}b[g>>0]=0;j=17}else j=17;if((j|0)==17)if((h|0)<9){c=0;j=18}else{c=0;v=h;t=h;k=0}do if((j|0)==18){if(!(Cx(z,63)|0)){g=Cx(z,42)|0;if(!g)if(!(Cx(z,35)|0)){v=h;t=h;k=0;break}else g=0}else g=0;v=h;t=(g|0)==0?h:h+-2|0;k=1}while(0);if((f[e>>2]|0)>0){i=a+4|0;h=0;j=0}else{h=f[a>>2]|0;i=a+4|0;g=f[i>>2]|0;if((h|0)!=(f[g+68>>2]|0)){Hj(a,h+1|0,0,e)|0;h=f[i>>2]|0;g=h;h=f[h+68>>2]|0}j=g+96|0;h=(f[g+88>>2]|0)+(h<<3)|0;s=f[h>>2]|0;h=f[h+4>>2]|0;j=Dz(f[j>>2]|0,f[j+4>>2]|0,s|0,h|0)|0;j=Jz(j|0,I|0,80,0)|0;r=g+112|0;h=Dz(f[r>>2]|0,f[r+4>>2]|0,s|0,h|0)|0;h=Jz(h|0,I|0,80,0)|0;h=Ez(h|0,I|0,1,0)|0;j=j+1|0}s=v+-1|0;s=(s|0)>1?s:1;r=(c|0)==0;q=(k|0)!=0;n=z+s|0;o=x+s|0;p=h+-1|0;g=0;m=j-h|0;b:while(1){c:do if((m|0)>0){if(r)l=0;else{h=0;while(1){Gn(a,d,e)|0;if((b[d>>0]|0)==72?(vw(86458,d,8)|0)==0:0){j=44;break b}h=h+1|0;if((h|0)>=(m|0))break c}}do{Gn(a,d,e)|0;Jn(d,x,w,e)|0;h=f[w>>2]|0;do if((h|0)>=(t|0)&(q|(h|0)==(v|0))){if((h|0)>0){k=0;do{j=x+k|0;c=b[j>>0]|0;if(c<<24>>24>96){c=(lw(c<<24>>24)|0)&255;b[j>>0]=c}k=k+1|0}while((k|0)<(h|0))}if(q){jk(z,x,1,A,y);if(!(f[A>>2]|0))break;else{j=45;break b}}if((b[n>>0]|0)!=(b[o>>0]|0))if(!(h|v)){j=47;break b}else break;if((b[z>>0]|0)==(b[x>>0]|0)?(vw(z,x,s)|0)==0:0){j=46;break b}}while(0);l=l+1|0}while((l|0)<(m|0))}while(0);if(q|(g|0)==1){j=53;break}c=f[a>>2]|0;h=f[i>>2]|0;if((c|0)!=(f[h+68>>2]|0)){Hj(a,c+1|0,0,e)|0;c=f[i>>2]|0;h=c;c=f[c+68>>2]|0}k=(f[h+88>>2]|0)+(c<<3)|0;l=f[k+4>>2]|0;m=h+112|0;f[m>>2]=f[k>>2];f[m+4>>2]=l;g=g+1|0;if((g|0)<2)m=p;else{j=53;break}}if((j|0)==44){e=f[e>>2]|0;u=B;return e|0}else if((j|0)==45){e=f[e>>2]|0;u=B;return e|0}else if((j|0)==46){e=f[e>>2]|0;u=B;return e|0}else if((j|0)==47){e=f[e>>2]|0;u=B;return e|0}else if((j|0)==53){f[e>>2]=202;e=202;u=B;return e|0}return 0}function Jn(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;b[c>>0]=0;f[d>>2]=0;g=b[a>>0]|0;a:do if(g<<24>>24==72)if(!(vw(a,81697,9)|0)){h=Cx(a,61)|0;if(!h){g=c+(Bx(c)|0)|0;h=86458;a=g+9|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(a|0));c=8;f[d>>2]=c;e=f[e>>2]|0;return e|0}g=a+9|0;while(1)if((b[g>>0]|0)==32)g=g+1|0;else break;a=h-g|0;yz(c,g,a)|0;g=a;while(1){if((g|0)<=0)break a;h=g+-1|0;if((b[c+h>>0]|0)==32)g=h;else break}}else{g=72;h=0;i=10}else{h=0;i=10}while(0);b:do if((i|0)==10){c:while(1){switch(g<<24>>24){case 0:case 61:case 32:break c;default:{}}b[c+h>>0]=g;h=h+1|0;if((h|0)>=74){g=74;break b}g=b[a+h>>0]|0;i=10}b[c+h>>0]=0;c=h;f[d>>2]=c;e=f[e>>2]|0;return e|0}while(0);b[c+g>>0]=0;c=g;f[d>>2]=c;e=f[e>>2]|0;return e|0}function Kn(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0;r=u;u=u+176|0;l=r+83|0;o=r+12|0;n=r+8|0;m=r;j=f[i>>2]|0;if((j|0)>0){g=j;u=r;return g|0}a:do switch(c|0){case 16:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=5;if((q|0)==5?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;b[g>>0]=0;Oj(o,g,i)|0;break}case 11:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=10;if((q|0)==10?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Sk(o,n,i)|0;if((f[i>>2]|0)<1){j=f[n>>2]|0;if(j>>>0>255){f[i>>2]=412;break a}else{b[g>>0]=j;break a}}break}case 12:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=18;if((q|0)==18?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Sk(o,n,i)|0;if((f[i>>2]|0)<1){j=f[n>>2]|0;if((j+128|0)>>>0>255){f[i>>2]=412;break a}else{b[g>>0]=j;break a}}break}case 20:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=26;if((q|0)==26?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Sk(o,n,i)|0;if((f[i>>2]|0)<1){j=f[n>>2]|0;if(j>>>0>65535){f[i>>2]=412;break a}else{d[g>>1]=j;break a}}break}case 21:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=34;if((q|0)==34?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Sk(o,n,i)|0;if((f[i>>2]|0)<1){j=f[n>>2]|0;if((j+32768|0)>>>0>65535){f[i>>2]=412;break a}else{d[g>>1]=j;break a}}break}case 30:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=42;if((q|0)==42?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Sk(o,n,i)|0;if((f[i>>2]|0)<1)f[i>>2]=412;break}case 31:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=48;if((q|0)==48?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Sk(o,n,i)|0;if((f[i>>2]|0)<1)f[g>>2]=f[n>>2];break}case 14:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=54;if((q|0)==54?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Uk(o,g,i)|0;break}case 40:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=59;if((q|0)==59?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Wk(o,m,i)|0;if((f[i>>2]|0)<1){k=+p[m>>3];if(k>4294967295.0|k<0.0){f[i>>2]=412;break a}else{f[g>>2]=~~k>>>0;break a}}break}case 41:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=67;if((q|0)==67?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Sk(o,g,i)|0;break}case 81:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=72;if((q|0)==72?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Tk(o,g,i)|0;break}case 42:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=77;if((q|0)==77?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Vk(o,g,i)|0;break}case 82:{b[o>>0]=0;if(!((h|0)!=0?(b[h>>0]=0,(f[i>>2]|0)>0):0))q=82;if((q|0)==82?(In(a,e,l,i)|0)<=0:0)Mj(l,o,h,i)|0;Wk(o,g,i)|0;break}case 83:{Ln(a,e,g,h,i)|0;break}case 163:{Mn(a,e,g,h,i)|0;break}default:f[i>>2]=410}while(0);g=f[i>>2]|0;u=r;return g|0}function Ln(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+240|0;l=n;i=n+156|0;k=n+85|0;j=n+4|0;h=f[g>>2]|0;if((h|0)>0){m=h;u=n;return m|0}b[k>>0]=0;if(!((e|0)!=0?(b[e>>0]=0,(f[g>>2]|0)>0):0))m=4;if((m|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,k,e,g)|0;if((b[k>>0]|0)==40){b[k>>0]=32;m=k+(wz(k,81758)|0)|0;b[m>>0]=0;m=wz(k,81760)|0;b[k+m>>0]=0;Vk(k,d,g)|0;Vk(k+(m+1)|0,d+4|0,g)|0;m=f[g>>2]|0;u=n;return m|0}else{f[l>>2]=c;ww(j,81762,l)|0;vj(j);vj(k);f[g>>2]=408;m=408;u=n;return m|0}return 0}function Mn(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+240|0;l=n;i=n+156|0;k=n+85|0;j=n+4|0;h=f[g>>2]|0;if((h|0)>0){m=h;u=n;return m|0}b[k>>0]=0;if(!((e|0)!=0?(b[e>>0]=0,(f[g>>2]|0)>0):0))m=4;if((m|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,k,e,g)|0;if((b[k>>0]|0)==40){b[k>>0]=32;m=k+(wz(k,81758)|0)|0;b[m>>0]=0;m=wz(k,81760)|0;b[k+m>>0]=0;Wk(k,d,g)|0;Wk(k+(m+1)|0,d+8|0,g)|0;m=f[g>>2]|0;u=n;return m|0}else{f[l>>2]=c;ww(j,81707,l)|0;vj(j);vj(k);f[g>>2]=409;m=409;u=n;return m|0}return 0}function Nn(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;l=u;u=u+160|0;i=l+71|0;j=l;h=f[g>>2]|0;if((h|0)>0){k=h;u=l;return k|0}b[j>>0]=0;if(!((e|0)!=0?(b[e>>0]=0,(f[g>>2]|0)>0):0))k=4;if((k|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,j,e,g)|0;b[d>>0]=0;Oj(j,d,g)|0;k=f[g>>2]|0;u=l;return k|0}function On(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;l=u;u=u+160|0;i=l+71|0;j=l;h=f[g>>2]|0;if((h|0)>0){k=h;u=l;return k|0}b[j>>0]=0;if(!((e|0)!=0?(b[e>>0]=0,(f[g>>2]|0)>0):0))k=4;if((k|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,j,e,g)|0;Sk(j,d,g)|0;k=f[g>>2]|0;u=l;return k|0}function Pn(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;l=u;u=u+160|0;i=l+71|0;j=l;h=f[g>>2]|0;if((h|0)>0){k=h;u=l;return k|0}b[j>>0]=0;if(!((e|0)!=0?(b[e>>0]=0,(f[g>>2]|0)>0):0))k=4;if((k|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,j,e,g)|0;Uk(j,d,g)|0;k=f[g>>2]|0;u=l;return k|0}function Qn(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;l=u;u=u+160|0;i=l+71|0;j=l;h=f[g>>2]|0;if((h|0)>0){k=h;u=l;return k|0}b[j>>0]=0;if(!((e|0)!=0?(b[e>>0]=0,(f[g>>2]|0)>0):0))k=4;if((k|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,j,e,g)|0;Wk(j,d,g)|0;k=f[g>>2]|0;u=l;return k|0}function Rn(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;l=u;u=u+160|0;i=l+71|0;j=l;h=f[g>>2]|0;if((h|0)>0){k=h;u=l;return k|0}b[j>>0]=0;if(!((e|0)!=0?(b[e>>0]=0,(f[g>>2]|0)>0):0))k=4;if((k|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,j,e,g)|0;Tk(j,d,g)|0;k=f[g>>2]|0;u=l;return k|0}function Sn(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;j=u;u=u+96|0;i=j;b[d>>0]=0;if(e|0)b[e>>0]=0;h=f[g>>2]|0;if((h|0)>0){g=h;u=j;return g|0}if((In(a,c,i,g)|0)<=0)Mj(i,d,e,g)|0;g=f[g>>2]|0;u=j;return g|0}function Tn(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=f[e>>2]|0;if((g|0)>0){e=g;return e|0}if(!c){g=f[a>>2]|0;i=a+4|0;h=f[i>>2]|0;if((g|0)!=(f[h+68>>2]|0)){Hj(a,g+1|0,0,e)|0;g=f[i>>2]|0;h=g;g=f[g+68>>2]|0}i=(f[h+88>>2]|0)+(g<<3)|0;c=f[i+4>>2]|0;a=h+112|0;f[a>>2]=f[i>>2];f[a+4>>2]=c;if(d|0)b[d>>0]=0}else if((c|0)>0){g=f[a>>2]|0;i=a+4|0;h=f[i>>2]|0;if((g|0)!=(f[h+68>>2]|0)){Hj(a,g+1|0,0,e)|0;g=f[i>>2]|0;h=g;g=f[g+68>>2]|0}g=(f[h+88>>2]|0)+(g<<3)|0;i=(c*80|0)+-80|0;i=Ez(f[g>>2]|0,f[g+4>>2]|0,i|0,((i|0)<0)<<31>>31|0)|0;c=h+112|0;f[c>>2]=i;f[c+4>>2]=I;Gn(a,d,e)|0}e=f[e>>2]|0;return e|0}function Un(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+160|0;l=m;j=m+75|0;k=m+4|0;g=f[e>>2]|0;if((g|0)>0){e=g;u=m;return e|0}f[l>>2]=0;b[c>>0]=0;do if((Gn(a,j,l)|0)<=0){if(!(vw(j,81813,10)|0)){g=j;h=81824;i=g+10|0;do{b[g>>0]=b[h>>0]|0;g=g+1|0;h=h+1|0}while((g|0)<(i|0));Mj(j,k,d,l)|0;Oj(k,c,l)|0;if(!(f[l>>2]|0))break;b[c>>0]=0;break}h=f[a>>2]|0;i=a+4|0;g=f[i>>2]|0;if((h|0)!=(f[g+68>>2]|0)){Hj(a,h+1|0,0,e)|0;g=f[i>>2]|0}c=g+112|0;l=c;l=Ez(f[l>>2]|0,f[l+4>>2]|0,-80,-1)|0;f[c>>2]=l;f[c+4>>2]=I}while(0);e=f[e>>2]|0;u=m;return e|0}function Vn(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+240|0;i=n+144|0;m=n+73|0;l=n;h=f[g>>2]|0;if((h|0)>0){d=h;u=n;return d|0}f[d>>2]=0;b[m>>0]=0;j=(e|0)==0;if(!(!j?(b[e>>0]=0,(f[g>>2]|0)>0):0))k=4;if((k|0)==4?(In(a,c,i,g)|0)<=0:0)Mj(i,m,e,g)|0;h=f[g>>2]|0;if((h|0)>0){d=h;u=n;return d|0}if(j)h=0;else h=71-(Bx(e)|0)|0;a:do if(!(b[m>>0]|0)){m=Lv(1)|0;f[d>>2]=m;b[m>>0]=0}else{c=Lv((Bx(m)|0)+1|0)|0;f[d>>2]=c;Oj(m,c,g)|0;c=Bx(f[d>>2]|0)|0;if((h|0)<1)i=1;else{i=1;do{while(1){if(!c)if(!i)break a;else{i=0;c=0;continue}while(1){if(!i)break a;if((b[(f[d>>2]|0)+c+-1>>0]|0)==38)break;else i=0}Un(a,m,l,g)|0;if(!(b[m>>0]|0))i=0;else{b[(f[d>>2]|0)+c+-1>>0]=0;k=Bx(m)|0;j=Ov(f[d>>2]|0,k+c|0)|0;f[d>>2]=j;xz(j,m)|0;c=c+-1+k|0}if(b[l>>0]|0)break}k=e+(Bx(e)|0)|0;b[k>>0]=32;b[k+1>>0]=0;yz(e,l,h)|0;h=71-(Bx(e)|0)|0}while((h|0)>=1)}while(1){h=(c|0)==0;while(1){if(h){k=19;break}while(1){if(!i)break a;if((b[(f[d>>2]|0)+c+-1>>0]|0)==38)break;else i=0}Un(a,m,l,g)|0;if(!(b[m>>0]|0))i=0;else{k=16;break}}if((k|0)==16){b[(f[d>>2]|0)+c+-1>>0]=0;e=Bx(m)|0;k=Ov(f[d>>2]|0,e+c|0)|0;f[d>>2]=k;xz(k,m)|0;c=c+-1+e|0;continue}else if((k|0)==19)if(!i)break;else{i=0;c=0;continue}}}while(0);d=f[g>>2]|0;u=n;return d|0}function Wn(a,b){a=a|0;b=b|0;var c=0;c=f[b>>2]|0;if((c|0)>0|(a|0)==0){a=c;return a|0}Mv(a);a=f[b>>2]|0;return a|0}function Xn(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;m=u;u=u+176|0;l=m;j=m+93|0;k=m+12|0;b[d>>0]=0;b[e>>0]=0;if(g|0)b[g>>0]=0;i=f[h>>2]|0;if((i|0)>0){l=i;u=m;return l|0}if((((Tn(a,c,j,h)|0)<=0?(Jn(j,d,m+8|0,h)|0,(Mj(j,e,g,h)|0)<=0):0)?(Dj(d,h)|0)>0:0)?(f[l>>2]=c,f[l+4>>2]=d,ww(k,81836,l)|0,vj(k),((c|0)%36|0|0)==0):0)vj(81893);l=f[h>>2]|0;u=m;return l|0}function Yn(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;y=u;u=u+336|0;x=y+4|0;s=y;v=y+248|0;t=y+240|0;q=y+152|0;w=y+81|0;r=y+8|0;j=f[i>>2]|0;if((j|0)>0){g=j;u=y;return g|0}f[h>>2]=0;o=e+d|0;b[v>>0]=0;yz(v,c,74)|0;n=Bx(v)|0;a:do if(n|0){if((n|0)>0){j=0;do{m=v+j|0;l=(lw(b[m>>0]|0)|0)&255;b[m>>0]=l;j=j+1|0}while((j|0)!=(n|0))}if((f[i>>2]|0)>0){k=a+4|0;e=f[k>>2]|0;j=f[e+68>>2]|0;c=a;m=0}else{j=f[a>>2]|0;k=a+4|0;e=f[k>>2]|0;if((j|0)!=(f[e+68>>2]|0)){Hj(a,j+1|0,0,i)|0;e=f[k>>2]|0;j=f[e+68>>2]|0}c=e+96|0;m=(f[e+88>>2]|0)+(j<<3)|0;m=Dz(f[c>>2]|0,f[c+4>>2]|0,f[m>>2]|0,f[m+4>>2]|0)|0;m=Jz(m|0,I|0,80,0)|0;c=a}c=f[c>>2]|0;if((c|0)!=(j|0)){Hj(a,c+1|0,0,i)|0;j=f[k>>2]|0;e=j;j=f[j+68>>2]|0}k=(f[e+88>>2]|0)+(j<<3)|0;k=Ez(f[k>>2]|0,f[k+4>>2]|0,160,0)|0;l=e+112|0;f[l>>2]=k;f[l+4>>2]=I;if((m|0)>=3){c=q+n|0;l=n+q|0;k=3;j=0;while(1){if((Gn(a,q,i)|0)>0)break a;if((((vw(v,q,n)|0)==0?(b[t>>0]=0,p=Cx(q,61)|0,(p|0)!=0):0)?(yz(t,c,p-l|0)|0,f[x>>2]=0,(Vj(t,s,x)|0)<1):0)?(e=f[s>>2]|0,!((e|0)>=(o|0)|(e|0)<(d|0))):0){Mj(q,w,r,i)|0;Sk(w,g+((f[s>>2]|0)-d<<2)|0,i)|0;e=(f[s>>2]|0)-d|0;if((e|0)>=(f[h>>2]|0))f[h>>2]=e+1;if((f[i>>2]|0)==204){f[i>>2]=0;j=1}}if((k|0)<(m|0))k=k+1|0;else break}if(j|0?(f[i>>2]|0)<1:0)f[i>>2]=204}}while(0);g=f[i>>2]|0;u=y;return g|0}function Zn(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;y=u;u=u+336|0;x=y+4|0;s=y;v=y+248|0;t=y+240|0;q=y+152|0;w=y+81|0;r=y+8|0;j=f[i>>2]|0;if((j|0)>0){g=j;u=y;return g|0}f[h>>2]=0;o=e+d|0;b[v>>0]=0;yz(v,c,74)|0;n=Bx(v)|0;a:do if(n|0){if((n|0)>0){j=0;do{m=v+j|0;l=(lw(b[m>>0]|0)|0)&255;b[m>>0]=l;j=j+1|0}while((j|0)!=(n|0))}if((f[i>>2]|0)>0){k=a+4|0;e=f[k>>2]|0;j=f[e+68>>2]|0;c=a;m=0}else{j=f[a>>2]|0;k=a+4|0;e=f[k>>2]|0;if((j|0)!=(f[e+68>>2]|0)){Hj(a,j+1|0,0,i)|0;e=f[k>>2]|0;j=f[e+68>>2]|0}c=e+96|0;m=(f[e+88>>2]|0)+(j<<3)|0;m=Dz(f[c>>2]|0,f[c+4>>2]|0,f[m>>2]|0,f[m+4>>2]|0)|0;m=Jz(m|0,I|0,80,0)|0;c=a}c=f[c>>2]|0;if((c|0)!=(j|0)){Hj(a,c+1|0,0,i)|0;j=f[k>>2]|0;e=j;j=f[j+68>>2]|0}k=(f[e+88>>2]|0)+(j<<3)|0;k=Ez(f[k>>2]|0,f[k+4>>2]|0,160,0)|0;l=e+112|0;f[l>>2]=k;f[l+4>>2]=I;if((m|0)>=3){c=q+n|0;l=n+q|0;k=3;j=0;while(1){if((Gn(a,q,i)|0)>0)break a;if((((vw(v,q,n)|0)==0?(b[t>>0]=0,p=Cx(q,61)|0,(p|0)!=0):0)?(yz(t,c,p-l|0)|0,f[x>>2]=0,(Vj(t,s,x)|0)<1):0)?(e=f[s>>2]|0,!((e|0)>=(o|0)|(e|0)<(d|0))):0){Mj(q,w,r,i)|0;Tk(w,g+((f[s>>2]|0)-d<<3)|0,i)|0;e=(f[s>>2]|0)-d|0;if((e|0)>=(f[h>>2]|0))f[h>>2]=e+1;if((f[i>>2]|0)==204){f[i>>2]=0;j=1}}if((k|0)<(m|0))k=k+1|0;else break}if(j|0?(f[i>>2]|0)<1:0)f[i>>2]=204}}while(0);g=f[i>>2]|0;u=y;return g|0}function _n(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+304|0;j=o+221|0;n=o+150|0;m=o;k=o+75|0;l=o+4|0;f[m>>2]=0;i=f[h>>2]|0;if((i|0)>0){n=i;u=o;return n|0}$j(94198,c,k,h)|0;b[n>>0]=0;if((In(a,k,j,m)|0)<=0)Mj(j,n,0,m)|0;b[l>>0]=0;Oj(n,l,m)|0;$n(a,l,c,d,e,g,h)|0;n=f[h>>2]|0;u=o;return n|0}function $n(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+112|0;s=v+16|0;r=v+8|0;m=v;p=v+24|0;q=v+28|0;j=f[i>>2]|0;if((j|0)>0){t=j;u=v;return t|0}n=(d|0)!=0;do if(n){j=f[a>>2]|0;k=a+4|0;if((j|0)!=(f[(f[k>>2]|0)+68>>2]|0))Hj(a,j+1|0,0,i)|0;if((d|0)>=1?(l=f[k>>2]|0,(f[l+928>>2]|0)>=(d|0)):0){k=f[l+960>>2]|0;j=d+-1|0;if(b[c>>0]|0){a=k+(j*160|0)|0;break}f[g>>2]=1;if((e|0)>0)f[h>>2]=f[k+(j*160|0)+88>>2];t=f[i>>2]|0;u=v;return t|0}f[i>>2]=302;t=302;u=v;return t|0}else a=0;while(0);f[g>>2]=0;j=Cx(c,40)|0;f[p>>2]=j;if(!j){f[m>>2]=c;ww(q,81938,m)|0;f[i>>2]=263;t=263;u=v;return t|0}else l=1;do{k=j+1|0;f[p>>2]=k;k=kw(k,p,10)|0;j=f[g>>2]|0;if((j|0)<(e|0))f[h+(j<<2)>>2]=k;if((k|0)<0){t=17;break}l=X(k,l)|0;f[g>>2]=j+1;k=f[p>>2]|0;j=Cx(k,44)|0;f[p>>2]=j}while((j|0)!=0);if((t|0)==17){vj(81968);vj(c);f[i>>2]=263;t=263;u=v;return t|0}t=Cx(k,41)|0;f[p>>2]=t;if(!t){f[r>>2]=c;ww(q,81938,r)|0;f[i>>2]=263;t=263;u=v;return t|0}if((n?(f[a+80>>2]|0)>0:0)?(o=f[a+88>>2]|0,(o|0)!=(l|0)):0){f[s>>2]=o;f[s+4>>2]=l;ww(q,94099,s)|0;vj(q);vj(c);f[i>>2]=263;t=263;u=v;return t|0}t=f[i>>2]|0;u=v;return t|0}function ao(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+304|0;j=o+221|0;n=o+150|0;m=o;k=o+75|0;l=o+4|0;f[m>>2]=0;i=f[h>>2]|0;if((i|0)>0){n=i;u=o;return n|0}$j(94198,c,k,h)|0;b[n>>0]=0;if((In(a,k,j,m)|0)<=0)Mj(j,n,0,m)|0;b[l>>0]=0;Oj(n,l,m)|0;bo(a,l,c,d,e,g,h)|0;n=f[h>>2]|0;u=o;return n|0}function bo(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0;y=u;u=u+128|0;w=y+16|0;v=y+8|0;m=y;s=y+32|0;t=y+36|0;j=f[i>>2]|0;if((j|0)>0){x=j;u=y;return x|0}j=f[a>>2]|0;k=a+4|0;if((j|0)!=(f[(f[k>>2]|0)+68>>2]|0))Hj(a,j+1|0,0,i)|0;if((d|0)>=1?(l=f[k>>2]|0,(f[l+928>>2]|0)>=(d|0)):0){o=f[l+960>>2]|0;n=d+-1|0;if(!(b[c>>0]|0)){f[g>>2]=1;if((e|0)>0){v=o+(n*160|0)+88|0;w=f[v+4>>2]|0;x=h;f[x>>2]=f[v>>2];f[x+4>>2]=w}}else{f[g>>2]=0;j=Cx(c,40)|0;f[s>>2]=j;if(!j){f[m>>2]=c;ww(t,82015,m)|0;f[i>>2]=263;x=263;u=y;return x|0}else{a=1;d=0}do{j=j+1|0;f[s>>2]=j;z=+sz(j,s)+.1;j=~~z>>>0;k=+K(z)>=1.0?(z>0.0?~~+Y(+J(z/4294967296.0),4294967295.0)>>>0:~~+W((z-+(~~z>>>0))/4294967296.0)>>>0):0;l=f[g>>2]|0;if((l|0)<(e|0)){m=h+(l<<3)|0;f[m>>2]=j;f[m+4>>2]=k}if((k|0)<0){x=15;break}a=Sz(j|0,k|0,a|0,d|0)|0;d=I;f[g>>2]=l+1;k=f[s>>2]|0;j=Cx(k,44)|0;f[s>>2]=j}while((j|0)!=0);if((x|0)==15){vj(82046);vj(c);f[i>>2]=263;x=263;u=y;return x|0}x=Cx(k,41)|0;f[s>>2]=x;if(!x){f[v>>2]=c;ww(t,82015,v)|0;f[i>>2]=263;x=263;u=y;return x|0}if((f[o+(n*160|0)+80>>2]|0)>0?(r=o+(n*160|0)+88|0,q=f[r>>2]|0,r=f[r+4>>2]|0,!((q|0)==(a|0)&(r|0)==(d|0))):0){p[w>>3]=+(q>>>0)+4294967296.0*+(r|0);p[w+8>>3]=+(a>>>0)+4294967296.0*+(d|0);ww(t,82095,w)|0;vj(t);vj(c);f[i>>2]=263;x=263;u=y;return x|0}}x=f[i>>2]|0;u=y;return x|0}f[i>>2]=302;x=302;u=y;return x|0}function co(a,c,d,e,g,h,i,j,k,l,m,n,o,q){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;var r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;V=u;u=u+656|0;T=V+112|0;S=V+104|0;R=V+96|0;Q=V+88|0;P=V+80|0;O=V+72|0;N=V+64|0;C=V+56|0;B=V+48|0;y=V+40|0;z=V+32|0;v=V+24|0;t=V+16|0;s=V+8|0;L=V+124|0;x=V+120|0;F=V+116|0;D=V;J=V+574|0;E=V+499|0;H=V+418|0;K=V+343|0;M=V+272|0;I=V+199|0;w=V+128|0;r=f[q>>2]|0;if((r|0)>0){U=r;u=V;return U|0}r=f[a>>2]|0;G=a+4|0;if((r|0)!=(f[(f[G>>2]|0)+68>>2]|0))Hj(a,r+1|0,0,q)|0;r=(d|0)!=0;if(r)f[d>>2]=1;Xn(a,1,K,M,I,q)|0;a:do if(f[(f[G>>2]|0)+68>>2]|0){if(tw(K,98876)|0){f[t>>2]=K;ww(J,82253,t)|0;vj(J);f[q>>2]=225;U=225;u=V;return U|0}if((Oj(M,w,q)|0)>0){vj(82205);vj(M);U=f[q>>2]|0;u=V;return U|0}if((b[M>>0]|0)==39){if(!(tw(w,91254)|0)){A=0;U=30;break}if(!(tw(w,82244)|0)){A=0;U=30;break}}f[v>>2]=M;ww(J,82304,v)|0;vj(J);if(f[(f[G>>2]|0)+1080>>2]|0){wj(3,J);if(e|0?(Gk(a,e,q)|0,(f[q>>2]|0)>0):0){vj(82339);U=f[q>>2]|0;u=V;return U|0}if(g|0?(Ik(a,g,q)|0,(f[q>>2]|0)>0):0){vj(82386);U=f[q>>2]|0;u=V;return U|0}if((h|0)!=0?(Jk(a,c,h,q)|0,(f[q>>2]|0)>0):0){vj(82432);U=f[q>>2]|0;u=V;return U|0}else{r=9;A=0}}else{A=1;U=30}}else{if(tw(K,98861)|0){f[s>>2]=K;ww(J,82161,s)|0;vj(J);f[q>>2]=221;U=221;u=V;return U|0}switch(b[M>>0]|0){case 84:{A=0;U=30;break a}case 70:{if(!r){A=0;U=30;break a}f[d>>2]=0;A=0;U=30;break a}default:{f[q>>2]=220;U=220;u=V;return U|0}}}while(0);b:do if((U|0)==30){Xn(a,2,K,M,I,q)|0;if(tw(K,98813)|0){f[z>>2]=K;ww(J,82480,z)|0;vj(J);f[q>>2]=222;U=222;u=V;return U|0}if((Vj(M,x,q)|0)>0){f[y>>2]=M;ww(J,82530,y)|0;vj(J);f[q>>2]=211;U=211;u=V;return U|0}r=f[x>>2]|0;switch(r|0){case 8:case 16:case 32:case 64:case -64:case -32:break;default:{f[B>>2]=M;ww(J,82576,B)|0;vj(J);f[q>>2]=211;U=211;u=V;return U|0}}if(e|0)f[e>>2]=r;eo(a,3,98894,F,q)|0;r=f[q>>2]|0;if((r|0)==208){f[q>>2]=223;U=223;u=V;return U|0}d=f[F>>2]|0;if((r|0)==209|(d|0)>999){f[C>>2]=d;ww(J,82613,C)|0;vj(J);f[q>>2]=212;U=212;u=V;return U|0}if(g|0)f[g>>2]=d;if((d|0)>0){c:do if(!h){d=0;r=4;while(1){h=d;d=d+1|0;$j(98894,d,E,q)|0;fo(a,h+4|0,E,D,q)|0;switch(f[q>>2]|0){case 208:{U=51;break c}case 209:{U=52;break c}default:{}}r=r+1|0;if((d|0)>=(f[F>>2]|0))break b}}else{s=0;r=4;while(1){d=s;s=s+1|0;$j(98894,s,E,q)|0;fo(a,d+4|0,E,D,q)|0;switch(f[q>>2]|0){case 208:{U=51;break c}case 209:{U=52;break c}default:{}}if((d|0)<(c|0)){B=D;g=f[B+4>>2]|0;C=h+(d<<3)|0;f[C>>2]=f[B>>2];f[C+4>>2]=g}r=r+1|0;if((s|0)>=(f[F>>2]|0))break b}}while(0);if((U|0)==51){f[q>>2]=224;U=224;u=V;return U|0}else if((U|0)==52){f[q>>2]=213;U=213;u=V;return U|0}}else r=4}while(0);v=(l|0)!=0;if(v)p[l>>3]=1.0;w=(m|0)!=0;if(w)p[m>>3]=0.0;x=(i|0)!=0;if(x)f[i>>2]=0;y=(j|0)!=0;if(y)f[j>>2]=1;z=(k|0)!=0;if(z)f[k>>2]=0;e=(n|0)!=0;if(e){F=n;f[F>>2]=1234554321;f[F+4>>2]=0}f[o>>2]=0;t=f[q>>2]|0;while(1){do if((Tn(a,r,H,q)|0)>0)if((f[q>>2]|0)==203){f[q>>2]=t;s=t;d=1;break}else{vj(82636);d=0;U=97;break}else{Jn(H,K,L,q)|0;if((Dj(K,q)|0)>0?(f[N>>2]=r,f[N+4>>2]=K,ww(J,81836,N)|0,vj(J),((r|0)%36|0|0)==0):0)vj(81893);if(v&(tw(K,98828)|0)==0){f[o>>2]=0;Mj(H,M,I,q)|0;if((Wj(M,l,q)|0)<=0){d=0;U=97;break}f[q>>2]=t;p[l>>3]=1.0;f[O>>2]=M;ww(J,82687,O)|0;vj(J);d=0;U=97;break}if(w&(tw(K,98835)|0)==0){f[o>>2]=0;Mj(H,M,I,q)|0;if((Wj(M,m,q)|0)<=0){d=0;U=97;break}f[q>>2]=t;p[m>>3]=0.0;f[P>>2]=M;ww(J,82738,P)|0;vj(J);d=0;U=97;break}if(e&(tw(K,98841)|0)==0){f[o>>2]=0;Mj(H,M,I,q)|0;if((tk(M,n,q)|0)<=0){d=0;U=97;break}f[q>>2]=t;d=n;f[d>>2]=1234554321;f[d+4>>2]=0;f[Q>>2]=M;ww(J,82788,Q)|0;vj(J);d=0;U=97;break}if(x&(tw(K,98954)|0)==0){f[o>>2]=0;Mj(H,M,I,q)|0;if((Vj(M,i,q)|0)<=0){d=0;U=97;break}f[R>>2]=M;ww(J,82840,R)|0;vj(J);d=0;U=97;break}if(y&(tw(K,98969)|0)==0){f[o>>2]=0;Mj(H,M,I,q)|0;if((Vj(M,j,q)|0)<=0){d=0;U=97;break}f[S>>2]=M;ww(J,82893,S)|0;vj(J);d=0;U=97;break}if(z&(tw(K,98922)|0)==0){f[o>>2]=0;Mj(H,M,I,q)|0;if((Qk(M,k,q)|0)<=0){d=0;U=97;break}f[q>>2]=t;f[k>>2]=0;f[T>>2]=M;ww(J,82946,T)|0;vj(J);d=0;U=97;break}if(!(tw(K,88471)|0)){d=1;U=97;break}if(!(b[H>>0]|0)){f[o>>2]=(f[o>>2]|0)+1;d=0;U=97;break}else{f[o>>2]=0;d=0;U=97;break}}while(0);if((U|0)==97){U=0;s=f[q>>2]|0}if((s|0)>0)break;if(!d)r=r+1|0;else{U=103;break}}if((U|0)==103){if(!A){U=s;u=V;return U|0}f[q>>2]=233;U=233;u=V;return U|0}if(!(f[(f[G>>2]|0)+68>>2]|0))vj(82998);else vj(83057);U=f[q>>2]|0;u=V;return U|0}function eo(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+336|0;n=o+16|0;m=o+8|0;l=o;i=o+249|0;k=o+178|0;j=o+24|0;h=f[g>>2]|0;if((h|0)>0){n=h;u=o;return n|0}b[i>>0]=0;b[k>>0]=0;do if((Xn(a,c,i,k,o+105|0,g)|0)<1){if(!(tw(i,d)|0)){Vj(k,e,g)|0;if((f[g>>2]|0)<=0?(f[e>>2]|0)>=0:0)break;else h=209}else h=208;f[g>>2]=h;f[l>>2]=c;ww(j,83264,l)|0;vj(j);f[m>>2]=d;ww(j,83181,m)|0;vj(j);f[n>>2]=i;f[n+4>>2]=k;ww(j,83232,n)|0;vj(j)}while(0);n=f[g>>2]|0;u=o;return n|0}function fo(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+336|0;n=o+16|0;m=o+8|0;l=o;i=o+249|0;k=o+178|0;j=o+24|0;h=f[g>>2]|0;if((h|0)>0){n=h;u=o;return n|0}b[i>>0]=0;b[k>>0]=0;do if((Xn(a,c,i,k,o+105|0,g)|0)<1){if(!(tw(i,d)|0)){tk(k,e,g)|0;if((f[g>>2]|0)<=0?(f[e+4>>2]|0)>=0:0)break;else h=209}else h=208;f[g>>2]=h;f[l>>2]=c;ww(j,83118,l)|0;vj(j);f[m>>2]=d;ww(j,83181,m)|0;vj(j);f[n>>2]=i;f[n+4>>2]=k;ww(j,83232,n)|0;vj(j)}while(0);n=f[g>>2]|0;u=o;return n|0}function go(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;h=f[g>>2]|0;do if((h|0)<=0){if((ho(a,2,98813,83325,g)|0)==208){f[g>>2]=222;h=222;break}if((f[g>>2]|0)==209){f[g>>2]=211;h=211;break}if((ho(a,3,98894,83327,g)|0)==208){f[g>>2]=223;h=223;break}if((f[g>>2]|0)==209){f[g>>2]=212;h=212;break}if((fo(a,4,92199,b,g)|0)==208){f[g>>2]=224;h=224;break}if((f[g>>2]|0)!=209){if((fo(a,5,106765,c,g)|0)==208){f[g>>2]=224;h=224;break}if((f[g>>2]|0)!=209){if((fo(a,6,98954,d,g)|0)==208){f[g>>2]=228;h=228;break}if((f[g>>2]|0)==209){f[g>>2]=214;h=214;break}if((ho(a,7,98969,83329,g)|0)==208){f[g>>2]=229;h=229;break}if((f[g>>2]|0)==209){f[g>>2]=215;h=215;break}if((eo(a,8,101690,e,g)|0)==208){f[g>>2]=230;h=230;break}h=f[g>>2]|0;if((h|0)!=209?(f[e>>2]|0)<=999:0){if((h|0)<=0)break;vj(83331);h=f[g>>2]|0;break}h=(h|0)==216&1}else h=0}else h=0}while(0);return h|0}function ho(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+336|0;o=q+16|0;n=q+8|0;m=q;j=q+249|0;l=q+178|0;k=q+24|0;i=f[g>>2]|0;if((i|0)>0){p=i;u=q;return p|0}b[j>>0]=0;b[l>>0]=0;if((Xn(a,c,j,l,q+105|0,g)|0)<1){if(tw(j,d)|0)f[g>>2]=208;if(tw(e,l)|0)f[g>>2]=209;else p=7}else p=7;if((p|0)==7?(h=f[g>>2]|0,(h|0)<=0):0){p=h;u=q;return p|0}f[m>>2]=c;ww(k,83393,m)|0;vj(k);f[n>>2]=d;f[n+4>>2]=e;ww(k,83454,n)|0;vj(k);f[o>>2]=j;f[o+4>>2]=l;ww(k,83232,o)|0;vj(k);p=f[g>>2]|0;u=q;return p|0}function io(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+16|0;j=k;e=f[d>>2]|0;if((e|0)>0){d=e;u=k;return d|0}g=f[a>>2]|0;h=a+4|0;e=f[h>>2]|0;if((g|0)!=(f[e+68>>2]|0)){Hj(a,g+1|0,0,d)|0;if((f[d>>2]|0)<=0){e=f[h>>2]|0;i=4}}else i=4;do if((i|0)==4){h=e+96|0;i=(f[e+88>>2]|0)+(f[e+68>>2]<<3)|0;i=Dz(f[h>>2]|0,f[h+4>>2]|0,f[i>>2]|0,f[i+4>>2]|0)|0;i=Jz(i|0,I|0,80,0)|0;i=((i|0)/36|0)*2880|0;e=i+2880|0;i=Nv(i+2881|0,1)|0;f[c>>2]=i;if(!i){f[d>>2]=113;vj(83494);break}else{rk(a,j,0,0,d)|0;ft(a,f[j>>2]|0,f[j+4>>2]|0,0,d)|0;kt(a,e,((e|0)<0)<<31>>31,f[c>>2]|0,d)|0;b[(f[c>>2]|0)+e>>0]=0;break}}while(0);d=f[d>>2]|0;u=k;return d|0}function jo(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+256|0;t=v+4|0;q=v;r=v+84|0;s=v+8|0;f[h>>2]=0;m=f[i>>2]|0;if((m|0)>0){i=m;u=v;return i|0}k=f[a>>2]|0;l=a+4|0;j=f[l>>2]|0;if((k|0)!=(f[j+68>>2]|0)){Hj(a,k+1|0,0,i)|0;j=f[l>>2]|0;k=f[j+68>>2]|0;m=f[i>>2]|0}n=j+96|0;o=(f[j+88>>2]|0)+(k<<3)|0;o=Dz(f[n>>2]|0,f[n+4>>2]|0,f[o>>2]|0,f[o+4>>2]|0)|0;o=Jz(o|0,I|0,80,0)|0;do if((m|0)<=0){j=Nv((o*80|0)+81|0,1)|0;f[g>>2]=j;if(!j){f[i>>2]=113;vj(83494);break}a:do if((o|0)>=1){n=(e|0)>0;if(!c){l=1;while(1){Tn(a,l,r,i)|0;k=r+(Bx(r)|0)|0;m=83552;c=k+81|0;do{b[k>>0]=b[m>>0]|0;k=k+1|0;m=m+1|0}while((k|0)<(c|0));b[s>>0]=0;yz(s,r,8)|0;b:do if(n){k=0;do{jk(f[d+(k<<2)>>2]|0,s,0,t,q);if(f[t>>2]|0)break b;k=k+1|0}while((k|0)<(e|0))}else k=0;while(0);if((k|0)==(e|0)){Jx(j,r)|0;f[h>>2]=(f[h>>2]|0)+1;j=j+80|0}if((l|0)==(o|0))break a;else l=l+1|0}}else l=1;while(1){Tn(a,l,r,i)|0;k=r+(Bx(r)|0)|0;m=83552;c=k+81|0;do{b[k>>0]=b[m>>0]|0;k=k+1|0;m=m+1|0}while((k|0)<(c|0));b[s>>0]=0;yz(s,r,8)|0;switch(b[s>>0]|0){case 67:{if(tw(92086,s)|0)p=19;break}case 72:{if(tw(92095,s)|0)p=19;break}case 32:{if(tw(92104,s)|0)p=19;break}default:p=19}if((p|0)==19){p=0;c:do if(n){k=0;do{jk(f[d+(k<<2)>>2]|0,s,0,t,q);if(f[t>>2]|0)break c;k=k+1|0}while((k|0)<(e|0))}else k=0;while(0);if((k|0)==(e|0)){Jx(j,r)|0;f[h>>2]=(f[h>>2]|0)+1;j=j+80|0}}if((l|0)==(o|0))break a;else l=l+1|0}}while(0);k=j;m=83633;c=k+81|0;do{b[k>>0]=b[m>>0]|0;k=k+1|0;m=m+1|0}while((k|0)<(c|0));f[h>>2]=(f[h>>2]|0)+1;b[j+80>>0]=0;h=Ov(f[g>>2]|0,(f[h>>2]|0)*80|1)|0;f[g>>2]=h}while(0);i=f[i>>2]|0;u=v;return i|0}function ko(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;k=u;u=u+16|0;j=k;i=f[h>>2]|0;if((i|0)>0){j=i;u=k;return j|0}do if(Ek(a,h)|0){if((Lg(j,97380,h)|0)<=0){a=(rs(a,f[j>>2]|0,h)|0)>0;i=f[j>>2]|0;if(a){gh(i,h)|0;break}else{jo(i,b,c,d,e,g,h)|0;Fg(f[j>>2]|0,h)|0;break}}}else jo(a,b,c,d,e,g,h)|0;while(0);j=f[h>>2]|0;u=k;return j|0}function lo(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;h=u;u=u+16|0;g=h;e=f[d>>2]|0;if(e|0){d=e;u=h;return d|0}e=Mk(a,g,d)|0;f[d>>2]=e;g=f[g>>2]|0;if(g){e=Hj(a,g,h+4|0,d)|0;f[d>>2]=e}if(e|0)f[d>>2]=0;b=mo(a,b,c,d)|0;f[d>>2]=b;d=b;u=h;return d|0}function mo(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;x=u;u=u+464|0;t=x+8|0;s=x;g=x+72|0;v=x+68|0;w=x+64|0;r=x+40|0;m=x+16|0;i=x+358|0;h=x+304|0;n=x+295|0;q=x+220|0;p=x+149|0;o=x+76|0;f[g>>2]=0;f[v>>2]=0;f[w>>2]=0;j=n;k=83714;l=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(l|0));f[r>>2]=i;f[m>>2]=h;f[r+4>>2]=i+17;f[m+4>>2]=h+9;f[r+8>>2]=i+34;f[m+8>>2]=h+18;f[r+12>>2]=i+51;f[m+12>>2]=h+27;f[r+16>>2]=i+68;f[m+16>>2]=h+36;f[r+20>>2]=i+85;f[m+20>>2]=h+45;h=no(d,0,0,0,0,0,0,r,m,g,e)|0;f[e>>2]=h;h=f[g>>2]|0;d=$i(a,0,0,h,r,m,0,0,0,0,e)|0;f[e>>2]=d;if(d|0){e=d;u=x;return e|0}qk(a,v)|0;Sn(a,101690,p,o,e)|0;Hp(a,106716,n,83723,e)|0;Jp(a,86518,0,0,83753,e)|0;if(c|0?b[c>>0]|0:0)Hp(a,83786,c,83794,e)|0;a:do if((h|0)>0){d=f[e>>2]|0;g=0;while(1){if(d|0){d=1;break a}d=f[r+(g<<2)>>2]|0;if((Ax(d,83814)|0)!=0?(Ax(d,83830)|0)!=0:0){d=0;g=g+1|0}else{g=g+1|0;f[s>>2]=g;ww(q,83845,s)|0;d=Nn(a,q,p,o,e)|0;f[e>>2]=d;f[t>>2]=g;ww(q,83853,t)|0;d=Jp(a,q,0,0,83861,e)|0;f[e>>2]=d}if((g|0)>=(h|0)){d=1;break}}}else d=1;while(0);while(1)if(!(Lk(a,-1,83714,d,e)|0))d=d+1|0;else break;if((f[e>>2]|0)==301)f[e>>2]=0;Hj(a,f[v>>2]|0,w,e)|0;op(a,86518,d,((d|0)<0)<<31>>31,83879,e)|0;e=f[e>>2]|0;u=x;return e|0}function no(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;D=u;u=u+144|0;r=D+120|0;q=D+112|0;s=D+100|0;t=D;A=D+83|0;z=D+80|0;w=D+64|0;v=D+56|0;B=D+40|0;C=D+32|0;y=D+16|0;x=D+4|0;n=r;o=83881;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[q>>0]=b[83897]|0;b[q+1>>0]=b[83898]|0;b[q+2>>0]=b[83899]|0;n=s;o=83900;p=n+12|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));f[t>>2]=4272691;n=A;o=83830;p=n+15|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[z>>0]=b[83912]|0;b[z+1>>0]=b[83913]|0;b[z+2>>0]=b[83914]|0;n=w;o=83814;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[v>>0]=b[83912]|0;b[v+1>>0]=b[83913]|0;b[v+2>>0]=b[83914]|0;n=B;o=83915;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[C>>0]=b[83931]|0;b[C+1>>0]=b[83932]|0;b[C+2>>0]=b[83933]|0;n=y;o=83934;p=n+16|0;do{b[n>>0]=b[o>>0]|0;n=n+1|0;o=o+1|0}while((n|0)<(p|0));b[x>>0]=b[83950]|0;b[x+1>>0]=b[83951]|0;b[x+2>>0]=b[83952]|0;b[x+3>>0]=b[83953]|0;b[x+4>>0]=b[83954]|0;n=f[m>>2]|0;if(n|0){m=n;u=D;return m|0}switch(a|0){case 0:{if(!c){Jx(f[j>>2]|0,r)|0;Jx(f[k>>2]|0,q)|0;n=1}else n=0;if(!d){Jx(f[j+(n<<2)>>2]|0,s)|0;Jx(f[k+(n<<2)>>2]|0,t)|0;n=n+1|0}if(!e){Jx(f[j+(n<<2)>>2]|0,A)|0;Jx(f[k+(n<<2)>>2]|0,z)|0;n=n+1|0}if(!g){Jx(f[j+(n<<2)>>2]|0,w)|0;Jx(f[k+(n<<2)>>2]|0,v)|0;n=n+1|0}if(!h){Jx(f[j+(n<<2)>>2]|0,y)|0;Jx(f[k+(n<<2)>>2]|0,x)|0;n=n+1|0}if(!i){Jx(f[j+(n<<2)>>2]|0,B)|0;Jx(f[k+(n<<2)>>2]|0,C)|0;n=n+1|0}break}case 1:{if(!c){Jx(f[j>>2]|0,r)|0;Jx(f[k>>2]|0,q)|0;n=1}else n=0;if(!d){Jx(f[j+(n<<2)>>2]|0,s)|0;Jx(f[k+(n<<2)>>2]|0,t)|0;n=n+1|0}if(!e){Jx(f[j+(n<<2)>>2]|0,A)|0;Jx(f[k+(n<<2)>>2]|0,z)|0;n=n+1|0}break}case 2:{if(!g){Jx(f[j>>2]|0,w)|0;Jx(f[k>>2]|0,v)|0;n=1}else n=0;break}case 3:{if(!c){Jx(f[j>>2]|0,r)|0;Jx(f[k>>2]|0,q)|0;n=1}else n=0;if(!d){Jx(f[j+(n<<2)>>2]|0,s)|0;Jx(f[k+(n<<2)>>2]|0,t)|0;n=n+1|0}if(!e){Jx(f[j+(n<<2)>>2]|0,A)|0;Jx(f[k+(n<<2)>>2]|0,z)|0;n=n+1|0}if(!g){Jx(f[j+(n<<2)>>2]|0,w)|0;Jx(f[k+(n<<2)>>2]|0,v)|0;n=n+1|0}break}case 11:{if(!c){Jx(f[j>>2]|0,r)|0;Jx(f[k>>2]|0,q)|0;n=1}else n=0;if(!d){Jx(f[j+(n<<2)>>2]|0,s)|0;Jx(f[k+(n<<2)>>2]|0,t)|0;n=n+1|0}if(!e){Jx(f[j+(n<<2)>>2]|0,A)|0;Jx(f[k+(n<<2)>>2]|0,z)|0;n=n+1|0}if(!h){Jx(f[j+(n<<2)>>2]|0,y)|0;Jx(f[k+(n<<2)>>2]|0,x)|0;n=n+1|0}if(!i){Jx(f[j+(n<<2)>>2]|0,B)|0;Jx(f[k+(n<<2)>>2]|0,C)|0;n=n+1|0}break}case 12:{if(!g){Jx(f[j>>2]|0,w)|0;Jx(f[k>>2]|0,v)|0;n=1}else n=0;if(!h){Jx(f[j+(n<<2)>>2]|0,y)|0;Jx(f[k+(n<<2)>>2]|0,x)|0;n=n+1|0}if(!i){Jx(f[j+(n<<2)>>2]|0,B)|0;Jx(f[k+(n<<2)>>2]|0,C)|0;n=n+1|0}break}default:{f[m>>2]=347;vj(83955);n=0}}f[l>>2]=n;m=f[m>>2]|0;u=D;return m|0}function oo(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0;o=u;u=u+144|0;n=o+73|0;l=f[k>>2]|0;if(l|0){k=l;u=o;return k|0}l=Nn(a,106716,n,o,k)|0;f[k>>2]=l;if((l|0)==202){f[k>>2]=340;vj(84016);l=f[k>>2]|0}a:do if(!l){l=Bx(n)|0;if((b[n>>0]|0)==39?(b[n+(l+-1)>>0]|0)==39:0){m=l+-2|0;if((m|0)>0){l=0;do{p=l;l=l+1|0;b[n+p>>0]=b[n+l>>0]|0}while((l|0)!=(m|0))}b[n+m>>0]=0}m=(Bx(n)|0)+-1|0;b:do if((m|0)>0){l=0;do{if((b[n+l>>0]|0)!=32)break b;l=l+1|0}while((l|0)<(m|0))}else l=0;while(0);c:do if((m|0)>-1&(l|0)!=(m|0))while(1){l=n+m|0;if((b[l>>0]|0)!=32)break c;b[l>>0]=0;if((m|0)>0)m=m+-1|0;else break}while(0);if(Ax(n,83714)|0){f[k>>2]=340;p=340;u=o;return p|0}l=hk(a,1,83881,c,k)|0;f[k>>2]=l;if((l|0)==219){f[k>>2]=0;f[c>>2]=0;l=f[k>>2]|0}if(!l){l=hk(a,1,83900,d,k)|0;f[k>>2]=l;if((l|0)==219){f[k>>2]=0;f[d>>2]=0;l=f[k>>2]|0}if(!l){l=hk(a,1,83830,e,k)|0;f[k>>2]=l;if((l|0)==219){f[k>>2]=0;f[e>>2]=0;l=f[k>>2]|0}if(!l){l=hk(a,1,83814,g,k)|0;f[k>>2]=l;if((l|0)==219){f[k>>2]=0;f[g>>2]=0;l=f[k>>2]|0}if(!l){l=hk(a,1,83934,h,k)|0;f[k>>2]=l;if((l|0)==219){f[k>>2]=0;f[h>>2]=0;l=f[k>>2]|0}if(!l){l=hk(a,1,83915,i,k)|0;f[k>>2]=l;if((l|0)==219){f[k>>2]=0;f[i>>2]=0;l=f[k>>2]|0}if(!l){do if(f[c>>2]|0){if(!(f[d>>2]|0))break;if(!(f[e>>2]|0))break;do if(f[g>>2]|0){if(!(f[h>>2]|0))break;if(!(f[i>>2]|0))break;f[j>>2]=0;break a}while(0);if(!(f[e>>2]|0))break;do if(f[h>>2]|0){if(!(f[i>>2]|0))break;f[j>>2]=11;break a}while(0);if(!(f[e>>2]|0))break;if(!(f[g>>2]|0)){f[j>>2]=1;break a}else{f[j>>2]=3;break a}}while(0);if(!(f[g>>2]|0)){f[k>>2]=340;p=340;u=o;return p|0}do if(f[h>>2]|0){if(!(f[i>>2]|0))break;f[j>>2]=12;break a}while(0);f[j>>2]=2}}}}}}}while(0);l=f[k>>2]|0;if((l|0)!=237){p=l;u=o;return p|0}f[k>>2]=340;vj(84063);p=f[k>>2]|0;u=o;return p|0}function po(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;i=u;u=u+16016|0;h=i+16008|0;e=i+16004|0;g=i;f[e>>2]=0;d=f[c>>2]|0;if(d|0){c=d;u=i;return c|0}a:do switch(b|0){case 0:{b=qo(a,e,c)|0;f[c>>2]=b;d=f[e>>2]|0;if((d|0)>0)while(1){if(b|0)break a;b=ro(a,d,1,c)|0;f[c>>2]=b;if((d|0)<=1)break;else d=d+-1|0}break}case 3:{f[g>>2]=0;d=so(a,g,0,0)|0;f[c>>2]=d;d=to(a,g,c)|0;f[c>>2]=d;d=f[g>>2]|0;if((d|0)>0){b=0;do{Mv(f[g+4+(b<<2)>>2]|0);Mv(f[g+8004+(b<<2)>>2]|0);b=b+1|0}while((b|0)<(d|0))}break}default:{f[c>>2]=347;vj(84125)}}while(0);g=uo(a,0,c)|0;f[c>>2]=g;h=aj(a,h,c)|0;f[c>>2]=h;c=h;u=i;return c|0}function qo(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;j=u;u=u+144|0;i=j+73|0;h=j;e=f[d>>2]|0;if(e|0){d=e;u=j;return d|0}g=Sn(a,106716,i,h,d)|0;f[d>>2]=g;if((g|0)==202)e=340;else{e=Bx(i)|0;if((b[i>>0]|0)==39?(b[i+(e+-1)>>0]|0)==39:0){g=e+-2|0;if((g|0)>0){e=0;do{k=e;e=e+1|0;b[i+k>>0]=b[i+e>>0]|0}while((e|0)!=(g|0))}b[i+g>>0]=0}g=(Bx(i)|0)+-1|0;a:do if((g|0)>0){e=0;do{if((b[i+e>>0]|0)!=32)break a;e=e+1|0}while((e|0)<(g|0))}else e=0;while(0);b:do if((g|0)>-1&(e|0)!=(g|0))while(1){e=i+g|0;if((b[e>>0]|0)!=32)break b;b[e>>0]=0;if((g|0)>0)g=g+-1|0;else break}while(0);if(Ax(i,83714)|0){f[d>>2]=340;vj(86090)}e=On(a,106765,c,h,d)|0}f[d>>2]=e;k=e;u=j;return k|0}function ro(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=u;u=u+7472|0;C=F+32|0;D=F+24|0;z=F+16|0;y=F+8|0;x=F;m=F+64|0;n=F+60|0;B=F+56|0;l=F+52|0;p=F+48|0;t=F+44|0;q=F+6445|0;r=F+5420|0;s=F+4395|0;h=F+3370|0;A=F+3295|0;v=F+2270|0;w=F+40|0;k=F+2199|0;o=F+2118|0;j=F+1093|0;i=F+68|0;E=F+36|0;f[m>>2]=0;f[n>>2]=0;f[B>>2]=0;f[l>>2]=0;f[p>>2]=0;f[t>>2]=0;f[E>>2]=0;g=f[e>>2]|0;if(g|0){e=g;u=F;return e|0}tj(a,n,e)|0;a:do if((f[n>>2]|0)==1){g=Eo(a,c,E,e)|0;f[e>>2]=g;g=tj(f[E>>2]|0,n,e)|0;f[e>>2]=g;switch(d|0){case 2:{if((qk(f[E>>2]|0,m)|0)==1){f[e>>2]=301;break a}i=Nn(f[E>>2]|0,106716,k,o,e)|0;f[e>>2]=i;if((i|0)!=202){D=(b[k>>0]|0)==39;g=Bx(k)|0;if(D?(b[k+(g+-1)>>0]|0)==39:0){h=g+-2|0;if((h|0)>0){g=0;do{D=g;g=g+1|0;b[k+D>>0]=b[k+g>>0]|0}while((g|0)!=(h|0))}b[k+h>>0]=0}}else{b[k>>0]=0;f[e>>2]=0;i=0}h=(Bx(k)|0)+-1|0;b:do if((h|0)>0){g=0;do{if((b[k+g>>0]|0)!=32)break b;g=g+1|0}while((g|0)<(h|0))}else g=0;while(0);c:do if((h|0)>-1&(g|0)!=(h|0))while(1){g=k+h|0;if((b[g>>0]|0)!=32)break c;b[g>>0]=0;if((h|0)>0)h=h+-1|0;else break}while(0);if(i|0)break a;if(!(Ax(k,83714)|0)){g=qo(f[E>>2]|0,l,e)|0;f[e>>2]=g;h=f[l>>2]|0;g=(g|0)==0;if(g&(h|0)>0)while(1){g=ro(f[E>>2]|0,h,1,e)|0;f[e>>2]=g;g=(g|0)==0;if(g&(h|0)>1)h=h+-1|0;else break}if(!g)break a}D=uo(f[E>>2]|0,0,e)|0;f[e>>2]=D;if(D|0)break a;Kj(a,e)|0;if(!(f[n>>2]|0))break a;a=aj(f[E>>2]|0,m,e)|0;f[e>>2]=a;break a}case 1:{if((f[n>>2]|0)==1){n=On(a,86518,p,o,e)|0;f[e>>2]=n;eh(f[(f[(f[E>>2]|0)+4>>2]|0)+12>>2]|0,j,e)|0;n=a+4|0;eh(f[(f[n>>2]|0)+12>>2]|0,i,e)|0;if((f[(f[E>>2]|0)+4>>2]|0)!=(f[n>>2]|0)?vw(j,i,1025)|0:0)f[p>>2]=0-(f[p>>2]|0);n=vo(a,q,r,0,0,0,e)|0;f[e>>2]=n;if(n|0)break a;n=Ao(h,e)|0;f[e>>2]=n;switch(b[q>>0]|0){case 47:case 0:break;default:if(!(zo(q)|0)){Jx(s,h)|0;n=s+(Bx(s)|0)|0;b[n>>0]=47;b[n+1>>0]=0;xz(s,q)|0;Bo(s,q,e)|0}}switch(b[r>>0]|0){case 47:case 0:break;default:if(!(zo(r)|0)){Jx(s,h)|0;n=s+(Bx(s)|0)|0;b[n>>0]=47;b[n+1>>0]=0;xz(s,r)|0;Bo(s,r,e)|0}}g=wo(f[E>>2]|0,B,e)|0;f[e>>2]=g;g=Tn(f[E>>2]|0,0,o,e)|0;f[e>>2]=g;d=f[B>>2]|0;if((d|0)>=1){h=g;g=0;j=1;while(1){if(h|g|0)break;f[x>>2]=j;ww(A,84371,x)|0;h=On(f[E>>2]|0,A,t,o,e)|0;f[e>>2]=h;d:do if(!h){h=f[t>>2]|0;i=(h|0)==(f[p>>2]|0);if(!((h|0)>0&i))if((h|0)<0&i){f[y>>2]=j;ww(A,84379,y)|0;h=Vn(f[E>>2]|0,A,w,o,e)|0;f[e>>2]=h;if(!h){Jx(v,f[w>>2]|0)|0;Mv(f[w>>2]|0);h=f[e>>2]|0}switch(h|0){case 202:{f[z>>2]=j;f[z+4>>2]=j;ww(o,86004,z)|0;vj(o);f[e>>2]=0;h=0;break d}case 0:break;default:break d}h=Bx(v)|0;if((b[v>>0]|0)==39?(b[v+(h+-1)>>0]|0)==39:0){i=h+-2|0;if((i|0)>0){h=0;do{n=h;h=h+1|0;b[v+n>>0]=b[v+h>>0]|0}while((h|0)!=(i|0))}b[v+i>>0]=0}i=(Bx(v)|0)+-1|0;e:do if((i|0)>0){h=0;do{if((b[v+h>>0]|0)!=32)break e;h=h+1|0}while((h|0)<(i|0))}else h=0;while(0);f:do if((i|0)>-1&(h|0)!=(i|0))while(1){h=v+i|0;if((b[h>>0]|0)!=32)break f;b[h>>0]=0;if((i|0)>0)i=i+-1|0;else break}while(0);h=b[v>>0]|0;do if(!(h<<24>>24))h=0;else{if(h<<24>>24==47|(zo(v)|0)!=0){h=0;break}h=sj(f[E>>2]|0,s,e)|0;f[e>>2]=h;h=Hy(s,47)|0;if(h|0)b[h>>0]=0;h=s+(Bx(s)|0)|0;b[h>>0]=47;b[h+1>>0]=0;xz(s,v)|0;h=Bo(s,v,e)|0;f[e>>2]=h}while(0);if(tw(v,q)|0?tw(v,r)|0:0)break;g=j}else h=0;else{h=0;g=j}}else g=0;while(0);if((j|0)<(d|0))j=j+1|0;else break}if(g|0){f[D>>2]=g;ww(A,84371,D)|0;D=Ap(f[E>>2]|0,A,e)|0;f[e>>2]=D;f[C>>2]=g;ww(A,84379,C)|0;Ap(f[E>>2]|0,A,e)|0;f[e>>2]=0;D=wo(f[E>>2]|0,B,e)|0;f[e>>2]=D}}}a=Ri(a,c,((c|0)<0)<<31>>31,1,0,e)|0;f[e>>2]=a;break a}default:{f[e>>2]=347;vj(86033);break a}}}else{vj(85966);f[e>>2]=350}while(0);g=f[E>>2]|0;if(g|0)Fg(g,e)|0;e=f[e>>2]|0;u=F;return e|0}function so(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+2064|0;i=k+4|0;j=k;g=k+1033|0;h=k+8|0;f[j>>2]=0;qk(a,i)|0;e=sj(a,g,j)|0;f[j>>2]=e;g=eh(g,h,j)|0;f[j>>2]=g;g=f[b>>2]|0;a:do if((g|0)>0){e=f[i>>2]|0;a=0;do{if((f[b+4004+(a<<2)>>2]|0)==(e|0)?(tw(f[b+4+(a<<2)>>2]|0,h)|0)==0:0)break a;a=a+1|0}while((a|0)<(g|0))}else a=0;while(0);if((a|0)!=(g|0)){f[j>>2]=346;if(c|0)f[c>>2]=f[b+12004+(a<<2)>>2];if(!d){j=f[j>>2]|0;u=k;return j|0}Jx(d,f[b+8004+(a<<2)>>2]|0)|0;j=f[j>>2]|0;u=k;return j|0}if((g|0)==1e3){f[j>>2]=345;j=f[j>>2]|0;u=k;return j|0}e=Lv(1025)|0;f[b+4+(g<<2)>>2]=e;if(!e){f[j>>2]=113;j=f[j>>2]|0;u=k;return j|0}c=Lv(1025)|0;a=b+8004+(g<<2)|0;f[a>>2]=c;if(!c){f[j>>2]=113;Mv(e);j=f[j>>2]|0;u=k;return j|0}else{i=f[i>>2]|0;f[b+4004+(g<<2)>>2]=i;f[b+12004+(g<<2)>>2]=i;Jx(e,h)|0;Jx(f[a>>2]|0,h)|0;f[b>>2]=(f[b>>2]|0)+1;j=f[j>>2]|0;u=k;return j|0}return 0}function to(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;n=u;u=u+160|0;k=n+8|0;h=n+4|0;l=n+85|0;j=n+12|0;m=n;f[h>>2]=0;f[m>>2]=0;e=f[d>>2]|0;if(e|0){d=e;u=n;return d|0}g=qo(a,h,d)|0;f[d>>2]=g;e=f[h>>2]|0;if((e|0)>0&(g|0)==0)i=e;else{d=g;u=n;return d|0}while(1){h=Eo(a,i,m,d)|0;f[d>>2]=h;a:do switch(h|0){case 342:{f[d>>2]=0;break}case 0:{h=so(f[m>>2]|0,c,0,0)|0;f[d>>2]=h;switch(h|0){case 346:{f[d>>2]=0;Fg(f[m>>2]|0,d)|0;break a}case 0:break;default:break a}h=Nn(f[m>>2]|0,106716,l,j,d)|0;f[d>>2]=h;if((h|0)!=202){g=b[l>>0]|0;e=Bx(l)|0;if(g<<24>>24==39?(b[l+(e+-1)>>0]|0)==39:0){g=e+-2|0;if((g|0)>0){e=0;do{o=e;e=e+1|0;b[l+o>>0]=b[l+e>>0]|0}while((e|0)!=(g|0))}b[l+g>>0]=0}}else{f[d>>2]=0;b[l>>0]=0;h=0}g=(Bx(l)|0)+-1|0;b:do if((g|0)>0){e=0;do{if((b[l+e>>0]|0)!=32)break b;e=e+1|0}while((e|0)<(g|0))}else e=0;while(0);c:do if((g|0)>-1&(e|0)!=(g|0))while(1){e=l+g|0;if((b[e>>0]|0)!=32)break c;b[e>>0]=0;if((g|0)>0)g=g+-1|0;else break}while(0);if(!h){if(!(Ax(l,83714)|0)){o=to(f[m>>2]|0,c,d)|0;f[d>>2]=o}o=(qk(f[m>>2]|0,k)|0)==1;e=f[m>>2]|0;if(o)e=uo(e,1,d)|0;else{e=uo(e,0,d)|0;f[d>>2]=e;e=aj(f[m>>2]|0,k,d)|0}f[d>>2]=e;Fg(f[m>>2]|0,d)|0}break}default:{}}while(0);e=f[d>>2]|0;if((i|0)>1&(e|0)==0)i=i+-1|0;else break}u=n;return e|0}function uo(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;A=u;u=u+2416|0;z=A+96|0;y=A+88|0;t=A+80|0;s=A+72|0;r=A+120|0;v=A+116|0;h=A+112|0;o=A+108|0;q=A+104|0;l=A+1376|0;m=A+351|0;p=A;n=A+280|0;x=A+205|0;k=A+124|0;w=A+100|0;f[r>>2]=0;f[h>>2]=0;f[o>>2]=0;f[q>>2]=0;f[w>>2]=0;e=f[d>>2]|0;if(e|0){d=e;u=A;return d|0}j=Nn(a,98876,p,k,d)|0;f[d>>2]=j;if((j|0)!=202){j=b[p>>0]|0;e=Bx(p)|0;if(j<<24>>24==39?(b[p+(e+-1)>>0]|0)==39:0){g=e+-2|0;if((g|0)>0){e=0;do{j=e;e=e+1|0;b[p+j>>0]=b[p+e>>0]|0}while((e|0)!=(g|0))}b[p+g>>0]=0}}else{j=p;f[j>>2]=1296650832;f[j+4>>2]=5853761;f[d>>2]=0}g=(Bx(p)|0)+-1|0;a:do if((g|0)>0){e=0;do{if((b[p+e>>0]|0)!=32)break a;e=e+1|0}while((e|0)<(g|0))}else e=0;while(0);b:do if((g|0)>-1&(e|0)!=(g|0))while(1){e=p+g|0;if((b[e>>0]|0)!=32)break b;b[e>>0]=0;if((g|0)>0)g=g+-1|0;else break}while(0);j=On(a,86518,o,k,d)|0;f[d>>2]=j;if((j|0)==202){f[o>>2]=1;f[d>>2]=0}j=Nn(a,106716,n,k,d)|0;f[d>>2]=j;if((j|0)!=202){j=b[n>>0]|0;e=Bx(n)|0;if(j<<24>>24==39?(b[n+(e+-1)>>0]|0)==39:0){g=e+-2|0;if((g|0)>0){e=0;do{j=e;e=e+1|0;b[n+j>>0]=b[n+e>>0]|0}while((e|0)!=(g|0))}b[n+g>>0]=0}}else{b[n>>0]=0;f[d>>2]=0}g=(Bx(n)|0)+-1|0;c:do if((g|0)>0){e=0;do{if((b[n+e>>0]|0)!=32)break c;e=e+1|0}while((e|0)<(g|0))}else e=0;while(0);d:do if((g|0)>-1&(e|0)!=(g|0))while(1){e=n+g|0;if((b[e>>0]|0)!=32)break d;b[e>>0]=0;if((g|0)>0)g=g+-1|0;else break}while(0);qk(a,r)|0;j=vo(a,l,m,0,0,0,d)|0;f[d>>2]=j;e:do if(!j){e=wo(a,h,d)|0;f[d>>2]=e;j=f[h>>2]|0;i=(j|0)<1;if(!i){if(!e)h=1;else break;while(1){g=xo(a,h,w,d)|0;f[d>>2]=g;do if(!g){tj(f[w>>2]|0,v,d)|0;if((f[v>>2]|0)!=1){f[t>>2]=h;ww(k,84224,t)|0;vj(k);break}f[q>>2]=0;if(!(Bx(l)|0))e=f[d>>2]|0;else{e=yo(f[w>>2]|0,p,n,f[o>>2]|0,f[r>>2]|0,l,q,d)|0;f[d>>2]=e}do if((e|0)==342){if(!(Bx(m)|0)){g=46;break}f[d>>2]=0;e=yo(f[w>>2]|0,p,n,f[o>>2]|0,f[r>>2]|0,m,q,d)|0;f[d>>2]=e;g=43}else g=43;while(0);if((g|0)==43){g=0;if(!e){e=f[q>>2]|0;e=Ri(f[w>>2]|0,e,((e|0)<0)<<31>>31,1,0,d)|0;f[d>>2]=e}if((e|0)==342)g=46}if((g|0)==46)vj(84267);f[d>>2]=0;e=f[w>>2]|0;if(e|0){Fg(e,d)|0;f[w>>2]=0}}else{f[d>>2]=0;f[s>>2]=h;ww(k,84182,s)|0;vj(k)}while(0);if((h|0)>=(j|0))break;if(!(f[d>>2]|0))h=h+1|0;else break e}e=f[d>>2]|0}if((c|0)!=0&(e|0)==0){tj(a,v,d)|0;if(!(f[v>>2]|0)){vj(84320);break}if(!i){e=f[d>>2]|0;g=1;while(1){if(e|0)break e;f[y>>2]=g;ww(x,84371,y)|0;Ap(a,x,d)|0;f[z>>2]=g;ww(x,84379,z)|0;Ap(a,x,d)|0;e=f[d>>2]|0;if((e|0)==202){f[d>>2]=0;e=0}if((g|0)<(j|0))g=g+1|0;else break}}}}while(0);e=f[w>>2]|0;if(e|0)Fg(e,d)|0;d=f[d>>2]|0;u=A;return d|0}function vo(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+7184|0;l=v+6157|0;o=v+5132|0;m=v+4107|0;n=v+3082|0;q=v+2057|0;s=v+1032|0;t=v;j=f[i>>2]|0;if(j|0){t=j;u=v;return t|0}b[t>>0]=0;b[s>>0]=0;b[q>>0]=0;b[n>>0]=0;j=sj(a,n,i)|0;f[i>>2]=j;j=Hg(n,0,o,m,0,q,s,t,i)|0;f[i>>2]=j;j=(b[s>>0]|b[q>>0]|b[t>>0])<<24>>24!=0;k=j<<31>>31;a=fh(a,s,i)|0;f[i>>2]=a;Jx(t,s)|0;a=eh(n,q,i)|0;f[i>>2]=a;Jx(n,q)|0;do if(!(Ax(s,85131)|0)){if(!(Bx(m)|0))b[q>>0]=0;else Jx(n,m)|0;j=Cy(n,84739)|0;if(j|0){Jx(o,j+3|0)|0;Jx(n,o)|0}j=Cy(q,84739)|0;if(!j){r=1;p=44}else{Jx(o,j+3|0)|0;Jx(q,o)|0;r=1;p=44}}else{if(!(Ax(s,97380)|0))if(j){vj(85139);f[i>>2]=125;break}else{b[q>>0]=0;r=1;p=44;break}if(!(Ax(s,85192)|0)){b[s>>0]=b[97380]|0;b[s+1>>0]=b[97381]|0;b[s+2>>0]=b[97382]|0;b[s+3>>0]=b[97383]|0;b[s+4>>0]=b[97384]|0;b[s+5>>0]=b[97385]|0;b[s+6>>0]=b[97386]|0;b[t>>0]=0;b[q>>0]=0;r=1;p=44;break}if(!(Ax(s,85203)|0)){b[t>>0]=0;b[q>>0]=0;r=1;p=44;break}if(!(Ax(s,85212)|0)){b[t>>0]=0;b[q>>0]=0;r=1;p=44;break}if(!(Ax(s,85220)|0)){Jx(n,m)|0;Jx(q,o)|0;r=s;f[r>>2]=1701603686;f[r+4>>2]=3092282;r=t;f[r>>2]=1701603686;f[r+4>>2]=3092282;r=1;p=44;break}if(!(Ax(s,85236)|0)){Jx(n,m)|0;r=s;f[r>>2]=1701603686;f[r+4>>2]=3092282;r=t;f[r>>2]=1886680168;f[r+4>>2]=3092282;r=1;p=44;break}if(!(Ax(s,85248)|0)){Jx(n,m)|0;r=s;f[r>>2]=1701603686;f[r+4>>2]=3092282;b[t>>0]=b[85259]|0;b[t+1>>0]=b[85260]|0;b[t+2>>0]=b[85261]|0;b[t+3>>0]=b[85262]|0;b[t+4>>0]=b[85263]|0;b[t+5>>0]=b[85264]|0;b[t+6>>0]=b[85265]|0;r=1;p=44;break}if(!(Ax(s,85266)|0)){Jx(n,m)|0;j=s;f[j>>2]=1701603686;f[j+4>>2]=3092282;j=t;k=85279;a=j+9|0;do{b[j>>0]=b[k>>0]|0;j=j+1|0;k=k+1|0}while((j|0)<(a|0));r=1;p=44;break}if(!(Ax(s,85288)|0)){b[n>>0]=0;Jx(q,o)|0;b[s>>0]=b[97380]|0;b[s+1>>0]=b[97381]|0;b[s+2>>0]=b[97382]|0;b[s+3>>0]=b[97383]|0;b[s+4>>0]=b[97384]|0;b[s+5>>0]=b[97385]|0;b[s+6>>0]=b[97386]|0;r=t;f[r>>2]=1701603686;f[r+4>>2]=3092282;r=0;p=44;break}if(!(Ax(s,85300)|0)){b[n>>0]=0;b[s>>0]=b[97380]|0;b[s+1>>0]=b[97381]|0;b[s+2>>0]=b[97382]|0;b[s+3>>0]=b[97383]|0;b[s+4>>0]=b[97384]|0;b[s+5>>0]=b[97385]|0;b[s+6>>0]=b[97386]|0;r=t;f[r>>2]=1886680168;f[r+4>>2]=3092282;r=0;p=44;break}if(!(Ax(s,85308)|0)){b[n>>0]=0;b[s>>0]=b[97380]|0;b[s+1>>0]=b[97381]|0;b[s+2>>0]=b[97382]|0;b[s+3>>0]=b[97383]|0;b[s+4>>0]=b[97384]|0;b[s+5>>0]=b[97385]|0;b[s+6>>0]=b[97386]|0;r=t;f[r>>2]=1886680168;f[r+4>>2]=3092282;r=0;p=44;break}if(!(Ax(s,85259)|0)){b[n>>0]=0;b[s>>0]=b[97380]|0;b[s+1>>0]=b[97381]|0;b[s+2>>0]=b[97382]|0;b[s+3>>0]=b[97383]|0;b[s+4>>0]=b[97384]|0;b[s+5>>0]=b[97385]|0;b[s+6>>0]=b[97386]|0;b[t>>0]=b[85259]|0;b[t+1>>0]=b[85260]|0;b[t+2>>0]=b[85261]|0;b[t+3>>0]=b[85262]|0;b[t+4>>0]=b[85263]|0;b[t+5>>0]=b[85264]|0;b[t+6>>0]=b[85265]|0;r=0;p=44;break}if(!(Ax(s,85324)|0)){b[n>>0]=0;b[s>>0]=b[97380]|0;b[s+1>>0]=b[97381]|0;b[s+2>>0]=b[97382]|0;b[s+3>>0]=b[97383]|0;b[s+4>>0]=b[97384]|0;b[s+5>>0]=b[97385]|0;b[s+6>>0]=b[97386]|0;b[t>>0]=b[85259]|0;b[t+1>>0]=b[85260]|0;b[t+2>>0]=b[85261]|0;b[t+3>>0]=b[85262]|0;b[t+4>>0]=b[85263]|0;b[t+5>>0]=b[85264]|0;b[t+6>>0]=b[85265]|0;r=0;p=44;break}if(!(Ax(s,85279)|0)){f[i>>2]=125;vj(85339);b[q>>0]=0;b[n>>0]=0;r=k;p=44;break}if(!(Ax(s,85390)|0)){f[i>>2]=125;vj(85400);b[q>>0]=0;b[n>>0]=0;r=k;p=44;break}if(!(Ax(s,85452)|0)){f[i>>2]=125;vj(85463);b[q>>0]=0;b[n>>0]=0;r=k;p=44}else{r=k;p=44}}while(0);if((p|0)==44?(f[i>>2]|0)==0:0){do if(c|0){if(!(Bx(n)|0)){b[c>>0]=0;break}o=Cy(n,84739)|0;a=o+3|0;k=a-n|0;if(o){Vy(c,n,k)|0;j=f[i>>2]|0;if((j|0)>0)c=j;else{o=l;c=c+k|0;n=a;p=51}}else{j=0;o=l;p=51}if((p|0)==51){a=0;m=0;a:while(1){k=b[n+a>>0]|0;while(1){if(!(k<<24>>24))break a;a=a+1|0;if(k<<24>>24!=47)break;if((b[n+a>>0]|0)!=47){k=47;break}else k=47}b[l+m>>0]=k;m=m+1|0}b[l+m>>0]=0;if(!j){j=b[o>>0]|0;if(j<<24>>24){a=o;do{k=j&255;if((j&255)>31&j<<24>>24>-1?(b[84387+(k+-32)>>0]|0)!=0:0){b[c>>0]=j;c=c+1|0}else{b[c>>0]=37;b[c+1>>0]=b[84483+(k>>>4)>>0]|0;b[c+2>>0]=b[84483+(k&15)>>0]|0;c=c+3|0}a=a+1|0;j=b[a>>0]|0}while(j<<24>>24!=0)}b[c>>0]=0;c=f[i>>2]|0}else c=j;f[i>>2]=c}f[i>>2]=c}while(0);do if(d|0){if(!(Bx(q)|0)){b[d>>0]=0;break}p=Cy(q,84739)|0;j=p+3|0;c=j-q|0;if(!p){c=0;j=q}else Vy(d,q,c)|0;c=d+c|0;m=f[i>>2]|0;if((m|0)>0)c=m;else{a=0;n=0;b:while(1){k=b[j+a>>0]|0;while(1){if(!(k<<24>>24))break b;a=a+1|0;if(k<<24>>24!=47)break;if((b[j+a>>0]|0)!=47){k=47;break}else k=47}b[l+n>>0]=k;n=n+1|0}b[l+n>>0]=0;if(!m){j=b[l>>0]|0;if(j<<24>>24)do{k=j&255;if((j&255)>31&j<<24>>24>-1?(b[84387+(k+-32)>>0]|0)!=0:0){b[c>>0]=j;c=c+1|0}else{b[c>>0]=37;b[c+1>>0]=b[84483+(k>>>4)>>0]|0;b[c+2>>0]=b[84483+(k&15)>>0]|0;c=c+3|0}l=l+1|0;j=b[l>>0]|0}while(j<<24>>24!=0);b[c>>0]=0;c=f[i>>2]|0}else c=m;f[i>>2]=c}f[i>>2]=c}while(0);if(e|0)Jx(e,s)|0;if(g|0)Jx(g,t)|0;if(h|0)f[h>>2]=r}t=f[i>>2]|0;u=v;return t|0}function wo(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=u;u=u+352|0;r=s+24|0;q=s+16|0;p=s+8|0;o=s;k=s+36|0;e=s+32|0;l=s+269|0;m=s+194|0;i=s+113|0;j=s+40|0;n=s+28|0;f[e>>2]=85124;d=f[c>>2]|0;if(d|0){r=d;u=s;return r|0}f[b>>2]=0;d=Tn(a,0,i,c)|0;f[c>>2]=d;a:while(1){switch(d|0){case 202:{g=6;break a}case 0:break;default:break a}d=Hn(a,e,1,0,0,i,c)|0;f[c>>2]=d;if(d|0)continue;f[b>>2]=(f[b>>2]|0)+1;d=0}if((g|0)==6){f[c>>2]=0;d=0}if((f[b>>2]|0)<1){r=d;u=s;return r|0}else{e=1;h=1;g=0}while(1){if(d|0){g=17;break}f[o>>2]=h;ww(l,84371,o)|0;d=On(a,l,k,i,c)|0;f[c>>2]=d;if((d|0)!=202){e=e+1|0;if((g|0)>0){d=h-g|0;f[p>>2]=d;ww(m,84371,p)|0;Fp(a,l,m,c)|0;f[q>>2]=h;ww(l,84379,q)|0;f[r>>2]=d;ww(m,84379,r)|0;d=Vn(a,l,n,j,c)|0;f[c>>2]=d;if(!d){Ap(a,l,c)|0;Ip(a,m,f[n>>2]|0,j,c)|0;yr(a,c)|0;Mv(f[n>>2]|0);d=f[c>>2]|0}if((d|0)==202){f[c>>2]=0;d=0}}}else{f[c>>2]=0;d=0;g=g+1|0}if((e|0)>(f[b>>2]|0)){g=17;break}else h=h+1|0}if((g|0)==17){u=s;return d|0}return 0}function xo(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;z=u;u=u+4320|0;q=z+32|0;n=z+24|0;m=z+16|0;k=z+8|0;j=z;i=z+56|0;y=z+52|0;l=z+4233|0;v=z+3208|0;o=z+48|0;w=z+2183|0;r=z+1158|0;s=z+133|0;p=z+60|0;x=z+40|0;f[i>>2]=0;f[y>>2]=0;h=f[e>>2]|0;if(h|0){e=h;u=z;return e|0}f[d>>2]=0;h=wo(a,i,e)|0;f[e>>2]=h;h=f[i>>2]|0;do if((h|0)>=(c|0)){f[k>>2]=c;ww(l,84371,k)|0;h=On(a,l,y,p,e)|0;f[e>>2]=h;if(!h){h=f[y>>2]|0;a:do if((h|0)>0){g=bh(a,d,e)|0;f[e>>2]=g;t=40}else{b:do if(!h){f[e>>2]=344;f[m>>2]=0;f[m+4>>2]=c;ww(p,84802,m)|0;vj(p)}else{f[y>>2]=0-h;f[n>>2]=c;ww(l,84379,n)|0;h=Vn(a,l,o,p,e)|0;f[e>>2]=h;if(!h){Jx(v,f[o>>2]|0)|0;Mv(f[o>>2]|0);h=f[e>>2]|0}if((h|0)==202){f[e>>2]=344;f[q>>2]=c;ww(p,84844,q)|0;vj(p);break}h=Bx(v)|0;if((b[v>>0]|0)==39?(b[v+(h+-1)>>0]|0)==39:0){i=h+-2|0;if((i|0)>0){h=0;do{q=h;h=h+1|0;b[v+q>>0]=b[v+h>>0]|0}while((h|0)!=(i|0))}b[v+i>>0]=0}i=(Bx(v)|0)+-1|0;c:do if((i|0)>0){h=0;do{if((b[v+h>>0]|0)!=32)break c;h=h+1|0}while((h|0)<(i|0))}else h=0;while(0);d:do if((i|0)>-1&(h|0)!=(i|0))while(1){h=v+i|0;if((b[h>>0]|0)!=32)break d;b[h>>0]=0;if((i|0)>0)i=i+-1|0;else break}while(0);if(zo(v)|0){vj(84881);x=ah(5,d,v,1,e)|0;f[e>>2]=x;if(!x)break a;vj(84935);f[e>>2]=0;g=ah(5,d,v,0,e)|0;f[e>>2]=g;t=40;break a}q=Do(v,r,e)|0;f[e>>2]=q;q=ah(5,d,r,1,e)|0;f[e>>2]=q;if(!q)break a;vj(84935);f[e>>2]=0;q=ah(5,d,r,0,e)|0;f[e>>2]=q;if(!q)break a;f[e>>2]=0;f[x>>2]=r;f[x+4>>2]=s;g=vo(a,r,s,0,0,0,e)|0;f[e>>2]=g;f[d>>2]=0;g=r;h=0;while(1){do if(!(b[g>>0]|0))g=0;else{t=Co(g,v,w,e)|0;f[e>>2]=t;if(t|0){f[e>>2]=0;g=0;break}if(!(zo(w)|0)){t=Do(w,g,e)|0;f[e>>2]=t;Jx(w,g)|0}t=ah(5,d,w,1,e)|0;f[e>>2]=t;if(!t)break b;vj(84986);vj(85028);f[e>>2]=0;g=(ah(5,d,w,0,e)|0)==0;f[e>>2]=0;g=g&1}while(0);h=h+1|0;if(!((h|0)<2&(g|0)==0))break b;g=f[x+(h<<2)>>2]|0}}while(0);g=f[e>>2]|0;t=40}while(0);if((t|0)==40?g|0:0)break;g=f[d>>2]|0;if(!g){vj(85070);f[e>>2]=343;g=343;break}else{g=(Lk(g,-1,83714,f[y>>2]|0,e)|0)==0;g=g?0:343;f[e>>2]=g;t=44;break}}else g=h}else{f[e>>2]=344;f[j>>2]=c;f[j+4>>2]=h;ww(p,84746,j)|0;vj(p);g=f[e>>2]|0;t=44}while(0);if((t|0)==44)if(!g){e=0;u=z;return e|0}h=f[d>>2]|0;if(!h){e=g;u=z;return e|0}Fg(h,e)|0;f[d>>2]=0;e=f[e>>2]|0;u=z;return e|0}
function Bb(a){a=a|0;var b=0;b=u;u=u+a|0;u=u+15&-16;return b|0}function Cb(){return u|0}function Db(a){a=a|0;u=a}function Eb(a,b){a=a|0;b=b|0;u=a;v=b}function Fb(a,b){a=a|0;b=b|0;if(!x){x=a;y=b}}function Gb(a){a=a|0;I=a}function Hb(){return I|0}function Ib(a){a=a|0;Da(212692,((a|0)==0?1:a)|0)}function Jb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;if((c|0)>0)g=kd(a,c)|0;else g=ld(a)|0;e=(g|0)==0;if(!e)qd(g,Hd(g)|0);c=f[53212]|0;if(!c){f[53212]=10;d=Lv(655440)|0;f[53213]=d;if(!d){g=-4;return g|0}else c=10}a=f[532]|0;a:do if((a|0)>=(c|0)){d=f[53213]|0;while(1){a=c+10|0;f[53212]=a;d=Ov(d,a*65544|0)|0;f[53213]=d;if(!d){c=-3;break}c=f[53212]|0;a=f[532]|0;if((a|0)<(c|0))break a}return c|0}while(0);b:do if((a|0)>1){d=f[53213]|0;c=1;while(1){if(!(f[d+(c*65544|0)>>2]|0))break b;c=c+1|0;if((c|0)>=(a|0)){c=a;break}}}else c=a;while(0);if(e){g=-1;return g|0}e=f[53213]|0;f[e+(c*65544|0)>>2]=g;f[e+(c*65544|0)+4>>2]=0;b[e+(c*65544|0)+8>>0]=0;if((c|0)!=(a|0)){g=c;return g|0}f[532]=a+1;g=a;return g|0}function Kb(a){a=a|0;var b=0;if(!((a|0)>-1&(f[532]|0)>(a|0))){a=0;return a|0}b=f[(f[53213]|0)+(a*65544|0)>>2]|0;if(!b)return a|0;md(b);f[(f[53213]|0)+(a*65544|0)>>2]=0;return a|0}function Lb(a){a=a|0;var b=0,c=0,d=0.0,e=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0;o=u;u=u+80|0;n=o;m=(a|0)>0&(f[53212]|0)>(a|0)?(f[53213]|0)+(a*65544|0)|0:0;a=f[m>>2]|0;if(!a){b=0;c=0;d=0.0;e=0.0;g=0.0;h=0.0;i=0.0;j=0.0;k=0.0;l=0;a=0}else{l=(f[a+3304>>2]|0)==0;e=+p[a+760>>3];h=+p[a+768>>3];g=+p[a+48>>3];b=a+3449|0;c=a+3458|0;d=l?e:h;e=l?h:e;g=(f[a+3256>>2]|0)==0?g:-g;h=+p[a+616>>3];i=+p[a+624>>3];j=+p[a+688>>3];k=+p[a+696>>3];l=a+3467|0;a=a+3764|0}m=m+8|0;p[n>>3]=j;p[n+8>>3]=k;p[n+16>>3]=h;p[n+24>>3]=i;p[n+32>>3]=d;p[n+40>>3]=e;p[n+48>>3]=g;f[n+56>>2]=b;f[n+60>>2]=c;f[n+64>>2]=l;f[n+68>>2]=a;Hx(m,65535,34174,n)|0;u=o;return m|0}function Mb(a,c,d){a=a|0;c=+c;d=+d;var e=0;e=(a|0)>0&(f[53212]|0)>(a|0)?(f[53213]|0)+(a*65544|0)|0:0;a=f[e>>2]|0;e=e+8|0;if(!a){e=0;return e|0}b[e>>0]=0;Cd(a,c+-1.0,d+-1.0,e,65536)|0;return e|0}function Nb(a,c,d){a=a|0;c=+c;d=+d;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+65584|0;h=k+16|0;g=k+40|0;i=k+8|0;j=k;e=(a|0)>0&(f[53212]|0)>(a|0)?(f[53213]|0)+(a*65544|0)|0:0;a=f[e>>2]|0;if(!a){j=0;u=k;return j|0}Bd(a,c,d,i,j,k+32|0);c=+p[j>>3]+1.0;p[h>>3]=+p[i>>3]+1.0;p[h+8>>3]=c;Hx(g,65535,34358,h)|0;a=e+8|0;e=b[g>>0]|0;a:do if(!(e<<24>>24))e=a;else{while(1){if(!(gw(e<<24>>24)|0)){h=a;break}g=g+1|0;e=b[g>>0]|0;if(!(e<<24>>24)){e=a;break a}}while(1){g=g+1|0;i=h+1|0;b[h>>0]=e;e=b[g>>0]|0;if(!(e<<24>>24)){e=i;break}else h=i}}while(0);g=e-a|0;b[e>>0]=0;if(!g){j=a;u=k;return j|0}while(1){e=e+-1|0;if(!(gw(b[e>>0]|0)|0)){e=9;break}b[e>>0]=0;g=g+-1|0;if(!g){e=9;break}}if((e|0)==9){u=k;return a|0}return 0}function Ob(a,c){a=a|0;c=c|0;var d=0,e=0;e=(a|0)>0&(f[53212]|0)>(a|0)?(f[53213]|0)+(a*65544|0)|0:0;d=f[e>>2]|0;if(!d){c=0;return c|0}a=e+8|0;b[a>>0]=0;do if(c|0?b[c>>0]|0:0){if(((Ax(c,34368)|0)!=0?(Ax(c,34377)|0)!=0:0)?(Ax(c,34386)|0)!=0:0){if(!(+Wd(c)>0.0))break;d=f[e>>2]|0}qd(d,c);rd(f[e>>2]|0,c)}while(0);Vy(a,Ed(f[e>>2]|0)|0,65536)|0;if(!(Ax(a,34368)|0)){d=a;e=34368;c=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(c|0));c=a;return c|0}if(!(Ax(a,34377)|0)){d=a;e=34377;c=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(c|0));c=a;return c|0}d=b[a>>0]|0;if(!(d<<24>>24)){c=a;return c|0}else e=a;do{d=d<<24>>24;if(mw(d)|0){c=(lw(d)|0)&255;b[e>>0]=c}e=e+1|0;d=b[e>>0]|0}while(d<<24>>24!=0);return a|0}function Pb(a,c){a=a|0;c=c|0;var d=0,e=0;e=(a|0)>0&(f[53212]|0)>(a|0)?(f[53213]|0)+(a*65544|0)|0:0;d=f[e>>2]|0;if(!d){c=0;return c|0}a=e+8|0;b[a>>0]=0;if(c|0?b[c>>0]|0:0){if(!(Ax(c,34393)|0)){Fd(d,1)|0;d=1}else{Fd(d,0)|0;Gd(f[e>>2]|0,3)|0;d=0}f[e+4>>2]=d}switch(f[e+4>>2]|0){case 1:{Vy(a,34393,65535)|0;break}case 0:{Vy(a,34401,65535)|0;break}default:{}}d=b[a>>0]|0;if(!(d<<24>>24)){c=a;return c|0}else e=a;do{d=d<<24>>24;if(bw(d)|0){c=(aw(d)|0)&255;b[e>>0]=c}e=e+1|0;d=b[e>>0]|0}while(d<<24>>24!=0);return a|0}function Qb(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,g=0.0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0.0,q=0.0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0;X=u;u=u+196864|0;V=X+232|0;U=X+224|0;T=X+216|0;S=X+208|0;R=X+200|0;P=X+192|0;O=X+184|0;N=X+176|0;M=X+168|0;L=X+152|0;K=X+144|0;J=X+128|0;I=X+112|0;H=X+96|0;G=X+88|0;F=X+80|0;W=X+64|0;Q=X+56|0;E=X+40|0;D=X+32|0;C=X+131320|0;s=X+65784|0;t=X+248|0;A=X+240|0;B=X+236|0;w=X+24|0;x=X+16|0;y=X+8|0;z=X;v=(a|0)>0&(f[53212]|0)>(a|0)?(f[53213]|0)+(a*65544|0)|0:0;f[A>>2]=0;f[B>>2]=0;if(!(f[v>>2]|0)){W=0;u=X;return W|0}a=Ob(a,0)|0;if(((tw(a,34368)|0)!=0?(tw(a,34377)|0)!=0:0)?(tw(a,34386)|0)!=0:0)a=0;else a=1;n=v+8|0;b[n>>0]=0;l=Rx(c)|0;c=zz(l,52406)|0;a:do if(c|0){m=v+4|0;k=(a|0)==0;g=0.0;while(1){while(1){a=Cx(c,32)|0;if(!a){f[A>>2]=3020226;a=3020226;c=0}else{f[A>>2]=a+1;b[a>>0]=0;a=f[A>>2]|0}d=+sz(a,B);if(d!=0.0?(r=+sz(f[B>>2]|0,A),r!=0.0):0)break;c=zz(0,52406)|0;if(!c)break a}wd(f[v>>2]|0,d+-1.0,r+-1.0,w,x);j=(c|0)!=0;if(j){f[D>>2]=c;Hx(C,65536,34413,D)|0;yz(n,C,65535)|0}switch(f[m>>2]|0){case 1:{i=+p[x>>3];p[E>>3]=+p[w>>3];p[E+8>>3]=i;Hx(C,65536,34417,E)|0;yz(n,C,65535)|0;break}case 0:{e=+p[w>>3];if(k)oe(s,65535,e,3);else pe(s,65535,e,3);pe(t,65535,+p[x>>3],3);f[Q>>2]=s;f[Q+4>>2]=t;Hx(C,65536,34428,Q)|0;yz(n,C,65535)|0;break}default:{i=+p[x>>3];p[W>>3]=+p[w>>3];p[W+8>>3]=i;Hx(C,65536,34417,W)|0;yz(n,C,65535)|0}}b:do if(tw(c,34435)|0){if(tw(c,96931)|0?tw(c,96926)|0:0){d=+sz(f[A>>2]|0,B);if(d!=0.0)e=g;else{e=g;break}while(1){g=+sz(f[B>>2]|0,A);if(!(g!=0.0))break b;h=+sz(f[A>>2]|0,B);if(!(h!=0.0))break b;i=+sz(f[B>>2]|0,A);if(!(i!=0.0))break b;wd(f[v>>2]|0,d+-1.0,g+-1.0,w,x);wd(f[v>>2]|0,h+-1.0,i+-1.0,y,z);e=+Dd(+p[w>>3],+p[x>>3],+p[y>>3],+p[z>>3])*3600.0;do if(!(e<=60.0))if(!(e<=3600.0)){p[O>>3]=e/3600.0;Hx(C,65536,34482,O)|0;yz(n,C,65535)|0;break}else{p[N>>3]=e/60.0;Hx(C,65536,34474,N)|0;yz(n,C,65535)|0;break}else{p[M>>3]=e;Hx(C,65536,34466,M)|0;yz(n,C,65535)|0}while(0);d=+sz(f[A>>2]|0,B);if(!(d!=0.0))break b}}d=+sz(f[A>>2]|0,B);c:do if(d!=0.0)if(k)while(1){e=+sz(f[B>>2]|0,A);if(!(e!=0.0))break c;wd(f[v>>2]|0,d+-1.0,e+-1.0,w,x);switch(f[m>>2]|0){case 1:{i=+p[x>>3];p[H>>3]=+p[w>>3];p[H+8>>3]=i;Hx(C,65536,34453,H)|0;yz(n,C,65535)|0;break}case 0:{oe(s,65535,+p[w>>3],3);pe(t,65535,+p[x>>3],3);f[G>>2]=s;f[G+4>>2]=t;Hx(C,65536,34444,G)|0;yz(n,C,65535)|0;break}default:{i=+p[x>>3];p[I>>3]=+p[w>>3];p[I+8>>3]=i;Hx(C,65536,34453,I)|0;yz(n,C,65535)|0}}d=+sz(f[A>>2]|0,B);if(!(d!=0.0))break c}else while(1){e=+sz(f[B>>2]|0,A);if(!(e!=0.0))break c;wd(f[v>>2]|0,d+-1.0,e+-1.0,w,x);switch(f[m>>2]|0){case 1:{i=+p[x>>3];p[J>>3]=+p[w>>3];p[J+8>>3]=i;Hx(C,65536,34453,J)|0;yz(n,C,65535)|0;break}case 0:{pe(s,65535,+p[w>>3],3);pe(t,65535,+p[x>>3],3);f[K>>2]=s;f[K+4>>2]=t;Hx(C,65536,34444,K)|0;yz(n,C,65535)|0;break}default:{i=+p[x>>3];p[L>>3]=+p[w>>3];p[L+8>>3]=i;Hx(C,65536,34453,L)|0;yz(n,C,65535)|0}}d=+sz(f[A>>2]|0,B);if(!(d!=0.0))break c}while(0);if(!(tw(c,96926)|0)){f[A>>2]=a;d=+sz(a,B);if((d!=0.0?(o=+sz(f[B>>2]|0,A),o!=0.0):0)?(q=+sz(f[A>>2]|0,B),q!=0.0):0){i=q;h=o;e=g;while(1){g=h;h=+sz(f[B>>2]|0,A);if(!(h!=0.0))break b;wd(f[v>>2]|0,d+-1.0,g+-1.0,w,x);wd(f[v>>2]|0,i+-1.0,h+-1.0,y,z);e=e+ +Dd(+p[w>>3],+p[x>>3],+p[y>>3],+p[z>>3])*3600.0;d=+sz(f[A>>2]|0,B);if(!(d!=0.0)){d=i;break}else{g=i;i=d;d=g}}}else e=g}else e=g}else{f[F>>2]=f[A>>2];Hx(C,65536,34440,F)|0;yz(n,C,65535)|0;e=g}while(0);if(!((tw(c,96837)|0)!=0?(tw(c,96815)|0)!=0:0)){if(d<0.0)do d=d+6.283185307179586;while(d<0.0);p[P>>3]=d*57.29577951308232;Hx(C,65536,34490,P)|0;yz(n,C,65535)|0}if(j){Hx(C,65536,81758,R)|0;yz(n,C,65535)|0}do if(!(tw(c,96926)|0)){if(e<=60.0){p[S>>3]=e;Hx(C,65536,34497,S)|0;yz(n,C,65535)|0;break}if(!(e<=3600.0)){p[U>>3]=e/3600.0;Hx(C,65536,34561,U)|0;yz(n,C,65535)|0;break}else{p[T>>3]=e/60.0;Hx(C,65536,34529,T)|0;yz(n,C,65535)|0;break}}while(0);Hx(C,65536,52406,V)|0;yz(n,C,65535)|0;c=zz(0,52406)|0;if(!c)break a;else g=e}}while(0);if(!l){W=n;u=X;return W|0}Mv(l);W=n;u=X;return W|0}function Rb(a){a=a|0;return +(+Vc(a,0))}function Sb(){return f[53792]|0}function Tb(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=+g;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,z=0,A=0.0;z=u;u=u+65568|0;r=z;w=4;v=Lv(40)|0;f[v>>2]=0;s=z+20|0;t=z+16|0;q=z+24|0;b[q>>0]=0;w=Mz(212692,1,v|0,w|0)|0;v=I;x=0;j=x;x=0;if((j|0)!=0&(y|0)!=0){k=Pz(f[j>>2]|0,w|0,v|0)|0;if(!k)Da(j|0,y|0);I=y}else k=-1;if((k|0)==1)j=I;else j=0;a:while(1){b:do if(!j){x=0;la(1,a|0,c|0,d|0,e|0,s|0,t|0,+g,h|0,i|0);j=x;x=0;if((j|0)!=0&(y|0)!=0){k=Pz(f[j>>2]|0,w|0,v|0)|0;if(!k)Da(j|0,y|0);I=y}else k=-1;if((k|0)==1){j=I;continue a}A=+n[t>>2];x=0;p[r>>3]=+n[s>>2];p[r+8>>3]=A;ma(1,q|0,65535,34594,r|0)|0;j=x;x=0;if((j|0)!=0&(y|0)!=0){k=Pz(f[j>>2]|0,w|0,v|0)|0;if(!k)Da(j|0,y|0);I=y}else k=-1;if((k|0)==1){j=I;continue a}j=b[q>>0]|0;if(j<<24>>24){k=q;while(1){x=0;o=ka(2,j<<24>>24|0)|0;l=x;x=0;if((l|0)!=0&(y|0)!=0){m=Pz(f[l>>2]|0,w|0,v|0)|0;if(!m)Da(l|0,y|0);I=y}else m=-1;if((m|0)==1){j=I;continue a}if(!o){l=419584;break}k=k+1|0;j=b[k>>0]|0;if(!(j<<24>>24)){j=419584;break b}}while(1){k=k+1|0;m=l+1|0;b[l>>0]=j;j=b[k>>0]|0;if(!(j<<24>>24)){j=m;break}else l=m}}else j=419584}else j=419584;while(0);k=j-419584|0;b[j>>0]=0;if(!k){j=15;break}while(1){j=j+-1|0;x=0;o=ka(2,b[j>>0]|0)|0;l=x;x=0;if((l|0)!=0&(y|0)!=0){m=Pz(f[l>>2]|0,w|0,v|0)|0;if(!m)Da(l|0,y|0);I=y}else m=-1;if((m|0)==1){j=I;continue a}if(!o){j=15;break a}b[j>>0]=0;k=k+-1|0;if(!k){j=15;break a}}}if((j|0)==15){Mv(w|0);u=z;return 419584}return 0}function Ub(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,z=0,A=0;A=u;u=u+1114144|0;r=A+16|0;p=A+8|0;n=A;w=4;z=Lv(40)|0;f[z>>2]=0;t=A+24|0;m=A+458776|0;v=A+393240|0;q=A+327704|0;s=A+262168|0;f[t>>2]=34600;a:do if((d|0)!=0?(b[d>>0]|0)!=0:0){x=0;l=ka(3,d|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)!=1){x=0;g=na(5,l|0,34608)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)!=1){if(!g)g=1;else{i=g;j=1;k=0;while(1){h=m+(k<<16)|0;x=0;fa(6,h|0,i|0,65535)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)==1){d=I;i=0;break a}k=k+1|0;g=j+1|0;f[t+(j<<2)>>2]=h;x=0;i=na(5,0,34608)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)==1){d=I;i=0;break a}if(!((k|0)<10&(i|0)!=0))break;else j=g}}if(l){x=0;ia(1,l|0);d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)==1){d=I;i=0}else{i=g;o=12}}else{i=g;o=12}}else{d=I;i=0}}else{d=I;i=0}}else{i=1;o=12}while(0);if((o|0)==12){g=i+1|0;f[t+(i<<2)>>2]=34611;d=f[53214]|0;f[53214]=d+1;x=0;f[n>>2]=89298;f[n+4>>2]=d;ma(1,v|0,65535,34614,n|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)!=1){h=i+2|0;f[t+(g<<2)>>2]=v;x=0;f[p>>2]=89298;f[p+4>>2]=a;ma(1,q|0,65535,34630,p|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)!=1){g=i+3|0;f[t+(h<<2)>>2]=q;x=0;f[r>>2]=89298;f[r+4>>2]=c;ma(1,s|0,65535,34630,r|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)!=1){f[t+(g<<2)>>2]=s;z=Mz(212692,1,z|0,w|0)|0;w=I;x=0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)!=1)d=0;else d=I}else d=I}else d=I}else d=I}while(1){if(!d){x=0;na(6,i+4|0,t|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){s=Pz(f[d>>2]|0,z|0,w|0)|0;if(!s)Da(d|0,y|0);I=y};s=i;d=I;i=s;continue}x=0;g=na(7,v|0,96427)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)==1){s=i;d=I;i=s;continue}if(!g){d=34635;o=26;break}x=0;h=ma(2,419584,1,65535,g|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)==1){s=i;d=I;i=s;continue}x=0;ka(4,g|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)==1){s=i;d=I;i=s;continue}b[419584+h>>0]=0;if((h|0)<=0){d=34635;o=26;break}x=0;ka(5,v|0)|0;d=x;x=0;if((d|0)!=0&(y|0)!=0){e=Pz(f[d>>2]|0,z|0,w|0)|0;if(!e)Da(d|0,y|0);I=y}else e=-1;if((e|0)==1){s=i;d=I;i=s}else{o=25;break}}if((o|0)==25){w=419584;Mv(z|0);u=A;return w|0}else if((o|0)==26){Mv(z|0);u=A;return d|0}return 0}function Vb(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,z=0,A=0,B=0,C=0,D=0;D=u;u=u+1179680|0;v=D+24|0;s=D+16|0;q=D+8|0;o=D;B=4;C=Lv(40)|0;f[C>>2]=0;z=D+32|0;n=D+524320|0;A=D+458784|0;r=D+393248|0;t=D+327712|0;w=D+262176|0;f[z>>2]=34680;a:do if((e|0)!=0?(b[e>>0]|0)!=0:0){x=0;m=ka(3,e|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){x=0;h=na(5,m|0,34608)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){if(!h)j=1;else{k=1;l=0;while(1){i=n+(l<<16)|0;x=0;fa(6,i|0,h|0,65535)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;j=0;break a}l=l+1|0;j=k+1|0;f[z+(k<<2)>>2]=i;x=0;h=na(5,0,34608)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;j=0;break a}if(!((l|0)<10&(h|0)!=0))break;else k=j}}if(m){x=0;ia(1,m|0);e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){e=I;j=0}else p=12}else p=12}else{e=I;j=0}}else{e=I;j=0}}else{j=1;p=12}while(0);if((p|0)==12){h=j+1|0;f[z+(j<<2)>>2]=34611;e=f[53214]|0;f[53214]=e+1;x=0;f[o>>2]=89298;f[o+4>>2]=e;ma(1,A|0,65535,34614,o|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){k=j+2|0;f[z+(h<<2)>>2]=A;x=0;f[q>>2]=89298;f[q+4>>2]=a;ma(1,r|0,65535,34630,q|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){i=j+3|0;f[z+(k<<2)>>2]=r;x=0;f[s>>2]=89298;f[s+4>>2]=c;ma(1,t|0,65535,34630,s|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){h=j+4|0;f[z+(i<<2)>>2]=t;x=0;f[v>>2]=89298;f[v+4>>2]=d;ma(1,w|0,65535,34630,v|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1){f[z+(h<<2)>>2]=w;C=Mz(212692,1,C|0,B|0)|0;B=I;x=0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)!=1)e=0;else e=I}else e=I}else e=I}else e=I}else e=I}while(1){if(!e){x=0;na(8,j+5|0,z|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){w=Pz(f[e>>2]|0,C|0,B|0)|0;if(!w)Da(e|0,y|0);I=y};w=j;e=I;j=w;continue}x=0;h=na(7,A|0,96427)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){w=j;e=I;j=w;continue}if(!h){e=34691;p=27;break}x=0;i=ma(2,419584,1,65535,h|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){w=j;e=I;j=w;continue}x=0;ka(4,h|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){w=j;e=I;j=w;continue}b[419584+i>>0]=0;if((i|0)<=-1){e=34691;p=27;break}x=0;ka(5,A|0)|0;e=x;x=0;if((e|0)!=0&(y|0)!=0){g=Pz(f[e>>2]|0,C|0,B|0)|0;if(!g)Da(e|0,y|0);I=y}else g=-1;if((g|0)==1){w=j;e=I;j=w}else{p=26;break}}if((p|0)==26){B=419584;Mv(C|0);u=D;return B|0}else if((p|0)==27){Mv(C|0);u=D;return e|0}return 0}function Wb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0;d=u;u=u+131088|0;g=d+8|0;h=d;e=d+65552|0;c=d+16|0;f[h>>2]=89298;f[h+4>>2]=a;Hx(e,65535,34630,h)|0;f[g>>2]=89298;f[g+4>>2]=a;Hx(c,65535,34739,g)|0;nc(e,c)|0;a=ey(c,96427)|0;if(!a){h=34752;u=d;return h|0}h=jz(419584,1,65535,a)|0;ky(a)|0;b[419584+h>>0]=0;if((h|0)<=-1){h=34752;u=d;return h|0}Ny(c)|0;h=419584;u=d;return h|0}function Xb(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+65552|0;g=d;e=d+8|0;f[g>>2]=89298;f[g+4>>2]=a;Hx(e,65535,34630,g)|0;b[419584]=0;a=ey(e,96427)|0;if(!a){u=d;return 419584}g=c+-1|0;g=jz(419584,1,g>>>0<65534?g:65534,a)|0;ky(a)|0;b[419584+g>>0]=0;u=d;return 419584}function Yb(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;w=u;u=u+65680|0;s=w+56|0;r=w+32|0;v=w+24|0;t=w+16|0;q=w+8|0;c=w;p=w+136|0;n=w+60|0;if((a|0)!=0?(b[a>>0]|0)!=0:0)m=a;else m=89298;o=cx(m)|0;if(!o){v=f[5096]|0;f[c>>2]=m;zy(v,34796,c)|0;ly(v)|0;v=0;u=w;return v|0}a=ex(o)|0;a:do if(!a)a=0;else{h=f[5096]|0;k=n+64|0;l=n+56|0;i=n+12|0;j=n+36|0;c=a;a=0;while(1){while(1){c=c+11|0;if(tw(c,113854)|0?tw(c,84743)|0:0){g=m+((Bx(m)|0)+-1)|0;if((b[g>>0]|0)==47){f[q>>2]=m;f[q+4>>2]=c;Hx(p,65536,34630,q)|0}else{f[t>>2]=m;f[t+4>>2]=c;Hx(p,65536,34830,t)|0}if((Px(p,n)|0)>-1)break;f[s>>2]=c;zy(h,34914,s)|0;ly(h)|0}c=ex(o)|0;if(!c)break a}d=bb(Sa(k|0)|0)|0;e=bb(Sa(l|0)|0)|0;switch(((f[i>>2]&61440)+-4096|0)>>>12&1048575|0){case 7:{g=34862;break}case 3:{g=34836;break}case 1:{g=34840;break}case 5:{g=34845;break}case 0:{g=34850;break}case 9:{g=34855;break}default:g=34860}if(!(tw(g,34836)|0)){f[v>>2]=c;zy(h,34867,v)|0}else{x=f[j>>2]|0;f[r>>2]=c;f[r+4>>2]=g;f[r+8>>2]=x;f[r+12>>2]=d;f[r+16>>2]=e;zy(h,34877,r)|0}ly(h)|0;a=a+1|0;c=ex(o)|0;if(!c)break a}}while(0);ax(o)|0;x=a;u=w;return x|0}function Zb(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return}function _b(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;h=u;u=u+16|0;i=h+8|0;e=h+4|0;g=h;qk(a,i)|0;f[d>>2]=0;Ik(a,e,d)|0;f[d>>2]=0;if(!((f[i>>2]|0)==1&(f[e>>2]|0)==0)){mk(a,c,d)|0;u=h;return a|0}if(b|0){e=Rx(b)|0;b=zz(e,94907)|0;a:do if(b|0){while(1){Lk(a,-1,b,0,d)|0;if(!(f[d>>2]|0))break;f[d>>2]=0;b=zz(0,94907)|0;if(!b)break a}Mv(e);mk(a,c,d)|0;u=h;return a|0}while(0);Mv(e)}Hj(a,2,g,d)|0;mk(a,c,d)|0;u=h;return a|0}function $b(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;h=u;u=u+16|0;g=h;ah(5,g,a,b,e)|0;if(f[e>>2]|0){e=0;u=h;return e|0}b=f[g>>2]|0;_b(b,c,d,e)|0;e=b;u=h;return e|0}function ac(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0;h=u;u=u+16|0;g=h;Cg(g,34928,1,a,b,0,0,e)|0;if(f[e>>2]|0){e=0;u=h;return e|0}g=f[g>>2]|0;_b(g,c,d,e)|0;e=g;u=h;return e|0}function bc(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0.0,l=0.0,m=0,n=0,o=0,q=0,r=0.0;q=u;u=u+96|0;o=q+8|0;n=q;m=q+12|0;l=+(~~(+(d|0)-+(g|0)*.5)|0);k=+(~~(+(e|0)-+(h|0)*.5)|0);g=(i|0)==0?1:i;if(j|0){p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,97281,n,m,o)|0;if(!(f[o>>2]|0)){p[n>>3]=(+p[n>>3]-l)/+(g|0);mp(c,82,97281,n,m,o)|0}p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,97288,n,m,o)|0;if(!(f[o>>2]|0)){p[n>>3]=(+p[n>>3]-k)/+(g|0);mp(c,82,97288,n,m,o)|0}p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,97295,n,m,o)|0;if(!(f[o>>2]|0)){p[n>>3]=+(g|0)*+p[n>>3];mp(c,82,97295,n,m,o)|0}p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,97326,n,m,o)|0;if(!(f[o>>2]|0)){p[n>>3]=+(g|0)*+p[n>>3];mp(c,82,97326,n,m,o)|0}}p[n>>3]=1.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,34932,n,m,o)|0;r=+(g|0);p[n>>3]=+p[n>>3]/r;f[o>>2]=0;mp(c,82,34932,n,m,o)|0;p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,34939,n,m,o)|0;p[n>>3]=+p[n>>3]/r;f[o>>2]=0;mp(c,82,34939,n,m,o)|0;p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,34946,n,m,o)|0;p[n>>3]=+p[n>>3]/r;f[o>>2]=0;mp(c,82,34946,n,m,o)|0;p[n>>3]=1.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,34953,n,m,o)|0;p[n>>3]=+p[n>>3]/r;f[o>>2]=0;mp(c,82,34953,n,m,o)|0;p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,39308,n,m,o)|0;p[n>>3]=(+p[n>>3]-l)/r;f[o>>2]=0;mp(c,82,39308,n,m,o)|0;p[n>>3]=0.0;b[m>>0]=0;f[o>>2]=0;Kn(a,82,39313,n,m,o)|0;p[n>>3]=(+p[n>>3]-k)/r;f[o>>2]=0;mp(c,82,39313,n,m,o)|0;u=q;return}function cc(a,c,e,g,i,k,l,m,o){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,Y=0.0,Z=0;V=u;u=u+224|0;C=V+124|0;U=V+120|0;D=V+104|0;Q=V+88|0;K=V+72|0;T=V+56|0;J=V+40|0;F=V+16|0;G=V+8|0;H=V+128|0;x=V;E=V+24|0;f[U>>2]=0;p[F>>3]=1.0;p[G>>3]=0.0;S=x;f[S>>2]=0;f[S+4>>2]=1;f[E>>2]=0;f[E+4>>2]=0;f[E+8>>2]=0;f[E+12>>2]=0;f[D>>2]=0;f[D+4>>2]=0;f[D+8>>2]=0;f[D+12>>2]=0;f[Q>>2]=1;f[K>>2]=1;f[J>>2]=1;S=Q+4|0;f[S>>2]=1;f[K+4>>2]=1;f[J+4>>2]=1;f[Q+8>>2]=1;f[K+8>>2]=1;f[J+8>>2]=1;f[Q+12>>2]=1;f[K+12>>2]=1;f[J+12>>2]=1;Ik(a,C,o)|0;R=f[C>>2]|0;Hk(a,(R|0)<4?R:4,D,o)|0;Gk(a,m,o)|0;if((f[C>>2]|0)<2){f[o>>2]=320;a=0;u=V;return a|0}R=(g|0)>1?g:1;if((i|0)!=0?(b[i>>0]|0)!=0:0){w=Rx(i)|0;i=zz(w,34960)|0;do if(!i){i=0;q=1}else{q=0;r=0;while(1){if(!(tw(i,99019)|0)){if((q|0)<2){f[x+(q<<2)>>2]=r;q=q+1|0}}else{i=uz(i)|0;f[E+(r<<2)>>2]=i;if((i|0)<1)break;if((i|0)>(f[D+(r<<2)>>2]|0))break}i=zz(0,34960)|0;r=r+1|0;if(!((i|0)!=0&(r|0)<4)){v=13;break}}if((v|0)==13){i=f[x>>2]|0;q=f[x+4>>2]|0;break}f[o>>2]=116;a=0;u=V;return a|0}while(0);Mv(w);y=i}else{y=0;q=1}x=f[D+(y<<2)>>2]|0;v=x-((x|0)%(R|0)|0)|0;z=f[D+(q<<2)>>2]|0;i=z-((z|0)%(R|0)|0)|0;if(((c|0)!=0?(A=f[c>>2]|0,(A|0)!=0):0)?(B=f[c+4>>2]|0,(B|0)!=0):0){w=(A|0)>(v|0)?v:A;r=(B|0)>(i|0)?i:B;if(!(((e|0)!=0?(t=+p[e>>3],t!=0.0):0)?(s=+p[e+8>>3],s!=0.0):0)){t=+(v|0)*.5;s=+(i|0)*.5}Y=+(w|0)*.5;c=Q+(y<<2)|0;f[c>>2]=~~(t-Y+1.0);W=+(r|0)*.5;e=Q+(q<<2)|0;f[e>>2]=~~(s-W+1.0);B=K+(y<<2)|0;f[B>>2]=~~(Y+t);i=~~(W+s)}else{c=Q+(y<<2)|0;f[c>>2]=1;e=Q+(q<<2)|0;f[e>>2]=1;B=K+(y<<2)|0;f[B>>2]=v}A=K+(q<<2)|0;f[A>>2]=i;r=f[c>>2]|0;r=(r|0)>1?r:1;f[c>>2]=r;f[c>>2]=f[((r|0)<=(x|0)?Q:D)+(y<<2)>>2];r=f[B>>2]|0;r=(r|0)>1?r:1;f[B>>2]=r;f[B>>2]=f[((r|0)<=(x|0)?K:D)+(y<<2)>>2];x=f[e>>2]|0;x=(x|0)>1?x:1;f[e>>2]=x;x=f[((x|0)<=(z|0)?Q:D)+(q<<2)>>2]|0;f[e>>2]=x;r=f[A>>2]|0;r=(r|0)>1?r:1;f[A>>2]=r;f[A>>2]=f[((r|0)<=(z|0)?K:D)+(q<<2)>>2];r=(R|0)>0;a:do if(r){i=f[c>>2]|0;s=+(R|0);q=f[B>>2]|0;v=0;do{P=q-i|0;w=P+1|0;if((P|0)<0)break;if(+wx(+(w|0)/s,1.0)==0.0)break;q=q+-1|0;f[B>>2]=q;v=v+1|0}while((v|0)<(R|0));if(r){s=+(R|0);i=f[A>>2]|0;q=0;while(1){P=i-x|0;r=P+1|0;if((P|0)<0){v=r;break a}if(+wx(+(r|0)/s,1.0)==0.0){v=r;break a}i=i+-1|0;f[A>>2]=i;q=q+1|0;if((q|0)>=(R|0)){v=r;break}}}else v=0}else{w=0;v=0}while(0);i=f[C>>2]|0;if((i|0)>0){q=(i|0)<4?i:4;r=0;do{i=f[E+(r<<2)>>2]|0;if(i|0){M=Q+(r<<2)|0;P=K+(r<<2)|0;N=(i|0)>1?i:1;f[M>>2]=N;O=(N|0)<=(f[D+(r<<2)>>2]|0);f[M>>2]=f[(O?Q:D)+(r<<2)>>2];f[P>>2]=N;f[P>>2]=f[(O?K:D)+(r<<2)>>2]}r=r+1|0}while((r|0)<(q|0))}if(k|0){f[k>>2]=f[c>>2];f[k+4>>2]=f[e>>2]}if(l|0){f[l>>2]=f[B>>2];f[l+4>>2]=f[A>>2]}r=X(v,w)|0;if((r|0)<2){f[o>>2]=323;a=0;u=V;return a|0}Kn(a,82,98828,F,H,U)|0;if((f[U>>2]|0)!=204)Kn(a,82,98835,G,H,U)|0;q=+p[F>>3]!=1.0|+p[G>>3]!=0.0;i=f[m>>2]|0;P=i+64|0;switch(P>>>3|P<<29|0){case 9:{if(q){f[m>>2]=-32;i=-32;q=4;P=42}else{q=1;P=11}break}case 10:{if(q){f[m>>2]=-32;i=-32;q=4;P=42}else{q=2;P=21}break}case 6:{if(q){f[m>>2]=-32;i=-32;q=4;P=42}else{q=2;P=20}break}case 12:{if(q){f[m>>2]=-32;i=-32;q=4;P=42}else{q=4;P=31}break}case 16:{if(q){f[m>>2]=-32;i=-32;q=4;P=42}else{q=8;P=81}break}case 4:{q=4;P=42;break}case 0:{q=8;P=82;break}default:{a=0;u=V;return a|0}}if((g|0)<2){i=X(q,r)|0;if((i|0)>(f[533]|0)){f[o>>2]=113;a=0;u=V;return a|0}i=Nv(i,1)|0;if(!i){f[o>>2]=113;a=0;u=V;return a|0}else{Zk(a,P,Q,K,J,0,i,0,o)|0;a=i;u=V;return a|0}}N=Nv(X(q,w)|0,1)|0;if(!N){f[o>>2]=113;a=0;u=V;return a|0}O=(w|0)/(R|0)|0;r=(v|0)/(R|0)|0;M=Nv(X(X(O,q)|0,r)|0,1)|0;if(!M){f[o>>2]=113;a=0;u=V;return a|0}L=i+64|0;switch(L>>>3|L<<29|0){case 9:{e=M;C=N;l=0;D=0;E=0;k=0;F=0;G=0;H=0;g=0;J=0;K=0;o=0;L=0;break}case 10:{e=0;C=0;l=0;D=0;E=0;k=0;F=0;G=0;H=0;g=0;J=M;K=N;o=0;L=0;break}case 6:{e=0;C=0;l=0;D=0;E=0;k=0;F=0;G=0;H=0;g=0;J=0;K=0;o=M;L=N;break}case 12:{e=0;C=0;l=0;D=0;E=0;k=0;F=M;G=N;H=0;g=0;J=0;K=0;o=0;L=0;break}case 16:{e=0;C=0;l=0;D=0;E=0;k=0;F=0;G=0;H=M;g=N;J=0;K=0;o=0;L=0;break}case 4:{e=0;C=0;l=0;D=0;E=M;k=N;F=0;G=0;H=0;g=0;J=0;K=0;o=0;L=0;break}case 0:{e=0;C=0;l=M;D=N;E=0;k=0;F=0;G=0;H=0;g=0;J=0;K=0;o=0;L=0;break}default:{e=0;C=0;l=0;D=0;E=0;k=0;F=0;G=0;H=0;g=0;J=0;K=0;o=0;L=0}}f[T>>2]=f[Q>>2];f[T+4>>2]=f[Q+4>>2];f[T+8>>2]=f[Q+8>>2];f[T+12>>2]=f[Q+12>>2];B=X(O,R)|0;A=X(r,R)|0;b:do if((A|0)>0){x=T+4|0;v=((w|0)<0)<<31>>31;y=(B|0)>0;z=0;do{f[x>>2]=(f[S>>2]|0)+z;f[U>>2]=0;Xk(a,P,T,w,v,0,N,0,U)|0;if(f[U>>2]|0)break b;c=X((z|0)/(R|0)|0,O)|0;c:do if(y){q=(f[m>>2]|0)+64|0;i=q>>>3;q=i|q<<29;if((q|0)==9){i=0;while(1){Q=e+(((i|0)/(R|0)|0)+c)|0;b[Q>>0]=(h[Q>>0]|0)+(h[C+i>>0]|0);i=i+1|0;if((i|0)>=(B|0))break c}}i=q>>>1|i<<31;r=0;while(1){q=((r|0)/(R|0)|0)+c|0;switch(i|0){case 0:{Q=l+(q<<3)|0;p[Q>>3]=+p[D+(r<<3)>>3]+ +p[Q>>3];break}case 5:{Q=J+(q<<1)|0;d[Q>>1]=(j[Q>>1]|0)+(j[K+(r<<1)>>1]|0);break}case 3:{Q=o+(q<<1)|0;d[Q>>1]=(j[Q>>1]|0)+(j[L+(r<<1)>>1]|0);break}case 6:{Q=F+(q<<2)|0;f[Q>>2]=(f[Q>>2]|0)+(f[G+(r<<2)>>2]|0);break}case 8:{Z=g+(r<<3)|0;Q=H+(q<<3)|0;q=Q;q=Ez(f[q>>2]|0,f[q+4>>2]|0,f[Z>>2]|0,f[Z+4>>2]|0)|0;f[Q>>2]=q;f[Q+4>>2]=I;break}case 2:{Z=E+(q<<2)|0;n[Z>>2]=+n[k+(r<<2)>>2]+ +n[Z>>2];break}default:{}}r=r+1|0;if((r|0)>=(B|0))break c}}while(0);z=z+1|0}while((z|0)<(A|0))}while(0);Mv(N);Z=M;u=V;return Z|0}function dc(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0.0,l=0.0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;O=u;u=u+1584|0;t=O+200|0;w=O+196|0;z=O+192|0;L=O+64|0;J=O+32|0;H=O;q=O+1492|0;o=O+1411|0;N=O+1340|0;I=O+1056|0;M=O+772|0;K=O+488|0;G=O+204|0;y=O+176|0;D=O+160|0;v=O+144|0;C=O+128|0;B=O+112|0;x=O+96|0;b[q>>0]=0;f[t>>2]=0;Kn(a,16,34964,q,o,t)|0;if(!((f[t>>2]|0)==0?!(Ax(q,34972)|0):0))A=3;do if((A|0)==3){b[q>>0]=0;f[t>>2]=0;Kn(a,16,35901,q,o,t)|0;if((f[t>>2]|0)==0?(uz(q)|0)>0:0)break;t=(h|0)==0?1:h;b[N>>0]=0;if(((d|0)!=0?(r=f[d>>2]|0,(r|0)!=0):0)?(s=d+4|0,(f[s>>2]|0)!=0):0){Jx(I,r)|0;Jx(I+71|0,f[s>>2]|0)|0}else{b[I>>0]=0;b[I+71>>0]=0}l=+(t|0);p[L>>3]=-9.1191291391491e-36;p[J>>3]=-9.1191291391491e-36;p[H>>3]=l;b[M>>0]=0;b[K>>0]=0;b[G>>0]=0;q=L+8|0;p[q>>3]=-9.1191291391491e-36;r=J+8|0;p[r>>3]=-9.1191291391491e-36;p[H+8>>3]=l;b[M+71>>0]=0;b[K+71>>0]=0;b[G+71>>0]=0;p[L+16>>3]=-9.1191291391491e-36;p[J+16>>3]=-9.1191291391491e-36;p[H+16>>3]=l;b[M+142>>0]=0;b[K+142>>0]=0;b[G+142>>0]=0;p[L+24>>3]=-9.1191291391491e-36;p[J+24>>3]=-9.1191291391491e-36;p[H+24>>3]=l;b[M+213>>0]=0;b[K+213>>0]=0;b[G+213>>0]=0;pk(a,w,i)|0;h=f[w>>2]|0;s=Nv(h+1|0,1)|0;if((c|0)!=0?(b[c>>0]|0)!=0:0){bj(a,c,0,h,z,s,i)|0;if((f[i>>2]|0)>0){i=0;u=O;return i|0}}else A=19;if((A|0)==19?(h|0)>=0:0)Fz(s|0,1,h+1|0)|0;Yo(a,2,I,L,J,H,M,K,G,y,D,C,B,x,i)|0;if((f[i>>2]|0)>0){i=0;u=O;return i|0}l=+(~~(+n[B>>2]+ +n[C>>2])|0)*.5;k=+(~~(+n[B+4>>2]+ +n[C+4>>2])|0)*.5;h=f[D>>2]|0;o=(e|0)!=0;if((o?(m=f[e>>2]|0,(m|0)!=0):0)?(j=f[e+4>>2]|0,(j|0)!=0):0){if(((g|0)!=0?(E=+p[g>>3],E!=0.0):0)?(F=+p[g+8>>3],F!=0.0):0){l=E;k=F}else{m=(h|0)<(m|0)?h:m;j=(f[D+4>>2]|0)<(j|0)?h:j}E=+(m|0)*.5;p[L>>3]=+(~~(l-E)|0);F=+(j|0)*.5;p[q>>3]=+(~~(k-F)|0);p[J>>3]=+(~~(l+E)|0);p[r>>3]=+(~~(F+k)|0)}else{m=h;j=h}h=dp(a,97380,31,2,I,L,J,H,M,K,G,1.0,N,0,s,i)|0;if((f[i>>2]|0)>0){i=0;u=O;return i|0}bc(a,h,~~l,~~k,m,j,t,0);if(o){f[e>>2]=m;f[e+4>>2]=j}if(g|0){p[g>>3]=l;p[g+8>>3]=k}if(!s){i=h;u=O;return i|0}Mv(s);i=h;u=O;return i|0}while(0);j=hc(a,i)|0;if((f[i>>2]|0)>0){i=0;u=O;return i|0}if(!g){i=j;u=O;return i|0}if(!(+p[g>>3]==0.0)?!(+p[g+8>>3]==0.0):0){i=j;u=O;return i|0}f[t>>2]=0;Hk(j,2,v,t)|0;if(+p[g>>3]==0.0)p[g>>3]=+((f[v>>2]|0)/2|0|0);h=g+8|0;if(!(+p[h>>3]==0.0)){i=j;u=O;return i|0}p[h>>3]=+((f[v+4>>2]|0)/2|0|0);i=j;u=O;return i|0}function ec(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;ko(a,1,0,0,b,c,d)|0;return}function fc(a,b){a=a|0;b=b|0;Fg(a,b)|0;return}function gc(a){a=a|0;var b=0;b=f[533]|0;if(!a)return b|0;f[533]=a;return b|0}function hc(a,c){a=a|0;c=c|0;var d=0,e=0;e=u;u=u+48|0;d=e;f[d+16>>2]=1;b[d+20>>0]=81;b[d+21>>0]=82;b[d+22>>0]=0;b[d+23>>0]=0;f[d+4>>2]=3020226;if(!a){f[c>>2]=1;d=0;u=e;return d|0}f[d>>2]=a;a=ic(d)|0;f[c>>2]=a;if(a|0){d=0;u=e;return d|0}a=jc(d)|0;f[c>>2]=a;a=f[d+32>>2]|0;if(a|0)Mv(a);d=f[d+8>>2]|0;u=e;return d|0}function ic(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;D=u;u=u+128|0;s=D+8|0;e=D;q=D+88|0;r=D+56|0;y=D+48|0;w=D+44|0;g=D+40|0;C=D+36|0;t=D+32|0;z=D+28|0;d=D+24|0;j=D+20|0;h=D+16|0;A=D+12|0;f[j>>2]=0;f[C>>2]=0;B=a+32|0;f[B>>2]=0;c=f[a>>2]|0;if(!c)if(!($g(A,f[a+4>>2]|0,0,C)|0)){c=f[A>>2]|0;v=5}else{d=0;c=0;v=72}else{f[A>>2]=c;v=5}a:do if((v|0)==5)if(!(mk(c,w,C)|0)){if((f[w>>2]|2|0)!=2){C=f[4971]|0;f[e>>2]=f[a+4>>2];zy(C,35819,e)|0;C=1;u=D;return C|0}if(!(On(f[A>>2]|0,98894,d,0,C)|0)){p=f[d>>2]|0;x=Lv(p<<2)|0;if(!(Yn(f[A>>2]|0,98894,1,p,x,g,C)|0)){b:do switch(f[w>>2]|0){case 0:{c=f[g>>2]|0;if((c|0)>0){d=0;while(1){e=f[x+(d<<2)>>2]|0;d=d+1|0;if((e|0)>1)break;if((d|0)>=(c|0)){k=0;i=0;p=0;l=0;m=0;o=0;break b}}k=e;i=((e|0)<0)<<31>>31;p=0;l=0;m=0;o=0}else{k=0;i=0;p=0;l=0;m=0;o=0}break}case 2:{if((f[g>>2]|0)>1){d=f[x+4>>2]|0;c=d;d=((d|0)<0)<<31>>31}else{c=0;d=0}if(kk(f[A>>2]|0,f[a+16>>2]|0,0,h,0,C)|0){d=x;c=x;v=72;break a}o=f[h>>2]|0;k=0;i=0;p=c;l=d;m=o;o=((o|0)<0)<<31>>31;break}default:{k=0;i=0;p=0;l=0;m=0;o=0}}while(0);d=(k|0)==0&(i|0)==0;e=(p|0)==0&(l|0)==0;if((p|k|0)==0&(l|i|0)==0){Vx(35861,39,1,f[4971]|0)|0;d=x;c=x;break}if(On(f[A>>2]|0,35901,j,0,C)|0){if((f[C>>2]|0)!=202){d=x;c=x;v=72;break}f[C>>2]=0}f[t>>2]=-1;if(On(f[A>>2]|0,35907,t,0,C)|0){if((f[C>>2]|0)!=202){d=x;c=x;v=72;break}f[C>>2]=0}f[z>>2]=-1;if(On(f[A>>2]|0,35916,z,0,C)|0){if((f[C>>2]|0)!=202){d=x;c=x;v=72;break}f[C>>2]=0}c=f[j>>2]|0;do if(!c){c=f[z>>2]|0;if((c|0)>-1){c=~~(+L(+(+((c+1|0)/12|0|0)))+.5);f[j>>2]=c;break}if(!d){c=Jz(k|0,i|0,12,0)|0;c=~~(+L(+(+(c>>>0)+4294967296.0*+(I|0)))+.5);f[j>>2]=c;break}if(e)c=0;else{c=Sz(p|0,l|0,m|0,o|0)|0;c=Jz(c|0,I|0,12,0)|0;c=~~(+L(+(+(c>>>0)+4294967296.0*+(I|0)))+.5);f[j>>2]=c}}while(0);f[a+24>>2]=c;c=X(c*12|0,c)|0;h=a+28|0;f[h>>2]=c;if((f[t>>2]|0)<0)f[t>>2]=0;if((f[z>>2]|0)<0)f[z>>2]=c+-1;c:do if(!(Nn(f[A>>2]|0,35924,q,0,C)|0))switch(b[q>>0]|0){case 71:{b[a+20>>0]=71;break c}case 69:{b[a+20>>0]=69;break c}case 67:{b[a+20>>0]=81;break c}default:break c}else{if((f[C>>2]|0)!=202){d=x;c=x;v=72;break a}f[C>>2]=0}while(0);do if(!(Nn(f[A>>2]|0,35933,r,0,C)|0)){if(!(tw(r,35035)|0)){b[a+21>>0]=78;break}if(!(tw(r,35042)|0)){b[a+21>>0]=82;break}else{q=f[4971]|0;f[s>>2]=r;zy(q,35942,s)|0;break}}else{if((f[C>>2]|0)!=202){d=x;c=x;v=72;break a}f[C>>2]=0}while(0);c=Lv(f[h>>2]<<2)|0;f[B>>2]=c;if(!c){lz(34980);d=x;c=x;break}g=f[t>>2]|0;if((g|0)>0){e=0;while(1){d=c+4|0;n[c>>2]=-1637499996306027037830206.0e6;e=e+1|0;if((e|0)>=(g|0)){c=d;break}else c=d}}switch(f[w>>2]|0){case 0:{if(Cl(f[A>>2]|0,0,1,0,k,i,-1637499996306027037830206.0e6,c,y,C)|0){d=x;c=x;v=72;break a}break}case 2:{if((l|0)>0|(l|0)==0&p>>>0>0){g=a+16|0;d=0;e=0;while(1){v=f[A>>2]|0;w=f[g>>2]|0;d=Ez(d|0,e|0,1,0)|0;e=I;if(Nl(v,w,d,e,1,0,m,o,-1637499996306027037830206.0e6,c,y,C)|0){d=x;c=x;v=72;break a}if(!((e|0)<(l|0)|(e|0)==(l|0)&d>>>0<p>>>0))break;else c=c+(m<<2)|0}}break}default:{}}c=(f[z>>2]|0)+1|0;e=f[h>>2]|0;if((c|0)<(e|0)){d=(f[B>>2]|0)+(c<<2)|0;while(1){n[d>>2]=-1637499996306027037830206.0e6;c=c+1|0;if((c|0)>=(e|0))break;else d=d+4|0}}if(!(f[a>>2]|0))Fg(f[A>>2]|0,C)|0;f[C>>2]=0;C=0;u=D;return C|0}else{d=x;c=x;v=72}}else{d=0;c=0;v=72}}else{d=0;c=0;v=72}while(0);if((v|0)==72)lh(f[4971]|0,f[C>>2]|0);if(c|0)Mv(d);c=f[B>>2]|0;if(c|0)Mv(c);f[B>>2]=0;C=f[C>>2]|0;u=D;return C|0}function jc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0;J=u;u=u+112|0;D=J+16|0;C=J+8|0;B=J;G=J+40|0;H=J+32|0;c=J+24|0;F=J+20|0;A=a+24|0;x=f[A>>2]|0;z=b[a+22>>0]|0;y=f[2136+(z<<2)>>2]|0;f[H>>2]=0;E=X(y,x)|0;f[c>>2]=E;f[c+4>>2]=E;if(!(f[a>>2]|0))if(!(Lg(F,f[a+12>>2]|0,H)|0))h=4;else{d=0;g=0;e=0;c=0;h=48}else if(!(Lg(F,97380,H)|0))h=4;else{d=0;g=0;e=0;c=0;h=48}a:do if((h|0)==4)if((ar(f[F>>2]|0,-32,2,c,H)|0)==0?(E=kc(f[F>>2]|0,a)|0,f[H>>2]=E,(E|0)==0):0){c=x<<2;E=Lv(c)|0;if(E){c=Lv(c)|0;if(c){o=((x|0)<0)<<31>>31;r=(x|0)>0;w=a+23|0;v=a+21|0;p=c+(x<<2)|0;q=c>>>0<p>>>0;s=a+32|0;d=1;e=0;t=0;do{if(r){g=0;m=0;while(1){l=g+x|0;k=0;do{g=f[2148+(z*100|0)+(t*20|0)+(k<<2)>>2]|0;i=f[2448+(z*100|0)+(t*20|0)+(k<<2)>>2]|0;j=f[2748+(z*100|0)+(t*20|0)+(k<<2)>>2]|0;h=b[w>>0]|0;do if((g|0)>-1&h<<24>>24!=0){h=(h<<24>>24)+g|0;if((g|0)<4){g=(h|0)>3?h+-4|0:h;break}if((g|0)<8){g=(h|0)>7?h+-4|0:h;break}else{g=(h|0)>11?h+-4|0:h;break}}while(0);if((g|0)<0){if(Pq(f[F>>2]|0,0,d,e,x,o,H)|0){d=E;g=c;e=E;h=48;break a}}else{if((b[v>>0]|0)==78)lc(x,g,i,m,E)|0;else mc(x,g,i,m,E)|0;f[H>>2]=0;if(q){g=f[s>>2]|0;h=E;i=c;while(1){f[i>>2]=f[g+(f[h>>2]<<2)>>2];i=i+4|0;if(i>>>0>=p>>>0)break;else h=h+4|0}}if(j|0){switch(((j|0)>-1?j:0-j|0)|0){case 1:{i=((j|0)>0&1)+m|0;g=x;break}case 2:{i=l+(j>>31)|0;g=x;break}case 3:{i=0;g=(j>>>31)+m|0;break}default:{i=0;g=l+(((j|0)>0)<<31>>31)|0}}h=c+(g<<2)|0;if((i|0)<(g|0)){g=c+(i<<2)|0;do{n[g>>2]=-1637499996306027037830206.0e6;g=g+4|0}while(g>>>0<h>>>0)}}if(gq(f[F>>2]|0,0,d,e,x,o,c,-1637499996306027037830206.0e6,H)|0){d=E;g=c;e=E;h=48;break a}}d=Ez(d|0,e|0,x|0,o|0)|0;e=I;k=k+1|0}while((k|0)<(y|0));h=m+1|0;if((x|0)>(h|0)){g=~m;m=h}else break}}t=t+1|0}while((t|0)<(y|0));c=f[a+4>>2]|0;if(c|0?b[c>>0]|0:0){f[B>>2]=c;ww(G,34987,B)|0;Cr(f[F>>2]|0,G,H)|0}f[C>>2]=f[A>>2];ww(G,35011,C)|0;Cr(f[F>>2]|0,G,H)|0;E=a+21|0;f[D>>2]=(b[E>>0]|0)==78?35035:35042;ww(G,35047,D)|0;if((b[E>>0]|0)==114){c=G+(Bx(G)|0)|0;d=35071;e=c+11|0;do{b[c>>0]=b[d>>0]|0;c=c+1|0;d=d+1|0}while((c|0)<(e|0))}Cr(f[F>>2]|0,G,H)|0;c=f[F>>2]|0;if(!(f[a>>2]|0))Fg(c,H)|0;else f[a+8>>2]=c;f[H>>2]=0;H=0;u=J;return H|0}}else c=0;lz(34980);d=E;g=0;e=E}else{d=0;g=0;e=0;c=0;h=48}while(0);if((h|0)==48)lh(f[4971]|0,f[H>>2]|0);if(e|0)Mv(d);if(c|0)Mv(g);if(!(f[a>>2]|0))f[a+8>>2]=0;H=f[H>>2]|0;u=J;return H|0}function kc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;A=u;u=u+160|0;t=A+40|0;s=A+32|0;k=A+24|0;m=A+16|0;l=A+8|0;j=A;v=A+88|0;i=A+72|0;y=A+64|0;o=A+60|0;p=A+56|0;q=A+52|0;r=A+48|0;x=A+44|0;f[y>>2]=0;yp(a,98922,0,35082,y)|0;Dr(a,y)|0;w=c+22|0;d=c+24|0;g=f[d>>2]|0;h=+(((b[w>>0]|0)==0?(g*5|0)+1|0:g<<2|1)|0)*.5;n[o>>2]=h;n[p>>2]=h;kr(a,42,97281,o,35113,y)|0;kr(a,42,97288,p,35113,y)|0;if(!(b[w>>0]|0)){tr(a,97340,.7071067690849304,-8,35140,y)|0;tr(a,97352,.7071067690849304,-8,35140,y)|0;tr(a,97346,-.7071067690849304,-8,35140,y)|0;tr(a,97358,.7071067690849304,-8,35140,y)|0}h=-90.0/+(f[d>>2]|0)/1.4142135623730951;ur(a,97295,h,-8,35170,y)|0;ur(a,97326,-h,-8,35170,y)|0;d=(b[w>>0]|0)==0?51315:51319;switch(b[c+20>>0]|0){case 71:{e=46683;g=46688;o=35302;p=35238;break}case 69:{e=46693;g=46698;o=35257;p=35197;break}case 81:{e=51021;g=97371;o=35276;p=35216;break}default:{e=35326;g=35321;o=35292;p=35228}}f[j>>2]=e;f[j+4>>2]=d;ww(i,51061,j)|0;f[l>>2]=o;f[l+4>>2]=d;ww(v,35331,l)|0;dr(a,97364,i,v,y)|0;f[m>>2]=g;f[m+4>>2]=d;ww(i,51061,m)|0;f[k>>2]=p;f[k+4>>2]=d;ww(v,35331,k)|0;dr(a,48005,i,v,y)|0;h=+(b[c+23>>0]|0)*90.0+0.0;n[q>>2]=h;d=b[w>>0]|0;do if(d<<24>>24){h=h+180.0;n[q>>2]=h;if(d<<24>>24==1){n[r>>2]=90.0;break}else{n[r>>2]=-90.0;break}}else n[r>>2]=0.0;while(0);if(h>360.0)n[q>>2]=h+-360.0;f[s>>2]=o;ww(v,35354,s)|0;kr(a,42,97267,q,v,y)|0;f[t>>2]=p;ww(v,35354,t)|0;kr(a,42,97274,r,v,y)|0;if(b[w>>0]|0){n[x>>2]=180.0;d=v;e=35386;g=d+45|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));kr(a,42,48046,x,v,y)|0;if(!(b[w>>0]|0))z=16}else z=16;if((z|0)==16){pr(a,48106,4,0,35431,y)|0;pr(a,48112,3,0,35459,y)|0}cr(a,94907,y)|0;if(!(b[w>>0]|0)){zr(a,35487,y)|0;zr(a,35621,y)|0;zr(a,35686,y)|0;zr(a,35752,y)|0;z=f[y>>2]|0;u=A;return z|0}else{zr(a,35555,y)|0;zr(a,35621,y)|0;zr(a,35686,y)|0;zr(a,35752,y)|0;z=f[y>>2]|0;u=A;return z|0}return 0}function lc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=X(X(a,a)|0,b)|0;k=a+-1|0;if((a|0)<=0)return 0;l=k-d|0;switch(c|0){case 0:{j=0;while(1){g=k-j|0;f[e>>2]=0;if(!(g|d))b=0;else{b=0;i=1;h=d;while(1){if(g&1){b=b|i;f[e>>2]=b}if(h&1){b=b|i<<1;f[e>>2]=b}g=g>>1;h=h>>1;if(!(g|h))break;else i=i<<2}}f[e>>2]=b+m;j=j+1|0;if((j|0)==(a|0))break;else e=e+4|0}return 0}case 1:{j=0;while(1){g=k-j|0;f[e>>2]=0;if(!(l|g))b=0;else{b=0;h=1;i=l;while(1){if(i&1){b=b|h;f[e>>2]=b}if(g&1){b=b|h<<1;f[e>>2]=b}i=i>>1;g=g>>1;if(!(i|g))break;else h=h<<2}}f[e>>2]=b+m;j=j+1|0;if((j|0)==(a|0))break;else e=e+4|0}return 0}default:{b=0;j=0;g=0;while(1){switch(c|0){case 3:{b=d;g=j;break}case 2:{b=j;g=l;break}default:{}}f[e>>2]=0;if(!(b|g))h=0;else{h=0;i=1;while(1){if(b&1){h=h|i;f[e>>2]=h}if(g&1){h=h|i<<1;f[e>>2]=h}b=b>>1;g=g>>1;if(!(b|g))break;else i=i<<2}}f[e>>2]=h+m;j=j+1|0;if((j|0)==(a|0))break;else e=e+4|0}return 0}}return 0}function mc(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;v=a<<1;w=a<<3;x=v+-1|0;x=(X(x,x)|0)+-1|0;g=X(f[3048+(b<<2)>>2]|0,a)|0;h=X(f[3096+(b<<2)>>2]|0,a)|0;b=a+-1|0;if((a|0)<=0)return 0;s=a+-2|0;t=0-a|0;q=X(a*24|0,a)|0|1;u=0-v|0;r=b+q|0;n=b-d|0;i=n+g|0;k=h+d|0;m=g-d|0;n=n+h|0;j=1-a+d|0;o=j+g|0;p=h-d|0;l=g+d|0;j=j+h|0;if(!c){b=0;g=0;while(1){c=i+b|0;d=k+b|0;b=c+1+((c|0)<0?w:0)|0;do if((d|0)>(a|0))if((v|0)==(d|0)){b=0;y=10}else{y=v-d<<1;c=y+-1|0;b=s-d+(X(c,c)|0)+(X((b|0)/(v|0)|0,y)|0)+((b|0)%(v|0)|0)|0;y=10}else{if((d|0)>=(t|0)){b=x+(X(a-d|0,w)|0)+b|0;y=10;break}f[e>>2]=q;if((d|0)>(u|0)){y=d+v<<1;c=y|1;b=r+d-(X(c,c)|0)+(X((b|0)/(v|0)|0,y)|0)+((b|0)%(v|0)|0)|0;y=10}else b=q}while(0);if((y|0)==10){y=0;f[e>>2]=b}f[e>>2]=(b+-1|0)/2|0;d=g+1|0;if((d|0)==(a|0))break;else{e=e+4|0;b=~g;g=d}}return 0}else{h=0;g=0;i=0;d=0}while(1){switch(c|0){case 3:{b=l+g|0;d=j+i|0;break}case 1:{b=m+i|0;d=n+g|0;break}case 2:{b=o+i|0;d=p+i|0;break}default:b=h}h=b+1+((b|0)<0?w:0)|0;do if((d|0)>(a|0))if((v|0)==(d|0)){b=0;y=23}else{b=v-d<<1;y=b+-1|0;b=s-d+(X(y,y)|0)+(X((h|0)/(v|0)|0,b)|0)+((h|0)%(v|0)|0)|0;y=23}else{if((d|0)>=(t|0)){b=x+(X(a-d|0,w)|0)+h|0;y=23;break}f[e>>2]=q;if((d|0)>(u|0)){b=d+v<<1;y=b|1;b=r+d-(X(y,y)|0)+(X((h|0)/(v|0)|0,b)|0)+((h|0)%(v|0)|0)|0;y=23}else b=q}while(0);if((y|0)==23){y=0;f[e>>2]=b}f[e>>2]=(b+-1|0)/2|0;b=i+1|0;if((b|0)==(a|0))break;else{e=e+4|0;g=~i;i=b}}return 0}function nc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;B=u;u=u+368|0;w=B+56|0;v=B+48|0;t=B+40|0;s=B+32|0;y=B+24|0;x=B+16|0;r=B+8|0;e=B;j=B+136|0;m=B+282|0;h=B+211|0;i=B+140|0;A=B+132|0;k=B+128|0;l=B+124|0;g=B+120|0;o=B+116|0;p=B+112|0;n=B+72|0;q=B+64|0;f[A>>2]=0;z=f[5096]|0;if(!(ah(5,j,a,0,A)|0)){if((c|0)!=0?(b[c>>0]|0)!=0:0){d=ey(c,64444)|0;if(!d){A=f[4971]|0;f[e>>2]=c;zy(A,35982,e)|0;A=-1;u=B;return A|0}}else d=z;Hj(f[j>>2]|0,1,l,A)|0;qk(f[j>>2]|0,k)|0;f[k>>2]=(f[k>>2]|0)+-1;iz(91,d)|0;a:do if(!(f[A>>2]|0)){while(1){iz(123,d)|0;mk(f[j>>2]|0,l,A)|0;f[r>>2]=f[k>>2];zy(d,36017,r)|0;Kn(f[j>>2]|0,16,106716,h,0,A)|0;if(!(f[A>>2]|0)){f[x>>2]=h;zy(d,36026,x)|0}f[A>>2]=0;a=f[j>>2]|0;if(!(f[l>>2]|0)){Fk(a,10,g,o,n,A)|0;f[y>>2]=f[o>>2];zy(d,36039,y)|0;Vx(36066,10,1,d)|0;if((f[o>>2]|0)>0){a=0;do{if(a|0)iz(44,d)|0;f[s>>2]=f[n+(a<<2)>>2];zy(d,92733,s)|0;a=a+1|0}while((a|0)<(f[o>>2]|0))}iz(93,d)|0;f[t>>2]=f[g>>2];zy(d,36077,t)|0}else{pk(a,q,A)|0;ok(f[j>>2]|0,p,A)|0;if((f[l>>2]|0)==1)Vx(36090,15,1,d)|0;else Vx(36106,15,1,d)|0;f[v>>2]=f[q>>2];zy(d,36122,v)|0;Vx(36134,9,1,d)|0;if((f[p>>2]|0)>=1){c=1;while(1){$j(92381,c,m,A)|0;Kn(f[j>>2]|0,16,m,h,0,A)|0;$j(92423,c,m,A)|0;Kn(f[j>>2]|0,16,m,i,0,A)|0;f[w>>2]=h;f[w+4>>2]=i;zy(d,36144,w)|0;if((c|0)==(f[p>>2]|0))a=c;else{iz(44,d)|0;a=f[p>>2]|0}if((c|0)<(a|0))c=c+1|0;else break}}iz(93,d)|0}iz(125,d)|0;Dk(f[j>>2]|0,1,0,A)|0;if(f[A>>2]|0)break;iz(44,d)|0;e=f[A>>2]|0;f[k>>2]=(f[k>>2]|0)+1;if(e|0)break a}f[k>>2]=(f[k>>2]|0)+1}while(0);iz(93,d)|0;if((f[A>>2]|0)==107)f[A>>2]=0;Fg(f[j>>2]|0,A)|0}else d=z;a=f[A>>2]|0;if(a|0)lh(f[4971]|0,a);if((d|0)==(z|0))ly(z)|0;else ky(d)|0;A=f[A>>2]|0;u=B;return A|0}function oc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0.0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0,r=0.0,t=0,v=0,w=0.0,x=0.0,y=0.0,z=0,A=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0.0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0.0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0.0,Ga=0.0,Ha=0.0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0,eb=0,fb=0,hb=0,ib=0,jb=0,kb=0,lb=0,mb=0,nb=0,ob=0,pb=0,qb=0,rb=0,sb=0,tb=0;eb=u;u=u+1648|0;tb=eb+1080|0;pb=eb+1072|0;ob=eb+1064|0;nb=eb+1056|0;mb=eb+1048|0;lb=eb+1040|0;kb=eb+1032|0;jb=eb+1024|0;ib=eb+1016|0;db=eb+1008|0;cb=eb+984|0;bb=eb+968|0;ab=eb+944|0;$a=eb+928|0;_a=eb+920|0;Za=eb+912|0;Ya=eb+904|0;Xa=eb+896|0;Wa=eb+888|0;Va=eb+880|0;Ua=eb+864|0;Ta=eb+840|0;Sa=eb+832|0;Ra=eb+816|0;Ca=eb+808|0;Ba=eb+800|0;Aa=eb+792|0;za=eb+784|0;ya=eb+776|0;xa=eb+768|0;wa=eb+760|0;va=eb+752|0;ua=eb+744|0;ta=eb+736|0;pa=eb+696|0;oa=eb+656|0;na=eb+616|0;ma=eb+576|0;fa=eb+536|0;ea=eb+496|0;da=eb+456|0;ga=eb+416|0;ba=eb+408|0;$=eb+400|0;_=eb+392|0;Z=eb+384|0;Y=eb+376|0;W=eb+368|0;V=eb+360|0;U=eb+352|0;T=eb+344|0;R=eb+336|0;Q=eb+328|0;P=eb+320|0;O=eb+312|0;N=eb+304|0;M=eb+296|0;K=eb+288|0;I=eb+280|0;H=eb+272|0;G=eb+264|0;F=eb+256|0;E=eb+248|0;D=eb+240|0;C=eb+232|0;v=eb+224|0;t=eb+216|0;q=eb+208|0;m=eb+200|0;l=eb+192|0;A=eb+184|0;z=eb+176|0;k=eb+168|0;j=eb+160|0;Ma=eb+1128|0;rb=eb+1112|0;Ka=eb+128|0;La=eb+96|0;ra=eb+88|0;sa=eb+80|0;ka=eb+72|0;la=eb+64|0;ia=eb+56|0;ha=eb+48|0;Oa=eb+40|0;Qa=eb+32|0;Na=eb+24|0;Pa=eb+16|0;Ja=eb+1104|0;Ia=eb+1100|0;ja=eb+1096|0;sb=eb+1092|0;hb=eb+1392|0;aa=eb+1136|0;i=eb+1088|0;qb=eb+8|0;f[sb>>2]=0;Ea=qb;f[Ea>>2]=16843009;f[Ea+4>>2]=16843009;b[qb+7>>0]=127;b[qb+6>>0]=-16;p[eb>>3]=+p[qb>>3];gb(214952)|0;f[53739]=f[53738];f[53215]=0;f[4919]=0;f[53216]=0;f[53217]=0;b[485120]=0;b[485376]=0;qb=f[5096]|0;f[53218]=qb;f[4918]=1;Ea=0;Da=0;o=1.0;S=0;Ha=1.0;Fa=1.0;Ga=0.0;r=1.0;a:while(1)do switch(by(a,c,36170)|0){case 88:{w=r;x=Ga;y=Fa;ca=Ha;qa=o;e=Da;fb=Ea;S=1;r=w;Ga=x;Fa=y;Ha=ca;o=qa;Da=e;Ea=fb;continue a}case -1:{fb=25;break a}case 122:{g=+sz(f[55737]|0,i);d=f[55737]|0;if((f[i>>2]|0)>>>0<(d+(Bx(d)|0)|0)>>>0){fb=4;break a}else{x=r;y=Ga;ca=Fa;qa=Ha;d=S;e=Da;fb=Ea;o=g;r=x;Ga=y;Fa=ca;Ha=qa;S=d;Da=e;Ea=fb;continue a}}case 100:{d=Gc(f[55737]|0)|0;f[53215]=d;w=r;x=Ga;y=Fa;ca=Ha;d=S;qa=o;e=Da;fb=Ea;r=w;Ga=x;Fa=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}case 115:{fb=ey(f[55737]|0,43579)|0;f[53218]=fb;if(!fb){fb=7;break a}else{w=r;x=Ga;y=Fa;ca=Ha;d=S;qa=o;e=Da;fb=Ea;r=w;Ga=x;Fa=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}}case 105:{Jx(485376,f[55737]|0)|0;w=r;x=Ga;y=Fa;ca=Ha;d=S;qa=o;e=Da;fb=Ea;r=w;Ga=x;Fa=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}case 111:{Jx(485120,f[55737]|0)|0;w=r;x=Ga;y=Fa;ca=Ha;d=S;qa=o;e=Da;fb=Ea;r=w;Ga=x;Fa=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}case 119:{f[53217]=1;Jx(485632,f[55737]|0)|0;w=r;x=Ga;y=Fa;ca=Ha;d=S;qa=o;e=Da;fb=Ea;r=w;Ga=x;Fa=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}case 87:{g=+sz(f[55737]|0,i);d=f[55737]|0;if((f[i>>2]|0)>>>0<(d+(Bx(d)|0)|0)>>>0){fb=12;break a}else{y=Ga;ca=Fa;d=S;qa=o;e=Da;fb=Ea;Ha=g;r=g;Ga=y;Fa=ca;S=d;o=qa;Da=e;Ea=fb;continue a}}case 116:{g=+sz(f[55737]|0,i);d=f[55737]|0;if((f[i>>2]|0)>>>0<(d+(Bx(d)|0)|0)>>>0){fb=14;break a}else{x=r;y=Fa;ca=Ha;d=S;qa=o;e=Da;fb=Ea;Ga=g;r=x;Fa=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}}case 120:{g=+sz(f[55737]|0,i);d=f[55737]|0;if((f[i>>2]|0)>>>0<(d+(Bx(d)|0)|0)>>>0){fb=16;break a}else{x=r;y=Ga;ca=Ha;d=S;qa=o;e=Da;fb=Ea;Fa=g;r=x;Ga=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}}case 98:{e=kw(f[55737]|0,i,10)|0;d=f[55737]|0;if((f[i>>2]|0)>>>0<(d+(Bx(d)|0)|0)>>>0)if((pc(d)|0)<4){fb=19;break a}else{w=r;x=Ga;y=Fa;ca=Ha;fb=S;qa=o;Ea=0;Da=1;r=w;Ga=x;Fa=y;Ha=ca;S=fb;o=qa;continue a}else if((e|0)<0){fb=21;break a}else{w=r;x=Ga;y=Fa;ca=Ha;d=S;qa=o;fb=Da;Ea=e;r=w;Ga=x;Fa=y;Ha=ca;S=d;o=qa;Da=fb;continue a}}case 104:{fb=kw(f[55737]|0,i,10)|0;f[53216]=fb;d=f[55737]|0;if((fb|0)<0|(f[i>>2]|0)>>>0<(d+(Bx(d)|0)|0)>>>0){fb=23;break a}else{w=r;x=Ga;y=Fa;ca=Ha;d=S;qa=o;e=Da;fb=Ea;r=w;Ga=x;Fa=y;Ha=ca;S=d;o=qa;Da=e;Ea=fb;continue a}}default:{fb=24;break a}}while(0);switch(fb|0){case 4:{tb=f[53218]|0;f[j>>2]=d;zy(tb,36194,j)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 7:{f[k>>2]=f[55737];zy(0,40498,k)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 12:{tb=f[53218]|0;f[z>>2]=d;zy(tb,36290,z)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 14:{tb=f[53218]|0;f[A>>2]=d;zy(tb,36383,A)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 16:{tb=f[53218]|0;f[l>>2]=d;zy(tb,36481,l)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 19:{tb=f[53218]|0;f[m>>2]=f[55737];zy(tb,36573,m)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 21:{tb=f[53218]|0;f[q>>2]=e;zy(tb,36693,q)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 23:{tb=f[53218]|0;f[t>>2]=d;zy(tb,36779,t)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 24:{tb=f[53218]|0;f[v>>2]=f[c>>2];zy(tb,36855,v)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1);break}case 25:{d=f[4918]|0;if((a-d|0)<3){a=f[53218]|0;f[C>>2]=f[c>>2];zy(a,36855,C)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}Jx(485888,f[c+(d<<2)>>2]|0)|0;Jx(486144,f[c+((f[4918]|0)+1<<2)>>2]|0)|0;Jx(hb,f[c+((f[4918]|0)+2<<2)>>2]|0)|0;Hc(485888,0,f[53216]|0)|0;Hc(hb,1,0)|0;if(b[485376]|0)Hc(485376,1,0)|0;if(b[485120]|0)Hc(485120,1,0)|0;d=Bx(486144)|0;do if(d>>>0>5){if(!(vw(486144+d+-5|0,37061,5)|0)){b[486144+(d+-5)>>0]=0;break}if(!(vw(486144+d+-5|0,37067,5)|0))b[486144+(d+-5)>>0]=0;else fb=37}else if((d|0)==5)fb=37;while(0);do if((fb|0)==37){if(!(vw(486144+d+-4|0,37073,4)|0)){b[486144+(d+-4)>>0]=0;break}if(!(vw(486144+d+-4|0,37078,4)|0))b[486144+(d+-4)>>0]=0}while(0);Jx(486400,486144)|0;d=486144+(Bx(486144)|0)|0;b[d>>0]=b[37067]|0;b[d+1>>0]=b[37068]|0;b[d+2>>0]=b[37069]|0;b[d+3>>0]=b[37070]|0;b[d+4>>0]=b[37071]|0;b[d+5>>0]=b[37072]|0;d=486400+(Bx(486400)|0)|0;e=37083;i=d+11|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(i|0));if((f[53215]|0)>0){f[D>>2]=485888;mz(37094,D)|0;f[E>>2]=486144;mz(37117,E)|0;f[F>>2]=486400;mz(37139,F)|0;f[G>>2]=hb;mz(37161,G)|0;if(b[485376]|0){f[H>>2]=485376;mz(37183,H)|0}if(b[485120]|0){f[I>>2]=485120;mz(37206,I)|0}ly(qb)|0;if((f[53215]|0)>0){gb(214952)|0;p[K>>3]=+((f[53738]|0)-(f[53739]|0)|0);mz(37229,K)|0;ly(qb)|0}}qc(485888,485632)|0;if(b[485376]|0)rc(485376,1)|0;if((f[53215]|0)>0){f[M>>2]=f[28481];mz(37271,M)|0;f[N>>2]=f[28482];mz(37296,N)|0;f[O>>2]=f[28484];mz(37321,O)|0;p[P>>3]=+p[14243];mz(37345,P)|0;f[Q>>2]=f[28488];mz(37370,Q)|0;f[R>>2]=(f[28483]|0)+3467;mz(37394,R)|0;ly(qb)|0}d=(f[28483]|0)+3467|0;if((((tw(d,51219)|0?tw(d,51227)|0:0)?tw(d,51239)|0:0)?tw(d,51223)|0:0)?tw(d,51231)|0:0){f[T>>2]=d;ww(aa,37419,T)|0;sc(aa)}p[14245]=0.0;if(!S)g=0.0;else{T=f[28481]|0;T=X(T,T)|0;S=f[28482]|0;g=+(~~+L(+(+((X(S,S)|0)+T|0)))|0);p[14245]=g}if((f[53215]|0)>0){p[U>>3]=g;mz(37503,U)|0;ly(qb)|0}rc(hb,0)|0;if(b[485120]|0)rc(485120,2)|0;if((f[53215]|0)>0){f[V>>2]=f[28493];mz(37549,V)|0;f[W>>2]=f[28494];mz(37575,W)|0;f[Y>>2]=f[28496];mz(37600,Y)|0;p[Z>>3]=+p[14249];mz(37624,Z)|0;f[_>>2]=f[28500];mz(37649,_)|0;f[$>>2]=(f[28495]|0)+3467;mz(37673,$)|0;ly(qb)|0}d=(f[28495]|0)+3467|0;if((((tw(d,51219)|0?tw(d,51227)|0:0)?tw(d,51239)|0:0)?tw(d,51223)|0:0)?tw(d,51231)|0:0){f[ba>>2]=d;ww(aa,37697,ba)|0;sc(aa)}if((f[28484]|0)!=(f[28496]|0))sc(37782);e=(b[485120]|0)!=0;do if(!(b[485376]|0)){d=f[53219]|0;if(e){d=Oc(114008,d,1286656)|0;f[sb>>2]=d;break}else{d=Oc(114008,d,2086656)|0;f[sb>>2]=d;break}}else if(e){d=Oc(114008,486656,1286656)|0;f[sb>>2]=d;break}else{d=Oc(114008,486656,2086656)|0;f[sb>>2]=d;break}while(0);if(d|0){Vx(37859,102,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}if((f[53215]|0)>1){oz(37962)|0;ly(qb)|0}d=f[28481]|0;e=(d*24|0)+24|0;_=Lv(e)|0;f[53220]=_;_=Lv(e)|0;f[53221]=_;_=Lv(e)|0;f[53222]=_;e=Lv(e)|0;f[53223]=e;e=d<<3;_=Lv(e)|0;if(!(f[53217]|0)){Y=0;Z=0}else{Z=Lv(e)|0;Y=Z}p[Oa>>3]=1.0e8;p[Na>>3]=-1.0e8;p[Qa>>3]=1.0e8;p[Pa>>3]=-1.0e8;if((f[28482]|0)>=0){e=0;while(1){n=+(e|0)+.5;Lc(.5,n,ra,sa,114008)|0;h=+p[ra>>3];do if(h<-.5)d=1;else{g=+p[sa>>3];if(g<-.5|h>+(f[28533]|0)+1.5){d=1;break}d=g>+(f[28535]|0)+1.5}while(0);if((f[53215]|0)>2){y=+p[sa>>3];p[ga>>3]=.5;p[ga+8>>3]=n;p[ga+16>>3]=h;p[ga+24>>3]=y;f[ga+32>>2]=d&1;mz(38007,ga)|0;ly(qb)|0;wd(f[28483]|0,.5,n,ia,ha);Bd(f[28495]|0,+p[ia>>3],+p[ha>>3],ka,la,ja);y=+p[ha>>3];ca=+p[ka>>3];qa=+p[la>>3];ba=f[ja>>2]|0;p[da>>3]=+p[ia>>3];p[da+8>>3]=y;p[da+16>>3]=ca;p[da+24>>3]=qa;f[da+32>>2]=ba;mz(38039,da)|0}do if(!d){g=+p[ra>>3];if(g<+p[Oa>>3])p[Oa>>3]=g;if(g>+p[Na>>3])p[Na>>3]=g;g=+p[sa>>3];if(g<+p[Qa>>3])p[Qa>>3]=g;if(!(g>+p[Pa>>3]))break;p[Pa>>3]=g}while(0);Lc(+(f[28481]|0)+.5,n,ra,sa,114008)|0;h=+p[ra>>3];do if(h<-.5)d=1;else{g=+p[sa>>3];if(g<-.5|h>+(f[28533]|0)+1.5){d=1;break}d=g>+(f[28535]|0)+1.5}while(0);if((f[53215]|0)>2){y=+p[sa>>3];p[ea>>3]=+(f[28481]|0)+.5;p[ea+8>>3]=n;p[ea+16>>3]=h;p[ea+24>>3]=y;f[ea+32>>2]=d&1;mz(38007,ea)|0;ly(qb)|0;wd(f[28483]|0,+(f[28481]|0)+.5,n,ia,ha);Bd(f[28495]|0,+p[ia>>3],+p[ha>>3],ka,la,ja);y=+p[ha>>3];ca=+p[ka>>3];qa=+p[la>>3];ba=f[ja>>2]|0;p[fa>>3]=+p[ia>>3];p[fa+8>>3]=y;p[fa+16>>3]=ca;p[fa+24>>3]=qa;f[fa+32>>2]=ba;mz(38039,fa)|0}do if(!d){g=+p[ra>>3];if(g<+p[Oa>>3])p[Oa>>3]=g;if(g>+p[Na>>3])p[Na>>3]=g;g=+p[sa>>3];if(g<+p[Qa>>3])p[Qa>>3]=g;if(!(g>+p[Pa>>3]))break;p[Pa>>3]=g}while(0);if((e|0)<(f[28482]|0))e=e+1|0;else break}d=f[28481]|0}if((d|0)>=0){e=0;while(1){n=+(e|0)+.5;Lc(n,.5,ra,sa,114008)|0;h=+p[ra>>3];do if(h<-.5)d=1;else{g=+p[sa>>3];if(g<-.5|h>+(f[28533]|0)+1.5){d=1;break}d=g>+(f[28535]|0)+1.5}while(0);if((f[53215]|0)>2){y=+p[sa>>3];p[ma>>3]=n;p[ma+8>>3]=.5;p[ma+16>>3]=h;p[ma+24>>3]=y;f[ma+32>>2]=d&1;mz(38007,ma)|0;ly(qb)|0;wd(f[28483]|0,n,.5,ia,ha);Bd(f[28495]|0,+p[ia>>3],+p[ha>>3],ka,la,ja);y=+p[ha>>3];ca=+p[ka>>3];qa=+p[la>>3];ga=f[ja>>2]|0;p[na>>3]=+p[ia>>3];p[na+8>>3]=y;p[na+16>>3]=ca;p[na+24>>3]=qa;f[na+32>>2]=ga;mz(38039,na)|0}do if(!d){g=+p[ra>>3];if(g<+p[Oa>>3])p[Oa>>3]=g;if(g>+p[Na>>3])p[Na>>3]=g;g=+p[sa>>3];if(g<+p[Qa>>3])p[Qa>>3]=g;if(!(g>+p[Pa>>3]))break;p[Pa>>3]=g}while(0);Lc(n,+(f[28482]|0)+.5,ra,sa,114008)|0;h=+p[ra>>3];do if(h<-.5)d=1;else{g=+p[sa>>3];if(g<-.5|h>+(f[28533]|0)+1.5){d=1;break}d=g>+(f[28535]|0)+1.5}while(0);if((f[53215]|0)>2){ca=+(f[28482]|0)+.5;y=+p[sa>>3];p[oa>>3]=n;p[oa+8>>3]=ca;p[oa+16>>3]=h;p[oa+24>>3]=y;f[oa+32>>2]=d&1;mz(38007,oa)|0;ly(qb)|0;wd(f[28483]|0,n,+(f[28482]|0)+.5,ia,ha);Bd(f[28495]|0,+p[ia>>3],+p[ha>>3],ka,la,ja);y=+p[ha>>3];ca=+p[ka>>3];qa=+p[la>>3];ga=f[ja>>2]|0;p[pa>>3]=+p[ia>>3];p[pa+8>>3]=y;p[pa+16>>3]=ca;p[pa+24>>3]=qa;f[pa+32>>2]=ga;mz(38039,pa)|0}do if(!d){g=+p[ra>>3];if(g<+p[Oa>>3])p[Oa>>3]=g;if(g>+p[Na>>3])p[Na>>3]=g;g=+p[sa>>3];if(g<+p[Qa>>3])p[Qa>>3]=g;if(!(g>+p[Pa>>3]))break;p[Pa>>3]=g}while(0);if((e|0)<(f[28481]|0))e=e+1|0;else break}}d=f[28494]|0;if((d|0)>=0){e=0;while(1){p[ra>>3]=.5;qa=+(e|0)+.5;p[sa>>3]=qa;tc(.5,qa,Oa,Na,Qa,Pa);qa=+(f[28493]|0)+.5;p[ra>>3]=qa;tc(qa,+p[sa>>3],Oa,Na,Qa,Pa);d=f[28494]|0;if((e|0)<(d|0))e=e+1|0;else break}}e=f[28493]|0;if((e|0)<0)l=e;else{e=0;while(1){qa=+(e|0)+.5;p[ra>>3]=qa;p[sa>>3]=.5;tc(qa,.5,Oa,Na,Qa,Pa);qa=+(f[28494]|0)+.5;p[sa>>3]=qa;tc(+p[ra>>3],qa,Oa,Na,Qa,Pa);d=f[28493]|0;if((e|0)<(d|0))e=e+1|0;else break}l=d;d=f[28494]|0}h=+p[Oa>>3];W=~~(h+-1.0);W=(W|0)>0?W:0;g=+p[Na>>3];k=~~(g-h+2.0);T=(k|0)>(l|0)?l:k;qa=+p[Qa>>3];$=~~(qa+-1.0);$=($|0)>0?$:0;S=~~(+p[Pa>>3]-qa+2.0);S=(S|0)>(d|0)?d:S;if((f[53215]|0)>1){oz(38071)|0;p[ta>>3]=+p[Oa>>3];mz(38086,ta)|0;p[ua>>3]=+p[Na>>3];mz(38103,ua)|0;p[va>>3]=+p[Qa>>3];mz(38120,va)|0;p[wa>>3]=+p[Pa>>3];mz(38137,wa)|0;f[xa>>2]=W;mz(38154,xa)|0;f[ya>>2]=T;mz(38171,ya)|0;f[za>>2]=$;mz(38188,za)|0;f[Aa>>2]=S;mz(38205,Aa)|0;ly(qb)|0;h=+p[Oa>>3];g=+p[Na>>3]}if(h>g){Aa=f[53218]|0;Vx(38222,40,1,Aa)|0;Aa=f[53218]|0;ly(Aa)|0;Aa=f[53218]|0;ky(Aa)|0;Ib(1)}if(+p[Qa>>3]>+p[Pa>>3]){Aa=f[53218]|0;Vx(38222,40,1,Aa)|0;Aa=f[53218]|0;ly(Aa)|0;Aa=f[53218]|0;ky(Aa)|0;Ib(1)}j=S<<2;V=Lv(j)|0;if(!V){Vx(38263,75,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}Q=(S|0)>0;b:do if(Q){e=T<<3;d=0;while(1){Aa=Lv(e)|0;f[V+(d<<2)>>2]=Aa;d=d+1|0;if(!Aa)break;if((d|0)>=(S|0))break b}Vx(38263,75,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}while(0);if((f[53215]|0)>0){Aa=X(T<<3,S)|0;f[Ba>>2]=Aa;mz(38339,Ba)|0;ly(qb)|0}if(Q&(T|0)>0){i=0;do{d=f[V+(i<<2)>>2]|0;e=0;do{p[d+(e<<3)>>3]=B;e=e+1|0}while((e|0)<(T|0));i=i+1|0}while((i|0)<(S|0))}U=Lv(j)|0;if(!U){Vx(38377,75,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}c:do if(Q){j=T<<3;if((T|0)<=0){d=0;while(1){Ba=Lv(j)|0;f[U+(d<<2)>>2]=Ba;if(!Ba)break;d=d+1|0;if((d|0)>=(S|0))break c}Ba=f[53218]|0;Vx(38377,75,1,Ba)|0;Ba=f[53218]|0;ly(Ba)|0;Ba=f[53218]|0;ky(Ba)|0;Ib(1)}d=-8-(((k|0)>(l|0)?l:k)<<3^-8)|0;i=0;while(1){e=Lv(j)|0;f[U+(i<<2)>>2]=e;if(!e)break;Fz(e|0,0,d|0)|0;i=i+1|0;if((i|0)>=(S|0))break c}Ba=f[53218]|0;Vx(38377,75,1,Ba)|0;Ba=f[53218]|0;ly(Ba)|0;Ba=f[53218]|0;ky(Ba)|0;Ib(1)}while(0);if((f[53215]|0)>0){Ba=X(T<<3,S)|0;f[Ca>>2]=Ba;mz(38453,Ca)|0;ly(qb)|0}f[rb>>2]=1;R=rb+4|0;f[R>>2]=Ea+1;f[rb+8>>2]=1;f[rb+12>>2]=1;d:do if((Ea|0)<((f[28482]|0)-Ea|0)){P=f[28481]|0;M=(Da|0)==1;K=((P|0)<0)<<31>>31;N=o!=1.0;O=o==1.0;qa=o*.5;D=Ka+8|0;E=La+8|0;F=Ka+16|0;G=La+16|0;H=Ka+24|0;I=La+24|0;e=P;i=0;C=Ea;o=0.0;h=r;e:while(1){f[Ja>>2]=Ea;f[Ia>>2]=e-Ea;do if(M){d=uc(C,e+-1|0,Ja,Ia)|0;if((f[53215]|0)>1){Ca=f[Ja>>2]|0;Da=f[Ia>>2]|0;f[Ra>>2]=C;f[Ra+4>>2]=Ca;f[Ra+8>>2]=Da;f[Ra+12>>2]=d;mz(38489,Ra)|0;ly(qb)|0}if(d|0){fb=192;break}f[R>>2]=(f[R>>2]|0)+1;g=o}else{if((f[53215]|0)!=2){fb=192;break}f[Sa>>2]=C;mz(38543,Sa)|0;ly(qb)|0;fb=192}while(0);do if((fb|0)==192){fb=0;if(Xk(f[28480]|0,82,rb,P,K,eb,_,Ma,sb)|0){fb=193;break e}if(f[53217]|0?Xk(f[30206]|0,82,rb,P,K,eb,Y,Ma,sb)|0:0){fb=196;break e}f[R>>2]=(f[R>>2]|0)+1;f:do if(N|(i|0)==0){if((f[28481]|0)<0)break;n=+(C|0)+.5;g=+(C+1|0)-qa;if(!O){e=0;while(1){fb=e;e=e+1|0;ca=+(e|0);d=f[53220]|0;d=Lc(ca-qa,g,d+(fb*24|0)|0,d+(fb*24|0)+8|0,114008)|0;f[(f[53220]|0)+(fb*24|0)+16>>2]=d;d=f[53221]|0;d=Lc(qa+ca,g,d+(fb*24|0)|0,d+(fb*24|0)+8|0,114008)|0;f[(f[53221]|0)+(fb*24|0)+16>>2]=d;d=f[28481]|0;if((fb|0)>=(d|0)){j=i;fb=206;break f}}}e=f[53220]|0;i=0;while(1){d=Lc(+(i|0)+.5,n,e+(i*24|0)|0,e+(i*24|0)+8|0,114008)|0;e=f[53220]|0;f[e+(i*24|0)+16>>2]=d;if((i|0)>0){fb=(f[53221]|0)+(i*24|0)+-24|0;p[fb>>3]=+p[e+(i*24|0)>>3];p[fb+8>>3]=+p[e+(i*24|0)+8>>3];f[fb+16>>2]=d}d=f[28481]|0;if((i|0)>=(d|0)){j=1;fb=206;break}else i=i+1|0}}else{d=f[53220]|0;f[53220]=f[53222];f[53222]=d;d=f[53221]|0;f[53224]=d;f[53221]=f[53223];f[53223]=d;d=f[28481]|0;j=i;fb=206}while(0);g:do if((fb|0)==206){fb=0;if((d|0)<0){i=j;break}n=+(C|0)+1.5;g=qa+ +(C+1|0);if(!O){d=0;while(1){Da=d;d=d+1|0;ca=+(d|0);Ca=f[53222]|0;Ca=Lc(ca-qa,g,Ca+(Da*24|0)|0,Ca+(Da*24|0)+8|0,114008)|0;f[(f[53222]|0)+(Da*24|0)+16>>2]=Ca;Ca=f[53223]|0;Ca=Lc(qa+ca,g,Ca+(Da*24|0)|0,Ca+(Da*24|0)+8|0,114008)|0;f[(f[53223]|0)+(Da*24|0)+16>>2]=Ca;if((Da|0)>=(f[28481]|0)){i=j;break g}}}d=f[53222]|0;i=0;while(1){e=Lc(+(i|0)+.5,n,d+(i*24|0)|0,d+(i*24|0)+8|0,114008)|0;d=f[53222]|0;f[d+(i*24|0)+16>>2]=e;if((i|0)>0){Da=(f[53223]|0)+(i*24|0)+-24|0;p[Da>>3]=+p[d+(i*24|0)>>3];p[Da+8>>3]=+p[d+(i*24|0)+8>>3];f[Da+16>>2]=e}if((i|0)>=(f[28481]|0)){i=j;break}else i=i+1|0}}while(0);d=f[Ja>>2]|0;c=f[Ia>>2]|0;if((d|0)<(c|0))g=o;else{g=o;break}do{n=+p[_+(d<<3)>>3];e=(f[53217]|0)==0;if(!e){h=+p[Z+(d<<3)>>3];h=Ha*(h<Ga?0.0:h)}p[s>>3]=n;Da=f[s+4>>2]|0;Ca=Da&2147483647;Da=Da&2146435072;do if((Ca>>>0<2146435072|(Ca|0)==2146435072&(f[s>>2]|0)>>>0<1)&(Da>>>0<2146435072|(Da|0)==2146435072&0<0)){ca=Fa*n;if((f[53215]|0)>2){if(e){f[Ua>>2]=C;f[Ua+4>>2]=d;p[Ua+8>>3]=ca;mz(38627,Ua)|0}else{f[Ta>>2]=C;f[Ta+4>>2]=d;p[Ta+8>>3]=ca;p[Ta+16>>3]=h;mz(38571,Ta)|0}ly(qb)|0}p[Oa>>3]=1.0e8;p[Na>>3]=-1.0e8;p[Qa>>3]=1.0e8;p[Pa>>3]=-1.0e8;e=(f[28488]|0)==0;m=f[53221]|0;k=f[53223]|0;l=e?m:k;p[Ka>>3]=+p[l+(d*24|0)>>3];p[La>>3]=+p[l+(d*24|0)+8>>3];l=f[53220]|0;j=f[53222]|0;Da=e?l:j;p[D>>3]=+p[Da+(d*24|0)>>3];p[E>>3]=+p[Da+(d*24|0)+8>>3];Da=e?j:l;p[F>>3]=+p[Da+(d*24|0)>>3];p[G>>3]=+p[Da+(d*24|0)+8>>3];e=e?k:m;p[H>>3]=+p[e+(d*24|0)>>3];p[I>>3]=+p[e+(d*24|0)+8>>3];e=l+(d*24|0)|0;n=+p[e>>3];if(n<1.0e8){p[Oa>>3]=n;o=+p[e>>3]}else{o=n;n=1.0e8}if(o>-1.0e8)p[Na>>3]=o;else o=-1.0e8;r=+p[l+(d*24|0)+8>>3];if(r<1.0e8){p[Qa>>3]=r;y=r}else y=1.0e8;if(r>-1.0e8)p[Pa>>3]=r;else r=-1.0e8;e=m+(d*24|0)|0;w=+p[e>>3];if(w<n){p[Oa>>3]=w;x=+p[e>>3];n=w}else x=w;if(x>o){p[Na>>3]=x;o=x}w=+p[m+(d*24|0)+8>>3];if(w<y){p[Qa>>3]=w;y=w}if(w>r){p[Pa>>3]=w;r=w}e=j+(d*24|0)|0;w=+p[e>>3];if(w<n){p[Oa>>3]=w;x=+p[e>>3];n=w}else x=w;if(x>o){p[Na>>3]=x;o=x}w=+p[j+(d*24|0)+8>>3];if(w<y){p[Qa>>3]=w;y=w}if(w>r){p[Pa>>3]=w;r=w}e=k+(d*24|0)|0;w=+p[e>>3];if(w<n){p[Oa>>3]=w;x=+p[e>>3];n=w}else x=w;if(x>o){p[Na>>3]=x;o=x}w=+p[k+(d*24|0)+8>>3];if(w<y){p[Qa>>3]=w;x=w}else x=y;if(w>r){p[Pa>>3]=w;r=w}if(f[m+(d*24|0)+16>>2]|f[l+(d*24|0)+16>>2]|f[j+(d*24|0)+16>>2]|f[k+(d*24|0)+16>>2]|0)break;a=~~+J(+(n+-.5));A=~~(+J(+(o+-.5))+1.0);e=~~+J(+(x+-.5));z=~~(+J(+(r+-.5))+1.0);if((f[53215]|0)>2){nz(10)|0;p[Va>>3]=+p[Oa>>3];mz(38669,Va)|0;p[Wa>>3]=+p[Na>>3];mz(38690,Wa)|0;p[Xa>>3]=+p[Qa>>3];mz(38711,Xa)|0;p[Ya>>3]=+p[Pa>>3];mz(38732,Ya)|0;nz(10)|0;f[Za>>2]=a;f[Za+4>>2]=A;mz(38753,Za)|0;f[_a>>2]=e;f[_a+4>>2]=z;mz(38781,_a)|0;nz(10)|0}if((e|0)>=(z|0))break;v=h>0.0;t=(a|0)>=(A|0);do{j=e-$|0;h:do if(!((j|0)>=(S|0)|(j|0)<0|t)){o=+(e|0);n=o+.5;o=o+1.5;q=V+(j<<2)|0;m=U+(j<<2)|0;if(v){l=a;while(1){j=l-W|0;do if((j|0)>-1&(j|0)<(T|0)){g=+(l|0);g=+Ec(Ka,La,g+.5,g+1.5,n,o,+p[15108]);k=(f[q>>2]|0)+(j<<3)|0;x=+p[k>>3];p[s>>3]=x;Da=f[s+4>>2]|0;Ca=Da&2147483647;y=h*(ca*g);Da=Da&2146435072;p[k>>3]=(Ca>>>0<2146435072|(Ca|0)==2146435072&(f[s>>2]|0)>>>0<1)&(Da>>>0<2146435072|(Da|0)==2146435072&0<0)?x+y:y;j=(f[m>>2]|0)+(j<<3)|0;p[j>>3]=h*g+ +p[j>>3];if((f[53215]|0)<=2)break;f[$a>>2]=e;f[$a+4>>2]=l;f[$a+8>>2]=C;f[$a+12>>2]=d;mz(38809,$a)|0;x=+p[k>>3];y=+p[j>>3];p[ab>>3]=g;p[ab+8>>3]=x;p[ab+16>>3]=y;mz(38845,ab)|0;ly(qb)|0}while(0);l=l+1|0;if((l|0)==(A|0))break h}}n=h*(ca*g);o=h*g;l=a;do{j=l-W|0;do if((j|0)>-1&(j|0)<(T|0)){k=(f[q>>2]|0)+(j<<3)|0;y=+p[k>>3];p[s>>3]=y;Da=f[s+4>>2]|0;Ca=Da&2147483647;Da=Da&2146435072;p[k>>3]=(Ca>>>0<2146435072|(Ca|0)==2146435072&(f[s>>2]|0)>>>0<1)&(Da>>>0<2146435072|(Da|0)==2146435072&0<0)?y+n:n;j=(f[m>>2]|0)+(j<<3)|0;p[j>>3]=o+ +p[j>>3];if((f[53215]|0)<=2)break;f[bb>>2]=e;f[bb+4>>2]=l;f[bb+8>>2]=C;f[bb+12>>2]=d;mz(38809,bb)|0;x=+p[k>>3];y=+p[j>>3];p[cb>>3]=g;p[cb+8>>3]=x;p[cb+16>>3]=y;mz(38845,cb)|0;ly(qb)|0}while(0);l=l+1|0}while((l|0)!=(A|0))}while(0);e=e+1|0}while((e|0)!=(z|0))}while(0);d=d+1|0}while((d|0)<(c|0))}while(0);d=C+1|0;if((d|0)>=((f[28482]|0)-Ea|0))break d;e=f[28481]|0;C=d;o=g}if((fb|0)==193)vc(f[sb>>2]|0);else if((fb|0)==196)vc(f[sb>>2]|0)}while(0);if((f[53215]|0)>0){gb(214952)|0;p[db>>3]=+((f[53738]|0)-(f[53739]|0)|0);mz(38885,db)|0;ly(qb)|0}if(Fg(f[28480]|0,sb)|0)vc(f[sb>>2]|0);if(Q&(T|0)>0){o=0.0;n=0.0;h=0.0;g=0.0;j=0;e=0;q=99999;v=0;i=0;d=99999;do{m=f[U+(v<<2)>>2]|0;t=V+(v<<2)|0;r=n;k=j;l=0;while(1){j=m+(l<<3)|0;n=+p[j>>3];if(n>0.0){db=(f[t>>2]|0)+(l<<3)|0;Ha=+p[db>>3]/n;p[db>>3]=Ha;db=(k|0)==0;Ga=+p[j>>3];g=db?Ha:g;h=db?Ha:h;n=db?Ga:r;o=db?Ga:o;o=Ga>o?Ga:o;n=Ga<n?Ga:n;h=Ha>h?Ha:h;g=Ha<g?Ha:g;j=db?1:k;e=(l|0)>(e|0)?l:e;q=(l|0)<(q|0)?l:q;i=(v|0)>(i|0)?v:i;d=(v|0)<(d|0)?v:d}else{p[(f[t>>2]|0)+(l<<3)>>3]=+p[eb>>3];p[j>>3]=0.0;n=r;j=k}l=l+1|0;if((l|0)>=(T|0))break;else{r=n;k=j}}v=v+1|0}while((v|0)<(S|0))}else{o=0.0;n=0.0;h=0.0;g=0.0;e=0;q=99999;i=0;d=99999}l=q+W|0;e=e+W|0;d=d+$|0;m=i+$|0;if((f[53215]|0)>0){p[ib>>3]=g;mz(38927,ib)|0;p[jb>>3]=h;mz(38943,jb)|0;p[kb>>3]=n;mz(38959,kb)|0;p[lb>>3]=o;mz(38975,lb)|0;f[mb>>2]=l;mz(38992,mb)|0;f[nb>>2]=e;mz(39007,nb)|0;f[ob>>2]=d;mz(39022,ob)|0;f[pb>>2]=m;mz(39037,pb)|0}if((m|0)<(d|0)|(e|0)<(l|0))sc(39052);pz(486144)|0;pz(486400)|0;if(Lg(113968,486144,sb)|0)vc(f[sb>>2]|0);if(Lg(120872,486400,sb)|0)vc(f[sb>>2]|0);if(ar(f[28492]|0,-64,2,113972,sb)|0)vc(f[sb>>2]|0);if((f[53215]|0)>0){oz(39128)|0;ly(qb)|0}if(ar(f[30218]|0,-64,2,120876,sb)|0)vc(f[sb>>2]|0);if((f[53215]|0)>0){oz(39173)|0;ly(qb)|0}if(jr(f[28492]|0,hb,sb)|0)vc(f[sb>>2]|0);if((f[53215]|0)>0){oz(39217)|0;ly(qb)|0}if(jr(f[30218]|0,hb,sb)|0)vc(f[sb>>2]|0);if((f[53215]|0)>0){oz(39262)|0;ly(qb)|0}if(xp(f[28492]|0,98813,-64,-1,0,sb)|0)vc(f[sb>>2]|0);if(xp(f[30218]|0,98813,-64,-1,0,sb)|0)vc(f[sb>>2]|0);if(xp(f[28492]|0,98894,2,0,0,sb)|0)vc(f[sb>>2]|0);k=e+1-l|0;j=((k|0)<0)<<31>>31;if(xp(f[28492]|0,92199,k,j,0,sb)|0)vc(f[sb>>2]|0);i=m+1-d|0;e=((i|0)<0)<<31>>31;if(xp(f[28492]|0,106765,i,e,0,sb)|0)vc(f[sb>>2]|0);g=+(l|0);if(zp(f[28492]|0,97281,+p[15114]-g,-14,0,sb)|0)vc(f[sb>>2]|0);h=+(d|0);if(zp(f[28492]|0,97288,+p[15115]-h,-14,0,sb)|0)vc(f[sb>>2]|0);if(zp(f[28492]|0,39308,+p[15116]-g,-14,0,sb)|0)vc(f[sb>>2]|0);if(zp(f[28492]|0,39313,+p[15117]-h,-14,0,sb)|0)vc(f[sb>>2]|0);if(xp(f[30218]|0,98894,2,0,0,sb)|0)vc(f[sb>>2]|0);if(xp(f[30218]|0,92199,k,j,0,sb)|0)vc(f[sb>>2]|0);if(xp(f[30218]|0,106765,i,e,0,sb)|0)vc(f[sb>>2]|0);if(zp(f[30218]|0,97281,+p[15114]-g,-14,0,sb)|0)vc(f[sb>>2]|0);if(zp(f[30218]|0,97288,+p[15115]-h,-14,0,sb)|0)vc(f[sb>>2]|0);if(zp(f[30218]|0,39308,+p[15116]-g,-14,0,sb)|0)vc(f[sb>>2]|0);if(zp(f[30218]|0,39313,+p[15117]-h,-14,0,sb)|0)vc(f[sb>>2]|0);if(f[53215]|0){oz(39318)|0;ly(qb)|0}f[rb>>2]=1;f[R>>2]=1;e=d;while(1){if(Kp(f[28492]|0,82,rb,k,j,(f[V+(e-$<<2)>>2]|0)+(q<<3)|0,sb)|0){fb=345;break}f[R>>2]=(f[R>>2]|0)+1;if((e|0)<(m|0))e=e+1|0;else break}if((fb|0)==345)vc(f[sb>>2]|0);Mv(f[V>>2]|0);if((f[53215]|0)>0){oz(39369)|0;ly(qb)|0}f[rb>>2]=1;f[R>>2]=1;while(1){if(Kp(f[30218]|0,82,rb,k,j,(f[U+(d-$<<2)>>2]|0)+(q<<3)|0,sb)|0){fb=351;break}f[R>>2]=(f[R>>2]|0)+1;if((d|0)<(m|0))d=d+1|0;else break}if((fb|0)==351)vc(f[sb>>2]|0);Mv(f[U>>2]|0);if((f[53215]|0)>0){oz(39401)|0;ly(qb)|0}if(Fg(f[28492]|0,sb)|0)vc(f[sb>>2]|0);if((f[53215]|0)>0){oz(39434)|0;ly(qb)|0}if(Fg(f[30218]|0,sb)|0)vc(f[sb>>2]|0);if((f[53215]|0)<=0){gb(214952)|0;sb=f[53218]|0;pb=f[53738]|0;rb=f[53739]|0;rb=pb-rb|0;Ha=+(rb|0);p[tb>>3]=Ha;zy(sb,39487,tb)|0;ly(qb)|0;sb=f[53218]|0;ly(sb)|0;sb=f[53218]|0;ky(sb)|0;Ib(0)}oz(39460)|0;ly(qb)|0;gb(214952)|0;sb=f[53218]|0;pb=f[53738]|0;rb=f[53739]|0;rb=pb-rb|0;Ha=+(rb|0);p[tb>>3]=Ha;zy(sb,39487,tb)|0;ly(qb)|0;tb=f[53218]|0;ly(tb)|0;tb=f[53218]|0;ky(tb)|0;Ib(0);break}}return 0}function pc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;j=u;u=u+8224|0;i=j+8|0;c=j;d=j+24|0;f[53225]=0;Jx(d,a)|0;if((f[53215]|0)>2){f[c>>2]=d;mz(40213,c)|0;ly(f[5096]|0)|0}h=d+(Bx(d)|0)|0;while(1){a=d>>>0<h>>>0;if(a&(b[d>>0]|0)==32)d=d+1|0;else break}if(!a){i=f[53225]|0;u=j;return i|0}g=f[5096]|0;a=d;while(1){c=a;a:while(1){switch(b[c>>0]|0){case 44:case 32:break a;default:{}}if(c>>>0>=h>>>0)break;c=c+1|0}b[c>>0]=0;e=uz(d)|0;a=f[53225]|0;f[212904+(a<<3)>>2]=e;do{c=c+1|0;d=b[c>>0]|0;e=c>>>0<h>>>0}while(d<<24>>24==32&e);if(e){a=d;e=c}else{c=21;break}b:while(1){switch(a<<24>>24){case 44:case 32:break b;default:{}}if(e>>>0>=h>>>0)break;d=e+1|0;a=b[d>>0]|0;e=d}b[e>>0]=0;c=uz(c)|0;a=f[53225]|0;f[212904+(a<<3)+4>>2]=c;if(f[53215]|0){d=f[212904+(a<<3)>>2]|0;f[i>>2]=a;f[i+4>>2]=d;f[i+8>>2]=c;mz(40235,i)|0;ly(g)|0;a=f[53225]|0}a=a+1|0;f[53225]=a;d=e+1|0;if(d>>>0>=h>>>0){c=21;break}else a=e}if((c|0)==21){u=j;return a|0}return 0}function qc(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0;l=u;u=u+304|0;h=l+16|0;g=l+8|0;d=l;i=l+32|0;e=l+40|0;j=l+24|0;f[i>>2]=0;if(ah(5,113920,a,0,i)|0){f[d>>2]=a;ww(e,40039,d)|0;sc(e)}a=f[53216]|0;if((a|0)>0?Hj(f[28480]|0,a+1|0,0,i)|0:0)vc(f[i>>2]|0);if(Tr(f[28480]|0,212876,i)|0)vc(f[i>>2]|0);if(f[53217]|0){if(ah(5,120824,b,0,i)|0){f[g>>2]=b;ww(e,40077,g)|0;sc(e)}a=f[53216]|0;if((a|0)>0?Hj(f[30206]|0,a+1|0,0,i)|0:0)vc(f[i>>2]|0)}if((f[53215]|0)>2){f[h>>2]=f[53219];mz(40116,h)|0;ly(f[5096]|0)|0}a=ld(f[53219]|0)|0;f[28483]=a;if(!a){Vx(40159,53,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}n=+p[14245];c=n*2.0;h=a+136|0;m=+p[h>>3]+c;p[h>>3]=m;h=a+144|0;c=c+ +p[h>>3];p[h>>3]=c;h=a+16|0;p[h>>3]=n+ +p[h>>3];h=a+24|0;p[h>>3]=n+ +p[h>>3];f[28481]=~~m;f[28482]=~~c;if(!(Hk(f[28480]|0,2,j,i)|0)){f[28481]=f[j>>2];f[28482]=f[j+4>>2]}else f[i>>2]=0;f[28488]=0;a=f[28483]|0;c=+p[a+32>>3];if(c<0.0?+p[a+40>>3]<0.0:0)k=25;else if(c>0.0?+p[a+40>>3]>0.0:0)k=25;else a=0;if((k|0)==25){f[28488]=1;a=1}do if((f[53215]|0)>2)if(!a){oz(39711)|0;break}else{oz(39683)|0;break}while(0);a=f[28483]|0;switch(f[a+3884>>2]|0){case 1:{if(!(+p[a+120>>3]==1950.0)){n=2.0e3;k=0;f[28484]=k;p[14243]=n;u=l;return 0}n=1950.0;k=0;f[28484]=k;p[14243]=n;u=l;return 0}case 2:{if(!(+p[a+120>>3]==2.0e3)){n=1950.0;k=1;f[28484]=k;p[14243]=n;u=l;return 0}n=2.0e3;k=1;f[28484]=k;p[14243]=n;u=l;return 0}case 4:{if(!(+p[a+120>>3]==1950.0)){n=2.0e3;k=2;f[28484]=k;p[14243]=n;u=l;return 0}n=1950.0;k=3;f[28484]=k;p[14243]=n;u=l;return 0}case 3:{n=2.0e3;k=4;f[28484]=k;p[14243]=n;u=l;return 0}default:{n=2.0e3;k=0;f[28484]=k;p[14243]=n;u=l;return 0}}return 0}function rc(a,c){a=a|0;c=c|0;var d=0,e=0.0,g=0.0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;t=u;u=u+800304|0;r=t+40|0;q=t+32|0;n=t+24|0;m=t+16|0;i=t+8|0;d=t;l=t+800048|0;o=t+48|0;if((f[53215]|0)>2){f[d>>2]=a;mz(39551,d)|0;ly(f[5096]|0)|0}k=ey(a,96427)|0;if(!k){f[i>>2]=a;ww(l,39579,i)|0;sc(l)}b[o>>0]=0;j=f[5096]|0;i=0;do{if(!(ny(l,256,k)|0))break;d=l+((Bx(l)|0)+-1)|0;if((b[d>>0]|0)==10)b[d>>0]=0;d=l+((Bx(l)|0)+-1)|0;if((b[d>>0]|0)==13)b[d>>0]=0;if((f[53215]|0)>2){f[m>>2]=l;mz(39609,m)|0;ly(j)|0}wc(l,c)|0;d=Bx(o)|0;a=Bx(l)|0;if(!((a|0)>0?(Lz(o+d|0,l|0,a|0)|0,(a|0)>=80):0))Fz(o+(a+d)|0,32,80-a|0)|0;b[o+(d+80)>>0]=0;i=i+1|0}while((i|0)<1e4);a=(f[53215]|0)>2;if((c|0)==1){if(a){f[n>>2]=o;mz(39630,n)|0;ly(j)|0}Jx(486656,o)|0;a=ld(o)|0;f[28483]=a;if(!a){Vx(42955,54,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}switch(f[a+3884>>2]|0){case 1:{if(+p[a+120>>3]==1950.0){e=1950.0;d=0}else{e=2.0e3;d=0}break}case 2:{if(+p[a+120>>3]==2.0e3){e=2.0e3;d=1}else{e=1950.0;d=1}break}case 3:{e=2.0e3;d=4;break}case 4:{if(+p[a+120>>3]==1950.0){e=1950.0;d=3}else{e=2.0e3;d=2}break}default:{e=2.0e3;d=0}}f[28484]=d;p[14243]=e;f[28488]=0;e=+p[a+32>>3];if(e<0.0?+p[a+40>>3]<0.0:0)s=34;else if(e>0.0?+p[a+40>>3]>0.0:0)s=34;else d=1;if((s|0)==34){f[28488]=1;d=0}f[28488]=d&1;if((f[53215]|0)<=2){u=t;return 0}if(d){oz(39683)|0;u=t;return 0}else{oz(39711)|0;u=t;return 0}}d=(c|0)==2;do if(a)if(d){f[q>>2]=o;mz(39746,q)|0;ly(j)|0;s=44;break}else{f[r>>2]=o;mz(39801,r)|0;ly(j)|0;s=45;break}else if(d)s=44;else s=45;while(0);if((s|0)==44)Jx(1286656,o)|0;else if((s|0)==45)Jx(2086656,o)|0;d=ld(o)|0;f[28495]=d;if(!d){Vx(42955,54,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}f[30221]=d;g=+p[d+32>>3];h=+p[d+40>>3];e=+K(+(g*h))*.017453292519943295*.017453292519943295;p[15108]=e;switch(f[d+3884>>2]|0){case 1:{if(+p[d+120>>3]==1950.0){e=1950.0;d=0}else{e=2.0e3;d=0}break}case 2:{if(+p[d+120>>3]==2.0e3){e=2.0e3;d=1}else{e=1950.0;d=1}break}case 3:{e=2.0e3;d=4;break}case 4:{if(+p[d+120>>3]==1950.0){e=1950.0;d=3}else{e=2.0e3;d=2}break}default:{e=2.0e3;d=0}}f[28496]=d;p[14249]=e;f[30222]=d;p[15112]=e;f[28500]=0;if(!(g<0.0&h<0.0)?!(g>0.0&h>0.0):0)d=0;else{f[28500]=1;d=1}if((f[53215]|0)<=2){u=t;return 0}if(!d){oz(39884)|0;u=t;return 0}else{oz(39855)|0;u=t;return 0}return 0}function sc(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=f[53218]|0;f[b>>2]=a;zy(c,43965,b)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}function tc(a,b,c,d,e,g){a=+a;b=+b;c=c|0;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0,m=0;m=u;u=u+64|0;l=m+16|0;i=m+8|0;k=m;Mc(a,b,i,k,114008)|0;j=+p[i>>3];if(!(j<-.5)?(h=+p[k>>3],!(h<-.5|j>+(f[28532]|0)+1.5)):0)i=h>+(f[28534]|0)+1.5;else i=1;if((f[53215]|0)>2){h=+p[k>>3];p[l>>3]=a;p[l+8>>3]=b;p[l+16>>3]=j;p[l+24>>3]=h;f[l+32>>2]=i&1;mz(39518,l)|0;ly(f[5096]|0)|0}if(i){u=m;return}if(+p[c>>3]>a)p[c>>3]=a;if(+p[d>>3]<a)p[d>>3]=a;if(+p[e>>3]>b)p[e>>3]=b;if(!(+p[g>>3]<b)){u=m;return}p[g>>3]=b;u=m;return}function uc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0.0,h=0.0,i=0,j=0,k=0.0,l=0,m=0,n=0,o=0.0,p=0,q=0,r=0,s=0,t=0.0,v=0;s=u;u=u+16|0;p=s+8|0;q=s;o=+(a|0);a=212904;e=f[a>>2]|0;a=f[a+4>>2]|0;n=p;f[n>>2]=e;f[n+4>>2]=a;n=f[53225]|0;if((n|0)>=1){m=a;a=0;l=1;g=0.0;h=+(b|0)+1.0;while(1){v=212904+(((l|0)%(n|0)|0)<<3)|0;j=e;e=f[v>>2]|0;i=m;m=f[v+4>>2]|0;v=q;f[v>>2]=e;f[v+4>>2]=m;k=+(i|0);t=+(m|0);if(o>+(f[(k<t?p:q)+4>>2]|0)?o<+(f[(k>t?p:q)+4>>2]|0):0){t=+(j|0)+(o-k)*+(e-j|0)/+(m-i|0);a=1;g=g>t?g:t;h=h<t?h:t}v=p;f[v>>2]=e;f[v+4>>2]=m;if((l|0)>=(n|0))break;else l=l+1|0}if(a){e=~~h;f[c>>2]=(e|0)>0?e:0;e=~~(g+.5);if((e|0)<=(b|0)){v=a;r=e;f[d>>2]=r;u=s;return v|0}}else r=9}else r=9;if((r|0)==9){f[c>>2]=0;a=0}v=a;r=b;f[d>>2]=r;u=s;return v|0}function vc(a){a=a|0;var b=0,c=0,d=0;d=u;u=u+48|0;b=d;d=d+8|0;uj(a,d);c=f[53218]|0;f[b>>2]=a;f[b+4>>2]=d;zy(c,45867,b)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}function wc(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0.0;r=u;u=u+320|0;m=r+48|0;l=r+40|0;k=r+32|0;q=r+24|0;o=r+16|0;n=r+8|0;j=r;i=r+56|0;Jx(i,a)|0;h=i+(Bx(i)|0)|0;while(1){d=b[i>>0]|0;if(i>>>0<h>>>0&d<<24>>24==32)i=i+1|0;else{e=i;break}}a:while(1){switch(d<<24>>24){case 61:case 32:{g=e;break a}default:{}}if(e>>>0>=h>>>0){g=e;break}g=e+1|0;d=b[g>>0]|0;e=g}b:while(1){switch(d<<24>>24){case 39:case 32:case 61:break;default:break b}if(g>>>0>=h>>>0)break;s=g+1|0;d=b[s>>0]|0;g=s}b[e>>0]=0;d=(b[g>>0]|0)==39?g+1|0:g;c:while(1){switch(b[d>>0]|0){case 39:case 32:break c;default:{}}if(d>>>0>=h>>>0)break;d=d+1|0}b[d>>0]=0;if((f[53215]|0)>1){f[j>>2]=i;f[j+4>>2]=g;mz(39920,j)|0;ly(f[5096]|0)|0}if((c|2|0)!=2){u=r;return 0}if(!(tw(i,92199)|0)){v=+(uz(g)|0);t=+p[14245]*2.0;s=~~(v+t);f[28493]=s;j=~~(+(uz(g)|0)+t);f[30219]=j;f[n>>2]=s;ww(a,39947,n)|0}if(!(tw(i,106765)|0)){t=+(uz(g)|0);v=+p[14245]*2.0;s=~~(t+v);f[28494]=s;n=~~(+(uz(g)|0)+v);f[30220]=n;f[o>>2]=s;ww(a,39961,o)|0}if(!(tw(i,97281)|0)){v=+rz(g);v=v+ +p[14245];p[15114]=v;p[q>>3]=v;ww(a,39975,q)|0}if(!(tw(i,97288)|0)){v=+rz(g);v=v+ +p[14245];p[15115]=v;p[k>>3]=v;ww(a,39992,k)|0}if(!(tw(i,39308)|0)){v=+rz(g);v=v+ +p[14245];p[15116]=v;p[l>>3]=v;ww(a,40009,l)|0}if(tw(i,39313)|0){u=r;return 0}v=+rz(g);v=v+ +p[14245];p[15117]=v;p[m>>3]=v;ww(a,40024,m)|0;u=r;return 0}function xc(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0,g=0.0,h=0.0,i=0.0,j=0,k=0.0,l=0,m=0,n=0,o=0.0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,P=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0.0,Ta=0.0;l=u;u=u+1664|0;Ra=l+1096|0;Qa=l+1088|0;Pa=l+1080|0;Ga=l+1024|0;Fa=l+968|0;Aa=l+960|0;za=l+952|0;xa=l+896|0;wa=l+840|0;va=l+824|0;ua=l+808|0;ta=l+752|0;sa=l+744|0;ra=l+720|0;qa=l+696|0;pa=l+688|0;oa=l+680|0;na=l+672|0;ma=l+664|0;la=l+600|0;ka=l+592|0;ja=l+528|0;ia=l+520|0;H=l+504|0;$=l+488|0;_=l+432|0;Z=l+376|0;Y=l+368|0;W=l+344|0;V=l+320|0;U=l+312|0;T=l+304|0;S=l+296|0;R=l+288|0;P=l+224|0;L=l+216|0;J=l+152|0;I=l+144|0;C=l+136|0;B=l+128|0;A=l+120|0;x=l+112|0;w=l+104|0;r=l+96|0;t=l+88|0;s=l+80|0;n=l+72|0;m=l+64|0;z=l+1408|0;v=l+1152|0;Ea=l+1148|0;Ha=l+56|0;Ja=l+48|0;Ia=l+40|0;Ka=l+32|0;D=l+24|0;F=l+16|0;E=l+8|0;G=l;l=l+1144|0;p[15118]=.017453292519943295;f[4919]=0;f[53215]=0;f[53740]=5;y=f[5096]|0;f[53218]=y;f[4918]=1;Da=50;o=.01;Ba=0;a:while(1)switch(by(a,b,40265)|0){case 117:{q=o;Ca=Da;Ba=1;o=q;Da=Ca;continue a}case -1:{Ca=18;break a}case 100:{f[53215]=2;fa=Ba;q=o;Ca=Da;Ba=fa;o=q;Da=Ca;continue a}case 105:{e=kw(f[55737]|0,l,0)|0;j=f[55737]|0;if((f[l>>2]|0)>>>0<(j+(Bx(j)|0)|0)>>>0){Ca=5;break a}Ca=Ba;q=o;Da=(e|0)>1?e:1;Ba=Ca;o=q;continue a}case 111:{e=kw(f[55737]|0,l,0)|0;f[53740]=e;j=f[55737]|0;if((f[l>>2]|0)>>>0<(j+(Bx(j)|0)|0)>>>0){Ca=8;break a}if((e|0)>=0){fa=Ba;q=o;Ca=Da;Ba=fa;o=q;Da=Ca;continue a}f[53740]=0;fa=Ba;q=o;Ca=Da;Ba=fa;o=q;Da=Ca;continue a}case 116:{c=+sz(f[55737]|0,l);e=f[55737]|0;if((f[l>>2]|0)>>>0<(e+(Bx(e)|0)|0)>>>0){Ca=12;break a}if(!(c<0.0)){fa=Ba;Ca=Da;o=c;Ba=fa;Da=Ca;continue a}fa=Ba;Ca=Da;o=0.0;Ba=fa;Da=Ca;continue a}case 115:{Ca=ey(f[55737]|0,43579)|0;f[53218]=Ca;if(!Ca){Ca=16;break a}else{fa=Ba;q=o;Ca=Da;Ba=fa;o=q;Da=Ca;continue a}}default:{Ca=17;break a}}if((Ca|0)==5){Ra=f[53218]|0;f[m>>2]=j;zy(Ra,40276,m)|0;ly(y)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}else if((Ca|0)==8){Ra=f[53218]|0;f[n>>2]=j;zy(Ra,40351,n)|0;ly(y)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}else if((Ca|0)==12){Ra=f[53218]|0;f[s>>2]=e;zy(Ra,40421,s)|0;ly(y)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}else if((Ca|0)==16){f[t>>2]=f[55737];zy(0,40498,t)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}else if((Ca|0)==17){Ra=f[53218]|0;f[r>>2]=f[b>>2];zy(Ra,40556,r)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}else if((Ca|0)==18){e=f[4918]|0;if((a-e|0)<2){fa=f[53218]|0;f[w>>2]=f[b>>2];zy(fa,40556,w)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}Jx(z,f[b+(e<<2)>>2]|0)|0;Jx(v,f[b+((f[4918]|0)+1<<2)>>2]|0)|0;Hc(z,1,0)|0;yc(z)|0;fa=ey(v,43579)|0;f[53741]=fa;if(!fa){fa=f[53218]|0;f[x>>2]=v;zy(fa,40722,x)|0;ly(y)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}if(f[53215]|0){oz(40788)|0;oz(40814)|0;oz(40873)|0;ly(y)|0}v=f[53740]|0;b=(v<<2)+4|0;e=Lv(b)|0;f[53742]=e;a=Lv(b)|0;f[53743]=a;a=(v|0)>0;r=v+1|0;if(a){t=(v<<3)+8|0;s=r<<3;m=0;do{j=Lv(s)|0;f[e+(m<<2)>>2]=j;j=Lv(t)|0;f[(f[53743]|0)+(m<<2)>>2]=j;e=f[53742]|0;j=f[e+(m<<2)>>2]|0;l=f[(f[53743]|0)+(m<<2)>>2]|0;n=0;do{p[j+(n<<3)>>3]=0.0;p[l+(n<<3)>>3]=0.0;n=n+1|0}while((n|0)!=(v|0));m=m+1|0}while((m|0)!=(v|0))}e=Lv(r<<2)|0;f[53744]=e;fa=Lv(b)|0;f[53745]=fa;if(a){r=(v<<3)+8|0;m=0;do{j=Lv(r)|0;f[e+(m<<2)>>2]=j;j=Lv(r)|0;f[(f[53745]|0)+(m<<2)>>2]=j;e=f[53744]|0;j=f[e+(m<<2)>>2]|0;l=f[(f[53745]|0)+(m<<2)>>2]|0;n=0;do{p[j+(n<<3)>>3]=0.0;p[l+(n<<3)>>3]=0.0;n=n+1|0}while((n|0)!=(v|0));m=m+1|0}while((m|0)!=(v|0))}if(!(f[53215]|0))aa=v;else{oz(40932)|0;ly(y)|0;aa=f[53740]|0}ea=X(aa,aa)|0;fa=ea<<1;e=fa|1;ca=e<<2;ba=Lv(ca)|0;ca=Lv(ca)|0;da=(ea|0)==0;if(!da){j=e<<3;e=0;do{y=Lv(16)|0;f[ba+(e<<2)>>2]=y;y=Lv(j)|0;f[ca+(e<<2)>>2]=y;e=e+1|0}while((e|0)<(fa|0))}zc(z)|0;e=f[53759]|0;if((f[e+3260>>2]|0)==29){f[53746]=1;p[A>>3]=+p[e+760>>3];ww(2886656,40974,A)|0;f[53747]=1;p[B>>3]=+p[(f[53759]|0)+768>>3];ww(2886736,40974,B)|0;f[53746]=1;p[C>>3]=+p[(f[53759]|0)+48>>3];ww(2886816,40974,C)|0;e=f[53759]|0}k=(+p[e+136>>3]+1.0)*.5;p[Ha>>3]=k;q=(+p[e+144>>3]+1.0)*.5;p[Ja>>3]=q;wd(e,k,q,D,F);q=+rz(2886656);wd(f[53759]|0,+p[Ha>>3]+1.0,+p[Ja>>3],E,G);k=+p[15118];d=+p[D>>3]*k;h=+p[F>>3]*k;i=+N(+h);g=+p[E>>3]*k;c=+p[G>>3]*k;Sa=+N(+c);k=+Q(+(+O(+h)*+O(+c)+(+N(+d)*i*(+N(+g)*Sa)+i*+O(+d)*(Sa*+O(+g)))))/k;p[15119]=q<0.0?-k:k;k=+rz(2886736);wd(f[53759]|0,+p[Ha>>3],+p[Ja>>3]+1.0,E,G);q=+p[15118];g=+p[D>>3]*q;Sa=+p[F>>3]*q;d=+N(+Sa);i=+p[E>>3]*q;c=+p[G>>3]*q;h=+N(+c);q=+Q(+(+O(+Sa)*+O(+c)+(+N(+g)*d*(+N(+i)*h)+d*+O(+g)*(h*+O(+i)))))/q;p[15120]=k<0.0?-q:q;F=f[53759]|0;E=~~+p[F+136>>3];q=+p[F+144>>3];E=~~(+((q<+(E|0)?~~q:E)|0)*.125);F=~~(+(E|0)/20.0);E=(E|0)>1?E:1;F=(F|0)>1?F:1;Ac()|0;z=(Da|0)!=0;b:do if(z){w=f[5096]|0;C=ea+-1|0;y=ca+(C<<2)|0;D=(Ba|0)==0;x=((fa|0)>1?fa:1)<<3;A=(Ba|0)!=0;B=(Ba|0)!=0;e=0;while(1){if(!da){j=0;do{p[f[ba+(j<<2)>>2]>>3]=0.0;Fz(f[ca+(j<<2)>>2]|0,0,x|0)|0;j=j+1|0}while((j|0)<(fa|0))}if((f[53215]|0)>1){f[I>>2]=e;mz(40982,I)|0;ly(w)|0}j=f[53759]|0;if(+p[j+136>>3]+1.0>0.0){c=0.0;v=0;do{if(+p[j+144>>3]+1.0>0.0){i=c+-.5;c=0.0;b=0;do{h=c+-.5;wd(j,i,h,Ia,Ka);f[Ea>>2]=0;Bd(f[53760]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);c=+p[Ha>>3];g=i-c;if((f[53215]|0)>1){k=+p[Ia>>3];q=+p[Ka>>3];Sa=+p[Ja>>3];G=f[Ea>>2]|0;p[J>>3]=i;p[J+8>>3]=h;p[J+16>>3]=k;p[J+24>>3]=q;p[J+32>>3]=c;p[J+40>>3]=Sa;p[J+48>>3]=g;f[J+56>>2]=G;mz(41029,J)|0;ly(w)|0}j=f[53740]|0;if(((f[Ea>>2]|0)==0|B)&(j|0)>0){m=0;do{t=X(m,aa)|0;c=+M(+i,+(+(m|0)));n=0;do{l=n+t|0;Sa=g*(c*+M(+h,+(+(n|0))));s=f[ba+(l<<2)>>2]|0;p[s>>3]=+p[s>>3]+Sa;l=f[ca+(l<<2)>>2]|0;s=0;do{a=X(s,aa)|0;d=+M(+i,+(+(s+m|0)));r=0;do{Sa=d*+M(+h,+(+(r+n|0)));G=l+(r+a<<3)|0;p[G>>3]=Sa+ +p[G>>3];r=r+1|0}while((r|0)!=(j|0));s=s+1|0}while((s|0)!=(j|0));n=n+1|0}while((n|0)!=(j|0));m=m+1|0}while((m|0)<(j|0))}b=b+E|0;c=+(b|0);j=f[53759]|0}while(c<+p[j+144>>3]+1.0)}v=v+E|0;c=+(v|0)}while(c<+p[j+136>>3]+1.0)}if((f[53215]|0)>1){f[L>>2]=e;mz(41100,L)|0;ly(w)|0;j=f[53759]|0}if(+p[j+136>>3]+1.0>0.0){c=0.0;v=0;do{if(+p[j+144>>3]+1.0>0.0){h=c+-.5;c=0.0;b=0;do{d=c+-.5;wd(j,h,d,Ia,Ka);f[Ea>>2]=0;Bd(f[53760]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);c=+p[Ja>>3];g=d-c;if((f[53215]|0)>1){k=+p[Ia>>3];q=+p[Ka>>3];Sa=+p[Ha>>3];G=f[Ea>>2]|0;p[P>>3]=h;p[P+8>>3]=d;p[P+16>>3]=k;p[P+24>>3]=q;p[P+32>>3]=Sa;p[P+40>>3]=c;p[P+48>>3]=g;f[P+56>>2]=G;mz(41029,P)|0;ly(w)|0}j=f[53740]|0;if(((f[Ea>>2]|0)==0|A)&(j|0)>0){r=0;do{c=+(r|0);m=(X(r,aa)|0)+ea|0;s=0;do{Sa=+M(+(+p[Ha>>3]),+c);Sa=g*(Sa*+M(+(+p[Ja>>3]),+(+(s|0))));l=m+s|0;a=f[ba+(l<<2)>>2]|0;p[a>>3]=+p[a>>3]+Sa;l=f[ca+(l<<2)>>2]|0;a=0;do{d=+(a+r|0);n=(X(a,aa)|0)+ea|0;t=0;do{Sa=+M(+(+p[Ha>>3]),+d);Sa=Sa*+M(+(+p[Ja>>3]),+(+(t+s|0)));G=l+(n+t<<3)|0;p[G>>3]=Sa+ +p[G>>3];t=t+1|0}while((t|0)!=(j|0));a=a+1|0}while((a|0)!=(j|0));s=s+1|0}while((s|0)!=(j|0));r=r+1|0}while((r|0)<(j|0))}b=b+E|0;c=+(b|0);j=f[53759]|0}while(c<+p[j+144>>3]+1.0)}v=v+E|0;c=+(v|0)}while(c<+p[j+136>>3]+1.0)}if(+p[(f[y>>2]|0)+(C<<3)>>3]==0.0){Ca=81;break}if(f[53215]|0){oz(41218)|0;if(!da){l=0;do{oz(41242)|0;j=f[ca+(l<<2)>>2]|0;m=0;do{p[R>>3]=+p[j+(m<<3)>>3];mz(41250,R)|0;m=m+1|0}while((m|0)<(ea|0));oz(41258)|0;p[S>>3]=+p[f[ba+(l<<2)>>2]>>3];mz(41267,S)|0;l=l+1|0}while((l|0)<(ea|0))}nz(10)|0}Bc(ca,fa,ba,1);if(f[53215]|0){oz(41277)|0;if(!da){l=0;do{oz(41242)|0;j=f[ca+(l<<2)>>2]|0;m=0;do{p[T>>3]=+p[j+(m<<3)>>3];mz(41250,T)|0;m=m+1|0}while((m|0)<(ea|0));oz(41258)|0;p[U>>3]=+p[f[ba+(l<<2)>>2]>>3];mz(41267,U)|0;l=l+1|0}while((l|0)<(ea|0))}nz(10)|0}j=f[53740]|0;if((j|0)>0){n=0;do{if((j|0)>0){m=X(n,aa)|0;l=0;do{j=f[ba+(l+m<<2)>>2]|0;G=(f[(f[53743]|0)+(n<<2)>>2]|0)+(l<<3)|0;d=+p[j>>3]*.5+ +p[G>>3];p[G>>3]=d;if(d!=0.0)c=+p[j>>3]/d*100.0;else c=-999.0;if(f[53215]|0){f[V>>2]=n;f[V+4>>2]=l;p[V+8>>3]=d;p[V+16>>3]=c;mz(41295,V)|0;ly(w)|0}l=l+1|0;j=f[53740]|0}while((l|0)<(j|0))}n=n+1|0}while((n|0)<(j|0))}if(f[53215]|0){nz(10)|0;j=f[53740]|0}if((j|0)>0){r=0;do{if((j|0)>0){n=(X(r,aa)|0)+ea|0;m=0;do{l=f[ba+(n+m<<2)>>2]|0;G=(f[(f[53745]|0)+(r<<2)>>2]|0)+(m<<3)|0;d=+p[l>>3]*.5+ +p[G>>3];p[G>>3]=d;if(d!=0.0)c=+p[l>>3]/d*100.0;else c=-999.0;if(f[53215]|0){f[W>>2]=r;f[W+4>>2]=m;p[W+8>>3]=d;p[W+16>>3]=c;mz(41326,W)|0;ly(w)|0;j=f[53740]|0}m=m+1|0}while((m|0)<(j|0))}r=r+1|0}while((r|0)<(j|0))}Ac()|0;if((f[53215]|0)>1){f[Y>>2]=e;mz(41357,Y)|0;ly(w)|0}j=f[53759]|0;if(+p[j+136>>3]+1.0>0.0){g=0.0;d=0.0;c=0.0;m=0;do{c:do if(+p[j+144>>3]+1.0>0.0){h=g+-.5;if(D){g=0.0;l=0}else{g=0.0;l=0;while(1){g=g+-.5;wd(j,h,g,Ia,Ka);f[Ea>>2]=0;Bd(f[53760]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);if((f[53215]|0)>1){i=+p[Ia>>3];k=+p[Ka>>3];q=+p[Ha>>3];Sa=+p[Ja>>3];G=f[Ea>>2]|0;p[_>>3]=h;p[_+8>>3]=g;p[_+16>>3]=i;p[_+24>>3]=k;p[_+32>>3]=q;p[_+40>>3]=Sa;f[_+48>>2]=G;mz(41401,_)|0;ly(w)|0}Sa=+K(+(h-+p[Ha>>3]));d=Sa>d?Sa:d;g=+K(+(g-+p[Ja>>3]));c=g>c?g:c;l=l+E|0;g=+(l|0);j=f[53759]|0;if(!(g<+p[j+144>>3]+1.0))break c}}do{g=g+-.5;wd(j,h,g,Ia,Ka);f[Ea>>2]=0;Bd(f[53760]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);if((f[53215]|0)>1){i=+p[Ia>>3];k=+p[Ka>>3];q=+p[Ha>>3];Sa=+p[Ja>>3];G=f[Ea>>2]|0;p[Z>>3]=h;p[Z+8>>3]=g;p[Z+16>>3]=i;p[Z+24>>3]=k;p[Z+32>>3]=q;p[Z+40>>3]=Sa;f[Z+48>>2]=G;mz(41401,Z)|0;ly(w)|0}do if(!(f[Ea>>2]|0)){Sa=+K(+(h-+p[Ha>>3]));d=Sa>d?Sa:d;g=+K(+(g-+p[Ja>>3]));if(!(g>c))break;c=g}while(0);l=l+E|0;g=+(l|0);j=f[53759]|0}while(g<+p[j+144>>3]+1.0)}while(0);m=m+E|0;g=+(m|0)}while(g<+p[j+136>>3]+1.0)}else{d=0.0;c=0.0}if(f[53215]|0){p[$>>3]=d;f[$+8>>2]=e;mz(41462,$)|0;p[H>>3]=c;f[H+8>>2]=e;mz(41482,H)|0;ly(w)|0}if(d<o&c<o){ga=1;ha=e;break}e=e+1|0;if((e|0)>=(Da|0)){ga=0;ha=e;break}}if((Ca|0)==81){Vx(41147,70,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}Ac()|0;if(z){w=f[5096]|0;B=ea+-1|0;y=ca+(B<<2)|0;C=(Ba|0)==0;x=((fa|0)>1?fa:1)<<3;z=(Ba|0)!=0;A=(Ba|0)!=0;e=0;while(1){if(!da){j=0;do{p[f[ba+(j<<2)>>2]>>3]=0.0;Fz(f[ca+(j<<2)>>2]|0,0,x|0)|0;j=j+1|0}while((j|0)<(fa|0))}if((f[53215]|0)>1){f[ia>>2]=e;mz(41502,ia)|0;ly(w)|0}j=f[53759]|0;if(+p[j+136>>3]+1.0>0.0){c=0.0;v=0;do{if(+p[j+144>>3]+1.0>0.0){i=c+-.5;c=0.0;b=0;do{g=c+-.5;wd(f[53760]|0,i,g,Ia,Ka);f[Ea>>2]=0;Bd(f[53759]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);c=+p[Ha>>3]-+p[15121];p[Ha>>3]=c;d=+p[Ja>>3]-+p[15122];p[Ja>>3]=d;f[Ea>>2]=0;h=i-c;if((f[53215]|0)>1){q=+p[Ia>>3];Sa=+p[Ka>>3];p[ja>>3]=i;p[ja+8>>3]=g;p[ja+16>>3]=q;p[ja+24>>3]=Sa;p[ja+32>>3]=c;p[ja+40>>3]=d;p[ja+48>>3]=h;f[ja+56>>2]=0;mz(41549,ja)|0;ly(w)|0;j=f[Ea>>2]|0}else j=0;a=f[53740]|0;if(((j|0)==0|A)&(a|0)>0){l=0;do{s=X(l,aa)|0;c=+M(+i,+(+(l|0)));m=0;do{j=m+s|0;Sa=h*(c*+M(+g,+(+(m|0))));r=f[ba+(j<<2)>>2]|0;p[r>>3]=+p[r>>3]+Sa;j=f[ca+(j<<2)>>2]|0;r=0;do{t=X(r,aa)|0;d=+M(+i,+(+(r+l|0)));n=0;do{Sa=d*+M(+g,+(+(n+m|0)));$=j+(n+t<<3)|0;p[$>>3]=Sa+ +p[$>>3];n=n+1|0}while((n|0)!=(a|0));r=r+1|0}while((r|0)!=(a|0));m=m+1|0}while((m|0)!=(a|0));l=l+1|0}while((l|0)<(a|0))}b=b+E|0;c=+(b|0);j=f[53759]|0}while(c<+p[j+144>>3]+1.0)}v=v+E|0;c=+(v|0)}while(c<+p[j+136>>3]+1.0)}if((f[53215]|0)>1){f[ka>>2]=e;mz(41620,ka)|0;ly(w)|0;j=f[53759]|0}if(+p[j+136>>3]+1.0>0.0){c=0.0;v=0;do{if(+p[j+144>>3]+1.0>0.0){i=c+-.5;c=0.0;b=0;do{g=c+-.5;wd(f[53760]|0,i,g,Ia,Ka);f[Ea>>2]=0;Bd(f[53759]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);c=+p[Ha>>3]-+p[15121];p[Ha>>3]=c;d=+p[Ja>>3]-+p[15122];p[Ja>>3]=d;f[Ea>>2]=0;h=g-d;if((f[53215]|0)>1){q=+p[Ia>>3];Sa=+p[Ka>>3];p[la>>3]=i;p[la+8>>3]=g;p[la+16>>3]=q;p[la+24>>3]=Sa;p[la+32>>3]=c;p[la+40>>3]=d;p[la+48>>3]=h;f[la+56>>2]=0;mz(41549,la)|0;ly(w)|0;j=f[Ea>>2]|0}else j=0;a=f[53740]|0;if(((j|0)==0|z)&(a|0)>0){n=0;do{c=+(n|0);l=(X(n,aa)|0)+ea|0;r=0;do{Sa=+M(+(+p[Ha>>3]),+c);Sa=h*(Sa*+M(+(+p[Ja>>3]),+(+(r|0))));j=l+r|0;t=f[ba+(j<<2)>>2]|0;p[t>>3]=+p[t>>3]+Sa;j=f[ca+(j<<2)>>2]|0;t=0;do{d=+(t+n|0);m=(X(t,aa)|0)+ea|0;s=0;do{Sa=+M(+(+p[Ha>>3]),+d);Sa=Sa*+M(+(+p[Ja>>3]),+(+(s+r|0)));$=j+(m+s<<3)|0;p[$>>3]=Sa+ +p[$>>3];s=s+1|0}while((s|0)!=(a|0));t=t+1|0}while((t|0)!=(a|0));r=r+1|0}while((r|0)!=(a|0));n=n+1|0}while((n|0)<(a|0))}b=b+E|0;c=+(b|0);j=f[53759]|0}while(c<+p[j+144>>3]+1.0)}v=v+E|0;c=+(v|0)}while(c<+p[j+136>>3]+1.0)}if(+p[(f[y>>2]|0)+(B<<3)>>3]==0.0)break;if(f[53215]|0){oz(41738)|0;if(!da){l=0;do{oz(41242)|0;j=f[ca+(l<<2)>>2]|0;m=0;do{p[ma>>3]=+p[j+(m<<3)>>3];mz(41250,ma)|0;m=m+1|0}while((m|0)<(ea|0));oz(41258)|0;p[na>>3]=+p[f[ba+(l<<2)>>2]>>3];mz(41267,na)|0;l=l+1|0}while((l|0)<(ea|0))}nz(10)|0}Bc(ca,fa,ba,1);if(f[53215]|0){oz(41277)|0;if(!da){l=0;do{oz(41242)|0;j=f[ca+(l<<2)>>2]|0;m=0;do{p[oa>>3]=+p[j+(m<<3)>>3];mz(41250,oa)|0;m=m+1|0}while((m|0)<(ea|0));oz(41258)|0;p[pa>>3]=+p[f[ba+(l<<2)>>2]>>3];mz(41267,pa)|0;l=l+1|0}while((l|0)<(ea|0))}nz(10)|0}j=f[53740]|0;if((j|0)>0){n=0;do{if((j|0)>0){m=X(n,aa)|0;l=0;do{j=f[ba+(l+m<<2)>>2]|0;$=(f[(f[53742]|0)+(n<<2)>>2]|0)+(l<<3)|0;d=+p[j>>3]*.5+ +p[$>>3];p[$>>3]=d;if(d!=0.0)c=+p[j>>3]/d*100.0;else c=-999.0;if(f[53215]|0){f[qa>>2]=n;f[qa+4>>2]=l;p[qa+8>>3]=d;p[qa+16>>3]=c;mz(41762,qa)|0;ly(w)|0}l=l+1|0;j=f[53740]|0}while((l|0)<(j|0))}n=n+1|0}while((n|0)<(j|0))}if(f[53215]|0){nz(10)|0;j=f[53740]|0}if((j|0)>0){r=0;do{if((j|0)>0){n=(X(r,aa)|0)+ea|0;m=0;do{l=f[ba+(n+m<<2)>>2]|0;$=(f[(f[53744]|0)+(r<<2)>>2]|0)+(m<<3)|0;d=+p[l>>3]*.5+ +p[$>>3];p[$>>3]=d;if(d!=0.0)c=+p[l>>3]/d*100.0;else c=-999.0;if(f[53215]|0){f[ra>>2]=r;f[ra+4>>2]=m;p[ra+8>>3]=d;p[ra+16>>3]=c;mz(41792,ra)|0;ly(w)|0;j=f[53740]|0}m=m+1|0}while((m|0)<(j|0))}r=r+1|0}while((r|0)<(j|0))}Ac()|0;if((f[53215]|0)>1){f[sa>>2]=e;mz(41822,sa)|0;ly(w)|0}j=f[53759]|0;if(+p[j+136>>3]+1.0>0.0){g=0.0;m=0;d=0.0;c=0.0;do{if(+p[j+144>>3]+1.0>0.0){k=g+-.5;g=0.0;l=0;do{i=g+-.5;wd(f[53760]|0,k,i,Ia,Ka);f[Ea>>2]=0;Bd(f[53759]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);g=+p[Ha>>3]-+p[15121];p[Ha>>3]=g;h=+p[Ja>>3]-+p[15122];p[Ja>>3]=h;f[Ea>>2]=0;if(!((f[53215]|0)>1?(q=+p[Ia>>3],Sa=+p[Ka>>3],p[ta>>3]=k,p[ta+8>>3]=i,p[ta+16>>3]=q,p[ta+24>>3]=Sa,p[ta+32>>3]=g,p[ta+40>>3]=h,f[ta+48>>2]=0,mz(41866,ta)|0,ly(w)|0,C&(f[Ea>>2]|0)!=0):0))Ca=212;do if((Ca|0)==212){Ca=0;g=+K(+(k-+p[Ha>>3]));d=g>d?g:d;g=+K(+(i-+p[Ja>>3]));if(!(g>c))break;c=g}while(0);l=l+E|0;g=+(l|0);j=f[53759]|0}while(g<+p[j+144>>3]+1.0)}m=m+E|0;g=+(m|0)}while(g<+p[j+136>>3]+1.0)}else{d=0.0;c=0.0}if(f[53215]|0){p[ua>>3]=d;f[ua+8>>2]=e;mz(41927,ua)|0;p[va>>3]=c;f[va+8>>2]=e;mz(41947,va)|0;ly(w)|0}if(d<o&c<o){La=ga;Ma=1;Na=ha;Oa=e;break b}e=e+1|0;if((e|0)>=(Da|0)){La=ga;Ma=0;Na=ha;Oa=e;break b}}Vx(41667,70,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}else{La=ga;Ma=0;Na=ha;Oa=0}}else{Ac()|0;La=0;Ma=0;Na=0;Oa=0}while(0);if(f[53215]|0?(nz(10)|0,(f[53215]|0)>1):0){oz(41967)|0;ly(f[5096]|0)|0}e=f[53759]|0;if(+p[e+136>>3]+1.0>0.0){m=f[5096]|0;n=(Ba|0)==0;g=0.0;d=0.0;c=0.0;l=0;while(1){d:do if(+p[e+144>>3]+1.0>0.0){i=g+-.5;if(n){h=0.0;g=c;j=0}else{g=0.0;j=0;while(1){g=g+-.5;wd(e,i,g,Ia,Ka);f[Ea>>2]=0;Bd(f[53760]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);if((f[53215]|0)>1){k=+p[Ia>>3];o=+p[Ka>>3];q=+p[Ha>>3];Sa=+p[Ja>>3];va=f[Ea>>2]|0;p[xa>>3]=i;p[xa+8>>3]=g;p[xa+16>>3]=k;p[xa+24>>3]=o;p[xa+32>>3]=q;p[xa+40>>3]=Sa;f[xa+48>>2]=va;mz(41401,xa)|0;ly(m)|0}Sa=+K(+(i-+p[Ha>>3]));d=Sa>d?Sa:d;g=+K(+(g-+p[Ja>>3]));c=g>c?g:c;j=j+F|0;g=+(j|0);e=f[53759]|0;if(!(g<+p[e+144>>3]+1.0))break d}}while(1){c=h+-.5;wd(e,i,c,Ia,Ka);f[Ea>>2]=0;Bd(f[53760]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);if((f[53215]|0)>1){k=+p[Ia>>3];o=+p[Ka>>3];q=+p[Ha>>3];Sa=+p[Ja>>3];va=f[Ea>>2]|0;p[wa>>3]=i;p[wa+8>>3]=c;p[wa+16>>3]=k;p[wa+24>>3]=o;p[wa+32>>3]=q;p[wa+40>>3]=Sa;f[wa+48>>2]=va;mz(41401,wa)|0;ly(m)|0}do if(!(f[Ea>>2]|0)){Sa=+K(+(i-+p[Ha>>3]));d=Sa>d?Sa:d;c=+K(+(c-+p[Ja>>3]));if(!(c>g)){c=g;break}}else c=g;while(0);j=j+F|0;h=+(j|0);e=f[53759]|0;if(!(h<+p[e+144>>3]+1.0))break;else g=c}}while(0);l=l+F|0;g=+(l|0);if(!(g<+p[e+136>>3]+1.0)){q=d;o=c;break}}}else{q=0.0;o=0.0}if(f[53215]|0?(nz(10)|0,p[za>>3]=q,mz(42003,za)|0,p[Aa>>3]=o,mz(42024,Aa)|0,ya=f[5096]|0,ly(ya)|0,(f[53215]|0)>1):0){oz(42045)|0;ly(ya)|0}e=f[53759]|0;if(+p[e+136>>3]+1.0>0.0){n=f[5096]|0;m=(Ba|0)==0;g=0.0;l=0;d=0.0;c=0.0;do{e:do if(+p[e+144>>3]+1.0>0.0){k=g+-.5;if(m){g=0.0;j=0}else{g=0.0;j=0;while(1){i=g+-.5;wd(f[53760]|0,k,i,Ia,Ka);f[Ea>>2]=0;Bd(f[53759]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);g=+p[Ha>>3]-+p[15121];p[Ha>>3]=g;h=+p[Ja>>3]-+p[15122];p[Ja>>3]=h;f[Ea>>2]=0;if((f[53215]|0)>1){Ta=+p[Ia>>3];Sa=+p[Ka>>3];p[Ga>>3]=k;p[Ga+8>>3]=i;p[Ga+16>>3]=Ta;p[Ga+24>>3]=Sa;p[Ga+32>>3]=g;p[Ga+40>>3]=h;f[Ga+48>>2]=0;mz(41866,Ga)|0;ly(n)|0;g=+p[Ha>>3];h=+p[Ja>>3]}g=+K(+(k-g));d=g>d?g:d;g=+K(+(i-h));c=g>c?g:c;j=j+F|0;g=+(j|0);e=f[53759]|0;if(!(g<+p[e+144>>3]+1.0))break e}}do{i=g+-.5;wd(f[53760]|0,k,i,Ia,Ka);f[Ea>>2]=0;Bd(f[53759]|0,+p[Ia>>3],+p[Ka>>3],Ha,Ja,Ea);g=+p[Ha>>3]-+p[15121];p[Ha>>3]=g;h=+p[Ja>>3]-+p[15122];p[Ja>>3]=h;f[Ea>>2]=0;if(!((f[53215]|0)>1?(Sa=+p[Ia>>3],Ta=+p[Ka>>3],p[Fa>>3]=k,p[Fa+8>>3]=i,p[Fa+16>>3]=Sa,p[Fa+24>>3]=Ta,p[Fa+32>>3]=g,p[Fa+40>>3]=h,f[Fa+48>>2]=0,mz(41866,Fa)|0,ly(n)|0,(f[Ea>>2]|0)!=0):0))Ca=246;do if((Ca|0)==246){Ca=0;g=+K(+(k-+p[Ha>>3]));d=g>d?g:d;g=+K(+(i-+p[Ja>>3]));if(!(g>c))break;c=g}while(0);j=j+F|0;g=+(j|0);e=f[53759]|0}while(g<+p[e+144>>3]+1.0)}while(0);l=l+F|0;g=+(l|0)}while(g<+p[e+136>>3]+1.0)}else{d=0.0;c=0.0}if(!(f[53215]|0)){Qa=f[5096]|0;Pa=f[53741]|0;ky(Pa)|0;Pa=Da+-1|0;La=La?Na:Pa;Na=Ma?Oa:Pa;Pa=f[53218]|0;Ma=La+1|0;Na=Na+1|0;p[Ra>>3]=q;Oa=Ra+8|0;p[Oa>>3]=o;Oa=Ra+16|0;f[Oa>>2]=Ma;Oa=Ra+24|0;p[Oa>>3]=d;Oa=Ra+32|0;p[Oa>>3]=c;Oa=Ra+40|0;f[Oa>>2]=Na;zy(Pa,42124,Ra)|0;ly(Qa)|0;Ra=f[53218]|0;ly(Ra)|0;Ra=f[53218]|0;ky(Ra)|0;Ib(0)}else{p[Pa>>3]=d;mz(42081,Pa)|0;p[Qa>>3]=c;mz(42102,Qa)|0;Qa=f[5096]|0;ly(Qa)|0;Pa=f[53741]|0;ky(Pa)|0;Pa=Da+-1|0;La=La?Na:Pa;Na=Ma?Oa:Pa;Pa=f[53218]|0;Ma=La+1|0;Na=Na+1|0;p[Ra>>3]=q;Oa=Ra+8|0;p[Oa>>3]=o;Oa=Ra+16|0;f[Oa>>2]=Ma;Oa=Ra+24|0;p[Oa>>3]=d;Oa=Ra+32|0;p[Oa>>3]=c;Oa=Ra+40|0;f[Oa>>2]=Na;zy(Pa,42124,Ra)|0;ly(Qa)|0;Ra=f[53218]|0;ly(Ra)|0;Ra=f[53218]|0;ky(Ra)|0;Ib(0)}}return 0}function yc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;x=u;u=u+368|0;t=x+104|0;s=x+96|0;r=x+88|0;q=x+80|0;p=x+72|0;o=x+64|0;n=x+56|0;m=x+48|0;l=x+40|0;k=x+32|0;w=x+24|0;v=x+16|0;j=x+8|0;c=x;i=x+112|0;h=ey(a,96427)|0;if(!h){g=f[53218]|0;f[c>>2]=a;zy(g,43057,c)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}f[53746]=0;f[53747]=0;f[53748]=0;f[53749]=0;f[53750]=0;f[53751]=0;f[53752]=0;f[53753]=0;f[53754]=0;f[53755]=0;f[53756]=0;f[53757]=0;f[53758]=0;b[2886656]=0;b[2886736]=0;b[2886816]=0;b[2886896]=0;b[2886976]=0;b[2887056]=0;b[2887136]=0;b[2887216]=0;b[2887296]=0;b[2887376]=0;b[2887456]=0;b[2887536]=0;b[2887616]=0;if(ny(i,256,h)|0)do{e=i+(Bx(i)|0)|0;g=i;while(1){a=b[g>>0]|0;if(g>>>0<e>>>0&a<<24>>24==32)g=g+1|0;else{c=g;break}}a:while(1){switch(a<<24>>24){case 61:case 32:{d=c;break a}default:{}}if(c>>>0>=e>>>0){d=c;break}d=c+1|0;a=b[d>>0]|0;c=d}b:while(1){switch(a<<24>>24){case 39:case 32:case 61:break;default:break b}if(d>>>0>=e>>>0)break;y=d+1|0;a=b[y>>0]|0;d=y}b[c>>0]=0;a=(b[d>>0]|0)==39?d+1|0:d;c:while(1){switch(b[a>>0]|0){case 10:case 13:case 39:case 32:break c;default:{}}if(a>>>0>=e>>>0)break;a=a+1|0}b[a>>0]=0;do if(tw(g,97295)|0){if(!(tw(g,97326)|0)){f[53747]=1;Jx(2886736,d)|0;break}if(!(tw(g,97333)|0)){f[53748]=1;Jx(2886816,d)|0;break}if(!(tw(g,97302)|0)){f[53749]=1;Jx(2886896,d)|0;break}if(!(tw(g,97314)|0)){f[53750]=1;Jx(2886976,d)|0;break}if(!(tw(g,97308)|0)){f[53751]=1;Jx(2887056,d)|0;break}if(!(tw(g,97320)|0)){f[53752]=1;Jx(2887136,d)|0;break}if(!(tw(g,97340)|0)){f[53753]=1;Jx(2887216,d)|0;break}if(!(tw(g,97352)|0)){f[53754]=1;Jx(2887296,d)|0;break}if(!(tw(g,97346)|0)){f[53755]=1;Jx(2887376,d)|0;break}if(!(tw(g,97358)|0)){f[53756]=1;Jx(2887456,d)|0;break}if(!(tw(g,76564)|0)){f[53757]=1;Jx(2887536,d)|0;break}if(!(tw(g,48393)|0)){f[53758]=1;Jx(2887616,d)|0}}else{f[53746]=1;Jx(2886656,d)|0}while(0)}while((ny(i,256,h)|0)!=0);if(!(f[53215]|0)){u=x;return 0}oz(43224)|0;if(f[53746]|0){f[j>>2]=2886656;mz(43238,j)|0}if(f[53747]|0){f[v>>2]=2886736;mz(43254,v)|0}if(f[53748]|0){f[w>>2]=2886816;mz(43270,w)|0}if(f[53749]|0){f[k>>2]=2886896;mz(43286,k)|0}if(f[53750]|0){f[l>>2]=2886976;mz(43302,l)|0}if(f[53751]|0){f[m>>2]=2887056;mz(43318,m)|0}if(f[53752]|0){f[n>>2]=2887136;mz(43334,n)|0}if(f[53753]|0){f[o>>2]=2887216;mz(43350,o)|0}if(f[53754]|0){f[p>>2]=2887296;mz(43366,p)|0}if(f[53755]|0){f[q>>2]=2887376;mz(43382,q)|0}if(f[53756]|0){f[r>>2]=2887456;mz(43398,r)|0}if(f[53757]|0){f[s>>2]=2887536;mz(43414,s)|0}if(f[53758]|0){f[t>>2]=2887616;mz(43430,t)|0}nz(10)|0;u=x;return 0}function zc(a){a=a|0;var c=0.0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;r=u;u=u+80320|0;o=r+48|0;n=r+40|0;d=r+32|0;h=r+80064|0;g=r+64|0;j=r+24|0;q=r+16|0;k=r+8|0;l=r;i=r+56|0;m=ey(a,96427)|0;if(!m){e=f[53218]|0;f[d>>2]=a;zy(e,43057,d)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}b[g>>0]=0;e=0;do{if(!(ny(h,256,m)|0))break;a=h+((Bx(h)|0)+-1)|0;if((b[a>>0]|0)==10)b[a>>0]=0;a=h+((Bx(h)|0)+-1)|0;if((b[a>>0]|0)==13)b[a>>0]=0;a=Bx(g)|0;d=Bx(h)|0;if(!((d|0)>0?(Lz(g+a|0,h|0,d|0)|0,(d|0)>=80):0))Fz(g+(d+a)|0,32,80-d|0)|0;b[g+(a+80)>>0]=0;e=e+1|0}while((e|0)<1e3);if(f[53215]|0){oz(43104)|0;h=f[5096]|0;ly(h)|0;Dc(g)|0;ly(h)|0}a=ld(g)|0;f[53759]=a;if(!a){Vx(42955,54,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}Kc(a,0)|0;if(f[53215]|0){oz(43130)|0;ly(f[5096]|0)|0}f[i>>2]=0;wd(f[53759]|0,.5,.5,k,l);Bd(f[53759]|0,+p[k>>3],+p[l>>3],j,q,i);c=+p[j>>3]+-.5;p[15121]=c;p[15122]=+p[q>>3]+-.5;if(!(f[53215]|0)){ky(m)|0;u=r;return 0}p[n>>3]=c;mz(43169,n)|0;p[o>>3]=+p[15122];mz(43196,o)|0;ly(f[5096]|0)|0;ky(m)|0;u=r;return 0}function Ac(){var a=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0,D=0,E=0.0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0;za=u;u=u+33584|0;ya=za+552|0;va=za+544|0;ua=za+528|0;ta=za+520|0;sa=za+512|0;ra=za+504|0;qa=za+488|0;pa=za+480|0;oa=za+472|0;na=za+464|0;ma=za+448|0;la=za+440|0;ka=za+432|0;ja=za+424|0;ia=za+408|0;ha=za+400|0;ga=za+392|0;fa=za+384|0;ea=za+376|0;da=za+368|0;ca=za+360|0;ba=za+352|0;aa=za+344|0;$=za+336|0;_=za+328|0;Z=za+320|0;Y=za+312|0;X=za+304|0;W=za+296|0;V=za+288|0;U=za+280|0;T=za+272|0;S=za+264|0;R=za+256|0;Q=za+248|0;P=za+240|0;O=za+232|0;N=za+224|0;M=za+216|0;L=za+208|0;K=za+200|0;J=za+192|0;I=za+184|0;H=za+176|0;G=za+168|0;F=za+160|0;D=za+152|0;C=za+144|0;z=za+136|0;y=za+128|0;w=za+120|0;v=za+112|0;s=za+104|0;r=za+96|0;o=za+88|0;t=za+80|0;q=za+72|0;n=za+64|0;m=za+56|0;l=za+48|0;j=za+40|0;i=za+32|0;g=za+24|0;e=za+16|0;wa=za+816|0;xa=za+560|0;x=za+8|0;A=za;qz(f[53741]|0);a=f[53759]|0;B=+p[a+136>>3];h=~~B;E=+p[a+144>>3];k=~~E;B=(B+1.0)*.5;E=(E+1.0)*.5;wd(a,B,E,x,A);b[wa>>0]=0;a=xa;c=42389;d=a+12|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(d|0));a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[e>>2]=xa;zy(a,103825,e)|0;a=xa;c=42401;d=a+14|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(d|0));a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[g>>2]=xa;zy(a,103825,g)|0;a=xa;c=42415;d=a+12|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(d|0));a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[i>>2]=xa;zy(a,103825,i)|0;f[j>>2]=h;ww(xa,42427,j)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[l>>2]=xa;zy(a,103825,l)|0;f[m>>2]=k;ww(xa,42440,m)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[n>>2]=xa;zy(a,103825,n)|0;a=(f[53759]|0)+3449|0;if(!(vw(a,51026,2)|0)){a=xa;c=42453;d=a+25|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(d|0));a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[q>>2]=xa;zy(a,103825,q)|0;a=xa;c=42478;d=a+25|0;do{b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}while((a|0)<(d|0));a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;v=f[53741]|0;f[t>>2]=xa;zy(v,103825,t)|0}else{f[o>>2]=a;ww(xa,42503,o)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[r>>2]=xa;zy(a,103825,r)|0;f[s>>2]=(f[53759]|0)+3458;ww(xa,42526,s)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;t=f[53741]|0;f[v>>2]=xa;zy(t,103825,v)|0}p[w>>3]=+p[x>>3];ww(xa,42549,w)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[y>>2]=xa;zy(a,103825,y)|0;p[z>>3]=+p[A>>3];ww(xa,42567,z)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[C>>2]=xa;zy(a,103825,C)|0;p[D>>3]=B;ww(xa,42585,D)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[F>>2]=xa;zy(a,103825,F)|0;p[G>>3]=E;ww(xa,42603,G)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;G=f[53741]|0;f[H>>2]=xa;zy(G,103825,H)|0;if(f[53746]|0){p[I>>3]=+p[15119];ww(xa,42621,I)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;I=f[53741]|0;f[J>>2]=xa;zy(I,103825,J)|0}if(f[53747]|0){p[K>>3]=+p[15120];ww(xa,42637,K)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;K=f[53741]|0;f[L>>2]=xa;zy(K,103825,L)|0}if(f[53748]|0){f[M>>2]=2886816;ww(xa,42653,M)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;M=f[53741]|0;f[N>>2]=xa;zy(M,103825,N)|0}if(f[53749]|0){f[O>>2]=2886896;ww(xa,42666,O)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;O=f[53741]|0;f[P>>2]=xa;zy(O,103825,P)|0}if(f[53750]|0){f[Q>>2]=2886976;ww(xa,42679,Q)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;Q=f[53741]|0;f[R>>2]=xa;zy(Q,103825,R)|0}if(f[53751]|0){f[S>>2]=2887056;ww(xa,42692,S)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;S=f[53741]|0;f[T>>2]=xa;zy(S,103825,T)|0}if(f[53752]|0){f[U>>2]=2887136;ww(xa,42705,U)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;U=f[53741]|0;f[V>>2]=xa;zy(U,103825,V)|0}if(f[53753]|0){f[W>>2]=2887216;ww(xa,42718,W)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;W=f[53741]|0;f[X>>2]=xa;zy(W,103825,X)|0}if(f[53754]|0){f[Y>>2]=2887296;ww(xa,42731,Y)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;Y=f[53741]|0;f[Z>>2]=xa;zy(Y,103825,Z)|0}if(f[53755]|0){f[_>>2]=2887376;ww(xa,42744,_)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;_=f[53741]|0;f[$>>2]=xa;zy(_,103825,$)|0}if(f[53756]|0){f[aa>>2]=2887456;ww(xa,42757,aa)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;aa=f[53741]|0;f[ba>>2]=xa;zy(aa,103825,ba)|0}if(f[53757]|0){f[ca>>2]=2887536;ww(xa,42770,ca)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;ca=f[53741]|0;f[da>>2]=xa;zy(ca,103825,da)|0}if(f[53758]|0){f[ea>>2]=2887616;ww(xa,42783,ea)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;ea=f[53741]|0;f[fa>>2]=xa;zy(ea,103825,fa)|0}f[ga>>2]=(f[53740]|0)+-1;ww(xa,42796,ga)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[ha>>2]=xa;zy(a,103825,ha)|0;a=f[53740]|0;if((a|0)>0){e=0;do{if((a|0)>0){d=0;do{E=+p[(f[(f[53742]|0)+(e<<2)>>2]|0)+(d<<3)>>3];f[ia>>2]=e;f[ia+4>>2]=d;p[ia+8>>3]=E;ww(xa,42809,ia)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[ja>>2]=xa;zy(a,103825,ja)|0;d=d+1|0;a=f[53740]|0}while((d|0)<(a|0))}e=e+1|0}while((e|0)<(a|0))}f[ka>>2]=a+-1;ww(xa,42828,ka)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[la>>2]=xa;zy(a,103825,la)|0;a=f[53740]|0;if((a|0)>0){e=0;do{if((a|0)>0){d=0;do{E=+p[(f[(f[53744]|0)+(e<<2)>>2]|0)+(d<<3)>>3];f[ma>>2]=e;f[ma+4>>2]=d;p[ma+8>>3]=E;ww(xa,42841,ma)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[na>>2]=xa;zy(a,103825,na)|0;d=d+1|0;a=f[53740]|0}while((d|0)<(a|0))}e=e+1|0}while((e|0)<(a|0))}f[oa>>2]=a+-1;ww(xa,42860,oa)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[pa>>2]=xa;zy(a,103825,pa)|0;a=f[53740]|0;if((a|0)>0){e=0;do{if((a|0)>0){d=0;do{E=+p[(f[(f[53743]|0)+(e<<2)>>2]|0)+(d<<3)>>3];f[qa>>2]=e;f[qa+4>>2]=d;p[qa+8>>3]=E;ww(xa,42873,qa)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[ra>>2]=xa;zy(a,103825,ra)|0;d=d+1|0;a=f[53740]|0}while((d|0)<(a|0))}e=e+1|0}while((e|0)<(a|0))}f[sa>>2]=a+-1;ww(xa,42892,sa)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[ta>>2]=xa;zy(a,103825,ta)|0;a=f[53740]|0;if((a|0)>0){e=0;do{if((a|0)>0){d=0;do{E=+p[(f[(f[53745]|0)+(e<<2)>>2]|0)+(d<<3)>>3];f[ua>>2]=e;f[ua+4>>2]=d;p[ua+8>>3]=E;ww(xa,42905,ua)|0;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;a=f[53741]|0;f[va>>2]=xa;zy(a,103825,va)|0;d=d+1|0;a=f[53740]|0}while((d|0)<(a|0))}e=e+1|0}while((e|0)<(a|0))}f[xa>>2]=4476485;a=Bx(wa)|0;c=Bx(xa)|0;if(!((c|0)>0?(Lz(wa+a|0,xa|0,c|0)|0,(c|0)>=80):0))Fz(wa+(c+a)|0,32,80-c|0)|0;b[wa+(a+80)>>0]=0;va=f[53741]|0;f[ya>>2]=xa;zy(va,103825,ya)|0;if(f[53215]|0){oz(42924)|0;Dc(wa)|0;ly(f[5096]|0)|0}ya=ld(wa)|0;f[53760]=ya;if(!ya){Vx(42955,54,1,f[53218]|0)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}if(!(f[53215]|0)){ya=f[53741]|0;ly(ya)|0;u=za;return 0}oz(43010)|0;ly(f[5096]|0)|0;ya=f[53741]|0;ly(ya)|0;u=za;return 0}function Bc(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0.0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;A=u;u=u+32|0;z=A+8|0;v=A;e=b<<2;w=Lv(e)|0;if(!w)Cc(42220);x=Lv(e)|0;if(!x)Cc(42220);y=Lv(e)|0;if(!y)Cc(42220);s=(b|0)>0;do if(s){Fz(y|0,0,e|0)|0;q=(d|0)>0;r=0;e=0;g=0;a:while(1){h=0.0;m=0;do{if((f[y+(m<<2)>>2]|0)!=1){k=a+(m<<2)|0;l=h;j=0;while(1){i=f[y+(j<<2)>>2]|0;if(!i){h=+K(+(+p[(f[k>>2]|0)+(j<<3)>>3]));if(!(h>=l))h=l;else{e=j;g=m}}else if((i|0)>1){e=22;break a}else h=l;j=j+1|0;if((j|0)>=(b|0))break;else l=h}}m=m+1|0}while((m|0)<(b|0));f[y+(e<<2)>>2]=(f[y+(e<<2)>>2]|0)+1;if((g|0)!=(e|0)){j=f[a+(g<<2)>>2]|0;i=f[a+(e<<2)>>2]|0;k=0;do{n=j+(k<<3)|0;l=+p[n>>3];o=i+(k<<3)|0;p[n>>3]=+p[o>>3];p[o>>3]=l;k=k+1|0}while((k|0)!=(b|0));if(q){i=f[c+(g<<2)>>2]|0;j=f[c+(e<<2)>>2]|0;k=0;do{n=i+(k<<3)|0;l=+p[n>>3];o=j+(k<<3)|0;p[n>>3]=+p[o>>3];p[o>>3]=l;k=k+1|0}while((k|0)!=(d|0))}}f[x+(r<<2)>>2]=g;f[w+(r<<2)>>2]=e;o=f[a+(e<<2)>>2]|0;i=o+(e<<3)|0;h=+p[i>>3];if(h==0.0){e=30;break}h=1.0/h;p[i>>3]=1.0;i=0;do{n=o+(i<<3)|0;p[n>>3]=h*+p[n>>3];i=i+1|0}while((i|0)!=(b|0));if(q){i=f[c+(e<<2)>>2]|0;j=0;do{n=i+(j<<3)|0;p[n>>3]=h*+p[n>>3];j=j+1|0}while((j|0)!=(d|0))}m=c+(e<<2)|0;n=0;do{if((n|0)!=(e|0)){i=f[a+(n<<2)>>2]|0;j=i+(e<<3)|0;h=+p[j>>3];p[j>>3]=0.0;j=0;do{k=i+(j<<3)|0;p[k>>3]=+p[k>>3]-h*+p[o+(j<<3)>>3];j=j+1|0}while((j|0)!=(b|0));if(q){i=f[m>>2]|0;j=f[c+(n<<2)>>2]|0;k=0;do{B=j+(k<<3)|0;p[B>>3]=+p[B>>3]-h*+p[i+(k<<3)>>3];k=k+1|0}while((k|0)!=(d|0))}}n=n+1|0}while((n|0)!=(b|0));r=r+1|0;if((r|0)>=(b|0)){e=18;break}}if((e|0)==18){if(s)j=b;else break;do{k=j;j=j+-1|0;e=f[x+(j<<2)>>2]|0;g=f[w+(j<<2)>>2]|0;if((e|0)!=(g|0)){i=0;do{B=f[a+(i<<2)>>2]|0;d=B+(e<<3)|0;l=+p[d>>3];B=B+(g<<3)|0;p[d>>3]=+p[B>>3];p[B>>3]=l;i=i+1|0}while((i|0)!=(b|0))}}while((k|0)>1)}else if((e|0)==22)Cc(42252);else if((e|0)==30)Cc(42270)}while(0);if(!(f[53215]|0)){Mv(y);Mv(x);Mv(w);u=A;return}oz(42288)|0;if(s){k=0;h=0.0;g=-1;e=-1;do{i=a+(k<<2)|0;j=0;do{B=f[a+(j<<2)>>2]|0;l=+p[B+(k<<3)>>3]/+L(+(+K(+(+p[B+(j<<3)>>3]*+p[(f[i>>2]|0)+(k<<3)>>3]))));p[v>>3]=l;mz(42310,v)|0;if((j|0)!=(k|0)?(t=+K(+l),t>h):0){h=t;g=j;e=k}j=j+1|0}while((j|0)!=(b|0));nz(10)|0;k=k+1|0}while((k|0)!=(b|0))}else{h=0.0;g=-1;e=-1}p[z>>3]=h;f[z+8>>2]=g;f[z+12>>2]=e;mz(42317,z)|0;Mv(y);Mv(x);Mv(w);u=A;return}function Cc(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=f[53218]|0;f[b>>2]=a;zy(c,42357,b)|0;ly(f[53218]|0)|0;ky(f[53218]|0)|0;Ib(1)}function Dc(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+96|0;l=m;j=m+8|0;i=Bx(a)|0;h=j+80|0;k=0;do{c=j;d=c+80|0;do{b[c>>0]=0;c=c+1|0}while((c|0)<(d|0));e=k*80|0;d=0;do{c=d+e|0;g=(c|0)>(i|0);if(g)break;b[j+d>>0]=b[a+c>>0]|0;d=d+1|0}while((d|0)<80);b[h>>0]=0;c=0;e=80;a:while(1){switch(c<<24>>24){case 0:case 32:break;default:break a}b[j+e>>0]=0;d=e+-1|0;if((e|0)<=0)break;c=b[j+d>>0]|0;e=d}k=k+1|0;if(Bx(j)|0){f[l>>2]=k;f[l+4>>2]=j;mz(43048,l)|0}}while(!g);nz(10)|0;u=m;return 0}
function yo(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;N=u;u=u+10304|0;m=N+9278|0;L=N+48|0;w=N+44|0;x=N+40|0;I=N+36|0;A=N+32|0;p=N+28|0;F=N+24|0;q=N+20|0;v=N+16|0;G=N+12|0;E=N+8|0;J=N+6203|0;B=N+5178|0;C=N+4153|0;D=N+3128|0;y=N+2103|0;z=N+1078|0;t=N+53|0;H=N+52|0;K=N;f[F>>2]=0;f[G>>2]=0;f[E>>2]=0;b[H>>0]=0;k=f[j>>2]|0;if(k|0){j=k;u=N;return j|0}f[i>>2]=0;f[K>>2]=N+8253;f[K+4>>2]=N+7228;r=(h|0)==0;do if(!r){k=b[h>>0]|0;if(!(k<<24>>24)){b[J>>0]=0;break}if(zo(h)|0){Jx(J,h)|0;break}l=0;o=0;a:while(1){while(1){if(!(k<<24>>24))break a;l=l+1|0;n=b[h+l>>0]|0;if(k<<24>>24!=47)break;if(n<<24>>24!=47){k=47;break}else k=47}b[m+o>>0]=k;k=n;o=o+1|0}b[m+o>>0]=0;k=b[m>>0]|0;if(!(k<<24>>24))k=J;else{n=k;k=J;do{l=n&255;if((n&255)>31&n<<24>>24>-1?(b[84387+(l+-32)>>0]|0)!=0:0){b[k>>0]=n;k=k+1|0}else{b[k>>0]=37;b[k+1>>0]=b[84483+(l>>>4)>>0]|0;b[k+2>>0]=b[84483+(l&15)>>0]|0;k=k+3|0}m=m+1|0;n=b[m>>0]|0}while(n<<24>>24!=0)}b[k>>0]=0;if((b[J>>0]|0)!=47){Ao(t,j)|0;h=t+(Bx(t)|0)|0;b[h>>0]=47;b[h+1>>0]=0;xz(t,J)|0;Bo(t,J,j)|0}}else b[J>>0]=0;while(0);l=oo(a,L,w,x,I,A,p,q,j)|0;f[j>>2]=l;l=qo(a,G,j)|0;f[j>>2]=l;k=(f[i>>2]|0)==0;b:do if(!((f[G>>2]|0)<1|k^1)?(s=f[q>>2]|0,(l|0)==0):0){l=1;while(1){k=f[L>>2]|0;if(!((k|0)!=0?(Km(a,k,l,((l|0)<0)<<31>>31,1,0,1,0,H,K,v,j)|0,(Ax(f[K>>2]|0,c)|0)!=0):0))M=26;c:do if((M|0)==26){M=0;k=f[w>>2]|0;if(k|0?(Km(a,k,l,((l|0)<0)<<31>>31,1,0,1,0,H,K,v,j)|0,Ax(f[K>>2]|0,d)|0):0)break;k=f[x>>2]|0;if(k|0?(jm(a,k,l,((l|0)<0)<<31>>31,1,0,1,0,0,E,v,j)|0,(f[E>>2]|0)!=(e|0)):0)break;k=f[I>>2]|0;d:do if(k|0){switch(s|0){case 2:case 12:break;default:break d}Bm(a,k,l,((l|0)<0)<<31>>31,1,0,1,0,0,F,v,j)|0;if((f[F>>2]|0)!=(g|0))break c}while(0);if(r){vj(84500);f[i>>2]=l;break}k=f[A>>2]|0;if(!k)k=B;else{Km(a,k,l,((l|0)<0)<<31>>31,1,0,1,0,H,K,v,j)|0;Jx(B,f[K>>2]|0)|0;k=C}b[k>>0]=0;k=b[B>>0]|0;e:do if(!(k<<24>>24)){k=vo(a,B,C,0,0,0,j)|0;f[j>>2]=k;k=b[B>>0]|0;if(k<<24>>24?!(k<<24>>24==47|(zo(B)|0)!=0):0){Ao(t,j)|0;q=t+(Bx(t)|0)|0;b[q>>0]=47;b[q+1>>0]=0;xz(t,B)|0;Bo(t,B,j)|0}k=b[C>>0]|0;if(k<<24>>24?!(k<<24>>24==47|(zo(C)|0)!=0):0){Ao(t,j)|0;q=t+(Bx(t)|0)|0;b[q>>0]=47;b[q+1>>0]=0;xz(t,C)|0;Bo(t,C,j)|0}}else if(!(k<<24>>24==47|(zo(B)|0)!=0)){Jx(C,B)|0;k=vo(a,y,z,0,0,0,j)|0;f[j>>2]=k;k=b[y>>0]|0;f:do if(!(k<<24>>24))b[B>>0]=0;else{if(!(k<<24>>24==47|(zo(y)|0)!=0)){Ao(t,j)|0;q=t+(Bx(t)|0)|0;b[q>>0]=47;b[q+1>>0]=0;xz(t,y)|0;Bo(t,y,j)|0}Co(y,B,D,j)|0;switch(f[j>>2]|0){case 0:{Jx(B,D)|0;break f}case 125:{f[j>>2]=0;b[B>>0]=0;break f}default:break f}}while(0);k=b[z>>0]|0;if(!(k<<24>>24)){b[C>>0]=0;break}if(!(k<<24>>24==47|(zo(z)|0)!=0)){Ao(t,j)|0;q=t+(Bx(t)|0)|0;b[q>>0]=47;b[q+1>>0]=0;xz(t,z)|0;Bo(t,z,j)|0}Co(z,C,D,j)|0;switch(f[j>>2]|0){case 0:{Jx(C,D)|0;break e}case 125:{f[j>>2]=0;b[C>>0]=0;break e}default:break e}}while(0);if(tw(B,J)|0?tw(C,J)|0:0)break;f[i>>2]=l}while(0);k=(f[i>>2]|0)==0;if((l|0)>=(f[G>>2]|0)|k^1)break b;if(!(f[j>>2]|0))l=l+1|0;else break}}while(0);if(k?(f[j>>2]|0)==0:0){f[j>>2]=342;vj(84555)}j=f[j>>2]|0;u=N;return j|0}function zo(a){a=a|0;var b=0,c=0;b=Cx(a,58)|0;if(((((((((b|0?(c=Cx(a,59)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,47)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,63)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,64)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,38)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,61)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,43)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,36)|0,(c|0)==0|c>>>0>b>>>0):0)?(c=Cx(a,44)|0,(c|0)==0|c>>>0>b>>>0):0){c=1;return c|0}c=0;return c|0}function Ao(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+2064|0;g=k+1025|0;j=k;d=f[c>>2]|0;if(d|0){c=d;u=k;return c|0}Qx(j,1025)|0;d=f[c>>2]|0;if((d|0)<=0){h=0;i=0;a:while(1){e=b[j+h>>0]|0;while(1){if(!(e<<24>>24))break a;h=h+1|0;if(e<<24>>24!=47)break;if((b[j+h>>0]|0)!=47){e=47;break}else e=47}b[g+i>>0]=e;i=i+1|0}b[g+i>>0]=0;if(!d){d=b[g>>0]|0;if(!(d<<24>>24))d=a;else{h=d;d=a;do{e=h&255;if((h&255)>31&h<<24>>24>-1?(b[84387+(e+-32)>>0]|0)!=0:0){b[d>>0]=h;d=d+1|0}else{b[d>>0]=37;b[d+1>>0]=b[84483+(e>>>4)>>0]|0;b[d+2>>0]=b[84483+(e&15)>>0]|0;d=d+3|0}g=g+1|0;h=b[g>>0]|0}while(h<<24>>24!=0)}b[d>>0]=0;d=f[c>>2]|0}f[c>>2]=d}c=d;u=k;return c|0}function Bo(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;e=f[d>>2]|0;if(e|0){d=e;return d|0}o=Lv(8)|0;h=(o|0)==0;if(!h){f[o>>2]=0;f[o+4>>2]=0}b[c>>0]=0;e=Cy(a,84739)|0;do if(e){e=Cx(e+3|0,47)|0;if(!e){Jx(c,a)|0;if(h)break;else{g=36;break}}else{n=e-a|0;Vy(c,a,n)|0;b[c+n>>0]=0;n=e;g=7;break}}else{n=a;g=7}while(0);if((g|0)==7){if((b[n>>0]|0)==47){m=c+(Bx(c)|0)|0;b[m>>0]=47;b[m+1>>0]=0}a=zz(n,89298)|0;a:do if(a|0){m=o+4|0;if(h)while(1)if(!(zz(0,89298)|0))break a;else{j=0;e=0;h=0;g=0;k=0;i=0}while(1){do if(!(tw(a,84743)|0)){if(k|0){if(!i){l=0;h=0;break}a=f[i+8>>2]|0;l=i+4|0;h=a;f[h+4>>2]=f[l>>2];f[(f[l>>2]|0)+8>>2]=h;Mv(i);f[m>>2]=a;a=(f[o>>2]|0)+-1|0;f[o>>2]=a;if(a|0){e=a;g=h;j=h;l=h;k=a;break}f[m>>2]=0;e=0;g=0;j=0;l=0;k=0;h=0;break}if((b[n>>0]|0)==47){l=i;k=0}else{h=Lv(12)|0;f[h>>2]=a;if(!j){f[h+4>>2]=h;a=h+8|0}else{a=j+4|0;l=f[a>>2]|0;f[h+4>>2]=l;f[h+8>>2]=j;f[l+8>>2]=h}f[a>>2]=h;f[m>>2]=h;k=e+1|0;f[o>>2]=k;e=k;g=h;j=h;l=h}}else if(!(tw(a,113854)|0))l=i;else{i=Lv(12)|0;f[i>>2]=a;if(!h){f[i+4>>2]=i;e=i+8|0}else{e=h+4|0;l=f[e>>2]|0;f[i+4>>2]=l;f[i+8>>2]=h;f[l+8>>2]=i}f[e>>2]=i;f[m>>2]=i;k=k+1|0;f[o>>2]=k;e=k;g=i;j=i;l=i;h=i}while(0);a=zz(0,89298)|0;if(!a)break;else i=l}if(e|0){h=o+4|0;do{if(g){n=f[g+4>>2]|0;a=f[n>>2]|0;m=n+4|0;l=f[n+8>>2]|0;f[l+4>>2]=f[m>>2];f[(f[m>>2]|0)+8>>2]=l;Mv(n);e=e+-1|0;f[o>>2]=e;if(!e){f[h>>2]=0;e=0;g=0}}else{g=0;a=0}xz(c,a)|0;n=c+(Bx(c)|0)|0;b[n>>0]=47;b[n+1>>0]=0}while((e|0)!=0)}}while(0);g=c+((Bx(c)|0)+-1)|0;b[g>>0]=0;g=36}if((g|0)==36)Mv(o);d=f[d>>2]|0;return d|0}function Co(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+1040|0;i=j;g=f[e>>2]|0;if(g|0){e=g;u=j;return e|0}Jx(i,a)|0;if((Ix(i,84596,4)|0)!=0?(Ix(i,84601,6)|0)!=0:0){if((b[c>>0]|0)==47){b[d>>0]=47;b[d+1>>0]=0;h=(b[c>>0]|0)==47;g=Bx(d)|0;if(h){a=0;do{h=d+g|0;b[h>>0]=47;b[h+1>>0]=0;a=a+1|0;h=(b[c+a>>0]|0)==47;g=Bx(d)|0}while(h);h=g}else h=g;g=Cy(i,d)|0;if(!g)a=i;else do{a=g+h|0;g=Cy(a,d)|0}while((g|0)!=0);b[d+(h+-1)>>0]=0;g=Cy(a,d)|0;if(!g){g=Hy(a,47)|0;g=g|0?g:i}b[g>>0]=0;xz(i,c)|0}else{h=Hy(i,47)|0;b[(h|0?h+1|0:i)>>0]=0;xz(i,c)|0}g=Bo(i,d,e)|0}else{vj(84608);vj(84664);vj(84717);g=125}f[e>>2]=g;e=g;u=j;return e|0}function Do(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+1040|0;j=k;e=f[d>>2]|0;if(e|0){d=e;u=k;return d|0}Jx(j,a)|0;e=f[d>>2]|0;if(!e){e=b[a>>0]|0;a:do if(!(e<<24>>24))e=j;else{g=e;i=a;e=j;while(1){a=i+1|0;if(g<<24>>24==37){a=b[a>>0]|0;g=a<<24>>24;if(!(a<<24>>24))break a;if((a+-48&255)<10)a=g+-48|0;else a=g+10+((a+-65&255)<6?-65:-97)|0;h=a<<4;b[e>>0]=h;a=b[i+2>>0]|0;if(!(a<<24>>24))break a;g=a<<24>>24;if((a+-48&255)<10)a=g+-48|0;else a=g+10+((a+-65&255)<6?-65:-97)|0;b[e>>0]=a+h;a=i+3|0}else b[e>>0]=g;e=e+1|0;g=b[a>>0]|0;if(!(g<<24>>24))break;else i=a}}while(0);b[e>>0]=0;e=f[d>>2]|0}f[d>>2]=e;Jx(c,j)|0;d=f[d>>2]|0;u=k;return d|0}function Eo(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;K=u;u=u+6512|0;v=K;i=K+48|0;j=K+44|0;k=K+40|0;l=K+36|0;m=K+32|0;n=K+28|0;r=K+24|0;E=K+20|0;o=K+16|0;D=K+12|0;B=K+8|0;I=K+6426|0;A=K+6355|0;t=K+6284|0;w=K+5259|0;C=K+4234|0;F=K+3209|0;G=K+2184|0;H=K+1159|0;z=K+134|0;s=K+53|0;p=K+52|0;q=K+4|0;f[D>>2]=0;f[B>>2]=0;b[p>>0]=0;g=f[e>>2]|0;if(g|0){e=g;u=K;return e|0}h=oo(a,i,j,k,l,m,n,r,e)|0;f[e>>2]=h;if(!h){f[q>>2]=I;g=f[i>>2]|0;do if(g){g=Km(a,g,c,((c|0)<0)<<31>>31,1,0,1,0,p,q,o,e)|0;f[e>>2]=g;if(!(Ax(I,85516)|0)){f[E>>2]=0;break}if(!(Ax(I,91254)|0)){f[E>>2]=0;break}if(!(Ax(I,92122)|0)){f[E>>2]=1;break}if(!(Ax(I,92573)|0)){f[E>>2]=2;break}else{f[E>>2]=-1;break}}else g=0;while(0);f[q>>2]=A;h=f[j>>2]|0;if(h){g=Km(a,h,c,((c|0)<0)<<31>>31,1,0,1,0,p,q,o,e)|0;f[e>>2]=g}h=f[k>>2]|0;if(h){g=jm(a,h,c,((c|0)<0)<<31>>31,1,0,1,0,0,B,o,e)|0;f[e>>2]=g}h=f[l>>2]|0;if(h){g=jm(a,h,c,((c|0)<0)<<31>>31,1,0,1,0,0,D,o,e)|0;f[e>>2]=g}f[q>>2]=F;h=f[m>>2]|0;if(h){g=Km(a,h,c,((c|0)<0)<<31>>31,1,0,1,0,p,q,o,e)|0;f[e>>2]=g}f[q>>2]=t;h=f[n>>2]|0;if(h){g=Km(a,h,c,((c|0)<0)<<31>>31,1,0,1,0,p,q,o,e)|0;f[e>>2]=g}a:do if(!g){h=f[r>>2]|0;b:do switch(h|0){case 3:case 1:case 2:{y=bh(a,d,e)|0;J=55;break}case 0:case 12:case 11:{if(!(Bx(F)|0)){y=bh(a,d,e)|0;J=55;break b}if(Ax(t,85524)|0){f[e>>2]=104;f[v>>2]=t;ww(s,85528,v)|0;vj(s);J=65;break a}if(zo(F)|0){vj(85582);H=ah(5,d,F,1,e)|0;f[e>>2]=H;if(!H)break b;f[e>>2]=0;vj(85628);y=ah(5,d,F,0,e)|0;J=55;break b}vj(85667);if((b[F>>0]|0)==47){vj(85703);H=Do(F,G,e)|0;f[e>>2]=H;vj(85747);H=ah(5,d,G,1,e)|0;f[e>>2]=H;if(!H)break b;f[e>>2]=0;vj(85628);y=ah(5,d,G,0,e)|0;J=55;break b}vj(85791);g=vo(a,w,C,0,0,0,e)|0;f[e>>2]=g;g=b[w>>0]|0;if(g<<24>>24){if(!(g<<24>>24==47|(zo(w)|0)!=0)){Ao(z,e)|0;v=z+(Bx(z)|0)|0;b[v>>0]=47;b[v+1>>0]=0;xz(z,w)|0;Jx(w,z)|0}w=Co(w,F,G,e)|0;f[e>>2]=w;if(w|0){J=65;break a}if(!(zo(G)|0)){w=Do(G,H,e)|0;f[e>>2]=w;Jx(G,H)|0}w=ah(5,d,G,1,e)|0;f[e>>2]=w;if(!w)break b;f[e>>2]=0;vj(85840);w=ah(5,d,G,0,e)|0;f[e>>2]=w;if(!w)break b;f[e>>2]=0}g=b[C>>0]|0;if(g<<24>>24){if(!(g<<24>>24==47|(zo(C)|0)!=0)){Ao(z,e)|0;w=z+(Bx(z)|0)|0;b[w>>0]=47;b[w+1>>0]=0;xz(z,C)|0;Jx(C,z)|0}F=Co(C,F,G,e)|0;f[e>>2]=F;if(F|0){J=65;break a}if(!(zo(G)|0)){F=Do(G,H,e)|0;f[e>>2]=F;Jx(G,H)|0}H=ah(5,d,G,1,e)|0;f[e>>2]=H;if(!H)break b;f[e>>2]=0;vj(85840);H=ah(5,d,G,0,e)|0;f[e>>2]=H;if(!H)break b;f[e>>2]=0}vj(85882);f[e>>2]=342;J=65;break a}default:{J=65;break a}}while(0);if((J|0)==55?(f[e>>2]=y,y|0):0){J=65;break}switch(h|0){case 12:case 2:{g=Hj(f[d>>2]|0,f[D>>2]|0,E,e)|0;f[e>>2]=g;break a}case 11:case 1:{g=Lk(f[d>>2]|0,f[E>>2]|0,A,f[B>>2]|0,e)|0;f[e>>2]=g;if((g|0)!=301)break a;f[e>>2]=342;vj(85924);J=65;break a}case 0:case 3:{if(Bx(I)|0?(I=(Bx(A)|0)!=0,x=f[B>>2]|0,I&(x|0)>0):0){g=Lk(f[d>>2]|0,f[E>>2]|0,A,x,e)|0;f[e>>2]=g;if((g|0)!=301)break a;f[e>>2]=342;vj(85924);J=65;break a}g=Hj(f[d>>2]|0,f[D>>2]|0,E,e)|0;g=(g|0)==107?342:g;f[e>>2]=g;break a}default:{J=65;break a}}}else J=65;while(0);if((J|0)==65)g=f[e>>2]|0;if(!g){e=0;u=K;return e|0}else h=g}g=f[d>>2]|0;if(!g){e=h;u=K;return e|0}Fg(g,e)|0;e=f[e>>2]|0;u=K;return e|0}function Fo(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;da=u;u=u+10976|0;_=da+104|0;aa=da+96|0;$=da+88|0;Q=da+80|0;P=da+72|0;I=da+9941|0;r=da+200|0;s=da+196|0;v=da+192|0;x=da+188|0;z=da+184|0;E=da+180|0;A=da+176|0;o=da+172|0;h=da+168|0;T=da+164|0;S=da+160|0;H=da+156|0;k=da+152|0;F=da+148|0;w=da+144|0;V=da+140|0;q=da+136|0;C=da+132|0;Y=da+128|0;L=da+124|0;l=da+9870|0;m=da+9799|0;G=da+8774|0;n=da+7749|0;M=da+6724|0;N=da+120|0;p=da;t=da+6653|0;B=da+116|0;i=da+6582|0;j=da+6511|0;W=da+5486|0;K=da+4461|0;Z=da+3436|0;U=da+2411|0;J=da+1386|0;D=da+112|0;X=da+1311|0;R=da+1230|0;y=da+1229|0;ba=da+108|0;O=da+204|0;f[A>>2]=0;f[o>>2]=0;f[h>>2]=0;f[T>>2]=6;f[w>>2]=0;f[V>>2]=0;f[q>>2]=0;f[C>>2]=0;f[Y>>2]=0;f[L>>2]=0;f[B>>2]=5001813;b[y>>0]=0;f[ba>>2]=0;g=f[e>>2]|0;if(g|0){e=g;u=da;return e|0}tj(a,F,e)|0;a:do if((f[F>>2]|0)==1){if(!c){g=bh(a,ba,e)|0;f[e>>2]=g;h=Hj(f[ba>>2]|0,d,h,e)|0;f[e>>2]=h;if(h|0){g=0;ca=148;break}g=f[ba>>2]|0}else{f[ba>>2]=c;g=c}h=Nn(g,98876,p,R,e)|0;f[e>>2]=h;if((h|0)!=202){h=b[p>>0]|0;g=Bx(p)|0;if(h<<24>>24==39?(b[p+(g+-1)>>0]|0)==39:0){d=g+-2|0;if((d|0)>0){g=0;do{h=g;g=g+1|0;b[p+h>>0]=b[p+g>>0]|0}while((g|0)!=(d|0))}b[p+d>>0]=0}}else{h=p;f[h>>2]=1296650832;f[h+4>>2]=5853761;f[e>>2]=0}d=(Bx(p)|0)+-1|0;b:do if((d|0)>0){g=0;do{if((b[p+g>>0]|0)!=32)break b;g=g+1|0}while((g|0)<(d|0))}else g=0;while(0);c:do if((d|0)>-1&(g|0)!=(d|0))while(1){g=p+d|0;if((b[g>>0]|0)!=32)break c;b[g>>0]=0;if((d|0)>0)d=d+-1|0;else break}while(0);h=On(f[ba>>2]|0,86518,w,R,e)|0;f[e>>2]=h;if((h|0)==202){f[w>>2]=1;f[e>>2]=0}h=Nn(f[ba>>2]|0,106716,t,R,e)|0;f[e>>2]=h;if((h|0)!=202){h=b[t>>0]|0;g=Bx(t)|0;if(h<<24>>24==39?(b[t+(g+-1)>>0]|0)==39:0){d=g+-2|0;if((d|0)>0){g=0;do{h=g;g=g+1|0;b[t+h>>0]=b[t+g>>0]|0}while((g|0)!=(d|0))}b[t+d>>0]=0}}else{b[t>>0]=0;f[e>>2]=0}d=(Bx(t)|0)+-1|0;d:do if((d|0)>0){g=0;do{if((b[t+g>>0]|0)!=32)break d;g=g+1|0}while((g|0)<(d|0))}else g=0;while(0);e:do if((d|0)>-1&(g|0)!=(d|0))while(1){g=t+d|0;if((b[g>>0]|0)!=32)break e;b[g>>0]=0;if((d|0)>0)d=d+-1|0;else break}while(0);qk(f[ba>>2]|0,A)|0;h=vo(f[ba>>2]|0,G,n,l,m,H,e)|0;f[e>>2]=h;if(!(Bx(G)|0)){Jx(G,n)|0;Jx(l,m)|0}m=vo(a,W,K,i,j,k,e)|0;f[e>>2]=m;if(!m){if(!(f[k>>2]|0)){vj(85966);f[e>>2]=349;g=0;ca=146;break}if((Ax(i,85131)|0)!=0?(Ax(l,85131)|0)!=0:0)b[J>>0]=0;else{m=Ao(J,e)|0;f[e>>2]=m;if(!(Ax(l,85131)|0)){if((b[G>>0]|0)==47)Jx(n,G)|0;else{Jx(n,J)|0;m=n+(Bx(n)|0)|0;b[m>>0]=47;b[m+1>>0]=0;xz(n,G)|0}m=Bo(n,G,e)|0;f[e>>2]=m}if(!(Ax(i,85131)|0)){if((b[W>>0]|0)==47)Jx(K,W)|0;else{Jx(K,J)|0;m=K+(Bx(K)|0)|0;b[m>>0]=47;b[m+1>>0]=0;xz(K,W)|0}m=Bo(K,W,e)|0;f[e>>2]=m}if((Ax(i,85131)|0)==0?(Ax(l,85131)|0)==0:0){Go(G,W,K,e)|0;Go(W,G,n,e)|0;Jx(G,n)|0;Jx(W,K)|0}}k=On(a,86518,V,R,e)|0;f[e>>2]=k;eh(f[(f[(f[ba>>2]|0)+4>>2]|0)+12>>2]|0,Z,e)|0;k=a+4|0;eh(f[(f[k>>2]|0)+12>>2]|0,U,e)|0;if((f[(f[ba>>2]|0)+4>>2]|0)!=(f[k>>2]|0)?vw(Z,U,1025)|0:0)f[V>>2]=0-(f[V>>2]|0);n=qo(a,C,e)|0;f[e>>2]=n;q=yo(a,p,t,f[w>>2]|0,f[A>>2]|0,G,q,e)|0;f[e>>2]=q;f:do switch(q|0){case 342:{f[e>>2]=0;g=f[C>>2]|0;g=Pi(a,g,((g|0)<0)<<31>>31,1,0,e)|0;f[e>>2]=g;f[C>>2]=(f[C>>2]|0)+1;g=oo(a,r,s,v,x,z,E,o,e)|0;f[e>>2]=g;f[D>>2]=p;g=f[r>>2]|0;if(g|0){r=f[C>>2]|0;Iq(a,g,r,((r|0)<0)<<31>>31,1,0,1,0,D,e)|0}f[D>>2]=t;h=f[s>>2]|0;do if(h|0){t=(Bx(t)|0)==0;g=f[C>>2]|0;d=((g|0)<0)<<31>>31;if(t){Wp(a,h,g,d,1,0,1,0,y,e)|0;break}else{Iq(a,h,g,d,1,0,1,0,D,e)|0;break}}while(0);g=f[v>>2]|0;if(g|0){v=f[C>>2]|0;oq(a,g,v,((v|0)<0)<<31>>31,1,0,1,0,w,e)|0}g=f[x>>2]|0;if(g|0){x=f[C>>2]|0;yq(a,g,x,((x|0)<0)<<31>>31,1,0,1,0,A,e)|0}f[D>>2]=G;g:do if(f[z>>2]|0){eh(f[(f[(f[ba>>2]|0)+4>>2]|0)+12>>2]|0,Z,e)|0;eh(f[(f[k>>2]|0)+12>>2]|0,U,e)|0;do if((f[(f[ba>>2]|0)+4>>2]|0)!=(f[k>>2]|0)){if(!(vw(Z,U,1025)|0))break;A=f[C>>2]|0;Iq(a,f[z>>2]|0,A,((A|0)<0)<<31>>31,1,0,1,0,D,e)|0;break g}while(0);A=f[C>>2]|0;Wp(a,f[z>>2]|0,A,((A|0)<0)<<31>>31,1,0,1,0,y,e)|0}while(0);f[D>>2]=B;if(!(f[E>>2]|0)){g=0;break f}eh(f[(f[(f[ba>>2]|0)+4>>2]|0)+12>>2]|0,Z,e)|0;eh(f[(f[k>>2]|0)+12>>2]|0,U,e)|0;do if((f[(f[ba>>2]|0)+4>>2]|0)!=(f[k>>2]|0)){if(!(vw(Z,U,1025)|0))break;g=f[C>>2]|0;Iq(a,f[E>>2]|0,g,((g|0)<0)<<31>>31,1,0,1,0,D,e)|0;g=0;break f}while(0);g=f[C>>2]|0;Wp(a,f[E>>2]|0,g,((g|0)<0)<<31>>31,1,0,1,0,y,e)|0;g=0;break}case 0:{vj(86137);g=341;break}default:{g=0;ca=146;break a}}while(0);if(!(f[e>>2]|0)){tj(f[ba>>2]|0,F,e)|0;if((f[H>>2]|0)==0|(f[F>>2]|0)!=1){vj(86202);vj(G);ca=146;break}d=wo(f[ba>>2]|0,Y,e)|0;f[e>>2]=d;f[S>>2]=1;j=f[Y>>2]|0;h:do if((j|0)>=1){if(d)break;while(1){f[P>>2]=j;ww(X,84371,P)|0;d=On(f[ba>>2]|0,X,L,R,e)|0;f[e>>2]=d;d=f[L>>2]|0;if((d|0)==(f[V>>2]|0)){if((d|0)>=0){ca=89;break}f[Q>>2]=j;ww(X,84379,Q)|0;H=Vn(c,X,N,R,e)|0;f[e>>2]=H;if(!H){Jx(M,f[N>>2]|0)|0;Mv(f[N>>2]|0)}if(Bx(J)|0){do if(!(zo(M)|0)){d=f[e>>2]|0;if((d|0)<=0){i=0;j=0;i:while(1){h=b[M+i>>0]|0;while(1){if(!(h<<24>>24))break i;i=i+1|0;if(h<<24>>24!=47)break;if((b[M+i>>0]|0)!=47){h=47;break}else h=47}b[I+j>>0]=h;j=j+1|0}b[I+j>>0]=0;if(!d){d=b[I>>0]|0;if(!(d<<24>>24))d=K;else{j=I;h=K;do{i=d&255;do if((d&255)>31&d<<24>>24>-1){if(!(b[84387+(i+-32)>>0]|0)){ca=104;break}b[h>>0]=d;h=h+1|0}else ca=104;while(0);if((ca|0)==104){ca=0;b[h>>0]=37;b[h+1>>0]=b[84483+(i>>>4)>>0]|0;b[h+2>>0]=b[84483+(i&15)>>0]|0;h=h+3|0}j=j+1|0;d=b[j>>0]|0}while(d<<24>>24!=0);d=h}b[d>>0]=0;d=f[e>>2]|0}f[e>>2]=d}if((b[K>>0]|0)==47)break;Jx(O,J)|0;H=O+(Bx(O)|0)|0;b[H>>0]=47;b[H+1>>0]=0;xz(O,K)|0;Bo(O,M,e)|0}while(0);do if(!(zo(W)|0)){d=f[e>>2]|0;if((d|0)<=0){i=0;j=0;j:while(1){h=b[W+i>>0]|0;while(1){if(!(h<<24>>24))break j;i=i+1|0;if(h<<24>>24!=47)break;if((b[W+i>>0]|0)!=47){h=47;break}else h=47}b[I+j>>0]=h;j=j+1|0}b[I+j>>0]=0;if(!d){d=b[I>>0]|0;if(!(d<<24>>24))d=K;else{j=I;h=K;do{i=d&255;do if((d&255)>31&d<<24>>24>-1){if(!(b[84387+(i+-32)>>0]|0)){ca=122;break}b[h>>0]=d;h=h+1|0}else ca=122;while(0);if((ca|0)==122){ca=0;b[h>>0]=37;b[h+1>>0]=b[84483+(i>>>4)>>0]|0;b[h+2>>0]=b[84483+(i&15)>>0]|0;h=h+3|0}j=j+1|0;d=b[j>>0]|0}while(d<<24>>24!=0);d=h}b[d>>0]=0;d=f[e>>2]|0}f[e>>2]=d}if((b[K>>0]|0)==47)break;Jx(O,J)|0;H=O+(Bx(O)|0)|0;b[H>>0]=47;b[H+1>>0]=0;xz(O,K)|0;Bo(O,K,e)|0}while(0);j=f[Y>>2]|0}d=(tw(M,K)|0)==0&1}else d=0;H=f[S>>2]|0;f[S>>2]=H+1;d=(d|0)!=0;if(d|(H|0)>=(j|0)){ca=133;break}if(f[e>>2]|0)break h}if((ca|0)==89)f[S>>2]=(f[S>>2]|0)+1;else if((ca|0)==133?!d:0)break;vj(86255);ca=146;break a}while(0);if(!j){f[S>>2]=0;f[e>>2]=202;k:do if((f[T>>2]|0)>0){d=202;h=0;i=1;do{if(!i)break k;f[e>>2]=0;d=In(f[ba>>2]|0,f[4596+(h<<2)>>2]|0,R,e)|0;f[e>>2]=d;h=(f[S>>2]|0)+1|0;f[S>>2]=h;i=(d|0)==202}while((h|0)<(f[T>>2]|0));if(i)ca=140}else ca=140;while(0);if((ca|0)==140){f[e>>2]=0;En(f[ba>>2]|0,T,S,e)|0;Tn(f[ba>>2]|0,f[T>>2]|0,R,e)|0;d=f[e>>2]|0}if(d|0){ca=146;break}}d=j+1|0;f[Y>>2]=d;eh(f[(f[(f[ba>>2]|0)+4>>2]|0)+12>>2]|0,Z,e)|0;eh(f[(f[k>>2]|0)+12>>2]|0,U,e)|0;do if((f[(f[ba>>2]|0)+4>>2]|0)!=(f[k>>2]|0)){if(!(vw(Z,U,1025)|0))break;f[aa>>2]=d;ww(X,84371,aa)|0;ca=f[V>>2]|0;Jp(f[ba>>2]|0,X,ca,((ca|0)<0)<<31>>31,86314,e)|0;f[_>>2]=d;ww(X,84379,_)|0;Ip(f[ba>>2]|0,X,W,86350,e)|0;yr(f[ba>>2]|0,e)|0;ca=146;break a}while(0);f[$>>2]=d;ww(X,84371,$)|0;ca=f[V>>2]|0;Jp(f[ba>>2]|0,X,ca,((ca|0)<0)<<31>>31,86314,e)|0;ca=146}else ca=146}else{g=0;ca=146}}else{vj(85966);f[e>>2]=349;g=0;ca=146}while(0);if((ca|0)==146)if(!c)ca=148;else d=f[e>>2]|0;if((ca|0)==148){d=Fg(f[ba>>2]|0,e)|0;f[e>>2]=d}ca=(d|0)==0?g:d;f[e>>2]=ca;e=ca;u=da;return e|0}function Go(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;g=f[e>>2]|0;if(g|0){e=g;return e|0}b[d>>0]=0;if((zo(a)|0)==0?(b[a>>0]|0)!=47:0)m=6;else m=4;a:do if((m|0)==4){if((zo(c)|0)==0?(b[c>>0]|0)!=47:0){m=6;break}l=Bx(a)|0;k=Bx(c)|0;if((k|0)>0&(l|0)>0){h=0;g=0;while(1){b:do if((h|0)<(k|0))do{if((b[c+h>>0]|0)!=47)break b;h=h+1|0}while((h|0)<(k|0));while(0);c:do if((g|0)<(l|0))do{if((b[a+g>>0]|0)!=47)break c;g=g+1|0}while((g|0)<(l|0));while(0);j=h;while(1)if((j|0)<(k|0)?(b[c+j>>0]|0)!=47:0)j=j+1|0;else{i=g;break}while(1)if((i|0)<(l|0)?(b[a+i>>0]|0)!=47:0)i=i+1|0;else break;if((j|0)!=(i|0))break;if(vw(c+h|0,a+g|0,j-g|0)|0)break;g=j+1|0;h=j+1|0;if(!((h|0)<(k|0)&(g|0)<(l|0)))break a}if((g|0)<(l|0))do{if((b[a+g>>0]|0)==47){k=d+(Bx(d)|0)|0;b[k>>0]=46;b[k+1>>0]=46;b[k+2>>0]=47;b[k+3>>0]=0}g=g+1|0}while((g|0)!=(l|0));xz(d,c+h|0)|0}}while(0);if((m|0)==6){f[e>>2]=125;vj(86379)}e=f[e>>2]|0;return e|0}function Ho(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+1040|0;h=k;i=f[d>>2]|0;if((i|0)>0){d=i;u=k;return d|0}else{g=0;j=0}a:while(1){e=b[a+g>>0]|0;while(1){if(!(e<<24>>24))break a;g=g+1|0;if(e<<24>>24!=47)break;if((b[a+g>>0]|0)!=47){e=47;break}else e=47}b[h+j>>0]=e;j=j+1|0}b[h+j>>0]=0;if(!i){e=b[h>>0]|0;if(e<<24>>24)do{g=e&255;if((e&255)>31&e<<24>>24>-1?(b[84387+(g+-32)>>0]|0)!=0:0){b[c>>0]=e;c=c+1|0}else{b[c>>0]=37;b[c+1>>0]=b[84483+(g>>>4)>>0]|0;b[c+2>>0]=b[84483+(g&15)>>0]|0;c=c+3|0}h=h+1|0;e=b[h>>0]|0}while(e<<24>>24!=0);b[c>>0]=0;c=f[d>>2]|0}else c=i;f[d>>2]=c;d=c;u=k;return d|0}function Io(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if((a|0)==0|(b|0)==0){b=368;return b|0}d=f[55492]|0;g=(d|0)==0;e=f[55491]|0;c=(e|0)>0;if(g&c){b=368;return b|0}if((d|0)!=0&(e|0)<1){b=368;return b|0}a:do if(c){c=0;while(1){if(!(tw(a,f[d+(c<<3)>>2]|0)|0))break;c=c+1|0;if((c|0)>=(e|0))break a}g=d+(c<<3)+4|0;a=(f[g>>2]|0)+1|0;f[g>>2]=a;f[b>>2]=a;b=0;return b|0}while(0);if(g)d=Lv(8)|0;else d=Ov(d,(e<<3)+8|0)|0;if(!d){b=360;return b|0}c=Lv((Bx(a)|0)+1|0)|0;if(!c){Mv(d);b=360;return b|0}else{Jx(c,a)|0;f[55492]=d;a=f[55491]|0;f[d+(a<<3)>>2]=c;f[d+(a<<3)+4>>2]=1;f[b>>2]=1;f[55491]=(f[55491]|0)+1;b=0;return b|0}return 0}function Jo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;if(!a){b=368;return b|0}d=f[55492]|0;g=(d|0)==0;e=f[55491]|0;c=(e|0)>0;if(g&c){b=368;return b|0}if((d|0)!=0&(e|0)<1){b=368;return b|0}a:do if(c){c=0;while(1){if(!(tw(a,f[d+(c<<3)>>2]|0)|0))break;c=c+1|0;if((c|0)>=(e|0))break a}c=d+(c<<3)+4|0;if((f[c>>2]|0)>=(b|0)){b=0;return b|0}f[c>>2]=b;b=0;return b|0}while(0);if(g)d=Lv(8)|0;else d=Ov(d,(e<<3)+8|0)|0;if(!d){b=360;return b|0}c=Lv((Bx(a)|0)+1|0)|0;if(!c){Mv(d);b=360;return b|0}else{Jx(c,a)|0;f[55492]=d;a=f[55491]|0;f[d+(a<<3)>>2]=c;f[d+(a<<3)+4>>2]=b;f[55491]=a+1;b=0;return b|0}return 0}function Ko(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;if((a|0)==0|(c|0)==0){k=362;return k|0}j=Lv(1)|0;f[c>>2]=j;if(!j){k=360;return k|0}else{j=1;i=0}a:while(1){b:while(1){g=_y(a)|0;switch(g|0){case -1:{k=5;break a}case 10:{h=i;d=0;break a}case 13:break;default:break b}}h=i+1|0;d=i+1001|0;d=d-((d|0)%1e3|0)|0;e=f[c>>2]|0;if((d|0)>(j|0)){e=Ov(e,d)|0;if(!e){d=360;break}f[c>>2]=e}else d=j;b[e+i>>0]=g;j=d;i=h}if((k|0)==5){d=(py(a)|0)==0;if(!i){k=367;return k|0}else{h=i;d=d?0:361}}g=h+1|0;e=f[c>>2]|0;if((g|0)!=(j|0)){e=Ov(e,g)|0;if(!e)d=360;else{f[c>>2]=e;k=13}}else k=13;if((k|0)==13){b[e+h>>0]=0;if(!d){k=0;return k|0}}Mv(f[c>>2]|0);f[c>>2]=0;k=d;return k|0}function Lo(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;h=f[a>>2]|0;if(!h){A=362;return A|0}z=a+16|0;u=a+8|0;t=a+4|0;v=a+12|0;x=a+20|0;f[t>>2]=0;f[t+4>>2]=0;f[t+8>>2]=0;f[t+12>>2]=0;f[t+16>>2]=0;a:do switch(b[h>>0]|0){case 10:case 0:{y=3;break}case 9:case 32:{g=h+1|0;switch(b[g>>0]|0){case 10:case 0:{y=3;break a}case 9:case 32:break;default:{i=g;break a}}g=h+2|0;switch(b[g>>0]|0){case 10:case 0:{y=3;break a}case 9:case 32:break;default:{i=g;break a}}g=h+3|0;switch(b[g>>0]|0){case 10:case 0:{y=3;break a}case 9:case 32:break;default:{i=g;break a}}g=h+4|0;switch(b[g>>0]|0){case 10:case 0:{y=3;break a}case 9:case 32:break;default:{i=g;break a}}g=h+5|0;switch(b[g>>0]|0){case 10:case 0:{y=3;break a}case 9:case 32:break;default:{i=g;break a}}g=h+6|0;switch(b[g>>0]|0){case 10:case 0:{y=3;break a}case 9:case 32:break;default:{i=g;break a}}g=h+7|0;switch(b[g>>0]|0){case 10:case 0:{y=3;break a}case 9:case 32:break;default:{i=g;break a}}c=h+8|0;f[z>>2]=c;b:while(1){switch(b[c>>0]|0){case 10:{y=6;break b}case 0:{j=h;break b}default:{}}c=c+1|0}if((y|0)==6){b[c>>0]=0;j=f[a>>2]|0}b[j>>0]=0;f[t>>2]=f[a>>2];f[v>>2]=7;A=0;return A|0}default:i=h}while(0);if((y|0)==3){b[h>>0]=0;A=f[a>>2]|0;f[t>>2]=A;f[z>>2]=A;f[v>>2]=7;A=0;return A|0}f[t>>2]=i;h=0;c:while(1){g=b[i>>0]|0;switch(g<<24>>24){case 10:case 0:{p=h;q=i;s=i;y=18;break c}default:{}}if(!(Ix(86458,i,8)|0)){l=Cx(i,61)|0;y=(l|0)==0;m=(y^1)&1|h;k=b[(y?i:l)>>0]|0;if(y){g=k;n=m}else{y=16;break}}else n=h;switch(g<<24>>24){case 9:case 32:{o=n;r=i;y=17;break c}case 61:{y=14;break c}default:{}}h=n;i=i+1|0}if((y|0)==14){o=n|1;r=i;y=17}else if((y|0)==16)if(!(k<<24>>24)){e=m;c=l}else{o=m;r=l;y=17}if((y|0)==17){p=o;q=r;s=r+1|0;y=18}if((y|0)==18){b[q>>0]=0;e=p;c=s}g=f[t>>2]|0;h=b[g>>0]|0;h=(h+-97&255)<26?(h&255)+224&255:h;d:do if(h<<24>>24<=72){i=72;j=h;a=101674;k=g;while(1){if(i<<24>>24>j<<24>>24){y=23;break}if(!(i<<24>>24))break;a=a+1|0;k=k+1|0;i=b[a>>0]|0;i=(i+-97&255)<26?(i&255)+224&255:i;j=b[k>>0]|0;j=(j+-97&255)<26?(j&255)+224&255:j;if(i<<24>>24<j<<24>>24){y=23;break}}e:do if((y|0)==23){a=h<<24>>24>67;if(a)break d;else{i=67;j=h;k=101682;l=g}do{if(i<<24>>24>j<<24>>24)break;if(!(i<<24>>24))break e;k=k+1|0;l=l+1|0;i=b[k>>0]|0;i=(i+-97&255)<26?(i&255)+224&255:i;j=b[l>>0]|0;j=(j+-97&255)<26?(j&255)+224&255:j}while(i<<24>>24>=j<<24>>24);if(a)break d;else{i=67;j=h;a=92113;k=g}while(1){if(i<<24>>24>j<<24>>24)break d;if(!(i<<24>>24))break e;a=a+1|0;k=k+1|0;i=b[a>>0]|0;i=(i+-97&255)<26?(i&255)+224&255:i;j=b[k>>0]|0;j=(j+-97&255)<26?(j&255)+224&255:j;if(i<<24>>24<j<<24>>24)break d}}while(0);f[z>>2]=c;f:while(1){switch(b[c>>0]|0){case 10:{y=33;break f}case 0:break f;default:{}}c=c+1|0}if((y|0)==33)b[c>>0]=0;f[v>>2]=7;A=0;return A|0}while(0);g:do if(h<<24>>24<=92){j=92;i=86437;while(1){if(j<<24>>24>h<<24>>24)break g;if(!(j<<24>>24))break;i=i+1|0;g=g+1|0;j=b[i>>0]|0;j=(j+-97&255)<26?(j&255)+224&255:j;h=b[g>>0]|0;h=(h+-97&255)<26?(h&255)+224&255:h;if(j<<24>>24<h<<24>>24)break g}h:while(1){switch(b[c>>0]|0){case 9:case 32:break;default:break h}c=c+1|0}f[u>>2]=c;i:while(1){switch(b[c>>0]|0){case 10:{y=44;break i}case 0:break i;default:{}}c=c+1|0}if((y|0)==44)b[c>>0]=0;f[v>>2]=0;A=0;return A|0}while(0);j:while(1){g=b[c>>0]|0;switch(g<<24>>24){case 10:case 0:{A=0;y=80;break j}case 9:case 32:break;default:{if(!((e&1|0)==0&g<<24>>24==61))break j;e=e|1}}c=c+1|0}if((y|0)==80)return A|0;k:do switch(g<<24>>24){case 47:{d=c+1|0;switch(b[d>>0]|0){case 9:case 32:{c=c+2|0;break}default:c=d}f[z>>2]=c;l:while(1){switch(b[c>>0]|0){case 10:break l;case 0:{A=0;y=80;break l}default:{}}c=c+1|0}if((y|0)==80)return A|0;b[c>>0]=0;A=0;return A|0}case 39:{h=c+1|0;f[u>>2]=h;f[v>>2]=2;g=h;m:while(1){c=b[g>>0]|0;n:do switch(c<<24>>24){case 10:case 0:{y=60;break m}case 39:{e=g+1|0;switch(b[e>>0]|0){case 32:case 9:{w=h;d=e;break k}case 10:case 0:{y=62;break m}case 39:break;default:{c=39;e=g;break n}}c=39;break}default:e=g}while(0);b[h>>0]=c;g=e+1|0;h=h+1|0}if((y|0)==60){b[h>>0]=0;A=0;return A|0}else if((y|0)==62){b[h>>0]=0;A=0;return A|0}break}default:{f[u>>2]=c;f[v>>2]=0;o:while(1){switch(b[c>>0]|0){case 10:case 0:break o;case 32:case 9:{y=69;break o}default:{}}c=c+1|0}if((y|0)==69){w=c;d=c+1|0;break k}b[c>>0]=0;A=0;return A|0}}while(0);b[w>>0]=0;p:while(1){switch(b[d>>0]|0){case 47:{y=73;break p}case 10:case 0:{A=0;y=80;break p}case 9:case 32:break;default:{y=79;break p}}d=d+1|0}if((y|0)==73){c=d+1|0;switch(b[c>>0]|0){case 9:case 32:{c=d+2|0;break}default:{}}f[z>>2]=c;q:while(1){switch(b[c>>0]|0){case 10:break q;case 0:{A=0;y=80;break q}default:{}}c=c+1|0}if((y|0)==80)return A|0;b[c>>0]=0;A=0;return A|0}else if((y|0)==79){f[x>>2]=1;A=0;return A|0}else if((y|0)==80)return A|0;return 0}function Mo(a){a=a|0;var c=0,d=0,e=0,g=0;e=u;u=u+1e4|0;d=e;if(!a){a=362;u=e;return a|0}if((f[55489]|0)>9){a=365;u=e;return a|0}g=ey(a,96427)|0;c=f[55489]|0;f[221972+(c<<2)>>2]=g;a:do if(!g){c=Ua(86467)|0;do if(c|0){Vy(d,c,9999)|0;b[d+9999>>0]=0;c=d;while(1){d=zz(c,86489)|0;if(!d){d=9;break}c=Bx(a)|0;c=Lv(c+2+(Bx(d)|0)|0)|0;if(!c){c=360;d=14;break}Jx(c,d)|0;g=c+(Bx(c)|0)|0;b[g>>0]=47;b[g+1>>0]=0;xz(c,a)|0;g=ey(c,96427)|0;f[221972+(f[55489]<<2)>>2]=g;Mv(c);c=f[55489]|0;if(!(f[221972+(c<<2)>>2]|0))c=0;else break a}if((d|0)==9){c=f[55489]|0;if(!(f[221972+(c<<2)>>2]|0))break;else break a}else if((d|0)==14){u=e;return c|0}}while(0);if((b[a>>0]|0)==47|(b[3014191]|0)==0){g=366;u=e;return g|0}c=Bx(a)|0;c=Lv(c+1+(Bx(3014191)|0)|0)|0;if(!c){g=360;u=e;return g|0}Jx(c,3014191)|0;xz(c,a)|0;g=ey(c,96427)|0;f[221972+(f[55489]<<2)>>2]=g;Mv(c);c=f[55489]|0;if(!(f[221972+(c<<2)>>2]|0)){g=366;u=e;return g|0}}while(0);f[55489]=c+1;g=0;u=e;return g|0}function No(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+48|0;n=o+32|0;l=o+24|0;k=o+16|0;j=o;m=o+40|0;c=f[55489]|0;if((c|0)<1){f[1155]=5;n=0;u=o;return n|0}if((c|0)>10){n=365;u=o;return n|0}if(!(f[221972+(c+-1<<2)>>2]|0)){n=362;u=o;return n|0}g=(a|0)==0;a:while(1){c=f[55475]|0;b:while(1){a=f[221972+((f[55489]|0)+-1<<2)>>2]|0;if(c|0){Mv(c);f[55475]=0;f[55476]=0;f[55477]=0;f[55478]=0;f[55479]=0;f[55480]=0;f[55481]=0}if(f[55482]|0){i=10;break a}f[55481]=0;c=Ko(a,221900)|0;switch(c|0){case 367:{i=12;break b}case 0:break;default:{i=72;break a}}if(f[55481]&1|0){c=0;i=72;break a}c=f[55475]|0;switch(b[c>>0]|0){case 35:break;case 0:{i=18;break b}default:break b}}if((i|0)==12){i=0;c=(f[55489]|0)+-1|0;f[55489]=c;a=f[221972+(c<<2)>>2]|0;if(a){ky(a)|0;c=f[55489]|0}f[221972+(c<<2)>>2]=0;if((c|0)<1){i=15;break}else continue}else if((i|0)==18?(i=0,!g):0)continue;c=Lo(221900)|0;if(c|0){i=72;break}a=f[55476]|0;if(!a)continue;c=b[a>>0]|0;c:do if(c<<24>>24){d=0;while(1){if((c+-97&255)<26)b[a+d>>0]=(c&255)+224;e=d+1|0;if((d|0)==7)break c;a=f[55476]|0;if(e>>>0>=(Bx(a)|0)>>>0)break c;c=b[a+e>>0]|0;d=e}}while(0);c=f[1157]|0;if((c|0)==-1){i=30;break}d=f[55476]|0;a=0;while(1){if(!(tw(d,f[4624+(a<<3)>>2]|0)|0))break;a=a+1|0;c=f[4624+(a<<3)+4>>2]|0;if((c|0)==-1){i=30;break a}}f[1155]=c;a=f[55477]|0;if(c|0)break;c=Mo(a)|0;if(c|0){i=72;break}}if((i|0)==10){f[55475]=f[55482];f[55476]=f[55483];f[55477]=f[55484];f[55478]=f[55485];f[55479]=f[55486];f[55480]=f[55487];f[55482]=0;f[55483]=0;f[55484]=0;f[55485]=0;f[55486]=0;f[55487]=0;f[55488]=0;f[55481]=1;n=0;u=o;return n|0}else if((i|0)==15){f[1155]=5;n=0;u=o;return n|0}else if((i|0)==30){f[1155]=-1;a=f[55477]|0}else if((i|0)==72){u=o;return c|0}f[53050]=0;c=f[55478]|0;d:do if(a){if((c|0)==2){f[53050]=2;f[53070]=a;break}c=b[a>>0]|0;c=(c+-97&255)<26?(c&255)+224&255:c;e:do if(c<<24>>24<=84){d=84;e=c;g=86491;h=a;while(1){if(d<<24>>24>e<<24>>24){i=41;break}if(!(d<<24>>24))break;g=g+1|0;h=h+1|0;d=b[g>>0]|0;d=(d+-97&255)<26?(d&255)+224&255:d;e=b[h>>0]|0;e=(e+-97&255)<26?(e&255)+224&255:e;if(d<<24>>24<e<<24>>24){i=41;break}}f:do if((i|0)==41){if(c<<24>>24>70)break e;else{g=70;d=86493;e=a}while(1){if(g<<24>>24>c<<24>>24)break e;if(!(g<<24>>24))break f;d=d+1|0;e=e+1|0;g=b[d>>0]|0;g=(g+-97&255)<26?(g&255)+224&255:g;c=b[e>>0]|0;c=(c+-97&255)<26?(c&255)+224&255:c;if(g<<24>>24<c<<24>>24)break e}}while(0);f[53050]=1;c=b[a>>0]|0;c=(c+-97&255)<26?(c&255)+224&255:c;g:do if(c<<24>>24>84)c=0;else{e=84;d=86491;while(1){if(e<<24>>24>c<<24>>24){c=0;break g}if(!(e<<24>>24)){c=1;break g}d=d+1|0;a=a+1|0;e=b[d>>0]|0;e=(e+-97&255)<26?(e&255)+224&255:e;c=b[a>>0]|0;c=(c+-97&255)<26?(c&255)+224&255:c;if(e<<24>>24<c<<24>>24){c=0;break}}}while(0);b[212280]=c;break d}while(0);f[j>>2]=212280;f[j+4>>2]=212288;f[j+8>>2]=m;h:do if((qy(a,86495,j)|0)==2){switch(b[(f[55477]|0)+(f[m>>2]|0)>>0]|0){case 0:case 10:case 9:case 32:break;default:break h}f[53050]=5;break d}while(0);if(!(f[53050]|0)){c=f[55477]|0;i:do if(Cx(c,46)|0?(f[k>>2]=212280,f[k+4>>2]=m,(qy(c,86507,k)|0)==1):0){a=f[m>>2]|0;c=(f[55477]|0)+a|0;switch(b[c>>0]|0){case 68:break;case 0:case 10:case 9:case 32:{f[53050]=4;break d}default:break i}b[c>>0]=69;c=f[55477]|0;f[l>>2]=212280;f[l+4>>2]=m;qy(c,86507,l)|0;c=f[55477]|0;switch(b[c+(f[m>>2]|0)>>0]|0){case 0:case 10:case 9:case 32:{f[53050]=4;break d}default:{b[c+a>>0]=68;break i}}}while(0);if(!(f[53050]|0)){l=f[55477]|0;f[n>>2]=212280;f[n+4>>2]=m;j:do if((qy(l,86513,n)|0)==1){switch(b[(f[55477]|0)+(f[m>>2]|0)>>0]|0){case 0:case 10:case 9:case 32:break;default:break j}f[53050]=3;break d}while(0);if(!(f[53050]|0)){f[53050]=2;f[53070]=f[55477]}}}}else f[53050]=(c|0)==7?7:6;while(0);c=f[55479]|0;if(!c)b[212296]=0;else{Vy(212296,c,80)|0;b[212375]=0}Vy(212204,f[55476]|0,75)|0;b[212278]=0;n=(Bx(212204)|0)>>>0>75;n=n?368:0;u=o;return n|0}function Oo(a){a=a|0;var c=0,d=0,e=0;a:do if(a){c=a+4|0;if((((((((((tw(98861,c)|0)!=0?(tw(98876,c)|0)!=0:0)?(tw(98813,c)|0)!=0:0)?(tw(98894,c)|0)!=0:0)?(tw(98954,c)|0)!=0:0)?(tw(98969,c)|0)!=0:0)?(tw(101690,c)|0)!=0:0)?(tw(101712,c)|0)!=0:0)?(tw(98922,c)|0)!=0:0)?(tw(86518,c)|0)!=0:0){if((vw(98894,c,5)|0?vw(92423,c,5)|0:0)?vw(92381,c,5)|0:0){c=0;break}if(((b[a+9>>0]|0)+-49&255)>8)c=0;else{c=5;while(1){c=c+1|0;if((c|0)>=8)break;d=b[a+4+c>>0]|0;if((d+-48&255)>=10){e=10;break}}b:do if((e|0)==10){switch(d<<24>>24){case 0:break b;case 32:break;default:{c=0;break a}}while(1){c=c+1|0;if((c|0)>=8){c=368;break a}if((b[a+4+c>>0]|0)!=32){c=0;break a}}}while(0);c=368}}else c=368}else c=362;while(0);return c|0}function Po(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+224|0;p=q;n=q+16|0;l=q+12|0;k=q+24|0;m=q+8|0;if((a|0)==0|(c|0)==0){p=362;u=q;return p|0}f[n>>2]=0;e=f[a>>2]|0;a:do if((e|0)>0){o=a+4|0;j=(d&1|0)!=0;i=0;while(1){g=f[o>>2]|0;d=Oo(g+(i*176|0)|0)|0;f[n>>2]=d;b:do if(!(j|(d|0)==0)){f[n>>2]=0;if((d|0)==368){d=g+(i*176|0)+96|0;if(!(b[d>>0]|0))h=20;else{Gp(c,g+(i*176|0)+4|0,d,n)|0;h=20}}}else switch(f[g+(i*176|0)>>2]|0){case 1:{f[l>>2]=b[g+(i*176|0)+80>>0];kr(c,14,g+(i*176|0)+4|0,l,g+(i*176|0)+96|0,n)|0;h=20;break b}case 2:{xr(c,g+(i*176|0)+4|0,f[g+(i*176|0)+80>>2]|0,g+(i*176|0)+96|0,n)|0;h=20;break b}case 3:{f[m>>2]=f[g+(i*176|0)+80>>2];kr(c,41,g+(i*176|0)+4|0,m,g+(i*176|0)+96|0,n)|0;h=20;break b}case 4:{kr(c,82,g+(i*176|0)+4|0,g+(i*176|0)+80|0,g+(i*176|0)+96|0,n)|0;h=20;break b}case 5:{kr(c,163,g+(i*176|0)+4|0,g+(i*176|0)+80|0,g+(i*176|0)+96|0,n)|0;h=20;break b}case 6:{vr(c,g+(i*176|0)+4|0,g+(i*176|0)+96|0,n)|0;h=20;break b}case 7:{e=g+(i*176|0)+4|0;if(!(tw(101674,e)|0)){Cr(c,g+(i*176|0)+96|0,n)|0;h=20;break b}d=g+(i*176|0)+96|0;if(!(tw(101682,e)|0)){zr(c,d,n)|0;h=20;break b}else{f[p>>2]=e;f[p+4>>2]=d;ww(k,86525,p)|0;cr(c,k,n)|0;h=20;break b}}default:{h=20;break b}}while(0);if((h|0)==20){h=0;d=f[n>>2]|0;if(d|0)break;e=f[a>>2]|0}i=i+1|0;if((i|0)>=(e|0))break a}u=q;return d|0}while(0);Kj(c,n)|0;p=f[n>>2]|0;u=q;return p|0}function Qo(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0;if((a|0)==0|(b|0)==0){a=362;return a|0}e=f[a>>2]|0;c=(e*176|0)+176|0;if(!e)d=Lv(c)|0;else d=Ov(f[a+4>>2]|0,c)|0;if(!d){a=360;return a|0}e=a+4|0;f[e>>2]=d;c=f[a>>2]|0;Lz(d+(c*176|0)|0,b|0,176)|0;do if((f[b>>2]|0)==2?(h=b+80|0,g=f[h>>2]|0,(g|0)!=0):0){b=Lv((Bx(g)|0)+1|0)|0;f[d+(c*176|0)+80>>2]=b;c=f[(f[e>>2]|0)+(c*176|0)+80>>2]|0;if(!c){a=360;return a|0}else{Jx(c,f[h>>2]|0)|0;c=f[a>>2]|0;break}}while(0);f[a>>2]=c+1;a=0;return a|0}function Ro(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=u;u=u+32|0;r=s+8|0;q=s;o=s+20|0;n=s+16|0;m=s+24|0;if((a|0)==0|(c|0)==0){r=362;u=s;return r|0}if(!(f[c>>2]|0)){r=0;u=s;return r|0}f[o>>2]=0;if((d|0)>=999){r=0;u=s;return r|0}p=c+4|0;g=0;k=d;do{k=k+1|0;i=0;e=0;h=3020226;while(1){j=(f[p>>2]|0)+(i*176|0)+4|0;f[q>>2]=n;f[q+4>>2]=m;j=(qy(j,86534,q)|0)==1;d=f[p>>2]|0;if(j)if((f[n>>2]|0)==(k|0)?(f[d+(i*176|0)>>2]|0)==2:0)j=f[d+(i*176|0)+80>>2]|0;else j=e;else{f[r>>2]=n;f[r+4>>2]=m;if((qy(d+(i*176|0)+4|0,86544,r)|0)==1?(l=f[p>>2]|0,(f[n>>2]|0)==(k|0)?(f[l+(i*176|0)>>2]|0)==2:0):0){j=e;h=f[l+(i*176|0)+80>>2]|0}else j=e}d=(j|0)!=0;if(d?b[h>>0]|0:0){e=1;break}if((i|0)<((f[c>>2]|0)+-1|0)){i=i+1|0;e=j}else{e=d;g=1;break}}d=f[o>>2]|0;if(e&(d|0)==0){Si(a,k,h,j,o)|0;d=f[o>>2]|0}}while((d|g|0)==0&(k|0)<999);u=s;return d|0}function So(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;C=u;u=u+4144|0;s=C+8|0;k=C;A=C+4044|0;w=C+4040|0;x=C+4036|0;p=C+4032|0;v=C+4028|0;i=C+4056|0;q=C+4048|0;r=C+32|0;z=C+24|0;t=C+16|0;b[i>>0]=0;B=z+4|0;f[B>>2]=0;f[z>>2]=0;e=No(0)|0;f[A>>2]=e;if(e|0){B=e;u=C;return B|0}e=f[1155]|0;if(!(d&1)){if((e|0)!=3){B=369;u=C;return B|0}}else if((e|0)!=4){B=369;u=C;return B|0}e=Qo(z,212200)|0;f[A>>2]=e;if(!e)h=0;else{B=e;u=C;return B|0}a:while(1){e=No(0)|0;f[A>>2]=e;if(e|0){m=70;break}switch(f[1155]|0){case 4:{m=8;break a}case 1:case 3:case 2:{m=9;break a}case 5:{m=21;break a}default:{}}g=Bx(212204)|0;if((g+-2|0)>>>0<5?(j=g+-1|0,(b[212204+j>>0]|0)==35):0){if(!(b[i>>0]|0)){Lz(i|0,212204,j|0)|0;b[i+j>>0]=0}if((j|0)==(Bx(i)|0))e=((uw(i,212204,j)|0)==0&1)+h|0;else e=h;f[k>>2]=e;ww(212204+g+-1|0,91502,k)|0}else e=h;m=Qo(z,212200)|0;f[A>>2]=m;if(!m)h=e;else{m=61;break}}do if((m|0)==8){f[A>>2]=369;m=61}else if((m|0)==9){if(f[55475]|0)if(!(f[55482]|0)){f[55482]=f[55475];f[55483]=f[55476];f[55484]=f[55477];f[55485]=f[55478];f[55486]=f[55479];f[55487]=f[55480];f[55488]=f[55481];f[55475]=0;f[A>>2]=0;m=21;break}else e=364;else e=363;f[A>>2]=e;m=61}else if((m|0)==70){u=C;return e|0}while(0);b:do if((m|0)==21){Fz(r|0,0,3996)|0;c:do if((f[z>>2]|0)>0){l=0;g=0;h=0;j=0;k=0;while(1){i=f[B>>2]|0;e=i+(l*176|0)+4|0;d:do if(!(tw(98876,e)|0))if((f[i+(l*176|0)>>2]|0)==2){e=f[i+(l*176|0)+80>>2]|0;i=b[e>>0]|0;switch(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24){case 66:{i=b[e+1>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=73){e=k;break d}i=b[e+2>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=78){e=k;break d}i=b[e+3>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=84){e=k;break d}i=b[e+4>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=65){e=k;break d}i=b[e+5>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=66){e=k;break d}i=b[e+6>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=76){e=k;break d}e=b[e+7>>0]|0;e=((e+-97&255)<26?(e&255)+224&255:e)<<24>>24==69?3:k;break d}case 84:{i=b[e+1>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=65){e=k;break d}i=b[e+2>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=66){e=k;break d}i=b[e+3>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=76){e=k;break d}e=b[e+4>>0]|0;e=((e+-97&255)<26?(e&255)+224&255:e)<<24>>24==69?2:k;break d}case 73:{i=b[e+1>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=77){e=k;break d}i=b[e+2>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=65){e=k;break d}i=b[e+3>>0]|0;if(((i+-97&255)<26?(i&255)+224&255:i)<<24>>24!=71){e=k;break d}e=b[e+4>>0]|0;e=((e+-97&255)<26?(e&255)+224&255:e)<<24>>24==69?1:k;break d}default:{e=k;break d}}}else e=k;else{if(!(tw(98861,e)|0)){if((f[i+(l*176|0)>>2]|0)!=1){e=k;break}e=(b[i+(l*176|0)+80>>0]|0)==0?k:1;break}if(!(tw(98813,e)|0)){if((f[i+(l*176|0)>>2]|0)!=3){e=k;break}g=f[i+(l*176|0)+80>>2]|0;e=k;break}if(!(tw(98894,e)|0)){if((f[i+(l*176|0)>>2]|0)!=3){e=k;break}h=f[i+(l*176|0)+80>>2]|0;e=k;break}if(!(tw(106716,e)|0)){if((f[i+(l*176|0)>>2]|0)!=2){e=k;break}j=f[i+(l*176|0)+80>>2]|0;e=k;break}f[s>>2]=p;f[s+4>>2]=q;if(((qy(e,86554,s)|0)==1?(o=f[B>>2]|0,(f[o+(l*176|0)>>2]|0)==3):0)?(n=(f[p>>2]|0)+-1|0,n>>>0<999):0){f[r+(n<<2)>>2]=f[o+(l*176|0)+80>>2];e=k}else e=k}while(0);l=l+1|0;if((l|0)>=(f[z>>2]|0))break;else k=e}switch(e|0){case 1:{if((d&3|0)==2)ar(a,16,0,0,A)|0;ar(a,g,h,r,A)|0;if(f[A>>2]|0){m=61;break b}e=Po(z,a,0)|0;f[A>>2]=e;break}case 3:case 2:{gr(a,(e|0)==2?1:2,0,0,0,0,0,0,0,A)|0;if(f[A>>2]|0){m=61;break b}s=Ro(a,z,0)|0;f[A>>2]=s;if(s|0){m=61;break b}s=Po(z,a,0)|0;f[A>>2]=s;if(s|0){m=61;break b}e=f[r+4>>2]|0;if((e|0)>0){Pi(a,0,0,e,((e|0)<0)<<31>>31,A)|0;e=f[A>>2]|0}else e=0;break}default:break c}if((j|0)!=0&(e|0)==0){e=Io(j,v)|0;f[A>>2]=e;f[t>>2]=f[v>>2];kr(a,41,86518,t,86564,A)|0;e=f[A>>2]|0}e=(e|0)==0;if(!((c|0)>0&e))if(e)break b;else{m=61;break b}qk(a,w)|0;Hj(a,c,x,A)|0;Fo(a,0,f[w>>2]|0,A)|0;Hj(a,f[w>>2]|0,x,A)|0;e=f[A>>2]|0;if(!e)break b;u=C;return e|0}while(0);f[A>>2]=368;m=61}while(0);if((m|0)==61){f[x>>2]=0;aj(a,0,x)|0}g=f[z>>2]|0;e=f[B>>2]|0;if((g|0)>0){h=0;do{if((f[e+(h*176|0)>>2]|0)==2?(y=f[e+(h*176|0)+80>>2]|0,(y|0)!=0):0){Mv(y);e=f[B>>2]|0;f[e+(h*176|0)+80>>2]=0;g=f[z>>2]|0}h=h+1|0}while((h|0)<(g|0))}if(e|0)Mv(e);f[B>>2]=0;f[z>>2]=0;B=f[A>>2]|0;u=C;return B|0}function To(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=u;u=u+208|0;n=s+8|0;m=s;q=s+32|0;j=s+28|0;l=s+24|0;h=s+120|0;i=s+40|0;p=s+16|0;b[i>>0]=0;f[55490]=(f[55490]|0)+1;r=p+4|0;f[r>>2]=0;f[p>>2]=0;f[q>>2]=0;c=lo(a,c,0,q)|0;f[q>>2]=c;if(c|0){r=c;u=s;return r|0}qk(a,j)|0;if((d|0)>0?(Hj(a,d,l,q)|0,Fo(a,0,f[j>>2]|0,q)|0,Hj(a,f[j>>2]|0,l,q)|0,e=f[q>>2]|0,e|0):0){r=e;u=s;return r|0}g=h+79|0;d=0;c=6;do{e=No(0)|0;f[q>>2]=e;if(e|0)break;a:do switch(f[1155]|0){case 5:case 4:{f[q>>2]=369;e=369;break}case 2:{f[55490]=(f[55490]|0)+-1;e=0;d=1;break}case 1:{if((f[53050]|0)==2)Vy(h,f[53070]|0,80)|0;else{e=f[1168]|0;f[1168]=e+1;f[m>>2]=e;ww(h,86597,m)|0}b[g>>0]=0;e=To(a,h,f[j>>2]|0)|0;f[q>>2]=e;break}case 3:{if(f[55475]|0)if(!(f[55482]|0)){f[55482]=f[55475];f[55483]=f[55476];f[55484]=f[55477];f[55485]=f[55478];f[55486]=f[55479];f[55487]=f[55480];f[55488]=f[55481];f[55475]=0;f[q>>2]=0;e=So(a,f[j>>2]|0,0)|0;f[q>>2]=e;break a}else e=364;else e=363;f[q>>2]=e;break}default:{e=Bx(212204)|0;if((e+-2|0)>>>0<5?(k=e+-1|0,(b[212204+k>>0]|0)==35):0){if(!(b[i>>0]|0)){Lz(i|0,212204,k|0)|0;b[i+k>>0]=0}if((k|0)==(Bx(i)|0))c=((uw(i,212204,k)|0)==0&1)+c|0;f[n>>2]=c;ww(212204+e+-1|0,91502,n)|0}e=Qo(p,212200)|0;f[q>>2]=e}}while(0)}while((e|d|0)==0);Hj(a,f[j>>2]|0,l,q)|0;if(!(((f[q>>2]|0)==0?(n=Ro(a,p,6)|0,f[q>>2]=n,(n|0)==0):0)?(n=Po(p,a,0)|0,f[q>>2]=n,!(n|0)):0)){f[l>>2]=0;po(a,0,l)|0}e=f[p>>2]|0;c=f[r>>2]|0;if((e|0)>0){d=0;do{if((f[c+(d*176|0)>>2]|0)==2?(o=f[c+(d*176|0)+80>>2]|0,(o|0)!=0):0){Mv(o);c=f[r>>2]|0;f[c+(d*176|0)+80>>2]=0;e=f[p>>2]|0}d=d+1|0}while((d|0)<(e|0))}if(c|0)Mv(c);f[r>>2]=0;f[p>>2]=0;r=f[q>>2]|0;u=s;return r|0}function Uo(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=u;u=u+192|0;s=t;m=t+20|0;o=t+16|0;k=t+12|0;j=t+8|0;r=t+104|0;n=t+24|0;l=t+4|0;if(!d){d=362;u=t;return d|0}e=f[d>>2]|0;if(e|0){d=e;u=t;return d|0}if((a|0)==0|(c|0)==0){f[d>>2]=362;d=362;u=t;return d|0}f[55489]=0;f[55490]=0;f[1168]=1;b[3014191]=0;e=f[55492]|0;g=(e|0)==0;i=f[55491]|0;h=(i|0)>0;if(!(g&h)?!((e|0)!=0&(i|0)<1):0){if(!(g&(i|0)==0)){if(h){h=0;while(1){g=f[e+(h<<3)>>2]|0;if(!g)g=i;else{Mv(g);f[(f[55492]|0)+(h<<3)>>2]=0;e=f[55492]|0;g=f[55491]|0}f[e+(h<<3)+4>>2]=0;h=h+1|0;if((h|0)>=(g|0))break;else i=g}}Mv(e);f[55492]=0;f[55491]=0}qk(a,m)|0;do if((f[m>>2]|0)<2){Hj(a,1,o,d)|0;En(a,k,j,d)|0;Hj(a,f[m>>2]|0,o,d)|0;e=f[d>>2]|0;if(!e){h=(f[k>>2]|0)<1&1;break}else{d=e;u=t;return d|0}}else{g=2;while(1){f[d>>2]=0;Hj(a,1,o,d)|0;if(f[d>>2]|0){q=18;break}Kn(a,16,106716,n,0,d)|0;a:do if(!(f[d>>2]|0)){Kn(a,41,86518,l,0,d)|0;e=f[l>>2]|0;switch(f[d>>2]|0){case 204:{f[d>>2]=0;e=1;break}case 0:break;default:break a}k=Jo(n,e)|0;f[d>>2]=k}while(0);e=f[m>>2]|0;if((g|0)<(e|0))g=g+1|0;else break}if((q|0)==18)e=f[m>>2]|0;Hj(a,e,o,d)|0;e=f[d>>2]|0;if(!e)h=0;else{d=e;u=t;return d|0}}while(0);e=Mo(c)|0;f[d>>2]=e;if(e|0){d=e;u=t;return d|0}g=Bx(c)|0;while(1){e=g+-1|0;if((e|0)<=-1)break;if((b[c+e>>0]|0)==47){q=29;break}else g=e}if((q|0)==29?(p=(g|0)<999?g:999,(g|0)>0):0){Lz(3014191,c|0,p|0)|0;b[3014191+p>>0]=0}j=r+79|0;g=0;while(1){e=No(1)|0;if(e|0){j=e;break}switch(f[1155]|0){case 4:{if(h)if(f[55475]|0)if(!(f[55482]|0)){f[55482]=f[55475];f[55483]=f[55476];f[55484]=f[55477];f[55485]=f[55478];f[55486]=f[55479];f[55487]=f[55480];f[55488]=f[55481];f[55475]=0;i=0;e=So(a,0,3)|0}else{i=h;e=364}else{i=h;e=363}else{i=0;e=369}break}case 3:{if(f[55475]|0)if(!(f[55482]|0)){f[55482]=f[55475];f[55483]=f[55476];f[55484]=f[55477];f[55485]=f[55478];f[55486]=f[55479];f[55487]=f[55480];f[55488]=f[55481];f[55475]=0;i=0;e=So(a,0,h|0?2:0)|0}else{i=h;e=364}else{i=h;e=363}break}case 1:{if((f[53050]|0)==2)Vy(r,f[53070]|0,80)|0;else{q=f[1168]|0;f[1168]=q+1;f[s>>2]=q;ww(r,86597,s)|0}b[j>>0]=0;i=0;e=To(a,r,0)|0;break}case 5:{g=1;i=h;e=0;break}default:{i=h;e=369}}if(!(g|e))h=i;else{j=e;break}}e=f[55475]|0;if(e|0){Mv(e);f[55475]=0;f[55476]=0;f[55477]=0;f[55478]=0;f[55479]=0;f[55480]=0;f[55481]=0}e=f[55482]|0;if(e|0){Mv(e);f[55482]=0;f[55483]=0;f[55484]=0;f[55485]=0;f[55486]=0;f[55487]=0;f[55488]=0}e=f[55492]|0;s=(e|0)==0;h=f[55491]|0;g=(h|0)>0;if(!(s&g)?!((e|0)!=0&(h|0)<1|s&(h|0)==0):0){if(g){i=0;do{g=f[e+(i<<3)>>2]|0;if(g){Mv(g);f[(f[55492]|0)+(i<<3)>>2]=0;e=f[55492]|0;h=f[55491]|0}f[e+(i<<3)+4>>2]=0;i=i+1|0}while((i|0)<(h|0))}Mv(e);f[55492]=0;f[55491]=0}f[d>>2]=j;d=j;u=t;return d|0}f[d>>2]=368;d=368;u=t;return d|0}function Vo(a,c,d,e,g,h,i,j,k,l,m,n,o,q){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;var r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0;U=u;u=u+48|0;T=U+12|0;R=U+16|0;S=U+8|0;Q=U;f[S>>2]=0;r=f[q>>2]|0;if((r|0)>0){q=r;u=U;return q|0}f[d>>2]=2;f[c>>2]=31;p[m>>3]=1.0;f[o>>2]=0;b[n>>0]=0;b[e>>0]=0;b[j>>0]=0;b[k>>0]=0;b[l>>0]=0;p[g>>3]=-9.1191291391491e-36;p[h>>3]=-9.1191291391491e-36;p[i>>3]=-9.1191291391491e-36;s=e+71|0;b[s>>0]=0;t=j+71|0;b[t>>0]=0;v=k+71|0;b[v>>0]=0;w=l+71|0;b[w>>0]=0;x=g+8|0;p[x>>3]=-9.1191291391491e-36;y=h+8|0;p[y>>3]=-9.1191291391491e-36;z=i+8|0;p[z>>3]=-9.1191291391491e-36;A=e+142|0;b[A>>0]=0;B=j+142|0;b[B>>0]=0;C=k+142|0;b[C>>0]=0;D=l+142|0;b[D>>0]=0;F=g+16|0;p[F>>3]=-9.1191291391491e-36;G=h+16|0;p[G>>3]=-9.1191291391491e-36;E=i+16|0;p[E>>3]=-9.1191291391491e-36;H=e+213|0;b[H>>0]=0;I=j+213|0;b[I>>0]=0;J=k+213|0;b[J>>0]=0;K=l+213|0;b[K>>0]=0;M=g+24|0;p[M>>3]=-9.1191291391491e-36;N=h+24|0;p[N>>3]=-9.1191291391491e-36;L=i+24|0;p[L>>3]=-9.1191291391491e-36;o=a+3|0;f[T>>2]=o;switch(b[o>>0]|0){case 105:{f[c>>2]=21;o=a+4|0;f[T>>2]=o;P=0;break}case 106:{o=a+4|0;f[T>>2]=o;P=0;break}case 114:{f[c>>2]=42;o=a+4|0;f[T>>2]=o;P=0;break}case 100:{f[c>>2]=82;o=a+4|0;f[T>>2]=o;P=0;break}case 98:{f[c>>2]=11;o=a+4|0;f[T>>2]=o;P=0;break}default:P=1}switch(b[o>>0]|0){case 0:{q=f[q>>2]|0;u=U;return q|0}case 32:{r=32;a:while(1){switch(r<<24>>24){case 0:{O=13;break a}case 64:{O=14;break a}case 32:break;default:break a}V=o+1|0;f[T>>2]=V;r=b[V>>0]|0;o=V}if((O|0)==13){V=f[q>>2]|0;u=U;return V|0}do if((O|0)==14)if(!(Ug(o+1|0,S,q)|0)){o=f[S>>2]|0;f[T>>2]=o;r=b[o>>0]|0;if(r<<24>>24!=32)break;do{o=o+1|0;f[T>>2]=o;r=b[o>>0]|0}while(r<<24>>24==32)}else{V=f[q>>2]|0;u=U;return V|0}while(0);b:do if(r<<24>>24==40){t=0;while(1){if((t|0)>=4)break;do{o=o+1|0;f[T>>2]=o}while((b[o>>0]|0)==32);V=wz(o,86650)|0;yz(e+(t*71|0)|0,o,V)|0;o=(f[T>>2]|0)+V|0;while(1){f[T>>2]=o;r=b[o>>0]|0;if(r<<24>>24==32)o=o+1|0;else break}s=t+1|0;if(r<<24>>24==41){O=25;break}else t=s}if((O|0)==25)f[d>>2]=s;if((t|0)==4){vj(86654);vj(a);r=f[S>>2]|0;if(r|0)Mv(r);f[q>>2]=125;V=125;u=U;return V|0}c:while(1){r=o+1|0;f[T>>2]=r;switch(b[r>>0]|0){case 32:{o=r;break}case 0:{O=31;break c}case 61:{O=37;break c}default:{O=34;break c}}}if((O|0)==31){r=f[S>>2]|0;if(r|0)Mv(r);V=f[q>>2]|0;u=U;return V|0}else if((O|0)==34){vj(86729);vj(86767);vj(a);r=f[S>>2]|0;if(r|0)Mv(r);f[q>>2]=125;V=125;u=U;return V|0}else if((O|0)==37){r=o+2|0;while(1){f[T>>2]=r;if((b[r>>0]|0)==32)r=r+1|0;else break}Wo(T,R,g,h,i,j,k,l,q)|0;if((f[q>>2]|0)>0){vj(86729);vj(a);r=f[S>>2]|0;if(r|0)Mv(r);V=f[q>>2]|0;u=U;return V|0}if((f[d>>2]|0)>1){r=1;do{p[g+(r<<3)>>3]=+p[g>>3];p[h+(r<<3)>>3]=+p[h>>3];p[i+(r<<3)>>3]=+p[i>>3];Jx(j+(r*71|0)|0,j)|0;Jx(k+(r*71|0)|0,k)|0;Jx(l+(r*71|0)|0,l)|0;r=r+1|0}while((r|0)<(f[d>>2]|0))}r=f[T>>2]|0;d:while(1){switch(b[r>>0]|0){case 59:break b;case 0:{O=51;break d}case 32:break;default:break d}V=r+1|0;f[T>>2]=V;r=V}if((O|0)==51){V=f[q>>2]|0;u=U;return V|0}vj(86816);vj(a);r=f[S>>2]|0;if(r|0)Mv(r);f[q>>2]=125;V=125;u=U;return V|0}}else{Wo(T,e,g,h,i,j,k,l,q)|0;e:do if((f[q>>2]|0)<=0){r=f[T>>2]|0;f:do switch(b[r>>0]|0){case 59:case 0:{O=67;break}case 32:{o=32;g:while(1){switch(o<<24>>24){case 59:case 0:{O=67;break f}case 44:break g;case 32:break;default:{O=63;break f}}V=r+1|0;f[T>>2]=V;o=b[V>>0]|0;r=V}f[T>>2]=r+1;O=63;break}case 44:{f[T>>2]=r+1;O=63;break}default:{}}while(0);if((O|0)==67){f[d>>2]=1;if(b[e>>0]|0)break b;if(!(+p[g>>3]==-9.1191291391491e-36))break b;if(!(+p[h>>3]==-9.1191291391491e-36))break b;f[d>>2]=2;p[z>>3]=+p[i>>3];break b}h:do if((O|0)==63){Wo(T,s,x,y,z,t,v,w,q)|0;if((f[q>>2]|0)>0)break e;r=f[T>>2]|0;i:do switch(b[r>>0]|0){case 59:case 0:{o=2;O=65;break}case 32:{o=32;j:while(1){switch(o<<24>>24){case 59:case 0:{o=2;O=66;break i}case 44:break j;case 32:break;default:{O=95;break i}}V=r+1|0;f[T>>2]=V;o=b[V>>0]|0;r=V}f[T>>2]=r+1;O=95;break}case 44:{f[T>>2]=r+1;O=95;break}default:break h}while(0);k:do if((O|0)==95){Wo(T,A,F,G,E,B,C,D,q)|0;if((f[q>>2]|0)>0)break e;r=f[T>>2]|0;l:do switch(b[r>>0]|0){case 59:case 0:{o=3;O=65;break k}case 32:{o=32;m:while(1){switch(o<<24>>24){case 59:case 0:{o=3;O=66;break k}case 44:break m;case 32:break;default:break l}V=r+1|0;f[T>>2]=V;o=b[V>>0]|0;r=V}f[T>>2]=r+1;break}case 44:{f[T>>2]=r+1;break}default:break h}while(0);Wo(T,H,M,N,L,I,J,K,q)|0;if((f[q>>2]|0)>0)break e;r=f[T>>2]|0;n:do switch(b[r>>0]|0){case 59:case 0:{o=4;O=65;break k}case 32:{o=32;o:while(1){switch(o<<24>>24){case 59:case 0:{o=4;O=66;break k}case 44:break o;case 32:break;default:break n}V=r+1|0;f[T>>2]=V;o=b[V>>0]|0;r=V}f[T>>2]=r+1;break}case 44:{f[T>>2]=r+1;break}default:break h}while(0);vj(86729);vj(86986);vj(a);f[q>>2]=125;V=125;u=U;return V|0}while(0);if((O|0)==65){f[d>>2]=o;break b}else if((O|0)==66){f[d>>2]=o;break b}}while(0);vj(86927);vj(a);r=f[S>>2]|0;if(r|0)Mv(r);f[q>>2]=125;V=125;u=U;return V|0}while(0);vj(86873);vj(a);r=f[S>>2]|0;if(r|0)Mv(r);V=f[q>>2]|0;u=U;return V|0}while(0);do if((b[r>>0]|0)==59){p:while(1){r=r+1|0;f[T>>2]=r;switch(b[r>>0]|0){case 32:break;case 47:{O=73;break p}default:break p}}if((O|0)==73)ib();Wo(T,n,Q,Q,m,R,R,R,q)|0;if((f[q>>2]|0)>0){vj(87033);vj(a);r=f[S>>2]|0;if(r|0)Mv(r);V=f[q>>2]|0;u=U;return V|0}else{if(!P)break;if(!(+p[m>>3]!=1.0)?(b[n>>0]|0)==0:0)break;f[c>>2]=42;break}}while(0);r=f[T>>2]|0;q:while(1){switch(b[r>>0]|0){case 0:break q;case 32:break;default:{O=85;break q}}V=r+1|0;f[T>>2]=V;r=V}if((O|0)==85){vj(87078);vj(a);f[q>>2]=125}r=f[S>>2]|0;if(r|0)Mv(r);V=f[q>>2]|0;u=U;return V|0}default:{vj(86614);vj(a);f[q>>2]=125;V=125;u=U;return V|0}}return 0}function Wo(a,c,d,e,g,h,i,j,k){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,q=0,r=0,s=0.0;r=u;u=u+80|0;o=r;q=r+4|0;l=f[k>>2]|0;if((l|0)>0){q=l;u=r;return q|0}l=Tg(a,87136,q,o)|0;if(!l)switch(b[f[a>>2]>>0]|0){case 59:case 44:case 0:break;default:n=4}else n=4;a:do if((n|0)==4){if((f[o>>2]|0)==0?(b[f[a>>2]>>0]|0)!=58:0){if((b[q>>0]|0)==35?(m=q+1|0,((b[m>>0]|0)+-48|0)>>>0<10):0)Jx(c,m)|0;else Jx(c,q)|0;l=f[a>>2]|0;b:while(1){switch(b[l>>0]|0){case 61:break b;case 32:break;default:break a}n=l+1|0;f[a>>2]=n;l=n}do{l=l+1|0;f[a>>2]=l}while((b[l>>0]|0)==32);l=Tg(a,87142,q,o)|0}if((b[f[a>>2]>>0]|0)!=58)if(!(f[o>>2]|0)){Jx(j,q)|0;break}else{s=+sz(q,0);p[g>>3]=s;break}do if(l|0)if(!(f[o>>2]|0)){Jx(h,q)|0;break}else{s=+sz(q,0);p[d>>3]=s;break}while(0);f[a>>2]=(f[a>>2]|0)+1;do if(Tg(a,87142,q,o)|0)if(!(f[o>>2]|0)){Jx(i,q)|0;break}else{s=+sz(q,0);p[e>>3]=s;break}while(0);l=f[a>>2]|0;if((b[l>>0]|0)==58?(f[a>>2]=l+1,Tg(a,87142,q,o)|0):0)if(!(f[o>>2]|0)){Jx(j,q)|0;break}else{s=+sz(q,0);p[g>>3]=s;break}}while(0);q=f[k>>2]|0;u=r;return q|0}function Xo(a,c,d,e,g,h,i,j,k,l,m,o,p,q,r,s){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=+o;p=p|0;q=q|0;r=r|0;s=s|0;var t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=u;u=u+112|0;C=F+96|0;A=F+80|0;E=F+72|0;B=F+56|0;y=F+40|0;x=F+24|0;z=F+8|0;D=F;t=f[s>>2]|0;if((t|0)>0){E=t;u=F;return E|0}if((e|0)>4){vj(87147);f[s>>2]=320;E=320;u=F;return E|0}t=f[a>>2]|0;v=f[t>>2]|0;if((v|0)!=(f[(f[t+4>>2]|0)+68>>2]|0))Hj(t,v+1|0,0,s)|0;switch(d|0){case 11:{v=8;break}case 21:{v=16;break}case 31:{v=32;break}case 42:{v=-32;break}case 82:{v=-64;break}default:{f[s>>2]=410;E=410;u=F;return E|0}}if((Yo(f[a>>2]|0,e,g,h,i,j,k,l,m,A,B,y,x,z,s)|0)>0){vj(87184);E=f[s>>2]|0;u=F;return E|0}do if(!(b[p>>0]|0)){n[D>>2]=o;w=21}else{if(!(Kn(f[a>>2]|0,42,p,D,0,s)|0)){o=+n[D>>2];w=21;break}f[s>>2]=0;if((hk(f[a>>2]|0,0,p,E,s)|0)<=0){n[D>>2]=-9.119119840596153e-36;break}vj(87223);vj(p);E=f[s>>2]|0;u=F;return E|0}while(0);do if((w|0)==21){t=o!=-9.119119840596153e-36;if(o<=0.0&t){vj(87279);f[s>>2]=125;E=125;u=F;return E|0}else{if(!((q|0)!=0&t))break;n[D>>2]=1.0/o;break}}while(0);if((Lg(C,c,s)|0)>0){vj(87324);E=f[s>>2]|0;u=F;return E|0}if((ar(f[C>>2]|0,v,e,B,s)|0)>0){vj(87372);E=f[s>>2]|0;u=F;return E|0}if((dk(f[a>>2]|0,f[C>>2]|0,9,e,A,s)|0)>0){vj(87417);E=f[s>>2]|0;u=F;return E|0}Zo(f[a>>2]|0,f[C>>2]|0,e,A,s)|0;_o(f[C>>2]|0,e,y,z,s)|0;if(($o(f[a>>2]|0,f[C>>2]|0,v,e,B,A,y,x,z,+n[D>>2],f[E>>2]|0,q,r,s)|0)>0){vj(87476);E=f[s>>2]|0;u=F;return E|0}else{Fg(f[a>>2]|0,s)|0;f[a>>2]=f[C>>2];E=f[s>>2]|0;u=F;return E|0}return 0}function Yo(a,c,d,e,g,h,i,j,k,l,m,o,q,r,s){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;q=q|0;r=r|0;s=s|0;var t=0,v=0,w=0,x=0.0,y=0.0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0.0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;Q=u;u=u+464|0;I=Q+172|0;P=Q+91|0;M=Q+16|0;N=Q+12|0;L=Q+8|0;K=Q+4|0;J=Q;t=f[s>>2]|0;if((t|0)>0){s=t;u=Q;return s|0}if((c|0)>4){vj(87626);f[s>>2]=320;s=320;u=Q;return s|0}t=f[a>>2]|0;F=a+4|0;if((t|0)!=(f[(f[F>>2]|0)+68>>2]|0))Hj(a,t+1|0,0,s)|0;b[I>>0]=0;v=I+71|0;b[v>>0]=0;t=I+142|0;b[t>>0]=0;z=I+213|0;b[z>>0]=0;f[N>>2]=0;Kn(a,16,87683,I,0,N)|0;a:do if(!(f[N>>2]|0)){w=I;b:while(1){switch(b[w>>0]|0){case 0:break a;case 44:break b;default:{}}w=w+1|0}b[w>>0]=0;do w=w+1|0;while((b[w>>0]|0)==32);Jx(v,w)|0;c:while(1){switch(b[v>>0]|0){case 0:break a;case 44:break c;default:{}}v=v+1|0}b[v>>0]=0;do v=v+1|0;while((b[v>>0]|0)==32);Jx(t,v)|0;d:while(1){switch(b[t>>0]|0){case 0:break a;case 44:break d;default:{}}t=t+1|0}b[t>>0]=0;do t=t+1|0;while((b[t>>0]|0)==32);Jx(z,t)|0}while(0);e:do if((c|0)>0){E=0;w=0;f:while(1){z=d+(E*71|0)|0;g:do if((b[z>>0]|0)==0?(Jx(z,I+(E*71|0)|0)|0,(b[z>>0]|0)==0):0)switch(E|0){case 0:{b[z>>0]=88;b[z+1>>0]=0;break g}case 1:{b[z>>0]=89;b[z+1>>0]=0;break g}case 2:{b[z>>0]=90;b[z+1>>0]=0;break g}case 3:{b[z>>0]=84;b[z+1>>0]=0;break g}default:break g}while(0);C=l+(E<<2)|0;if((hk(a,0,z,C,s)|0)>0){O=31;break}t=f[C>>2]|0;if((f[(f[(f[F>>2]|0)+960>>2]|0)+((t+-1|0)*160|0)+88>>2]|0)>1){O=33;break}kk(a,t,L,0,0,s)|0;D=f[L>>2]|0;if((D|0)<0|(D|0)==16){O=35;break}n[K>>2]=-9.119119840596153e-36;n[J>>2]=-9.119119840596153e-36;v=i+(E*71|0)|0;t=e+(E<<3)|0;if(b[v>>0]|0?Kn(a,82,v,t,0,s)|0:0){O=38;break}x=+p[t>>3];if(!(x!=-9.1191291391491e-36)){$j(89828,f[C>>2]|0,M,s)|0;t=o+(E<<2)|0;if((Kn(a,42,M,t,0,s)|0)>0?(f[s>>2]=0,(cp(a,f[C>>2]|0,t,J,s)|0)>0):0){O=43;break}}else n[o+(E<<2)>>2]=x;v=j+(E*71|0)|0;t=g+(E<<3)|0;if(b[v>>0]|0?Kn(a,82,v,t,0,s)|0:0){O=46;break}x=+p[t>>3];do if(!(x!=-9.1191291391491e-36)){$j(89834,f[C>>2]|0,M,s)|0;t=q+(E<<2)|0;if((Kn(a,42,M,t,0,s)|0)>0){f[s>>2]=0;x=+n[J>>2];if(!(x!=-9.119119840596153e-36))if((cp(a,f[C>>2]|0,K,t,s)|0)>0){O=53;break f}else{D=1;break}else{n[t>>2]=x;D=1;break}}else D=1}else{n[q+(E<<2)>>2]=x;D=w}while(0);t=k+(E*71|0)|0;v=h+(E<<3)|0;if(b[t>>0]|0?Kn(a,82,t,v,0,s)|0:0){O=56;break}x=+p[v>>3];if(x==0.0){O=58;break}do if(!(x!=-9.1191291391491e-36)){f[N>>2]=0;$j(88019,f[C>>2]|0,M,N)|0;if((Kn(a,82,M,v,0,N)|0)>0){B=(+n[q+(E<<2)>>2]-+n[o+(E<<2)>>2])/10.0;t=r+(E<<2)|0;n[t>>2]=B;if(!(B>1.0))break;n[t>>2]=1.0}}else n[r+(E<<2)>>2]=x;while(0);z=o+(E<<2)|0;y=+n[z>>2];C=q+(E<<2)|0;A=+n[C>>2];if(y>A?(H=r+(E<<2)|0,G=+n[H>>2],G>0.0):0){x=G;t=H;O=67}else{t=r+(E<<2)|0;x=+n[t>>2];if(y<A&x<0.0)O=67;else B=x}if((O|0)==67){O=0;B=-x;n[t>>2]=B;y=+n[z>>2];A=+n[C>>2]}t=~~B;v=~~y;w=~~A;do if(!(+(t|0)==B&((f[L>>2]|0)<42&+(v|0)==y&+(w|0)==A))){x=(A-y)/B;if(D|0){f[m+(E<<2)>>2]=~~(x+1.0);break}v=~~x;t=m+(E<<2)|0;f[t>>2]=v;x=y+ +(v|0)*B;if(y<A){if(!(x<A))break;f[t>>2]=v+1;break}else{if(!(x>A))break;f[t>>2]=v+1;break}}else{f[m+(E<<2)>>2]=((w-v|0)/(t|0)|0)+1;w=y<A;n[z>>2]=y+(w?-.5:.5);n[C>>2]=(w?.5:-.5)+ +n[C>>2]}while(0);E=E+1|0;if((E|0)>=(c|0))break e;else w=D}if((O|0)==31){t=P;v=87689;w=t+42|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));xz(P,z)|0;vj(P);s=f[s>>2]|0;u=Q;return s|0}else if((O|0)==33){t=P;v=87731;w=t+28|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));xz(P,z)|0;vj(P);f[s>>2]=410;s=410;u=Q;return s|0}else if((O|0)==35){t=P;v=87759;w=t+48|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));xz(P,z)|0;vj(P);f[s>>2]=410;s=410;u=Q;return s|0}else if((O|0)==38){vj(87807);vj(v);s=f[s>>2]|0;u=Q;return s|0}else if((O|0)==43){t=P;v=87851;w=t+51|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));xz(P,z)|0;vj(P);s=f[s>>2]|0;u=Q;return s|0}else if((O|0)==46){vj(87902);vj(v);s=f[s>>2]|0;u=Q;return s|0}else if((O|0)==53){t=P;v=87851;w=t+51|0;do{b[t>>0]=b[v>>0]|0;t=t+1|0;v=v+1|0}while((t|0)<(w|0));xz(P,z)|0;vj(P);s=f[s>>2]|0;u=Q;return s|0}else if((O|0)==56){vj(87946);vj(t);s=f[s>>2]|0;u=Q;return s|0}else if((O|0)==58){vj(87990);f[s>>2]=322;s=322;u=Q;return s|0}}while(0);s=f[s>>2]|0;u=Q;return s|0}function Zo(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+160|0;l=m+8|0;j=m+83|0;k=m+12|0;i=m;g=f[e>>2]|0;if((g|0)<1&(c|0)>0)h=0;else{l=g;u=m;return l|0}do{f[l>>2]=0;g=h;h=h+1|0;$j(87538,h,j,l)|0;Kn(b,16,j,k,0,l)|0;if(f[l>>2]|0){f[l>>2]=0;g=d+(g<<2)|0;$j(92381,f[g>>2]|0,j,l)|0;Kn(a,16,j,k,0,l)|0;if(!(f[l>>2]|0)){$j(87538,h,j,l)|0;kr(b,16,j,k,87544,l)|0}f[l>>2]=0;$j(92456,f[g>>2]|0,j,l)|0;Kn(a,16,j,k,0,l)|0;if(!(f[l>>2]|0)){$j(87560,h,j,l)|0;kr(b,16,j,k,87566,l)|0}p[i>>3]=1.0;f[l>>2]=0;$j(87523,h,j,l)|0;kr(b,82,j,i,87583,l)|0;p[i>>3]=1.0;f[l>>2]=0;$j(87517,h,j,l)|0;kr(b,82,j,i,87599,l)|0;f[l>>2]=0;p[i>>3]=1.0;$j(87529,h,j,l)|0;kr(b,82,j,i,87615,l)|0}}while((h|0)!=(c|0));l=f[e>>2]|0;u=m;return l|0}function _o(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0.0,v=0.0;s=u;u=u+160|0;r=s+8|0;o=s+83|0;q=s+12|0;m=s;h=f[g>>2]|0;if((h|0)<1&(c|0)>0)l=0;else{r=h;u=s;return r|0}do{f[r>>2]=0;k=l;l=l+1|0;$j(87517,l,o,r)|0;Kn(a,82,o,m,0,r)|0;h=f[r>>2]|0;j=+p[m>>3];f[r>>2]=0;$j(87523,l,o,r)|0;Kn(a,82,o,m,0,r)|0;if(!(f[r>>2]|0)){t=+p[m>>3];v=(t-+n[d+(k<<2)>>2])/+n[e+(k<<2)>>2]+.5;p[m>>3]=v;sp(a,o,v,-14,0,r)|0;i=(h|0)==0&j==1.0&t==1.0&1}else i=0;f[r>>2]=0;$j(87529,l,o,r)|0;Kn(a,82,o,m,0,r)|0;if(!(f[r>>2]|0)){v=+p[m>>3];h=e+(k<<2)|0;t=v*+n[h>>2];p[m>>3]=t;sp(a,o,t,-14,0,r)|0;if(!((i|0)==0|v!=1.0)){p[m>>3]=1.0;$j(87523,l,o,r)|0;sp(a,o,+p[m>>3],-14,0,r)|0;$j(87517,l,o,r)|0;v=+n[d+(k<<2)>>2]+ +n[h>>2]*.5;p[m>>3]=v;sp(a,o,v,-14,0,r)|0}}else{h=e+(k<<2)|0;i=0;do{f[r>>2]=0;i=i+1|0;$j(87535,i,q,r)|0;k=q+(Bx(q)|0)|0;b[k>>0]=95;b[k+1>>0]=0;$j(q,l,o,r)|0;Kn(a,82,o,m,0,r)|0;if(!(f[r>>2]|0)){v=+p[m>>3]*+n[h>>2];p[m>>3]=v;sp(a,o,v,-14,0,r)|0}}while((i|0)!=(c|0))}}while((l|0)!=(c|0));r=f[g>>2]|0;u=s;return r|0}function $o(a,b,c,d,e,g,h,i,j,k,l,m,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=+k;l=l|0;m=m|0;o=o|0;p=p|0;var q=0,r=0.0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=u;u=u+448|0;w=F+440|0;C=F+424|0;E=F+408|0;x=F+392|0;D=F+376|0;B=F+360|0;z=F+248|0;A=F;q=f[p>>2]|0;if((q|0)>0){E=q;u=F;return E|0}if((d|0)>4){vj(87147);f[p>>2]=320;E=320;u=F;return E|0}switch(c|0){case 8:{y=11;break}case 16:{y=21;break}case 32:{y=31;break}case -32:{y=42;break}case -64:{y=82;break}default:{f[p>>2]=410;E=410;u=F;return E|0}}q=f[a>>2]|0;if((q|0)!=(f[(f[a+4>>2]|0)+68>>2]|0))Hj(a,q+1|0,0,p)|0;n[z+104>>2]=k;f[z+100>>2]=l;f[z+96>>2]=m;f[z+4>>2]=a;f[z+28>>2]=y;v=z+8|0;f[v>>2]=d;f[z+108>>2]=o;if((d|0)>0){m=0;do{r=+(f[e+(m<<2)>>2]|0);n[C+(m<<2)>>2]=r;s=+n[h+(m<<2)>>2];c=E+(m<<2)|0;n[c>>2]=s;t=+n[i+(m<<2)>>2];q=x+(m<<2)|0;n[q>>2]=t;k=+n[j+(m<<2)>>2];if(!(!(s>t&k>0.0)?!(s<t&k<0.0):0))k=-k;n[D+(m<<2)>>2]=k;kk(a,f[g+(m<<2)>>2]|0,w,0,0,p)|0;if((f[w>>2]|0)<42?+(~~s|0)==s&+(~~t|0)==t&+(~~k|0)==k:0){n[B+(m<<2)>>2]=r+1.0;o=s<t;n[c>>2]=s+(o?-.5:.5);k=t+(o?.5:-.5)}else{q=B+(m<<2)|0;k=(t-s)/k}n[q>>2]=k;m=m+1|0}while((m|0)!=(d|0));q=f[E>>2]|0;c=f[B>>2]|0;m=f[D>>2]|0;l=~~+n[C>>2];d=f[v>>2]|0}else{q=0;c=0;m=0;l=0}f[z+12>>2]=f[g>>2];f[z+48>>2]=q;f[z+64>>2]=c;f[z+80>>2]=m;f[z+32>>2]=l;if(((d|0)>1?(f[z+16>>2]=f[g+4>>2],f[z+52>>2]=f[E+4>>2],f[z+68>>2]=f[B+4>>2],f[z+84>>2]=f[D+4>>2],f[z+36>>2]=~~+n[C+4>>2],(d|0)!=2):0)?(f[z+20>>2]=f[g+8>>2],f[z+56>>2]=f[E+8>>2],f[z+72>>2]=f[B+8>>2],f[z+88>>2]=f[D+8>>2],f[z+40>>2]=~~+n[C+8>>2],(d|0)>3):0){f[z+24>>2]=f[g+12>>2];f[z+60>>2]=f[E+12>>2];f[z+76>>2]=f[B+12>>2];f[z+92>>2]=f[D+12>>2];f[z+44>>2]=~~+n[C+12>>2]}Qp(A,b)|0;Rp(A,y)|0;Sp(A,2)|0;Up(1,A,0,-1,3,z,p)|0;E=f[p>>2]|0;u=F;return E|0}function ap(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0;k=u;u=u+1232|0;i=k+4|0;j=k;f[j>>2]=0;switch(f[h+28>>2]|0){case 82:case 42:case 31:case 21:case 11:{g=Tp(g)|0;f[h>>2]=g;break}default:{}}a=h+8|0;c=f[a>>2]|0;if((c|0)>0){b=h+4|0;e=h+12|0;d=0;do{Pp(i+(d*244|0)|0,f[b>>2]|0,f[e+(d<<2)>>2]|0,42,0)|0;d=d+1|0;c=f[a>>2]|0}while((d|0)<(c|0))}if(!(+n[h+104>>2]==-9.119119840596153e-36)){g=c;Up(g,i,0,0,4,h,j)|0;h=f[j>>2]|0;u=k;return h|0}Pp(i+(c*244|0)|0,f[h+4>>2]|0,f[h+100>>2]|0,42,0)|0;g=(f[a>>2]|0)+1|0;Up(g,i,0,0,4,h,j)|0;h=f[j>>2]|0;u=k;return h|0}function bp(a,c,e,g,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;var m=0.0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if((e|0)==1){c=222012;e=c+112|0;do{f[c>>2]=f[l>>2];c=c+4|0;l=l+4|0}while((c|0)<(e|0));f[55531]=f[55530];l=Tp(k)|0;f[55532]=l;l=f[55505]|0;if((l|0)>1){l=Tp(k+244|0)|0;f[55533]=l;f[55534]=f[55511];l=f[55505]|0;if((l|0)>2){l=Tp(k+488|0)|0;f[55535]=l;l=X(f[55512]|0,f[55534]|0)|0;f[55536]=l;l=f[55505]|0;if((l|0)>3){l=Tp(k+732|0)|0;f[55537]=l;l=X(f[55513]|0,f[55536]|0)|0;f[55538]=l;l=f[55505]|0}}}if((l|0)<(i|0)){v=Tp(k+(l*244|0)|0)|0;f[55539]=v}}if((g|0)<1)return 0;k=f[55532]|0;i=f[55533]|0;o=f[55534]|0;q=f[55535]|0;r=f[55536]|0;s=f[55537]|0;t=f[55538]|0;u=f[55539]|0;l=f[55531]|0;v=1;while(1){if(l){a=(b[l>>0]|0)==0;l=l+1|0;f[55531]=l;if(!a)x=12}else{l=0;x=12}a:do if((x|0)==12){x=0;m=+n[k+(v<<2)>>2];if(!(m==-9.119119840596153e-36)?(m=(m-+n[55515])/+n[55523],w=~~(m+1.0),!(m>+n[55519]|((w|0)<1|(w|0)>(f[55511]|0)))):0){a=f[55505]|0;if((a|0)>1){m=+n[i+(v<<2)>>2];if(m==-9.119119840596153e-36)break;m=(m-+n[55516])/+n[55524];e=~~m;if(m>+n[55520]|(m<0.0|(e|0)>=(f[55512]|0)))break;c=(X(o,e)|0)+w|0;if((a|0)>2){m=+n[q+(v<<2)>>2];if(m==-9.119119840596153e-36)break;m=(m-+n[55517])/+n[55525];e=~~m;if(m>+n[55521]|(m<0.0|(e|0)>=(f[55513]|0)))break;c=(X(r,e)|0)+c|0;if((a|0)>3){m=+n[s+(v<<2)>>2];if(m==-9.119119840596153e-36)break;m=(m-+n[55518])/+n[55526];e=~~m;if(m>+n[55522]|(m<0.0|(e|0)>=(f[55514]|0)))break;c=(X(t,e)|0)+c|0}}}else c=w;m=+n[55529];e=f[55510]|0;a=(e|0)==31;if(m!=-9.119119840596153e-36){if(a){a=(f[55503]|0)+(c<<2)|0;f[a>>2]=(f[a>>2]|0)+~~m;break}switch(e|0){case 21:{a=(f[55503]|0)+(c<<1)|0;d[a>>1]=(j[a>>1]|0)+(~~m&65535);break a}case 42:{a=(f[55503]|0)+(c<<2)|0;n[a>>2]=m+ +n[a>>2];break a}case 82:{a=(f[55503]|0)+(c<<3)|0;p[a>>3]=m+ +p[a>>3];break a}case 11:{a=(f[55503]|0)+c|0;b[a>>0]=(h[a>>0]|0)+(~~m&255);break a}default:break a}}if(!(f[55527]|0)){if(a){a=(f[55503]|0)+(c<<2)|0;f[a>>2]=(f[a>>2]|0)+~~+n[u+(v<<2)>>2];break}switch(e|0){case 21:{a=(f[55503]|0)+(c<<1)|0;d[a>>1]=(j[a>>1]|0)+(~~+n[u+(v<<2)>>2]&65535);break a}case 42:{a=(f[55503]|0)+(c<<2)|0;n[a>>2]=+n[u+(v<<2)>>2]+ +n[a>>2];break a}case 82:{a=(f[55503]|0)+(c<<3)|0;p[a>>3]=+n[u+(v<<2)>>2]+ +p[a>>3];break a}case 11:{a=(f[55503]|0)+c|0;b[a>>0]=(h[a>>0]|0)+(~~+n[u+(v<<2)>>2]&255);break a}default:break a}}else{if(a){a=(f[55503]|0)+(c<<2)|0;f[a>>2]=~~(1.0/+n[u+(v<<2)>>2])+(f[a>>2]|0);break}switch(e|0){case 21:{a=(f[55503]|0)+(c<<1)|0;d[a>>1]=(~~(1.0/+n[u+(v<<2)>>2])&65535)+(j[a>>1]|0);break a}case 42:{a=(f[55503]|0)+(c<<2)|0;n[a>>2]=1.0/+n[u+(v<<2)>>2]+ +n[a>>2];break a}case 82:{a=(f[55503]|0)+(c<<3)|0;p[a>>3]=+p[a>>3]+1.0/+n[u+(v<<2)>>2];break a}case 11:{a=(f[55503]|0)+c|0;b[a>>0]=(~~(1.0/+n[u+(v<<2)>>2])&255)+(h[a>>0]|0);break a}default:break a}}}}while(0);if((v|0)==(g|0))break;else v=v+1|0}return 0}function cp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,o=0,p=0,q=0,r=0;r=u;u=u+4016|0;m=r+4012|0;p=r+4008|0;o=r+8|0;q=r;Kn(a,41,106765,p,0,e)|0;n[q>>2]=-9.119119840596153e-36;n[c>>2]=8999999813669171236817415.0e12;n[d>>2]=-8999999813669171236817415.0e12;g=f[p>>2]|0;if(!g){e=f[e>>2]|0;u=r;return e|0}l=1;while(1){k=(g|0)<100?g:100;al(a,42,b,l,((l|0)<0)<<31>>31,1,0,k,((k|0)<0)<<31>>31,q,o,m,e)|0;if((g|0)>0){h=+n[q>>2];j=0;do{g=o+(j<<2)|0;i=+n[g>>2];if(i!=h){f[c>>2]=f[(+n[c>>2]<i?c:g)>>2];f[d>>2]=f[(+n[d>>2]>i?d:g)>>2]}j=j+1|0}while((j|0)<(k|0))}g=(f[p>>2]|0)-k|0;f[p>>2]=g;if(!g)break;else l=k+l|0}e=f[e>>2]|0;u=r;return e|0}function dp(a,c,d,e,g,h,i,j,k,l,m,o,p,q,r,s){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=+o;p=p|0;q=q|0;r=r|0;s=s|0;var t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;E=u;u=u+112|0;B=E+96|0;z=E+80|0;D=E+72|0;A=E+56|0;x=E+40|0;w=E+24|0;y=E+8|0;C=E;if((f[s>>2]|0)>0){D=0;u=E;return D|0}if((e|0)>4){vj(87147);f[s>>2]=320;D=0;u=E;return D|0}t=f[a>>2]|0;if((t|0)!=(f[(f[a+4>>2]|0)+68>>2]|0))Hj(a,t+1|0,0,s)|0;switch(d|0){case 11:{d=8;break}case 21:{d=16;break}case 31:{d=32;break}case 42:{d=-32;break}case 82:{d=-64;break}default:{f[s>>2]=410;D=0;u=E;return D|0}}if((Yo(a,e,g,h,i,j,k,l,m,z,A,x,w,y,s)|0)>0){vj(87184);D=0;u=E;return D|0}do if(!(b[p>>0]|0)){n[C>>2]=o;v=21}else{if(!(Kn(a,42,p,C,0,s)|0)){o=+n[C>>2];v=21;break}f[s>>2]=0;if((hk(a,0,p,D,s)|0)<=0){n[C>>2]=-9.119119840596153e-36;break}vj(87223);vj(p);D=0;u=E;return D|0}while(0);do if((v|0)==21){t=o!=-9.119119840596153e-36;if(o<=0.0&t){vj(87279);f[s>>2]=125;D=0;u=E;return D|0}else{if(!((q|0)!=0&t))break;n[C>>2]=1.0/o;break}}while(0);if((Lg(B,c,s)|0)>0){vj(87324);D=0;u=E;return D|0}if((ar(f[B>>2]|0,d,e,A,s)|0)>0){vj(87372);D=0;u=E;return D|0}if((dk(a,f[B>>2]|0,9,e,z,s)|0)>0){vj(87417);D=0;u=E;return D|0}Zo(a,f[B>>2]|0,e,z,s)|0;_o(f[B>>2]|0,e,x,y,s)|0;if(($o(a,f[B>>2]|0,d,e,A,z,x,w,y,+n[C>>2],f[D>>2]|0,q,r,s)|0)>0){vj(87476);D=0;u=E;return D|0}else{D=f[B>>2]|0;u=E;return D|0}return 0}function ep(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+112|0;j=k+8|0;g=k;i=k+16|0;f[b>>2]=0;h=ey(a,88238)|0;do if(h){if(yy(h,0,2)|0){vj(88274);vj(a);c=0;break}e=kz(h)|0;if((e|0)<0){vj(88306);vj(a);c=0;break}if(yy(h,0,0)|0){vj(88342);vj(a);c=0;break}d=e+5e3|0;c=Nv(1,d)|0;if(!c){f[g>>2]=d;ww(i,88387,g)|0;vj(i);vj(a);c=0;break}f[b>>2]=d;d=jz(c,1,e,h)|0;ky(h)|0;if((d|0)<1024){f[j>>2]=d;f[j+4>>2]=1024;ww(i,88428,j)|0;vj(i);vj(a);Mv(c);c=0}}else{vj(88241);vj(a);c=0}while(0);u=k;return c|0}function fp(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;d=Nv(161,1)|0;if(!d){vj(88122);c=0}else{e=0;do{f=b[a+(e+c)>>0]|0;b[d+e>>0]=(f+-1&255)<31?32:f;e=e+1|0}while((e|0)!=160);c=d}d=Nv(80,1)|0;if(!d){vj(88025);f=0;Mv(c);return f|0}e=0;a=(b[c>>0]|0)==0&1;while(1){b[d+e>>0]=b[c+a>>0]|0;e=e+1|0;if((e|0)==79)break;else a=a+2|0}Mv(c);return d|0}function gp(a,c){a=a|0;c=c|0;var d=0,e=0;e=Nv(511,1)|0;if(!e){vj(88178);a=0;return a|0}if(!(vw(a,88233,4)|0)){Vy(e,c,255)|0;c=Bx(e)|0;while(1){if((c|0)<=0)break;d=c+-1|0;if((b[e+d>>0]|0)==47)break;else c=d}b[e+c>>0]=0;yz(e,a+4|0,255)|0;a=e;return a|0}if((Cx(a,47)|0)==0?(Cx(a,36)|0)==0:0){Vy(e,c,255)|0;c=Bx(e)|0;while(1){if((c|0)<=0)break;d=c+-1|0;if((b[e+d>>0]|0)==47)break;else c=d}b[e+c>>0]=0;yz(e,a,255)|0;a=e;return a|0}if(vw(a,88174,3)|0){a=e;return a|0}Vy(e,c,255)|0;a=Bx(e)|0;b[e+(a+-3)>>0]=112;b[e+(a+-2)>>0]=105;b[e+(a+-1)>>0]=120;a=e;return a|0}function hp(a,c,e,g,i){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0;$=u;u=u+752|0;_=$+192|0;W=$+184|0;U=$+176|0;P=$+168|0;O=$+160|0;I=$+152|0;H=$+144|0;F=$+136|0;N=$+128|0;D=$+120|0;C=$+112|0;B=$+104|0;M=$+32|0;E=$+24|0;z=$+16|0;y=$+8|0;n=$;Z=$+208|0;V=$+708|0;Y=$+626|0;R=$+545|0;x=$+464|0;j=$+200|0;f[c>>2]=0;f[e>>2]=0;f[g>>2]=0;T=ep(a,j)|0;if(!T){f[i>>2]=104;i=104;u=$;return i|0}Q=f[j>>2]|0;b[Y>>0]=b[88471]|0;b[Y+1>>0]=b[88472]|0;b[Y+2>>0]=b[88473]|0;q=Y+3|0;r=q+77|0;do{b[q>>0]=32;q=q+1|0}while((q|0)<(r|0));b[Y+80>>0]=0;j=Nv(6,1)|0;if(j){S=(b[T>>0]|0)==0;b[j>>0]=b[T+(S&1)>>0]|0;S=S?3:2;b[j+1>>0]=b[T+S>>0]|0;b[j+2>>0]=b[T+(S+2)>>0]|0;S=S|4;b[j+3>>0]=b[T+S>>0]|0;b[j+4>>0]=b[T+(S+2)>>0]|0;S=vw(j,88077,5)|0;Mv(j);if(!S){L=1;t=8}else t=6}else{vj(88025);t=6}if((t|0)==6)if(!(vw(T,88083,5)|0)){L=2;t=8}else{vj(88089);vj(a);t=135}a:do if((t|0)==8){K=(L|0)==2;J=K?86:88;w=K?18:20;A=K?22:24;G=K?50:52;v=K?10:16;j=((((((K?-2046:-2052)+Q|0)/((K?81:162)|0)|0)+24|0)/36|0)*2880|0)+14404|0;f[e>>2]=j;S=Nv(j,1)|0;if(!S){f[n>>2]=j;ww(x,88475,n)|0;vj(a);t=135;break}f[c>>2]=S;Vy(S,Y,80)|0;d[Z>>1]=84;ip(S,98861,Z);s=b[T+v>>0]|0;t=s<<24>>24!=0;j=t&1;f[55540]=j;if((L|0)!=1){j=b[T+14>>0]|0;n=b[T+16>>0]|0;o=b[T+15>>0]|0;r=b[T+17>>0]|0;if(t){b[Z>>0]=j;p=V;q=o;j=n}else{b[V>>0]=j;p=Z;q=n;j=o}b[p>>0]=r;j=(q&255)<<8|(j&255)<<16|h[Z>>0]|h[V>>0]<<24}f[55541]=j;j=b[T+(v+2)>>0]|0;p=b[T+(v|1)>>0]|0;q=b[T+(v+3)>>0]|0;if(t){b[Z>>0]=s;n=V;o=p}else{b[V>>0]=0;n=Z;o=j;j=p}b[n>>0]=q;j=(o&255)<<8|(j&255)<<16|h[Z>>0]|h[V>>0]<<24;switch(j|0){case 12:case 2:{j=8;break}case 3:{j=16;break}case 11:{j=-16;break}case 5:case 4:{j=32;break}case 6:{j=-32;break}case 7:{j=-64;break}default:{f[y>>2]=j;ww(x,88521,y)|0;vj(x);vj(a);t=135;break a}}f[z>>2]=j;ww(V,91502,z)|0;ip(S,98813,V);jp(S,98813,88552);n=b[T+w>>0]|0;j=b[T+(w+2)>>0]|0;p=b[T+(w|1)>>0]|0;q=b[T+(w+3)>>0]|0;if((f[55540]|0)==1){b[z>>0]=n;n=Z;o=p}else{b[Z>>0]=n;n=z;o=j;j=p}b[n>>0]=q;s=(o&255)<<8|(j&255)<<16|h[z>>0]|h[Z>>0]<<24;f[E>>2]=s;ww(V,91502,E)|0;ip(S,98894,V);jp(S,98894,88573);j=b[T+A>>0]|0;n=b[T+(A+2)>>0]|0;o=b[T+(A|1)>>0]|0;r=b[T+(A+3)>>0]|0;if((f[55540]|0)==1){b[E>>0]=j;p=z;q=o;j=n}else{b[z>>0]=j;p=E;q=n;j=o}b[p>>0]=r;f[M>>2]=(q&255)<<8|(j&255)<<16|h[E>>0]|h[z>>0]<<24;ww(V,91502,M)|0;ip(S,92199,V);jp(S,92199,88589);j=S+320|0;x=(s|0)>1;if(x){j=b[T+(A+4)>>0]|0;n=b[T+(A+6)>>0]|0;o=b[T+(A+5)>>0]|0;r=b[T+(A+7)>>0]|0;if((f[55540]|0)==1){b[M>>0]=j;p=E;q=o;j=n}else{b[E>>0]=j;p=M;q=n;j=o}b[p>>0]=r;f[B>>2]=(q&255)<<8|(j&255)<<16|h[M>>0]|h[E>>0]<<24;ww(V,91502,B)|0;ip(S,106765,V);jp(S,106765,88614);j=S+400|0;if((s|0)>2){j=b[T+(A+8)>>0]|0;n=b[T+(A+10)>>0]|0;o=b[T+(A+9)>>0]|0;r=b[T+(A+11)>>0]|0;if((f[55540]|0)==1){b[B>>0]=j;p=M;q=o;j=n}else{b[M>>0]=j;p=B;q=n;j=o}b[p>>0]=r;f[C>>2]=(q&255)<<8|(j&255)<<16|h[B>>0]|h[M>>0]<<24;ww(V,91502,C)|0;ip(S,88639,V);jp(S,88639,88646);j=S+480|0;if((s|0)>3){n=b[T+(A+12)>>0]|0;j=b[T+(A+14)>>0]|0;p=b[T+(A+13)>>0]|0;q=b[T+(A+15)>>0]|0;if((f[55540]|0)==1){b[C>>0]=n;n=B;o=p}else{b[B>>0]=n;n=C;o=j;j=p}b[n>>0]=q;f[D>>2]=(o&255)<<8|(j&255)<<16|h[C>>0]|h[B>>0]<<24;ww(V,91502,D)|0;ip(S,88671,V);jp(S,88671,88678);t=1;v=1;s=S+560|0}else{t=1;v=0;s=j}}else{t=0;v=0;s=j}}else{t=0;v=0;s=j}do if(K){j=Nv(384,1)|0;if(!j){vj(88122);j=0;break}else{n=0;do{D=b[T+(n+638)>>0]|0;b[j+n>>0]=(D+-1&255)<31?32:D;n=n+1|0}while((n|0)!=383)}}else j=fp(T,732)|0;while(0);n=Bx(j)|0;if((n|0)<8){Fz(j+n|0,32,8-n|0)|0;b[j+8>>0]=0}n=Bx(j)|0;n=(n|0)<67?n:67;b[M>>0]=39;w=M+1|0;Vy(w,j,n)|0;b[M+(n+1)>>0]=39;b[M+(n+2)>>0]=0;ip(S,88703,M);jp(S,88703,88710);Mv(j);j=b[T+G>>0]|0;n=b[T+(G+2)>>0]|0;o=b[T+(G|1)>>0]|0;r=b[T+(G+3)>>0]|0;if((f[55540]|0)==1){b[M>>0]=j;p=E;q=o;j=n}else{b[E>>0]=j;p=M;q=n;j=o}b[p>>0]=r;f[N>>2]=(q&255)<<8|(j&255)<<16|h[M>>0]|h[E>>0]<<24;ww(V,91502,N)|0;ip(S,88726,V);jp(S,88726,88734);j=s+160|0;if(x){j=b[T+(G+4)>>0]|0;n=b[T+(G+6)>>0]|0;o=b[T+(G+5)>>0]|0;r=b[T+(G+7)>>0]|0;if((f[55540]|0)==1){b[N>>0]=j;p=M;q=o;j=n}else{b[M>>0]=j;p=N;q=n;j=o}b[p>>0]=r;f[F>>2]=(q&255)<<8|(j&255)<<16|h[N>>0]|h[M>>0]<<24;ww(V,91502,F)|0;ip(S,88762,V);jp(S,88762,88770);r=s+240|0}else r=j;if(t){s=G|8;j=b[T+s>>0]|0;n=b[T+(s+2)>>0]|0;o=b[T+(G|9)>>0]|0;s=b[T+(s+3)>>0]|0;if((f[55540]|0)==1){b[N>>0]=j;p=M;q=o;j=n}else{b[M>>0]=j;p=N;q=n;j=o}b[p>>0]=s;f[H>>2]=(q&255)<<8|(j&255)<<16|h[N>>0]|h[M>>0]<<24;ww(V,91502,H)|0;ip(S,88798,V);jp(S,88798,88806);r=r+80|0}if(v){n=b[T+(G+12)>>0]|0;j=b[T+(G+14)>>0]|0;p=b[T+(G+13)>>0]|0;q=b[T+(G+15)>>0]|0;if((f[55540]|0)==1){b[N>>0]=n;n=M;o=p}else{b[M>>0]=n;n=N;o=j;j=p}b[n>>0]=q;f[I>>2]=(o&255)<<8|(j&255)<<16|h[N>>0]|h[M>>0]<<24;ww(V,91502,I)|0;ip(S,88834,V);jp(S,88834,88842);r=r+80|0}I=Bx(a)|0;I=(I|0)<67?I:67;b[M>>0]=39;Vy(w,a,I)|0;b[M+(I+1)>>0]=39;b[M+(I+2)>>0]=0;ip(S,88870,M);jp(S,88870,88878);do if(K){j=Nv(256,1)|0;if(!j){vj(88122);j=0;break}else{n=0;do{I=b[T+(n+126)>>0]|0;b[j+n>>0]=(I+-1&255)<31?32:I;n=n+1|0}while((n|0)!=255)}}else j=fp(T,412)|0;while(0);if((vw(j,88174,3)|0)==0?(k=gp(j,a)|0,(k|0)!=0):0)Mv(j);else k=j;do if((Cx(k,47)|0)==0?(Cx(k,36)|0)==0:0){j=gp(k,a)|0;if(!j){j=k;break}Mv(k)}else j=k;while(0);k=Cx(j,33)|0;if(!k){a=Bx(j)|0;a=(a|0)<67?a:67;b[M>>0]=39;Vy(w,j,a)|0;b[M+(a+1)>>0]=39;b[M+(a+2)>>0]=0;ip(S,88900,M)}else{I=k+1|0;a=Bx(I)|0;a=(a|0)<67?a:67;b[M>>0]=39;Vy(w,I,a)|0;b[M+(a+1)>>0]=39;b[M+(a+2)>>0]=0;ip(S,88900,M)}Mv(j);jp(S,88900,88908);k=b[T+J>>0]|0;j=b[T+(J+2)>>0]|0;o=b[T+(J|1)>>0]|0;p=b[T+(J+3)>>0]|0;if((f[55540]|0)==1){b[N>>0]=k;k=M;n=o}else{b[M>>0]=k;k=N;n=j;j=o}b[k>>0]=p;f[O>>2]=(((n&255)<<8|(j&255)<<16|h[N>>0]|h[M>>0]<<24)<<1)+-2;ww(V,91502,O)|0;ip(S,88929,V);jp(S,88929,88936);f[P>>2]=L;ww(V,91502,P)|0;ip(S,88976,V);jp(S,88976,88983);if(!(f[55541]|0)){d[Z>>1]=70;ip(S,89017,Z)}else{d[Z>>1]=84;ip(S,89017,Z)}jp(S,89017,89025);j=r+400|0;b[R+80>>0]=0;b:do if(K){q=R;r=q+80|0;do{b[q>>0]=32;q=q+1|0}while((q|0)<(r|0));if((Q|0)>2046){o=2046;k=0}else break;while(1){n=b[T+o>>0]|0;switch(n<<24>>24){case 0:break b;case 10:{Vy(j,R,80)|0;n=vw(R,89067,7)|0;k=j+80|0;q=R;r=q+80|0;do{b[q>>0]=32;q=q+1|0}while((q|0)<(r|0));j=(n|0)==0?j:k;k=0;break}default:{if((k|0)>80){if(vw(R,89067,7)|0){Vy(j,R,80)|0;j=j+80|0;k=9}q=R;r=q+80|0;do{b[q>>0]=32;q=q+1|0}while((q|0)<(r|0))}if(!(n<<24>>24<33|n<<24>>24==127))b[R+k>>0]=n;k=k+1|0}}o=o+1|0;if((o|0)>=(Q|0))break b}}else{k=(f[55540]|0)!=1;q=R;r=q+80|0;do{b[q>>0]=32;q=q+1|0}while((q|0)<(r|0));p=k&1;if((Q|0)>2052){o=2052;k=0}else break;while(1){n=b[T+(o|p)>>0]|0;switch(n<<24>>24){case 0:break b;case 10:{if(vw(R,89067,7)|0){Vy(j,R,80)|0;j=j+80|0}q=R;r=q+80|0;do{b[q>>0]=32;q=q+1|0}while((q|0)<(r|0));k=0;break}default:{if((k|0)>80){if(vw(R,89067,7)|0){Vy(j,R,80)|0;j=j+80|0;k=9}q=R;r=q+80|0;do{b[q>>0]=32;q=q+1|0}while((q|0)<(r|0))}if(!(n<<24>>24<33|n<<24>>24==127))b[R+k>>0]=n;k=k+1|0}}o=o+2|0;if((o|0)>=(Q|0))break b}}while(0);Vy(j,Y,80)|0;j=0;while(1){k=S+j|0;if(!(b[k>>0]|0)){t=119;break}j=j+1|0;if((j|0)>=57600){t=118;break}}do if((t|0)==118){k=S+j|0;t=121}else if((t|0)==119){if((j|0)>0){t=121;break}j=0;n=S}while(0);c:do if((t|0)==121){s=k;n=S;o=S;while(1){r=kp(o,88471,s-o|0)|0;if(!r){j=0;break c}p=(r-n|0)%80|0;j=b[r+3>>0]|0;d:do if((p|0)<=7){e:do if(j<<24>>24>32){switch(j<<24>>24){case 61:case 127:break e;default:{}}j=r+1|0;break d}while(0);j=r+(0-p)|0;if((p|0)>0){q=r+1|0;p=j;do{o=(b[p>>0]|0)==32?o:q;p=p+1|0}while(p>>>0<r>>>0)}if(r>>>0<o>>>0)j=o;else break c}else j=r+1|0;while(0);if(j>>>0<k>>>0)o=j;else{j=0;break}}}while(0);j=j+80|0;k=f[e>>2]|0;k=S+(k-((k>>>0)%2880|0))|0;f[g>>2]=j-n;b[Y>>0]=b[89075]|0;b[Y+1>>0]=b[89076]|0;b[Y+2>>0]=b[89077]|0;if(j>>>0>=k>>>0)break;do{Vy(j,Y,80)|0;j=j+80|0}while(j>>>0<k>>>0)}while(0);if((t|0)==135)f[i>>2]=104;Mv(T);j=f[i>>2]|0;if((j|0)>0){i=j;u=$;return i|0}r=f[g>>2]|0;f[g>>2]=r+2879-(((r+-1|0)>>>0)%2880|0);r=f[c>>2]|0;j=lp(r,88900)|0;do if(j|0)if((Bx(j)|0)<255){Jx(Z,j)|0;break}else{Vy(Z,j,254)|0;break}while(0);j=lp(r,88929)|0;do if(j){Jx(V,j)|0;m=+rz(V);l=m+.001;if(!(l>2147483647.0)){if(m>=0.0){k=~~l;break}l=m+-.001;if(l<-2147483648.0)k=-2147483648;else k=~~l}else k=2147483647}else k=0;while(0);w=Cx(Z,33)|0;w=ey((w|0)==0?Z:w+1|0,88238)|0;f:do if(w){n=Nv(k,1)|0;if(!n){vj(89120);vj(Z);ky(w)|0;f[i>>2]=104;break}j=jz(n,1,k,w)|0;if((j|0)<(k|0)){f[U>>2]=j;f[U+4>>2]=1024;ww(Y,89169,U)|0;vj(Y);Mv(n);ky(w)|0;f[i>>2]=104;break}j=Nv(6,1)|0;if(j){U=(b[n>>0]|0)==0;b[j>>0]=b[n+(U&1)>>0]|0;U=U?3:2;b[j+1>>0]=b[n+U>>0]|0;b[j+2>>0]=b[n+(U+2)>>0]|0;U=U|4;b[j+3>>0]=b[n+U>>0]|0;b[j+4>>0]=b[n+(U+2)>>0]|0;U=vw(j,89206,5)|0;Mv(j);if(U|0)t=156}else{vj(88025);t=156}if((t|0)==156?vw(n,89212,5)|0:0){vj(89218);vj(Z);Mv(n);ky(w)|0;f[i>>2]=104;break}Mv(n);j=lp(r,98894)|0;do if(j){Jx(V,j)|0;m=+rz(V);l=m+.001;if(!(l>2147483647.0)){if(m>=0.0){o=~~l;break}l=m+-.001;if(l<-2147483648.0)o=-2147483648;else o=~~l}else o=2147483647}else o=1;while(0);j=lp(r,92199)|0;do if(j){Jx(V,j)|0;m=+rz(V);l=m+.001;if(!(l>2147483647.0)){if(m>=0.0){v=~~l;break}l=m+-.001;if(l<-2147483648.0)v=-2147483648;else v=~~l}else v=2147483647}else v=1;while(0);j=lp(r,88726)|0;do if(j){Jx(V,j)|0;m=+rz(V);l=m+.001;if(!(l>2147483647.0)){if(m>=0.0){q=~~l;break}l=m+-.001;if(l<-2147483648.0)q=-2147483648;else q=~~l}else q=2147483647}else q=1;while(0);if((o|0)>1){j=lp(r,106765)|0;do if(j){Jx(V,j)|0;m=+rz(V);l=m+.001;if(!(l>2147483647.0)){if(m>=0.0){n=~~l;break}l=m+-.001;if(l<-2147483648.0)n=-2147483648;else n=~~l}else n=2147483647}else n=1;while(0);j=lp(r,88762)|0;if(j|0)Jx(V,j)|0;if((o|0)>2){j=lp(r,88639)|0;do if(!j)k=1;else{Jx(V,j)|0;m=+rz(V);l=m+.001;if(l>2147483647.0){k=2147483647;break}if(m>=0.0){k=~~l;break}l=m+-.001;if(l<-2147483648.0){k=-2147483648;break}k=~~l}while(0);if((o|0)>3){j=lp(r,88671)|0;do if(!j)j=1;else{Jx(V,j)|0;m=+rz(V);l=m+.001;if(l>2147483647.0){j=2147483647;break}if(m>=0.0){j=~~l;break}l=m+-.001;if(l<-2147483648.0){j=-2147483648;break}j=~~l}while(0);p=n;o=k;k=j}else{p=n;o=k;k=1}}else{p=n;o=1;k=1}}else{p=1;o=1;k=1}j=lp(r,98813)|0;do if(j){Jx(V,j)|0;m=+rz(V);l=m+.001;if(!(l>2147483647.0)){if(m>=0.0){t=~~l;break}l=m+-.001;if(l<-2147483648.0)t=-2147483648;else t=~~l}else t=2147483647}else t=0;while(0);n=(((t|0)<0?0-t|0:t)|0)/8|0;s=X(X(X(X(o,v)|0,p)|0,k)|0,n)|0;k=(f[g>>2]|0)+-1+s|0;k=k-((k>>>0)%2880|0)+2880|0;if(k>>>0>(f[e>>2]|0)>>>0){j=Ov(f[c>>2]|0,k)|0;if(!j){f[W>>2]=f[g>>2];ww(Y,89250,W)|0;vj(Y);vj(Z);ky(w)|0;f[i>>2]=104;break}}else j=r;f[c>>2]=j;f[e>>2]=k;j=j+(f[g>>2]|0)|0;f[g>>2]=k;if((q|0)!=(v|0)){r=X(n,q-v|0)|0;q=X(n,v)|0;p=(o|0)>1&(p|0)==1?o:p;if((p|0)>0){n=0;o=j;k=0;while(1){k=(jz(o,1,q,w)|0)+k|0;yy(w,r,1)|0;n=n+1|0;if((n|0)==(p|0))break;else o=o+q|0}}else k=0}else k=jz(j,1,s,w)|0;ky(w)|0;if((k|0)<(s|0)){f[_>>2]=k;f[_+4>>2]=s;ww(Y,89169,_)|0;vj(Y);vj(Z);f[i>>2]=104;break}if(f[55541]|0){_=t+64|0;switch(_>>>4|_<<28|0){case 5:{if((s|0)<2)break f;k=j+s|0;do{Z=b[j>>0]|0;_=j+1|0;b[j>>0]=b[_>>0]|0;b[_>>0]=Z;j=j+2|0}while(j>>>0<k>>>0);break}case 6:{if((s|0)<4)break f;k=j+s|0;do{Z=b[j>>0]|0;e=j+1|0;g=b[e>>0]|0;Y=j+2|0;c=b[Y>>0]|0;_=j+3|0;b[j>>0]=b[_>>0]|0;b[e>>0]=c;b[Y>>0]=g;b[_>>0]=Z;j=j+4|0}while(j>>>0<k>>>0);break}case 3:{if((s|0)<2)break f;k=j+s|0;do{Z=b[j>>0]|0;_=j+1|0;b[j>>0]=b[_>>0]|0;b[_>>0]=Z;j=j+2|0}while(j>>>0<k>>>0);break}case 2:{if((s|0)<4)break f;k=j+s|0;do{Z=b[j>>0]|0;e=j+1|0;g=b[e>>0]|0;Y=j+2|0;c=b[Y>>0]|0;_=j+3|0;b[j>>0]=b[_>>0]|0;b[e>>0]=c;b[Y>>0]=g;b[_>>0]=Z;j=j+4|0}while(j>>>0<k>>>0);break}case 0:{if((s|0)<8)break f;k=j+s|0;do{Z=b[j>>0]|0;Q=j+1|0;g=b[Q>>0]|0;S=j+2|0;c=b[S>>0]|0;U=j+3|0;V=b[U>>0]|0;W=j+4|0;T=b[W>>0]|0;e=j+5|0;R=b[e>>0]|0;Y=j+6|0;P=b[Y>>0]|0;_=j+7|0;b[j>>0]=b[_>>0]|0;b[Q>>0]=P;b[S>>0]=R;b[U>>0]=T;b[W>>0]=V;b[e>>0]=c;b[Y>>0]=g;b[_>>0]=Z;j=j+8|0}while(j>>>0<k>>>0);break}default:break f}}}else{vj(89079);vj(Z);f[i>>2]=104}while(0);i=f[i>>2]|0;u=$;return i|0}function ip(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=u;u=u+160|0;m=r+52|0;p=r;o=Bx(c)|0;q=Bx(d)|0;do if((o|0)==7){if((vw(c,101682,7)|0)!=0?(vw(c,101674,7)|0)!=0:0){e=0;break}else e=0;while(1){f=a+e|0;if(!(b[f>>0]|0)){n=7;break}e=e+1|0;if((e|0)>=57600){n=6;break}}if((n|0)==6){f=a+e|0;n=8}else if((n|0)==7)if((e|0)>0)n=8;else g=0;a:do if((n|0)==8){k=f;l=a;e=a;while(1){j=kp(e,88471,k-e|0)|0;if(!j){g=0;break a}h=(j-l|0)%80|0;g=b[j+3>>0]|0;b:do if((h|0)<=7){c:do if(g<<24>>24>32){switch(g<<24>>24){case 61:case 127:break c;default:{}}e=j+1|0;break b}while(0);g=j+(0-h)|0;if((h|0)>0){i=j+1|0;h=g;do{e=(b[h>>0]|0)==32?e:i;h=h+1|0}while(h>>>0<j>>>0)}if(j>>>0>=e>>>0)break a}else e=j+1|0;while(0);if(e>>>0>=f>>>0){g=0;break}}}while(0);Vy(g+80|0,g,80)|0;Vy(g,c,7)|0;e=g+7|0;f=e+73|0;do{b[e>>0]=32;e=e+1|0}while((e|0)<(f|0));Vy(g+9|0,d,q)|0;u=r;return}else e=0;while(0);while(1){f=a+e|0;if(!(b[f>>0]|0)){n=24;break}e=e+1|0;if((e|0)>=57600){n=23;break}}if((n|0)==23){f=a+e|0;n=25}else if((n|0)==24)if((e|0)>0)n=25;else{e=0;n=38}d:do if((n|0)==25){k=f;l=a;g=a;e:while(1){j=kp(g,c,k-g|0)|0;if(!j){e=0;n=38;break d}h=(j-l|0)%80|0;e=j+(Bx(c)|0)|0;e=b[e>>0]|0;f:do if((h|0)<=7){g:do if(e<<24>>24>32){switch(e<<24>>24){case 61:case 127:break g;default:{}}e=j+1|0;break f}while(0);e=j+(0-h)|0;if((h|0)>0){i=j+1|0;h=e;do{g=(b[h>>0]|0)==32?g:i;h=h+1|0}while(h>>>0<j>>>0)}if(j>>>0<g>>>0)e=g;else break e}else e=j+1|0;while(0);if(e>>>0<f>>>0)g=e;else{e=0;n=38;break d}}if(!e){e=0;n=38}else{Vy(m,e,80)|0;b[m+80>>0]=0;h=e+80|0;f=Cx(m,39)|0;if(!f)f=m;else f=Cx(f+1|0,39)|0;f=Cx(f,47)|0;if(!f){b[p>>0]=0;i=0;break}a=m-f+80|0;Vy(p,f+1|0,a)|0;f=p+a|0;h:do if((f+-1|0)>>>0>p>>>0){f=f+-2|0;while(1){if((b[f>>0]|0)!=32)break h;b[f>>0]=0;if(f>>>0>p>>>0)f=f+-1|0;else break}}while(0);i=Bx(p)|0}}while(0);if((n|0)==38){while(1){if(!(b[a+e>>0]|0)){n=40;break}e=e+1|0;if((e|0)<57600)n=38;else{n=41;break}}if((n|0)==40)if((e|0)>0)n=41;else{e=0;n=56}i:do if((n|0)==41){i=a+e|0;k=i;l=a;e=a;j:while(1){h=kp(e,88471,k-e|0)|0;if(!h){e=0;n=56;break i}g=(h-l|0)%80|0;f=b[h+3>>0]|0;k:do if((g|0)<=7){l:do if(f<<24>>24>32){switch(f<<24>>24){case 61:case 127:break l;default:{}}e=h+1|0;break k}while(0);j=h+(0-g)|0;if((g|0)>0){g=h+1|0;f=j;do{e=(b[f>>0]|0)==32?e:g;f=f+1|0}while(f>>>0<h>>>0)}if(h>>>0>=e>>>0)break j}else e=h+1|0;while(0);if(e>>>0>=i>>>0){e=0;n=56;break i}}if(!((j|0)==0|(j|0)==(a|0))){f=j;while(1){e=f+-80|0;if(!(vw(e,92104,8)|0))f=e;else break}if(!(f>>>0>=j>>>0|(f|0)==0)){e=f;f=f+80|0}else{e=0;n=56}}else{e=0;n=56}}while(0);if((n|0)==56){while(1){f=a+e|0;if(!(b[f>>0]|0)){n=59;break}e=e+1|0;if((e|0)<57600)n=56;else{n=58;break}}if((n|0)==58){f=a+e|0;n=60}else if((n|0)==59)if((e|0)>0)n=60;else e=0;m:do if((n|0)==60){k=f;l=a;g=a;while(1){j=kp(g,88471,k-g|0)|0;if(!j){e=0;break m}h=(j-l|0)%80|0;e=b[j+3>>0]|0;n:do if((h|0)<=7){o:do if(e<<24>>24>32){switch(e<<24>>24){case 61:case 127:break o;default:{}}e=j+1|0;break n}while(0);e=j+(0-h)|0;if((h|0)>0){i=j+1|0;h=e;do{g=(b[h>>0]|0)==32?g:i;h=h+1|0}while(h>>>0<j>>>0)}if(j>>>0<g>>>0)e=g;else break m}else e=j+1|0;while(0);if(e>>>0<f>>>0)g=e;else{e=0;break}}}while(0);f=e+80|0;Vy(f,e,80)|0}b[p>>0]=0;i=0;h=f}g=e;Fz(e|0,32,h+(0-g)|0)|0;Vy(e,c,o)|0;b[e+8>>0]=61;b[e+9>>0]=32;if((b[d>>0]|0)==39){Vy(e+10|0,d,q)|0;f=q+12|0;f=(f|0)>31?f:30}else{Vy(e+30+(0-q)|0,d,q)|0;f=30}if((i|0)<=0){u=r;return}d=(i+2+f|0)>80?78-f|0:i;e=e+f+2|0;b[e>>0]=47;e=e+1|0;Vy(e,p,d)|0;e=e+d|0;if(e>>>0>=h>>>0){u=r;return}d=-3-i-f|0;Fz(e|0,32,h+(((d|0)>-81?d:-81)-g)|0)|0;u=r;return}function jp(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+112|0;m=p;do if((Bx(c)|0)==7){if((vw(c,101682,7)|0)!=0?(vw(c,101674,7)|0)!=0:0){e=0;o=21;break}else e=0;while(1){f=a+e|0;if(!(b[f>>0]|0)){o=7;break}e=e+1|0;if((e|0)>=57600){o=6;break}}if((o|0)==6){f=a+e|0;o=8}else if((o|0)==7)if((e|0)>0)o=8;else e=0;a:do if((o|0)==8){j=f;k=a;e=a;while(1){i=kp(e,88471,j-e|0)|0;if(!i){e=0;break a}g=(i-k|0)%80|0;a=b[i+3>>0]|0;b:do if((g|0)<=7){c:do if(a<<24>>24>32){switch(a<<24>>24){case 61:case 127:break c;default:{}}e=i+1|0;break b}while(0);h=i+(0-g)|0;if((g|0)>0){g=i+1|0;a=h;do{e=(b[a>>0]|0)==32?e:g;a=a+1|0}while(a>>>0<i>>>0)}if(i>>>0>=e>>>0){e=h;break a}}else e=i+1|0;while(0);if(e>>>0>=f>>>0){e=0;break}}}while(0);a=e+80|0;Vy(a,e,80)|0;f=e;g=f+80|0;do{b[f>>0]=32;f=f+1|0}while((f|0)<(g|0));Vy(e,c,7)|0;e=0}else{e=0;o=21}while(0);do if((o|0)==21){while(1){f=a+e|0;if(!(b[f>>0]|0)){o=24;break}e=e+1|0;if((e|0)<57600)o=21;else{o=23;break}}if((o|0)==23)f=a+e|0;else if((o|0)==24)if((e|0)<=0){u=p;return}j=f;k=a;e=a;d:while(1){h=kp(e,c,j-e|0)|0;if(!h){o=46;break}g=(h-k|0)%80|0;a=h+(Bx(c)|0)|0;a=b[a>>0]|0;e:do if((g|0)<=7){f:do if(a<<24>>24>32){switch(a<<24>>24){case 61:case 127:break f;default:{}}e=h+1|0;break e}while(0);i=h+(0-g)|0;if((g|0)>0){g=h+1|0;a=i;do{e=(b[a>>0]|0)==32?e:g;a=a+1|0}while(a>>>0<h>>>0)}if(h>>>0>=e>>>0){o=37;break d}}else e=h+1|0;while(0);if(e>>>0>=f>>>0){o=46;break}}if((o|0)==37){a=i+80|0;if(!i){u=p;return}Vy(m,i,80)|0;e=Cx(m,39)|0;if(((e|0)!=0?(l=Cx(e+1|0,39)|0,(l|0)!=0):0)?(n=l-m|0,(n|0)>=31):0)e=i+n+2|0;else e=i+31|0;b[e>>0]=47;b[e+1>>0]=32;break}else if((o|0)==46){u=p;return}}while(0);f=Bx(d)|0;e=e+2|0;if((f|0)<=0){u=p;return}Vy(e,d,(e+f|0)>>>0>a>>>0?a-e|0:f)|0;u=p;return}function kp(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;if((a|0)==0|(c|0)==0){j=0;return j|0}e=Bx(c)|0;if(!e){j=a;return j|0}if(!d){j=0;return j|0}j=b[c>>0]|0;i=e+-1|0;g=b[c+i>>0]|0;h=a+d+(0-e)|0;if((h+1|0)>>>0<=a>>>0){j=0;return j|0}switch(e|0){case 1:{while(1){if((b[a>>0]|0)==j<<24>>24){d=20;break}if(a>>>0<h>>>0)a=a+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0;break}case 2:{while(1){if((b[a>>0]|0)==j<<24>>24?(b[a+i>>0]|0)==g<<24>>24:0){d=20;break}if(a>>>0<h>>>0)a=a+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0;break}default:{if((e|0)<=1){while(1){if((b[a>>0]|0)==j<<24>>24?(b[a+i>>0]|0)==g<<24>>24:0){d=20;break}if(a>>>0<h>>>0)a=a+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0}else f=a;a:while(1){b:do if((b[f>>0]|0)==j<<24>>24?(b[f+i>>0]|0)==g<<24>>24:0){a=1;while(1){if((b[f+a>>0]|0)!=(b[c+a>>0]|0))break b;a=a+1|0;if((a|0)>=(e|0)){a=f;d=20;break a}}}while(0);if(f>>>0<h>>>0)f=f+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0}}return 0}function lp(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=u;u=u+208|0;q=r+194|0;l=r+192|0;n=r+190|0;m=r+188|0;p=r+186|0;k=r+184|0;e=r+182|0;j=r+100|0;o=r;b[l>>0]=39;b[l+1>>0]=0;b[n>>0]=34;b[n+1>>0]=0;b[m>>0]=91;b[m+1>>0]=0;b[e>>0]=44;b[e+1>>0]=0;b[p>>0]=93;b[p+1>>0]=0;b[k>>0]=47;b[k+1>>0]=0;Vy(j,c,80)|0;d=Bx(j)|0;c=kp(j,m,d)|0;if(!c){c=kp(j,e,d)|0;if(!c)m=0;else f=3}else f=3;if((f|0)==3){b[c>>0]=0;m=c+1|0}c=0;while(1){d=a+c|0;if(!(b[d>>0]|0)){f=8;break}c=c+1|0;if((c|0)>=57600){f=7;break}}if((f|0)==7)d=a+c|0;else if((f|0)==8)if((c|0)<=0){q=0;u=r;return q|0}h=d;i=a;c=a;a:while(1){f=kp(c,j,h-c|0)|0;if(!f){c=0;f=44;break}a=(f-i|0)%80|0;e=f+(Bx(j)|0)|0;e=b[e>>0]|0;b:do if((a|0)<=7){c:do if(e<<24>>24>32){switch(e<<24>>24){case 61:case 127:break c;default:{}}c=f+1|0;break b}while(0);g=f+(0-a)|0;if((a|0)>0){a=f+1|0;e=g;do{c=(b[e>>0]|0)==32?c:a;e=e+1|0}while(e>>>0<f>>>0)}if(f>>>0>=c>>>0){f=21;break a}}else c=f+1|0;while(0);if(c>>>0>=d>>>0){c=0;f=44;break}}if((f|0)==21){if(!g){q=0;u=r;return q|0}c=o;d=c+100|0;do{b[c>>0]=0;c=c+1|0}while((c|0)<(d|0));Vy(o,g,80)|0;d=Bx(o)|0;e=kp(o,l,d)|0;c=kp(o,k,d)|0;do if(!e){e=kp(o,n,d)|0;if(e){if(e>>>0<c>>>0){c=e+1|0;c=kp(c,n,Bx(c)|0)|0;break}if(!c){c=e+1|0;c=kp(c,n,Bx(c)|0)|0}else f=32}else f=32}else{if(e>>>0<c>>>0){c=e+1|0;c=kp(c,l,Bx(c)|0)|0;break}if(!c){c=e+1|0;c=kp(c,l,Bx(c)|0)|0}else f=32}while(0);if((f|0)==32){e=kp(o,92084,d)|0;c=kp(o,89298,d)|0;c=(c|0)==0?o+79|0:c}while(1){d=e+1|0;if(d>>>0<c>>>0&(b[d>>0]|0)==32)e=d;else break}do{b[c>>0]=0;c=c+-1|0}while(c>>>0>d>>>0&(b[c>>0]|0)==32);a=(tw(d,89300)|0)==0;a=a?e+2|0:d;Jx(3015191,a)|0;if(!m){q=3015191;u=r;return q|0}c=kp(m,p,Bx(m)|0)|0;if(c|0)b[c>>0]=0;d=uz(m)|0;if((d|0)<=0){q=3015191;u=r;return q|0}b[q>>0]=32;b[q+1>>0]=0;e=1;c=a;while(1){c=zz(c,q)|0;if((e|0)==(d|0))break;else{e=e+1|0;c=0}}if(!c){q=0;u=r;return q|0}Jx(3015191,c)|0;q=3015191;u=r;return q|0}else if((f|0)==44){u=r;return c|0}return 0}function mp(a,c,e,g,i,k){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;var l=0.0,m=0;m=f[k>>2]|0;if((m|0)>0){k=m;return k|0}do switch(c|0){case 16:{if((np(a,e,g,i,k)|0)==202){f[k>>2]=m;dr(a,e,g,i,k)|0}break}case 11:{c=h[g>>0]|0;if((op(a,e,c,0,i,k)|0)==202){f[k>>2]=m;pr(a,e,c,0,i,k)|0}break}case 12:{c=b[g>>0]|0;g=((c|0)<0)<<31>>31;if((op(a,e,c,g,i,k)|0)==202){f[k>>2]=m;pr(a,e,c,g,i,k)|0}break}case 20:{c=j[g>>1]|0;if((op(a,e,c,0,i,k)|0)==202){f[k>>2]=m;pr(a,e,c,0,i,k)|0}break}case 21:{c=d[g>>1]|0;g=((c|0)<0)<<31>>31;if((op(a,e,c,g,i,k)|0)==202){f[k>>2]=m;pr(a,e,c,g,i,k)|0}break}case 31:{c=f[g>>2]|0;g=((c|0)<0)<<31>>31;if((op(a,e,c,g,i,k)|0)==202){f[k>>2]=m;pr(a,e,c,g,i,k)|0}break}case 30:{l=+((f[g>>2]|0)>>>0);if((pp(a,e,l,0,i,k)|0)==202){f[k>>2]=m;qr(a,e,l,0,i,k)|0}break}case 14:{c=f[g>>2]|0;if((qp(a,e,c,i,k)|0)==202){f[k>>2]=m;sr(a,e,c,i,k)|0}break}case 40:{l=+((f[g>>2]|0)>>>0);if((pp(a,e,l,0,i,k)|0)==202){f[k>>2]=m;qr(a,e,l,0,i,k)|0}break}case 41:{c=f[g>>2]|0;g=((c|0)<0)<<31>>31;if((op(a,e,c,g,i,k)|0)==202){f[k>>2]=m;pr(a,e,c,g,i,k)|0}break}case 81:{c=f[g>>2]|0;g=f[g+4>>2]|0;if((op(a,e,c,g,i,k)|0)==202){f[k>>2]=m;pr(a,e,c,g,i,k)|0}break}case 42:{l=+n[g>>2];if((rp(a,e,l,-7,i,k)|0)==202){f[k>>2]=m;tr(a,e,l,-7,i,k)|0}break}case 82:{l=+p[g>>3];if((sp(a,e,l,-15,i,k)|0)==202){f[k>>2]=m;ur(a,e,l,-15,i,k)|0}break}case 83:{if((tp(a,e,g,-7,i,k)|0)==202){f[k>>2]=m;nr(a,e,g,-7,i,k)|0}break}case 163:{if((up(a,e,g,-15,i,k)|0)==202){f[k>>2]=m;or(a,e,g,-15,i,k)|0}break}default:f[k>>2]=410}while(0);k=f[k>>2]|0;return k|0}function np(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+384|0;k=n+298|0;m=n+227|0;j=n+154|0;i=n+73|0;l=n;h=f[g>>2]|0;if((h|0)>0){m=h;u=n;return m|0}if((Sn(a,c,k,j,g)|0)>0){m=f[g>>2]|0;u=n;return m|0}wr(d,m,g)|0;if((e|0)!=0?(b[e>>0]|0)!=38:0)Fj(c,m,e,i,g)|0;else Fj(c,m,j,i,g)|0;Gj(a,i,g)|0;i=f[a+4>>2]|0;h=i+112|0;i=(f[i+88>>2]|0)+(f[i+68>>2]<<3)|0;i=Dz(f[h>>2]|0,f[h+4>>2]|0,f[i>>2]|0,f[i+4>>2]|0)|0;i=Jz(i|0,I|0,80,0)|0;i=Ez(i|0,I|0,1,0)|0;h=f[g>>2]|0;if((h|0)>0){m=h;u=n;return m|0}xj();Oj(k,m,g)|0;if((f[g>>2]|0)==204){Aj();f[g>>2]=0;m=0;u=n;return m|0}a:while(1){h=Bx(m)|0;while(1){if(!h)break a;if((b[m+(h+-1)>>0]|0)!=38)break a;Un(a,m,l,g)|0;if(!(b[m>>0]|0))h=0;else break}vp(a,i,g)|0}m=f[g>>2]|0;u=n;return m|0}function op(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;m=u;u=u+240|0;l=m+154|0;k=m+81|0;j=m;i=f[h>>2]|0;if((i|0)>0){l=i;u=m;return l|0}if((Sn(a,c,l,k,h)|0)<=0){Br(d,e,l,h)|0;if((g|0)!=0?(b[g>>0]|0)!=38:0)Fj(c,l,g,j,h)|0;else Fj(c,l,k,j,h)|0;Gj(a,j,h)|0}l=f[h>>2]|0;u=m;return l|0}function pp(a,c,d,e,g,h){a=a|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;m=u;u=u+240|0;l=m+154|0;k=m+81|0;j=m;i=f[h>>2]|0;if((i|0)>0){l=i;u=m;return l|0}if((Sn(a,c,l,k,h)|0)<=0){rr(d,e,l,h)|0;if((g|0)!=0?(b[g>>0]|0)!=38:0)Fj(c,l,g,j,h)|0;else Fj(c,l,k,j,h)|0;Gj(a,j,h)|0}l=f[h>>2]|0;u=m;return l|0}function qp(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0;l=u;u=u+240|0;k=l+154|0;j=l+81|0;i=l;h=f[g>>2]|0;if((h|0)>0){d=h;u=l;return d|0}if((Sn(a,c,k,j,g)|0)<=0){Ar(d,k,g)|0;if((e|0)!=0?(b[e>>0]|0)!=38:0)Fj(c,k,e,i,g)|0;else Fj(c,k,j,i,g)|0;Gj(a,i,g)|0}d=f[g>>2]|0;u=l;return d|0}function rp(a,c,d,e,g,h){a=a|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;m=u;u=u+240|0;l=m+154|0;k=m+81|0;j=m;i=f[h>>2]|0;if((i|0)>0){l=i;u=m;return l|0}if((Sn(a,c,l,k,h)|0)<=0){lr(d,e,l,h)|0;if((g|0)!=0?(b[g>>0]|0)!=38:0)Fj(c,l,g,j,h)|0;else Fj(c,l,k,j,h)|0;Gj(a,j,h)|0}l=f[h>>2]|0;u=m;return l|0}function sp(a,c,d,e,g,h){a=a|0;c=c|0;d=+d;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;m=u;u=u+240|0;l=m+154|0;k=m+81|0;j=m;i=f[h>>2]|0;if((i|0)>0){l=i;u=m;return l|0}if((Sn(a,c,l,k,h)|0)<=0){mr(d,e,l,h)|0;if((g|0)!=0?(b[g>>0]|0)!=38:0)Fj(c,l,g,j,h)|0;else Fj(c,l,k,j,h)|0;Gj(a,j,h)|0}l=f[h>>2]|0;u=m;return l|0}function tp(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0,p=0;p=u;u=u+304|0;o=p;m=p+225|0;l=p+152|0;k=p+71|0;j=f[i>>2]|0;if((j|0)>0){e=j;u=p;return e|0}if((Sn(a,c,o,l,i)|0)<=0){d[o>>1]=40;lr(+n[e>>2],g,m,i)|0;xz(o,m)|0;j=o+(Bx(o)|0)|0;b[j>>0]=b[93258]|0;b[j+1>>0]=b[93259]|0;b[j+2>>0]=b[93260]|0;lr(+n[e+4>>2],g,m,i)|0;xz(o,m)|0;e=o+(Bx(o)|0)|0;b[e>>0]=41;b[e+1>>0]=0;if((h|0)!=0?(b[h>>0]|0)!=38:0)Fj(c,o,h,k,i)|0;else Fj(c,o,l,k,i)|0;Gj(a,k,i)|0}e=f[i>>2]|0;u=p;return e|0}function up(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+304|0;n=o;m=o+225|0;l=o+152|0;k=o+71|0;j=f[i>>2]|0;if((j|0)>0){e=j;u=o;return e|0}if((Sn(a,c,n,l,i)|0)<=0){d[n>>1]=40;mr(+p[e>>3],g,m,i)|0;xz(n,m)|0;j=n+(Bx(n)|0)|0;b[j>>0]=b[93258]|0;b[j+1>>0]=b[93259]|0;b[j+2>>0]=b[93260]|0;mr(+p[e+8>>3],g,m,i)|0;xz(n,m)|0;e=n+(Bx(n)|0)|0;b[e>>0]=41;b[e+1>>0]=0;if((h|0)!=0?(b[h>>0]|0)!=38:0)Fj(c,n,h,k,i)|0;else Fj(c,n,l,k,i)|0;Gj(a,k,i)|0}e=f[i>>2]|0;u=o;return e|0}function vp(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;q=u;u=u+256|0;n=q;g=q+166|0;e=q+85|0;m=q+4|0;i=f[d>>2]|0;if((i|0)>0){d=i;u=q;return d|0}i=f[a>>2]|0;p=a+4|0;if((i|0)!=(f[(f[p>>2]|0)+68>>2]|0))Hj(a,i+1|0,0,d)|0;if((c|0)>=1?(s=((c|0)<0)<<31>>31,l=f[p>>2]|0,h=l+96|0,o=f[h>>2]|0,h=f[h+4>>2]|0,k=(f[l+88>>2]|0)+(f[l+68>>2]<<3)|0,j=f[k>>2]|0,k=f[k+4>>2]|0,i=Jz(j|0,k|0,80,0)|0,i=Dz(o|0,h|0,i|0,I|0)|0,r=I,!((s|0)>(r|0)|(s|0)==(r|0)&c>>>0>i>>>0)):0){r=(c*80|0)+-80|0;r=Ez(j|0,k|0,r|0,((r|0)<0)<<31>>31|0)|0;s=I;l=l+112|0;f[l>>2]=r;f[l+4>>2]=s;l=Dz(o|0,h|0,r|0,s|0)|0;l=Jz(l|0,I|0,80,0)|0;if((l|0)<1){f[n>>2]=c;ww(m,89303,n)|0;vj(m);f[d>>2]=203;s=203;u=q;return s|0}i=e;j=89356;k=i+41|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));i=e+(Bx(e)|0)|0;j=89356;k=i+41|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));j=o;i=0;while(1){j=Ez(j|0,h|0,-80,-1)|0;h=I;ft(a,j,h,0,d)|0;kt(a,80,0,g,d)|0;ft(a,j,h,0,d)|0;it(a,80,0,e,d)|0;i=i+1|0;if((i|0)==(l|0))break;else{s=e;e=g;g=s}}s=(f[p>>2]|0)+96|0;r=s;r=Ez(f[r>>2]|0,f[r+4>>2]|0,-80,-1)|0;f[s>>2]=r;f[s+4>>2]=I;s=f[d>>2]|0;u=q;return s|0}f[d>>2]=203;s=203;u=q;return s|0}function wp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0;g=f[e>>2]|0;if((g|0)>0){c=g;return c|0}if((np(a,b,c,d,e)|0)==202){f[e>>2]=g;dr(a,b,c,d,e)|0}c=f[e>>2]|0;return c|0}function xp(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0;h=f[g>>2]|0;if((h|0)>0){g=h;return g|0}if((op(a,b,c,d,e,g)|0)==202){f[g>>2]=h;pr(a,b,c,d,e,g)|0}g=f[g>>2]|0;return g|0}function yp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0;g=f[e>>2]|0;if((g|0)>0){c=g;return c|0}if((qp(a,b,c,d,e)|0)==202){f[e>>2]=g;sr(a,b,c,d,e)|0}c=f[e>>2]|0;return c|0}function zp(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0;h=f[g>>2]|0;if((h|0)>0){g=h;return g|0}if((sp(a,b,c,d,e,g)|0)==202){f[g>>2]=h;ur(a,b,c,d,e,g)|0}g=f[g>>2]|0;return g|0}function Ap(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+384|0;h=l;i=l+302|0;k=l+158|0;g=l+77|0;j=l+4|0;e=f[d>>2]|0;if((e|0)>0){k=e;u=l;return k|0}if((Sn(a,c,i,l+229|0,d)|0)>0){f[h>>2]=c;ww(g,89397,h)|0;vj(g);k=f[d>>2]|0;u=l;return k|0}c=f[a+4>>2]|0;e=c+112|0;c=(f[c+88>>2]|0)+(f[c+68>>2]<<3)|0;c=Dz(f[e>>2]|0,f[e+4>>2]|0,f[c>>2]|0,f[c+4>>2]|0)|0;c=Jz(c|0,I|0,80,0)|0;vp(a,c,d)|0;e=f[d>>2]|0;if((e|0)>0){k=e;u=l;return k|0}xj();Oj(i,k,d)|0;if((f[d>>2]|0)==204){Aj();f[d>>2]=0;k=0;u=l;return k|0}a:while(1){e=Bx(k)|0;while(1){if(!e)break a;if((b[k+(e+-1)>>0]|0)!=38)break a;Un(a,k,j,d)|0;if(!(b[k>>0]|0))e=0;else break}vp(a,c,d)|0}k=f[d>>2]|0;u=l;return k|0}function Bp(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+176|0;l=n+81|0;e=n;g=f[d>>2]|0;if((g|0)>0){d=g;u=n;return d|0}g=f[a>>2]|0;m=a+4|0;h=f[m>>2]|0;if((g|0)!=(f[h+68>>2]|0)){Hj(a,g+1|0,0,d)|0;h=f[m>>2]|0}j=h+120|0;g=h+96|0;i=f[g>>2]|0;g=f[g+4>>2]|0;j=Dz(f[j>>2]|0,f[j+4>>2]|0,i|0,g|0)|0;if((j|0)==80&(I|0)==0){if((wk(a,1,0,d)|0)<=0){h=f[m>>2]|0;g=h+96|0;i=f[g>>2]|0;g=f[g+4>>2]|0;k=7}}else k=7;if((k|0)==7){j=h+112|0;j=Dz(i|0,g|0,f[j>>2]|0,f[j+4>>2]|0)|0;j=Jz(j|0,I|0,80,0)|0;Vy(e,c,80)|0;b[e+80>>0]=0;h=Bx(e)|0;if((h|0)>0){i=0;do{g=e+i|0;c=b[g>>0]|0;if(c<<24>>24<32|c<<24>>24==127)b[g>>0]=32;i=i+1|0}while((i|0)!=(h|0));if((h|0)<80)k=9}else k=9;if((k|0)==9)Fz(e+h|0,32,80-h|0)|0;g=wz(e,92084)|0;g=(g|0)==80?8:g;if((g|0)>0){h=0;do{k=e+h|0;c=(lw(b[k>>0]|0)|0)&255;b[k>>0]=c;h=h+1|0}while((h|0)!=(g|0))}Cj(e,d)|0;h=(f[m>>2]|0)+112|0;g=f[h>>2]|0;h=f[h+4>>2]|0;ft(a,g,h,0,d)|0;if((j|0)>0){c=0;i=l;while(1){kt(a,80,0,i,d)|0;ft(a,g,h,0,d)|0;it(a,80,0,e,d)|0;g=Ez(g|0,h|0,80,0)|0;c=c+1|0;if((c|0)==(j|0)){e=i;break}else{l=e;h=I;e=i;i=l}}}it(a,80,0,e,d)|0;a=f[m>>2]|0;m=a+96|0;l=m;l=Ez(f[l>>2]|0,f[l+4>>2]|0,80,0)|0;f[m>>2]=l;f[m+4>>2]=I;a=a+112|0;m=a;m=Ez(f[m>>2]|0,f[m+4>>2]|0,80,0)|0;f[a>>2]=m;f[a+4>>2]=I}d=f[d>>2]|0;u=n;return d|0}function Cp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}if((Dp(a,b,c,d)|0)==202){f[d>>2]=e;cr(a,c,d)|0}d=f[d>>2]|0;return d|0}function Dp(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+400|0;h=l+316|0;i=l+235|0;k=l+73|0;j=l;g=f[e>>2]|0;if((g|0)>0){k=g;u=l;return k|0}if((In(a,c,h,e)|0)>0){k=f[e>>2]|0;u=l;return k|0}Gj(a,d,e)|0;d=f[a+4>>2]|0;g=d+112|0;d=(f[d+88>>2]|0)+(f[d+68>>2]<<3)|0;d=Dz(f[g>>2]|0,f[g+4>>2]|0,f[d>>2]|0,f[d+4>>2]|0)|0;d=Jz(d|0,I|0,80,0)|0;d=d+1|0;Mj(h,i,l+154|0,e)|0;g=f[e>>2]|0;if((g|0)>0){k=g;u=l;return k|0}xj();Oj(i,k,e)|0;if((f[e>>2]|0)==204){Aj();f[e>>2]=0;k=0;u=l;return k|0}a:while(1){g=Bx(k)|0;while(1){if(!g)break a;if((b[k+(g+-1)>>0]|0)!=38)break a;Un(a,k,j,e)|0;if(!(b[k>>0]|0))g=0;else break}vp(a,d,e)|0}k=f[e>>2]|0;u=l;return k|0}function Ep(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}Fn(a,b+1|0,d)|0;Gj(a,c,d)|0;d=f[d>>2]|0;return d|0}function Fp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;j=u;u=u+240|0;h=j+152|0;i=j+81|0;g=j;e=f[d>>2]|0;if((e|0)>0){i=e;u=j;return i|0}if((Sn(a,b,i,h,d)|0)<=0){Fj(c,i,h,g,d)|0;Gj(a,g,d)|0}i=f[d>>2]|0;u=j;return i|0}function Gp(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;i=u;u=u+240|0;h=i+81|0;g=i;e=f[d>>2]|0;if((e|0)>0){h=e;u=i;return h|0}if((Sn(a,b,h,i+152|0,d)|0)<=0){Fj(b,h,c,g,d)|0;Gj(a,g,d)|0}h=f[d>>2]|0;u=i;return h|0}function Hp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+160|0;i=j+81|0;h=j;g=f[e>>2]|0;if((g|0)>0){c=g;u=j;return c|0}wr(c,i,e)|0;Fj(b,i,d,h,e)|0;Bp(a,h,e)|0;c=f[e>>2]|0;u=j;return c|0}function Ip(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0;t=u;u=u+320|0;s=t+237|0;q=t+156|0;i=t+75|0;r=t+4|0;k=t;f[k>>2]=-1;h=f[g>>2]|0;if((h|0)>0){d=h;u=t;return d|0}l=Bx(d)|0;h=Cx(d,39)|0;if(!h)j=0;else{j=0;do{j=j+1|0;h=Cx(h+1|0,39)|0}while((h|0)!=0)}Vy(i,c,80)|0;b[i+80>>0]=0;while(1)if((b[i>>0]|0)==32)i=i+1|0;else break;h=Bx(i)|0;if((h|0)<9?(Cj(i,k)|0)<1:0)h=68-j|0;else h=75-j-h|0;if((l|0)>0){p=68-j|0;n=q+8|0;o=0;m=0;i=l;while(1){Vy(r,d+m|0,h)|0;b[r+h>>0]=0;wr(r,s,g)|0;if((i|0)>(h|0)){k=Bx(s)|0;j=k+-2|0;if((b[s+j>>0]|0)==39){b[s+(k+-3)>>0]=38;l=0;j=k+-1|0}else l=38;b[s+j>>0]=l;j=h+-1|0}else j=h;if(!o)Fj(c,s,e,q,g)|0;else{Fj(92113,s,e,q,g)|0;b[n>>0]=32;b[n+1>>0]=32}Bp(a,q,g)|0;i=i-j|0;if((i|0)>0){o=1;h=p;m=j+m|0}else break}}d=f[g>>2]|0;u=t;return d|0}function Jp(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;k=u;u=u+160|0;j=k+81|0;i=k;h=f[g>>2]|0;if((h|0)>0){j=h;u=k;return j|0}Br(c,d,j,g)|0;Fj(b,j,e,i,g)|0;Bp(a,i,g)|0;j=f[g>>2]|0;u=k;return j|0}function Kp(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;p=u;u=u+80|0;j=p+72|0;o=p;i=f[h>>2]|0;if((i|0)>0){h=i;u=p;return h|0}Ik(a,j,h)|0;Jk(a,9,o,h)|0;k=f[j>>2]|0;if((k|0)>0){i=0;j=0;l=1;m=0;n=0;while(1){q=(f[c+(n<<2)>>2]|0)+-1|0;q=Sz(q|0,((q|0)<0)<<31>>31|0,l|0,m|0)|0;i=Ez(q|0,I|0,i|0,j|0)|0;j=I;q=o+(n<<3)|0;l=Sz(f[q>>2]|0,f[q+4>>2]|0,l|0,m|0)|0;n=n+1|0;if((n|0)>=(k|0))break;else m=I}i=Ez(i|0,j|0,1,0)|0;j=I}else{i=1;j=0}do switch(b|0){case 11:{Vp(a,1,i,j,d,e,g,h)|0;break}case 12:{Kq(a,1,i,j,d,e,g,h)|0;break}case 20:{Sq(a,1,i,j,d,e,g,h)|0;break}case 21:{iq(a,1,i,j,d,e,g,h)|0;break}case 30:{Bq(a,1,i,j,d,e,g,h)|0;break}case 31:{xq(a,1,i,j,d,e,g,h)|0;break}case 40:{Xq(a,1,i,j,d,e,g,h)|0;break}case 41:{nq(a,1,i,j,d,e,g,h)|0;break}case 81:{sq(a,1,i,j,d,e,g,h)|0;break}case 42:{dq(a,1,i,j,d,e,g,h)|0;break}case 82:{_p(a,1,i,j,d,e,g,h)|0;break}default:f[h>>2]=410}while(0);q=f[h>>2]|0;u=p;return q|0}function Lp(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0;j=f[i>>2]|0;if((j|0)>0){i=j;return i|0}do switch(b|0){case 11:{Vp(a,1,c,d,e,g,h,i)|0;break}case 12:{Kq(a,1,c,d,e,g,h,i)|0;break}case 20:{Sq(a,1,c,d,e,g,h,i)|0;break}case 21:{iq(a,1,c,d,e,g,h,i)|0;break}case 30:{Bq(a,1,c,d,e,g,h,i)|0;break}case 31:{xq(a,1,c,d,e,g,h,i)|0;break}case 40:{Xq(a,1,c,d,e,g,h,i)|0;break}case 41:{nq(a,1,c,d,e,g,h,i)|0;break}case 81:{sq(a,1,c,d,e,g,h,i)|0;break}case 42:{dq(a,1,c,d,e,g,h,i)|0;break}case 82:{_p(a,1,c,d,e,g,h,i)|0;break}default:f[i>>2]=410}while(0);i=f[i>>2]|0;return i|0}function Mp(a,c,e,g,h,i,j,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}a:do if(!k)Lp(a,c,e,g,h,i,j,l)|0;else do switch(c|0){case 11:{Yp(a,1,e,g,h,i,j,b[k>>0]|0,l)|0;break a}case 12:{Nq(a,1,e,g,h,i,j,b[k>>0]|0,l)|0;break a}case 20:{Vq(a,1,e,g,h,i,j,d[k>>1]|0,l)|0;break a}case 21:{lq(a,1,e,g,h,i,j,d[k>>1]|0,l)|0;break a}case 30:{Dq(a,1,e,g,h,i,j,f[k>>2]|0,l)|0;break a}case 31:{zq(a,1,e,g,h,i,j,f[k>>2]|0,l)|0;break a}case 40:{_q(a,1,e,g,h,i,j,f[k>>2]|0,l)|0;break a}case 41:{qq(a,1,e,g,h,i,j,f[k>>2]|0,l)|0;break a}case 81:{vq(a,1,e,g,h,i,j,f[k>>2]|0,f[k+4>>2]|0,l)|0;break a}case 42:{gq(a,1,e,g,h,i,j,+n[k>>2],l)|0;break a}case 82:{bq(a,1,e,g,h,i,j,+p[k>>3],l)|0;break a}default:{f[l>>2]=410;break a}}while(0);while(0);l=f[l>>2]|0;return l|0}function Np(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0;m=f[l>>2]|0;if((m|0)>0){l=m;return l|0}do switch(b|0){case 1:{Hq(a,c,d,e,g,i,k,l)|0;break}case 11:{Wp(a,c,d,e,g,h,i,j,k,l)|0;break}case 12:{Lq(a,c,d,e,g,h,i,j,k,l)|0;break}case 20:{Tq(a,c,d,e,g,h,i,j,k,l)|0;break}case 21:{jq(a,c,d,e,g,h,i,j,k,l)|0;break}case 30:{Cq(a,c,d,e,g,h,i,j,k,l)|0;break}case 31:{yq(a,c,d,e,g,h,i,j,k,l)|0;break}case 40:{Yq(a,c,d,e,g,h,i,j,k,l)|0;break}case 41:{oq(a,c,d,e,g,h,i,j,k,l)|0;break}case 81:{tq(a,c,d,e,g,h,i,j,k,l)|0;break}case 42:{eq(a,c,d,e,g,h,i,j,k,l)|0;break}case 82:{$p(a,c,d,e,g,h,i,j,k,l)|0;break}case 83:{b=Ez(Gz(g|0,h|0,1)|0,I|0,-1,-1)|0;eq(a,c,d,e,b,I,Gz(i|0,j|0,1)|0,I,k,l)|0;break}case 163:{b=Ez(Gz(g|0,h|0,1)|0,I|0,-1,-1)|0;$p(a,c,d,e,b,I,Gz(i|0,j|0,1)|0,I,k,l)|0;break}case 14:{Fq(a,c,d,e,g,h,i,j,k,l)|0;break}case 16:{Iq(a,c,d,e,g,h,i,j,k,l)|0;break}default:f[l>>2]=410}while(0);l=f[l>>2]|0;return l|0}function Op(a,c,e,g,h,i,j,k,l,m,o,q){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;q=q|0;var r=0;r=f[q>>2]|0;if((r|0)>0){q=r;return q|0}a:do if(!o)Np(a,c,e,g,h,i,j,k,l,m,q)|0;else do switch(c|0){case 11:{Zp(a,e,g,h,i,j,k,l,m,b[o>>0]|0,q)|0;break a}case 12:{Oq(a,e,g,h,i,j,k,l,m,b[o>>0]|0,q)|0;break a}case 20:{Wq(a,e,g,h,i,j,k,l,m,d[o>>1]|0,q)|0;break a}case 21:{mq(a,e,g,h,i,j,k,l,m,d[o>>1]|0,q)|0;break a}case 30:{Eq(a,e,g,h,i,j,k,l,m,f[o>>2]|0,q)|0;break a}case 31:{Aq(a,e,g,h,i,j,k,l,m,f[o>>2]|0,q)|0;break a}case 40:{$q(a,e,g,h,i,j,k,l,m,f[o>>2]|0,q)|0;break a}case 41:{rq(a,e,g,h,i,j,k,l,m,f[o>>2]|0,q)|0;break a}case 81:{wq(a,e,g,h,i,j,k,l,m,f[o>>2]|0,f[o+4>>2]|0,q)|0;break a}case 42:{hq(a,e,g,h,i,j,k,l,m,+n[o>>2],q)|0;break a}case 82:{cq(a,e,g,h,i,j,k,l,m,+p[o>>3],q)|0;break a}case 83:{c=Ez(Gz(i|0,j|0,1)|0,I|0,-1,-1)|0;hq(a,e,g,h,c,I,Gz(k|0,l|0,1)|0,I,m,+n[o>>2],q)|0;break a}case 163:{c=Ez(Gz(i|0,j|0,1)|0,I|0,-1,-1)|0;cq(a,e,g,h,c,I,Gz(k|0,l|0,1)|0,I,m,+p[o>>3],q)|0;break a}case 14:{Gq(a,e,g,h,i,j,k,l,m,b[o>>0]|0,q)|0;break a}case 16:{Jq(a,e,g,h,i,j,k,l,m,o,q)|0;break a}default:{f[q>>2]=410;break a}}while(0);while(0);q=f[q>>2]|0;return q|0}function Pp(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f[a>>2]=b;f[a+4>>2]=c;f[a+80>>2]=d;f[a+84>>2]=e;return 0}function Qp(a,b){a=a|0;b=b|0;f[a>>2]=b;return 0}function Rp(a,b){a=a|0;b=b|0;f[a+80>>2]=b;return 0}function Sp(a,b){a=a|0;b=b|0;f[a+84>>2]=b;return 0}function Tp(a){a=a|0;return f[a+88>>2]|0}
function $e(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0.0,g=0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,r=0,s=0;if(cf(a,c)|0){b=1;return b|0}r=b+8|0;s=b+24|0;g=+p[s>>3]==999.0;o=c+16|0;e=+p[o>>3];a=b+16|0;d=+p[a>>3];do if(!(e==90.0)){if(g)p[s>>3]=d<e?180.0:0.0;n=+rg(d);j=+sg(+p[a>>3]);e=+rg(+p[s>>3]);l=+sg(+p[s>>3]);m=+rg(+p[o>>3]);k=+sg(+p[o>>3]);e=e*m;d=+L(+(e*e+k*k));do if(d==0.0)if(j!=0.0){b=1;return b|0}else{d=+p[b+32>>3];break}else{d=j/d;if(+K(+d)>1.0){b=1;return b|0}h=+xg(k,e);e=+ug(d);d=h+e;if(!(d>180.0))if(d<-180.0)i=d+360.0;else i=d;else i=d+-360.0;d=h-e;if(!(d>180.0)){if(d<-180.0)d=d+360.0}else d=d+-360.0;a=b+32|0;h=+p[a>>3];if(+K(+(h-i))<+K(+(h-d))){g=+K(+i)<90.0000000001;d=g?i:d}else{g=+K(+d)<90.0000000001;d=g?d:i}p[a>>3]=d}while(0);g=b+40|0;a=b+48|0;p[a>>3]=90.0-d;e=n*+rg(d);do if(+K(+e)<1.0e-10){if(+K(+n)<1.0e-10){p[g>>3]=+p[r>>3];c=1;e=90.0-+p[o>>3];q=33;break}if(d>0.0){p[g>>3]=+p[r>>3]+ +p[s>>3]+-180.0;c=1;e=0.0;q=33;break}if(d<0.0){p[g>>3]=+p[r>>3]-+p[s>>3];c=1;e=180.0;q=33}}else{h=(k-j*+sg(d))/e;e=l*m/n;if(e==0.0&h==0.0){b=1;return b|0}else{n=+p[r>>3];c=0;e=n-+xg(e,h);q=33;break}}while(0);if((q|0)==33)p[b+40+(c<<3)>>3]=e;e=+p[g>>3];if(!(+p[r>>3]>=0.0)){if(!(e>0.0))break;p[g>>3]=e+-360.0;break}else{if(!(e<0.0))break;p[g>>3]=e+360.0;break}}else{if(g)p[s>>3]=180.0;p[b+32>>3]=d;p[b+40>>3]=+p[r>>3];a=b+48|0;p[a>>3]=90.0-d}while(0);p[b+56>>3]=+p[s>>3];n=+rg(+p[a>>3]);p[b+64>>3]=n;n=+sg(+p[a>>3]);p[b+72>>3]=n;f[b>>2]=137;b=+K(+d)>90.0000000001;b=b?2:0;return b|0}function af(a,b,c,d,e,g,h,i,j){a=a|0;b=+b;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;if((f[d>>2]|0)!=137?$e(a,d,h)|0:0)return 1;pg(b,c,d+40|0,e,g)|0;j=sb[f[h+1888>>2]&63](+p[e>>3],+p[g>>3],h,i,j)|0;return ((j|0)==0?0:(j|0)==1?2:3)|0}function bf(a,b,c,d,e,g,h,i,j){a=a|0;b=+b;c=+c;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;if((f[h>>2]|0)!=137?$e(a,h,d)|0:0){g=1;return g|0}a=sb[f[d+1892>>2]&63](b,c,d,e,g)|0;if(!a){qg(+p[e>>3],+p[g>>3],h+40|0,i,j)|0;g=0;return g|0}else{g=(a|0)==1?2:3;return g|0}return 0}function cf(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,g=0,h=0.0,i=0.0,j=0.0;if(!(tw(a,51211)|0)){df(c)|0;c=0;return c|0}if(!(tw(a,51215)|0)){ef(c)|0;c=0;return c|0}if(!(tw(a,51219)|0)){b[c>>0]=84;b[c+1>>0]=65;b[c+2>>0]=78;b[c+3>>0]=0;a=c+4|0;f[a>>2]=(f[a>>2]>>31&-206)+103;p[c+8>>3]=0.0;p[c+16>>3]=90.0;a=c+24|0;if(+p[a>>3]==0.0)p[a>>3]=57.29577951308232;f[c+1888>>2]=1;f[c+1892>>2]=2;g=99;while(1){if(!(+p[c+280+(g<<3)>>3]==0.0)){a=g;break}if(!(+p[c+280+(g+100<<3)>>3]==0.0)){a=g;break}a=g+-1|0;if((g|0)>0)g=a;else break}f[c+276>>2]=(a|0)>0?a:0;c=0;return c|0}if(!(tw(a,51223)|0)){b[c>>0]=83;b[c+1>>0]=84;b[c+2>>0]=71;b[c+3>>0]=0;f[c+4>>2]=104;p[c+8>>3]=0.0;p[c+16>>3]=90.0;a=c+24|0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=114.59155902616465;e=.008726646259971648}else{e=d*2.0;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=3;f[c+1892>>2]=4;c=0;return c|0}if(!(tw(a,51227)|0)){b[c>>0]=83;b[c+1>>0]=73;b[c+2>>0]=78;b[c+3>>0]=0;a=c+4|0;f[a>>2]=(f[a>>2]>>31&-210)+105;p[c+8>>3]=0.0;p[c+16>>3]=90.0;a=c+24|0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=57.29577951308232}p[c+112>>3]=1.0/d;h=+p[c+40>>3];i=+p[c+48>>3];i=h*h+i*i;p[c+120>>3]=i;p[c+128>>3]=i+1.0;p[c+136>>3]=i+-1.0;f[c+1888>>2]=5;f[c+1892>>2]=6;c=0;return c|0}if(!(tw(a,51231)|0)){b[c>>0]=65;b[c+1>>0]=82;b[c+2>>0]=67;b[c+3>>0]=0;f[c+4>>2]=106;p[c+8>>3]=0.0;p[c+16>>3]=90.0;a=c+24|0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=1.0;e=1.0}else{e=d*3.141592653589793/180.0;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=7;f[c+1892>>2]=8;c=0;return c|0}if(!(tw(a,51235)|0)){of(c)|0;c=0;return c|0}if(!(tw(a,51239)|0)){b[c>>0]=90;b[c+1>>0]=69;b[c+2>>0]=65;b[c+3>>0]=0;f[c+4>>2]=108;p[c+8>>3]=0.0;p[c+16>>3]=90.0;a=c+24|0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=114.59155902616465;e=.008726646259971648}else{e=d*2.0;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=9;f[c+1892>>2]=10;c=0;return c|0}if(!(tw(a,51243)|0)){b[c>>0]=65;b[c+1>>0]=73;b[c+2>>0]=82;b[c+3>>0]=0;f[c+4>>2]=109;p[c+8>>3]=0.0;p[c+16>>3]=90.0;a=c+24|0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=57.29577951308232}d=d*2.0;a=c+112|0;p[a>>3]=d;e=+p[c+40>>3];do if(!(e==90.0))if(e>-90.0){d=+rg((90.0-e)*.5);e=d*d;e=+V(+d)*e/(1.0-e);p[c+120>>3]=e;d=+p[a>>3];e=.5-e;break}else{c=0;return c|0}else{p[c+120>>3]=-.5;e=1.0}while(0);p[c+128>>3]=e;p[c+136>>3]=d*e;p[c+144>>3]=.0001;p[c+152>>3]=e*.0001;p[c+160>>3]=57.29577951308232/e;f[c+1888>>2]=11;f[c+1892>>2]=12;c=0;return c|0}if(!(tw(a,51247)|0)){b[c>>0]=67;b[c+1>>0]=89;b[c+2>>0]=80;b[c+3>>0]=0;f[c+4>>2]=201;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;e=+p[a>>3];h=+p[c+48>>3];if(e==0.0){p[a>>3]=57.29577951308232;p[c+112>>3]=h;if(h==0.0){c=0;return c|0}p[c+120>>3]=1.0/h;d=(h+ +p[c+40>>3])*57.29577951308232;p[c+128>>3]=d;if(d==0.0){c=0;return c|0}}else{d=e*h*3.141592653589793/180.0;p[c+112>>3]=d;if(d==0.0){c=0;return c|0}p[c+120>>3]=1.0/d;d=e*(h+ +p[c+40>>3]);p[c+128>>3]=d;if(d==0.0){c=0;return c|0}}p[c+136>>3]=1.0/d;f[c+1888>>2]=13;f[c+1892>>2]=14;c=0;return c|0}if(!(tw(a,51251)|0)){b[c>>0]=67;b[c+1>>0]=69;b[c+2>>0]=65;b[c+3>>0]=0;f[c+4>>2]=202;a=c+8|0;g=c+24|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;d=+p[g>>3];e=+p[c+40>>3];a=e<=0.0;if(d==0.0){p[g>>3]=57.29577951308232;p[c+112>>3]=1.0;p[c+120>>3]=1.0;if(a|e>1.0){c=0;return c|0}else d=57.29577951308232}else{p[c+112>>3]=d*3.141592653589793/180.0;p[c+120>>3]=57.29577951308232/d;if(a|e>1.0){c=0;return c|0}}p[c+128>>3]=d/e;p[c+136>>3]=e/d;f[c+1888>>2]=15;f[c+1892>>2]=16;c=0;return c|0}if(!(tw(a,51255)|0)){b[c>>0]=67;b[c+1>>0]=65;b[c+2>>0]=82;b[c+3>>0]=0;f[c+4>>2]=203;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=1.0;e=1.0}else{e=d*3.141592653589793/180.0;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=17;f[c+1892>>2]=18;c=0;return c|0}if(!(tw(a,51259)|0)){b[c>>0]=77;b[c+1>>0]=69;b[c+2>>0]=82;b[c+3>>0]=0;f[c+4>>2]=204;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=1.0;e=1.0}else{e=d*3.141592653589793/180.0;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=19;f[c+1892>>2]=20;c=0;return c|0}if(!(tw(a,51263)|0)){b[c>>0]=83;b[c+1>>0]=70;b[c+2>>0]=76;b[c+3>>0]=0;f[c+4>>2]=301;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=1.0;e=1.0}else{e=d*3.141592653589793/180.0;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=21;f[c+1892>>2]=22;c=0;return c|0}if(!(tw(a,51267)|0)){b[c>>0]=80;b[c+1>>0]=65;b[c+2>>0]=82;b[c+3>>0]=0;f[c+4>>2]=302;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=180.0;e=1.0;h=1.0;i=.005555555555555556}else{i=d*3.141592653589793;h=i/180.0;d=i;e=1.0/h;i=1.0/i}p[c+112>>3]=h;p[c+120>>3]=e;p[c+128>>3]=d;p[c+136>>3]=i;f[c+1888>>2]=23;f[c+1892>>2]=24;c=0;return c|0}if(!(tw(a,51271)|0)){b[c>>0]=77;b[c+1>>0]=79;b[c+2>>0]=76;b[c+3>>0]=0;f[c+4>>2]=303;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=57.29577951308232}i=d*1.4142135623730951;p[c+112>>3]=i;p[c+120>>3]=i/90.0;p[c+128>>3]=1.0/i;p[c+136>>3]=90.0/d;p[c+144>>3]=.6366197723675814;f[c+1888>>2]=25;f[c+1892>>2]=26;c=0;return c|0}if(!(tw(a,51275)|0)){b[c>>0]=65;b[c+1>>0]=73;b[c+2>>0]=84;b[c+3>>0]=0;f[c+4>>2]=401;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=57.29577951308232}i=d*2.0;h=d*i;p[c+112>>3]=h;h=1.0/(h*2.0);p[c+120>>3]=h;p[c+128>>3]=h*.25;p[c+136>>3]=1.0/i;f[c+1888>>2]=27;f[c+1892>>2]=28;c=0;return c|0}if(!(tw(a,51279)|0)){b[c>>0]=67;b[c+1>>0]=79;b[c+2>>0]=80;b[c+3>>0]=0;g=c+4|0;f[g>>2]=(f[g>>2]>>31&-1002)+501;p[c+8>>3]=0.0;g=c+40|0;d=+p[g>>3];p[c+16>>3]=d;a=c+24|0;if(+p[a>>3]==0.0)p[a>>3]=57.29577951308232;d=+sg(d);p[c+112>>3]=d;if(d==0.0){c=0;return c|0}p[c+120>>3]=1.0/d;d=+p[a>>3];d=d*+rg(+p[c+48>>3]);a=c+136|0;p[a>>3]=d;if(d==0.0){c=0;return c|0}p[c+144>>3]=1.0/d;i=1.0/+tg(+p[g>>3]);p[c+152>>3]=i;p[c+128>>3]=i*+p[a>>3];f[c+1888>>2]=29;f[c+1892>>2]=30;c=0;return c|0}if(!(tw(a,51283)|0)){Lf(c)|0;c=0;return c|0}if(!(tw(a,51287)|0)){Mf(c)|0;c=0;return c|0}if(!(tw(a,51291)|0)){Nf(c)|0;c=0;return c|0}if(!(tw(a,51295)|0)){b[c>>0]=66;b[c+1>>0]=79;b[c+2>>0]=78;b[c+3>>0]=0;f[c+4>>2]=601;a=c+8|0;g=c+24|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;d=+p[g>>3];a=c+40|0;e=+p[a>>3];if(d==0.0){p[g>>3]=57.29577951308232;p[c+120>>3]=1.0;d=+rg(e)*57.29577951308232;d=d/+sg(+p[a>>3]);d=d+ +p[a>>3]}else{p[c+120>>3]=d*3.141592653589793/180.0;i=+rg(e);i=i/+sg(+p[a>>3]);d=d*(i+ +p[a>>3]*3.141592653589793/180.0)}p[c+128>>3]=d;f[c+1888>>2]=31;f[c+1892>>2]=32;c=0;return c|0}if(!(tw(a,51299)|0)){b[c>>0]=80;b[c+1>>0]=67;b[c+2>>0]=79;b[c+3>>0]=0;f[c+4>>2]=602;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;e=1.0;h=1.0;d=114.59155902616465}else{h=d*3.141592653589793/180.0;e=1.0/h;d=d*2.0}p[c+112>>3]=h;p[c+120>>3]=e;p[c+128>>3]=d;f[c+1888>>2]=33;f[c+1892>>2]=34;c=0;return c|0}if(!(tw(a,51303)|0)){b[c>>0]=84;b[c+1>>0]=83;b[c+2>>0]=67;b[c+3>>0]=0;f[c+4>>2]=701;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=45.0;e=.022222222222222223}else{e=d*3.141592653589793*.25;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=35;f[c+1892>>2]=36;c=0;return c|0}if(!(tw(a,51307)|0)){b[c>>0]=67;b[c+1>>0]=83;b[c+2>>0]=67;b[c+3>>0]=0;f[c+4>>2]=702;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=45.0;e=.022222222222222223}else{e=d*3.141592653589793*.25;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=37;f[c+1892>>2]=38;c=0;return c|0}if(!(tw(a,51311)|0)){b[c>>0]=81;b[c+1>>0]=83;b[c+2>>0]=67;b[c+3>>0]=0;f[c+4>>2]=703;g=c+8|0;a=c+24|0;f[g>>2]=0;f[g+4>>2]=0;f[g+8>>2]=0;f[g+12>>2]=0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;d=45.0;e=.022222222222222223}else{e=d*3.141592653589793*.25;d=e;e=1.0/e}p[c+112>>3]=d;p[c+120>>3]=e;f[c+1888>>2]=39;f[c+1892>>2]=40;c=0;return c|0}if(!(tw(a,51315)|0)){b[c>>0]=72;b[c+1>>0]=80;b[c+2>>0]=88;b[c+3>>0]=0;f[c+4>>2]=801;a=c+8|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;h=+p[c+48>>3];f[c+272>>2]=(~~h|0)%2|0;a=c+24|0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;e=1.0;d=1.0}else{e=d*3.141592653589793/180.0;d=57.29577951308232/d}p[c+112>>3]=e;p[c+120>>3]=d;i=h+-1.0;p[c+128>>3]=i/h;j=+p[c+40>>3];d=h*90.0/j;p[c+136>>3]=d;p[c+144>>3]=(h+1.0)*.5;p[c+152>>3]=i*90.0/j;i=180.0/j;p[c+160>>3]=i;p[c+168>>3]=j/360.0;p[c+176>>3]=e*d;p[c+184>>3]=e*i;f[c+1888>>2]=41;f[c+1892>>2]=42;c=0;return c|0}if(tw(a,51319)|0){if(tw(a,51323)|0){c=1;return c|0}b[c>>0]=84;b[c+1>>0]=79;b[c+2>>0]=65;b[c+3>>0]=0;f[c+4>>2]=803;f[c+1888>>2]=45;f[c+1892>>2]=46;c=0;return c|0}b[c>>0]=88;b[c+1>>0]=80;b[c+2>>0]=72;b[c+3>>0]=0;f[c+4>>2]=802;a=c+24|0;d=+p[a>>3];if(d==0.0){p[a>>3]=57.29577951308232;e=1.0;d=1.0}else{e=d*3.141592653589793/180.0;d=57.29577951308232/d}p[c+112>>3]=e/1.4142135623730951;p[c+120>>3]=d/1.4142135623730951;p[c+128>>3]=.6666666666666666;p[c+136>>3]=.0001;p[c+144>>3]=46.781808074020574;p[c+152>>3]=89.9953218191926;p[c+160>>3]=.021375830502697733;f[c+1888>>2]=43;f[c+1892>>2]=44;c=0;return c|0}function df(a){a=a|0;var c=0.0,d=0,e=0.0,g=0.0,h=0,i=0;b[a>>0]=65;b[a+1>>0]=90;b[a+2>>0]=80;b[a+3>>0]=0;d=a+4|0;f[d>>2]=(f[d>>2]>>31&-202)+101;p[a+8>>3]=0.0;p[a+16>>3]=90.0;d=a+24|0;c=+p[d>>3];if(c==0.0){p[d>>3]=57.29577951308232;c=57.29577951308232}h=a+40|0;g=c*(+p[h>>3]+1.0);p[a+112>>3]=g;if(g==0.0){a=1;return a|0}d=a+48|0;c=+rg(+p[d>>3]);i=a+136|0;p[i>>3]=c;if(c==0.0){a=1;return a|0}p[a+128>>3]=1.0/c;e=+sg(+p[d>>3]);p[a+144>>3]=e;c=+p[i>>3];p[a+120>>3]=e/c;e=+p[h>>3];if(+K(+e)>1.0){g=+vg(-1.0/e);e=+p[h>>3];c=+p[i>>3]}else g=-90.0;p[a+152>>3]=g;g=e*c;p[a+160>>3]=g;i=+K(+g)<1.0;p[a+168>>3]=i?1.0:0.0;f[a+1888>>2]=47;f[a+1892>>2]=48;a=0;return a|0}function ef(a){a=a|0;var c=0.0,d=0,e=0,g=0,h=0,i=0.0,j=0,k=0;b[a>>0]=83;b[a+1>>0]=90;b[a+2>>0]=80;b[a+3>>0]=0;h=a+4|0;f[h>>2]=(f[h>>2]>>31&-204)+102;p[a+8>>3]=0.0;p[a+16>>3]=90.0;h=a+24|0;c=+p[h>>3];if(c==0.0){p[h>>3]=57.29577951308232;c=57.29577951308232}p[a+112>>3]=1.0/c;e=a+40|0;c=+p[e>>3];g=a+56|0;c=c*+sg(+p[g>>3])+1.0;d=a+136|0;p[d>>3]=c;if(c==0.0){a=1;return a|0}c=+p[e>>3];c=c*+rg(+p[g>>3]);k=a+48|0;c=-(c*+sg(+p[k>>3]));j=a+120|0;p[j>>3]=c;c=+p[e>>3];c=c*+rg(+p[g>>3]);c=c*+rg(+p[k>>3]);p[a+128>>3]=c;i=+p[h>>3];p[a+144>>3]=i*+p[j>>3];p[a+152>>3]=c*i;c=+p[d>>3];p[a+160>>3]=i*c;i=c+-1.0;p[a+168>>3]=c*i+-1.0;if(+K(+i)<1.0)c=+vg(1.0-c);else c=-90.0;p[a+176>>3]=c;f[a+1888>>2]=49;f[a+1892>>2]=50;k=0;return k|0}function ff(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0,l=0,m=0,n=0.0;m=u;u=u+16|0;k=m;l=d+4|0;h=f[l>>2]|0;if((((h|0)>-1?h:0-h|0)|0)!=103){b[d>>0]=84;b[d+1>>0]=65;b[d+2>>0]=78;b[d+3>>0]=0;f[l>>2]=(h>>31&-206)+103;p[d+8>>3]=0.0;p[d+16>>3]=90.0;h=d+24|0;if(+p[h>>3]==0.0)p[h>>3]=57.29577951308232;f[d+1888>>2]=1;f[d+1892>>2]=2;i=99;while(1){if(!(+p[d+280+(i<<3)>>3]==0.0)){h=i;break}if(!(+p[d+280+(i+100<<3)>>3]==0.0)){h=i;break}h=i+-1|0;if((i|0)>0)i=h;else break}f[d+276>>2]=(h|0)>0?h:0}j=+sg(c);if(j<=0.0){g=2;u=m;return g|0}n=+p[d+24>>3];n=n*+rg(c)/j;c=+sg(a)*n;p[k>>3]=c;a=-(n*+rg(a));i=k+8|0;p[i>>3]=a;h=f[d+1880>>2]|0;if(h)c=+Pe(h,k);p[e>>3]=c;h=f[d+1884>>2]|0;if(!h)c=+p[i>>3];else c=+Pe(h,k);p[g>>3]=c;g=j<0.0&(f[l>>2]|0)>0?2:0;u=m;return g|0}function gf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+16|0;k=m+8|0;l=m;j=d+4|0;i=f[j>>2]|0;if((((i|0)>-1?i:0-i|0)|0)==103)i=f[d+276>>2]|0;else{b[d>>0]=84;b[d+1>>0]=65;b[d+2>>0]=78;b[d+3>>0]=0;f[j>>2]=(i>>31&-206)+103;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;if(+p[i>>3]==0.0)p[i>>3]=57.29577951308232;f[d+1888>>2]=1;f[d+1892>>2]=2;j=99;while(1){if(!(+p[d+280+(j<<3)>>3]==0.0)){i=j;break}if(!(+p[d+280+(j+100<<3)>>3]==0.0)){i=j;break}i=j+-1|0;if((j|0)>0)j=i;else break}i=(i|0)>0?i:0;f[d+276>>2]=i}if(!i){p[k>>3]=a;p[l>>3]=c}else{kg(d,a,c,k,l)|0;a=+p[k>>3];c=+p[l>>3]}h=+L(+(a*a+c*c));if(h==0.0){a=0.0;p[e>>3]=a;d=d+24|0;a=+p[d>>3];a=+xg(a,h);p[g>>3]=a;u=m;return 0}a=+xg(a,-c);p[e>>3]=a;d=d+24|0;a=+p[d>>3];a=+xg(a,h);p[g>>3]=a;u=m;return 0}function hf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0;i=d+4|0;if((f[i>>2]|0)!=104){b[d>>0]=83;b[d+1>>0]=84;b[d+2>>0]=71;b[d+3>>0]=0;f[i>>2]=104;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=114.59155902616465;j=.008726646259971648}else{j=h*2.0;h=j;j=1.0/j}p[d+112>>3]=h;p[d+120>>3]=j;f[d+1888>>2]=3;f[d+1892>>2]=4}h=+sg(c)+1.0;if(h==0.0){g=2;return g|0}j=+p[d+112>>3];c=j*+rg(c)/h;j=+sg(a)*c;p[e>>3]=j;c=-(c*+rg(a));p[g>>3]=c;g=0;return g|0}function jf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0;i=d+4|0;if((f[i>>2]|0)!=104){b[d>>0]=83;b[d+1>>0]=84;b[d+2>>0]=71;b[d+3>>0]=0;f[i>>2]=104;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=114.59155902616465;j=.008726646259971648}else{j=h*2.0;h=j;j=1.0/j}p[d+112>>3]=h;p[d+120>>3]=j;f[d+1888>>2]=3;f[d+1892>>2]=4}j=+L(+(a*a+c*c));if(j==0.0)h=0.0;else h=+xg(a,-c);p[e>>3]=h;c=90.0-+wg(j*+p[d+120>>3])*2.0;p[g>>3]=c;return 0}function kf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0.0,l=0.0,m=0,n=0;m=d+4|0;h=f[m>>2]|0;if((((h|0)>-1?h:0-h|0)|0)!=105){b[d>>0]=83;b[d+1>>0]=73;b[d+2>>0]=78;b[d+3>>0]=0;f[m>>2]=(h>>31&-210)+105;p[d+8>>3]=0.0;p[d+16>>3]=90.0;h=d+24|0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=57.29577951308232}p[d+112>>3]=1.0/i;k=+p[d+40>>3];l=+p[d+48>>3];l=k*k+l*l;p[d+120>>3]=l;p[d+128>>3]=l+1.0;p[d+136>>3]=l+-1.0;f[d+1888>>2]=5;f[d+1892>>2]=6}i=(90.0-+K(+c))*3.141592653589793/180.0;if(i<1.0e-05){l=i*i*.5;l=c>0.0?l:2.0-l}else{l=1.0-+sg(c);i=+rg(c)}k=+rg(a);a=+sg(a);n=d+24|0;j=d+40|0;p[e>>3]=+p[n>>3]*(i*a+l*+p[j>>3]);h=d+48|0;p[g>>3]=-(+p[n>>3]*(i*k-l*+p[h>>3]));do if((f[m>>2]|0)>0)if(+p[d+120>>3]==0.0){if(c<0.0)h=2;else break;return h|0}else{if(c<-+wg(a*+p[j>>3]-k*+p[h>>3]))h=2;else break;return h|0}while(0);n=0;return n|0}function lf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0;j=d+4|0;i=f[j>>2]|0;if((((i|0)>-1?i:0-i|0)|0)==105){k=+p[d+120>>3];h=+p[d+112>>3]}else{b[d>>0]=83;b[d+1>>0]=73;b[d+2>>0]=78;b[d+3>>0]=0;f[j>>2]=(i>>31&-210)+105;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=57.29577951308232}h=1.0/h;p[d+112>>3]=h;n=+p[d+40>>3];k=+p[d+48>>3];k=n*n+k*k;p[d+120>>3]=k;p[d+128>>3]=k+1.0;p[d+136>>3]=k+-1.0;f[d+1888>>2]=5;f[d+1892>>2]=6}n=h*a;m=h*c;a=n*n+m*m;if(k==0.0){if(a!=0.0)h=+xg(n,-m);else h=0.0;p[e>>3]=h;if(a<.5){n=+ug(+L(+a));p[g>>3]=n;e=0;return e|0}if(!(a<=1.0)){e=2;return e|0}n=+vg(+L(+(1.0-a)));p[g>>3]=n;e=0;return e|0}j=d+40|0;i=d+48|0;h=n*+p[j>>3]+m*+p[i>>3];do if(!(a<1.0e-10)){l=+p[d+128>>3];k=h-k;h=k*k-l*(a-h-h+ +p[d+136>>3]);if(h<0.0){e=2;return e|0}a=+L(+h);c=(a-k)/l;a=(-k-a)/l;h=c>a?c:a;if(h>1.0)if(h+-1.0<1.0e-13)h=1.0;else h=c<a?c:a;h=h<-1.0&h+1.0>-1.0e-13?-1.0:h;if(h>1.0|h<-1.0){e=2;return e|0}else{l=+vg(h);p[g>>3]=l;h=1.0-h;break}}else{h=90.0-+L(+(a/(h+1.0)))*57.29577951308232;p[g>>3]=h;h=a*.5}while(0);a=h*+p[i>>3]-m;h=n-h*+p[j>>3];if(a==0.0&h==0.0){p[e>>3]=0.0;e=0;return e|0}else{n=+xg(h,a);p[e>>3]=n;e=0;return e|0}return 0}function mf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0;h=d+4|0;if((f[h>>2]|0)==106){j=+p[d+112>>3];c=90.0-c;j=c*j;c=+sg(a);c=j*c;p[e>>3]=c;c=+rg(a);c=j*c;c=-c;p[g>>3]=c;return 0}b[d>>0]=65;b[d+1>>0]=82;b[d+2>>0]=67;b[d+3>>0]=0;f[h>>2]=106;p[d+8>>3]=0.0;p[d+16>>3]=90.0;h=d+24|0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=1.0;j=1.0}else{j=i*3.141592653589793/180.0;i=j;j=1.0/j}p[d+112>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=7;f[d+1892>>2]=8;j=i;c=90.0-c;j=c*j;c=+sg(a);c=j*c;p[e>>3]=c;c=+rg(a);c=j*c;c=-c;p[g>>3]=c;return 0}function nf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0;i=d+4|0;if((f[i>>2]|0)!=106){b[d>>0]=65;b[d+1>>0]=82;b[d+2>>0]=67;b[d+3>>0]=0;f[i>>2]=106;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=1.0;j=1.0}else{j=h*3.141592653589793/180.0;h=j;j=1.0/j}p[d+112>>3]=h;p[d+120>>3]=j;f[d+1888>>2]=7;f[d+1892>>2]=8}h=+L(+(a*a+c*c));if(h==0.0){c=0.0;p[e>>3]=c;d=d+120|0;c=+p[d>>3];c=h*c;c=90.0-c;p[g>>3]=c;return 0}c=+xg(a,-c);p[e>>3]=c;d=d+120|0;c=+p[d>>3];c=h*c;c=90.0-c;p[g>>3]=c;return 0}function of(a){a=a|0;var c=0.0,d=0.0,e=0,g=0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0;b[a>>0]=90;b[a+1>>0]=80;b[a+2>>0]=78;b[a+3>>0]=0;e=a+4|0;f[e>>2]=(f[e>>2]>>31&-214)+107;g=a+8|0;p[g>>3]=0.0;i=a+16|0;p[i>>3]=90.0;h=a+24|0;c=+p[h>>3];if(c==0.0){p[h>>3]=57.29577951308232;c=57.29577951308232}if(+p[a+104>>3]==0.0)if(+p[a+96>>3]==0.0)if(+p[a+88>>3]==0.0)if(+p[a+80>>3]==0.0)if(+p[a+72>>3]==0.0)if(+p[a+64>>3]==0.0)if(+p[a+56>>3]==0.0)if(+p[a+48>>3]==0.0)if(+p[a+40>>3]==0.0)if(+p[a+32>>3]==0.0){b[a>>0]=65;b[a+1>>0]=82;b[a+2>>0]=67;b[a+3>>0]=0;f[e>>2]=106;p[g>>3]=0.0;p[i>>3]=90.0;if(c==0.0){p[h>>3]=57.29577951308232;c=1.0;d=1.0}else{d=c*3.141592653589793/180.0;c=d;d=1.0/d}p[a+112>>3]=c;p[a+120>>3]=d;f[a+1888>>2]=7;f[a+1892>>2]=8;a=0;return a|0}else e=0;else e=1;else e=2;else e=3;else e=4;else e=5;else e=6;else e=7;else e=8;else e=9;f[a+272>>2]=e;f[a+1888>>2]=51;f[a+1892>>2]=52;if(e>>>0<=2){a=0;return a|0}c=+p[a+40>>3];if(!(c<=0.0)){g=0;d=0.0}else{a=1;return a|0}while(1){k=+(g|0)*3.141592653589793/180.0;j=0.0;h=e;while(1){j=k*j+ +(h|0)*+p[a+32+(h<<3)>>3];if((h|0)<=1)break;else h=h+-1|0}if(j<=0.0)break;g=g+1|0;if((g|0)<180){c=j;d=k}else{c=j;d=k;break}}a:do if((g|0)==180)d=3.141592653589793;else{m=j;h=1;l=d;while(1){d=l-c*(k-l)/(m-c);j=0.0;g=e;while(1){j=d*j+ +(g|0)*+p[a+32+(g<<3)>>3];if((g|0)<=1)break;else g=g+-1|0}if(+K(+j)<1.0e-13)break a;g=j<0.0;h=h+1|0;if((h|0)>=11)break;else{c=g?c:j;m=g?j:m;l=g?l:d;k=g?d:k}}}while(0);c=0.0;while(1){c=d*c+ +p[a+32+(e<<3)>>3];if((e|0)<=0)break;else e=e+-1|0}p[a+112>>3]=d;p[a+120>>3]=c;a=0;return a|0}function pf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0;i=d+4|0;if((f[i>>2]|0)==108)h=+p[d+112>>3];else{b[d>>0]=90;b[d+1>>0]=69;b[d+2>>0]=65;b[d+3>>0]=0;f[i>>2]=108;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=114.59155902616465;j=.008726646259971648}else{j=h*2.0;h=j;j=1.0/j}p[d+112>>3]=h;p[d+120>>3]=j;f[d+1888>>2]=9;f[d+1892>>2]=10}c=h*+sg((90.0-c)*.5);j=c*+sg(a);p[e>>3]=j;c=-(c*+rg(a));p[g>>3]=c;return 0}function qf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0;i=d+4|0;if((f[i>>2]|0)!=108){b[d>>0]=90;b[d+1>>0]=69;b[d+2>>0]=65;b[d+3>>0]=0;f[i>>2]=108;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=114.59155902616465;j=.008726646259971648}else{j=h*2.0;h=j;j=1.0/j}p[d+112>>3]=h;p[d+120>>3]=j;f[d+1888>>2]=9;f[d+1892>>2]=10}j=+L(+(a*a+c*c));if(j==0.0)h=0.0;else h=+xg(a,-c);p[e>>3]=h;h=j*+p[d+120>>3];if(+K(+h)>1.0)if(+K(+(j-+p[d+112>>3]))<1.0e-12)h=-90.0;else{g=2;return g|0}else h=90.0-+vg(h)*2.0;p[g>>3]=h;g=0;return g|0}function rf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0;i=d+4|0;if((f[i>>2]|0)!=109){b[d>>0]=65;b[d+1>>0]=73;b[d+2>>0]=82;b[d+3>>0]=0;f[i>>2]=109;p[d+8>>3]=0.0;p[d+16>>3]=90.0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=57.29577951308232}h=h*2.0;i=d+112|0;p[i>>3]=h;j=+p[d+40>>3];do if(!(j==90.0))if(j>-90.0){h=+rg((90.0-j)*.5);j=h*h;j=+V(+h)*j/(1.0-j);p[d+120>>3]=j;h=+p[i>>3];j=.5-j;break}else{g=1;return g|0}else{p[d+120>>3]=-.5;j=1.0}while(0);p[d+128>>3]=j;p[d+136>>3]=h*j;p[d+144>>3]=.0001;p[d+152>>3]=j*.0001;p[d+160>>3]=57.29577951308232/j;f[d+1888>>2]=11;f[d+1892>>2]=12}do if(!(c==90.0)){if(!(c>-90.0)){g=2;return g|0}j=90.0-c;h=j*.017453292519943295*.5;if(h<+p[d+144>>3]){h=h*+p[d+136>>3];break}else{c=+rg(j*.5);h=+L(+(1.0-c*c))/c;c=+V(+c)/h;h=-(+p[d+112>>3]*(c+h*+p[d+120>>3]));break}}else h=0.0;while(0);c=h*+sg(a);p[e>>3]=c;a=-(h*+rg(a));p[g>>3]=a;g=0;return g|0}function sf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0;j=d+4|0;if((f[j>>2]|0)==109)h=+p[d+112>>3];else{b[d>>0]=65;b[d+1>>0]=73;b[d+2>>0]=82;b[d+3>>0]=0;f[j>>2]=109;p[d+8>>3]=0.0;p[d+16>>3]=90.0;j=d+24|0;h=+p[j>>3];if(h==0.0){p[j>>3]=57.29577951308232;h=57.29577951308232}h=h*2.0;j=d+112|0;p[j>>3]=h;i=+p[d+40>>3];do if(!(i==90.0))if(i>-90.0){h=+rg((90.0-i)*.5);i=h*h;i=+V(+h)*i/(1.0-i);p[d+120>>3]=i;h=+p[j>>3];i=.5-i;break}else{g=1;return g|0}else{p[d+120>>3]=-.5;i=1.0}while(0);p[d+128>>3]=i;p[d+136>>3]=h*i;p[d+144>>3]=.0001;p[d+152>>3]=i*.0001;p[d+160>>3]=57.29577951308232/i;f[d+1888>>2]=11;f[d+1892>>2]=12}r=+L(+(a*a+c*c))/h;if(r==0.0){i=0.0;h=0.0}else{do if(!(r<+p[d+152>>3])){q=+p[d+120>>3];j=0;i=0.0;l=1.0;while(1){k=l;l=l*.5;o=+L(+(1.0-l*l))/l;h=i;i=-(+V(+l)/o+o*q);if(r<=i){j=0;m=h;o=k;break}j=j+1|0;if((j|0)>=30){s=16;break}}if((s|0)==16)if((j|0)==30){g=2;return g|0}else{j=0;m=i;o=l}while(1){h=(i-r)/(i-m);if(!(h<.1)){if(h>.9)h=.9}else h=.1;n=l-(l-o)*h;h=+L(+(1.0-n*n))/n;h=+V(+n)/h+q*h;k=-h;if(r>k)if(r+h<1.0e-12)break;else{m=k;h=n}else if(k-r<1.0e-12)break;else{i=k;h=o;l=n}j=j+1|0;if((j|0)<100)o=h;else break}if((j|0)==100){g=2;return g|0}else{h=+ug(n);break}}else h=r*+p[d+160>>3];while(0);i=+xg(a,-c)}p[e>>3]=i;p[g>>3]=90.0-h*2.0;g=0;return g|0}function tf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0;i=d+4|0;if((f[i>>2]|0)==201)h=+p[d+40>>3];else{b[d>>0]=67;b[d+1>>0]=89;b[d+2>>0]=80;b[d+3>>0]=0;f[i>>2]=201;l=d+8|0;i=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;j=+p[i>>3];k=+p[d+48>>3];if(j==0.0){p[i>>3]=57.29577951308232;p[d+112>>3]=k;if(k==0.0){l=1;return l|0}p[d+120>>3]=1.0/k;h=+p[d+40>>3];j=(k+h)*57.29577951308232;p[d+128>>3]=j;if(j==0.0){l=1;return l|0}}else{h=j*k*3.141592653589793/180.0;p[d+112>>3]=h;if(h==0.0){l=1;return l|0}p[d+120>>3]=1.0/h;h=+p[d+40>>3];j=j*(k+h);p[d+128>>3]=j;if(j==0.0){l=1;return l|0}}p[d+136>>3]=1.0/j;f[d+1888>>2]=13;f[d+1892>>2]=14}h=h+ +rg(c);if(h==0.0){l=2;return l|0}p[e>>3]=+p[d+112>>3]*a;a=+p[d+128>>3];c=a*+sg(c)/h;p[g>>3]=c;l=0;return l|0}function uf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0;h=d+4|0;if((f[h>>2]|0)==201){i=+p[d+120>>3];h=d+136|0}else{b[d>>0]=67;b[d+1>>0]=89;b[d+2>>0]=80;b[d+3>>0]=0;f[h>>2]=201;l=d+8|0;h=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;j=+p[h>>3];k=+p[d+48>>3];if(j==0.0){p[h>>3]=57.29577951308232;p[d+112>>3]=k;if(k==0.0){l=1;return l|0}i=1.0/k;p[d+120>>3]=i;j=(k+ +p[d+40>>3])*57.29577951308232;p[d+128>>3]=j;if(j==0.0){l=1;return l|0}}else{i=j*k*3.141592653589793/180.0;p[d+112>>3]=i;if(i==0.0){l=1;return l|0}i=1.0/i;p[d+120>>3]=i;j=j*(k+ +p[d+40>>3]);p[d+128>>3]=j;if(j==0.0){l=1;return l|0}}h=d+136|0;p[h>>3]=1.0/j;f[d+1888>>2]=13;f[d+1892>>2]=14}p[e>>3]=i*a;c=+p[h>>3]*c;a=+xg(c,1.0);c=a+ +vg(c*+p[d+40>>3]/+L(+(c*c+1.0)));p[g>>3]=c;l=0;return l|0}function vf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0,l=0.0;h=d+4|0;if((f[h>>2]|0)==202){i=+p[d+112>>3];h=d+128|0}else{b[d>>0]=67;b[d+1>>0]=69;b[d+2>>0]=65;b[d+3>>0]=0;f[h>>2]=202;k=d+8|0;h=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;j=+p[h>>3];l=+p[d+40>>3];k=l<=0.0;if(j==0.0){p[h>>3]=57.29577951308232;p[d+112>>3]=1.0;p[d+120>>3]=1.0;if(k|l>1.0){g=1;return g|0}else{j=57.29577951308232;i=1.0}}else{i=j*3.141592653589793/180.0;p[d+112>>3]=i;p[d+120>>3]=57.29577951308232/j;if(k|l>1.0){g=1;return g|0}}h=d+128|0;p[h>>3]=j/l;p[d+136>>3]=l/j;f[d+1888>>2]=15;f[d+1892>>2]=16}p[e>>3]=i*a;a=+p[h>>3];c=a*+sg(c);p[g>>3]=c;g=0;return g|0}function wf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0,k=0;j=d+4|0;if((f[j>>2]|0)==202)h=+p[d+136>>3];else{b[d>>0]=67;b[d+1>>0]=69;b[d+2>>0]=65;b[d+3>>0]=0;f[j>>2]=202;j=d+8|0;k=d+24|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;h=+p[k>>3];i=+p[d+40>>3];j=i<=0.0;if(h==0.0){p[k>>3]=57.29577951308232;p[d+112>>3]=1.0;p[d+120>>3]=1.0;if(j|i>1.0){g=1;return g|0}else h=57.29577951308232}else{p[d+112>>3]=h*3.141592653589793/180.0;p[d+120>>3]=57.29577951308232/h;if(j|i>1.0){g=1;return g|0}}p[d+128>>3]=h/i;h=i/h;p[d+136>>3]=h;f[d+1888>>2]=15;f[d+1892>>2]=16}h=h*c;i=+K(+h);do if(i>1.0)if(i>1.0000000000001){g=2;return g|0}else{h=h<0.0?-1.0:1.0;break}while(0);p[e>>3]=+p[d+120>>3]*a;a=+vg(h);p[g>>3]=a;g=0;return g|0}function xf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0;h=d+4|0;if((f[h>>2]|0)==203){d=d+112|0;j=+p[d>>3];a=j*a;p[e>>3]=a;a=+p[d>>3];c=a*c;p[g>>3]=c;return 0}b[d>>0]=67;b[d+1>>0]=65;b[d+2>>0]=82;b[d+3>>0]=0;f[h>>2]=203;k=d+8|0;h=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=1.0;j=1.0}else{j=i*3.141592653589793/180.0;i=j;j=1.0/j}k=d+112|0;p[k>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=17;f[d+1892>>2]=18;j=i;a=j*a;p[e>>3]=a;a=+p[k>>3];c=a*c;p[g>>3]=c;return 0}function yf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0;h=d+4|0;if((f[h>>2]|0)==203){d=d+120|0;j=+p[d>>3];a=j*a;p[e>>3]=a;a=+p[d>>3];c=a*c;p[g>>3]=c;return 0}b[d>>0]=67;b[d+1>>0]=65;b[d+2>>0]=82;b[d+3>>0]=0;f[h>>2]=203;k=d+8|0;h=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=1.0;j=1.0}else{j=i*3.141592653589793/180.0;i=j;j=1.0/j}p[d+112>>3]=i;k=d+120|0;p[k>>3]=j;f[d+1888>>2]=17;f[d+1892>>2]=18;a=j*a;p[e>>3]=a;a=+p[k>>3];c=a*c;p[g>>3]=c;return 0}function zf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0;h=d+4|0;if((f[h>>2]|0)!=204){b[d>>0]=77;b[d+1>>0]=69;b[d+2>>0]=82;b[d+3>>0]=0;f[h>>2]=204;k=d+8|0;h=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=1.0;j=1.0}else{j=i*3.141592653589793/180.0;i=j;j=1.0/j}p[d+112>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=19;f[d+1892>>2]=20}if(c<=-90.0|c>=90.0){k=2;return k|0}p[e>>3]=+p[d+112>>3]*a;a=+p[d+24>>3];c=a*+V(+(+tg((c+90.0)*.5)));p[g>>3]=c;k=0;return k|0}function Af(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0;h=d+4|0;if((f[h>>2]|0)==204){i=+p[d+120>>3];h=d+24|0}else{b[d>>0]=77;b[d+1>>0]=69;b[d+2>>0]=82;b[d+3>>0]=0;f[h>>2]=204;k=d+8|0;h=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=1.0;j=1.0}else{j=i*3.141592653589793/180.0;i=j;j=1.0/j}p[d+112>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=19;f[d+1892>>2]=20;i=j}p[e>>3]=i*a;c=+wg(+U(+(c/+p[h>>3])))*2.0+-90.0;p[g>>3]=c;return 0}function Bf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0;h=d+4|0;if((f[h>>2]|0)==301){d=d+112|0;j=+p[d>>3];j=j*a;a=+rg(c);a=j*a;p[e>>3]=a;a=+p[d>>3];c=a*c;p[g>>3]=c;return 0}b[d>>0]=83;b[d+1>>0]=70;b[d+2>>0]=76;b[d+3>>0]=0;f[h>>2]=301;k=d+8|0;h=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=1.0;j=1.0}else{j=i*3.141592653589793/180.0;i=j;j=1.0/j}k=d+112|0;p[k>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=21;f[d+1892>>2]=22;j=i;j=j*a;a=+rg(c);a=j*a;p[e>>3]=a;a=+p[k>>3];c=a*c;p[g>>3]=c;return 0}function Cf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0;h=d+4|0;if((f[h>>2]|0)==301)i=+p[d+24>>3];else{b[d>>0]=83;b[d+1>>0]=70;b[d+2>>0]=76;b[d+3>>0]=0;f[h>>2]=301;l=d+8|0;h=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;k=1.0;i=57.29577951308232;j=1.0}else{j=i*3.141592653589793/180.0;k=j;j=1.0/j}p[d+112>>3]=k;p[d+120>>3]=j;f[d+1888>>2]=21;f[d+1892>>2]=22}i=+N(+(c/i));h=d+120|0;if(i==0.0){a=0.0;p[e>>3]=a;a=+p[h>>3];c=a*c;p[g>>3]=c;return 0}a=+p[h>>3]*a/i;p[e>>3]=a;a=+p[h>>3];c=a*c;p[g>>3]=c;return 0}function Df(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0.0,l=0.0,m=0.0;h=d+4|0;if((f[h>>2]|0)==302){j=d+112|0;h=d+128|0}else{b[d>>0]=80;b[d+1>>0]=65;b[d+2>>0]=82;b[d+3>>0]=0;f[h>>2]=302;j=d+8|0;h=d+24|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=180.0;k=1.0;l=1.0;m=.005555555555555556}else{m=i*3.141592653589793;l=m/180.0;i=m;k=1.0/l;m=1.0/m}j=d+112|0;p[j>>3]=l;p[d+120>>3]=k;h=d+128|0;p[h>>3]=i;p[d+136>>3]=m;f[d+1888>>2]=23;f[d+1892>>2]=24}c=+sg(c/3.0);p[e>>3]=+p[j>>3]*a*(1.0-c*(c*4.0));p[g>>3]=c*+p[h>>3];return 0}function Ef(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0;i=d+4|0;if((f[i>>2]|0)==302)h=+p[d+136>>3];else{b[d>>0]=80;b[d+1>>0]=65;b[d+2>>0]=82;b[d+3>>0]=0;f[i>>2]=302;m=d+8|0;i=d+24|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;j=180.0;k=1.0;l=1.0;h=.005555555555555556}else{h=h*3.141592653589793;l=h/180.0;j=h;k=1.0/l;h=1.0/h}p[d+112>>3]=l;p[d+120>>3]=k;p[d+128>>3]=j;p[d+136>>3]=h;f[d+1888>>2]=23;f[d+1892>>2]=24}j=h*c;if(j>1.0|j<-1.0){m=2;return m|0}h=1.0-j*(j*4.0);if(h==0.0)if(a==0.0)h=0.0;else{m=2;return m|0}else h=+p[d+120>>3]*a/h;p[e>>3]=h;a=+vg(j)*3.0;p[g>>3]=a;m=0;return m|0}function Ff(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0;i=d+4|0;if((f[i>>2]|0)!=303){b[d>>0]=77;b[d+1>>0]=79;b[d+2>>0]=76;b[d+3>>0]=0;f[i>>2]=303;m=d+8|0;i=d+24|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=57.29577951308232}l=h*1.4142135623730951;p[d+112>>3]=l;p[d+120>>3]=l/90.0;p[d+128>>3]=1.0/l;p[d+136>>3]=90.0/h;p[d+144>>3]=.6366197723675814;f[d+1888>>2]=25;f[d+1892>>2]=26}if(+K(+c)==90.0){p[e>>3]=0.0;a=+K(+(+p[d+112>>3]));a=c<0.0?-a:a;p[g>>3]=a;return 0}if(c==0.0){p[e>>3]=+p[d+120>>3]*a;a=0.0;p[g>>3]=a;return 0}l=+sg(c)*3.141592653589793;i=0;h=l;j=-3.141592653589793;k=3.141592653589793;do{c=h-l+ +O(+h);if(c<0.0)if(c>-1.0e-13)break;else j=h;else if(c<1.0e-13)break;else k=h;h=(j+k)*.5;i=i+1|0}while((i|0)<100);l=h*.5;a=+p[d+120>>3]*a*+N(+l);p[e>>3]=a;a=+p[d+112>>3]*+O(+l);p[g>>3]=a;return 0}function Gf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0;i=d+4|0;if((f[i>>2]|0)==303)h=+p[d+24>>3];else{b[d>>0]=77;b[d+1>>0]=79;b[d+2>>0]=76;b[d+3>>0]=0;f[i>>2]=303;l=d+8|0;i=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=57.29577951308232}k=h*1.4142135623730951;p[d+112>>3]=k;p[d+120>>3]=k/90.0;p[d+128>>3]=1.0/k;p[d+136>>3]=90.0/h;p[d+144>>3]=.6366197723675814;f[d+1888>>2]=25;f[d+1892>>2]=26}k=c/h;h=2.0-k*k;if(h<=1.0e-12){if(h<-1.0e-12){l=2;return l|0}if(+K(+a)>1.0e-12){l=2;return l|0}else{j=0.0;h=0.0}}else{h=+L(+h);j=h;h=+p[d+136>>3]*a/h}p[e>>3]=h;a=+p[d+128>>3]*c;h=+K(+a);do if(h>1.0)if(h>1.000000000001){l=2;return l|0}else{h=a<0.0?-1.0:1.0;break}else{h=+R(+a);h=h*+p[d+144>>3]}while(0);h=k*j/3.141592653589793+h;a=+K(+h);do if(a>1.0)if(a>1.000000000001){l=2;return l|0}else{h=h<0.0?-1.0:1.0;break}while(0);c=+vg(h);p[g>>3]=c;l=0;return l|0}function Hf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0.0;h=d+4|0;if((f[h>>2]|0)==401)h=d+112|0;else{b[d>>0]=65;b[d+1>>0]=73;b[d+2>>0]=84;b[d+3>>0]=0;f[h>>2]=401;j=d+8|0;h=d+24|0;f[j>>2]=0;f[j+4>>2]=0;f[j+8>>2]=0;f[j+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=57.29577951308232}k=i*2.0;i=i*k;h=d+112|0;p[h>>3]=i;i=1.0/(i*2.0);p[d+120>>3]=i;p[d+128>>3]=i*.25;p[d+136>>3]=1.0/k;f[d+1888>>2]=27;f[d+1892>>2]=28}i=+rg(c);k=+p[h>>3];a=a*.5;k=+L(+(k/(i*+rg(a)+1.0)));a=+sg(a)*(i*(k*2.0));p[e>>3]=a;k=k*+sg(c);p[g>>3]=k;return 0}function If(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0;i=d+4|0;if((f[i>>2]|0)==401){h=+p[d+128>>3];j=+p[d+120>>3]}else{b[d>>0]=65;b[d+1>>0]=73;b[d+2>>0]=84;b[d+3>>0]=0;f[i>>2]=401;l=d+8|0;i=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=57.29577951308232}k=h*2.0;j=h*k;p[d+112>>3]=j;j=1.0/(j*2.0);p[d+120>>3]=j;h=j*.25;p[d+128>>3]=h;p[d+136>>3]=1.0/k;f[d+1888>>2]=27;f[d+1892>>2]=28}h=1.0-a*a*h-c*c*j;if(h<0.0)if(h<-1.0e-13){l=2;return l|0}else h=0.0;k=+L(+h);j=k*c/+p[d+24>>3];h=+K(+j);do if(h>1.0)if(h>1.0000000000001){l=2;return l|0}else{j=j<0.0?-1.0:1.0;break}while(0);c=k*(k*2.0)+-1.0;h=k*a*+p[d+136>>3];if(c==0.0&h==0.0)h=0.0;else h=+xg(h,c)*2.0;p[e>>3]=h;a=+vg(j);p[g>>3]=a;l=0;return l|0}function Jf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0,k=0,l=0.0,m=0.0;k=d+4|0;h=f[k>>2]|0;do if((((h|0)>-1?h:0-h|0)|0)!=501){b[d>>0]=67;b[d+1>>0]=79;b[d+2>>0]=80;b[d+3>>0]=0;f[k>>2]=(h>>31&-1002)+501;p[d+8>>3]=0.0;h=d+40|0;i=+p[h>>3];p[d+16>>3]=i;j=d+24|0;if(+p[j>>3]==0.0)p[j>>3]=57.29577951308232;i=+sg(i);p[d+112>>3]=i;if(i==0.0){g=1;return g|0}p[d+120>>3]=1.0/i;i=+p[j>>3];i=i*+rg(+p[d+48>>3]);j=d+136|0;p[j>>3]=i;if(i==0.0){g=1;return g|0}else{p[d+144>>3]=1.0/i;i=1.0/+tg(+p[h>>3]);p[d+152>>3]=i;p[d+128>>3]=i*+p[j>>3];f[d+1888>>2]=29;f[d+1892>>2]=30;break}}else h=d+40|0;while(0);c=c-+p[h>>3];i=+rg(c);if(i==0.0){g=2;return g|0}j=d+112|0;l=+p[j>>3]*a;h=d+128|0;m=+p[h>>3];a=+p[d+136>>3];a=m-a*+sg(c)/i;c=+sg(l)*a;p[e>>3]=c;c=+p[h>>3];c=c-a*+rg(l);p[g>>3]=c;if((f[k>>2]|0)>0?a*+p[j>>3]<0.0:0){g=2;return g|0}g=0;return g|0}function Kf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0;j=d+4|0;i=f[j>>2]|0;do if((((i|0)>-1?i:0-i|0)|0)!=501){b[d>>0]=67;b[d+1>>0]=79;b[d+2>>0]=80;b[d+3>>0]=0;f[j>>2]=(i>>31&-1002)+501;p[d+8>>3]=0.0;j=d+40|0;h=+p[j>>3];p[d+16>>3]=h;i=d+24|0;if(+p[i>>3]==0.0)p[i>>3]=57.29577951308232;h=+sg(h);p[d+112>>3]=h;if(h==0.0){g=1;return g|0}p[d+120>>3]=1.0/h;h=+p[i>>3];h=h*+rg(+p[d+48>>3]);i=d+136|0;p[i>>3]=h;if(h==0.0){g=1;return g|0}else{p[d+144>>3]=1.0/h;h=1.0/+tg(+p[j>>3]);p[d+152>>3]=h;h=h*+p[i>>3];p[d+128>>3]=h;f[d+1888>>2]=29;f[d+1892>>2]=30;i=j;break}}else{h=+p[d+128>>3];i=d+40|0}while(0);h=h-c;c=+L(+(a*a+h*h));c=+p[i>>3]<0.0?-c:c;if(c==0.0)h=0.0;else h=+xg(a/c,h/c);p[e>>3]=h*+p[d+120>>3];a=+p[i>>3];a=a+ +wg(+p[d+152>>3]-c*+p[d+144>>3]);p[g>>3]=a;g=0;return g|0}function Lf(a){a=a|0;var c=0.0,d=0,e=0.0,g=0,h=0,i=0.0,j=0.0,k=0;b[a>>0]=67;b[a+1>>0]=79;b[a+2>>0]=69;b[a+3>>0]=0;f[a+4>>2]=502;p[a+8>>3]=0.0;g=a+40|0;c=+p[g>>3];p[a+16>>3]=c;h=a+24|0;if(+p[h>>3]==0.0)p[h>>3]=57.29577951308232;e=+p[a+48>>3];i=c-e;c=c+e;e=+sg(i);e=(e+ +sg(c))*.5;d=a+112|0;p[d>>3]=e;if(e==0.0){h=1;return h|0}p[a+120>>3]=1.0/e;k=a+136|0;p[k>>3]=+p[h>>3]/e;e=+sg(i);e=e*+sg(c)+1.0;p[a+144>>3]=e;i=+p[d>>3]*2.0;p[a+152>>3]=i;c=+p[k>>3];p[a+160>>3]=c*c*e;p[a+168>>3]=1.0/(+p[h>>3]*2.0*c);j=c*+L(+(e+i));p[a+176>>3]=j;i=c*+L(+(e-i*+sg(+p[g>>3])));p[a+128>>3]=i;f[a+1888>>2]=53;f[a+1892>>2]=54;h=0;return h|0}function Mf(a){a=a|0;var c=0.0,d=0,e=0.0,g=0,h=0,i=0;b[a>>0]=67;b[a+1>>0]=79;b[a+2>>0]=68;b[a+3>>0]=0;f[a+4>>2]=503;p[a+8>>3]=0.0;h=a+40|0;e=+p[h>>3];p[a+16>>3]=e;i=a+24|0;c=+p[i>>3];if(c==0.0){p[i>>3]=57.29577951308232;c=57.29577951308232}g=a+48|0;d=+p[g>>3]==0.0;c=c*+sg(e);if(d)c=c*3.141592653589793/180.0;else{c=c*+sg(+p[g>>3]);c=c/+p[g>>3]}d=a+112|0;p[d>>3]=c;if(c==0.0){i=1;return i|0}p[a+120>>3]=1.0/c;e=+p[i>>3];e=e*+rg(+p[g>>3]);e=e*+rg(+p[h>>3]);e=e/+p[d>>3];p[a+128>>3]=e;p[a+136>>3]=e+ +p[h>>3];f[a+1888>>2]=55;f[a+1892>>2]=56;i=0;return i|0}function Nf(a){a=a|0;var c=0.0,d=0,e=0.0,g=0,h=0.0,i=0.0,j=0;b[a>>0]=67;b[a+1>>0]=79;b[a+2>>0]=79;b[a+3>>0]=0;f[a+4>>2]=504;p[a+8>>3]=0.0;j=a+40|0;c=+p[j>>3];p[a+16>>3]=c;d=a+24|0;if(+p[d>>3]==0.0)p[d>>3]=57.29577951308232;h=+p[a+48>>3];e=c-h;c=c+h;h=+tg((90.0-e)*.5);i=+rg(e);if(e==c)c=+sg(e);else{e=+tg((90.0-c)*.5);c=+V(+(+rg(c)/i))/+V(+(e/h))}g=a+112|0;p[g>>3]=c;if(c==0.0){a=1;return a|0}p[a+120>>3]=1.0/c;c=+p[d>>3]*(i/c)/+M(+h,+c);d=a+136|0;p[d>>3]=c;if(c==0.0){a=1;return a|0}i=+tg((90.0-+p[j>>3])*.5);i=c*+M(+i,+(+p[g>>3]));p[a+128>>3]=i;p[a+144>>3]=1.0/+p[d>>3];f[a+1888>>2]=57;f[a+1892>>2]=58;a=0;return a|0}function Of(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0;l=d+40|0;j=+p[l>>3];k=d+4|0;i=f[k>>2]|0;if(j==0.0){if((i|0)==301){i=d+112|0;h=+p[i>>3]}else{b[d>>0]=83;b[d+1>>0]=70;b[d+2>>0]=76;b[d+3>>0]=0;f[k>>2]=301;l=d+8|0;i=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;h=1.0;j=1.0}else{j=h*3.141592653589793/180.0;h=j;j=1.0/j}i=d+112|0;p[i>>3]=h;p[d+120>>3]=j;f[d+1888>>2]=21;f[d+1892>>2]=22}a=h*a*+rg(c);p[e>>3]=a;c=+p[i>>3]*c;p[g>>3]=c;return 0}else{if((i|0)==601){k=d+128|0;h=+p[k>>3];i=d+24|0}else{b[d>>0]=66;b[d+1>>0]=79;b[d+2>>0]=78;b[d+3>>0]=0;f[k>>2]=601;k=d+8|0;i=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;p[d+120>>3]=1.0;h=+rg(j)*57.29577951308232;h=h/+sg(+p[l>>3]);h=h+ +p[l>>3]}else{p[d+120>>3]=h*3.141592653589793/180.0;j=+rg(j);j=j/+sg(+p[l>>3]);h=h*(j+ +p[l>>3]*3.141592653589793/180.0)}k=d+128|0;p[k>>3]=h;f[d+1888>>2]=31;f[d+1892>>2]=32}j=h-+p[d+120>>3]*c;a=+p[i>>3]*a;c=a*+rg(c)/j;a=j*+sg(c);p[e>>3]=a;a=+p[k>>3];c=a-j*+rg(c);p[g>>3]=c;return 0}return 0}function Pf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0.0,j=0,k=0.0,l=0,m=0,n=0.0;m=d+40|0;i=+p[m>>3];l=d+4|0;j=f[l>>2]|0;if(i==0.0){if((j|0)==301){j=d+120|0;h=+p[d+24>>3]}else{b[d>>0]=83;b[d+1>>0]=70;b[d+2>>0]=76;b[d+3>>0]=0;f[l>>2]=301;m=d+8|0;j=d+24|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;h=+p[j>>3];if(h==0.0){p[j>>3]=57.29577951308232;k=1.0;h=57.29577951308232;i=1.0}else{i=h*3.141592653589793/180.0;k=i;i=1.0/i}p[d+112>>3]=k;j=d+120|0;p[j>>3]=i;f[d+1888>>2]=21;f[d+1892>>2]=22}h=+N(+(c/h));if(h==0.0)h=0.0;else h=+p[j>>3]*a/h;p[e>>3]=h;p[g>>3]=+p[j>>3]*c;return 0}if((j|0)==601){j=d+128|0;h=+p[j>>3]}else{b[d>>0]=66;b[d+1>>0]=79;b[d+2>>0]=78;b[d+3>>0]=0;f[l>>2]=601;l=d+8|0;j=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;h=+p[j>>3];if(h==0.0){p[j>>3]=57.29577951308232;p[d+120>>3]=1.0;k=+rg(i)*57.29577951308232;k=k/+sg(+p[m>>3]);h=+p[m>>3];i=h;h=k+h}else{p[d+120>>3]=h*3.141592653589793/180.0;n=+rg(i);n=n/+sg(+p[m>>3]);k=+p[m>>3];i=k;h=h*(n+k*3.141592653589793/180.0)}j=d+128|0;p[j>>3]=h;f[d+1888>>2]=31;f[d+1892>>2]=32}k=h-c;c=+L(+(a*a+k*k));c=i<0.0?-c:c;if(c==0.0)i=0.0;else{i=+xg(a/c,k/c);h=+p[j>>3]}h=(h-c)/+p[d+120>>3];p[g>>3]=h;h=+rg(h);if(h==0.0)h=0.0;else h=i*(c/+p[d+24>>3])/h;p[e>>3]=h;return 0}function Qf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0;h=d+4|0;if((f[h>>2]|0)!=602){b[d>>0]=80;b[d+1>>0]=67;b[d+2>>0]=79;b[d+3>>0]=0;f[h>>2]=602;l=d+8|0;h=d+24|0;f[l>>2]=0;f[l+4>>2]=0;f[l+8>>2]=0;f[l+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;j=1.0;k=1.0;i=114.59155902616465}else{k=i*3.141592653589793/180.0;j=1.0/k;i=i*2.0}p[d+112>>3]=k;p[d+120>>3]=j;p[d+128>>3]=i;f[d+1888>>2]=33;f[d+1892>>2]=34}i=+rg(c);j=+sg(c);k=j*a;if(j==0.0){p[e>>3]=+p[d+112>>3]*a;c=0.0;p[g>>3]=c;return 0}else{a=i/j;l=d+24|0;j=a*+p[l>>3];j=j*+sg(k);p[e>>3]=j;j=+p[l>>3];c=j*(c*3.141592653589793/180.0+a*(1.0-+rg(k)));p[g>>3]=c;return 0}return 0}function Rf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,u=0.0;i=d+4|0;if((f[i>>2]|0)==602)h=+p[d+120>>3];else{b[d>>0]=80;b[d+1>>0]=67;b[d+2>>0]=79;b[d+3>>0]=0;f[i>>2]=602;r=d+8|0;i=d+24|0;f[r>>2]=0;f[r+4>>2]=0;f[r+8>>2]=0;f[r+12>>2]=0;j=+p[i>>3];if(j==0.0){p[i>>3]=57.29577951308232;h=1.0;k=1.0;j=114.59155902616465}else{k=j*3.141592653589793/180.0;h=1.0/k;j=j*2.0}p[d+112>>3]=k;p[d+120>>3]=h;p[d+128>>3]=j;f[d+1888>>2]=33;f[d+1892>>2]=34}j=+K(+(h*c));if(j<1.0e-12){p[e>>3]=h*a;p[g>>3]=0.0;return 0}if(+K(+(j+-90.0))<1.0e-12){p[e>>3]=0.0;p[g>>3]=c<0.0?-90.0:90.0;return 0}u=c>0.0?90.0:-90.0;s=a*a;m=d+112|0;q=c-u*+p[m>>3];n=d+128|0;o=-999.0;q=s+q*q;r=0;t=0.0;while(1){if(o<-100.0)h=(t+u)*.5;else{h=q/(q-o);if(!(h<.1)){if(h>.9)h=.9}else h=.1;h=u-(u-t)*h}p[g>>3]=h;l=c-h*+p[m>>3];k=+tg(h);j=s+l*(l-+p[n>>3]/k);if(+K(+j)<1.0e-12)break;if(+K(+(u-t))<1.0e-12)break;i=j>0.0;h=+p[g>>3];r=r+1|0;if((r|0)>=64)break;else{o=i?o:j;q=i?j:q;t=i?t:h;u=i?h:u}}j=+p[d+24>>3]-k*l;h=k*a;if(h==0.0&j==0.0){p[e>>3]=0.0;return 0}else{a=+xg(h,j);a=a/+sg(+p[g>>3]);p[e>>3]=a;return 0}return 0}function Sf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0,s=0,t=0;h=d+4|0;if((f[h>>2]|0)!=701){b[d>>0]=84;b[d+1>>0]=83;b[d+2>>0]=67;b[d+3>>0]=0;f[h>>2]=701;q=d+8|0;h=d+24|0;f[q>>2]=0;f[q+4>>2]=0;f[q+8>>2]=0;f[q+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=45.0;j=.022222222222222223}else{j=i*3.141592653589793*.25;i=j;j=1.0/j}p[d+112>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=35;f[d+1892>>2]=36}j=+rg(c);m=j*+rg(a);j=j*+sg(a);c=+sg(c);q=m>c;k=q?m:c;h=j>k;k=h?j:k;l=-m;r=k<l;k=r?l:k;i=-j;s=k<i;k=s?i:k;o=-c;t=k<o;k=t?o:k;switch((t?5:s?4:r?3:h?2:q&1)&7){case 0:{o=0.0;a=j/k;n=2.0;i=l/k;break}case 1:{o=0.0;a=j/k;n=0.0;i=c/k;break}case 2:{o=2.0;a=l/k;n=0.0;i=c/k;break}case 3:{o=4.0;a=i/k;n=0.0;i=c/k;break}case 4:{o=6.0;a=m/k;n=0.0;i=c/k;break}case 5:{o=0.0;a=j/k;n=-2.0;i=m/k;break}default:{o=0.0;a=0.0;n=0.0;i=0.0}}j=+K(+a);do if(j>1.0)if(j>1.000000000001){t=2;return t|0}else{a=a<0.0?-1.0:1.0;break}while(0);j=+K(+i);do if(j>1.0)if(j>1.000000000001){t=2;return t|0}else{i=i<0.0?-1.0:1.0;break}while(0);t=d+112|0;p[e>>3]=(o+a)*+p[t>>3];p[g>>3]=(n+i)*+p[t>>3];t=0;return t|0}function Tf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0,l=0.0;i=d+4|0;if((f[i>>2]|0)==701)h=+p[d+120>>3];else{b[d>>0]=84;b[d+1>>0]=83;b[d+2>>0]=67;b[d+3>>0]=0;f[i>>2]=701;k=d+8|0;i=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;j=45.0;h=.022222222222222223}else{h=h*3.141592653589793*.25;j=h;h=1.0/h}p[d+112>>3]=j;p[d+120>>3]=h;f[d+1888>>2]=35;f[d+1892>>2]=36}j=h*a;c=h*c;h=+K(+j);if(!(h<=1.0)){if(h>7.0){k=2;return k|0}if(+K(+c)>1.0){k=2;return k|0}}else if(+K(+c)>3.0){k=2;return k|0}j=j<-1.0?j+8.0:j;do if(!(j>5.0)){if(j>3.0){h=j+-4.0;j=-1.0/+L(+(c*c+(h*h+1.0)));a=j;h=h*j;j=-(c*j);break}if(j>1.0){a=j+-2.0;j=1.0/+L(+(c*c+(a*a+1.0)));a=-(a*j);h=j;j=c*j;break}h=j*j+1.0;if(c>1.0){a=c+-2.0;c=1.0/+L(+(a*a+h));a=-(a*c);h=j*c;j=c;break}if(c<-1.0){a=c+2.0;c=-1.0/+L(+(a*a+h));h=-c;a=a*h;h=j*h;j=c;break}else{l=1.0/+L(+(c*c+h));a=l;h=j*l;j=c*l;break}}else{a=j+-6.0;h=-1.0/+L(+(c*c+(a*a+1.0)));j=-h;a=a*j;j=c*j}while(0);if(a==0.0&h==0.0)h=0.0;else h=+xg(h,a);p[e>>3]=h;l=+vg(j);p[g>>3]=l;k=0;return k|0}function Uf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,q=0,r=0,s=0.0,t=0.0,u=0.0,v=0.0;h=d+4|0;if((f[h>>2]|0)!=702){b[d>>0]=67;b[d+1>>0]=83;b[d+2>>0]=67;b[d+3>>0]=0;f[h>>2]=702;n=d+8|0;h=d+24|0;f[n>>2]=0;f[n+4>>2]=0;f[n+8>>2]=0;f[n+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=45.0;j=.022222222222222223}else{j=i*3.141592653589793*.25;i=j;j=1.0/j}p[d+112>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=37;f[d+1892>>2]=38}k=+rg(c);i=k*+rg(a);k=k*+sg(a);j=+sg(c);n=i>j;l=n?i:j;h=k>l;l=h?k:l;a=-i;o=l<a;l=o?a:l;c=-k;q=l<c;l=q?c:l;m=-j;r=l<m;l=r?m:l;switch((r?5:q?4:o?3:h?2:n&1)&7){case 0:{j=a;m=0.0;i=k;c=2.0;break}case 1:{m=0.0;i=k;c=0.0;break}case 2:{m=2.0;i=a;c=0.0;break}case 3:{m=4.0;i=c;c=0.0;break}case 4:{m=6.0;c=0.0;break}case 5:{j=i;m=0.0;i=k;c=-2.0;break}default:{j=0.0;m=0.0;i=0.0;c=0.0}}a=i/l;v=j/l;l=a*a;k=v*v;t=1.0-l;u=1.0-k;j=+K(+(a*v));s=l>1.0e-16?l*l:0.0;i=k>1.0e-16?k*k:0.0;j=j>1.0e-16?l*k*.15384112298488617:0.0;a=a*(l+t*(l*(-.15959623456001282-t*(.07591962069272995-l*.021776249632239342))+(k*(l*.004869491793215275-t*.1316167116165161+u*(i*.10695946961641312+(l*.08097013086080551+.14118963479995728-k*.2815285325050354+j-s*.1782512068748474)))+1.374848484992981)));i=v*(k+u*(k*(-.15959623456001282-u*(.07591962069272995-k*.021776249632239342))+(l*(k*.004869491793215275-u*.1316167116165161+t*(s*.10695946961641312+(k*.08097013086080551+.14118963479995728-l*.2815285325050354+j-i*.1782512068748474)))+1.374848484992981)));j=+K(+a);do if(j>1.0)if(j>1.0000001000000012){r=2;return r|0}else{a=a<0.0?-1.0:1.0;break}while(0);j=+K(+i);do if(j>1.0)if(j>1.0000001000000012){r=2;return r|0}else{i=i<0.0?-1.0:1.0;break}while(0);r=d+112|0;p[e>>3]=(m+a)*+p[r>>3];p[g>>3]=(c+i)*+p[r>>3];r=0;return r|0}function Vf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0;i=d+4|0;if((f[i>>2]|0)==702)h=+p[d+120>>3];else{b[d>>0]=67;b[d+1>>0]=83;b[d+2>>0]=67;b[d+3>>0]=0;f[i>>2]=702;k=d+8|0;i=d+24|0;f[k>>2]=0;f[k+4>>2]=0;f[k+8>>2]=0;f[k+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;j=45.0;h=.022222222222222223}else{h=h*3.141592653589793*.25;j=h;h=1.0/h}p[d+112>>3]=j;p[d+120>>3]=h;f[d+1888>>2]=37;f[d+1892>>2]=38}a=h*a;j=h*c;h=+K(+a);if(!(h<=1.0)){if(h>7.0){k=2;return k|0}if(+K(+j)>1.0){k=2;return k|0}}else if(+K(+j)>3.0){k=2;return k|0}h=a<-1.0?a+8.0:a;do if(!(h>5.0)){if(h>3.0){i=3;h=h+-4.0;break}if(h>1.0){i=2;h=h+-2.0;break}if(j>1.0){i=0;j=j+-2.0;break}if(j<-1.0){i=5;j=j+2.0}else i=1}else{i=4;h=h+-6.0}while(0);c=h*h;a=j*j;h=h+h*(1.0-c)*(c*(c*(c*(c*(c*(c*.025843750685453415+.25795793533325195)+-.6293006539344788)+.5485238432884216)+-.22797055542469025)+-.07629968971014023)+-.2729269564151764+a*(c*(c*(c*(c*(1.715475082397461-c*.5302233695983887)+-1.7411445379257202)+.48051509261131287)+-.014715650118887424)+-.028194520622491837+a*(c*(c*(c*(.9893810153007507-c*.8318046927452087)+.30803316831588745)+-.5680093765258789)+.27058160305023193+a*(c*(c*(c*.08693841099739075+-.9367857575416565)+1.5088008642196655)+-.6044155955314636+a*(c*(c*.3388744592666626+-1.4160192012786865)+.934120774269104+a*(a*.14381584525108337+(c*.5203223824501038+-.6391530632972717)))))));j=j+j*(1.0-a)*(a*(a*(a*(a*(a*(a*.025843750685453415+.25795793533325195)+-.6293006539344788)+.5485238432884216)+-.22797055542469025)+-.07629968971014023)+-.2729269564151764+c*(a*(a*(a*(a*(1.715475082397461-a*.5302233695983887)+-1.7411445379257202)+.48051509261131287)+-.014715650118887424)+-.028194520622491837+c*(a*(a*(a*(.9893810153007507-a*.8318046927452087)+.30803316831588745)+-.5680093765258789)+.27058160305023193+c*(a*(a*(a*.08693841099739075+-.9367857575416565)+1.5088008642196655)+-.6044155955314636+c*(a*(a*.3388744592666626+-1.4160192012786865)+.934120774269104+c*(a*.5203223824501038+-.6391530632972717+c*.14381584525108337))))));switch(i&7){case 0:{c=1.0/+L(+(j*j+h*h+1.0));a=-j*c;h=h*c;j=c;break}case 1:{c=1.0/+L(+(j*j+h*h+1.0));a=c;h=h*c;j=j*c;break}case 2:{c=1.0/+L(+(j*j+h*h+1.0));a=-h*c;h=c;j=j*c;break}case 3:{c=-1.0/+L(+(j*j+h*h+1.0));a=c;h=h*c;j=-j*c;break}case 4:{c=-1.0/+L(+(j*j+h*h+1.0));a=-h*c;h=c;j=-j*c;break}case 5:{c=-1.0/+L(+(j*j+h*h+1.0));a=-j*c;h=-h*c;j=c;break}default:{a=0.0;h=0.0;j=0.0}}if(h==0.0&a==0.0)h=0.0;else h=+xg(h,a);p[e>>3]=h;c=+vg(j);p[g>>3]=c;k=0;return k|0}function Wf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0,q=0,r=0,s=0,t=0.0;h=d+4|0;if((f[h>>2]|0)!=703){b[d>>0]=81;b[d+1>>0]=83;b[d+2>>0]=67;b[d+3>>0]=0;f[h>>2]=703;o=d+8|0;h=d+24|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;i=45.0;j=.022222222222222223}else{j=i*3.141592653589793*.25;i=j;j=1.0/j}p[d+112>>3]=i;p[d+120>>3]=j;f[d+1888>>2]=39;f[d+1892>>2]=40}if(+K(+c)==90.0){p[e>>3]=0.0;a=+K(+(+p[d+112>>3]*2.0));p[g>>3]=c<0.0?-a:a;o=0;return o|0}l=+rg(c);j=l*+rg(a);l=l*+sg(a);i=+sg(c);o=j>i;k=o?j:i;h=l>k;k=h?l:k;m=-j;q=k<m;k=q?m:k;n=-l;r=k<n;k=r?n:k;t=-i;s=k<t;k=1.0-(s?t:k);switch((s?5:r?4:q?3:h?2:o&1)&7){case 0:{if(k<1.0e-08){k=(90.0-c)*3.141592653589793/180.0;a=m;k=k*k*.5;c=0.0;j=l;l=2.0}else{a=m;c=0.0;j=l;l=2.0}break}case 1:{if(k<1.0e-08){c=c*3.141592653589793/180.0;k=+wx(a,360.0);k=k<-180.0?k+360.0:k;k=(k>180.0?k+-360.0:k)*.017453292519943295;a=i;k=(c*c+k*k)*.5;c=0.0;j=l;l=0.0}else{a=i;c=0.0;j=l;l=0.0}break}case 2:{if(k<1.0e-08){c=c*3.141592653589793/180.0;k=+wx(a,360.0);k=(90.0-(k<-180.0?k+360.0:k))*3.141592653589793/180.0;a=i;k=(c*c+k*k)*.5;c=2.0;j=m;l=0.0}else{a=i;c=2.0;j=m;l=0.0}break}case 3:{if(k<1.0e-08){c=c*3.141592653589793/180.0;k=+wx(a,360.0);k=(180.0-(k<0.0?k+360.0:k))*3.141592653589793/180.0;a=i;k=(c*c+k*k)*.5;c=4.0;j=n;l=0.0}else{a=i;c=4.0;j=n;l=0.0}break}case 4:{if(k<1.0e-08){c=c*3.141592653589793/180.0;k=+wx(a,360.0);k=k>180.0?k+-360.0:k;k=k*((k+90.0)*3.141592653589793/180.0);a=i;k=(c*c+k*k)*.5;c=6.0;l=0.0}else{a=i;c=6.0;l=0.0}break}case 5:{if(k<1.0e-08){k=(c+90.0)*3.141592653589793/180.0;a=j;k=k*k*.5;c=0.0;j=l;l=-2.0}else{a=j;c=0.0;j=l;l=-2.0}break}default:{a=0.0;c=0.0;j=0.0;l=0.0}}do if(!(j==0.0&a==0.0)){i=+K(+a);if(i<=-j){t=a/j;i=t*t+1.0;n=-+L(+(k/(1.0-1.0/+L(+(i+1.0)))));a=+wg(t);k=n;i=n/15.0*(a-+vg(t/+L(+(i+i))));break}if(j>=i){t=a/j;i=t*t+1.0;n=+L(+(k/(1.0-1.0/+L(+(i+1.0)))));a=+wg(t);k=n;i=n/15.0*(a-+vg(t/+L(+(i+i))));break}i=+K(+j);if(i<-a){a=j/a;t=a*a+1.0;i=-+L(+(k/(1.0-1.0/+L(+(t+1.0)))));k=+wg(a);k=i/15.0*(k-+vg(a/+L(+(t+t))));break}if(a>i){a=j/a;t=a*a+1.0;i=+L(+(k/(1.0-1.0/+L(+(t+1.0)))));k=+wg(a);k=i/15.0*(k-+vg(a/+L(+(t+t))))}else{k=0.0;i=0.0}}else{k=0.0;i=0.0}while(0);j=+K(+k);do if(j>1.0)if(j>1.000000000001){s=2;return s|0}else{k=k<0.0?-1.0:1.0;break}while(0);j=+K(+i);do if(j>1.0)if(j>1.000000000001){s=2;return s|0}else{i=i<0.0?-1.0:1.0;break}while(0);s=d+112|0;p[e>>3]=(c+k)*+p[s>>3];p[g>>3]=(l+i)*+p[s>>3];s=0;return s|0}function Xf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0;i=d+4|0;if((f[i>>2]|0)==703)h=+p[d+120>>3];else{b[d>>0]=81;b[d+1>>0]=83;b[d+2>>0]=67;b[d+3>>0]=0;f[i>>2]=703;m=d+8|0;i=d+24|0;f[m>>2]=0;f[m+4>>2]=0;f[m+8>>2]=0;f[m+12>>2]=0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;j=45.0;h=.022222222222222223}else{h=h*3.141592653589793*.25;j=h;h=1.0/h}p[d+112>>3]=j;p[d+120>>3]=h;f[d+1888>>2]=39;f[d+1892>>2]=40}j=h*a;a=h*c;h=+K(+j);if(!(h<=1.0)){if(h>7.0){g=2;return g|0}if(+K(+a)>1.0){g=2;return g|0}}else if(+K(+a)>3.0){g=2;return g|0}h=j<-1.0?j+8.0:j;do if(!(h>5.0)){if(h>3.0){d=3;h=h+-4.0;break}if(h>1.0){d=2;h=h+-2.0;break}if(a>1.0){d=0;a=a+-2.0;break}if(a<-1.0){d=5;a=a+2.0}else d=1}else{d=4;h=h+-6.0}while(0);m=+K(+h)>+K(+a);if(m)if(h==0.0){k=0.0;j=1.0;c=0.0;l=1.0;i=28}else{k=a*15.0/h;j=+sg(k);k=j/(+rg(k)+-.7071067811865475);j=k*k;c=h*h;i=26}else if(a==0.0){k=0.0;j=1.0;c=0.0;l=1.0;i=28}else{k=h*15.0/a;j=+sg(k);k=j/(+rg(k)+-.7071067811865475);j=k*k;c=a*a;i=26}if((i|0)==26){l=j+1.0;c=c*(1.0-1.0/+L(+(l+1.0)));j=1.0-c;if(j<-1.0)if(j<-1.000000000001){g=2;return g|0}else{j=-1.0;c=0.0}else i=28}if((i|0)==28)c=+L(+(c*(2.0-c)/l));a:do switch(d&7){case 0:if(m){h=h<0.0?-c:c;a=-(k*h);break a}else{h=a>0.0?-c:c;a=h;h=-(k*h);break a}case 1:if(m){l=h<0.0?-c:c;a=j;h=l;j=k*l;break a}else{l=a<0.0?-c:c;a=j;h=k*l;j=l;break a}case 2:if(m){l=h>0.0?-c:c;a=l;h=j;j=-(k*l);break a}else{l=a<0.0?-c:c;a=-(k*l);h=j;j=l;break a}case 3:{j=-j;if(m){l=h>0.0?-c:c;a=j;h=l;j=-(k*l);break a}else{l=a<0.0?-c:c;a=j;h=-(k*l);j=l;break a}}case 4:{j=-j;if(m){l=h<0.0?-c:c;a=l;h=j;j=k*l;break a}else{l=a<0.0?-c:c;a=k*l;h=j;j=l;break a}}case 5:{j=-j;if(m){h=h<0.0?-c:c;a=k*h;break a}else{h=a<0.0?-c:c;a=h;h=k*h;break a}}default:{a=0.0;h=0.0;j=0.0}}while(0);if(a==0.0&h==0.0)h=0.0;else h=+xg(h,a);p[e>>3]=h;l=+vg(j);p[g>>3]=l;g=0;return g|0}function Yf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0,m=0.0,n=0.0;i=d+4|0;if((f[i>>2]|0)==801)i=d+128|0;else{b[d>>0]=72;b[d+1>>0]=80;b[d+2>>0]=88;b[d+3>>0]=0;f[i>>2]=801;i=d+8|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;k=+p[d+48>>3];f[d+272>>2]=(~~k|0)%2|0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;j=1.0;h=1.0}else{j=h*3.141592653589793/180.0;h=57.29577951308232/h}p[d+112>>3]=j;p[d+120>>3]=h;n=k+-1.0;i=d+128|0;p[i>>3]=n/k;m=+p[d+40>>3];h=k*90.0/m;p[d+136>>3]=h;p[d+144>>3]=(k+1.0)*.5;p[d+152>>3]=n*90.0/m;k=180.0/m;p[d+160>>3]=k;p[d+168>>3]=m/360.0;p[d+176>>3]=j*h;p[d+184>>3]=j*k;f[d+1888>>2]=41;f[d+1892>>2]=42}h=+sg(c);k=+K(+h);l=d+112|0;do if(!(k<=+p[i>>3])){h=+p[d+40>>3];i=(~~h|0)%2|0;j=+p[d+168>>3]*a;if(!((c<=0.0&(f[d+272>>2]|0)==0?1-i|0:i)|0))h=h+ +J(+j)*2.0+1.0;else h=h+ +J(+(j+0.0))*2.0;n=+p[d+160>>3]*h+-180.0;h=+L(+((1.0-k)*+p[d+48>>3]));p[e>>3]=+p[l>>3]*(n+h*(a-n));h=+p[d+184>>3]*(+p[d+144>>3]-h);p[g>>3]=h;if(c<0.0){h=-h;break}else return 0}else{p[e>>3]=+p[l>>3]*a;h=h*+p[d+176>>3]}while(0);p[g>>3]=h;return 0}function Zf(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0;i=d+4|0;if((f[i>>2]|0)==801){h=+p[d+120>>3];j=+p[d+152>>3]}else{b[d>>0]=72;b[d+1>>0]=80;b[d+2>>0]=88;b[d+3>>0]=0;f[i>>2]=801;i=d+8|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;k=+p[d+48>>3];f[d+272>>2]=(~~k|0)%2|0;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;j=1.0;h=1.0}else{j=h*3.141592653589793/180.0;h=57.29577951308232/h}p[d+112>>3]=j;p[d+120>>3]=h;n=k+-1.0;p[d+128>>3]=n/k;o=+p[d+40>>3];l=k*90.0/o;p[d+136>>3]=l;p[d+144>>3]=(k+1.0)*.5;n=n*90.0/o;p[d+152>>3]=n;m=180.0/o;p[d+160>>3]=m;p[d+168>>3]=o/360.0;p[d+176>>3]=j*l;p[d+184>>3]=j*m;f[d+1888>>2]=41;f[d+1892>>2]=42;j=n}l=h*c;m=+K(+l);do if(!(m<=j)){if(!(m<=90.0)){g=2;return g|0}j=+p[d+40>>3];i=(~~j|0)%2|0;k=+p[d+168>>3]*a;n=+p[d+160>>3];if(!((l<=0.0&(f[d+272>>2]|0)==0?1-i|0:i)|0))j=j+ +J(+k)*2.0+1.0;else j=j+ +J(+(k+0.0))*2.0;l=n*j+-180.0;k=+p[d+144>>3]-m/n;if(k==0.0){g=2;return g|0}j=(a-l)/k;if(!(+K(+j)<=n)){g=2;return g|0}p[e>>3]=(l+j)*h;h=1.0-k*k/+p[d+48>>3];if(h<-1.0|h>1.0){g=2;return g|0}h=+vg(h);p[g>>3]=h;if(c<0.0){h=-h;break}else{g=0;return g|0}}else{p[e>>3]=h*a;h=l/+p[d+136>>3];if(h<-1.0|h>1.0){g=2;return g|0}else{h=+vg(h);break}}while(0);p[g>>3]=h;g=0;return g|0}function _f(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0.0,j=0.0,k=0.0;h=d+4|0;if((f[h>>2]|0)!=802){b[d>>0]=88;b[d+1>>0]=80;b[d+2>>0]=72;b[d+3>>0]=0;f[h>>2]=802;h=d+24|0;i=+p[h>>3];if(i==0.0){p[h>>3]=57.29577951308232;j=1.0;i=1.0}else{j=i*3.141592653589793/180.0;i=57.29577951308232/i}p[d+112>>3]=j/1.4142135623730951;p[d+120>>3]=i/1.4142135623730951;p[d+128>>3]=.6666666666666666;p[d+136>>3]=.0001;p[d+144>>3]=46.781808074020574;p[d+152>>3]=89.9953218191926;p[d+160>>3]=.021375830502697733;f[d+1888>>2]=43;f[d+1892>>2]=44}do if(+K(+a)>=180.0){a=+wx(a,360.0);if(a<-180.0){a=a+360.0;break}if(a>=180.0)a=a+-360.0}while(0);a=a+180.0;i=+wx(a,90.0);p[e>>3]=i;p[g>>3]=a+-180.0;a=+sg(c);i=+K(+a);h=d+112|0;if(!(i<=+p[d+128>>3])){if(+p[d+152>>3]>c)i=+L(+((1.0-i)*3.0));else i=(90.0-c)*+p[d+160>>3];a=i*(+p[e>>3]+-45.0)+45.0;i=(2.0-i)*45.0;if(c<0.0)i=-i}else{i=a*67.5;a=+p[e>>3]}k=a+-45.0;j=i+-90.0;i=+p[g>>3];if(i<-90.0){p[e>>3]=(j-k)*+p[h>>3];k=(-k-j)*+p[h>>3];p[g>>3]=k;return 0}if(i<0.0){p[e>>3]=(j+k)*+p[h>>3];k=(j-k)*+p[h>>3];p[g>>3]=k;return 0}a=+p[h>>3];c=k-j;if(i<90.0){p[e>>3]=c*a;k=(j+k)*+p[h>>3];p[g>>3]=k;return 0}else{p[e>>3]=(-k-j)*a;k=c*+p[h>>3];p[g>>3]=k;return 0}return 0}function $f(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0;i=d+4|0;if((f[i>>2]|0)==802)h=+p[d+120>>3];else{b[d>>0]=88;b[d+1>>0]=80;b[d+2>>0]=72;b[d+3>>0]=0;f[i>>2]=802;i=d+24|0;h=+p[i>>3];if(h==0.0){p[i>>3]=57.29577951308232;j=1.0;h=1.0}else{j=h*3.141592653589793/180.0;h=57.29577951308232/h}p[d+112>>3]=j/1.4142135623730951;h=h/1.4142135623730951;p[d+120>>3]=h;p[d+128>>3]=.6666666666666666;p[d+136>>3]=.0001;p[d+144>>3]=46.781808074020574;p[d+152>>3]=89.9953218191926;p[d+160>>3]=.021375830502697733;f[d+1888>>2]=43;f[d+1892>>2]=44}n=h*a;l=h*c;do if(!(n<=0.0&l>0.0)){if(n<0.0&l<=0.0){c=-90.0;j=n+l;m=n-l;break}h=l-n;if(n>=0.0&l<0.0){c=0.0;j=h;m=n+l;break}else{c=90.0;j=-n-l;m=h;break}}else{c=-180.0;j=n-l;m=-n-l}while(0);p[e>>3]=c;a=m+45.0;k=j+90.0;h=+K(+k);if(!(h<=90.0)){p[e>>3]=0.0;p[g>>3]=0.0;g=2;return g|0}if(!(h<=45.0)){j=(90.0-h)/45.0;do if(!(n==0.0))if(l==0.0){h=n<0.0?-90.0:90.0;break}else{h=c+(m/j+45.0);break}else h=l<=0.0?0.0:180.0;while(0);p[e>>3]=h;if(j<+p[d+136>>3])h=90.0-j*+p[d+144>>3];else h=+vg(1.0-j*j/3.0);p[g>>3]=k<0.0?-h:h;if(k<-45.0?k+90.0+1.0e-12<+K(+m):0){g=2;return g|0}}else{p[e>>3]=c+a;n=+vg(k/67.5);p[g>>3]=n;if(+K(+m)>45.000000000001){g=2;return g|0}}g=0;return g|0}function ag(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0,H=0,I=0,J=0,K=0,M=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0.0,W=0.0,X=0.0,Y=0,Z=0,_=0;_=u;u=u+160|0;Z=_;h=d+4|0;if((f[h>>2]|0)!=803){b[d>>0]=84;b[d+1>>0]=79;b[d+2>>0]=65;b[d+3>>0]=0;f[h>>2]=803;f[d+1888>>2]=45;f[d+1892>>2]=46}if(a<0.0)do a=a+360.0;while(a<0.0);if(a>=360.0)do a=a+-360.0;while(a>=360.0);if(!(c>90.0)){if(c<-90.0)c=-90.0}else c=90.0;V=c*.017453292519943295;F=+N(+V);W=a*.017453292519943295;X=F*+N(+W);W=F*+O(+W);V=+O(+V);Y=1<<~~+p[d+40>>3]+8;if(!(a<90.0))if(!(a<180.0))if(a<270.0){n=0.0;o=180.0;l=90.0;m=0.0;j=0.0;k=270.0;a=-90.0;c=0.0;d=0;i=1}else{n=90.0;o=0.0;l=0.0;m=0.0;j=-90.0;k=0.0;a=0.0;c=270.0;d=1;i=0}else{n=-90.0;o=0.0;l=0.0;m=90.0;j=90.0;k=0.0;a=0.0;c=180.0;d=2;i=0}else{n=0.0;o=90.0;l=-90.0;m=0.0;j=0.0;k=0.0;a=90.0;c=0.0;d=3;i=1}p[Z>>3]=c;p[Z+8>>3]=a;p[Z+40>>3]=k;p[Z+48>>3]=j;p[Z+80>>3]=m;p[Z+88>>3]=l;p[Z+120>>3]=o;p[Z+128>>3]=n;v=a*.017453292519943295;r=+N(+v);t=c*.017453292519943295;s=r*+N(+t);S=Z+16|0;p[S>>3]=s;t=r*+O(+t);T=Z+24|0;p[T>>3]=t;v=+O(+v);U=Z+32|0;p[U>>3]=v;j=j*.017453292519943295;r=+N(+j);c=k*.017453292519943295;a=r*+N(+c);P=Z+56|0;p[P>>3]=a;c=r*+O(+c);Q=Z+64|0;p[Q>>3]=c;j=+O(+j);R=Z+72|0;p[R>>3]=j;k=l*.017453292519943295;r=+N(+k);m=m*.017453292519943295;l=r*+N(+m);J=Z+96|0;p[J>>3]=l;m=r*+O(+m);K=Z+104|0;p[K>>3]=m;k=+O(+k);M=Z+112|0;p[M>>3]=k;r=n*.017453292519943295;F=+N(+r);o=o*.017453292519943295;n=F*+N(+o);G=Z+136|0;p[G>>3]=n;o=F*+O(+o);H=Z+144|0;p[H>>3]=o;r=+O(+r);I=Z+152|0;p[I>>3]=r;h=1;while(1){A=a+s;B=c+t;D=j+v;C=+L(+(A*A+B*B+D*D));C=C==0.0?1.0:C;A=A/C;B=B/C;C=D/C;D=a+l;E=c+m;x=j+k;F=+L(+(x*x+(D*D+E*E)));F=F==0.0?1.0:F;D=D/F;E=E/F;F=x/F;x=l+n;y=m+o;j=k+r;z=+L(+(j*j+(x*x+y*y)));z=z==0.0?1.0:z;x=x/z;y=y/z;z=j/z;j=s+n;k=t+o;o=v+r;l=+L(+(o*o+(j*j+k*k)));l=l==0.0?1.0:l;j=j/l;k=k/l;l=o/l;w=(i+2|0)%4|0;o=+p[Z+(i*40|0)+16>>3]+ +p[Z+(w*40|0)+16>>3];r=+p[Z+(i*40|0)+24>>3]+ +p[Z+(w*40|0)+24>>3];m=+p[Z+(i*40|0)+32>>3]+ +p[Z+(w*40|0)+32>>3];s=+L(+(o*o+r*r+m*m));s=s==0.0?1.0:s;o=o/s;r=r/s;s=m/s;m=B*s-C*r;n=C*o-A*s;a=A*r-B*o;c=+L(+(a*a+(m*m+n*n)));c=c==0.0?1.0:c;m=m/c;n=n/c;c=a/c;a=+L(+(c*c+(m*m+n*n)));a=a==0.0?1.0:a;m=m/a;n=n/a;a=c/a;c=+L(+(a*a+(m*m+n*n)));c=c==0.0?1.0:c;m=m/c;n=n/c;c=a/c;a=+L(+(c*c+(m*m+n*n)));a=a==0.0?1.0:a;a=V*(c/a)+(X*(m/a)+W*(n/a));n=V*(D*r-E*o)+(X*(E*s-F*r)+W*(F*o-D*s));m=V*(y*o-x*r)+(X*(z*r-y*s)+W*(x*s-z*o));c=V*(k*o-j*r)+(X*(l*r-k*s)+W*(j*s-l*o));if(!(!(c>=0.0)|!(a>=0.0))){p[P>>3]=A;p[Q>>3]=B;p[R>>3]=C;p[J>>3]=o;p[K>>3]=r;p[M>>3]=s;p[G>>3]=j;p[H>>3]=k;p[I>>3]=l;d=d<<2;i=(i|0)!=0&(w|0)!=0&1}if(!(!(n>=0.0)|!(a<0.0))){p[S>>3]=A;p[T>>3]=B;p[U>>3]=C;p[J>>3]=D;p[K>>3]=E;p[M>>3]=F;p[G>>3]=o;p[H>>3]=r;p[I>>3]=s;d=d<<2|1;i=((w|0)==1|(i|0)==1)&1}if(m>=0.0&c<0.0){p[S>>3]=j;p[T>>3]=k;p[U>>3]=l;p[P>>3]=o;p[Q>>3]=r;p[R>>3]=s;p[J>>3]=x;p[K>>3]=y;p[M>>3]=z;d=d<<2|2;i=(w|0)==3|(i|0)==3?3:0}if(m<0.0&n<0.0){p[S>>3]=o;p[T>>3]=r;p[U>>3]=s;p[P>>3]=D;p[Q>>3]=E;p[R>>3]=F;p[G>>3]=x;p[H>>3]=y;p[I>>3]=z;q=d<<2|3;i=(w|0)==2|(i|0)==2?2:1}else q=d;h=h+1|0;if((h|0)==27){h=0;d=0;i=0;break}k=+p[M>>3];n=+p[G>>3];o=+p[H>>3];r=+p[I>>3];a=+p[P>>3];s=+p[S>>3];c=+p[Q>>3];t=+p[T>>3];j=+p[R>>3];v=+p[U>>3];l=+p[J>>3];m=+p[K>>3];d=q}do{Z=h<<1;d=((q>>>Z&1)<<h)+d|0;i=((q>>>(Z|1)&1)<<h)+i|0;h=h+1|0}while((h|0)!=27);X=+(Y|0);p[e>>3]=X*+(d|0)*7.450580596923828e-09;p[g>>3]=X*+(i|0)*7.450580596923828e-09;p[e>>3]=+p[e>>3]+1.0;p[g>>3]=+p[g>>3]+1.0;u=_;return 0}function bg(a,c,d,e,g){a=+a;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,J=0,K=0,M=0,P=0,Q=0,S=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0.0;aa=u;u=u+160|0;$=aa;h=d+4|0;if((f[h>>2]|0)!=803){b[d>>0]=84;b[d+1>>0]=79;b[d+2>>0]=65;b[d+3>>0]=0;f[h>>2]=803;f[d+1888>>2]=45;f[d+1892>>2]=46}h=1<<~~+p[d+40>>3]+8;if(a<0.0){g=2;u=aa;return g|0}G=+(h+1|0);if(G<c|(c<0.0|G<a)){g=2;u=aa;return g|0}G=+(h|0);_=~~((a+-1.0)/G*134217728.0+.5);Z=~~((c+-1.0)/G*134217728.0+.5);X=_>>>26;h=X&1;Y=Z>>>26;d=Y&1;i=(h|0)==0;if((X|Y)&1)if((h|0)!=0&(d|0)==0){n=90.0;o=0.0;l=0.0;m=0.0;j=-90.0;k=0.0;a=0.0;c=270.0;d=0}else{d=(d|0)!=0;Y=i&d;a=Y?0.0:90.0;j=Y?90.0:0.0;n=Y?-90.0:0.0;o=a;l=Y?0.0:-90.0;m=j;k=0.0;c=Y?180.0:0.0;d=(i&d^1)&1}else{n=0.0;o=180.0;l=90.0;m=0.0;j=0.0;k=270.0;a=-90.0;c=0.0;d=1}p[$>>3]=c;p[$+8>>3]=a;p[$+40>>3]=k;p[$+48>>3]=j;p[$+80>>3]=m;p[$+88>>3]=l;p[$+120>>3]=o;p[$+128>>3]=n;s=a*.017453292519943295;D=+N(+s);C=c*.017453292519943295;z=D*+N(+C);W=$+16|0;p[W>>3]=z;C=D*+O(+C);X=$+24|0;p[X>>3]=C;s=+O(+s);Y=$+32|0;p[Y>>3]=s;D=j*.017453292519943295;c=+N(+D);A=k*.017453292519943295;k=c*+N(+A);S=$+56|0;p[S>>3]=k;A=c*+O(+A);U=$+64|0;p[U>>3]=A;D=+O(+D);V=$+72|0;p[V>>3]=D;c=l*.017453292519943295;a=+N(+c);G=m*.017453292519943295;F=a*+N(+G);M=$+96|0;p[M>>3]=F;G=a*+O(+G);P=$+104|0;p[P>>3]=G;c=+O(+c);Q=$+112|0;p[Q>>3]=c;a=n*.017453292519943295;n=+N(+a);j=o*.017453292519943295;E=n*+N(+j);I=$+136|0;p[I>>3]=E;j=n*+O(+j);J=$+144|0;p[J>>3]=j;a=+O(+a);K=$+152|0;p[K>>3]=a;n=z;l=A;o=C;m=D;i=27;h=1;while(1){x=k+n;y=l+o;z=m+s;A=+L(+(x*x+y*y+z*z));A=A==0.0?1.0:A;x=x/A;y=y/A;A=z/A;z=k+F;k=l+G;l=m+c;C=+L(+(l*l+(z*z+k*k)));C=C==0.0?1.0:C;m=z/C;k=k/C;C=l/C;l=F+E;z=G+j;t=c+a;D=+L(+(t*t+(l*l+z*z)));D=D==0.0?1.0:D;l=l/D;z=z/D;D=t/D;n=n+E;t=o+j;o=s+a;v=+L(+(o*o+(n*n+t*t)));v=v==0.0?1.0:v;n=n/v;s=t/v;v=o/v;B=(d+2|0)%4|0;o=+p[$+(d*40|0)+16>>3]+ +p[$+(B*40|0)+16>>3];t=+p[$+(d*40|0)+24>>3]+ +p[$+(B*40|0)+24>>3];da=+p[$+(d*40|0)+32>>3]+ +p[$+(B*40|0)+32>>3];w=+L(+(o*o+t*t+da*da));w=w==0.0?1.0:w;o=o/w;t=t/w;w=da/w;H=i+-1|0;ca=i+-2|0;ba=_>>>ca;i=ba&1;ca=Z>>>ca;q=ca&1;r=(i|0)==0;do if((ca|ba)&1){if((q|0)==0&(i|0)!=0){p[W>>3]=x;p[X>>3]=y;p[Y>>3]=A;p[M>>3]=m;p[P>>3]=k;p[Q>>3]=C;p[I>>3]=o;p[J>>3]=t;p[K>>3]=w;l=o;j=t;c=C;a=w;d=((d|0)==1|(B|0)==1)&1;break}if((q|0)!=0&r){p[W>>3]=n;p[X>>3]=s;p[Y>>3]=v;p[S>>3]=o;p[U>>3]=t;p[V>>3]=w;p[M>>3]=l;p[P>>3]=z;p[Q>>3]=D;m=l;l=E;k=z;c=D;d=(d|0)==3|(B|0)==3?3:0;break}else{p[W>>3]=o;p[X>>3]=t;p[Y>>3]=w;p[S>>3]=m;p[U>>3]=k;p[V>>3]=C;p[I>>3]=l;p[J>>3]=z;p[K>>3]=D;m=F;k=G;j=z;a=D;d=(d|0)==2|(B|0)==2?2:1;break}}else{p[S>>3]=x;p[U>>3]=y;p[V>>3]=A;p[M>>3]=o;p[P>>3]=t;p[Q>>3]=w;p[I>>3]=n;p[J>>3]=s;p[K>>3]=v;m=o;l=n;k=t;j=s;c=w;a=v;d=(d|0)!=0&(B|0)!=0&1}while(0);h=h+1|0;if((h|0)==27)break;s=+p[Y>>3];F=m;G=k;E=l;k=+p[S>>3];n=+p[W>>3];l=+p[U>>3];o=+p[X>>3];m=+p[V>>3];i=H}G=+p[W>>3]+ +p[S>>3]+m+l;F=+p[X>>3]+ +p[U>>3]+k+j;da=+p[Y>>3]+ +p[V>>3]+c+a;c=+L(+(G*G+F*F+da*da));c=c==0.0?1.0:c;a=+T(+(F/c),+(G/c))/.017453292519943295;c=+R(+(da/c))/.017453292519943295;if(a>=360.0)do a=a+-360.0;while(a>=360.0);if(a<0.0)do a=a+360.0;while(a<0.0);p[e>>3]=a;p[g>>3]=c;ca=0;u=aa;return ca|0}function cg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0,i=0.0;if((f[c+4>>2]|0)!=504?Nf(c)|0:0){e=1;return e|0}h=c+112|0;g=+p[h>>3];i=g*a;if(b==-90.0)if(g<0.0)a=0.0;else{e=2;return e|0}else{g=+p[c+136>>3];a=+tg((90.0-b)*.5);a=g*+M(+a,+(+p[h>>3]))}b=a*+sg(i);p[d>>3]=b;b=+p[c+128>>3];b=b-a*+rg(i);p[e>>3]=b;e=0;return e|0}function dg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0;if((f[c+4>>2]|0)!=504?Nf(c)|0:0){e=1;return e|0}g=+p[c+128>>3]-b;b=+L(+(a*a+g*g));b=+p[c+40>>3]<0.0?-b:b;if(b==0.0){p[d>>3]=+p[c+120>>3]*0.0;if(+p[c+112>>3]<0.0)b=-90.0;else{e=2;return e|0}}else{a=+xg(a/b,g/b);h=c+120|0;p[d>>3]=a*+p[h>>3];b=90.0-+wg(+M(+(b*+p[c+144>>3]),+(+p[h>>3])))*2.0}p[e>>3]=b;h=0;return h|0}function eg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0;if((f[c+4>>2]|0)!=503?Mf(c)|0:0){e=1;return e|0}a=+p[c+112>>3]*a;b=+p[c+136>>3]-b;g=b*+sg(a);p[d>>3]=g;g=+p[c+128>>3];b=g-b*+rg(a);p[e>>3]=b;e=0;return e|0}function fg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0;if((f[c+4>>2]|0)!=503?Mf(c)|0:0){e=1;return e|0}b=+p[c+128>>3]-b;g=+L(+(a*a+b*b));g=+p[c+40>>3]<0.0?-g:g;if(g==0.0)b=0.0;else b=+xg(a/g,b/g);p[d>>3]=b*+p[c+120>>3];p[e>>3]=+p[c+136>>3]-g;e=0;return e|0}function gg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0.0;if((f[c+4>>2]|0)!=502?Lf(c)|0:0){e=1;return e|0}g=+p[c+112>>3]*a;if(b==-90.0)a=+p[c+176>>3];else{i=+p[c+136>>3];h=+p[c+144>>3];a=+p[c+152>>3];a=i*+L(+(h-a*+sg(b)))}i=a*+sg(g);p[d>>3]=i;i=+p[c+128>>3];i=i-a*+rg(g);p[e>>3]=i;e=0;return e|0}function hg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0;if((f[c+4>>2]|0)!=502?Lf(c)|0:0){e=1;return e|0}b=+p[c+128>>3]-b;g=+L(+(a*a+b*b));g=+p[c+40>>3]<0.0?-g:g;if(g==0.0)b=0.0;else b=+xg(a/g,b/g);p[d>>3]=b*+p[c+120>>3];do if(!(+K(+(g-+p[c+176>>3]))<1.0e-12)){b=(+p[c+160>>3]-g*g)*+p[c+168>>3];if(!(+K(+b)>1.0)){b=+vg(b);break}if(!(+K(+(b+-1.0))<1.0e-12))if(+K(+(b+1.0))<1.0e-12)b=-90.0;else{e=2;return e|0}else b=90.0}else b=-90.0;while(0);p[e>>3]=b;e=0;return e|0}function ig(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0.0,j=0.0;g=c+4|0;h=f[g>>2]|0;if((((h|0)>-1?h:0-h|0)|0)!=107?of(c)|0:0){h=1;return h|0}b=(90.0-b)*3.141592653589793/180.0;i=(b*(b*(b*(b*(b*(b*(b*(b*(b*(b*0.0+ +p[c+104>>3])+ +p[c+96>>3])+ +p[c+88>>3])+ +p[c+80>>3])+ +p[c+72>>3])+ +p[c+64>>3])+ +p[c+56>>3])+ +p[c+48>>3])+ +p[c+40>>3])+ +p[c+32>>3])*+p[c+24>>3];j=i*+sg(a);p[d>>3]=j;a=-(i*+rg(a));p[e>>3]=a;if((f[g>>2]|0)>0?b>+p[c+112>>3]:0){h=2;return h|0}h=0;return h|0}function jg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0,o=0,q=0.0;o=f[c+4>>2]|0;if((((o|0)>-1?o:0-o|0)|0)!=107?of(c)|0:0){e=1;return e|0}n=f[c+272>>2]|0;q=+L(+(a*a+b*b));q=q/+p[c+24>>3];if((n|0)<1){e=1;return e|0}k=+p[c+32>>3];a:do switch(n|0){case 1:{i=(q-k)/+p[c+40>>3];break}case 2:{j=+p[c+48>>3];i=+p[c+40>>3];h=i*i-(k-q)*(j*4.0);if(h<0.0){e=2;return e|0}h=+L(+h);m=j*2.0;l=(h-i)/m;m=(-i-h)/m;h=l<m?l:m;h=h<-1.0e-13?(l>m?l:m):h;if(h<0.0){if(h<-1.0e-13)g=2;else{i=0.0;break a}return g|0}if(h>3.141592653589793)if(h>3.141592653589893){e=2;return e|0}else i=3.141592653589793;else i=h;break}default:{i=+p[c+112>>3];h=+p[c+120>>3];if(q<k){if(q<k+-1.0e-13)g=2;else{i=0.0;break a}return g|0}if(q>h){if(q>h+1.0e-13)g=2;else break a;return g|0}else{o=0;m=0.0}while(1){j=(h-q)/(h-k);if(!(j<.1)){if(j>.9)j=.9}else j=.1;l=i-(i-m)*j;g=n;j=0.0;while(1){j=l*j+ +p[c+32+(g<<3)>>3];if((g|0)<=0)break;else g=g+-1|0}if(j<q)if(q-j<1.0e-13){i=l;break a}else{k=j;j=l}else if(j-q<1.0e-13){i=l;break a}else{h=j;j=m;i=l}o=o+1|0;if(!(!(+K(+(i-j))<1.0e-13)&(o|0)<100)){i=l;break}else m=j}}}while(0);if(q==0.0)h=0.0;else h=+xg(a,-b);p[d>>3]=h;p[e>>3]=90.0-i*180.0/3.141592653589793;e=0;return e|0}function kg(a,b,c,d,e){a=a|0;b=+b;c=+c;d=d|0;e=e|0;var g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0;y=f[a+276>>2]|0;g=+p[a+1080>>3]+ +p[a+1088>>3]*b;h=+p[a+280>>3]+ +p[a+288>>3]*c;if((y|0)==1){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+ +p[a+1096>>3]*c;h=h+ +p[a+296>>3]*b;if((y|0)==2){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}v=b*b;w=c*c;x=+L(+(v+w));g=g+x*+p[a+1104>>3];h=h+x*+p[a+304>>3];if((y|0)==3){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+v*+p[a+1112>>3];h=h+w*+p[a+312>>3];if((y|0)==4){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}u=b*c;g=g+u*+p[a+1120>>3];h=h+u*+p[a+320>>3];if((y|0)==5){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+w*+p[a+1128>>3];h=h+v*+p[a+328>>3];if((y|0)==6){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}t=v*b;g=g+t*+p[a+1136>>3];u=w*c;h=h+u*+p[a+336>>3];if((y|0)==7){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+v*+p[a+1144>>3]*c;h=h+w*+p[a+344>>3]*b;if((y|0)==8){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+w*(+p[a+1152>>3]*b);h=h+v*(+p[a+352>>3]*c);if((y|0)==9){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+u*+p[a+1160>>3];h=h+t*+p[a+360>>3];if((y|0)==10){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}i=x*(x*x);g=g+i*+p[a+1168>>3];h=h+i*+p[a+368>>3];if((y|0)==11){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}s=v*v;g=g+s*+p[a+1176>>3];r=w*w;h=h+r*+p[a+376>>3];if((y|0)==12){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+t*+p[a+1184>>3]*c;h=h+u*+p[a+384>>3]*b;if((y|0)==13){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+w*(v*+p[a+1192>>3]);h=h+w*(v*+p[a+392>>3]);if((y|0)==14){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+u*(+p[a+1200>>3]*b);h=h+t*(+p[a+400>>3]*c);if((y|0)==15){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+r*+p[a+1208>>3];h=h+s*+p[a+408>>3];if((y|0)==16){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}q=s*b;g=g+q*+p[a+1216>>3];o=r*c;h=h+o*+p[a+416>>3];if((y|0)==17){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+s*+p[a+1224>>3]*c;h=h+r*+p[a+424>>3]*b;if((y|0)==18){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+w*(t*+p[a+1232>>3]);h=h+v*(u*+p[a+432>>3]);if((y|0)==19){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+u*(v*+p[a+1240>>3]);h=h+t*(w*+p[a+440>>3]);if((y|0)==20){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+r*(+p[a+1248>>3]*b);h=h+s*(+p[a+448>>3]*c);if((y|0)==21){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+o*+p[a+1256>>3];h=h+q*+p[a+456>>3];if((y|0)==22){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}n=x*(x*i);g=g+n*+p[a+1264>>3];h=h+n*+p[a+464>>3];if((y|0)==23){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}m=q*b;g=g+m*+p[a+1272>>3];l=o*c;h=h+l*+p[a+472>>3];if((y|0)==24){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+q*+p[a+1280>>3]*c;h=h+o*+p[a+480>>3]*b;if((y|0)==25){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+w*(s*+p[a+1288>>3]);h=h+v*(r*+p[a+488>>3]);if((y|0)==26){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+u*(t*+p[a+1296>>3]);h=h+t*(u*+p[a+496>>3]);if((y|0)==27){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+r*(v*+p[a+1304>>3]);h=h+s*(w*+p[a+504>>3]);if((y|0)==28){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+o*(+p[a+1312>>3]*b);h=h+q*(+p[a+512>>3]*c);if((y|0)==29){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+l*+p[a+1320>>3];h=h+m*+p[a+520>>3];if((y|0)==30){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}k=m*b;g=g+k*+p[a+1328>>3];j=l*c;h=h+j*+p[a+528>>3];if((y|0)==31){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+m*+p[a+1336>>3]*c;h=h+l*+p[a+536>>3]*b;if((y|0)==32){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+w*(q*+p[a+1344>>3]);h=h+v*(o*+p[a+544>>3]);if((y|0)==33){c=g;x=h;p[d>>3]=c;p[e>>3]=x;return 0}g=g+u*(s*+p[a+1352>>3]);i=h+t*(r*+p[a+552>>3]);if((y|0)==34){c=g;x=i;p[d>>3]=c;p[e>>3]=x;return 0}h=g+r*(t*+p[a+1360>>3]);g=i+s*(u*+p[a+560>>3]);if((y|0)==35){c=h;x=g;p[d>>3]=c;p[e>>3]=x;return 0}h=h+o*(v*+p[a+1368>>3]);g=g+q*(w*+p[a+568>>3]);if((y|0)==36){c=h;x=g;p[d>>3]=c;p[e>>3]=x;return 0}h=h+l*(+p[a+1376>>3]*b);g=g+m*(+p[a+576>>3]*c);if((y|0)==37){c=h;x=g;p[d>>3]=c;p[e>>3]=x;return 0}h=h+j*+p[a+1384>>3];g=g+k*+p[a+584>>3];if((y|0)==38){c=h;x=g;p[d>>3]=c;p[e>>3]=x;return 0}x=x*(x*n);c=h+x*+p[a+1392>>3];x=g+x*+p[a+592>>3];p[d>>3]=c;p[e>>3]=x;return 0}function lg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0.0,o=0;m=c+4|0;g=f[m>>2]|0;if((((g|0)>-1?g:0-g|0)|0)!=102?ef(c)|0:0){e=1;return e|0}k=+rg(a);a=+sg(a);h=+rg(b);i=1.0-+sg(b);g=c+136|0;j=+p[g>>3]-i;if(j==0.0){e=2;return e|0}o=c+160|0;p[d>>3]=(a*(h*+p[o>>3])-i*+p[c+144>>3])/j;p[e>>3]=-(k*(h*+p[o>>3])+i*+p[c+152>>3])/j;if((f[m>>2]|0)>0){if(+p[c+176>>3]>b){o=2;return o|0}if((+K(+(+p[c+40>>3]))>1.0?(n=a*+p[c+120>>3]-k*+p[c+128>>3],l=1.0/+L(+(+p[c+168>>3]+n*n)),+K(+l)<=1.0):0)?(k=+xg(n,+p[g>>3]+-1.0),n=+vg(l),l=k-n,n=k+n+180.0,l=l>90.0?l+-360.0:l,n=n>90.0?n+-360.0:n,(l>n?l:n)>b):0){o=2;return o|0}}o=0;return o|0}function mg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0;n=f[c+4>>2]|0;if((((n|0)>-1?n:0-n|0)|0)!=102?ef(c)|0:0){n=1;return n|0}l=+p[c+112>>3];m=l*a;l=l*b;b=m*m+l*l;j=+p[c+136>>3];k=(m-+p[c+120>>3])/j;j=(l-+p[c+128>>3])/j;a=m*k+l*j;do if(!(b<1.0e-10)){g=k*k+j*j;h=g+1.0;i=a-g;a=i*i-h*(g+(b-a-a)+-1.0);if(a<0.0){n=2;return n|0}b=+L(+a);g=(b-i)/h;b=(-i-b)/h;a=g>b?g:b;if(a>1.0)if(a+-1.0<1.0e-13)a=1.0;else a=g<b?g:b;a=a<-1.0&a+1.0>-1.0e-13?-1.0:a;if(a>1.0|a<-1.0){n=2;return n|0}else{i=+vg(a);p[e>>3]=i;a=1.0-a;break}}else{a=90.0-+L(+(b/(a+1.0)))*57.29577951308232;p[e>>3]=a;a=b*.5}while(0);m=+xg(m-k*a,-(l-j*a));p[d>>3]=m;n=0;return n|0}function ng(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0,i=0.0,j=0.0,k=0.0,l=0,m=0.0;l=c+4|0;h=f[l>>2]|0;if((((h|0)>-1?h:0-h|0)|0)!=101?df(c)|0:0){e=1;return e|0}i=+rg(a);j=+rg(b);m=i*+p[c+120>>3];h=c+40|0;g=+p[h>>3];g=j*m+(g+ +sg(b));if(g==0.0){e=2;return e|0}j=j*+p[c+112>>3]/g;a=+sg(a)*j;p[d>>3]=a;p[e>>3]=-(i*j*+p[c+128>>3]);if((f[l>>2]|0)>0){if(+p[c+152>>3]>b){e=2;return e|0}if((+p[c+168>>3]>0.0?(k=+p[h>>3]/+L(+(m*m+1.0)),+K(+k)<=1.0):0)?(j=+wg(-m),a=+vg(k),m=j-a,a=j+a+180.0,m=m>90.0?m+-360.0:m,a=a>90.0?a+-360.0:a,(m>a?m:a)>b):0){e=2;return e|0}}e=0;return e|0}function og(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0;i=f[c+4>>2]|0;if((((i|0)>-1?i:0-i|0)|0)!=101?df(c)|0:0){i=1;return i|0}h=+p[c+136>>3]*b;g=+L(+(a*a+h*h));if(g==0.0){p[d>>3]=0.0;g=90.0}else{h=+xg(a,-h);p[d>>3]=h;h=g/(+p[c+112>>3]+ +p[c+144>>3]*b);g=+p[c+40>>3]*h/+L(+(h*h+1.0));h=+xg(1.0,h);if(+K(+g)>1.0){g=g<0.0?-90.0:90.0;if(+K(+g)>1.0000000000001){i=2;return i|0}}else g=+vg(g);b=h-g;g=h+g+180.0;b=b>90.0?b+-360.0:b;g=g>90.0?g+-360.0:g;g=b>g?b:g}p[e>>3]=g;i=0;return i|0}function pg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0;m=+rg(b);n=+sg(b);l=a-+p[c>>3];k=+rg(l);f=+sg(l);i=c+32|0;j=c+24|0;a=n*+p[i>>3]-k*(m*+p[j>>3]);if(+K(+a)<1.0e-05){a=+rg(+p[c+8>>3]+b);a=(1.0-k)*(m*+p[j>>3])-a}h=m*f;if(h!=-0.0|a!=0.0)f=+xg(-h,a);else f=l+-180.0;g=f+ +p[c+16>>3];p[d>>3]=g;if(!(g>180.0)){if(g<-180.0){f=360.0;o=8}}else{f=-360.0;o=8}if((o|0)==8)p[d>>3]=g+f;do if(+wx(l,180.0)==0.0){a=k*+p[c+8>>3]+b;a=a>90.0?180.0-a:a;p[e>>3]=a;if(a<-90.0){a=-180.0-a;break}else return 0}else{f=n*+p[j>>3]+k*(m*+p[i>>3]);if(!(+K(+f)>.99)){a=+vg(f);break}a=+ug(+L(+(h*h+a*a)));if(f<0.0)a=-a}while(0);p[e>>3]=a;return 0}function qg(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,i=0,j=0,k=0.0,l=0.0,m=0.0,n=0.0,o=0;m=+rg(b);n=+sg(b);l=a-+p[c+16>>3];k=+rg(l);f=+sg(l);i=c+32|0;j=c+24|0;a=n*+p[i>>3]-k*(m*+p[j>>3]);if(+K(+a)<1.0e-05){a=+rg(+p[c+8>>3]+b);a=(1.0-k)*(m*+p[j>>3])-a}h=m*f;if(h!=-0.0|a!=0.0)f=+xg(-h,a);else f=l+180.0;g=f+ +p[c>>3];p[d>>3]=g;if(!(+p[c>>3]>=0.0)){f=g+-360.0;if(g>0.0){p[d>>3]=f;g=f}}else{f=g+360.0;if(g<0.0){p[d>>3]=f;g=f}}if(!(g>360.0)){if(g<-360.0){f=360.0;o=13}}else{f=-360.0;o=13}if((o|0)==13)p[d>>3]=g+f;do if(+wx(l,180.0)==0.0){a=k*+p[c+8>>3]+b;a=a>90.0?180.0-a:a;p[e>>3]=a;if(a<-90.0){a=-180.0-a;break}else return 0}else{f=n*+p[j>>3]+k*(m*+p[i>>3]);if(!(+K(+f)>.99)){a=+vg(f);break}a=+ug(+L(+(h*h+a*a)));if(f<0.0)a=-a}while(0);p[e>>3]=a;return 0}function rg(a){a=+a;var b=0.0,c=0.0;c=+wx(a,360.0);b=+K(+c);if(!(c==0.0))if(!(b==90.0))if(!(b==180.0))if(b==270.0)a=0.0;else a=+N(+(a*.017453292519943295));else a=-1.0;else a=0.0;else a=1.0;return +a}function sg(a){a=+a;var b=0.0;b=+wx(a+-90.0,360.0);if(!(b==0.0))if(!(b==90.0))if(!(b==180.0))if(b==270.0)a=0.0;else a=+O(+(a*.017453292519943295));else a=-1.0;else a=0.0;else a=1.0;return +a}function tg(a){a=+a;var b=0.0;b=+wx(a,360.0);if(!(b==0.0)?!(+K(+b)==180.0):0)if(!(b==45.0|b==225.0))if(b==-135.0|b==-315.0)a=-1.0;else a=+P(+(a*.017453292519943295));else a=1.0;else a=0.0;return +a}function ug(a){a=+a;var b=0;if(!(a>=1.0))if(!(a==0.0))if(a<=-1.0&a+1.0>-1.0e-10)a=180.0;else b=5;else a=90.0;else if(a+-1.0<1.0e-10)a=0.0;else b=5;if((b|0)==5)a=+Q(+a)*57.29577951308232;return +a}function vg(a){a=+a;var b=0;if(!(a<=-1.0))if(!(a==0.0))if(a>=1.0&a+-1.0<1.0e-10)a=90.0;else b=5;else a=0.0;else if(a+1.0>-1.0e-10)a=-90.0;else b=5;if((b|0)==5)a=+R(+a)*57.29577951308232;return +a}function wg(a){a=+a;if(!(a==-1.0))if(!(a==0.0))if(a==1.0)a=45.0;else a=+S(+a)*57.29577951308232;else a=0.0;else a=-45.0;return +a}function xg(a,b){a=+a;b=+b;var c=0;if(a==0.0)if(!(b>=0.0))if(b<0.0)b=180.0;else c=7;else b=0.0;else if(b==0.0)if(!(a>0.0))if(a<0.0)b=-90.0;else c=7;else b=90.0;else c=7;if((c|0)==7)b=+T(+a,+b)*57.29577951308232;return +b}function yg(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+48|0;m=n+24|0;k=n+16|0;j=n+8|0;i=n;l=n+32|0;if((f[a+5968>>2]|0)!=1){u=n;return}c=a+3324|0;if((f[c>>2]|0)==2){f[c>>2]=3;f[a+5976>>2]=0;f[a+6784>>2]=0;f[a+7592>>2]=0;f[a+8400>>2]=0;u=n;return}c=a+5976|0;if(ae(b,51327,c)|0){h=f[c>>2]|0;d=(h|0)<0;if(!d){c=(h<<3)+8|0;e=0;while(1){Fz(a+5984+(e*80|0)|0,0,c|0)|0;if((e|0)==(h|0))break;else e=e+1|0}if(!d){c=h+1|0;d=0;e=c;while(1){if((h|0)>=(d|0)){g=0;do{f[i>>2]=d;f[i+4>>2]=g;ww(l,51392,i)|0;ie(b,l,a+5984+(d*80|0)+(g<<3)|0)|0;g=g+1|0}while((g|0)!=(e|0))}d=d+1|0;if((d|0)==(c|0))break;else e=e+-1|0}}}}else zd(51335);c=a+6784|0;if(ae(b,51400,c)|0){h=f[c>>2]|0;d=(h|0)<0;if(!d){c=(h<<3)+8|0;e=0;while(1){Fz(a+6792+(e*80|0)|0,0,c|0)|0;if((e|0)==(h|0))break;else e=e+1|0}if(!d){c=h+1|0;d=0;e=c;while(1){if((h|0)>=(d|0)){g=0;do{f[j>>2]=d;f[j+4>>2]=g;ww(l,51465,j)|0;ie(b,l,a+6792+(d*80|0)+(g<<3)|0)|0;g=g+1|0}while((g|0)!=(e|0))}d=d+1|0;if((d|0)==(c|0))break;else e=e+-1|0}}}}else zd(51408);c=a+7592|0;if(ae(b,51473,c)|0){h=f[c>>2]|0;d=(h|0)<0;if(!d){c=(h<<3)+8|0;e=0;while(1){Fz(a+7600+(e*80|0)|0,0,c|0)|0;if((e|0)==(h|0))break;else e=e+1|0}if(!d){c=h+1|0;d=0;e=c;while(1){if((h|0)>=(d|0)){g=0;do{f[k>>2]=d;f[k+4>>2]=g;ww(l,51540,k)|0;ie(b,l,a+7600+(d*80|0)+(g<<3)|0)|0;g=g+1|0}while((g|0)!=(e|0))}d=d+1|0;if((d|0)==(c|0))break;else e=e+-1|0}}}}else zd(51482);c=a+8400|0;if(!(ae(b,51549,c)|0)){zd(51558);u=n;return}h=f[c>>2]|0;d=(h|0)<0;if(d){u=n;return}c=(h<<3)+8|0;e=0;while(1){Fz(a+8408+(e*80|0)|0,0,c|0)|0;if((e|0)==(h|0))break;else e=e+1|0}if(d){u=n;return}c=h+1|0;d=0;e=c;while(1){if((h|0)>=(d|0)){g=0;do{f[m>>2]=d;f[m+4>>2]=g;ww(l,51616,m)|0;ie(b,l,a+8408+(d*80|0)+(g<<3)|0)|0;g=g+1|0}while((g|0)!=(e|0))}d=d+1|0;if((d|0)==(c|0))break;else e=e+-1|0}u=n;return}function zg(a,b,c,d,e){a=a|0;b=+b;c=+c;d=d|0;e=e|0;var g=0.0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0,q=0.0,r=0,s=0;r=u;u=u+80|0;o=r;if((f[a+5968>>2]|0)!=1){p[d>>3]=b;p[e>>3]=c;u=r;return}i=f[a+7592>>2]|0;h=f[a+8400>>2]|0;q=b-+p[a+16>>3];n=c-+p[a+24>>3];if((i|0)>=0){k=0;while(1){m=i-k|0;g=+p[a+7600+(m*80|0)+(k<<3)>>3];j=o+(k<<3)|0;p[j>>3]=g;if((k|0)>0){l=k;do{s=l;l=l+-1|0;g=n*g+ +p[a+7600+(m*80|0)+(l<<3)>>3]}while((s|0)>1);p[j>>3]=g}if((i|0)==(k|0))break;else k=k+1|0}g=+p[o>>3];if((i|0)>0){j=i+1|0;while(1){g=q*g+ +p[o+(j-i<<3)>>3];if((i|0)>1)i=i+-1|0;else{m=o;break}}}else m=o}else{m=o;g=0.0}p[d>>3]=g;if((h|0)>=0){j=0;while(1){l=h-j|0;g=+p[a+8408+(l*80|0)+(j<<3)>>3];i=o+(j<<3)|0;p[i>>3]=g;if((j|0)>0){k=j;do{s=k;k=k+-1|0;g=n*g+ +p[a+8408+(l*80|0)+(k<<3)>>3]}while((s|0)>1);p[i>>3]=g}if((h|0)==(j|0))break;else j=j+1|0}g=+p[m>>3];if((h|0)>0){i=h+1|0;while(1){g=q*g+ +p[o+(i-h<<3)>>3];if((h|0)>1)h=h+-1|0;else break}}}else g=+p[m>>3];p[e>>3]=g;p[d>>3]=+p[d>>3]+b;c=+p[e>>3]+c;p[e>>3]=c;u=r;return}function Ag(a,b,c,d,e){a=a|0;b=+b;c=+c;d=d|0;e=e|0;var g=0.0,h=0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0,q=0.0,r=0,s=0;r=u;u=u+80|0;o=r;if((f[a+5968>>2]|0)!=1){p[d>>3]=b;p[e>>3]=c;u=r;return}i=f[a+5976>>2]|0;h=f[a+6784>>2]|0;q=b-+p[a+16>>3];n=c-+p[a+24>>3];if((i|0)>=0){k=0;while(1){m=i-k|0;g=+p[a+5984+(m*80|0)+(k<<3)>>3];j=o+(k<<3)|0;p[j>>3]=g;if((k|0)>0){l=k;do{s=l;l=l+-1|0;g=n*g+ +p[a+5984+(m*80|0)+(l<<3)>>3]}while((s|0)>1);p[j>>3]=g}if((i|0)==(k|0))break;else k=k+1|0}g=+p[o>>3];if((i|0)>0){j=i+1|0;while(1){g=q*g+ +p[o+(j-i<<3)>>3];if((i|0)>1)i=i+-1|0;else{m=o;break}}}else m=o}else{m=o;g=0.0}p[d>>3]=g;if((h|0)>=0){j=0;while(1){l=h-j|0;g=+p[a+6792+(l*80|0)+(j<<3)>>3];i=o+(j<<3)|0;p[i>>3]=g;if((j|0)>0){k=j;do{s=k;k=k+-1|0;g=n*g+ +p[a+6792+(l*80|0)+(k<<3)>>3]}while((s|0)>1);p[i>>3]=g}if((h|0)==(j|0))break;else j=j+1|0}g=+p[m>>3];if((h|0)>0){i=h+1|0;while(1){g=q*g+ +p[o+(i-h<<3)>>3];if((h|0)>1)h=h+-1|0;else break}}}else g=+p[m>>3];p[e>>3]=g;p[d>>3]=+p[d>>3]+b;c=+p[e>>3]+c;p[e>>3]=c;u=r;return}function Bg(a,b){a=a|0;b=b|0;if((Bx(b)|0)<9)b=0;else b=(vw(b+8|0,51625,4)|0)==0&1;f[a+5968>>2]=b;return}function Cg(a,c,d,e,g,h,i,j){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0;K=u;u=u+7488|0;J=K+32|0;H=K+24|0;F=K+16|0;E=K+8|0;v=K+52|0;B=K+48|0;G=K+44|0;D=K+40|0;A=K+36|0;C=K+7404|0;t=K;r=K+7384|0;o=K+6358|0;p=K+5333|0;x=K+4308|0;q=K+3283|0;m=K+2258|0;n=K+1233|0;y=K+1162|0;z=K+137|0;I=K+56|0;k=f[j>>2]|0;if((k|0)>0){J=k;u=K;return J|0}f[a>>2]=0;if((f[802]|0)!=0?(l=Dg()|0,f[j>>2]=l,(l|0)>0):0){J=l;u=K;return J|0}else w=c;while(1)if((b[w>>0]|0)==32)w=w+1|0;else break;Eg(w,r,o,p,x,q,m,n,0,0,j)|0;k=r;l=85192;c=k+11|0;do{b[k>>0]=b[l>>0]|0;k=k+1|0;l=l+1|0}while((k|0)<(c|0));c=f[53819]|0;do{q=c;c=c+-1|0;if((q|0)<=0){s=8;break}}while((tw(215280+(c*84|0)|0,r)|0)!=0);if((s|0)==8){f[j>>2]=124;vj(51630);J=f[j>>2]|0;u=K;return J|0}f[j>>2]=0;s=Uh(e,g,h,i,v)|0;f[j>>2]=s;if((s|0)>0){vj(51691);J=f[j>>2]|0;u=K;return J|0}s=zb[f[215280+(c*84|0)+64>>2]&31](f[v>>2]|0,t)|0;f[j>>2]=s;if((s|0)>0){wb[f[215280+(c*84|0)+56>>2]&31](f[v>>2]|0)|0;vj(51741);J=f[j>>2]|0;u=K;return J|0}k=Nv(1,8)|0;f[a>>2]=k;if(!k){wb[f[215280+(c*84|0)+56>>2]&31](f[v>>2]|0)|0;vj(51790);vj(w);f[j>>2]=113;J=113;u=K;return J|0}s=Nv(1,1728)|0;f[k+4>>2]=s;k=(f[a>>2]|0)+4|0;if(!(f[k>>2]|0)){wb[f[215280+(c*84|0)+56>>2]&31](f[v>>2]|0)|0;vj(51790);vj(w);Mv(f[a>>2]|0);f[a>>2]=0;f[j>>2]=113;J=113;u=K;return J|0}s=(Bx(w)|0)+1|0;s=Lv((s|0)>32?s:32)|0;f[(f[k>>2]|0)+12>>2]=s;k=(f[a>>2]|0)+4|0;if(!(f[(f[k>>2]|0)+12>>2]|0)){wb[f[215280+(c*84|0)+56>>2]&31](f[v>>2]|0)|0;vj(51848);vj(w);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[j>>2]=113;J=113;u=K;return J|0}s=Nv(1001,8)|0;f[(f[k>>2]|0)+88>>2]=s;k=(f[a>>2]|0)+4|0;if(!(f[(f[k>>2]|0)+88>>2]|0)){wb[f[215280+(c*84|0)+56>>2]&31](f[v>>2]|0)|0;vj(51897);vj(w);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[j>>2]=113;J=113;u=K;return J|0}s=Nv(40,2880)|0;f[(f[k>>2]|0)+1244>>2]=s;k=f[(f[a>>2]|0)+4>>2]|0;if(!(f[k+1244>>2]|0)){wb[f[215280+(c*84|0)+56>>2]&31](f[v>>2]|0)|0;vj(51953);vj(w);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+88>>2]|0);Mv(f[(f[(f[a>>2]|0)+4>>2]|0)+12>>2]|0);Mv(f[(f[a>>2]|0)+4>>2]|0);Mv(f[a>>2]|0);f[a>>2]=0;f[j>>2]=113;J=113;u=K;return J|0}else l=0;do{f[k+1568+(l<<2)>>2]=l;f[k+1248+(l<<2)>>2]=-1;l=l+1|0}while((l|0)!=40);f[k+84>>2]=1e3;f[k>>2]=f[v>>2];f[k+4>>2]=c;Jx(f[k+12>>2]|0,w)|0;s=f[t>>2]|0;t=f[t+4>>2]|0;k=f[a>>2]|0;l=f[k+4>>2]|0;v=l+24|0;f[v>>2]=s;f[v+4>>2]=t;v=l+32|0;f[v>>2]=s;f[v+4>>2]=t;f[l+76>>2]=d;d=l+120|0;f[d>>2]=-1;f[d+4>>2]=-1;f[l+64>>2]=-1;f[l+8>>2]=1;f[l+16>>2]=555;gt(k,0,0,j)|0;k=f[a>>2]|0;l=f[k+4>>2]|0;a:do if((f[j>>2]|0)<=0){m=0;while(1){c=217296+(m<<2)|0;m=m+1|0;if(!(f[c>>2]|0))break;if((m|0)>=1e3)break a}f[c>>2]=l;k=f[a>>2]|0}while(0);if((Jj(k,B,j)|0)>0){vj(52008);vj(w);if((f[j>>2]|0)==252)vj(61241);Fg(f[a>>2]|0,j)|0;f[a>>2]=0}b[y>>0]=0;b[z>>0]=0;if(!(b[x>>0]|0)){J=f[j>>2]|0;u=K;return J|0}Gg(x,A,C,D,G,y,z,j)|0;k=f[j>>2]|0;if((k|0)>0){J=k;u=K;return J|0}l=f[A>>2]|0;if(!l){if(b[C>>0]|0)Lk(f[a>>2]|0,f[G>>2]|0,C,f[D>>2]|0,j)|0}else Hj(f[a>>2]|0,l+1|0,B,j)|0;k=f[j>>2]|0;if((k|0)<=0){J=k;u=K;return J|0}vj(52074);if((l|0)>0){f[E>>2]=l;ww(I,52124,E)|0;vj(I)}else{f[F>>2]=C;ww(I,52182,F)|0;vj(I);k=f[D>>2]|0;if(k|0){f[H>>2]=k;ww(I,52212,H)|0;vj(I)}k=f[G>>2]|0;if((k|0)!=-1){f[J>>2]=f[3212+(k<<2)>>2];ww(I,52246,J)|0;vj(I)}vj(52281)}J=f[j>>2]|0;u=K;return J|0}function Dg(){var a=0,c=0,d=0,e=0;if(!(f[802]|0)){e=0;return e|0}a=f[53819]|0;if((a|0)>=0)if((a|0)<=23){a=mh()|0;if(!a){Vy(215280+((f[53819]|0)*84|0)|0,85131,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=1;f[215280+(a*84|0)+24>>2]=2;f[215280+(a*84|0)+28>>2]=6;f[215280+(a*84|0)+32>>2]=7;f[215280+(a*84|0)+36>>2]=8;f[215280+(a*84|0)+40>>2]=7;f[215280+(a*84|0)+44>>2]=8;f[215280+(a*84|0)+48>>2]=10;f[215280+(a*84|0)+52>>2]=9;f[215280+(a*84|0)+56>>2]=9;f[215280+(a*84|0)+60>>2]=10;f[215280+(a*84|0)+64>>2]=11;f[215280+(a*84|0)+68>>2]=11;f[215280+(a*84|0)+72>>2]=10;f[215280+(a*84|0)+76>>2]=11;f[215280+(a*84|0)+80>>2]=12;f[53819]=a+1;if((a|0)>=-1)if((a|0)<=22){a=Nh()|0;if(!a){Vy(215280+((f[53819]|0)*84|0)|0,97380,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=3;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=0;f[215280+(a*84|0)+48>>2]=12;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;if((a|0)>=-1){if((a|0)<=22){Vy(215280+(c*84|0)|0,85192,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=0;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=16;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;if((a|0)>=-1){if((a|0)<=22){Vy(215280+(c*84|0)|0,85279,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=17;f[215280+(a*84|0)+44>>2]=18;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;if((a|0)>=-1){if((a|0)<=22){Vy(215280+(c*84|0)|0,85266,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=18;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=9;f[215280+(a*84|0)+56>>2]=9;f[215280+(a*84|0)+60>>2]=10;f[215280+(a*84|0)+64>>2]=11;f[215280+(a*84|0)+68>>2]=11;f[215280+(a*84|0)+72>>2]=10;f[215280+(a*84|0)+76>>2]=11;f[215280+(a*84|0)+80>>2]=12;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85390,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=0;f[215280+(a*84|0)+48>>2]=12;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=17;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85452,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=19;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,52724,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=20;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85288,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=21;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,60725,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=22;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85220,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=2;f[215280+(a*84|0)+28>>2]=6;f[215280+(a*84|0)+32>>2]=7;f[215280+(a*84|0)+36>>2]=8;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=23;f[215280+(a*84|0)+48>>2]=10;f[215280+(a*84|0)+52>>2]=9;f[215280+(a*84|0)+56>>2]=9;f[215280+(a*84|0)+60>>2]=10;f[215280+(a*84|0)+64>>2]=11;f[215280+(a*84|0)+68>>2]=11;f[215280+(a*84|0)+72>>2]=10;f[215280+(a*84|0)+76>>2]=11;f[215280+(a*84|0)+80>>2]=12;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,53817,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=0;f[215280+(a*84|0)+48>>2]=14;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=18;f[215280+(a*84|0)+60>>2]=10;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;f[53819]=a+1;do if((a|0)<-1){vj(53023);vj(53085);a=122}else{if((a|0)>22){a=122;break}a=zi()|0;if(a|0)break;Vy(215280+((f[53819]|0)*84|0)|0,85212,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=5;f[215280+(a*84|0)+24>>2]=6;f[215280+(a*84|0)+28>>2]=19;f[215280+(a*84|0)+32>>2]=20;f[215280+(a*84|0)+36>>2]=21;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=24;f[215280+(a*84|0)+48>>2]=15;f[215280+(a*84|0)+52>>2]=0;f[215280+(a*84|0)+56>>2]=22;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=16;f[215280+(a*84|0)+68>>2]=23;f[215280+(a*84|0)+72>>2]=25;f[215280+(a*84|0)+76>>2]=26;f[215280+(a*84|0)+80>>2]=27;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85300,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=28;f[215280+(a*84|0)+44>>2]=29;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85236,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=2;f[215280+(a*84|0)+28>>2]=6;f[215280+(a*84|0)+32>>2]=7;f[215280+(a*84|0)+36>>2]=8;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=30;f[215280+(a*84|0)+48>>2]=10;f[215280+(a*84|0)+52>>2]=9;f[215280+(a*84|0)+56>>2]=9;f[215280+(a*84|0)+60>>2]=10;f[215280+(a*84|0)+64>>2]=11;f[215280+(a*84|0)+68>>2]=11;f[215280+(a*84|0)+72>>2]=10;f[215280+(a*84|0)+76>>2]=11;f[215280+(a*84|0)+80>>2]=12;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,66208,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=28;f[215280+(a*84|0)+44>>2]=30;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85308,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=31;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85259,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=32;f[215280+(a*84|0)+44>>2]=33;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85248,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=2;f[215280+(a*84|0)+28>>2]=6;f[215280+(a*84|0)+32>>2]=7;f[215280+(a*84|0)+36>>2]=8;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=34;f[215280+(a*84|0)+48>>2]=10;f[215280+(a*84|0)+52>>2]=9;f[215280+(a*84|0)+56>>2]=9;f[215280+(a*84|0)+60>>2]=10;f[215280+(a*84|0)+64>>2]=11;f[215280+(a*84|0)+68>>2]=11;f[215280+(a*84|0)+72>>2]=10;f[215280+(a*84|0)+76>>2]=11;f[215280+(a*84|0)+80>>2]=12;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,66219,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=32;f[215280+(a*84|0)+44>>2]=34;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,85324,20)|0;a=f[53819]|0;b[215280+(a*84|0)+19>>0]=0;f[215280+(a*84|0)+20>>2]=0;f[215280+(a*84|0)+24>>2]=4;f[215280+(a*84|0)+28>>2]=12;f[215280+(a*84|0)+32>>2]=13;f[215280+(a*84|0)+36>>2]=14;f[215280+(a*84|0)+40>>2]=0;f[215280+(a*84|0)+44>>2]=35;f[215280+(a*84|0)+48>>2]=0;f[215280+(a*84|0)+52>>2]=13;f[215280+(a*84|0)+56>>2]=15;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=13;f[215280+(a*84|0)+68>>2]=0;f[215280+(a*84|0)+72>>2]=14;f[215280+(a*84|0)+76>>2]=15;f[215280+(a*84|0)+80>>2]=16;c=a+1|0;f[53819]=c;do if((a|0)<-1){vj(53023);vj(53085)}else{if((a|0)>22)break;Vy(215280+(c*84|0)|0,75872,20)|0;a=f[53819]|0;c=215280+(a*84|0)+44|0;d=215280+(a*84|0)+19|0;e=d+25|0;do{b[d>>0]=0;d=d+1|0}while((d|0)<(e|0));f[c>>2]=36;f[215280+(a*84|0)+48>>2]=17;f[215280+(a*84|0)+52>>2]=0;f[215280+(a*84|0)+56>>2]=24;f[215280+(a*84|0)+60>>2]=0;f[215280+(a*84|0)+64>>2]=18;f[215280+(a*84|0)+68>>2]=25;f[215280+(a*84|0)+72>>2]=37;f[215280+(a*84|0)+76>>2]=38;f[215280+(a*84|0)+80>>2]=39;f[53819]=a+1;f[802]=0;e=0;return e|0}while(0);vj(54339);e=122;return e|0}while(0);vj(54279);e=122;return e|0}while(0);vj(54224);e=122;return e|0}while(0);vj(54168);e=122;return e|0}while(0);vj(54116);e=122;return e|0}while(0);vj(54055);e=122;return e|0}while(0);vj(53999);e=122;return e|0}while(0);vj(53942);e=122;return e|0}while(0);vj(53889);e=122;return e|0}while(0);vj(53836);e=a;return e|0}while(0);vj(53753);e=122;return e|0}while(0);vj(53692);e=122;return e|0}while(0);vj(53632);e=122;return e|0}while(0);vj(53575);e=122;return e|0}while(0);vj(53519);e=122;return e|0}while(0);vj(53463);e=122;return e|0}while(0);vj(53408);e=122;return e|0}}else{vj(53023);vj(53085)}vj(53350);e=122;return e|0}}else{vj(53023);vj(53085)}vj(53296);e=122;return e|0}}else{vj(53023);vj(53085)}vj(53240);e=122;return e|0}}else a=122;else{vj(53023);vj(53085);a=122}vj(53188);e=a;return e|0}}else a=122;else{vj(53023);vj(53085);a=122}vj(53135);e=a;return e|0}
function ar(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;k=u;u=u+160|0;j=k;g=f[e>>2]|0;if((g|0)>0){e=g;u=k;return e|0}h=f[a>>2]|0;i=a+4|0;g=f[i>>2]|0;if((h|0)!=(f[g+68>>2]|0)){Hj(a,h+1|0,0,e)|0;g=f[i>>2]|0;h=f[g+68>>2]|0}l=g+96|0;i=(f[g+88>>2]|0)+(h<<3)|0;if(!((f[l>>2]|0)==(f[i>>2]|0)?(f[l+4>>2]|0)==(f[i+4>>2]|0):0))Ck(a,e)|0;if((c|0)>0){g=0;do{i=f[d+(g<<2)>>2]|0;l=j+(g<<3)|0;f[l>>2]=i;f[l+4>>2]=((i|0)<0)<<31>>31;g=g+1|0}while((g|0)<(c|0)&(g|0)<20)}br(a,1,b,c,j,0,0,1,0,1,e)|0;l=f[e>>2]|0;u=k;return l|0}function br(a,c,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;S=u;u=u+656|0;O=S+176|0;L=S+160|0;N=S+144|0;K=S+128|0;M=S+112|0;J=S+96|0;H=S+88|0;F=S+80|0;I=S+72|0;G=S+64|0;E=S+56|0;D=S+48|0;C=S+32|0;x=S+24|0;w=S+16|0;v=S+8|0;s=S;R=S+272|0;P=S+572|0;r=S+192|0;B=S+497|0;Q=S+424|0;A=S+343|0;o=f[n>>2]|0;if((o|0)>0){n=o;u=S;return n|0}o=f[a>>2]|0;z=a+4|0;q=f[z>>2]|0;if((o|0)!=(f[q+68>>2]|0)){Hj(a,o+1|0,0,n)|0;q=f[z>>2]|0;o=f[q+68>>2]|0}t=q+96|0;y=(f[q+88>>2]|0)+(o<<3)|0;if(!((f[t>>2]|0)==(f[y>>2]|0)?(f[t+4>>2]|0)==(f[y+4>>2]|0):0)){f[n>>2]=201;n=201;u=S;return n|0}if(g|0?f[q+984>>2]|0:0){if((g|0)>0){o=0;do{f[r+(o<<2)>>2]=f[h+(o<<3)>>2];o=o+1|0}while((o|0)!=(g|0))}ds(a,e,g,r,1,n)|0;n=f[n>>2]|0;u=S;return n|0}if(!o){o=(c|0)==0;if(o){c=Q;r=91199;t=c+39|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0))}else{c=Q;r=99593;t=c+35|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0))}if((f[n>>2]|0)<=0){d[R>>1]=o?70:84;Fj(98861,R,Q,P,n)|0;cr(a,P,n)|0}}else{c=Q;r=91238;t=c+16|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));dr(a,98876,91254,Q,n)|0}y=(e|0)==20;a:do if(y)q=16;else switch(e|0){case 40:{q=32;break a}case 10:{q=8;break a}case 8:case 16:case 32:case 64:case -64:case -32:{q=e;break a}default:{f[s>>2]=e;ww(A,91260,s)|0;vj(A);f[n>>2]=211;n=211;u=S;return n|0}}while(0);c=Q;r=91297;t=c+30|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));o=f[n>>2]|0;if((o|0)>0){n=o;u=S;return n|0}b[R>>0]=0;t=v;f[t>>2]=q;f[t+4>>2]=((q|0)<0)<<31>>31;if((ww(R,91327,v)|0)<0){vj(91332);f[n>>2]=401}Fj(98813,R,Q,P,n)|0;cr(a,P,n)|0;o=f[n>>2]|0;if((o|0)>0){n=o;u=S;return n|0}if(g>>>0>999){f[w>>2]=g;ww(A,91376,w)|0;vj(A);f[n>>2]=212;n=212;u=S;return n|0}c=Q;r=91412;t=c+20|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));b[R>>0]=0;w=x;f[w>>2]=g;f[w+4>>2]=((g|0)<0)<<31>>31;if((ww(R,91327,x)|0)<0){vj(91332);f[n>>2]=401}Fj(98894,R,Q,P,n)|0;cr(a,P,n)|0;c=Q;r=91432;t=c+21|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));b:do if((g|0)>0){r=Q+20|0;s=0;while(1){c=h+(s<<3)|0;q=c;o=f[q>>2]|0;q=f[q+4>>2]|0;s=s+1|0;if((q|0)<0)break;f[D>>2]=s;ww(r,91502,D)|0;$j(98894,s,B,n)|0;q=c;o=f[q>>2]|0;q=f[q+4>>2]|0;if((f[n>>2]|0)<=0){b[R>>0]=0;x=E;f[x>>2]=o;f[x+4>>2]=q;if((ww(R,91327,E)|0)<0){vj(91332);f[n>>2]=401}Fj(B,R,Q,P,n)|0;cr(a,P,n)|0}if((s|0)>=(g|0))break b}f[C>>2]=s;p[C+8>>3]=+(o>>>0)+4294967296.0*+(q|0);ww(A,91453,C)|0;vj(A);f[n>>2]=213;n=213;u=S;return n|0}while(0);do if(f[(f[z>>2]|0)+68>>2]|0){if(!((i|0)==0&(j|0)==0)){vj(91856);f[n>>2]=214;break}if(!((k|0)==1&(l|0)==0)){vj(91894);f[n>>2]=215;break}c=Q;r=91932;t=c+27|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));o=f[n>>2]|0;if((o|0)<=0){b[R>>0]=0;I=F;f[I>>2]=0;f[I+4>>2]=0;if((ww(R,91327,F)|0)<0){vj(91332);f[n>>2]=401}Fj(98954,R,Q,P,n)|0;cr(a,P,n)|0;o=f[n>>2]|0}c=Q;r=91959;t=c+27|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));if((o|0)<=0){b[R>>0]=0;I=H;f[I>>2]=1;f[I+4>>2]=0;if((ww(R,91327,H)|0)<0){vj(91332);f[n>>2]=401}Fj(98969,R,Q,P,n)|0;cr(a,P,n)|0}}else{if(m|0){c=Q;r=91505;t=c+36|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));if((f[n>>2]|0)<=0){d[R>>1]=84;Fj(98922,R,Q,P,n)|0;cr(a,P,n)|0}}if((j|0)<0){vj(91541);f[n>>2]=214;n=214;u=S;return n|0}if((l|0)<0|(l|0)==0&k>>>0<1){vj(91569);f[n>>2]=215;n=215;u=S;return n|0}if((j|0)>0|(j|0)==0&i>>>0>0|((k|0)!=1|(l|0)!=0)){c=Q;r=91597;t=c+33|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));o=f[n>>2]|0;if((o|0)<=0){d[R>>1]=84;Fj(91630,R,Q,P,n)|0;cr(a,P,n)|0;o=f[n>>2]|0}c=Q;r=91637;t=c+34|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));if((o|0)<=0){b[R>>0]=0;H=G;f[H>>2]=i;f[H+4>>2]=j;if((ww(R,91327,G)|0)<0){vj(91332);f[n>>2]=401}Fj(98954,R,Q,P,n)|0;cr(a,P,n)|0;o=f[n>>2]|0}c=Q;r=91671;t=c+24|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));if((o|0)<=0){b[R>>0]=0;H=I;f[H>>2]=k;f[H+4>>2]=l;if((ww(R,91327,I)|0)<0){vj(91332);f[n>>2]=401}Fj(98969,R,Q,P,n)|0;cr(a,P,n)|0}}cr(a,91695,n)|0;cr(a,91776,n)|0}while(0);c:do if(y){c=Q;r=100170;t=c+44|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));o=f[n>>2]|0;if((o|0)<=0){b[R>>0]=0;f[J>>2]=0;p[J+8>>3]=32768.0;if((ww(R,91986,J)|0)<0){vj(91991);f[n>>2]=402}o=Cx(R,44)|0;if(o|0)b[o>>0]=46;if(Cx(R,78)|0){vj(92034);f[n>>2]=402}Fj(98835,R,Q,P,n)|0;cr(a,P,n)|0;o=f[n>>2]|0}c=Q;r=100214;t=c+23|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));if((o|0)<=0){b[R>>0]=0;f[M>>2]=0;p[M+8>>3]=1.0;if((ww(R,91986,M)|0)<0){vj(91991);f[n>>2]=402}o=Cx(R,44)|0;if(o|0)b[o>>0]=46;if(Cx(R,78)|0){vj(92034);f[n>>2]=402}Fj(98828,R,Q,P,n)|0;cr(a,P,n)|0}}else switch(e|0){case 40:{c=Q;r=100278;t=c+43|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));o=f[n>>2]|0;if((o|0)<=0){b[R>>0]=0;f[K>>2]=0;p[K+8>>3]=2147483648.0;if((ww(R,91986,K)|0)<0){vj(91991);f[n>>2]=402}o=Cx(R,44)|0;if(o|0)b[o>>0]=46;if(Cx(R,78)|0){vj(92034);f[n>>2]=402}Fj(98835,R,Q,P,n)|0;cr(a,P,n)|0;o=f[n>>2]|0}c=Q;r=100214;t=c+23|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));if((o|0)<=0){b[R>>0]=0;f[N>>2]=0;p[N+8>>3]=1.0;if((ww(R,91986,N)|0)<0){vj(91991);f[n>>2]=402}o=Cx(R,44)|0;if(o|0)b[o>>0]=46;if(Cx(R,78)|0){vj(92034);f[n>>2]=402}Fj(98828,R,Q,P,n)|0;cr(a,P,n)|0}break c}case 10:{c=Q;r=100237;t=c+41|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));o=f[n>>2]|0;if((o|0)<=0){b[R>>0]=0;f[L>>2]=0;p[L+8>>3]=-128.0;if((ww(R,91986,L)|0)<0){vj(91991);f[n>>2]=402}o=Cx(R,44)|0;if(o|0)b[o>>0]=46;if(Cx(R,78)|0){vj(92034);f[n>>2]=402}Fj(98835,R,Q,P,n)|0;cr(a,P,n)|0;o=f[n>>2]|0}c=Q;r=100214;t=c+23|0;do{b[c>>0]=b[r>>0]|0;c=c+1|0;r=r+1|0}while((c|0)<(t|0));if((o|0)<=0){b[R>>0]=0;f[O>>2]=0;p[O+8>>3]=1.0;if((ww(R,91986,O)|0)<0){vj(91991);f[n>>2]=402}o=Cx(R,44)|0;if(o|0)b[o>>0]=46;if(Cx(R,78)|0){vj(92034);f[n>>2]=402}Fj(98828,R,Q,P,n)|0;cr(a,P,n)|0}break c}default:break c}while(0);n=f[n>>2]|0;u=S;return n|0}function cr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;k=u;u=u+96|0;j=k;e=f[d>>2]|0;if((e|0)>0){j=e;u=k;return j|0}g=f[a>>2]|0;i=a+4|0;e=f[i>>2]|0;if((g|0)!=(f[e+68>>2]|0)){Hj(a,g+1|0,0,d)|0;e=f[i>>2]|0}l=e+120|0;g=e+96|0;g=Dz(f[l>>2]|0,f[l+4>>2]|0,f[g>>2]|0,f[g+4>>2]|0)|0;if((g|0)==80&(I|0)==0?(wk(a,1,0,d)|0)>0:0){l=f[d>>2]|0;u=k;return l|0}Vy(j,c,80)|0;b[j+80>>0]=0;g=Bx(j)|0;if(g){c=0;do{e=j+c|0;l=b[e>>0]|0;if(l<<24>>24<32|l<<24>>24==127)b[e>>0]=32;c=c+1|0}while((c|0)!=(g|0));if(g>>>0<80)h=9}else h=9;if((h|0)==9)Fz(j+g|0,32,80-g|0)|0;e=wz(j,92084)|0;e=(e|0)==80?8:e;if((((Ix(92086,j,8)|0)!=0?(Ix(92095,j,8)|0)!=0:0)?(Ix(92104,j,8)|0)!=0:0)?(Ix(92113,j,8)|0)!=0:0){if(e|0)h=18}else{e=8;h=18}if((h|0)==18){g=0;do{l=j+g|0;h=(lw(b[l>>0]|0)|0)&255;b[l>>0]=h;g=g+1|0}while((g|0)!=(e|0))}Cj(j,d)|0;e=(f[i>>2]|0)+96|0;ft(a,f[e>>2]|0,f[e+4>>2]|0,1,d)|0;it(a,80,0,j,d)|0;e=f[d>>2]|0;if((e|0)>=1){l=e;u=k;return l|0}l=(f[i>>2]|0)+96|0;j=l;j=Ez(f[j>>2]|0,f[j+4>>2]|0,80,0)|0;f[l>>2]=j;f[l+4>>2]=I;l=e;u=k;return l|0}function dr(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;o=u;u=u+160|0;m=o+81|0;l=o;h=f[g>>2]|0;if((h|0)>0){n=h;u=o;return n|0}if(!d){b[m>>0]=b[92081]|0;b[m+1>>0]=b[92082]|0;b[m+2>>0]=b[92083]|0}else{b[m>>0]=39;j=Bx(d)|0;j=j>>>0<68?j:68;if(j){k=0;h=1;do{p=b[d+k>>0]|0;b[m+h>>0]=p;i=h+1|0;if(p<<24>>24==39){b[m+i>>0]=39;h=i}k=k+1|0;h=h+1|0}while(k>>>0<j>>>0&h>>>0<69);if(h>>>0>=9)if((h|0)==70)h=69;else n=11;else n=6}else{h=1;n=6}if((n|0)==6){Fz(m+h|0,32,9-h|0)|0;h=9;n=11}if((n|0)==11){b[m+h>>0]=39;h=h+1|0}b[m+h>>0]=0}Fj(c,m,e,l,g)|0;cr(a,l,g)|0;p=f[g>>2]|0;u=o;return p|0}function er(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0;o=u;u=u+160|0;n=o;if((d|0)>0){m=0;do{q=f[e+(m<<2)>>2]|0;p=n+(m<<3)|0;f[p>>2]=q;f[p+4>>2]=((q|0)<0)<<31>>31;m=m+1|0}while((m|0)<(d|0)&(m|0)<20)}br(a,b,c,d,n,g,h,i,j,k,l)|0;u=o;return f[l>>2]|0}function fr(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=f[e>>2]|0;if((g|0)>0){e=g;return e|0}h=f[a>>2]|0;i=a+4|0;g=f[i>>2]|0;if((h|0)!=(f[g+68>>2]|0)){Hj(a,h+1|0,0,e)|0;g=f[i>>2]|0;h=f[g+68>>2]|0}j=g+96|0;i=(f[g+88>>2]|0)+(h<<3)|0;if(!((f[j>>2]|0)==(f[i>>2]|0)?(f[j+4>>2]|0)==(f[i+4>>2]|0):0))Ck(a,e)|0;br(a,1,b,c,d,0,0,1,0,1,e)|0;j=f[e>>2]|0;return j|0}function gr(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0;p=u;u=u+160|0;o=p;l=f[k>>2]|0;if((l|0)>0){i=l;u=p;return i|0}m=f[a>>2]|0;n=a+4|0;l=f[n>>2]|0;if((m|0)!=(f[l+68>>2]|0)){Hj(a,m+1|0,0,k)|0;l=f[n>>2]|0;m=f[l+68>>2]|0}r=l+96|0;q=(f[l+88>>2]|0)+(m<<3)|0;if(!((f[r>>2]|0)==(f[q>>2]|0)?(f[r+4>>2]|0)==(f[q+4>>2]|0):0)){Ck(a,k)|0;l=f[n>>2]|0;m=f[l+68>>2]|0}if(!m){if((f[k>>2]|0)<=0){m=f[a>>2]|0;if(!m)m=0;else{Hj(a,m+1|0,0,k)|0;m=f[n>>2]|0;l=m;m=f[m+68>>2]|0}q=l+96|0;r=(f[l+88>>2]|0)+(m<<3)|0;if(!((f[q>>2]|0)==(f[r>>2]|0)?(f[q+4>>2]|0)==(f[r+4>>2]|0):0))Ck(a,k)|0;br(a,1,16,0,o,0,0,1,0,1,k)|0}Ck(a,k)|0}switch(b|0){case 2:{hr(a,c,d,e,g,h,i,j,0,0,k)|0;break}case 1:{ir(a,0,0,c,d,e,g,0,h,i,j,k)|0;break}default:f[k>>2]=235}r=f[k>>2]|0;u=p;return r|0}function hr(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0;Q=u;u=u+592|0;O=Q+152|0;N=Q+136|0;M=Q+120|0;L=Q+104|0;K=Q+88|0;J=Q+72|0;H=Q+64|0;G=Q+56|0;x=Q+48|0;w=Q+40|0;v=Q+32|0;t=Q+24|0;s=Q+16|0;r=Q+8|0;q=Q;F=Q+511|0;y=Q+430|0;A=Q+176|0;D=Q+172|0;P=Q+168|0;E=Q+400|0;C=Q+324|0;z=Q+251|0;B=Q+180|0;k=f[m>>2]|0;if((k|0)>0){m=k;u=Q;return m|0}n=f[a>>2]|0;o=a+4|0;k=f[o>>2]|0;if((n|0)!=(f[k+68>>2]|0)){Hj(a,n+1|0,0,m)|0;k=f[o>>2]|0;n=f[k+68>>2]|0}R=k+96|0;o=(f[k+88>>2]|0)+(n<<3)|0;if(!((f[R>>2]|0)==(f[o>>2]|0)?(f[R+4>>2]|0)==(f[o+4>>2]|0):0)){f[m>>2]=201;R=201;u=Q;return R|0}if((d|0)<0){f[m>>2]=218;R=218;u=Q;return R|0}if((l|0)<0){f[m>>2]=214;R=214;u=Q;return R|0}if(e>>>0>999){f[m>>2]=216;R=216;u=Q;return R|0}b[B>>0]=0;if(j|0)yz(B,j,70)|0;dr(a,98876,92573,92582,m)|0;k=f[m>>2]|0;if((k|0)<=0){b[F>>0]=0;R=q;f[R>>2]=8;f[R+4>>2]=0;if((ww(F,91327,q)|0)<0){vj(91332);f[m>>2]=401}Fj(98813,F,92605,y,m)|0;cr(a,y,m)|0;k=f[m>>2]|0}if((k|0)<=0){b[F>>0]=0;R=r;f[R>>2]=2;f[R+4>>2]=0;if((ww(F,91327,r)|0)<0){vj(91332);f[m>>2]=401}Fj(98894,F,92617,y,m)|0;cr(a,y,m)|0}a:do if((e|0)>0){o=0;n=0;j=0;while(1){l=h+(j<<2)|0;Uj(f[l>>2]|0,A,D,P,m)|0;k=f[A>>2]|0;b:do switch(k|0){case 16:{l=f[D>>2]|0;k=l;l=((l|0)<0)<<31>>31;break}case 1:{l=((f[D>>2]|0)+7|0)/8|0;k=l;l=((l|0)<0)<<31>>31;break}default:{if((k|0)>0){l=X(f[D>>2]|0,(k>>>0)/10|0)|0;k=l;l=((l|0)<0)<<31>>31;break b}k=f[l>>2]|0;if((b[k>>0]|0)==80){k=8;l=0}else{l=(b[k+1>>0]|0)==80;k=l?8:16;l=l?0:0}}}while(0);o=Ez(k|0,l|0,o|0,n|0)|0;n=I;k=f[m>>2]|0;j=j+1|0;if(!((k|0)<1&(j|0)<(e|0)))break a}}else{k=f[m>>2]|0;o=0;n=0}while(0);if((k|0)<=0){b[F>>0]=0;R=s;f[R>>2]=o;f[R+4>>2]=n;if((ww(F,91327,s)|0)<0){vj(91332);f[m>>2]=401}Fj(92199,F,92644,y,m)|0;cr(a,y,m)|0;k=f[m>>2]|0}if((k|0)<=0){b[F>>0]=0;R=t;f[R>>2]=c;f[R+4>>2]=d;if((ww(F,91327,t)|0)<0){vj(91332);f[m>>2]=401}Fj(106765,F,92235,y,m)|0;cr(a,y,m)|0;k=f[m>>2]|0}if((k|0)<=0){b[F>>0]=0;R=v;f[R>>2]=0;f[R+4>>2]=0;if((ww(F,91327,v)|0)<0){vj(91332);f[m>>2]=401}Fj(98954,F,92668,y,m)|0;cr(a,y,m)|0;k=f[m>>2]|0}if((k|0)<=0){b[F>>0]=0;R=w;f[R>>2]=1;f[R+4>>2]=0;if((ww(F,91327,w)|0)<0){vj(91332);f[m>>2]=401}Fj(98969,F,92298,y,m)|0;cr(a,y,m)|0;k=f[m>>2]|0}if((k|0)<=0){b[F>>0]=0;R=x;f[R>>2]=e;f[R+4>>2]=((e|0)<0)<<31>>31;if((ww(F,91327,x)|0)<0){vj(91332);f[m>>2]=401}Fj(101690,F,92332,y,m)|0;cr(a,y,m)|0}q=(i|0)==0;j=0;do{if((j|0)>=(e|0))break;k=g+(j<<2)|0;l=j;j=j+1|0;if(b[f[k>>2]>>0]|0){f[G>>2]=j;ww(z,92361,G)|0;$j(92381,j,C,m)|0;dr(a,C,f[k>>2]|0,z,m)|0}Jx(E,f[h+(l<<2)>>2]|0)|0;Ej(E);$j(92423,j,C,m)|0;k=z;n=92694;o=k+21|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));Uj(E,A,D,P,m)|0;k=f[A>>2]|0;c:do switch(k|0){case 16:{k=z+(Bx(z)|0)|0;n=92715;o=k+18|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));R=(Cx(E,65)|0)+1|0;f[H>>2]=P;if((qy(R,92733,H)|0)==1){k=f[D>>2]|0;if((f[P>>2]|0)<=(k|0))break c;if((k|0)==1){k=z;n=92737;o=k+47|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break c}else{k=z;n=92784;o=k+48|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break c}}break}case 1:{R=z+(Bx(z)|0)|0;b[R>>0]=b[92832]|0;b[R+1>>0]=b[92833]|0;b[R+2>>0]=b[92834]|0;b[R+3>>0]=b[92835]|0;b[R+4>>0]=b[92836]|0;b[R+5>>0]=b[92837]|0;break}case 11:{R=z+(Bx(z)|0)|0;b[R>>0]=b[92838]|0;b[R+1>>0]=b[92839]|0;b[R+2>>0]=b[92840]|0;b[R+3>>0]=b[92841]|0;b[R+4>>0]=b[92842]|0;b[R+5>>0]=b[92843]|0;b[R+6>>0]=b[92844]|0;break}case 14:{k=z+(Bx(z)|0)|0;n=92845;o=k+17|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 21:{k=z+(Bx(z)|0)|0;n=92862;o=k+17|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 20:{k=z+(Bx(z)|0)|0;n=92862;o=k+17|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 41:{k=z+(Bx(z)|0)|0;n=92879;o=k+17|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 81:{k=z+(Bx(z)|0)|0;n=92896;o=k+17|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 40:{k=z+(Bx(z)|0)|0;n=92879;o=k+17|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 42:{k=z+(Bx(z)|0)|0;n=92913;o=k+14|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 82:{k=z+(Bx(z)|0)|0;n=92927;o=k+16|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 83:{k=z+(Bx(z)|0)|0;n=92943;o=k+10|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}case 163:{k=z+(Bx(z)|0)|0;n=92953;o=k+17|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));break}default:if((k|0)<0){k=z+(Bx(z)|0)|0;n=92970;o=k+24|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0))}}while(0);R=f[A>>2]|0;switch(((R|0)>-1?R:0-R|0)|0){case 12:{k=E;while(1)if((b[k>>0]|0)==83)break;else k=k+1|0;b[k>>0]=66;dr(a,C,E,z,m)|0;$j(92994,j,C,m)|0;k=z;n=93e3;o=k+24|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));if((f[m>>2]|0)<=0){b[F>>0]=0;f[J>>2]=0;p[J+8>>3]=-128.0;if((ww(F,91986,J)|0)<0){vj(91991);f[m>>2]=402}k=Cx(F,44)|0;if(k|0)b[k>>0]=46;if(Cx(F,78)|0){vj(92034);f[m>>2]=402}Fj(C,F,z,y,m)|0;cr(a,y,m)|0}$j(93024,j,C,m)|0;k=z;n=93030;o=k+20|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));if((f[m>>2]|0)<=0){b[F>>0]=0;f[K>>2]=0;p[K+8>>3]=1.0;if((ww(F,91986,K)|0)<0){vj(91991);f[m>>2]=402}k=Cx(F,44)|0;if(k|0)b[k>>0]=46;if(Cx(F,78)|0){vj(92034);f[m>>2]=402}Fj(C,F,z,y,m)|0;cr(a,y,m)|0}break}case 20:{k=E;while(1)if((b[k>>0]|0)==85)break;else k=k+1|0;b[k>>0]=73;dr(a,C,E,z,m)|0;$j(92994,j,C,m)|0;k=z;n=93050;o=k+29|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));if((f[m>>2]|0)<=0){b[F>>0]=0;f[L>>2]=0;p[L+8>>3]=32768.0;if((ww(F,91986,L)|0)<0){vj(91991);f[m>>2]=402}k=Cx(F,44)|0;if(k|0)b[k>>0]=46;if(Cx(F,78)|0){vj(92034);f[m>>2]=402}Fj(C,F,z,y,m)|0;cr(a,y,m)|0}$j(93024,j,C,m)|0;k=z;n=93030;o=k+20|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));if((f[m>>2]|0)<=0){b[F>>0]=0;f[M>>2]=0;p[M+8>>3]=1.0;if((ww(F,91986,M)|0)<0){vj(91991);f[m>>2]=402}k=Cx(F,44)|0;if(k|0)b[k>>0]=46;if(Cx(F,78)|0){vj(92034);f[m>>2]=402}Fj(C,F,z,y,m)|0;cr(a,y,m)|0}break}case 40:{k=E;while(1)if((b[k>>0]|0)==86)break;else k=k+1|0;b[k>>0]=74;dr(a,C,E,z,m)|0;$j(92994,j,C,m)|0;k=z;n=93050;o=k+29|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));if((f[m>>2]|0)<=0){b[F>>0]=0;f[N>>2]=0;p[N+8>>3]=2147483648.0;if((ww(F,91986,N)|0)<0){vj(91991);f[m>>2]=402}k=Cx(F,44)|0;if(k|0)b[k>>0]=46;if(Cx(F,78)|0){vj(92034);f[m>>2]=402}Fj(C,F,z,y,m)|0;cr(a,y,m)|0}$j(93024,j,C,m)|0;k=z;n=93030;o=k+20|0;do{b[k>>0]=b[n>>0]|0;k=k+1|0;n=n+1|0}while((k|0)<(o|0));if((f[m>>2]|0)<=0){b[F>>0]=0;f[O>>2]=0;p[O+8>>3]=1.0;if((ww(F,91986,O)|0)<0){vj(91991);f[m>>2]=402}k=Cx(F,44)|0;if(k|0)b[k>>0]=46;if(Cx(F,78)|0){vj(92034);f[m>>2]=402}Fj(C,F,z,y,m)|0;cr(a,y,m)|0}break}default:dr(a,C,E,z,m)|0}do if(!q){n=i+(l<<2)|0;k=f[n>>2]|0;if(!k)break;if(!(b[k>>0]|0))break;$j(92456,j,C,m)|0;dr(a,C,f[n>>2]|0,92462,m)|0}while(0)}while((f[m>>2]|0)<=0);if(b[B>>0]|0)dr(a,106716,B,93079,m)|0;k=f[m>>2]|0;if((k|0)<=0){R=k;u=Q;return R|0}vj(93115);R=f[m>>2]|0;u=Q;return R|0}function ir(a,c,d,e,g,h,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+496|0;H=I+72|0;G=I+64|0;F=I+56|0;x=I+48|0;w=I+40|0;v=I+32|0;t=I+24|0;s=I+16|0;r=I+8|0;q=I;E=I+415|0;y=I+334|0;C=I+80|0;D=I+304|0;B=I+228|0;z=I+155|0;A=I+84|0;o=f[a>>2]|0;p=a+4|0;if((o|0)!=(f[(f[p>>2]|0)+68>>2]|0))Hj(a,o+1|0,0,n)|0;o=f[n>>2]|0;if((o|0)>0){H=o;u=I;return H|0}p=f[p>>2]|0;o=p+96|0;p=(f[p+88>>2]|0)+(f[p+68>>2]<<3)|0;if(!((f[o>>2]|0)==(f[p>>2]|0)?(f[o+4>>2]|0)==(f[p+4>>2]|0):0)){f[n>>2]=201;H=201;u=I;return H|0}if((d|0)<0){f[n>>2]=217;H=217;u=I;return H|0}if((g|0)<0){f[n>>2]=218;H=218;u=I;return H|0}if(h>>>0>999){f[n>>2]=216;H=216;u=I;return H|0}b[A>>0]=0;if(m|0)yz(A,m,70)|0;f[C>>2]=c;if(((j|0)!=0?(f[j>>2]|0)!=0:0)?!((c|0)==0&(d|0)==0&(h|0)!=0):0)m=0;else{o=Nv((h|0)>5?h:5,4)|0;if(!o){m=0;j=o}else{sk(h,k,1,C,o,n)|0;m=1;j=o}}dr(a,98876,92122,92128,n)|0;o=f[n>>2]|0;if((o|0)<=0){b[E>>0]=0;p=q;f[p>>2]=8;f[p+4>>2]=0;if((ww(E,91327,q)|0)<0){vj(91332);f[n>>2]=401}Fj(98813,E,92150,y,n)|0;cr(a,y,n)|0;o=f[n>>2]|0}if((o|0)<=0){b[E>>0]=0;q=r;f[q>>2]=2;f[q+4>>2]=0;if((ww(E,91327,r)|0)<0){vj(91332);f[n>>2]=401}Fj(98894,E,92173,y,n)|0;cr(a,y,n)|0;o=f[n>>2]|0}c=f[C>>2]|0;if((o|0)<=0){b[E>>0]=0;r=s;f[r>>2]=c;f[r+4>>2]=((c|0)<0)<<31>>31;if((ww(E,91327,s)|0)<0){vj(91332);f[n>>2]=401}Fj(92199,E,92206,y,n)|0;cr(a,y,n)|0;o=f[n>>2]|0}if((o|0)<=0){b[E>>0]=0;s=t;f[s>>2]=e;f[s+4>>2]=g;if((ww(E,91327,t)|0)<0){vj(91332);f[n>>2]=401}Fj(106765,E,92235,y,n)|0;cr(a,y,n)|0;o=f[n>>2]|0}if((o|0)<=0){b[E>>0]=0;t=v;f[t>>2]=0;f[t+4>>2]=0;if((ww(E,91327,v)|0)<0){vj(91332);f[n>>2]=401}Fj(98954,E,92259,y,n)|0;cr(a,y,n)|0;o=f[n>>2]|0}if((o|0)<=0){b[E>>0]=0;v=w;f[v>>2]=1;f[v+4>>2]=0;if((ww(E,91327,w)|0)<0){vj(91332);f[n>>2]=401}Fj(98969,E,92298,y,n)|0;cr(a,y,n)|0;o=f[n>>2]|0}if((o|0)<=0){b[E>>0]=0;w=x;f[w>>2]=h;f[w+4>>2]=((h|0)<0)<<31>>31;if((ww(E,91327,x)|0)<0){vj(91332);f[n>>2]=401}Fj(101690,E,92332,y,n)|0;cr(a,y,n)|0}p=(l|0)==0;d=0;do{if((d|0)>=(h|0))break;o=i+(d<<2)|0;c=d;d=d+1|0;if(b[f[o>>2]>>0]|0){f[F>>2]=d;ww(z,92361,F)|0;$j(92381,d,B,n)|0;dr(a,B,f[o>>2]|0,z,n)|0}o=j+(c<<2)|0;x=f[o>>2]|0;if((x|0)<1?1:(x|0)>(f[C>>2]|0))f[n>>2]=234;f[G>>2]=d;ww(z,92387,G)|0;$j(92417,d,B,n)|0;o=f[o>>2]|0;if((f[n>>2]|0)<=0){b[E>>0]=0;x=H;f[x>>2]=o;f[x+4>>2]=((o|0)<0)<<31>>31;if((ww(E,91327,H)|0)<0){vj(91332);f[n>>2]=401}Fj(B,E,z,y,n)|0;cr(a,y,n)|0}Jx(D,f[k+(c<<2)>>2]|0)|0;Ej(D);$j(92423,d,B,n)|0;dr(a,B,D,92429,n)|0;do if(!p){c=l+(c<<2)|0;o=f[c>>2]|0;if(!o)break;if(!(b[o>>0]|0))break;$j(92456,d,B,n)|0;dr(a,B,f[c>>2]|0,92462,n)|0}while(0)}while((f[n>>2]|0)<=0);if(b[A>>0]|0)dr(a,106716,A,92485,n)|0;if((f[n>>2]|0)>0)vj(92520);if(m|0)Mv(j);H=f[n>>2]|0;u=I;return H|0}function jr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;o=u;u=u+400|0;j=o+315|0;n=o+154|0;k=o+79|0;m=o+4|0;l=o;e=f[d>>2]|0;if((e|0)>0){n=e;u=o;return n|0}i=ey(c,96427)|0;if(!i){vj(93169);vj(c);f[d>>2]=104;n=104;u=o;return n|0}e=n+160|0;a:do if(ny(n,160,i)|0){c=k+8|0;g=j+40|0;h=m+8|0;while(1){b[e>>0]=0;p=n+((Bx(n)|0)+-1)|0;b[p>>0]=0;if((ak(n,j,l,d)|0)>0)break a;Vy(k,j,8)|0;b[c>>0]=0;switch(f[l>>2]|0){case -2:{Vy(m,g,8)|0;b[h>>0]=0;Fp(a,k,m,d)|0;break}case -1:{Ap(a,k,d)|0;break}case 0:{Cp(a,k,j,d)|0;break}case 1:{cr(a,j,d)|0;break}default:break a}if(!(ny(n,160,i)|0))break a}}while(0);ky(i)|0;p=f[d>>2]|0;u=o;return p|0}function kr(a,c,e,g,i,k){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;var l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0.0;C=u;u=u+336|0;x=C+88|0;w=C+80|0;v=C+72|0;t=C+56|0;s=C+48|0;r=C+32|0;z=C+24|0;y=C+16|0;q=C+8|0;o=C;B=C+92|0;A=C+244|0;m=C+163|0;l=f[k>>2]|0;if((l|0)>0){B=l;u=C;return B|0}do switch(c|0){case 16:{dr(a,e,g,i,k)|0;break}case 11:{y=h[g>>0]|0;b[B>>0]=0;z=o;f[z>>2]=y;f[z+4>>2]=0;if((ww(B,91327,o)|0)<0){vj(91332);f[k>>2]=401}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 12:{y=b[g>>0]|0;b[B>>0]=0;z=q;f[z>>2]=y;f[z+4>>2]=((y|0)<0)<<31>>31;if((ww(B,91327,q)|0)<0){vj(91332);f[k>>2]=401}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 20:{x=j[g>>1]|0;b[B>>0]=0;z=y;f[z>>2]=x;f[z+4>>2]=0;if((ww(B,91327,y)|0)<0){vj(91332);f[k>>2]=401}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 21:{x=d[g>>1]|0;b[B>>0]=0;y=z;f[y>>2]=x;f[y+4>>2]=((x|0)<0)<<31>>31;if((ww(B,91327,z)|0)<0){vj(91332);f[k>>2]=401}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 30:{D=+((f[g>>2]|0)>>>0);b[B>>0]=0;f[r>>2]=0;p[r+8>>3]=D;if((ww(B,91986,r)|0)<0){vj(91991);f[k>>2]=402}l=Cx(B,44)|0;if(l|0)b[l>>0]=46;if(Cx(B,78)|0){vj(92034);f[k>>2]=402}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 31:{y=f[g>>2]|0;b[B>>0]=0;z=s;f[z>>2]=y;f[z+4>>2]=((y|0)<0)<<31>>31;if((ww(B,91327,s)|0)<0){vj(91332);f[k>>2]=401}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 14:{d[B>>1]=(f[g>>2]|0)==0?70:84;Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 40:{D=+((f[g>>2]|0)>>>0);b[B>>0]=0;f[t>>2]=0;p[t+8>>3]=D;if((ww(B,91986,t)|0)<0){vj(91991);f[k>>2]=402}l=Cx(B,44)|0;if(l|0)b[l>>0]=46;if(Cx(B,78)|0){vj(92034);f[k>>2]=402}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 41:{y=f[g>>2]|0;b[B>>0]=0;z=v;f[z>>2]=y;f[z+4>>2]=((y|0)<0)<<31>>31;if((ww(B,91327,v)|0)<0){vj(91332);f[k>>2]=401}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 81:{y=g;x=f[y>>2]|0;y=f[y+4>>2]|0;b[B>>0]=0;z=w;f[z>>2]=x;f[z+4>>2]=y;if((ww(B,91327,w)|0)<0){vj(91332);f[k>>2]=401}Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 42:{lr(+n[g>>2],-7,B,k)|0;Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 82:{mr(+p[g>>3],-15,B,k)|0;Fj(e,B,i,A,k)|0;cr(a,A,k)|0;break}case 83:{nr(a,e,g,-7,i,k)|0;break}case 163:{or(a,e,g,-15,i,k)|0;break}default:{f[x>>2]=c;ww(m,93220,x)|0;vj(m);f[k>>2]=410}}while(0);B=f[k>>2]|0;u=C;return B|0}function lr(a,c,d,e){a=+a;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+48|0;j=l+24|0;i=l+16|0;h=l;g=f[e>>2]|0;if((g|0)>0){e=g;u=l;return e|0}b[d>>0]=0;do if((c|0)<0){f[h>>2]=0-c;p[h+8>>3]=a;if((ww(d,93261,h)|0)<0){vj(93365);f[e>>2]=402;break}if((Cx(d,46)|0)==0?(Cx(d,69)|0)!=0:0){p[i>>3]=a;if((ww(d,93308,i)|0)<0){vj(93365);f[e>>2]=402}}else k=11}else{f[j>>2]=c;p[j+8>>3]=a;if((ww(d,93313,j)|0)<0){vj(93365);f[e>>2]=402}else k=11}while(0);do if((k|0)==11?(f[e>>2]|0)<1:0){g=Cx(d,44)|0;if(g|0)b[g>>0]=46;if(Cx(d,78)|0){vj(93407);f[e>>2]=402;break}if((Cx(d,46)|0)==0?(Cx(d,69)|0)==0:0){d=d+(Bx(d)|0)|0;b[d>>0]=46;b[d+1>>0]=0}}while(0);e=f[e>>2]|0;u=l;return e|0}function mr(a,c,d,e){a=+a;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+48|0;j=l+24|0;i=l+16|0;h=l;g=f[e>>2]|0;if((g|0)>0){e=g;u=l;return e|0}b[d>>0]=0;do if((c|0)<0){f[h>>2]=0-c;p[h+8>>3]=a;if((ww(d,93261,h)|0)<0){vj(93266);f[e>>2]=402;break}if((Cx(d,46)|0)==0?(Cx(d,69)|0)!=0:0){p[i>>3]=a;if((ww(d,93308,i)|0)<0){vj(93266);f[e>>2]=402}}else k=11}else{f[j>>2]=c;p[j+8>>3]=a;if((ww(d,93313,j)|0)<0){vj(93266);f[e>>2]=402}else k=11}while(0);do if((k|0)==11?(f[e>>2]|0)<1:0){g=Cx(d,44)|0;if(g|0)b[g>>0]=46;if(Cx(d,78)|0){vj(93318);f[e>>2]=402;break}if((Cx(d,46)|0)==0?(Cx(d,69)|0)==0:0){d=d+(Bx(d)|0)|0;b[d>>0]=46;b[d+1>>0]=0}}while(0);e=f[e>>2]|0;u=l;return e|0}function nr(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,o=0;o=u;u=u+224|0;m=o;l=o+152|0;k=o+71|0;j=f[i>>2]|0;if((j|0)>0){e=j;u=o;return e|0}d[m>>1]=40;lr(+n[e>>2],g,l,i)|0;xz(m,l)|0;j=m+(Bx(m)|0)|0;b[j>>0]=b[93258]|0;b[j+1>>0]=b[93259]|0;b[j+2>>0]=b[93260]|0;lr(+n[e+4>>2],g,l,i)|0;xz(m,l)|0;e=m+(Bx(m)|0)|0;b[e>>0]=41;b[e+1>>0]=0;Fj(c,m,h,k,i)|0;cr(a,k,i)|0;e=f[i>>2]|0;u=o;return e|0}function or(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;n=u;u=u+224|0;m=n;l=n+152|0;k=n+71|0;j=f[i>>2]|0;if((j|0)>0){e=j;u=n;return e|0}d[m>>1]=40;mr(+p[e>>3],g,l,i)|0;xz(m,l)|0;j=m+(Bx(m)|0)|0;b[j>>0]=b[93258]|0;b[j+1>>0]=b[93259]|0;b[j+2>>0]=b[93260]|0;mr(+p[e+8>>3],g,l,i)|0;xz(m,l)|0;e=m+(Bx(m)|0)|0;b[e>>0]=41;b[e+1>>0]=0;Fj(c,m,h,k,i)|0;cr(a,k,i)|0;e=f[i>>2]|0;u=n;return e|0}function pr(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0;m=u;u=u+160|0;l=m;k=m+89|0;j=m+8|0;i=f[h>>2]|0;if((i|0)>0){l=i;u=m;return l|0}b[k>>0]=0;i=l;f[i>>2]=d;f[i+4>>2]=e;if((ww(k,91327,l)|0)<0){vj(91332);f[h>>2]=401}Fj(c,k,g,j,h)|0;cr(a,j,h)|0;l=f[h>>2]|0;u=m;return l|0}function qr(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;k=u;u=u+160|0;j=k+81|0;i=k;h=f[g>>2]|0;if((h|0)>0){j=h;u=k;return j|0}rr(c,d,j,g)|0;Fj(b,j,e,i,g)|0;cr(a,i,g)|0;j=f[g>>2]|0;u=k;return j|0}function rr(a,c,d,e){a=+a;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;i=u;u=u+16|0;h=i;g=f[e>>2]|0;if((g|0)>0){e=g;u=i;return e|0}b[d>>0]=0;if((c|0)<0){vj(93453);f[e>>2]=411;e=411;u=i;return e|0}f[h>>2]=c;p[h+8>>3]=a;if((ww(d,91986,h)|0)<0){vj(91991);f[e>>2]=402}g=Cx(d,44)|0;if(g|0)b[g>>0]=46;if(!(Cx(d,78)|0)){e=f[e>>2]|0;u=i;return e|0}else{vj(92034);f[e>>2]=402;e=402;u=i;return e|0}return 0}function sr(a,b,c,e,g){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;k=u;u=u+160|0;j=k;i=k+71|0;h=f[g>>2]|0;if((h|0)>0){c=h;u=k;return c|0}d[j>>1]=(c|0)==0?70:84;Fj(b,j,e,i,g)|0;cr(a,i,g)|0;c=f[g>>2]|0;u=k;return c|0}function tr(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;k=u;u=u+160|0;j=k+81|0;i=k;h=f[g>>2]|0;if((h|0)>0){j=h;u=k;return j|0}lr(c,d,j,g)|0;Fj(b,j,e,i,g)|0;cr(a,i,g)|0;j=f[g>>2]|0;u=k;return j|0}function ur(a,b,c,d,e,g){a=a|0;b=b|0;c=+c;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0;k=u;u=u+160|0;j=k+81|0;i=k;h=f[g>>2]|0;if((h|0)>0){j=h;u=k;return j|0}mr(c,d,j,g)|0;Fj(b,j,e,i,g)|0;cr(a,i,g)|0;j=f[g>>2]|0;u=k;return j|0}function vr(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+160|0;i=j;h=j+71|0;g=f[e>>2]|0;if((g|0)>0){i=g;u=j;return i|0}d[i>>1]=32;Fj(b,i,c,h,e)|0;cr(a,h,e)|0;i=f[e>>2]|0;u=j;return i|0}function wr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=f[d>>2]|0;if((e|0)>0){j=e;return j|0}if(!a){b[c>>0]=b[92081]|0;b[c+1>>0]=b[92082]|0;b[c+2>>0]=b[92083]|0}else{b[c>>0]=39;h=Bx(a)|0;h=h>>>0<68?h:68;if(h){i=0;e=1;do{k=a+i|0;b[c+e>>0]=b[k>>0]|0;g=e+1|0;if((b[k>>0]|0)==39){b[c+g>>0]=39;e=g}i=i+1|0;e=e+1|0}while(i>>>0<h>>>0&e>>>0<69);if(e>>>0>=9)if((e|0)==70)e=69;else j=11;else j=6}else{e=1;j=6}if((j|0)==6){Fz(c+e|0,32,9-e|0)|0;e=9;j=11}if((j|0)==11){b[c+e>>0]=39;e=e+1|0}b[c+e>>0]=0}k=f[d>>2]|0;return k|0}function xr(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0;y=u;u=u+336|0;w=y+247|0;t=y+166|0;i=y+85|0;v=y+4|0;k=y;f[k>>2]=-1;h=f[g>>2]|0;if((h|0)>0){x=h;u=y;return x|0}l=Bx(d)|0;l=l>>>0>1?l:1;if(!e)s=3;else s=(Bx(e)|0)+3|0;b[v>>0]=0;yz(v,d,68)|0;h=Cx(v,39)|0;if(!h)j=0;else{j=0;do{j=j+1|0;h=Cx(h+1|0,39)|0}while((h|0)!=0)}Vy(i,c,80)|0;b[i+80>>0]=0;while(1)if((b[i>>0]|0)==32)i=i+1|0;else break;h=Bx(i)|0;if((h|0)<9?(Cj(i,k)|0)<1:0)h=68-j|0;else h=75-j-h|0;if((l|0)>0){r=t+8|0;o=0;q=0;n=0;p=l;while(1){b[v>>0]=0;yz(v,d+q|0,h)|0;if((f[g>>2]|0)<=0){b[w>>0]=39;l=Bx(v)|0;l=l>>>0<68?l:68;if(l){m=0;i=1;do{z=b[v+m>>0]|0;b[w+i>>0]=z;k=i+1|0;if(z<<24>>24==39){b[w+k>>0]=39;i=k}m=m+1|0;i=i+1|0}while(m>>>0<l>>>0&i>>>0<69);if(i>>>0>=9)if((i|0)==70)i=69;else x=22;else x=17}else{i=1;x=17}if((x|0)==17){Fz(w+i|0,32,9-i|0)|0;i=9;x=22}if((x|0)==22){x=0;b[w+i>>0]=39;i=i+1|0}b[w+i>>0]=0}if((p|0)>(h|0)){k=Bx(w)|0;i=k+-2|0;if((b[w+i>>0]|0)==39){b[w+(k+-3)>>0]=38;l=0;i=k+-1|0}else l=38;b[w+i>>0]=l;h=h+-1|0}if(!o)Fj(c,w,e,t,g)|0;else{if(!n)Fj(92113,w,e,t,g)|0;else Fj(92113,w,0,t,g)|0;b[r>>0]=32;b[r+1>>0]=32}cr(a,t,g)|0;p=p-h|0;q=h+q|0;k=(p|0)>0;if(k){b[v>>0]=0;yz(v,d+q|0,68)|0;h=Cx(v,39)|0;if(!h)j=0;else{j=0;do{j=j+1|0;h=Cx(h+1|0,39)|0}while((h|0)!=0)}h=68-j|0}i=j+p|0;i=(j|0)<18&(i|0)>18&(s+i|0)>68;if(!k)break;else{o=1;h=i?18-j|0:h;n=i&1}}}z=f[g>>2]|0;u=y;return z|0}function yr(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;j=u;u=u+240|0;h=j+148|0;e=j;d=f[c>>2]|0;if((d|0)>0){i=d;u=j;return i|0}f[e>>2]=0;if(Nn(a,93496,j+77|0,j+4|0,e)|0){dr(a,93496,93505,93514,c)|0;if((f[c>>2]|0)<=0){d=h;e=92086;g=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));d=h+(Bx(h)|0)|0;e=93562;g=d+65|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));cr(a,h,c)|0;if((f[c>>2]|0)<=0){d=h;e=92086;g=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));d=h+(Bx(h)|0)|0;e=93627;g=d+71|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));cr(a,h,c)|0;if((f[c>>2]|0)<=0){d=h;e=92086;g=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));d=h+(Bx(h)|0)|0;e=93698;g=d+65|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));cr(a,h,c)|0;if((f[c>>2]|0)<=0){d=h;e=92086;g=d+9|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));d=h+(Bx(h)|0)|0;e=93763;g=d+51|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));cr(a,h,c)|0}}else i=8}else i=6}else i=6;if((i|0)==6)i=8}i=f[c>>2]|0;u=j;return i|0}function zr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+96|0;k=l;e=f[d>>2]|0;if((e|0)>0){d=e;u=l;return d|0}g=Bx(c)|0;if((g|0)>0)j=0;else{d=e;u=l;return d|0}while(1){e=k;h=92086;i=e+9|0;do{b[e>>0]=b[h>>0]|0;e=e+1|0;h=h+1|0}while((e|0)<(i|0));yz(k,c+j|0,72)|0;cr(a,k,d)|0;if((g|0)>72){j=j+72|0;g=g+-72|0}else break}d=f[d>>2]|0;u=l;return d|0}function Ar(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=f[d>>2]|0;if((e|0)>0){d=e;return d|0}a=(a|0)==0?70:84;b[c>>0]=a;b[c+1>>0]=a>>8;d=f[d>>2]|0;return d|0}function Br(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;i=u;u=u+16|0;h=i;g=f[e>>2]|0;if((g|0)>0){h=g;u=i;return h|0}b[d>>0]=0;g=h;f[g>>2]=a;f[g+4>>2]=c;if((ww(d,91327,h)|0)<0){vj(91332);f[e>>2]=401;h=401;u=i;return h|0}else{h=f[e>>2]|0;u=i;return h|0}return 0}function Cr(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;l=u;u=u+96|0;k=l;e=f[d>>2]|0;if((e|0)>0){d=e;u=l;return d|0}g=Bx(c)|0;if((g|0)>0)j=0;else{d=e;u=l;return d|0}while(1){e=k;h=92095;i=e+9|0;do{b[e>>0]=b[h>>0]|0;e=e+1|0;h=h+1|0}while((e|0)<(i|0));yz(k,c+j|0,72)|0;cr(a,k,d)|0;if((g|0)>72){j=j+72|0;g=g+-72|0}else break}d=f[d>>2]|0;u=l;return d|0}function Dr(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+128|0;e=k+12|0;i=k+98|0;j=k;h=k+16|0;d=f[c>>2]|0;if((d|0)>0){j=d;u=k;return j|0}gb(e|0)|0;d=Sa(e|0)|0;if(!d){Oa(i|0,25,93814,jb(e|0)|0)|0;b[j>>0]=b[93832]|0;b[j+1>>0]=b[93833]|0;b[j+2>>0]=b[93834]|0;b[j+3>>0]=b[93835]|0;b[j+4>>0]=b[93836]|0;b[j+5>>0]=b[93837]|0;b[j+6>>0]=b[93838]|0}else{Oa(i|0,25,93814,d|0)|0;f[j>>2]=5526816}d=h;e=93839;g=d+12|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));xz(h,i)|0;d=h+(Bx(h)|0)|0;e=93851;g=d+44|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));xz(h,j)|0;j=h+(Bx(h)|0)|0;b[j>>0]=41;b[j+1>>0]=0;Cp(a,93895,h,c)|0;j=f[c>>2]|0;u=k;return j|0}function Er(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;y=u;u=u+416|0;t=y+8|0;n=y;w=y+329|0;x=y+20|0;v=y+256|0;s=y+176|0;q=y+91|0;r=y+16|0;i=f[h>>2]|0;if((i|0)>0){x=i;u=y;return x|0}p=c+-1|0;if(p>>>0>998){vj(93900);f[h>>2]=302;x=302;u=y;return x|0}if((e|0)<1){vj(93947);f[h>>2]=320;x=320;u=y;return x|0}i=f[a>>2]|0;m=a+4|0;j=f[m>>2]|0;if((i|0)==(f[j+68>>2]|0)){l=j+120|0;if(((f[l>>2]|0)==-1?(f[l+4>>2]|0)==-1:0)?(Kj(a,h)|0)>0:0){x=f[h>>2]|0;u=y;return x|0}}else Hj(a,i+1|0,0,h)|0;i=f[m>>2]|0;if((f[i+72>>2]|0)!=2){vj(93977);f[h>>2]=227;x=227;u=y;return x|0}d[x>>1]=40;do if((e|0)>0){l=0;j=1;while(1){if((l|0)>0){k=x+(Bx(x)|0)|0;b[k>>0]=44;b[k+1>>0]=0}k=g+(l<<2)|0;i=f[k>>2]|0;if((i|0)<0)break;f[n>>2]=i;ww(s,92733,n)|0;xz(x,s)|0;j=X(f[k>>2]|0,j)|0;l=l+1|0;if((l|0)>=(e|0)){o=19;break}}if((o|0)==19){i=f[m>>2]|0;break}vj(94050);f[h>>2]=263;x=263;u=y;return x|0}else j=1;while(0);i=(f[i+960>>2]|0)+(p*160|0)+88|0;if((f[i>>2]|0)!=(j|0)?($j(92423,c,w,h)|0,Nn(a,w,s,0,h)|0,Uj(s,0,r,0,h)|0,!((f[h>>2]|0)<1?(f[r>>2]|0)==(j|0):0)):0){f[t>>2]=f[i>>2];f[t+4>>2]=j;ww(q,94099,t)|0;vj(q);f[h>>2]=263;x=263;u=y;return x|0}i=x+(Bx(x)|0)|0;b[i>>0]=41;b[i+1>>0]=0;i=v;j=94163;k=i+35|0;do{b[i>>0]=b[j>>0]|0;i=i+1|0;j=j+1|0}while((i|0)<(k|0));$j(94198,c,w,h)|0;dr(a,w,x,v,h)|0;x=f[h>>2]|0;u=y;return x|0}function Fr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;i=u;u=u+16|0;g=i+4|0;h=i;f[h>>2]=0;e=f[d>>2]|0;if(e|0){b=e;u=i;return b|0}xj();if(!(Jg(g,a,0,h)|0))Hr(f[g>>2]|0,b,c,d)|0;else{Aj();Gr(a,b,c,d)|0}b=f[d>>2]|0;u=i;return b|0}function Gr(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,q=0.0,r=0,s=0.0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;S=u;u=u+32|0;h=S+16|0;M=S+20|0;N=S+8|0;O=S;g=f[e>>2]|0;if(g|0){e=g;u=S;return e|0}Q=Lv(80)|0;if(!Q){vj(94629);f[e>>2]=113;e=113;u=S;return e|0}f[Q>>2]=0;P=Q+4|0;f[P>>2]=0;K=(c|0)==0;if(!K?(f[c>>2]|0)!=0:0){o=Q+8|0;g=c;r=o+72|0;do{f[o>>2]=f[g>>2];o=o+4|0;g=g+4|0}while((o|0)<(r|0))}else f[Q+8>>2]=0;g=Lv(512)|0;if(!g){Mv(Q);vj(94629);f[e>>2]=113;e=113;u=S;return e|0}R=ey(a,96427)|0;if(!R){f[h>>2]=a;ww(g,96429,h)|0;vj(g);Mv(g);Mv(Q);f[e>>2]=104;e=104;u=S;return e|0}f[e>>2]=104;a:do if(ny(g,512,R)|0){G=c+8|0;J=c+16|0;F=c+24|0;I=c+32|0;E=c+40|0;H=c+48|0;D=c+56|0;C=c+64|0;i=512;a=0;k=0.0;j=0.0;b:while(1){m=a;c:while(1){a=i;while(1){f[e>>2]=0;h=Bx(g)|0;d:do if((h|0)==(a+-1|0)){l=g;while(1){if((b[l+(h+-1)>>0]|0)==10){i=a;g=l;break d}i=a<<1;g=Ov(l,i)|0;if(!g){A=20;break b}B=g+h|0;ny(B,a+1|0,R)|0;h=(Bx(B)|0)+h|0;if((h|0)!=(i+-1|0))break;else{a=i;l=g}}}else i=a;while(0);a=b[g>>0]|0;if(a<<24>>24==35){a=g;while(1){h=a+1|0;if(!(gw(b[h>>0]|0)|0))break;else a=h}if(!(Ix(h,96460,7)|0))break}else if(Ix(g,96596,4)|0)break c;if(!(ny(g,i,R)|0)){A=218;break a}else a=i}if(f[Q>>2]|0){A=26;break b}a=a+8|0;while(1)if(!(gw(b[a>>0]|0)|0))break;else a=a+1|0;if(Ix(a,96524,5)|0)if(Ix(a,96530,6)|0)if((Ix(a,96537,6)|0)!=0?(Ix(a,96544,3)|0)!=0:0){A=34;break b}else a=2;else a=1;else a=0;if(!(ny(g,i,R)|0)){A=218;break a}else m=a}e:do if(!(a<<24>>24))a=m;else{a=m;l=g;while(1){h=f[e>>2]|0;f:while(1){o=l;n=1;w=0;g:while(1){m=(w|0)==0;h=(h|0)==0;h:while(1){if(!h){A=57;break b}h=b[o>>0]|0;if(!(h<<24>>24)){A=57;break b}switch(h<<24>>24|0){case 40:{A=44;break h}case 41:{A=46;break h}case 58:{A=51;break h}case 100:{A=52;break h}case 44:{A=53;break h}case 10:case 35:break;default:{h=n;A=54;break h}}b[o>>0]=0;h=(f[e>>2]|0)==0;if(m){A=55;break g}}if((A|0)==44){A=0;b[o>>0]=0;h=o+1|0;if(!w){o=h;m=h}else{f[e>>2]=1;o=h;m=w}}else if((A|0)==46){A=0;b[o>>0]=0;h=o+1|0;if(w|0){A=47;break}f[e>>2]=1;o=h;m=0}else if((A|0)==51){A=0;a=(w|0)==0?a:2;o=o+1|0;m=w}else if((A|0)==52){A=0;a=(w|0)==0?a:1;o=o+1|0;m=w}else if((A|0)==53){h=n+1|0;A=54}if((A|0)==54){o=o+1|0;n=h;m=w}h=f[e>>2]|0;w=m}if((A|0)==47)if(!(f[e>>2]|0))B=h;else{A=57;break b}else if((A|0)==55)if(h)B=o;else{A=57;break b}while(1){h=b[l>>0]|0;if(!(gw(h<<24>>24)|0))break;else l=l+1|0}do if((w|0)!=0|h<<24>>24!=0){if(!(Ix(l,96627,6)|0)){A=62;break f}if(!(Ix(l,96634,9)|0)){A=64;break f}if(!(Ix(l,96644,7)|0)){A=66;break f}if(!(Ix(l,96652,4)|0)){A=68;break f}if(!(Ix(l,96657,4)|0)){A=70;break f}if(!(Ix(l,96662,5)|0)){A=72;break f}if(!(Ix(l,96668,3)|0)){a=1;break}if(!(Ix(l,96672,3)|0)){a=1;break}if(!(Ix(l,96676,4)|0)){a=1;break}if(!(Ix(l,96681,5)|0)){a=0;break}if(!(Ix(l,96687,8)|0))a=0;else{A=78;break f}}while(0);if(!(b[B>>0]|0))break e;else{h=0;l=B}}if((A|0)==62){A=0;a=0;l=l+6|0}else if((A|0)==64){A=0;a=0;l=l+9|0}else if((A|0)==66){A=0;a=0;l=l+7|0}else if((A|0)==68){A=0;a=1;l=l+4|0}else if((A|0)==70){A=0;a=1;l=l+4|0}else if((A|0)==72){A=0;a=1;l=l+5|0}else if((A|0)==78){A=0;if(!(Ix(l,96696,9)|0)){A=79;break b}if(!(Ix(l,96748,9)|0)){A=81;break b}}h=f[Q>>2]|0;m=f[P>>2]|0;if(!((h|0)%10|0)){if(!m)m=Lv(1680)|0;else m=Ov(m,(h*168|0)+1680|0)|0;if(!m){A=88;break b}f[P>>2]=m;h=f[Q>>2]|0}f[Q>>2]=h+1;z=m+(h*168|0)|0;b[z>>0]=1;y=m+(h*168|0)+4|0;f[y>>2]=0;o=m+48+(h*21<<3)|0;r=o+64|0;do{f[o>>2]=0;o=o+4|0}while((o|0)<(r|0));x=m+(h*168|0)+136|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[x+24>>2]=0;f[x+28>>2]=0;while(1){o=b[l>>0]|0;r=l+1|0;if(!(gw(o<<24>>24)|0))break;else l=r}v=m+(h*168|0)+48|0;switch(o<<24>>24){case 43:{l=r;break}case 45:{b[z>>0]=0;l=r;break}default:{}}while(1){o=b[l>>0]|0;if(!(gw(o<<24>>24)|0))break;else l=l+1|0}if(!(o<<24>>24)){A=96;break b}r=(Bx(l)|0)+-1|0;o=l+r|0;if(gw(b[o>>0]|0)|0)do{b[o>>0]=0;r=r+-1|0;o=l+r|0}while((gw(b[o>>0]|0)|0)!=0);i:do if(!(Ax(l,96800)|0)){f[y>>2]=2;if((n|0)==3){h=2;x=2;n=3}else{A=153;break b}}else{if(!(Ax(l,96807)|0)){f[y>>2]=3;if((n|0)==4){h=3;x=2;n=4;break}else{A=153;break b}}if(!(Ax(l,96815)|0)){if((n+-4|0)>>>0>4){A=153;break b}if((n|0)<6){f[y>>2]=4;o=4;r=4}else{f[y>>2]=5;p[m+(h*168|0)+96>>3]=0.0;o=7;r=5}p[m+(h*168|0)+48+(o<<3)>>3]=0.0;h=r;x=2;break}if(!(Ax(l,96823)|0)){f[y>>2]=5;switch(n|0){case 6:case 8:break;default:f[e>>2]=431}h=m+(h*168|0)+96|0;f[h>>2]=0;f[h+4>>2]=0;f[h+8>>2]=0;f[h+12>>2]=0;h=5;x=2;break}do if(Ax(l,96837)|0){if(!(Ax(l,96841)|0))break;do if(Ax(l,96848)|0){if(!(Ax(l,96858)|0))break;do if(Ax(l,96871)|0){if(!(Ax(l,96879)|0))break;if(!(Ax(l,96890)|0))break;if(!(Ax(l,96898)|0))break;do if(Ax(l,96909)|0){if(!(Ax(l,96916)|0))break;if(!(Ax(l,96920)|0)){f[y>>2]=0;if((n|0)==2){h=0;x=2;n=2;break i}else{A=153;break b}}if(!(Ax(l,96926)|0)){f[y>>2]=1;if((n|0)==4){h=1;x=4;n=4;break i}else{A=153;break b}}if(!(Ax(l,96931)|0)){f[y>>2]=11;if((n|0)>5&(n&1|0)==0){h=11;x=n;break i}else{A=153;break b}}if(!(Ax(l,96939)|0)){f[y>>2]=12;if((n|0)==8){h=12;x=2;n=8;break i}else{A=153;break b}}if(!(Ax(l,96945)|0)){f[y>>2]=13;if((n&-2|0)!=10)f[e>>2]=431;p[m+(h*168|0)+128>>3]=0.0;h=13;x=2;break i}if(Ax(l,96952)|0){A=151;break b}f[y>>2]=14;if((n&-2|0)!=10)f[e>>2]=431;p[m+(h*168|0)+128>>3]=0.0;h=14;x=2;break i}while(0);f[y>>2]=10;if((n|0)==4){h=10;x=2;n=4;break i}else{A=153;break b}}while(0);f[y>>2]=9;if((n&-2|0)!=4)f[e>>2]=431;p[m+(h*168|0)+80>>3]=0.0;h=9;x=2;break i}while(0);f[y>>2]=8;if((n&-2|0)!=4)f[e>>2]=431;p[m+(h*168|0)+80>>3]=0.0;h=8;x=4;break i}while(0);if((n+-4|0)>>>0>4){A=153;break b}if((n|0)<6){f[y>>2]=6;o=4;r=6}else{f[y>>2]=7;p[m+(h*168|0)+96>>3]=0.0;o=7;r=7}p[m+(h*168|0)+48+(o<<3)>>3]=0.0;h=r;x=2}while(0);if(f[e>>2]|0){A=154;break b}if((h|0)==11){h=Lv(n<<3)|0;f[v+4>>2]=h;if(!h){A=157;break b}f[v>>2]=n;v=h}h=0;r=w;while(1){l=r;while(1){o=l+1|0;if((b[l>>0]|0)==44)break;else l=o}b[l>>0]=0;m=o;j:while(1){l=m+1|0;switch(b[m>>0]|0){case 0:case 44:break j;default:m=l}}b[m>>0]=0;if(!(Cx(r,58)|0)){s=+rz(r);q=+rz(o);w=(h|0)==0;k=w?s:k;j=w?q:j;if(!a)a=0;else A=192}else{r=kw(r,M,10)|0;a=f[M>>2]|0;do if(!a){a=0;q=0.0}else{if((b[a>>0]|0)!=58){a=0;q=0.0;break}a=kw(a+1|0,M,10)|0;m=f[M>>2]|0;if(!m){q=0.0;break}if((b[m>>0]|0)!=58){q=0.0;break}q=+rz(m+1|0)}while(0);q=q/3600.0+(+(r|0)+ +(a|0)/60.0);while(1){a=b[o>>0]|0;m=o+1|0;if(!(gw(a<<24>>24)|0))break;else o=m}t=q*15.0;r=a<<24>>24==45;o=kw(r?m:o,M,10)|0;a=f[M>>2]|0;do if(!a){a=0;q=0.0}else{if((b[a>>0]|0)!=58){a=0;q=0.0;break}a=kw(a+1|0,M,10)|0;m=f[M>>2]|0;if(!m){q=0.0;break}if((b[m>>0]|0)!=58){q=0.0;break}q=+rz(m+1|0)}while(0);s=q/3600.0;q=+(a|0)/60.0;if(r)q=+(0-o|0)-q-s;else q=s+(+(o|0)+q);a=(h|0)==0;k=a?t:k;s=t;j=a?q:j;a=2;A=192}if((A|0)==192){A=0;if(K){A=194;break b}if(!(f[c>>2]|0)){A=194;break b}if(Xr(s,q,+p[G>>3],+p[J>>3],+p[F>>3],+p[I>>3],+p[E>>3],+p[H>>3],+p[D>>3],C,N,O,e)|0){A=196;break b}s=+p[N>>3];q=+p[O>>3]}p[v+(h<<3)>>3]=s;p[v+((h|1)<<3)>>3]=q;h=h+2|0;if((h|0)<(x|0))r=l;else break}if((h|0)<(n|0)){r=v+8|0;if(j<0.0)while(1){m=l;k:while(1){o=m+1|0;switch(b[m>>0]|0){case 0:case 44:break k;default:m=o}}b[m>>0]=0;q=+sz(l,M);m=v+(h<<3)|0;p[m>>3]=q;l=f[M>>2]|0;l:do if(l|0){l=b[l>>0]|0;switch(l<<24>>24){case 100:case 39:case 34:break;default:break l}if(Xr(k,j+q/(l<<24>>24==39?60.0:l<<24>>24==34?3600.0:1.0),+p[G>>3],+p[J>>3],+p[F>>3],+p[I>>3],+p[E>>3],+p[H>>3],+p[D>>3],C,N,O,e)|0){A=204;break b}s=+p[N>>3]-+p[v>>3];t=+p[O>>3]-+p[r>>3];t=+L(+(s*s+t*t));p[m>>3]=t}while(0);h=h+1|0;if((h|0)<(n|0))l=o;else break}else while(1){m=l;m:while(1){o=m+1|0;switch(b[m>>0]|0){case 0:case 44:break m;default:m=o}}b[m>>0]=0;q=+sz(l,M);m=v+(h<<3)|0;p[m>>3]=q;l=f[M>>2]|0;n:do if(l|0){l=b[l>>0]|0;switch(l<<24>>24){case 100:case 39:case 34:break;default:break n}if(Xr(k,j-q/(l<<24>>24==39?60.0:l<<24>>24==34?3600.0:1.0),+p[G>>3],+p[J>>3],+p[F>>3],+p[I>>3],+p[E>>3],+p[H>>3],+p[D>>3],C,N,O,e)|0){A=204;break b}s=+p[N>>3]-+p[v>>3];t=+p[O>>3]-+p[r>>3];t=+L(+(s*s+t*t));p[m>>3]=t}while(0);h=h+1|0;if((h|0)<(n|0))l=o;else break}}l=f[y>>2]|0;h=(n|0)==7;if((l|0)==5){if(h)A=210}else if(h&(l|0)==7)A=210;if((A|0)==210)p[v+56>>3]=+p[v+48>>3];o:do if(a|0)switch(l|0){case 12:case 10:{A=v+16|0;p[A>>3]=+p[D>>3]+ +p[A>>3];A=v+24|0;p[A>>3]=+p[D>>3]+ +p[A>>3];break o}case 4:case 9:case 8:case 6:{A=v+32|0;p[A>>3]=+p[D>>3]+ +p[A>>3];break o}case 5:case 7:{A=v+48|0;p[A>>3]=+p[D>>3]+ +p[A>>3];A=v+56|0;p[A>>3]=+p[D>>3]+ +p[A>>3];break o}case 14:case 13:{A=v+16|0;p[A>>3]=+p[D>>3]+ +p[A>>3];A=v+24|0;p[A>>3]=+p[D>>3]+ +p[A>>3];A=v+80|0;p[A>>3]=+p[D>>3]+ +p[A>>3];break o}default:break o}while(0);Ir(z);if(!(b[B>>0]|0))break e;else l=B}}while(0);if(!(ny(g,i,R)|0)){A=218;break a}}switch(A|0){case 20:{vj(94629);a=113;g=l;A=220;break}case 26:{vj(96468);a=431;A=220;break}case 34:{vj(96548);a=431;A=220;break}case 57:{vj(96601);a=431;A=220;break}case 79:{vj(96706);vj(l);a=431;A=220;break}case 81:{vj(96758);vj(l);a=431;A=220;break}case 88:{vj(94758);a=113;A=220;break}case 96:{vj(96601);a=431;A=220;break}case 151:{vj(96959);vj(l);a=431;A=220;break}case 153:{f[e>>2]=431;A=154;break}case 157:{vj(96138);a=113;A=220;break}case 194:{vj(97045);a=505;A=220;break}case 196:{vj(97099);A=219;break a}case 204:{vj(97099);A=219;break a}}if((A|0)==154){vj(97001);vj(l);A=219;break}else if((A|0)==220){f[e>>2]=a;A=221;break}}else A=218;while(0);if((A|0)==218){Jr(Q);A=219}if((A|0)==219)if(!(f[e>>2]|0))f[d>>2]=Q;else A=221;if((A|0)==221){h=f[Q>>2]|0;a=f[P>>2]|0;if((h|0)>0){i=0;do{if((f[a+(i*168|0)+4>>2]|0)==11){Mv(f[a+(i*168|0)+48+4>>2]|0);h=f[Q>>2]|0;a=f[P>>2]|0}i=i+1|0}while((i|0)<(h|0))}if(a|0)Mv(a);Mv(Q)}ky(R)|0;Mv(g);e=f[e>>2]|0;u=S;return e|0}function Hr(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0;ha=u;u=u+608|0;da=ha+80|0;q=ha+72|0;ba=ha+68|0;k=ha+64|0;ea=ha+40|0;Z=ha+24|0;$=ha+16|0;_=ha+8|0;aa=ha;ca=ha+32|0;l=ha+530|0;m=ha+104|0;Lz(m|0,94203,426)|0;g=f[e>>2]|0;if(g|0){e=g;u=ha;return e|0}ga=Lv(80)|0;if(!ga){vj(94629);f[e>>2]=113;e=113;u=ha;return e|0}f[ga>>2]=0;fa=ga+4|0;f[fa>>2]=0;if((c|0)!=0?(f[c>>2]|0)!=0:0){h=ga+8|0;g=c;i=h+72|0;do{f[h>>2]=f[g>>2];h=h+4|0;g=g+4|0}while((h|0)<(i|0))}else f[ga+8>>2]=0;f[k>>2]=0;hk(a,0,m,da,k)|0;g=m+71|0;V=da+4|0;hk(a,0,g,V,k)|0;h=m+142|0;W=da+8|0;hk(a,0,h,W,k)|0;i=m+213|0;X=da+12|0;hk(a,0,i,X,k)|0;j=m+284|0;Y=da+16|0;hk(a,0,j,Y,k)|0;if((f[k>>2]|0)!=0?(Lk(a,2,94684,1,e)|0)!=0:0){vj(94691);U=91}else U=11;a:do if((U|0)==11){if(Kn(a,31,106765,ga,l,e)|0){vj(94727);U=91;break}T=Lv((f[ga>>2]|0)*168|0)|0;f[fa>>2]=T;b:do if(!T)vj(94758);else{if(((((hk(a,0,m,da,e)|0)==0?(hk(a,0,g,V,e)|0)==0:0)?(hk(a,0,h,W,e)|0)==0:0)?(hk(a,0,i,X,e)|0)==0:0)?(hk(a,0,j,Y,e)|0)==0:0){T=da+20|0;S=(hk(a,0,m+355|0,T,e)|0)==0;c:do if(f[ga+8>>2]|0){o=Lv(72)|0;if(!o){vj(94823);break b}f[o>>2]=1;k=o+8|0;n=o+16|0;j=o+24|0;m=o+32|0;i=o+40|0;l=o+48|0;g=o+56|0;h=o+64|0;if(Vr(a,f[da>>2]|0,f[V>>2]|0,k,n,j,m,i,l,g,h,e)|0){f[o>>2]=0;f[e>>2]=0;g=0;break}if((f[o>>2]|0)!=0?(f[c>>2]|0)!=0:0){do if(!(+K(+(+p[k>>3]-+p[c+8>>3]))>1.0e-06)){if(+K(+(+p[n>>3]-+p[c+16>>3]))>1.0e-06)break;if(+K(+(+p[j>>3]-+p[c+24>>3]))>1.0e-06)break;if(+K(+(+p[m>>3]-+p[c+32>>3]))>1.0e-06)break;if(+K(+(+p[i>>3]-+p[c+40>>3]))>1.0e-06)break;if(+K(+(+p[l>>3]-+p[c+48>>3]))>1.0e-06)break;if(+K(+(+p[g>>3]-+p[c+56>>3]))>1.0e-06)break;if(tw(h,c+64|0)|0){g=0;break c}}while(0);g=1}else g=0}else{g=0;o=0}while(0);do if((((_n(a,f[da>>2]|0,1,q,ea,e)|0)==0?(_n(a,f[V>>2]|0,1,q,ea+4|0,e)|0)==0:0)?(_n(a,f[W>>2]|0,1,q,ea+8|0,e)|0)==0:0)?(_n(a,f[X>>2]|0,1,q,ea+12|0,e)|0)==0:0){if(_n(a,f[Y>>2]|0,1,q,ea+16|0,e)|0)break;if(_n(a,f[T>>2]|0,1,q,ea+20|0,e)|0)break;R=Lv(72)|0;f[ca>>2]=R;if((f[ga>>2]|0)<1){U=91;break a}J=(g|0)!=0;O=o+8|0;R=o+16|0;N=o+24|0;Q=o+32|0;M=o+40|0;P=o+48|0;I=o+56|0;A=o+64|0;E=c+8|0;H=c+16|0;D=c+24|0;G=c+32|0;C=c+40|0;F=c+48|0;B=c+56|0;c=c+64|0;r=0.0;s=0.0;x=1;y=0;d:while(1){q=f[fa>>2]|0;z=x+-1|0;w=q+(z*168|0)|0;h=q+(y*168|0)+48|0;i=h+64|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));m=q+(z*168|0)+48|0;o=q+(z*168|0)+136|0;f[o>>2]=0;f[o+4>>2]=0;f[o+8>>2]=0;f[o+12>>2]=0;f[o+16>>2]=0;f[o+20>>2]=0;f[o+24>>2]=0;f[o+28>>2]=0;o=((x|0)<0)<<31>>31;if(Km(a,f[W>>2]|0,x,o,1,0,1,0,94907,ca,ba,e)|0){U=38;break}b[w>>0]=1;g=f[ca>>2]|0;if((b[g>>0]|0)==33){b[w>>0]=0;g=g+1|0}n=q+(z*168|0)+4|0;if(!(tw(g,94931)|0))f[n>>2]=0;if(!(tw(g,95002)|0))f[n>>2]=2;if(!(tw(g,95073)|0))f[n>>2]=4;if(!(tw(g,95144)|0))f[n>>2]=3;if(!(tw(g,95215)|0))f[n>>2]=5;if(!(tw(g,95286)|0))f[n>>2]=6;if(!(tw(g,95357)|0))f[n>>2]=6;if(!(tw(g,95428)|0))f[n>>2]=7;do if(!(tw(g,95499)|0)){f[n>>2]=8;g=8;U=46}else{g=f[n>>2]|0;if((g|0)!=11){U=46;break}g=f[ea>>2]<<1;h=Nv(g,8)|0;f[m+4>>2]=h;if(!h){U=45;break d}f[m>>2]=g;g=f[n>>2]|0;if((g|0)!=11){i=h;h=1;break}g=11;i=h;h=(f[m>>2]|0)/2|0}while(0);if((U|0)==46){U=0;i=m;h=1}l=(g|0)==8?2:h;v=r;g=i;h=0;e:while(1){k=h;while(1){if((k|0)>=(l|0)){h=l;break e}h=k+1|0;i=((h|0)<0)<<31>>31;if(zl(a,f[da>>2]|0,x,o,h,i,1,0,-9.1191291391491e-36,g,ba,e)|0){U=53;break d}if(+p[g>>3]==-9.1191291391491e-36){h=k;U=60;break e}j=g+8|0;if(zl(a,f[V>>2]|0,x,o,h,i,1,0,-9.1191291391491e-36,j,ba,e)|0){U=56;break d}t=+p[j>>3];if(t==-9.1191291391491e-36){h=k;U=60;break e}i=g+16|0;r=+p[g>>3];if(!k){v=r;s=t;g=i;continue e}if(s==t&v==r){g=i;U=60;break e}else{g=i;k=h}}}if((U|0)==60){U=0;f[m>>2]=h<<1}if(J){j=h<<1;i=g+(0-j<<3)|0;r=+p[i>>3];s=+p[i+8>>3];if((h|0)>0){g=0;do{l=g<<1;k=i+(l<<3)|0;l=i+((l|1)<<3)|0;Wr(+p[k>>3],+p[l>>3],+p[O>>3],+p[R>>3],+p[N>>3],+p[Q>>3],+p[M>>3],+p[P>>3],+p[I>>3],A,_,aa,e)|0;Xr(+p[_>>3],+p[aa>>3],+p[E>>3],+p[H>>3],+p[D>>3],+p[G>>3],+p[C>>3],+p[F>>3],+p[B>>3],c,k,l,e)|0;g=g+1|0;if(f[e>>2]|0){U=65;break d}}while((g|0)<(h|0))}v=r;g=i+(j<<3)|0}h=f[n>>2]|0;switch(h|0){case 2:{k=1;U=70;break}case 10:case 3:case 4:case 9:case 6:{k=2;U=70;break}case 5:case 7:{k=4;U=70;break}default:{}}if((U|0)==70){U=0;if(zl(a,f[X>>2]|0,x,o,1,0,k,0,0.0,g,ba,e)|0){U=71;break}if(J){j=q+(z*168|0)+56|0;i=0;while(1){t=s+ +p[g>>3];p[$>>3]=t;p[Z>>3]=v;Wr(v,t,+p[O>>3],+p[R>>3],+p[N>>3],+p[Q>>3],+p[M>>3],+p[P>>3],+p[I>>3],A,_,aa,e)|0;Xr(+p[_>>3],+p[aa>>3],+p[E>>3],+p[H>>3],+p[D>>3],+p[G>>3],+p[C>>3],+p[F>>3],+p[B>>3],c,Z,$,e)|0;if(f[e>>2]|0){U=75;break d}r=+p[Z>>3]-+p[m>>3];t=+p[$>>3]-+p[j>>3];t=+L(+(r*r+t*t));h=g+8|0;p[g>>3]=t;i=i+1|0;if((i|0)>=(k|0)){g=h;break}else g=h}}else g=g+(k<<3)|0;h=f[n>>2]|0}switch(h|0){case 4:case 9:case 6:{i=1;U=81;break}case 10:case 5:case 7:{i=2;U=81;break}default:{}}do if((U|0)==81){U=0;if(zl(a,f[Y>>2]|0,x,o,1,0,i,0,0.0,g,ba,e)|0){U=82;break d}if(!J)break;r=+p[B>>3]-+p[I>>3];h=0;while(1){p[g>>3]=r+ +p[g>>3];h=h+1|0;if((h|0)>=(i|0))break;else g=g+8|0}}while(0);if(S){if(al(a,31,f[T>>2]|0,x,o,1,0,1,0,0,q+(z*168|0)+8|0,ba,e)|0){U=88;break}}else f[q+(z*168|0)+8>>2]=1;Ir(w);if((x|0)<(f[ga>>2]|0)){r=v;x=x+1|0;y=y+1|0}else{U=91;break a}}if((U|0)==38){vj(94909);U=91;break a}else if((U|0)==45){vj(96138);break b}else if((U|0)==53){vj(96191);U=91;break a}else if((U|0)==56){vj(96234);U=91;break a}else if((U|0)==65){vj(96277);U=91;break a}else if((U|0)==71){vj(96309);U=91;break a}else if((U|0)==75){vj(96277);U=91;break a}else if((U|0)==82){vj(96344);U=91;break a}else if((U|0)==88){vj(96384);U=91;break a}}while(0);vj(94869);U=91;break a}vj(94800);U=91;break a}while(0);f[e>>2]=113;U=93}while(0);if((U|0)==91)if(!(f[e>>2]|0))f[d>>2]=ga;else U=93;if((U|0)==93){h=f[ga>>2]|0;g=f[fa>>2]|0;if((h|0)>0){i=0;do{if((f[g+(i*168|0)+4>>2]|0)==11){Mv(f[g+(i*168|0)+48+4>>2]|0);h=f[ga>>2]|0;g=f[fa>>2]|0}i=i+1|0}while((i|0)<(h|0))}if(g|0)Mv(g);Mv(ga)}Fg(a,e)|0;e=f[e>>2]|0;u=ha;return e|0}function Ir(a){a=a|0;var b=0.0,c=0.0,d=0,e=0.0,g=0.0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0.0;j=f[a+4>>2]|0;q=a+48|0;a:do if((j|0)!=11){do switch(j|0){case 2:{i=+p[a+64>>3];p[a+152>>3]=i*i;d=52;break}case 3:{i=+p[a+64>>3];p[a+152>>3]=i*i;i=+p[a+72>>3];p[a+160>>3]=i*i;d=53;break}case 10:{d=a+64|0;b=+p[d>>3];if(b>180.0){do b=b+-360.0;while(b>180.0);p[d>>3]=b}if(b<=-180.0){do b=b+360.0;while(b<=-180.0);p[d>>3]=b}d=a+72|0;b=+p[d>>3];if(b>180.0){do b=b+-360.0;while(b>180.0);p[d>>3]=b}if(!(b<=-180.0))d=51;else{do b=b+360.0;while(b<=-180.0);p[d>>3]=b;d=51}break}case 4:{i=+p[a+80>>3]/180.0*3.141592653589793;h=+O(+i);p[a+136>>3]=h;i=+N(+i);p[a+144>>3]=i;d=54;break}case 5:{i=+p[a+96>>3]/180.0*3.141592653589793;h=+O(+i);p[a+152>>3]=h;i=+N(+i);p[a+160>>3]=i;i=+p[a+104>>3]/180.0*3.141592653589793;h=+O(+i);p[a+136>>3]=h;i=+N(+i);p[a+144>>3]=i;d=55;break}case 6:{i=+p[a+80>>3]/180.0*3.141592653589793;h=+O(+i);p[a+136>>3]=h;i=+N(+i);p[a+144>>3]=i;d=56;break}case 7:{i=+p[a+96>>3]/180.0*3.141592653589793;h=+O(+i);p[a+152>>3]=h;i=+N(+i);p[a+160>>3]=i;i=+p[a+104>>3]/180.0*3.141592653589793;h=+O(+i);p[a+136>>3]=h;i=+N(+i);p[a+144>>3]=i;d=57;break}case 8:{r=+p[a+80>>3]/180.0*3.141592653589793;c=+O(+r);p[a+136>>3]=c;r=+N(+r);p[a+144>>3]=r;e=+p[a+64>>3];g=+p[q>>3];b=(e-g)*.5;h=+p[a+72>>3];i=+p[a+56>>3];s=(h-i)*.5;t=+K(+(r*b+c*s));p[a+152>>3]=t;c=+K(+(s*r-b*c));p[a+160>>3]=c;p[a+88>>3]=(e+g)*.5;p[a+96>>3]=(h+i)*.5;d=67;break}case 9:{t=+p[a+80>>3]/180.0*3.141592653589793;s=+O(+t);p[a+136>>3]=s;t=+N(+t);p[a+144>>3]=t;d=58;break}case 1:{s=+p[a+64>>3]-+p[q>>3];r=+p[a+72>>3]-+p[a+56>>3];t=+L(+(s*s+r*r));d=t!=0.0;p[a+136>>3]=d?r/t:0.0;p[a+144>>3]=d?s/t:1.0;p[a+152>>3]=t+.5;d=78;break}case 12:{d=a+64|0;b=+p[d>>3];if(b>180.0){do b=b+-360.0;while(b>180.0);p[d>>3]=b}if(b<=-180.0){do b=b+360.0;while(b<=-180.0);p[d>>3]=b}d=a+72|0;b=+p[d>>3];if(b>180.0){do b=b+-360.0;while(b>180.0);p[d>>3]=b}if(b<=-180.0){do b=b+360.0;while(b<=-180.0);p[d>>3]=b}t=+p[a+88>>3];p[a+152>>3]=t*t;t=+p[a+96>>3];p[a+160>>3]=t*t;d=51;break}case 14:case 13:{d=a+64|0;b=+p[d>>3];if(b>180.0){do b=b+-360.0;while(b>180.0);p[d>>3]=b}if(b<=-180.0){do b=b+360.0;while(b<=-180.0);p[d>>3]=b}d=a+72|0;b=+p[d>>3];if(b>180.0){do b=b+-360.0;while(b>180.0);p[d>>3]=b}if(b<=-180.0){do b=b+360.0;while(b<=-180.0);p[d>>3]=b}t=+p[a+128>>3]/180.0*3.141592653589793;s=+O(+t);p[a+136>>3]=s;t=+N(+t);p[a+144>>3]=t;d=51;break}case 0:{b=1.0;d=65;break}default:return}while(0);b:do if((d|0)==51)switch(j|0){case 11:{o=q;break a}case 2:{d=52;break b}case 3:{d=53;break b}case 4:{d=54;break b}case 5:{d=55;break b}case 6:{d=56;break b}case 7:{d=57;break b}case 9:{d=58;break b}case 0:{b=1.0;d=65;break b}case 8:{d=67;break b}case 1:{d=78;break b}case 10:{d=79;break b}case 12:{b=+p[a+96>>3];d=64;break b}case 13:{t=+p[a+104>>3];b=+p[a+112>>3];b=t>b?t:b;d=64;break b}case 14:{b=+p[a+104>>3]*+p[a+112>>3];b=+L(+(b+b))*.5;d=64;break b}default:return}while(0);do if((d|0)==52){b=+p[a+64>>3];d=64}else if((d|0)==53){b=+p[a+72>>3];d=64}else if((d|0)==54){t=+p[a+64>>3];b=+p[a+72>>3];b=t>b?t:b;d=64}else if((d|0)==55){t=+p[a+80>>3];b=+p[a+88>>3];b=t>b?t:b;d=64}else if((d|0)==56){t=+p[a+64>>3];b=+p[a+72>>3];b=+L(+(t*t+b*b))*.5;d=64}else if((d|0)==57){b=+p[a+80>>3]*+p[a+88>>3];b=+L(+(b+b))*.5;d=64}else if((d|0)==58){b=+p[a+64>>3];c=+p[a+72>>3];if(b>c){b=b*.5;d=64;break}else{b=c*.5;d=64;break}}while(0);c:do if((d|0)==64)if(b>0.0)d=65;else{switch(j|0){case 11:{o=q;break a}case 8:{d=67;break c}case 1:{d=78;break c}case 10:{d=79;break c}default:{}}return}while(0);if((d|0)==65){t=+p[q>>3];p[a+16>>3]=t-b;p[a+24>>3]=b+t;t=+p[a+56>>3];p[a+32>>3]=t-b;p[a+40>>3]=b+t;return}else if((d|0)==67){o=a+88|0;t=+p[o>>3];r=t-+p[q>>3];q=a+96|0;s=+p[q>>3]-+p[a+56>>3];s=+L(+(r*r+s*s));p[a+16>>3]=t-s;p[a+24>>3]=s+ +p[o>>3];t=+p[q>>3];p[a+32>>3]=t-s;p[a+40>>3]=s+t;return}else if((d|0)==78){t=+p[q>>3];s=+p[a+64>>3];o=t>s;p[a+16>>3]=o?s:t;p[a+24>>3]=o?+p[q>>3]:s;q=a+56|0;s=+p[q>>3];t=+p[a+72>>3];o=s>t;p[a+32>>3]=o?t:s;p[a+40>>3]=o?+p[q>>3]:t;return}else if((d|0)==79){p[a+16>>3]=1.0;p[a+24>>3]=-1.0;p[a+32>>3]=1.0;p[a+40>>3]=-1.0;return}}else o=f[q+4>>2]|0;while(0);b=+p[o>>3];m=a+16|0;p[m>>3]=b;c=+p[o>>3];l=a+24|0;p[l>>3]=c;k=o+8|0;e=+p[k>>3];n=a+32|0;p[n>>3]=e;g=+p[k>>3];k=a+40|0;p[k>>3]=g;a=f[q>>2]|0;if((a|0)>2){i=g;j=2}else return;while(1){d=o+(j<<3)|0;g=+p[d>>3];if(b>g){p[m>>3]=g;h=+p[d>>3];b=g}else h=g;if(c<h){p[l>>3]=h;c=h}d=o+((j|1)<<3)|0;g=+p[d>>3];if(e>g){p[n>>3]=g;h=+p[d>>3];e=g}else h=g;if(i<h)p[k>>3]=h;else h=i;j=j+2|0;if((j|0)>=(a|0))break;else i=h}return}function Jr(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;if((f[a>>2]|0)<=0)return;i=a+4|0;c=0;do{d=f[i>>2]|0;a:do if(!(b[d+(c*168|0)>>0]|0)){e=c+-1|0;while(1){g=e+-1|0;if((e|0)<=0)break a;if(!(b[d+(e*168|0)>>0]|0))e=g;else break}while(1){if(b[d+(g*168|0)>>0]|0){d=Ov(d,((f[a>>2]|0)*168|0)+168|0)|0;f[i>>2]=d;e=f[a>>2]|0;f[a>>2]=e+1;h=g+1|0;if((e|0)>(h|0))do{j=e;e=e+-1|0;Lz(d+(j*168|0)|0,d+(e*168|0)|0,168)|0;d=f[i>>2]|0}while((e|0)>(h|0));c=c+1|0;Lz(d+(h*168|0)|0,d+(c*168|0)|0,168)|0}if((g|0)<=0)break a;d=f[i>>2]|0;g=g+-1|0}}while(0);c=c+1|0;g=f[a>>2]|0}while((c|0)<(g|0));if((g|0)<=0)return;c=f[a+4>>2]|0;d=0;e=0;do{e=((b[c+(d*168|0)>>0]|0)!=0&1)+e|0;f[c+(d*168|0)+8>>2]=e;d=d+1|0}while((d|0)<(g|0));return}function Kr(a){a=a|0;var b=0,c=0,d=0,e=0;c=f[a>>2]|0;e=a+4|0;b=f[e>>2]|0;if((c|0)>0){d=0;do{if((f[b+(d*168|0)+4>>2]|0)==11){Mv(f[b+(d*168|0)+48+4>>2]|0);c=f[a>>2]|0;b=f[e>>2]|0}d=d+1|0}while((d|0)<(c|0))}if(!b){Mv(a);return}Mv(b);Mv(a);return}function Lr(a,c,d){a=+a;c=+c;d=d|0;var e=0,g=0,h=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0.0;e=f[d+4>>2]|0;s=f[d>>2]|0;if((s|0)<=0){w=0;x=0;x=w|x;x=(x|0)!=0;x=x&1;return x|0}g=f[e+8>>2]|0;t=g;r=e;e=0;q=0;d=0;while(1){if((q|0)!=0&(t|0)==(g|0)){g=b[r>>0]|0;k=e}else{k=b[r>>0]|0;g=k;k=k<<24>>24==0&1;d=(e|d|0)!=0&1}o=g<<24>>24==0;if(!k)if(o)e=0;else x=9;else if(o)x=9;else e=k;if((x|0)==9){x=0;a:do switch(f[r+4>>2]|0){case 6:{l=a-+p[r+48>>3];i=c-+p[r+56>>3];n=+p[r+144>>3];m=+p[r+136>>3];j=l*n+i*m;m=i*n-l*m;l=+p[r+64>>3]*.5;n=+p[r+72>>3]*.5;e=((m>n|(j<-l|j>l|m<-n))^1)&1;break}case 7:{h=a-+p[r+48>>3];i=c-+p[r+56>>3];l=+p[r+144>>3];m=+p[r+136>>3];y=h*l+i*m;j=-h;m=i*l+m*j;l=+p[r+80>>3]*.5;n=+p[r+88>>3]*.5;if(m>n|(y<-l|y>l|m<-n))e=0;else{m=+p[r+160>>3];n=+p[r+152>>3];l=h*m+i*n;n=i*m+n*j;m=+p[r+64>>3]*.5;y=+p[r+72>>3]*.5;e=(!(n<=y)|(!(l>=-m)|!(l<=m)|!(n>=-y)))&1}break}case 8:{y=a-+p[r+88>>3];j=c-+p[r+96>>3];m=+p[r+144>>3];l=+p[r+136>>3];n=y*m+j*l;l=j*m-y*l;y=+p[r+152>>3];m=+p[r+160>>3];e=((l>m|(l<-m|(n<-y|n>y)))^1)&1;break}case 9:{n=a-+p[r+48>>3];l=c-+p[r+56>>3];m=+p[r+144>>3];y=+p[r+136>>3];if(+K(+((n*m+l*y)/(+p[r+64>>3]*.5)))+ +K(+((l*m-n*y)/(+p[r+72>>3]*.5)))>1.0)e=0;else e=1;break}case 2:{n=a-+p[r+48>>3];y=c-+p[r+56>>3];if(n*n+y*y>+p[r+152>>3])e=0;else e=1;break}case 3:{n=a-+p[r+48>>3];y=c-+p[r+56>>3];y=n*n+y*y;if(!(y<+p[r+152>>3])?!(y>+p[r+160>>3]):0){e=1;break a}e=0;break}case 10:{h=a-+p[r+48>>3];i=c-+p[r+56>>3];if(h!=0.0|i!=0.0){m=+T(+i,+h)*180.0/3.141592653589793;n=+p[r+64>>3];y=+p[r+72>>3];e=m<n;g=m>y;if(!(n<=y)){e=(e&g^1)&1;break a}else{e=((e|g)^1)&1;break a}}else e=1;break}case 4:{m=a-+p[r+48>>3];j=c-+p[r+56>>3];l=+p[r+144>>3];y=+p[r+136>>3];n=(m*l+j*y)/+p[r+64>>3];y=(j*l-m*y)/+p[r+72>>3];if(n*n+y*y>1.0)e=0;else e=1;break}case 5:{h=a-+p[r+48>>3];i=c-+p[r+56>>3];m=+p[r+144>>3];y=+p[r+136>>3];j=-h;n=(h*m+i*y)/+p[r+80>>3];y=(i*m+y*j)/+p[r+88>>3];if(!(n*n+y*y>1.0)?(m=+p[r+160>>3],y=+p[r+152>>3],n=(h*m+i*y)/+p[r+64>>3],y=(i*m+y*j)/+p[r+72>>3],!(n*n+y*y<1.0)):0)e=1;else e=0;break}case 1:{m=a-+p[r+48>>3];j=c-+p[r+56>>3];l=+p[r+144>>3];n=+p[r+136>>3];y=m*l+j*n;n=j*l-m*n;if(!(y<-.5|(n<-.5|n>=.5))?!(y>=+p[r+152>>3]):0){e=1;break a}e=0;break}case 0:{n=a-+p[r+48>>3];y=c-+p[r+56>>3];e=((y>=.5|(n<-.5|n>=.5|y<-.5))^1)&1;break}case 11:{if((((!(+p[r+16>>3]>a)?!(+p[r+24>>3]<a):0)?!(+p[r+32>>3]>c):0)?!(+p[r+40>>3]<c):0)?(v=r+48|0,u=f[v>>2]|0,v=f[v+4>>2]|0,w=u+-1|0,(u|0)>0):0){e=0;k=0;m=+p[v+(u+-2<<3)>>3];n=+p[v+(w<<3)>>3];do{h=m;m=+p[v+(k<<3)>>3];g=k|1;l=n;n=+p[v+(g<<3)>>3];do if((!(l<c)|!(n<=c)?!(l>c)|!(n>=c):0)?!(h<a)|!(m<=a):0){if(h<=a|m<a){i=c-l;j=n-l;if(+K(+j)<1.0e-10)if(+K(+i)<1.0e-10){e=1;break a}else break;h=h+i*((m-h)/j)-a;if(h<-1.0e-10)break;if(h<1.0e-10){e=1;break a}}if(l!=c){e=1-e|0;break}do{g=(g|0)>1?g+-2|0:w;h=+p[v+(g<<3)>>3]}while(h==c);if((n-c)*(c-h)>0.0)e=1-e|0}while(0);k=k+2|0}while((k|0)<(u|0))}else e=0;break}case 12:{h=a-+p[r+48>>3];i=c-+p[r+56>>3];y=h*h+i*i;if(!(y<+p[r+152>>3])?!(y>+p[r+160>>3]):0)if(h!=0.0|i!=0.0){m=+T(+i,+h)*180.0/3.141592653589793;n=+p[r+64>>3];y=+p[r+72>>3];e=m<n;g=m>y;if(!(n<=y)){e=(e&g^1)&1;break a}else{e=((e|g)^1)&1;break a}}else e=1;else e=0;break}case 13:{n=a-+p[r+48>>3];m=c-+p[r+56>>3];y=+p[r+144>>3];i=+p[r+136>>3];h=n*y+m*i;i=m*y-n*i;n=h/+p[r+104>>3];y=i/+p[r+112>>3];if(!(n*n+y*y>1.0)?(n=h/+p[r+88>>3],y=i/+p[r+96>>3],!(n*n+y*y<1.0)):0)if(h!=0.0|i!=0.0){m=+T(+i,+h)*180.0/3.141592653589793;n=+p[r+64>>3];y=+p[r+72>>3];e=m<n;g=m>y;if(!(n<=y)){e=(e&g^1)&1;break a}else{e=((e|g)^1)&1;break a}}else e=1;else e=0;break}case 14:{n=a-+p[r+48>>3];m=c-+p[r+56>>3];y=+p[r+144>>3];i=+p[r+136>>3];h=n*y+m*i;i=m*y-n*i;n=+p[r+104>>3]*.5;y=+p[r+112>>3]*.5;if(!(i>y|(h<-n|h>n|i<-y))?(n=+p[r+88>>3]*.5,y=+p[r+96>>3]*.5,!(i<=y)|(!(h>=-n)|!(h<=n)|!(i>=-y))):0)if(h!=0.0|i!=0.0){m=+T(+i,+h)*180.0/3.141592653589793;n=+p[r+64>>3];y=+p[r+72>>3];e=m<n;g=m>y;if(!(n<=y)){e=(e&g^1)&1;break a}else{e=((e|g)^1)&1;break a}}else e=1;else e=0;break}default:e=1}while(0);e=o?(e|0)==0&1:e}g=q+1|0;if((g|0)>=(s|0))break;o=t;t=f[r+176>>2]|0;r=r+168|0;q=g;g=o}x=e|d;x=(x|0)!=0;x=x&1;return x|0}function Mr(a,b,c,d){a=a|0;b=+b;c=+c;d=d|0;var e=0,g=0,h=0;h=u;u=u+16|0;g=h;e=f[d>>2]|0;do if((e|0)<=0){if(b==0.0){f[d>>2]=322;e=322;break}if((mk(a,g,d)|0)>0){e=f[d>>2]|0;break}if(f[g>>2]|0){f[d>>2]=233;e=233;break}g=(Ek(a,d)|0)==0;a=f[a+4>>2]|0;e=f[d>>2]|0;if(g){d=f[a+960>>2]|0;p[d+256>>3]=b;p[d+264>>3]=c;break}else{p[a+1176>>3]=b;p[a+1184>>3]=c;break}}while(0);u=h;return e|0}function Nr(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0;h=u;u=u+16|0;g=h;e=f[d>>2]|0;do if((e|0)<=0){if((mk(a,g,d)|0)>0){e=f[d>>2]|0;break}if(f[g>>2]|0){f[d>>2]=233;e=233;break}g=(Ek(a,d)|0)==0;e=f[d>>2]|0;if(g){a=(f[(f[a+4>>2]|0)+960>>2]|0)+272|0;f[a>>2]=b;f[a+4>>2]=c}}while(0);u=h;return e|0}function Or(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;i=u;u=u+16|0;h=i;g=f[e>>2]|0;if((g|0)>0){e=g;u=i;return e|0}if((mk(a,h,e)|0)>0){e=f[e>>2]|0;u=i;return e|0}if((f[h>>2]|0)==2){h=(f[(f[a+4>>2]|0)+960>>2]|0)+((b+-1|0)*160|0)+112|0;f[h>>2]=c;f[h+4>>2]=d;e=f[e>>2]|0;u=i;return e|0}else{f[e>>2]=227;e=227;u=i;return e|0}return 0}function Pr(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;i=u;u=u+16|0;h=i;g=f[e>>2]|0;if((g|0)>0){e=g;u=i;return e|0}if((mk(a,h,e)|0)>0){e=f[e>>2]|0;u=i;return e|0}if((f[h>>2]|0)==1){h=(f[(f[a+4>>2]|0)+960>>2]|0)+((c+-1|0)*160|0)+120|0;b[h>>0]=0;yz(h,d,19)|0;e=f[e>>2]|0;u=i;return e|0}else{f[e>>2]=226;e=226;u=i;return e|0}return 0}function Qr(a,b){a=a|0;b=b|0;var c=0,e=0,f=0;if((b|0)>0)c=0;else return;do{e=a+(c<<1)|0;f=Wz(d[e>>1]|0)|0;d[e>>1]=f;c=c+1|0}while((c|0)!=(b|0));return}function Rr(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;if((c|0)>0)d=0;else return;do{e=a+(d<<2)|0;f=b[e>>0]|0;g=e+3|0;b[e>>0]=b[g>>0]|0;b[g>>0]=f;g=e+1|0;f=b[g>>0]|0;e=e+2|0;b[g>>0]=b[e>>0]|0;b[e>>0]=f;d=d+1|0}while((d|0)!=(c|0));return}function Sr(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0;d=c<<3;if((c|0)>0)c=0;else return;do{e=a+c|0;f=b[e>>0]|0;g=a+(c|7)|0;b[e>>0]=b[g>>0]|0;b[g>>0]=f;g=a+(c|1)|0;f=b[g>>0]|0;e=a+(c|6)|0;b[g>>0]=b[e>>0]|0;b[e>>0]=f;e=a+(c|2)|0;f=b[e>>0]|0;g=a+(c|5)|0;b[e>>0]=b[g>>0]|0;b[g>>0]=f;g=a+(c|3)|0;f=b[g>>0]|0;e=a+(c|4)|0;b[g>>0]=b[e>>0]|0;b[e>>0]=f;c=c+8|0}while((c|0)<(d|0));return}function Tr(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;g=u;u=u+16|0;e=g;d=f[c>>2]|0;do if((d|0)<=0){mk(a,e,c)|0;if(f[e>>2]|0){vj(97145);f[c>>2]=233;d=233;break}if((io(a,b,c)|0)>0){vj(97213);d=f[c>>2]|0;break}else{d=f[c>>2]|0;break}}while(0);u=g;return d|0}function Ur(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0.0,n=0.0,o=0,q=0.0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0;D=u;u=u+144|0;C=D+64|0;B=D+68|0;s=D+56|0;y=D+48|0;z=D+40|0;A=D+32|0;t=D+24|0;w=D+16|0;x=D+8|0;v=D;f[C>>2]=0;p[s>>3]=0.0;p[y>>3]=0.0;p[z>>3]=0.0;p[A>>3]=0.0;p[t>>3]=1.0;p[w>>3]=0.0;p[x>>3]=1.0;p[v>>3]=0.0;o=f[l>>2]|0;if((o|0)>0){d=o;u=D;return d|0}f[C>>2]=0;if(Qn(a,97267,c,0,C)|0)p[c>>3]=0.0;f[C>>2]=0;if(Qn(a,97274,d,0,C)|0)p[d>>3]=0.0;f[C>>2]=0;if(Qn(a,97281,e,0,C)|0)p[e>>3]=0.0;f[C>>2]=0;if(Qn(a,97288,g,0,C)|0)p[g>>3]=0.0;f[C>>2]=0;do if(!(Qn(a,97295,h,0,C)|0)){if(Qn(a,97326,i,0,C)|0)p[i>>3]=1.0;f[C>>2]=0;if(Qn(a,97333,j,0,C)|0){p[j>>3]=0.0;f[C>>2]=0;if(!(Qn(a,97340,t,0,C)|0))o=1;else{f[C>>2]=0;o=0}if(!(Qn(a,97346,w,0,C)|0))o=1;else f[C>>2]=0;if(!(Qn(a,97352,v,0,C)|0))o=1;else f[C>>2]=0;if(Qn(a,97358,x,0,C)|0?(f[C>>2]=0,(o|0)==0):0)break;r=+T(+(+p[w>>3]),+(+p[t>>3]));m=+T(+-+p[v>>3],+(+p[x>>3]));n=r<m?r:m;m=r>m?r:m;n=m-n>1.5707963267948966?n+3.141592653589793:n;if(+K(+(n-m))>.0002)f[l>>2]=506;p[j>>3]=(m+n)*.5*180.0/3.141592653589793}}else{f[C>>2]=0;if(!(Qn(a,97302,s,0,C)|0))o=1;else{f[C>>2]=0;o=0}if(!(Qn(a,97308,y,0,C)|0))o=1;else f[C>>2]=0;if(!(Qn(a,97314,A,0,C)|0))o=1;else f[C>>2]=0;if(Qn(a,97320,z,0,C)|0?(f[C>>2]=0,(o|0)==0):0){p[h>>3]=1.0;f[C>>2]=0;if(Qn(a,97326,i,0,C)|0)p[i>>3]=1.0;f[C>>2]=0;if(!(Qn(a,97333,j,0,C)|0))break;p[j>>3]=0.0;break}r=+p[s>>3];E=+T(+(+p[y>>3]),+r);q=+p[z>>3];m=+T(+-+p[A>>3],+q);n=E<m?E:m;m=E>m?E:m;n=m-n>1.5707963267948966?n+3.141592653589793:n;if(+K(+(n-m))>.0002)f[l>>2]=506;E=(m+n)*.5;n=+N(+E);p[h>>3]=r/n;p[i>>3]=q/n;p[j>>3]=E*180.0/3.141592653589793;if(+p[i>>3]<0.0){p[h>>3]=-+p[h>>3];p[i>>3]=-+p[i>>3];p[j>>3]=+p[j>>3]+-180.0}}while(0);f[C>>2]=0;do if(!(Nn(a,97364,B,0,C)|0)){Vy(k,B+4|0,4)|0;b[k+4>>0]=0;if(vw(B,97371,4)|0?vw(B+1|0,97376,3)|0:0)break;p[j>>3]=90.0-+p[j>>3];p[i>>3]=-+p[i>>3];E=+p[c>>3];p[c>>3]=+p[d>>3];p[d>>3]=E}else b[k>>0]=0;while(0);d=f[l>>2]|0;u=D;return d|0}function Vr(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0;r=u;u=u+32|0;o=r+16|0;p=r+8|0;q=r;n=f[m>>2]|0;if((n|0)>0){e=n;u=r;return e|0}f[o>>2]=b;f[o+4>>2]=c;f[p>>2]=10;f[p+4>>2]=10;Lg(q,97380,m)|0;ar(f[q>>2]|0,32,2,p,m)|0;dk(a,f[q>>2]|0,9,2,o,m)|0;Zo(a,f[q>>2]|0,2,o,m)|0;n=f[m>>2]|0;if((n|0)>0){e=n;u=r;return e|0}Ur(f[q>>2]|0,d,e,g,h,i,j,k,l,m)|0;if((f[m>>2]|0)>0){vj(97387);f[m>>2]=505;e=505;u=r;return e|0}else{gh(f[q>>2]|0,m)|0;e=f[m>>2]|0;u=r;return e|0}return 0}function Wr(a,c,d,e,g,h,i,j,k,l,m,n,o){a=+a;c=+c;d=+d;e=+e;g=+g;h=+h;i=+i;j=+j;k=+k;l=l|0;m=m|0;n=n|0;o=o|0;var q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0,x=0;w=f[o>>2]|0;if((w|0)>0){n=w;return n|0}a=(a-g)*i;t=(c-h)*j;c=k*.01745329252;g=+N(+c);c=+O(+c);x=k!=0.0;v=d*.01745329252;q=e*.01745329252;u=(x?a*g-t*c:a)*.01745329252;t=(x?t*g+a*c:t)*.01745329252;d=u*u;a=d+t*t;s=+N(+q);r=+O(+q);if((b[l>>0]|0)!=45){f[o>>2]=504;x=504;return x|0}a:do switch(b[l+1>>0]|0){case 67:{if((b[l+2>>0]|0)==65?(b[l+3>>0]|0)==82:0){g=q+t;a=v+u;break a}f[o>>2]=504;x=504;return x|0}case 84:{if((b[l+2>>0]|0)==65?(b[l+3>>0]|0)==78:0){j=+N(+v);g=+O(+v);a=s*j-u*g-r*(t*j);u=u*j+s*g-r*(t*g);g=+S(+((r+s*t)/+L(+(a*a+u*u))));a=+T(+u,+a);break a}f[o>>2]=504;x=504;return x|0}case 83:{switch(b[l+2>>0]|0){case 73:{if((b[l+3>>0]|0)==78){if(a>1.0){f[o>>2]=501;x=501;return x|0}a=+L(+(1.0-a));g=s*t+r*a;if(g>1.0|g<-1.0){f[o>>2]=501;x=501;return x|0}a=s*a-r*t;if(!(u==0.0&a==0.0)){g=+R(+g);a=v+ +T(+u,+a);break a}f[o>>2]=501;x=501;return x|0}break}case 84:{if((b[l+3>>0]|0)==71){a=(4.0-a)/(a+4.0);if(+K(+a)>1.0){f[o>>2]=501;x=501;return x|0}c=a+1.0;a=r*a+s*t*c*.5;if(+K(+a)>1.0){f[o>>2]=501;x=501;return x|0}g=+R(+a);d=+N(+g);if(+K(+d)<1.0e-05){f[o>>2]=501;x=501;return x|0}a=u*c/(d*2.0);if(+K(+a)>1.0){f[o>>2]=501;x=501;return x|0}k=+R(+a);c=+O(+g);h=+N(+k);a=r*c+1.0+s*d*h;if(!(+K(+a)<1.0e-05)){x=+K(+((s*c-r*d*h)*2.0/a-t))>1.0e-05;a=v+(x?3.141592653589795-k:k);break a}f[o>>2]=501;x=501;return x|0}break}default:{}}f[o>>2]=504;x=504;return x|0}case 65:{switch(b[l+2>>0]|0){case 82:{if((b[l+3>>0]|0)==67){if(a>=9.869604401089369){f[o>>2]=501;x=501;return x|0}a=+L(+a);c=+N(+a);if(a!=0.0)a=+O(+a)/a;else a=1.0;g=r*c+s*t*a;if(g>1.0|g<-1.0){f[o>>2]=501;x=501;return x|0}c=c-r*g;a=s*(u*a);if(!(a==0.0&c==0.0)){g=+R(+g);a=v+ +T(+a,+c);break a}f[o>>2]=501;x=501;return x|0}break}case 73:{if((b[l+3>>0]|0)==84){h=g*j+c*i;h=h==0.0?.01745329252:h*.01745329252;k=q+h;a=+L(+((s+1.0)*.5));k=+O(+k)/+L(+((+N(+k)+1.0)*.5))-r/a;k=h/(k==0.0?1.0:k);i=g*i-c*j;i=i==0.0?.01745329252:i*.01745329252;j=i*.5;h=s*2.0*+O(+j);h=i*+L(+((s*+N(+j)+1.0)*.5))/(h==0.0?1.0:h);if(!(u!=0.0|t!=0.0)){g=q;a=v;break a}g=t+r*k/a;a=g/k;a=4.0-d/(h*(h*4.0))-a*a;if(a>4.0|a<2.0){f[o>>2]=501;x=501;return x|0}c=+L(+a)*.5;a=g*c/k;if(+K(+a)>1.0){f[o>>2]=501;x=501;return x|0}g=+R(+a);a=+N(+g);if(+K(+a)<1.0e-05){f[o>>2]=501;x=501;return x|0}a=u*c/(h*2.0*a);if(!(+K(+a)>1.0)){a=v+ +R(+a)*2.0;break a}f[o>>2]=501;x=501;return x|0}break}default:{}}f[o>>2]=504;x=504;return x|0}case 78:{if((b[l+2>>0]|0)==67?(b[l+3>>0]|0)==80:0){c=s-r*t;if(c==0.0){f[o>>2]=501;x=501;return x|0}a=v+ +T(+u,+c);g=+N(+(a-v));if(g==0.0){f[o>>2]=501;x=501;return x|0}g=c/g;if(g>1.0|g<-1.0){f[o>>2]=501;x=501;return x|0}else{g=+Q(+g);if(!(q<0.0))break a;g=-g;break a}}f[o>>2]=504;x=504;return x|0}case 71:{if((b[l+2>>0]|0)==76?(b[l+3>>0]|0)==83:0){g=q+t;if(+K(+g)>1.5707963267948974){f[o>>2]=501;x=501;return x|0}a=+N(+g);if(+K(+u)>a*6.28318530717959*.5){f[o>>2]=501;x=501;return x|0}else{if(!(a>1.0e-05)){a=v;break a}a=v+u/a;break a}}f[o>>2]=504;x=504;return x|0}case 77:{if((b[l+2>>0]|0)==69?(b[l+3>>0]|0)==82:0){c=g*j+c*i;c=c==0.0?1.0:c;a=(e*.5+45.0)*.01745329252;g=+V(+(+P(+a)));c=c*.01745329252/(+V(+(+P(+(a+c*.5*.01745329252))))-g);a=v+u/(!(s<=0.0)?s:1.0);if(!(+K(+(a-v))>6.28318530717959)){g=+S(+(+U(+(c!=0.0?(t+g*c)/c:0.0))))*2.0+-1.5707963267948974;break a}f[o>>2]=501;x=501;return x|0}f[o>>2]=504;x=504;return x|0}default:{f[o>>2]=504;x=504;return x|0}}while(0);u=a-v>3.141592653589795?a+-6.28318530717959:a;v=u-v<-3.141592653589795?u+6.28318530717959:u;p[m>>3]=(v<0.0?v+6.28318530717959:v)/.01745329252;p[n>>3]=g/.01745329252;x=w;return x|0}function Xr(a,c,d,e,g,h,i,j,k,l,m,n,o){a=+a;c=+c;d=+d;e=+e;g=+g;h=+h;i=+i;j=+j;k=+k;l=l|0;m=m|0;n=n|0;o=o|0;var q=0.0,r=0.0,s=0.0,t=0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0;if((b[l>>0]|0)!=45){f[o>>2]=504;n=504;return n|0}q=a-d;r=q>180.0?a+-360.0:a;r=q<-180.0?r+360.0:r;a=r-d;q=c-e;C=k*.01745329252;B=+N(+C);C=+O(+C);if(i==0.0|j==0.0){p[m>>3]=0.0;p[n>>3]=0.0;f[o>>2]=502;n=502;return n|0}p[m>>3]=(a*B+q*C)/i+g;p[n>>3]=(q*B-a*C)/j+h;t=b[l+1>>0]|0;if(t<<24>>24==67){if((b[l+2>>0]|0)==65?(b[l+3>>0]|0)==82:0){n=f[o>>2]|0;return n|0}f[o>>2]=504;n=504;return n|0}v=d*.01745329252;s=e*.01745329252;w=r*.01745329252;d=c*.01745329252;y=+N(+d);x=+O(+d);A=+N(+s);z=+O(+s);r=w-v;c=y*+O(+r);a=x*z;q=+N(+r);k=y*A*q;u=a+k;a:do switch(t<<24>>24){case 84:{if((b[l+2>>0]|0)==65?(b[l+3>>0]|0)==78:0){if(u<=0.0){f[o>>2]=501;n=501;return n|0}if(A<.001){a=y*q/a;k=z;a=A*(a*a+1.0)-a}else{k=A;a=x/u-z}a=a/k;q=+O(+v);k=+N(+v);if(+K(+q)<.3){c=(z*(a*q)+(y*+O(+w)/u-A*q))/k;break a}else{c=(z*(a*k)+(y*+N(+w)/u-A*k))/-q;break a}}f[o>>2]=504;n=504;return n|0}case 83:{switch(b[l+2>>0]|0){case 73:{if((b[l+3>>0]|0)==78){if(!(u<0.0)){a=x*A-y*z*q;break a}f[o>>2]=501;n=501;return n|0}break}case 84:{if((b[l+3>>0]|0)==71){if(+K(+d)>1.5707963267948974){f[o>>2]=501;n=501;return n|0}a=a+1.0+k;if(!(+K(+a)<1.0e-05)){a=2.0/a;c=c*a;a=(x*A-y*z*q)*a;break a}f[o>>2]=501;n=501;return n|0}break}default:{}}f[o>>2]=504;n=504;return n|0}case 65:{switch(b[l+2>>0]|0){case 82:{if((b[l+3>>0]|0)==67){a=u<-1.0?-1.0:u;a=+Q(+(a>1.0?1.0:a));if(a!=0.0)a=a/+O(+a);else a=1.0;c=c*a;a=(x*A-y*z*q)*a;break a}break}case 73:{if((b[l+3>>0]|0)==84){c=r*.5;if(+K(+c)>1.5707963267948974){f[o>>2]=501;n=501;return n|0}k=B*j+C*i;k=k==0.0?.01745329252:k*.01745329252;s=s+k;d=+L(+((A+1.0)*.5));s=+O(+s)/+L(+((+N(+s)+1.0)*.5))-z/d;s=k/(s==0.0?1.0:s);k=B*i-C*j;k=k==0.0?.01745329252:k*.01745329252;a=k*.5;q=A*2.0*+O(+a);r=+L(+((y*+N(+c)+1.0)*.5));if(!(+K(+r)<1.0e-05)){c=+O(+c)*(y*(k*+L(+((A*+N(+a)+1.0)*.5))/(q==0.0?1.0:q)*2.0))/r;a=x*s/r-z*s/d;break a}f[o>>2]=503;n=503;return n|0}break}default:{}}f[o>>2]=504;n=504;return n|0}case 78:{if((b[l+2>>0]|0)==67?(b[l+3>>0]|0)==80:0){if(!(s==0.0)){a=(A-y*q)/z;break a}f[o>>2]=501;n=501;return n|0}f[o>>2]=504;n=504;return n|0}case 71:{if((b[l+2>>0]|0)==76?(b[l+3>>0]|0)==83:0){if(+K(+d)>1.5707963267948974){f[o>>2]=501;n=501;return n|0}if(!(+K(+s)>1.5707963267948974)){c=r*y;a=d-s;break a}f[o>>2]=501;n=501;return n|0}f[o>>2]=504;n=504;return n|0}case 77:{if((b[l+2>>0]|0)==69?(b[l+3>>0]|0)==82:0){q=B*j+C*i;q=q==0.0?1.0:q;a=(e*.5+45.0)*.01745329252;k=+V(+(+P(+a)));q=q*.01745329252/(+V(+(+P(+(a+q*.5*.01745329252))))-k);a=+P(+(d*.5+.7853981633974487));if(!(a<1.0e-05)){c=r*(!(A<=0.0)?A:1.0);a=q*+V(+a)-k*q;break a}f[o>>2]=502;n=502;return n|0}f[o>>2]=504;n=504;return n|0}default:{f[o>>2]=504;n=504;return n|0}}while(0);A=c/.01745329252;z=a/.01745329252;p[m>>3]=(B*A+C*z)/i+g;p[n>>3]=(B*z-C*A)/j+h;n=f[o>>2]|0;return n|0}function Yr(){var a=0,b=0,c=0.0,d=0.0;if(f[55542]|0){b=0;return b|0}a=Nv(1e4,4)|0;f[55542]=a;if(!a){b=113;return b|0}else{b=0;c=1.0}do{d=c*16807.0;c=d-+(~~(d/2147483647.0)|0)*2147483647.0;n[a+(b<<2)>>2]=c/2147483647.0;b=b+1|0}while((b|0)!=1e4);if((~~c|0)==1043618065){b=0;return b|0}vj(97447);b=1;return b|0}function Zr(a,b,c){a=a|0;b=b|0;c=c|0;switch(b|0){case 0:case 11:case 21:case 22:case 31:case 41:case 51:case -1:{f[(f[a+4>>2]|0)+984>>2]=b;c=f[c>>2]|0;return c|0}default:{vj(97508);f[c>>2]=413;c=413;return c|0}}return 0}function _r(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;if(b>>>0<=6){if(b|0){a=f[a+4>>2]|0;e=0;do{f[a+988+(e<<2)>>2]=f[c+(e<<2)>>2];e=e+1|0}while((e|0)<(b|0))}}else{f[d>>2]=320;vj(97566)}return f[d>>2]|0}function $r(a,b,c){a=a|0;b=+b;c=c|0;n[(f[a+4>>2]|0)+1012>>2]=b==0.0?9999.0:b;return f[c>>2]|0}function as(a,b,c){a=a|0;b=b|0;c=c|0;if((b+1|0)>>>0>3){vj(97620);f[c>>2]=413;c=413;return c|0}else{f[(f[a+4>>2]|0)+1016>>2]=(b|0)==0?1:b;c=f[c>>2]|0;return c|0}return 0}function bs(a,b,c){a=a|0;b=+b;c=c|0;n[(f[a+4>>2]|0)+1032>>2]=b;return f[c>>2]|0}function cs(a,b,c){a=a|0;b=b|0;c=c|0;f[(f[a+4>>2]|0)+1036>>2]=b;return f[c>>2]|0}function ds(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0.0,k=0,l=0,m=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;J=u;u=u+256|0;F=J+24|0;C=J+16|0;E=J+180|0;I=J;A=J+84|0;z=J+72|0;x=J+68|0;q=J+176|0;s=J+172|0;B=J+56|0;H=J+96|0;D=J+32|0;f[A>>2]=f[1178];f[A+4>>2]=f[1179];f[A+8>>2]=f[1180];f[B>>2]=f[1181];f[B+4>>2]=f[1182];f[B+8>>2]=f[1183];i=f[h>>2]|0;if((i|0)>0){I=i;u=J;return I|0}G=a+4|0;p=f[G>>2]|0;m=p+1012|0;j=+n[m>>2];l=j!=9999.0;i=p+984|0;k=f[i>>2]|0;if(l)if(!k){f[i>>2]=11;t=11}else t=k;else if((k+-21|0)>>>0<2)t=k;else{vj(99023);f[h>>2]=413;I=413;u=J;return I|0}a:do if((c|0)<0)if(l){k=p+1016|0;i=f[k>>2]|0;if(!i){f[k>>2]=1;i=1}if(j==0.0){j=(i|0)==-1?16.0:4.0;n[m>>2]=j;y=15}else y=15}else{j=9999.0;y=15}else switch(c|0){case 20:{v=16;w=1;break a}case 40:{v=32;w=0;break a}case 10:{v=8;w=0;break a}default:{y=15;break a}}while(0);if((y|0)==15){v=c;w=0}r=p+988|0;f[D>>2]=f[r>>2];f[D+4>>2]=f[r+4>>2];f[D+8>>2]=f[r+8>>2];f[D+12>>2]=f[r+12>>2];f[D+16>>2]=f[r+16>>2];f[D+20>>2]=f[r+20>>2];do if((t|0)==41){if((d|0)<2){vj(99103);f[h>>2]=413;I=413;u=J;return I|0}l=f[e>>2]|0;if((l|0)>=4?(o=f[e+4>>2]|0,(o|0)>=4):0){i=f[D>>2]|0;do if((i|0)<1){k=D+4|0;i=f[k>>2]|0;if((i|0)==-1){f[D>>2]=l;f[k>>2]=o;if((d|0)>2)i=2;else{i=l;break}do{f[D+(i<<2)>>2]=1;i=i+1|0}while((i|0)!=(d|0));i=f[D>>2]|0;break}if(i>>>0<2){f[D>>2]=l;do if((o|0)>=31)if(((o&15)+-1|0)>>>0<=2)if((((o>>>0)%24|0)+-1|0)>>>0<=2)if((((o>>>0)%20|0)+-1|0)>>>0<=2)if((((o>>>0)%30|0)+-1|0)>>>0<=2)if((((o>>>0)%28|0)+-1|0)>>>0>2)i=28;else{if((((o>>>0)%26|0)+-1|0)>>>0>2){i=26;break}if((((o>>>0)%22|0)+-1|0)>>>0>2){i=22;break}if((((o>>>0)%18|0)+-1|0)>>>0>2){i=18;break}i=(((o>>>0)%14|0)+-1|0)>>>0>2?14:17}else i=30;else i=20;else i=24;else i=16;else i=o;while(0);f[k>>2]=i;i=l}else y=42}else if(!((i|0)>=4?(f[D+4>>2]|0)>=4:0))y=42;while(0);if((y|0)==42){vj(99240);f[h>>2]=413;I=413;u=J;return I|0}if((((l|0)%(i|0)|0)+-1|0)>>>0<3?(r=i+1|0,f[D>>2]=r,(((l|0)%(r|0)|0)+-1|0)>>>0<3):0){vj(99305);f[h>>2]=413;I=413;u=J;return I|0}k=D+4|0;i=f[k>>2]|0;if((((o|0)%(i|0)|0)+-1|0)>>>0>=3)break;r=i+1|0;f[k>>2]=r;if((((o|0)%(r|0)|0)+-1|0)>>>0>=3)break;vj(99378);f[h>>2]=413;I=413;u=J;return I|0}vj(99174);f[h>>2]=413;I=413;u=J;return I|0}while(0);r=(d|0)>0;if(r){l=0;do{k=D+(l<<2)|0;i=f[k>>2]|0;do if(!l){if((i|0)<1)f[k>>2]=f[e>>2]}else{if((i|0)<0){f[k>>2]=f[e+(l<<2)>>2];break}if(!i)f[k>>2]=1}while(0);l=l+1|0}while((l|0)!=(d|0))}l=(f[p+1028>>2]|0)==0;f[x>>2]=l?4345905:4346161;b[q>>0]=b[99451]|0;b[q+1>>0]=b[99452]|0;b[q+2>>0]=b[99453]|0;b[s>>0]=b[99451]|0;b[s+1>>0]=b[99452]|0;b[s+2>>0]=b[99453]|0;f[z>>2]=x;f[z+4>>2]=q;f[z+8>>2]=s;if(r){i=0;k=1;do{k=X((((f[e+(i<<2)>>2]|0)+-1|0)/(f[D+(i<<2)>>2]|0)|0)+1|0,k)|0;i=i+1|0}while((i|0)!=(d|0));p=k;o=((k|0)<0)<<31>>31}else{p=1;o=0}q=(v|0)<0;m=q&j!=9999.0?3:1;b:do switch(t|0){case 11:{b[I>>0]=b[99454]|0;b[I+1>>0]=b[99455]|0;b[I+2>>0]=b[99456]|0;b[I+3>>0]=b[99457]|0;b[I+4>>0]=b[99458]|0;b[I+5>>0]=b[99459]|0;b[I+6>>0]=b[99460]|0;break}case 21:{b[I>>0]=b[99461]|0;b[I+1>>0]=b[99462]|0;b[I+2>>0]=b[99463]|0;b[I+3>>0]=b[99464]|0;b[I+4>>0]=b[99465]|0;b[I+5>>0]=b[99466]|0;b[I+6>>0]=b[99467]|0;break}case 22:{b[I>>0]=b[99468]|0;b[I+1>>0]=b[99469]|0;b[I+2>>0]=b[99470]|0;b[I+3>>0]=b[99471]|0;b[I+4>>0]=b[99472]|0;b[I+5>>0]=b[99473]|0;b[I+6>>0]=b[99474]|0;break}case 51:{x=I;f[x>>2]=1346984514;f[x+4>>2]=3235634;break}case 31:{b[I>>0]=b[99475]|0;b[I+1>>0]=b[99476]|0;b[I+2>>0]=b[99477]|0;b[I+3>>0]=b[99478]|0;b[I+4>>0]=b[99479]|0;b[I+5>>0]=b[99480]|0;b[I+6>>0]=b[99481]|0;if(l){f[x>>2]=4804657;break b}else{f[x>>2]=4804913;break b}}case 41:{i=I;k=99482;l=i+12|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));break}case -1:{i=I;k=99494;l=i+11|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));break}default:{vj(99505);f[h>>2]=413;I=413;u=J;return I|0}}while(0);gr(a,2,p,o,m,A,z,B,0,h)|0;sr(a,99550,1,99557,h)|0;if(g){sr(a,98868,1,99593,h)|0;pr(a,98820,v,((v|0)<0)<<31>>31,99628,h)|0;pr(a,98900,d,((d|0)<0)<<31>>31,99656,h)|0;if(r){i=0;do{g=i;i=i+1|0;f[C>>2]=i;ww(E,99684,C)|0;g=f[e+(g<<2)>>2]|0;pr(a,E,g,((g|0)<0)<<31>>31,99693,h)|0}while((i|0)!=(d|0));y=74}}else y=74;if((y|0)==74?r:0){i=0;do{C=i;i=i+1|0;f[F>>2]=i;ww(E,99723,F)|0;C=f[D+(C<<2)>>2]|0;pr(a,E,C,((C|0)<0)<<31>>31,99731,h)|0}while((i|0)!=(d|0))}c:do if(q){i=f[G>>2]|0;if(+n[i+1012>>2]==9999.0){dr(a,98847,99762,99767,h)|0;break}i=i+1016|0;switch(f[i>>2]|0){case 0:{f[i>>2]=1;break}case 1:break;case 2:{dr(a,98847,99899,99830,h)|0;kr(a,31,98411,(f[G>>2]|0)+1020|0,99859,h)|0;if(tw(I,99454)|0)break c;i=I;k=99920;l=i+9|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));break c}case -1:{dr(a,98847,99929,99939,h)|0;break c}default:break c}dr(a,98847,99809,99830,h)|0;kr(a,31,98411,(f[G>>2]|0)+1020|0,99859,h)|0}while(0);dr(a,97671,I,99972,h)|0;d:do switch(f[(f[G>>2]|0)+984>>2]|0){case 11:{dr(a,99994,100001,100011,h)|0;pr(a,100034,32,0,100040,h)|0;dr(a,100057,100064,100072,h)|0;switch(v|0){case 8:{pr(a,100104,1,0,100072,h)|0;break d}case 16:{pr(a,100104,2,0,100072,h)|0;break d}default:{pr(a,100104,4,0,100072,h)|0;break d}}}case 41:{dr(a,99994,100110,100116,h)|0;tr(a,100034,+n[(f[G>>2]|0)+1032>>2],7,100116,h)|0;dr(a,100057,100139,100146,h)|0;I=f[(f[G>>2]|0)+1036>>2]|0;pr(a,100104,I,((I|0)<0)<<31>>31,100146,h)|0;break}default:{}}while(0);e:do if(w){i=H;k=100170;l=i+44|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));qr(a,98835,32768.0,0,H,h)|0;i=H;k=100214;l=i+23|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));qr(a,98828,1.0,0,H,h)|0}else switch(c|0){case 10:{i=H;k=100237;l=i+41|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));qr(a,98835,-128.0,0,H,h)|0;i=H;k=100214;l=i+23|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));qr(a,98828,1.0,0,H,h)|0;break e}case 40:{i=H;k=100278;l=i+43|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));qr(a,98835,2147483648.0,0,H,h)|0;i=H;k=100214;l=i+23|0;do{b[i>>0]=b[k>>0]|0;i=i+1|0;k=k+1|0}while((i|0)<(l|0));qr(a,98828,1.0,0,H,h)|0;break e}default:break e}while(0);I=f[h>>2]|0;u=J;return I|0}function es(a,c,d,e,g,h,i,j,k,l){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,o=0,q=0,r=0.0,s=0,t=0,v=0,w=0,x=0.0,y=0,z=0,A=0.0,B=0.0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0;N=u;u=u+80|0;t=N+64|0;y=N+60|0;C=N+56|0;J=N+52|0;m=N+48|0;H=N+44|0;D=N+32|0;F=N+24|0;E=N+16|0;K=N+8|0;L=N;G=N+40|0;f[y>>2]=1;f[H>>2]=0;p[K>>3]=1.0;o=L;f[o>>2]=0;f[o+4>>2]=0;o=f[l>>2]|0;if((o|0)>0){l=o;u=N;return l|0}M=a+4|0;o=f[M>>2]|0;if(+n[o+1068>>2]==9999.0?((f[o+1040>>2]|0)+-21|0)>>>0>=2:0){vj(97730);f[l>>2]=413;l=413;u=N;return l|0}q=f[o+1220>>2]|0;if((q|0)!=0?(s=(c+-1|0)%((((f[o+1104>>2]|0)+-1|0)/(f[o+1044>>2]|0)|0)+1|0)|0,(f[q+(s<<2)>>2]|0)==(c|0)):0){q=f[(f[o+1232>>2]|0)+(s<<2)>>2]|0;if(q){Mv(q);o=f[M>>2]|0}q=f[(f[o+1236>>2]|0)+(s<<2)>>2]|0;if(q){Mv(q);o=f[M>>2]|0}f[(f[o+1232>>2]|0)+(s<<2)>>2]=0;f[(f[(f[M>>2]|0)+1236>>2]|0)+(s<<2)>>2]=0;o=f[M>>2]|0;f[(f[o+1220>>2]|0)+(s<<2)>>2]=0;f[(f[o+1224>>2]|0)+(s<<2)>>2]=0;f[(f[o+1228>>2]|0)+(s<<2)>>2]=0;f[(f[o+1240>>2]|0)+(s<<2)>>2]=0}if((f[o+1040>>2]|0)==-1){a:do if((f[o+1140>>2]|0)<1){switch(d|0){case 21:{f[t>>2]=4804657;break}case 31:{f[t>>2]=4870193;break}case 42:{f[t>>2]=4542769;break}default:{vj(97813);f[l>>2]=413;m=413;break a}}Si(a,999,97886,t,l)|0;m=f[M>>2]|0;v=20}else{m=o;v=20}while(0);if((v|0)==20){hk(a,0,97886,m+1140|0,l)|0;Np(a,d,f[(f[M>>2]|0)+1140>>2]|0,c,((c|0)<0)<<31>>31,1,0,g,((g|0)<0)<<31>>31,e,l)|0;m=f[l>>2]|0}l=m;u=N;return l|0}z=f[o+1096>>2]|0;t=f[o+1200>>2]|0;j=((z|0)>0?(f[o+1156>>2]|0)!=-1:0)?0:j;r=+p[o+1176>>3];x=+p[o+1184>>3];b:do switch(d|0){case 21:{fs(a,e,g,j,k,t,z,r,x,+p[o+1192>>3],C,l)|0;break}case 20:{gs(a,e,g,j,k,t,z,r,x,C,l)|0;break}case 11:{hs(a,e,g,j,k,t,z,r,x,C,l)|0;break}case 12:{is(a,e,g,j,k,t,z,r,x,C,l)|0;break}case 31:{if((z|0)!=32|r!=1.0|x!=0.0){vj(97904);f[l>>2]=413;l=413;u=N;return l|0}f[C>>2]=4;if((j|0)==1?(w=f[k>>2]|0,(g|0)>0&(w|0)!=(t|0)):0){q=g;do{s=q;q=q+-1|0;o=e+(q<<2)|0;if((f[o>>2]|0)==(w|0))f[o>>2]=t}while((s|0)>1)}break}case 30:{if((z|0)!=32|r!=1.0|x!=2147483648.0){vj(97904);f[l>>2]=413;l=413;u=N;return l|0}f[C>>2]=4;o=g+-1|0;if((j|0)==1){q=f[k>>2]|0;if((g|0)<=0)break b;while(1){w=e+(o<<2)|0;v=f[w>>2]|0;f[w>>2]=(v|0)==(q|0)?t:v^-2147483648;if((o|0)>0)o=o+-1|0;else break}}else{if((g|0)<=0)break b;while(1){w=e+(o<<2)|0;f[w>>2]=f[w>>2]^-2147483648;if((o|0)>0)o=o+-1|0;else break}}break}case 42:{js(a,c,e,g,h,i,j,k,t,z,r,x,C,y,K,L,l)|0;break}case 82:{ks(a,c,e,g,h,i,j,k,t,z,r,x,C,y,K,L,l)|0;break}default:{vj(97984);f[l>>2]=410;l=410;u=N;return l|0}}while(0);o=f[l>>2]|0;if((o|0)>0){l=o;u=N;return l|0}o=f[M>>2]|0;if(!(f[y>>2]|0)){if((f[o+1144>>2]|0)<1){if(!(f[o+1028>>2]|0))Si(a,999,98334,98359,l)|0;else Si(a,999,98334,98355,l)|0;if((f[l>>2]|0)<1)hk(a,0,98334,(f[M>>2]|0)+1144|0,l)|0}if((d|0)==42){q=g<<2;L=~~(+(q>>>0)*1.1)>>>0;f[J>>2]=L;L=Nv(L,1)|0;f[m>>2]=L;if(!L){vj(98363);f[l>>2]=113;l=113;u=N;return l|0}if((j|0)==1?(A=+n[k>>2],(g|0)>0):0){o=0;do{if(+n[e+(o<<2)>>2]==A)f[e+(o<<2)>>2]=-1;o=o+1|0}while((o|0)!=(g|0))}Rr(e,g);Zc(e,q,m,J,19,H,l)|0}else{q=g<<3;L=~~(+(q>>>0)*1.1)>>>0;f[J>>2]=L;L=Nv(L,1)|0;f[m>>2]=L;if(!L){vj(98363);f[l>>2]=113;l=113;u=N;return l|0}if((j|0)==1?(B=+p[k>>3],(g|0)>0):0){o=0;do{if(+p[e+(o<<3)>>3]==B){L=e+(o<<3)|0;f[L>>2]=-1;f[L+4>>2]=-1}o=o+1|0}while((o|0)!=(g|0))}Sr(e,g);Zc(e,q,m,J,19,H,l)|0}Wp(a,f[(f[M>>2]|0)+1144>>2]|0,c,((c|0)<0)<<31>>31,1,0,f[H>>2]|0,0,f[m>>2]|0,l)|0;Mv(f[m>>2]|0)}else{s=f[o+1132>>2]|0;f[J>>2]=s;q=Nv(s,1)|0;f[m>>2]=q;if(!q){vj(98034);f[l>>2]=113;l=113;u=N;return l|0}c:do switch(f[o+1040>>2]|0){case 11:{o=f[o+1204>>2]|0;switch(f[C>>2]|0){case 2:{q=Is(e,g,q,s,o)|0;break}case 1:{q=Js(e,g,q,s,o)|0;break}default:q=Hs(e,g,q,s,o)|0}o=f[m>>2]|0;if((q|0)>=0){Wp(a,f[(f[M>>2]|0)+1136>>2]|0,c,((c|0)<0)<<31>>31,1,0,q,((q|0)<0)<<31>>31,o,l)|0;break c}Mv(o);vj(98084);f[l>>2]=413;l=413;u=N;return l|0}case 31:{d:do if((g|0)>0){o=0;while(1){if((f[e+(o<<2)>>2]|0)>>>0>16777215)break;o=o+1|0;if((o|0)>=(g|0))break d}vj(98141);f[l>>2]=413;l=413;u=N;return l|0}while(0);q=Ns(e,1,q,g)|0;o=f[m>>2]|0;if((q|0)>=0){jq(a,f[(f[M>>2]|0)+1136>>2]|0,c,((c|0)<0)<<31>>31,1,0,q,((q|0)<0)<<31>>31,o,l)|0;break c}Mv(o);vj(98192);f[l>>2]=413;l=413;u=N;return l|0}case 22:case 21:{o=+n[o+1068>>2]==9999.0;e:do if((d|0)==42&o){Rr(e,g);do if((f[(f[M>>2]|0)+1040>>2]|0)==22){q=((g|0)<0)<<31>>31;o=g<<2;j=Lv(o)|0;if(!j){vj(98249);break}if((g|0)>0){y=g<<1;z=g*3|0;s=0;t=0;v=j;w=e;while(1){b[v>>0]=b[w>>0]|0;b[v+g>>0]=b[w+1>>0]|0;b[v+y>>0]=b[w+2>>0]|0;b[v+z>>0]=b[w+3>>0]|0;s=Ez(s|0,t|0,1,0)|0;t=I;if(!((t|0)<(q|0)|(t|0)==(q|0)&s>>>0<g>>>0))break;else{v=v+1|0;w=w+4|0}}}Lz(e|0,j|0,o|0)|0;Mv(j)}else o=g<<2;while(0);Zc(e,o,m,J,19,H,l)|0}else{if((d|0)==82&o){Sr(e,g);if((f[(f[M>>2]|0)+1040>>2]|0)==22){s=((g|0)<0)<<31>>31;o=g<<3;j=Nv(1,o)|0;if((g|0)>0){q=0;t=0;v=e;while(1){i=j+t|0;b[i>>0]=b[v>>0]|0;i=i+g|0;b[i>>0]=b[v+1>>0]|0;i=i+g|0;b[i>>0]=b[v+2>>0]|0;i=i+g|0;b[i>>0]=b[v+3>>0]|0;i=i+g|0;b[i>>0]=b[v+4>>0]|0;i=i+g|0;b[i>>0]=b[v+5>>0]|0;i=i+g|0;b[i>>0]=b[v+6>>0]|0;b[i+g>>0]=b[v+7>>0]|0;t=Ez(t|0,q|0,1,0)|0;q=I;if(!((q|0)<(s|0)|(q|0)==(s|0)&t>>>0<g>>>0))break;else v=v+8|0}}Lz(e|0,j|0,o|0)|0;Mv(j)}else o=g<<3;Zc(e,o,m,J,19,H,l)|0;break}switch(f[C>>2]|0){case 2:{Qr(e,g);if((f[(f[M>>2]|0)+1040>>2]|0)==22){q=((g|0)<0)<<31>>31;o=g<<1;j=Lv(o)|0;if((g|0)>0){s=0;t=0;v=j;w=e;while(1){b[v>>0]=b[w>>0]|0;b[v+g>>0]=b[w+1>>0]|0;s=Ez(s|0,t|0,1,0)|0;t=I;if(!((t|0)<(q|0)|(t|0)==(q|0)&s>>>0<g>>>0))break;else{v=v+1|0;w=w+2|0}}}Lz(e|0,j|0,o|0)|0;Mv(j)}else o=g<<1;Zc(e,o,m,J,19,H,l)|0;break e}case 4:{Rr(e,g);break}case 1:{Zc(e,g,m,J,19,H,l)|0;break e}default:{}}do if((f[(f[M>>2]|0)+1040>>2]|0)==22){q=((g|0)<0)<<31>>31;o=g<<2;j=Lv(o)|0;if(!j){vj(98249);break}if((g|0)>0){y=g<<1;z=g*3|0;s=0;t=0;v=j;w=e;while(1){b[v>>0]=b[w>>0]|0;b[v+g>>0]=b[w+1>>0]|0;b[v+y>>0]=b[w+2>>0]|0;b[v+z>>0]=b[w+3>>0]|0;s=Ez(s|0,t|0,1,0)|0;t=I;if(!((t|0)<(q|0)|(t|0)==(q|0)&s>>>0<g>>>0))break;else{v=v+1|0;w=w+4|0}}}Lz(e|0,j|0,o|0)|0;Mv(j)}else o=g<<2;while(0);Zc(e,o,m,J,19,H,l)|0}while(0);Wp(a,f[(f[M>>2]|0)+1136>>2]|0,c,((c|0)<0)<<31>>31,1,0,f[H>>2]|0,0,f[m>>2]|0,l)|0;break}case 51:{switch(f[C>>2]|0){case 2:{Qr(e,g);break}case 4:{Rr(e,g);break}default:{}}vj(98264);f[l>>2]=413;l=413;u=N;return l|0}case 41:{r=+n[o+1212>>2];A=r;if(!(r>0.0))if(r<0.0){o=s;r=-r}else o=s;else{Fs(e,h,i,j,t,0,0,0,0,0,0,D,F,E,l)|0;r=+p[D>>3];x=+p[F>>3];if(r!=0.0&r<x){p[F>>3]=r;x=r}r=+p[E>>3];if(r!=0.0&r<x)p[F>>3]=r;else r=x;o=f[J>>2]|0;r=A*r}v=~~(r+.5);f[G>>2]=o;switch(z|0){case 8:case 16:{Ps(e,h,i,v,f[m>>2]|0,G,l)|0;break}default:{do if((f[l>>2]|0)<=0){o=(g|0)<1e4?g:1e4;j=Lv(o<<3)|0;if(!j){vj(98288);f[l>>2]=113;break}if((g|0)>0){t=g-o|0;s=o;while(1){if((s|0)>0){o=0;do{J=f[e+(o+t<<2)>>2]|0;g=j+(o<<3)|0;f[g>>2]=J;f[g+4>>2]=((J|0)<0)<<31>>31;o=o+1|0}while((o|0)!=(s|0))}Lz(e+(t<<3)|0,j|0,s<<3|0)|0;o=(t|0)==0;q=(t|0)>1e4;s=o?0:q?s:t;if((s|0)<=0)break;else t=o?0:q?t+-1e4|0:0}}Mv(j)}while(0);Vs(e,h,i,v,f[m>>2]|0,G,l)|0}}e=f[G>>2]|0;Wp(a,f[(f[M>>2]|0)+1136>>2]|0,c,((c|0)<0)<<31>>31,1,0,e,((e|0)<0)<<31>>31,f[m>>2]|0,l)|0;break}default:{}}while(0);o=f[(f[M>>2]|0)+1148>>2]|0;if((o|0)>0){e=((c|0)<0)<<31>>31;$p(a,o,c,e,1,0,1,0,K,l)|0;$p(a,f[(f[M>>2]|0)+1152>>2]|0,c,e,1,0,1,0,L,l)|0}Mv(f[m>>2]|0)}l=f[l>>2]|0;u=N;return l|0}function fs(a,b,c,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;l=+l;m=m|0;n=n|0;var o=0;if((i|0)!=16|j!=1.0|k!=0.0){vj(98662);f[n>>2]=413;b=413;return b|0}i=f[(f[a+4>>2]|0)+1040>>2]|0;a:do switch(i|0){case 51:case 22:case 21:case 11:{f[m>>2]=2;if((e|0)==1?(o=d[g>>1]|0,(o<<16>>16|0)!=(h|0)&(c|0)>0):0){m=h&65535;do{i=c;c=c+-1|0;a=b+(c<<1)|0;if((d[a>>1]|0)==o<<16>>16)d[a>>1]=m}while((i|0)>1)}break}default:{f[m>>2]=4;a=(e|0)==1;if((i|0)==41){if(a){a=d[g>>1]|0;if((c|0)<=0)break a;while(1){o=c;c=c+-1|0;g=d[b+(c<<1)>>1]|0;f[b+(c<<2)>>2]=g<<16>>16==a<<16>>16?h:g<<16>>16;if((o|0)<=1)break a}}if((f[n>>2]|0)>0)break a;a=(c|0)<1e4?c:1e4;e=Lv(a<<2)|0;if(!e){vj(98741);f[n>>2]=113;break a}if((c|0)>0){m=c-a|0;while(1){if((a|0)>0){c=0;do{f[e+(c<<2)>>2]=d[b+(c+m<<1)>>1];c=c+1|0}while((c|0)!=(a|0))}Lz(b+(m<<2)|0,e|0,a<<2|0)|0;c=(m|0)==0;i=(m|0)>1e4;a=c?0:i?a:m;if((a|0)<=0)break;else m=c?0:i?m+-1e4|0:0}}Mv(e);break a}if(l==32768.0){if(a){a=d[g>>1]|0;if((c|0)<=0)break a;while(1){o=c;c=c+-1|0;g=d[b+(c<<1)>>1]|0;f[b+(c<<2)>>2]=g<<16>>16==a<<16>>16?h:(g<<16>>16)+32768|0;if((o|0)<=1)break a}}if((f[n>>2]|0)>0)break a;a=(c|0)<1e4?c:1e4;e=Lv(a<<2)|0;if(!e){vj(98741);f[n>>2]=113;break a}if((c|0)>0){m=c-a|0;while(1){if((a|0)>0){c=0;do{f[e+(c<<2)>>2]=d[b+(c+m<<1)>>1];c=c+1|0}while((c|0)!=(a|0))}Lz(b+(m<<2)|0,e|0,a<<2|0)|0;c=(m|0)==0;i=(m|0)>1e4;a=c?0:i?a:m;if((a|0)<=0)break;else m=c?0:i?m+-1e4|0:0}}Mv(e);break a}else{if(a){a=d[g>>1]|0;if((c|0)<=0)break a;while(1){o=c;c=c+-1|0;g=d[b+(c<<1)>>1]|0;f[b+(c<<2)>>2]=g<<16>>16==a<<16>>16?h:g<<16>>16;if((o|0)<=1)break a}}if((f[n>>2]|0)>0)break a;a=(c|0)<1e4?c:1e4;e=Lv(a<<2)|0;if(!e){vj(98741);f[n>>2]=113;break a}if((c|0)>0){m=c-a|0;while(1){if((a|0)>0){c=0;do{f[e+(c<<2)>>2]=d[b+(c+m<<1)>>1];c=c+1|0}while((c|0)!=(a|0))}Lz(b+(m<<2)|0,e|0,a<<2|0)|0;c=(m|0)==0;i=(m|0)>1e4;a=c?0:i?a:m;if((a|0)<=0)break;else m=c?0:i?m+-1e4|0:0}}Mv(e);break a}}}while(0);b=f[n>>2]|0;return b|0}function gs(a,b,c,e,g,h,i,k,l,m,n){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=+k;l=+l;m=m|0;n=n|0;if((i|0)!=16|k!=1.0|l!=32768.0){vj(97904);f[n>>2]=413;b=413;return b|0}a:do switch(f[(f[a+4>>2]|0)+1040>>2]|0){case 51:case 22:case 21:case 11:{f[m>>2]=2;m=c+-1|0;if((e|0)!=1){if((c|0)<=0)break a;while(1){c=b+(m<<1)|0;d[c>>1]=d[c>>1]^-32768;if((m|0)>0)m=m+-1|0;else break a}}i=d[g>>1]|0;if((c|0)>0){a=h&65535;while(1){c=b+(m<<1)|0;h=d[c>>1]|0;d[c>>1]=h<<16>>16==i<<16>>16?a:h^-32768;if((m|0)>0)m=m+-1|0;else break}}break}default:{f[m>>2]=4;if((e|0)==1){a=d[g>>1]|0;if((c|0)>0)m=c;else break a;while(1){c=m;m=m+-1|0;g=d[b+(m<<1)>>1]|0;f[b+(m<<2)>>2]=g<<16>>16==a<<16>>16?h:(g&65535)+-32768|0;if((c|0)<=1)break a}}if((f[n>>2]|0)<=0){m=(c|0)<1e4?c:1e4;g=Lv(m<<2)|0;if(!g){vj(98618);f[n>>2]=113;break a}if((c|0)>0){e=c-m|0;i=m;while(1){if((i|0)>0){m=0;do{f[g+(m<<2)>>2]=j[b+(m+e<<1)>>1];m=m+1|0}while((m|0)!=(i|0))}Lz(b+(e<<2)|0,g|0,i<<2|0)|0;m=(e|0)==0;a=(e|0)>1e4;i=m?0:a?i:e;if((i|0)<=0)break;else e=m?0:a?e+-1e4|0:0}}Mv(g)}}}while(0);b=f[n>>2]|0;return b|0}function hs(a,c,d,e,g,i,j,k,l,m,n){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=+k;l=+l;m=m|0;n=n|0;var o=0;if((j|0)!=8|k!=1.0|l!=0.0){vj(97904);f[n>>2]=413;c=413;return c|0}a:do switch(f[(f[a+4>>2]|0)+1040>>2]|0){case 51:case 22:case 21:case 11:{f[m>>2]=1;if((e|0)==1?(o=b[g>>0]|0,(o&255|0)!=(i|0)&(d|0)>0):0){g=i&255;do{e=d;d=d+-1|0;m=c+d|0;if((b[m>>0]|0)==o<<24>>24)b[m>>0]=g}while((e|0)>1)}break}default:{f[m>>2]=4;if((e|0)==1){m=b[g>>0]|0;if((d|0)<=0)break a;while(1){o=d;d=d+-1|0;j=b[c+d>>0]|0;f[c+(d<<2)>>2]=j<<24>>24==m<<24>>24?i:j&255;if((o|0)<=1)break a}}if((f[n>>2]|0)<=0){m=(d|0)<1e4?d:1e4;a=Lv(m<<2)|0;if(!a){vj(98575);f[n>>2]=113;break a}if((d|0)>0){g=d-m|0;while(1){if((m|0)>0){d=0;do{f[a+(d<<2)>>2]=h[c+(d+g)>>0];d=d+1|0}while((d|0)!=(m|0))}Lz(c+(g<<2)|0,a|0,m<<2|0)|0;d=(g|0)==0;e=(g|0)>1e4;m=d?0:e?m:g;if((m|0)<=0)break;else g=d?0:e?g+-1e4|0:0}}Mv(a)}}}while(0);c=f[n>>2]|0;return c|0}function is(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=+j;k=+k;l=l|0;m=m|0;if((i|0)!=8|j!=1.0|k!=-128.0){vj(97904);f[m>>2]=413;c=413;return c|0}a:do switch(f[(f[a+4>>2]|0)+1040>>2]|0){case 51:case 22:case 21:case 11:{f[l>>2]=1;l=d+-1|0;if((e|0)==1){a=b[g>>0]|0;if((d|0)<=0)break a;while(1){d=c+l|0;g=b[d>>0]|0;b[d>>0]=g<<24>>24==a<<24>>24?h:(g^-128)&255;if((l|0)>0)l=l+-1|0;else break}}else{if((d|0)<=0)break a;while(1){d=c+l|0;b[d>>0]=b[d>>0]^-128;if((l|0)>0)l=l+-1|0;else break}}break}default:{f[l>>2]=4;if((e|0)==1){a=b[g>>0]|0;if((d|0)>0)l=d;else break a;while(1){d=l;l=l+-1|0;g=b[c+l>>0]|0;f[c+(l<<2)>>2]=g<<24>>24==a<<24>>24?h:(g<<24>>24)+128|0;if((d|0)<=1)break a}}if((f[m>>2]|0)<=0){l=(d|0)<1e4?d:1e4;g=Lv(l<<2)|0;if(!g){vj(98532);f[m>>2]=113;break a}if((d|0)>0){e=d-l|0;i=l;while(1){if((i|0)>0){l=0;do{f[g+(l<<2)>>2]=(b[c+(l+e)>>0]|0)+128;l=l+1|0}while((l|0)!=(i|0))}Lz(c+(e<<2)|0,g|0,i<<2|0)|0;l=(e|0)==0;a=(e|0)>1e4;i=l?0:a?i:e;if((i|0)<=0)break;else e=l?0:a?e+-1e4|0:0}}Mv(g)}}}while(0);c=f[m>>2]|0;return c|0}function js(a,b,c,d,e,g,i,j,k,l,m,o,p,q,r,s,t){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;o=+o;p=p|0;q=q|0;r=r|0;s=s|0;t=t|0;var v=0.0,w=0,x=0,y=0,z=0,A=0,B=0;B=u;u=u+16|0;A=B+4|0;z=B;f[A>>2]=0;f[z>>2]=0;if(o!=0.0|(m!=1.0|(l|0)!=-32&((l|0)!=32&(l|0)!=-64))){vj(97904);f[t>>2]=413;t=413;u=B;return t|0}f[p>>2]=4;w=a+4|0;l=f[w>>2]|0;a:do if((f[l+1148>>2]|0)>0){if((i|0)==1)m=+n[j>>2];else m=-9.119119840596153e-36;switch(f[l+1072>>2]|0){case 2:case 1:{x=7;break}case -1:{j=-1;p=0;break}default:{vj(98506);vj(98458);f[t>>2]=413;t=413;u=B;return t|0}}if((x|0)==7){p=f[l+1020>>2]|0;if(!p){if(!(f[l+1076>>2]|0)){y=gb(0)|0;y=((Pa()|0)/1e4|0)+y|0;k=f[w>>2]|0;d=k+1076|0;f[d>>2]=((y+(f[k+68>>2]|0)|0)%1e4|0)+1;mp(a,31,98411,d,0,t)|0}}else if((p|0)<0?(y=l+1076|0,(f[y>>2]|0)<0):0){j=d<<2;if((d|0)>0){p=0;l=0;do{p=(h[c+l>>0]|0)+p|0;l=l+1|0}while((l|0)<(j|0));p=((p>>>0)%1e4|0)+1|0}else p=1;f[y>>2]=p;mp(a,31,98411,y,0,t)|0}p=f[w>>2]|0;l=p;j=f[p+1072>>2]|0;p=b+-1+(f[p+1076>>2]|0)|0}p=zs(p,c,e,g,i,m,+n[l+1068>>2],j,c,r,s,A,z)|0;f[q>>2]=p;if((p|0)>1){f[t>>2]=p;t=p;u=B;return t|0}}else{if(!(+n[l+1068>>2]!=9999.0)){if((i|0)!=1)break;m=+n[j>>2];if((d|0)>0)p=0;else break;while(1){if(+n[c+(p<<2)>>2]==m)f[c+(p<<2)>>2]=-1;p=p+1|0;if((p|0)==(d|0))break a}}v=+n[j>>2];p=(d|0)>0;if((i|0)!=1){if(p)l=0;else break;while(1){m=+n[c+(l<<2)>>2];o=m;do if(!(o<-2147483648.49))if(o>2147483647.49){f[t>>2]=-11;p=2147483647;break}else{p=~~(o+(!(m>=0.0)?-.5:.5));break}else{f[t>>2]=-11;p=-2147483648}while(0);f[c+(l<<2)>>2]=p;l=l+1|0;if((l|0)==(d|0))break a}}if(p){l=0;do{m=+n[c+(l<<2)>>2];do if(!(m==v)){o=m;if(o<-2147483648.49){f[t>>2]=-11;p=-2147483648;break}if(o>2147483647.49){f[t>>2]=-11;p=2147483647;break}else{p=~~(o+(!(m>=0.0)?-.5:.5));break}}else p=k;while(0);f[c+(l<<2)>>2]=p;l=l+1|0}while((l|0)!=(d|0))}}while(0);t=f[t>>2]|0;u=B;return t|0}function ks(a,b,c,d,e,g,i,j,k,l,m,o,q,r,s,t,v){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=+m;o=+o;q=q|0;r=r|0;s=s|0;t=t|0;v=v|0;var w=0,x=0,y=0,z=0,A=0,B=0;B=u;u=u+16|0;A=B+4|0;z=B;f[A>>2]=0;f[z>>2]=0;if(o!=0.0|(m!=1.0|(l|0)!=-32&((l|0)!=32&(l|0)!=-64))){vj(97904);f[v>>2]=413;v=413;u=B;return v|0}f[q>>2]=4;w=a+4|0;l=f[w>>2]|0;a:do if((f[l+1148>>2]|0)>0){if((i|0)==1)m=+p[j>>3];else m=-9.1191291391491e-36;switch(f[l+1072>>2]|0){case 2:case 1:{x=7;break}case -1:{j=-1;q=0;break}default:{vj(98420);vj(98458);f[v>>2]=413;v=413;u=B;return v|0}}if((x|0)==7){q=f[l+1020>>2]|0;if(!q){if(!(f[l+1076>>2]|0)){k=gb(0)|0;k=((Pa()|0)/1e4|0)+k|0;y=f[w>>2]|0;d=y+1076|0;f[d>>2]=((k+(f[y+68>>2]|0)|0)%1e4|0)+1;mp(a,31,98411,d,0,v)|0}}else if((q|0)<0?(y=l+1076|0,(f[y>>2]|0)<0):0){j=d<<3;if((d|0)>0){q=0;l=0;do{q=(h[c+l>>0]|0)+q|0;l=l+1|0}while((l|0)<(j|0));q=((q>>>0)%1e4|0)+1|0}else q=1;f[y>>2]=q;mp(a,31,98411,y,0,v)|0}q=f[w>>2]|0;l=q;j=f[q+1072>>2]|0;q=b+-1+(f[q+1076>>2]|0)|0}q=Ds(q,c,e,g,i,m,+n[l+1068>>2],j,c,s,t,A,z)|0;f[r>>2]=q;if((q|0)>1){f[v>>2]=q;v=q;u=B;return v|0}}else{if(!(+n[l+1068>>2]!=9999.0)){if((i|0)!=1)break;m=+p[j>>3];if((d|0)>0)q=0;else break;while(1){if(+p[c+(q<<3)>>3]==m){i=c+(q<<3)|0;f[i>>2]=-1;f[i+4>>2]=-1}q=q+1|0;if((q|0)==(d|0))break a}}o=+p[j>>3];q=(d|0)>0;if((i|0)!=1){if(q)l=0;else break;while(1){m=+p[c+(l<<3)>>3];do if(!(m<-2147483648.49))if(m>2147483647.49){f[v>>2]=-11;q=2147483647;break}else{q=~~(m+(!(m>=0.0)?-.5:.5));break}else{f[v>>2]=-11;q=-2147483648}while(0);f[c+(l<<2)>>2]=q;l=l+1|0;if((l|0)==(d|0))break a}}if(q){l=0;do{m=+p[c+(l<<3)>>3];do if(!(m==o)){if(m<-2147483648.49){f[v>>2]=-11;q=-2147483648;break}if(m>2147483647.49){f[v>>2]=-11;q=2147483647;break}else{q=~~(m+(!(m>=0.0)?-.5:.5));break}}else q=k;while(0);f[c+(l<<2)>>2]=q;l=l+1|0}while((l|0)!=(d|0))}}while(0);v=f[v>>2]|0;u=B;return v|0}function ls(a,b,c,d,e,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0;La=u;u=u+320|0;ua=La+200|0;sa=La+176|0;ka=La+152|0;na=La+128|0;Ha=La+104|0;Ja=La+80|0;s=La+56|0;Fa=La+32|0;Ga=La+8|0;Ia=La+4|0;Ka=La;Ea=La+224|0;j=f[i>>2]|0;if((j|0)>0){Ka=j;u=La;return Ka|0}if(!(Ek(a,i)|0)){vj(100350);f[i>>2]=413;Ka=413;u=La;return Ka|0}j=f[a>>2]|0;Da=a+4|0;k=f[Da>>2]|0;if((j|0)==(f[k+68>>2]|0)){Ca=k+120|0;if(((f[Ca>>2]|0)==-1?(f[Ca+4>>2]|0)==-1:0)?(Kj(a,i)|0)>0:0){Ka=f[i>>2]|0;u=La;return Ka|0}}else Hj(a,j+1|0,0,i)|0;j=b|1;a:do switch(j|0){case 21:{Ca=2;break}case 31:{Ca=4;break}default:if((b+-11|0)>>>0>=2)if((j|0)==41)Ca=4;else{switch(b|0){case 42:{Ca=4;break a}case 82:{Ca=8;break a}default:{}}vj(100409);f[i>>2]=410;Ka=410;u=La;return Ka|0}else Ca=1}while(0);p=f[Da>>2]|0;b:do switch(f[p+1040>>2]|0){case 41:{switch(f[p+1096>>2]|0){case 16:case 8:break;default:{j=8;break b}}j=Ca>>>0>4?Ca:4;break}case 31:{j=Ca>>>0>4?Ca:4;break}case 51:case 22:case 21:case 11:switch(f[p+1096>>2]|0){case 8:{j=Ca>>>0>1?Ca:1;break b}case 16:{j=Ca>>>0>2?Ca:2;break b}default:{j=Ca>>>0>4?Ca:4;break b}}default:{vj(100452);f[i>>2]=410;Ka=410;u=La;return Ka|0}}while(0);Ba=Nv(f[p+1128>>2]|0,j)|0;if(!Ba){vj(100492);f[i>>2]=113;Ka=113;u=La;return Ka|0}f[ua>>2]=1;f[sa>>2]=1;f[ka>>2]=1;f[na>>2]=1;f[s>>2]=1;W=ua+4|0;f[W>>2]=1;S=sa+4|0;f[S>>2]=1;M=ka+4|0;f[M>>2]=1;N=na+4|0;f[N>>2]=1;aa=s+4|0;f[aa>>2]=1;K=ua+8|0;f[K>>2]=1;J=sa+8|0;f[J>>2]=1;H=ka+8|0;f[H>>2]=1;I=na+8|0;f[I>>2]=1;L=s+8|0;f[L>>2]=1;F=ua+12|0;f[F>>2]=1;E=sa+12|0;f[E>>2]=1;C=ka+12|0;f[C>>2]=1;D=na+12|0;f[D>>2]=1;G=s+12|0;f[G>>2]=1;A=ua+16|0;f[A>>2]=1;z=sa+16|0;f[z>>2]=1;w=ka+16|0;f[w>>2]=1;y=na+16|0;f[y>>2]=1;B=s+16|0;f[B>>2]=1;t=ua+20|0;f[t>>2]=1;r=sa+20|0;f[r>>2]=1;m=ka+20|0;f[m>>2]=1;q=na+20|0;f[q>>2]=1;v=s+20|0;f[v>>2]=1;Aa=f[p+1100>>2]|0;do if((Aa|0)>0){n=0;o=1;while(1){j=f[c+(n<<2)>>2]|0;f[Fa+(n<<2)>>2]=j;k=f[d+(n<<2)>>2]|0;f[Ga+(n<<2)>>2]=k;l=f[p+1104+(n<<2)>>2]|0;f[ua+(n<<2)>>2]=l;if((j|0)<1)break;ya=f[p+1044+(n<<2)>>2]|0;f[sa+(n<<2)>>2]=ya;za=((l+-1|0)/(ya|0)|0)+1|0;f[ka+(n<<2)>>2]=((j+-1|0)/(ya|0)|0)+1;ya=((k+-1|0)/(ya|0)|0)+1|0;f[na+(n<<2)>>2]=(ya|0)<(za|0)?ya:za;f[s+(n<<2)>>2]=o;o=X(za,o)|0;n=n+1|0;if((n|0)>=(Aa|0)){x=31;break}}if((x|0)==31){k=f[m>>2]|0;j=f[q>>2]|0;if((k|0)>(j|0))break;else{x=32;break}}Mv(Ba);f[i>>2]=321;Ka=321;u=La;return Ka|0}else{j=1;k=1;x=32}while(0);if((x|0)==32){ya=f[r>>2]|0;za=Ha+20|0;wa=f[t>>2]|0;xa=Ja+20|0;va=f[v>>2]|0;ta=f[w>>2]|0;qa=f[y>>2]|0;ra=(ta|0)>(qa|0);oa=f[z>>2]|0;pa=Ha+16|0;la=f[A>>2]|0;ma=Ja+16|0;ja=f[B>>2]|0;ia=f[C>>2]|0;ga=f[D>>2]|0;ha=(ia|0)>(ga|0);ea=f[E>>2]|0;fa=Ha+12|0;ca=f[F>>2]|0;da=Ja+12|0;ba=f[G>>2]|0;$=f[H>>2]|0;Z=f[I>>2]|0;_=($|0)>(Z|0);V=f[J>>2]|0;Y=Ha+8|0;T=f[K>>2]|0;U=Ja+8|0;R=f[L>>2]|0;Q=f[M>>2]|0;O=f[N>>2]|0;P=(Q|0)>(O|0);M=f[S>>2]|0;N=Ha+4|0;K=f[W>>2]|0;L=Ja+4|0;J=f[aa>>2]|0;I=f[ka>>2]|0;G=f[na>>2]|0;H=(I|0)>(G|0);F=f[sa>>2]|0;E=f[ua>>2]|0;while(1){B=k+-1|0;v=X(ya,B)|0;f[za>>2]=v+1;ua=X(ya,k)|0;ua=(ua|0)<(wa|0)?ua:wa;f[xa>>2]=ua;v=ua-v|0;B=X(va,B)|0;if(!ra){A=ta;while(1){w=A+-1|0;C=X(oa,w)|0;f[pa>>2]=C+1;ua=X(oa,A)|0;ua=(ua|0)<(la|0)?ua:la;f[ma>>2]=ua;C=X(ua-C|0,v)|0;w=(X(ja,w)|0)+B|0;if(!ha){z=ia;while(1){x=z+-1|0;D=X(ea,x)|0;f[fa>>2]=D+1;ua=X(ea,z)|0;ua=(ua|0)<(ca|0)?ua:ca;f[da>>2]=ua;D=X(C,ua-D|0)|0;x=w+(X(ba,x)|0)|0;if(!_){y=$;while(1){l=y+-1|0;c=X(V,l)|0;f[Y>>2]=c+1;ua=X(V,y)|0;ua=(ua|0)<(T|0)?ua:T;f[U>>2]=ua;c=X(D,ua-c|0)|0;l=x+(X(R,l)|0)|0;do if(!P){if(H){l=Q;while(1)if((l|0)<(O|0))l=l+1|0;else break;ua=X(M,l)|0;sa=(X(M,l+-1|0)|0)+1|0;f[N>>2]=sa;f[L>>2]=(ua|0)<(K|0)?ua:K;break}else r=Q;while(1){m=r+-1|0;d=X(M,m)|0;p=d+1|0;f[N>>2]=p;q=X(M,r)|0;q=(q|0)<(K|0)?q:K;f[L>>2]=q;d=X(c,q-d|0)|0;m=l+(X(J,m)|0)|0;p=q+1-p|0;q=I;while(1){s=X(F,q+-1|0)|0;n=s+1|0;f[Ha>>2]=n;t=X(F,q)|0;t=(t|0)<(E|0)?t:E;f[Ja>>2]=t;s=X(d,t-s|0)|0;o=m+q|0;ms(a,o,s,b,e,h,Ba,0,Ia,i)|0;if((f[i>>2]|0)==415){Fz(Ba|0,0,X(s,Ca)|0)|0;f[i>>2]=0}ns(Ba,Ca,Aa,Ha,Ja,0,g,Fa,Ga,0,i)|0;es(a,o,b,Ba,s,t+1-n|0,p,e,h,i)|0;if((q|0)<(G|0))q=q+1|0;else break}if((r|0)<(O|0))r=r+1|0;else break}}while(0);if((y|0)<(Z|0))y=y+1|0;else break}}if((z|0)<(ga|0))z=z+1|0;else break}}if((A|0)<(qa|0))A=A+1|0;else break}}if((k|0)<(j|0))k=k+1|0;else break}}Mv(Ba);if((e|0?(f[(f[Da>>2]|0)+1096>>2]|0)<0:0)?(f[Ka>>2]=0,In(a,97680,Ea,Ka)|0,f[Ka>>2]|0):0){In(a,97671,Ea,i)|0;Jp(a,97680,-2147483647,-1,97687,i)|0;Ka=f[Da>>2]|0;f[Ka+1200>>2]=-2147483647;f[Ka+1156>>2]=-1}Ka=f[i>>2]|0;u=La;return Ka|0}
function Fv(a){a=a|0;var c=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0;fa=u;u=u+4592|0;ba=fa+32|0;aa=fa+16|0;$=fa;Z=fa+3928|0;Y=fa+3528|0;W=fa+3128|0;V=fa+2104|0;R=fa+4328|0;U=fa+1080|0;T=fa+56|0;S=fa+48|0;da=f[a+32>>2]|0;K=f[a+36>>2]|0;M=f[a+24>>2]|0;ca=a+68|0;N=f[ca>>2]|0;O=f[a+616>>2]|0;c=f[a+48>>2]|0;if((N|0)>=1e4){Q=N+34|0;Q=K+((Q&1|0)==0?Q:N+35|0)|0;I=(c|0)>1?c:1;I=X((((I|0)<100?I:100)+-1|0)/3|0,N)|0;f[S>>2]=I;H=(O|0)>3;if(H)Vx(110828,33,1,f[4971]|0)|0;Fz(M|0,0,262148)|0;c=h[K>>0]<<8;J=N+-1|0;i=(J|0)>2;if(i){e=N+-4|0;g=J;do{d[Q+(g<<1)>>1]=0;G=h[K+g>>0]<<8|c>>8;F=M+(G<<2)|0;f[F>>2]=(f[F>>2]|0)+1;F=g+-1|0;d[Q+(F<<1)>>1]=0;G=h[K+F>>0]<<8|G>>8;F=M+(G<<2)|0;f[F>>2]=(f[F>>2]|0)+1;F=g+-2|0;d[Q+(F<<1)>>1]=0;G=h[K+F>>0]<<8|G>>8;F=M+(G<<2)|0;f[F>>2]=(f[F>>2]|0)+1;F=g+-3|0;d[Q+(F<<1)>>1]=0;c=h[K+F>>0]<<8|G>>8;G=M+(c<<2)|0;f[G>>2]=(f[G>>2]|0)+1;g=g+-4|0}while((g|0)>2);e=N+-5-(e&-4)|0}else e=J;if((e|0)>-1)while(1){d[Q+(e<<1)>>1]=0;c=h[K+e>>0]<<8|c>>8;G=M+(c<<2)|0;f[G>>2]=(f[G>>2]|0)+1;if((e|0)<=0){c=0;break}else e=e+-1|0}else c=0;do{G=c+N|0;b[K+G>>0]=b[K+c>>0]|0;d[Q+(G<<1)>>1]=0;c=c+1|0}while((c|0)!=34);if(H)Vx(110862,27,1,f[4971]|0)|0;c=f[M>>2]|0;e=1;do{G=M+(e<<2)|0;c=(f[G>>2]|0)+c|0;f[G>>2]=c;e=e+1|0}while((e|0)!=65537);c=h[K>>0]<<8;if(i){e=N+-4|0;g=J;do{F=h[K+g>>0]|0;D=M+((F<<8|c>>>8&255)<<2)|0;E=(f[D>>2]|0)+-1|0;f[D>>2]=E;f[da+(E<<2)>>2]=g;E=g+-1|0;D=h[K+E>>0]|0;F=M+((D<<8|F)<<2)|0;G=(f[F>>2]|0)+-1|0;f[F>>2]=G;f[da+(G<<2)>>2]=E;G=g+-2|0;E=h[K+G>>0]|0;D=M+((E<<8|D)<<2)|0;F=(f[D>>2]|0)+-1|0;f[D>>2]=F;f[da+(F<<2)>>2]=G;F=g+-3|0;c=h[K+F>>0]<<8|E;E=M+(c<<2)|0;G=(f[E>>2]|0)+-1|0;f[E>>2]=G;f[da+(G<<2)>>2]=F;g=g+-4|0}while((g|0)>2);e=N+-5-(e&-4)|0}else e=J;if((e|0)>-1)while(1){c=h[K+e>>0]<<8|c>>>8&255;F=M+(c<<2)|0;G=(f[F>>2]|0)+-1|0;f[F>>2]=G;f[da+(G<<2)>>2]=e;if((e|0)<=0)break;else e=e+-1|0}Fz(R|0,0,256)|0;c=0;do{f[V+(c<<2)>>2]=c;c=c+1|0}while((c|0)!=256);k=364;do{l=k;k=(k|0)/3|0;if((l|0)<768){m=k;do{j=f[V+(m<<2)>>2]|0;i=j<<8;i=(f[M+(i+256<<2)>>2]|0)-(f[M+(i<<2)>>2]|0)|0;c=m;while(1){g=c-k|0;e=f[V+(g<<2)>>2]|0;G=e<<8;if(((f[M+(G+256<<2)>>2]|0)-(f[M+(G<<2)>>2]|0)|0)>>>0<=i>>>0)break;f[V+(c<<2)>>2]=e;if((g|0)<(k|0)){c=g;break}else c=g}f[V+(c<<2)>>2]=j;m=m+1|0}while((m|0)<256)}}while((l+-3|0)>>>0>2);F=f[4971]|0;c=I;G=0;e=0;a:while(1){E=f[V+(G<<2)>>2]|0;D=E<<8;C=0;while(1){if((C|0)==(E|0))q=e;else{i=C+D|0;B=M+(i<<2)|0;g=f[B>>2]|0;if((g&2097152|0)==0?(P=g&-2097153,_=(f[M+(i+1<<2)>>2]&-2097153)+-1|0,(_|0)>(P|0)):0){if(H){f[$>>2]=E;f[$+4>>2]=C;f[$+8>>2]=e;f[$+12>>2]=1-P+_;zy(F,110890,$)|0}f[Z>>2]=P;f[Y>>2]=_;f[W>>2]=2;w=1;b:while(1){r=(w|0)<98;g=w+-1|0;s=Z+(g<<2)|0;t=Y+(g<<2)|0;v=W+(g<<2)|0;while(1){if(!r){x=40;break a}y=f[s>>2]|0;z=f[t>>2]|0;A=f[v>>2]|0;j=z-y|0;if((j|0)<20|(A|0)>14){x=42;break}l=b[K+((f[da+(y<<2)>>2]|0)+A)>>0]|0;i=b[K+((f[da+(z<<2)>>2]|0)+A)>>0]|0;k=b[K+((f[da+(z+y>>1<<2)>>2]|0)+A)>>0]|0;j=(l&255)>(i&255);q=j?l:i;l=j?i:l;q=((q&255)>(k&255)?((l&255)>(k&255)?l:k):q)&255;k=z;l=y;i=z;j=y;c:while(1){d:do if((j|0)<=(i|0))do{o=j;while(1){m=da+(o<<2)|0;j=f[m>>2]|0;n=(h[K+(j+A)>>0]|0)-q|0;if(!n)break;if((n|0)>0){j=o;break d}j=o+1|0;if((o|0)<(i|0))o=j;else break d}x=da+(l<<2)|0;f[m>>2]=f[x>>2];f[x>>2]=j;l=l+1|0;j=o+1|0}while((o|0)<(i|0));while(0);if((j|0)>(i|0))break;e:while(1){o=i;while(1){m=da+(o<<2)|0;i=f[m>>2]|0;n=(h[K+(i+A)>>0]|0)-q|0;if(!n)break;if((n|0)<0)break e;i=o+-1|0;if((j|0)<(o|0))o=i;else break c}x=da+(k<<2)|0;f[m>>2]=f[x>>2];f[x>>2]=i;k=k+-1|0;i=o+-1|0;if((j|0)>=(o|0))break c}n=da+(j<<2)|0;x=f[n>>2]|0;f[n>>2]=i;f[m>>2]=x;i=o+-1|0;j=j+1|0}if((k|0)>=(l|0)){x=79;break}f[v>>2]=A+1}if((x|0)==42){x=0;do if((j+1|0)>=2){i=0;while(1)if((f[19616+(i<<2)>>2]|0)>(j|0))break;else i=i+1|0;if((i|0)<=0)break;do{q=i;i=i+-1|0;n=f[19616+(i<<2)>>2]|0;o=n+y|0;r=o;while(1){if((r|0)>(z|0))break;m=f[da+(r<<2)>>2]|0;j=m+A|0;c=r;while(1){l=c-n|0;k=da+(l<<2)|0;if(!((Hv((f[k>>2]|0)+A|0,j,K,Q,N,S)|0)<<24>>24))break;f[da+(c<<2)>>2]=f[k>>2];if((l|0)<(o|0)){c=l;break}else c=l}f[da+(c<<2)>>2]=m;c=r+1|0;if((r|0)>=(z|0))break;m=f[da+(c<<2)>>2]|0;l=m+A|0;while(1){k=c-n|0;j=da+(k<<2)|0;if(!((Hv((f[j>>2]|0)+A|0,l,K,Q,N,S)|0)<<24>>24))break;f[da+(c<<2)>>2]=f[j>>2];if((k|0)<(o|0)){c=k;break}else c=k}f[da+(c<<2)>>2]=m;c=r+2|0;if((c|0)>(z|0))break;m=f[da+(c<<2)>>2]|0;l=m+A|0;while(1){k=c-n|0;j=da+(k<<2)|0;if(!((Hv((f[j>>2]|0)+A|0,l,K,Q,N,S)|0)<<24>>24))break;f[da+(c<<2)>>2]=f[j>>2];if((k|0)<(o|0)){c=k;break}else c=k}f[da+(c<<2)>>2]=m;c=f[S>>2]|0;if((c|0)<0)break b;else r=r+3|0}}while((q|0)>1);c=f[S>>2]|0}while(0);if((c|0)<0)break}else if((x|0)==79){x=0;r=l-y|0;g=j-l|0;g=(r|0)<(g|0)?r:g;if((g|0)>0){m=g;n=y;g=j-g|0;while(1){o=da+(n<<2)|0;q=f[o>>2]|0;r=da+(g<<2)|0;f[o>>2]=f[r>>2];f[r>>2]=q;if((m|0)>1){m=m+-1|0;n=n+1|0;g=g+1|0}else break}}g=z-k|0;i=k-i|0;g=(g|0)<(i|0)?g:i;if((g|0)>0){k=g;m=j;g=z-g|0;while(1){g=g+1|0;o=da+(m<<2)|0;q=f[o>>2]|0;r=da+(g<<2)|0;f[o>>2]=f[r>>2];f[r>>2]=q;if((k|0)<=1)break;else{k=k+-1|0;m=m+1|0}}}o=y-l+j|0;k=o+-1|0;q=z-i|0;i=q+1|0;r=A+1|0;j=(k-y|0)<(z-i|0);n=j?y:i;i=j?i:y;y=j?k:z;k=j?z:k;z=(y-n|0)<(q-o|0);j=z?o:n;l=z?q:y;g=z?r:A;m=(k-i|0)<(l-j|0);f[s>>2]=m?j:i;f[t>>2]=m?l:k;f[v>>2]=m?g:A;f[Z+(w<<2)>>2]=m?i:j;f[Y+(w<<2)>>2]=m?k:l;f[W+(w<<2)>>2]=m?A:g;g=w+1|0;f[Z+(g<<2)>>2]=z?n:o;f[Y+(g<<2)>>2]=z?y:q;f[W+(g<<2)>>2]=z?A:r;g=w+2|0}if((g|0)>0)w=g;else break}if((c|0)<0){L=c;break a}g=f[B>>2]|0;e=e+1-P+_|0}f[B>>2]=g|2097152;q=e}C=C+1|0;if((C|0)>=256)break;else e=q}o=R+E|0;if(!(b[o>>0]|0))e=0;else{x=91;break}do{C=(e<<8)+E|0;f[U+(e<<2)>>2]=f[M+(C<<2)>>2]&-2097153;f[T+(e<<2)>>2]=(f[M+(C+1<<2)>>2]&-2097153)+-1;e=e+1|0}while((e|0)!=256);n=M+(D<<2)|0;g=f[n>>2]&-2097153;k=U+(E<<2)|0;e=f[k>>2]|0;if((g|0)<(e|0)){do{i=(f[da+(g<<2)>>2]|0)+-1|0;i=((i|0)<0?N:0)+i|0;j=h[K+i>>0]|0;if(!(b[R+j>>0]|0)){C=U+(j<<2)|0;e=f[C>>2]|0;f[C>>2]=e+1;f[da+(e<<2)>>2]=i;e=f[k>>2]|0}g=g+1|0}while((g|0)<(e|0));l=e}else l=e;m=M+(D+256<<2)|0;g=(f[m>>2]&-2097153)+-1|0;k=T+(E<<2)|0;e=f[k>>2]|0;if((g|0)>(e|0))do{i=(f[da+(g<<2)>>2]|0)+-1|0;i=((i|0)<0?N:0)+i|0;j=h[K+i>>0]|0;if(!(b[R+j>>0]|0)){D=T+(j<<2)|0;e=f[D>>2]|0;f[D>>2]=e+-1;f[da+(e<<2)>>2]=i;e=f[k>>2]|0}g=g+-1|0}while((g|0)>(e|0));if((l+-1|0)!=(e|0)?!((l|0)==0&(e|0)==(J|0)):0){x=103;break}else e=0;do{D=M+((e<<8)+E<<2)|0;f[D>>2]=f[D>>2]|2097152;e=e+1|0}while((e|0)!=256);b[o>>0]=1;if((G|0)<255){l=f[n>>2]&-2097153;e=(f[m>>2]&-2097153)-l|0;j=0;while(1)if((e>>j|0)>65534)j=j+1|0;else break;k=e+-1|0;if((e|0)>0){i=k;while(1){e=f[da+(i+l<<2)>>2]|0;g=i>>>j&65535;d[Q+(e<<1)>>1]=g;if((e|0)<34)d[Q+(e+N<<1)>>1]=g;if((i|0)>0)i=i+-1|0;else break}}if((k>>j|0)>=65536){x=113;break}}G=G+1|0;if((G|0)>=256){x=115;break}else e=q}if((x|0)==40)kv(1001);else if((x|0)==91)kv(1006);else if((x|0)==103)kv(1007);else if((x|0)==113)kv(1002);else if((x|0)==115)if(H){f[aa>>2]=N;f[aa+4>>2]=q;f[aa+8>>2]=N-q;zy(F,110938,aa)|0;L=c}else L=c;if((O|0)>2){aa=I-L|0;f[ba>>2]=aa;f[ba+4>>2]=N;p[ba+8>>3]=+(aa|0)/((N|0)==0?1.0:+(N|0));zy(F,110982,ba)|0}if((L|0)<0){if((O|0)>1)Vx(111020,53,1,F)|0;Gv(f[a+16>>2]|0,f[a+20>>2]|0,M,N,O)}}else Gv(f[a+16>>2]|0,f[a+20>>2]|0,M,N,O);g=a+28|0;f[g>>2]=-1;c=f[ca>>2]|0;if((c|0)>0)ea=0;else kv(1003);while(1){if(!(f[da+(ea<<2)>>2]|0))break;e=ea+1|0;if((e|0)<(c|0))ea=e;else{x=127;break}}if((x|0)==127)kv(1003);f[g>>2]=ea;if((ea|0)==-1)kv(1003);else{u=fa;return}}function Gv(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0;N=u;u=u+2880|0;K=N+8|0;J=N;H=N+2472|0;G=N+2072|0;j=N+1040|0;M=N+16|0;E=(g|0)>3;if(E)Vx(110862,27,1,f[4971]|0)|0;Fz(j|0,0,1028)|0;F=(e|0)>0;if(F){g=0;do{D=j+((h[c+g>>0]|0)<<2)|0;f[D>>2]=(f[D>>2]|0)+1;g=g+1|0}while((g|0)!=(e|0));g=f[j>>2]|0}else g=0;Lz(M|0,j|0,1024)|0;i=1;do{D=j+(i<<2)|0;g=(f[D>>2]|0)+g|0;f[D>>2]=g;i=i+1|0}while((i|0)!=257);if(F){g=0;do{C=j+((h[c+g>>0]|0)<<2)|0;D=(f[C>>2]|0)+-1|0;f[C>>2]=D;f[a+(D<<2)>>2]=g;g=g+1|0}while((g|0)!=(e|0))}if((e|0)>-64){g=((e|0)/32|0)+1|0;Fz(d|0,0,(((g|0)>0?g:0)<<2)+4|0)|0;g=0}else g=0;do{C=f[j+(g<<2)>>2]|0;D=d+(C>>5<<2)|0;f[D>>2]=1<<(C&31)|f[D>>2];g=g+1|0}while((g|0)!=256);g=0;do{C=(g<<1)+e|0;D=d+(C>>5<<2)|0;f[D>>2]=f[D>>2]|1<<(C&31);C=C+1|0;D=d+(C>>5<<2)|0;f[D>>2]=f[D>>2]&~(1<<(C&31));g=g+1|0}while((g|0)!=32);C=f[4971]|0;D=1;a:while(1){if(E){f[J>>2]=D;zy(C,111074,J)|0}if(F){g=0;i=0;do{i=(f[d+(g>>5<<2)>>2]&1<<(g&31)|0)==0?i:g;B=(f[a+(g<<2)>>2]|0)-D|0;f[c+(((B|0)<0?e:0)+B<<2)>>2]=i;g=g+1|0}while((g|0)!=(e|0));k=0;g=-1}else{k=0;g=-1}b:while(1){B=g;do{g=B;do{g=g+1|0;B=g&31;i=(1<<B&f[d+(g>>5<<2)>>2]|0)!=0}while(!((B|0)==0|i^1));if(i){while(1)if((f[d+(g>>5<<2)>>2]|0)==-1)g=g+32|0;else break;while(1)if(!(1<<(g&31)&f[d+(g>>5<<2)>>2]))break;else g=g+1|0}if((g|0)>(e|0))break b;else i=g;while(1){B=i&31;j=(1<<B&f[d+(i>>5<<2)>>2]|0)!=0;if((B|0)==0|j)break;else i=i+1|0}if(!j){while(1)if(!(f[d+(i>>5<<2)>>2]|0))i=i+32|0;else break;while(1)if(!(1<<(i&31)&f[d+(i>>5<<2)>>2]))i=i+1|0;else break}B=i+-1|0;if((i|0)>(e|0))break b}while((i|0)<=(g|0));j=g+-1|0;A=k+1+(1-g)+B|0;f[H>>2]=j;f[G>>2]=B;z=0;k=1;c:do{y=k;while(1){if((y|0)>=99){L=35;break a}k=y+-1|0;t=H+(k<<2)|0;w=f[t>>2]|0;v=G+(k<<2)|0;x=f[v>>2]|0;l=x-w|0;if((l|0)>=10)break;if((x|0)!=(w|0)){if((l|0)>3?(I=x+-4|0,(I|0)>=(w|0)):0){q=I;while(1){p=f[a+(q<<2)>>2]|0;o=f[c+(p<<2)>>2]|0;m=q+4|0;d:do if((m|0)>(x|0))l=q;else{l=q;while(1){n=f[a+(m<<2)>>2]|0;if(o>>>0<=(f[c+(n<<2)>>2]|0)>>>0)break d;f[a+(l<<2)>>2]=n;l=m+4|0;if((l|0)>(x|0)){l=m;break}else{v=m;m=l;l=v}}}while(0);f[a+(l<<2)>>2]=p;if((q|0)>(w|0))q=q+-1|0;else break}}if((x|0)>(w|0)){q=x;do{l=q;q=q+-1|0;p=f[a+(q<<2)>>2]|0;o=f[c+(p<<2)>>2]|0;e:do if((l|0)>(x|0))l=q;else{n=q;while(1){m=f[a+(l<<2)>>2]|0;if(o>>>0<=(f[c+(m<<2)>>2]|0)>>>0){l=n;break e}f[a+(n<<2)>>2]=m;if((l|0)<(x|0)){n=l;l=l+1|0}else break}}while(0);f[a+(l<<2)>>2]=p}while((q|0)>(w|0))}}if((y|0)>1)y=k;else break c}z=(z*7621|0)+1&32767;switch(((z>>>0)%3|0)&3){case 0:{l=w;break}case 1:{l=x+w>>1;break}default:l=x}s=f[c+(f[a+(l<<2)>>2]<<2)>>2]|0;n=x;o=w;l=x;m=w;f:while(1){g:do if((m|0)<=(l|0))do{r=m;while(1){p=a+(r<<2)|0;m=f[p>>2]|0;q=(f[c+(m<<2)>>2]|0)-s|0;if(!q)break;if((q|0)>0){m=r;break g}m=r+1|0;if((r|0)<(l|0))r=m;else break g}q=a+(o<<2)|0;f[p>>2]=f[q>>2];f[q>>2]=m;o=o+1|0;m=r+1|0}while((r|0)<(l|0));while(0);if((m|0)>(l|0))break;h:while(1){r=l;while(1){p=a+(r<<2)|0;l=f[p>>2]|0;q=(f[c+(l<<2)>>2]|0)-s|0;if(!q)break;if((q|0)<0)break h;l=r+-1|0;if((m|0)<(r|0))r=l;else break f}q=a+(n<<2)|0;f[p>>2]=f[q>>2];f[q>>2]=l;n=n+-1|0;l=r+-1|0;if((m|0)>=(r|0))break f}O=a+(m<<2)|0;q=f[O>>2]|0;f[O>>2]=l;f[p>>2]=q;l=r+-1|0;m=m+1|0}if((n|0)>=(o|0)){O=o-w|0;k=m-o|0;k=(O|0)<(k|0)?O:k;if((k|0)>0){p=k;q=w;k=m-k|0;while(1){r=a+(q<<2)|0;s=f[r>>2]|0;O=a+(k<<2)|0;f[r>>2]=f[O>>2];f[O>>2]=s;if((p|0)>1){p=p+-1|0;q=q+1|0;k=k+1|0}else break}}k=x-n|0;l=n-l|0;k=(k|0)<(l|0)?k:l;if((k|0)>0){n=k;p=m;k=x-k|0;while(1){k=k+1|0;r=a+(p<<2)|0;s=f[r>>2]|0;O=a+(k<<2)|0;f[r>>2]=f[O>>2];f[O>>2]=s;if((n|0)<=1)break;else{n=n+-1|0;p=p+1|0}}}k=w+-1-o+m|0;s=x-l+1|0;O=(k-w|0)>(x-s|0);f[t>>2]=O?w:s;f[v>>2]=O?k:x;f[H+(y<<2)>>2]=O?s:w;f[G+(y<<2)>>2]=O?x:k;k=y+1|0}}while((k|0)>0);if((g|0)>(i|0)){k=A;g=B;continue}else l=-1;while(1){g=f[c+(f[a+(j<<2)>>2]<<2)>>2]|0;k=d+(j>>5<<2)|0;if((l|0)==(g|0))g=l;else f[k>>2]=f[k>>2]|1<<(j&31);j=j+1|0;if((j|0)<(i|0))l=g;else{k=A;g=B;continue b}}}if(E){f[K>>2]=k;zy(C,111097,K)|0}D=D<<1;if((D|0)>(e|0)|(k|0)==0)break}if((L|0)==35)kv(1004);if(E)Vx(111121,33,1,C)|0;if(F){k=0;g=0}else{u=N;return}do{while(1){j=M+(g<<2)|0;i=f[j>>2]|0;if(!i)g=g+1|0;else break}f[j>>2]=i+-1;b[c+(f[a+(k<<2)>>2]|0)>>0]=g;k=k+1|0}while((k|0)!=(e|0));if((g|0)<256){u=N;return}else kv(1005)}function Hv(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0;j=b[e+a>>0]|0;k=b[e+c>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+1)>>0]|0;k=b[e+(c+1)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+2)>>0]|0;k=b[e+(c+2)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+3)>>0]|0;k=b[e+(c+3)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+4)>>0]|0;k=b[e+(c+4)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+5)>>0]|0;k=b[e+(c+5)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+6)>>0]|0;k=b[e+(c+6)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+7)>>0]|0;k=b[e+(c+7)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+8)>>0]|0;k=b[e+(c+8)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+9)>>0]|0;k=b[e+(c+9)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+10)>>0]|0;k=b[e+(c+10)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}j=b[e+(a+11)>>0]|0;k=b[e+(c+11)>>0]|0;if(j<<24>>24!=k<<24>>24){g=(j&255)>(k&255);g=g&1;return g|0}m=a+12|0;l=c+12|0;n=h+8|0;while(1){j=b[e+m>>0]|0;k=b[e+l>>0]|0;if(j<<24>>24!=k<<24>>24){c=27;break}j=d[g+(m<<1)>>1]|0;k=d[g+(l<<1)>>1]|0;if(j<<16>>16!=k<<16>>16){c=29;break}j=m+1|0;c=l+1|0;k=b[e+j>>0]|0;a=b[e+c>>0]|0;if(k<<24>>24!=a<<24>>24){c=31;break}k=d[g+(j<<1)>>1]|0;j=d[g+(c<<1)>>1]|0;if(k<<16>>16!=j<<16>>16){c=33;break}j=m+2|0;c=l+2|0;k=b[e+j>>0]|0;a=b[e+c>>0]|0;if(k<<24>>24!=a<<24>>24){c=35;break}k=d[g+(j<<1)>>1]|0;j=d[g+(c<<1)>>1]|0;if(k<<16>>16!=j<<16>>16){c=37;break}j=m+3|0;c=l+3|0;k=b[e+j>>0]|0;a=b[e+c>>0]|0;if(k<<24>>24!=a<<24>>24){c=39;break}k=d[g+(j<<1)>>1]|0;j=d[g+(c<<1)>>1]|0;if(k<<16>>16!=j<<16>>16){c=41;break}j=m+4|0;c=l+4|0;k=b[e+j>>0]|0;a=b[e+c>>0]|0;if(k<<24>>24!=a<<24>>24){c=43;break}k=d[g+(j<<1)>>1]|0;j=d[g+(c<<1)>>1]|0;if(k<<16>>16!=j<<16>>16){c=45;break}j=m+5|0;c=l+5|0;k=b[e+j>>0]|0;a=b[e+c>>0]|0;if(k<<24>>24!=a<<24>>24){c=47;break}k=d[g+(j<<1)>>1]|0;j=d[g+(c<<1)>>1]|0;if(k<<16>>16!=j<<16>>16){c=49;break}j=m+6|0;c=l+6|0;k=b[e+j>>0]|0;a=b[e+c>>0]|0;if(k<<24>>24!=a<<24>>24){c=51;break}k=d[g+(j<<1)>>1]|0;j=d[g+(c<<1)>>1]|0;if(k<<16>>16!=j<<16>>16){c=53;break}j=m+7|0;c=l+7|0;k=b[e+j>>0]|0;a=b[e+c>>0]|0;if(k<<24>>24!=a<<24>>24){c=55;break}k=d[g+(j<<1)>>1]|0;j=d[g+(c<<1)>>1]|0;if(k<<16>>16!=j<<16>>16){c=57;break}j=m+8|0;k=l+8|0;n=n+-8|0;f[i>>2]=(f[i>>2]|0)+-1;if((n|0)<=-1){j=0;c=59;break}else{m=j-(j>>>0<h>>>0?0:h)|0;l=k-(k>>>0<h>>>0?0:h)|0}}switch(c|0){case 27:{g=(j&255)>(k&255);g=g&1;return g|0}case 29:{g=(j&65535)>(k&65535);g=g&1;return g|0}case 31:{g=(k&255)>(a&255);g=g&1;return g|0}case 33:{g=(k&65535)>(j&65535);g=g&1;return g|0}case 35:{g=(k&255)>(a&255);g=g&1;return g|0}case 37:{g=(k&65535)>(j&65535);g=g&1;return g|0}case 39:{g=(k&255)>(a&255);g=g&1;return g|0}case 41:{g=(k&65535)>(j&65535);g=g&1;return g|0}case 43:{g=(k&255)>(a&255);g=g&1;return g|0}case 45:{g=(k&65535)>(j&65535);g=g&1;return g|0}case 47:{g=(k&255)>(a&255);g=g&1;return g|0}case 49:{g=(k&65535)>(j&65535);g=g&1;return g|0}case 51:{g=(k&255)>(a&255);g=g&1;return g|0}case 53:{g=(k&65535)>(j&65535);g=g&1;return g|0}case 55:{g=(k&255)>(a&255);g=g&1;return g|0}case 57:{g=(k&65535)>(j&65535);g=g&1;return g|0}case 59:{g=j&1;return g|0}}return 0}function Iv(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;C=u;u=u+5168|0;z=C+4128|0;B=C+2064|0;A=C;if((d|0)>0){g=0;do{y=f[c+(g<<2)>>2]|0;g=g+1|0;f[B+(g<<2)>>2]=(y|0)==0?256:y<<8}while((g|0)!=(d|0))}x=(d|0)<1;t=z+4|0;y=A+4|0;q=d<<2;r=d+1|0;v=(d|0)<260;w=(d|0)>1;s=d+-1+d|0;f[z>>2]=0;f[B>>2]=0;f[A>>2]=-2;if(x){u=C;return}while(1){Fz(y|0,-1,q|0)|0;i=1;j=0;while(1){j=j+1|0;h=f[B+(i<<2)>>2]|0;g=i;k=j;c=j;while(1){f[z+(c<<2)>>2]=g;c=k>>1;g=f[z+(c<<2)>>2]|0;if((h|0)>=(f[B+(g<<2)>>2]|0))break;else{p=k;k=c;c=p}}f[z+(k<<2)>>2]=i;if((j|0)==(d|0))break;else i=i+1|0}if(!v){c=10;break}if(w){o=d;p=d;while(1){n=f[t>>2]|0;j=f[z+(o<<2)>>2]|0;f[t>>2]=j;k=o;o=o+-1|0;a:do if((k|0)>2){h=f[B+(j<<2)>>2]|0;g=2;i=1;while(1){if((g|0)<(o|0)){c=g|1;c=(f[B+(f[z+(c<<2)>>2]<<2)>>2]|0)<(f[B+(f[z+(g<<2)>>2]<<2)>>2]|0)?c:g}else c=g;g=f[z+(c<<2)>>2]|0;if((h|0)<(f[B+(g<<2)>>2]|0)){c=i;break a}f[z+(i<<2)>>2]=g;g=c<<1;if((g|0)>=(k|0))break;else i=c}}else c=1;while(0);f[z+(c<<2)>>2]=j;l=f[t>>2]|0;c=z+(o<<2)|0;m=f[c>>2]|0;f[t>>2]=m;j=k+-2|0;b:do if((j|0)<2)g=1;else{i=f[B+(m<<2)>>2]|0;h=2;k=1;while(1){if((h|0)<(j|0)){g=h|1;g=(f[B+(f[z+(g<<2)>>2]<<2)>>2]|0)<(f[B+(f[z+(h<<2)>>2]<<2)>>2]|0)?g:h}else g=h;h=f[z+(g<<2)>>2]|0;if((i|0)<(f[B+(h<<2)>>2]|0)){g=k;break b}f[z+(k<<2)>>2]=h;h=g<<1;if((h|0)>(j|0))break;else k=g}}while(0);f[z+(g<<2)>>2]=m;p=p+1|0;f[A+(l<<2)>>2]=p;f[A+(n<<2)>>2]=p;i=f[B+(n<<2)>>2]|0;h=f[B+(l<<2)>>2]|0;i=(f[B+(((i&255)>>>0>(h&255)>>>0?n:l)<<2)>>2]&255)+1|(h&-256)+(i&-256);f[B+(p<<2)>>2]=i;f[A+(p<<2)>>2]=-1;f[c>>2]=p;h=o>>1;g=f[z+(h<<2)>>2]|0;if((i|0)<(f[B+(g<<2)>>2]|0))do{f[c>>2]=g;c=h;h=h>>1;g=f[z+(h<<2)>>2]|0;c=z+(c<<2)|0}while((i|0)<(f[B+(g<<2)>>2]|0));f[c>>2]=p;if((o|0)<=1){c=s;break}}}else c=d;if((c|0)>=516){c=28;break}if(x){c=37;break}else{c=1;i=0}do{g=0;h=c;while(1){h=f[A+(h<<2)>>2]|0;if((h|0)<=-1)break;else g=g+1|0}b[a+(c+-1)>>0]=g;i=(g|0)>(e|0)?1:i;c=c+1|0}while((c|0)!=(r|0));if(!(i<<24>>24)){c=37;break}if(x){c=36;break}else c=1;do{p=B+(c<<2)|0;f[p>>2]=(((f[p>>2]>>8|0)/2|0)<<8)+256;c=c+1|0}while((c|0)!=(r|0));f[z>>2]=0;f[B>>2]=0;f[A>>2]=-2;if(x){c=37;break}}if((c|0)==10)kv(2001);else if((c|0)==28)kv(2002);else if((c|0)==36){f[z>>2]=0;f[B>>2]=0;f[A>>2]=-2;u=C;return}else if((c|0)==37){u=C;return}}function Jv(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,i=0;if((c|0)<=(d|0)&(e|0)>0)g=0;else return;while(1){i=0;do{if((h[b+i>>0]|0|0)==(c|0)){f[a+(i<<2)>>2]=g;g=g+1|0}i=i+1|0}while((i|0)!=(e|0));if((c|0)<(d|0)){c=c+1|0;g=g<<1}else break}return}function Kv(a,b,c,d,e,g,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0;m=(e|0)>(g|0);do if(m)l=9;else{if((i|0)>0){k=e;j=0}else{j=b;k=j+92|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));break}while(1){l=0;do{if((h[d+l>>0]|0|0)==(k|0)){f[c+(j<<2)>>2]=l;j=j+1|0}l=l+1|0}while((l|0)!=(i|0));if((k|0)<(g|0))k=k+1|0;else{l=9;break}}}while(0);if((l|0)==9){j=b;k=j+92|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));if((i|0)>0){j=0;do{c=b+((h[d+j>>0]|0)+1<<2)|0;f[c>>2]=(f[c>>2]|0)+1;j=j+1|0}while((j|0)!=(i|0))}}j=b+8|0;k=(f[j>>2]|0)+(f[b+4>>2]|0)|0;f[j>>2]=k;j=b+12|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+16|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+20|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+24|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+28|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+32|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+36|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+40|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+44|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+48|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+52|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+56|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+60|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+64|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+68|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+72|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+76|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+80|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+84|0;k=(f[j>>2]|0)+k|0;f[j>>2]=k;j=b+88|0;f[j>>2]=(f[j>>2]|0)+k;j=a;k=j+92|0;do{f[j>>2]=0;j=j+4|0}while((j|0)<(k|0));if(!m){k=e;j=0;while(1){d=k;k=k+1|0;j=(f[b+(k<<2)>>2]|0)-(f[b+(d<<2)>>2]|0)+j|0;f[a+(d<<2)>>2]=j+-1;if((d|0)>=(g|0))break;else j=j<<1}}if((e|0)>=(g|0))return;do{m=e;e=e+1|0;d=b+(e<<2)|0;f[d>>2]=(f[a+(m<<2)>>2]<<1)+2-(f[d>>2]|0)}while((e|0)!=(g|0));return}function Lv(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;x=u;u=u+16|0;n=x;do if(a>>>0<245){k=a>>>0<11?16:a+11&-8;a=k>>>3;m=f[55595]|0;c=m>>>a;if(c&3|0){d=(c&1^1)+a|0;e=222420+(d<<1<<2)|0;b=e+8|0;a=f[b>>2]|0;g=a+8|0;c=f[g>>2]|0;if((e|0)==(c|0))f[55595]=m&~(1<<d);else{f[c+12>>2]=e;f[b>>2]=c}w=d<<3;f[a+4>>2]=w|3;w=a+w+4|0;f[w>>2]=f[w>>2]|1;w=g;u=x;return w|0}l=f[55597]|0;if(k>>>0>l>>>0){if(c|0){h=2<<a;c=c<<a&(h|0-h);c=(c&0-c)+-1|0;h=c>>>12&16;c=c>>>h;a=c>>>5&8;c=c>>>a;e=c>>>2&4;c=c>>>e;b=c>>>1&2;c=c>>>b;d=c>>>1&1;d=(a|h|e|b|d)+(c>>>d)|0;c=222420+(d<<1<<2)|0;b=c+8|0;e=f[b>>2]|0;h=e+8|0;a=f[h>>2]|0;if((c|0)==(a|0)){a=m&~(1<<d);f[55595]=a}else{f[a+12>>2]=c;f[b>>2]=a;a=m}g=(d<<3)-k|0;f[e+4>>2]=k|3;e=e+k|0;f[e+4>>2]=g|1;f[e+g>>2]=g;if(l|0){d=f[55600]|0;b=l>>>3;c=222420+(b<<1<<2)|0;b=1<<b;if(!(a&b)){f[55595]=a|b;b=c+8|0;a=c}else{a=c+8|0;b=a;a=f[a>>2]|0}f[b>>2]=d;f[a+12>>2]=d;f[d+8>>2]=a;f[d+12>>2]=c}f[55597]=g;f[55600]=e;w=h;u=x;return w|0}i=f[55596]|0;if(i){c=(i&0-i)+-1|0;h=c>>>12&16;c=c>>>h;g=c>>>5&8;c=c>>>g;j=c>>>2&4;c=c>>>j;a=c>>>1&2;c=c>>>a;d=c>>>1&1;d=f[222684+((g|h|j|a|d)+(c>>>d)<<2)>>2]|0;c=(f[d+4>>2]&-8)-k|0;a=f[d+16+(((f[d+16>>2]|0)==0&1)<<2)>>2]|0;if(!a){j=c;h=d}else{do{h=(f[a+4>>2]&-8)-k|0;j=h>>>0<c>>>0;c=j?h:c;d=j?a:d;a=f[a+16+(((f[a+16>>2]|0)==0&1)<<2)>>2]|0}while((a|0)!=0);j=c;h=d}g=h+k|0;if(h>>>0<g>>>0){e=f[h+24>>2]|0;b=f[h+12>>2]|0;do if((b|0)==(h|0)){a=h+20|0;b=f[a>>2]|0;if(!b){a=h+16|0;b=f[a>>2]|0;if(!b){c=0;break}}while(1){d=b+20|0;c=f[d>>2]|0;if(c|0){b=c;a=d;continue}d=b+16|0;c=f[d>>2]|0;if(!c)break;else{b=c;a=d}}f[a>>2]=0;c=b}else{c=f[h+8>>2]|0;f[c+12>>2]=b;f[b+8>>2]=c;c=b}while(0);do if(e|0){b=f[h+28>>2]|0;a=222684+(b<<2)|0;if((h|0)==(f[a>>2]|0)){f[a>>2]=c;if(!c){f[55596]=i&~(1<<b);break}}else{f[e+16+(((f[e+16>>2]|0)!=(h|0)&1)<<2)>>2]=c;if(!c)break}f[c+24>>2]=e;b=f[h+16>>2]|0;if(b|0){f[c+16>>2]=b;f[b+24>>2]=c}b=f[h+20>>2]|0;if(b|0){f[c+20>>2]=b;f[b+24>>2]=c}}while(0);if(j>>>0<16){w=j+k|0;f[h+4>>2]=w|3;w=h+w+4|0;f[w>>2]=f[w>>2]|1}else{f[h+4>>2]=k|3;f[g+4>>2]=j|1;f[g+j>>2]=j;if(l|0){d=f[55600]|0;b=l>>>3;c=222420+(b<<1<<2)|0;b=1<<b;if(!(m&b)){f[55595]=m|b;b=c+8|0;a=c}else{a=c+8|0;b=a;a=f[a>>2]|0}f[b>>2]=d;f[a+12>>2]=d;f[d+8>>2]=a;f[d+12>>2]=c}f[55597]=j;f[55600]=g}w=h+8|0;u=x;return w|0}else m=k}else m=k}else m=k}else if(a>>>0<=4294967231){a=a+11|0;k=a&-8;d=f[55596]|0;if(d){c=0-k|0;a=a>>>8;if(a)if(k>>>0>16777215)j=31;else{m=(a+1048320|0)>>>16&8;v=a<<m;l=(v+520192|0)>>>16&4;v=v<<l;j=(v+245760|0)>>>16&2;j=14-(l|m|j)+(v<<j>>>15)|0;j=k>>>(j+7|0)&1|j<<1}else j=0;a=f[222684+(j<<2)>>2]|0;a:do if(!a){e=0;a=0;v=57}else{e=0;h=k<<((j|0)==31?0:25-(j>>>1)|0);i=a;a=0;while(1){g=(f[i+4>>2]&-8)-k|0;if(g>>>0<c>>>0)if(!g){c=0;e=i;a=i;v=61;break a}else{c=g;a=i}g=f[i+20>>2]|0;i=f[i+16+(h>>>31<<2)>>2]|0;e=(g|0)==0|(g|0)==(i|0)?e:g;g=(i|0)==0;if(g){v=57;break}else h=h<<((g^1)&1)}}while(0);if((v|0)==57){if((e|0)==0&(a|0)==0){a=2<<j;a=d&(a|0-a);if(!a){m=k;break}a=(a&0-a)+-1|0;j=a>>>12&16;a=a>>>j;i=a>>>5&8;a=a>>>i;l=a>>>2&4;a=a>>>l;m=a>>>1&2;a=a>>>m;e=a>>>1&1;e=f[222684+((i|j|l|m|e)+(a>>>e)<<2)>>2]|0;a=0}if(!e){i=c;j=a}else v=61}if((v|0)==61)while(1){v=0;l=(f[e+4>>2]&-8)-k|0;m=l>>>0<c>>>0;c=m?l:c;a=m?e:a;e=f[e+16+(((f[e+16>>2]|0)==0&1)<<2)>>2]|0;if(!e){i=c;j=a;break}else v=61}if((j|0)!=0?i>>>0<((f[55597]|0)-k|0)>>>0:0){h=j+k|0;if(j>>>0>=h>>>0){w=0;u=x;return w|0}g=f[j+24>>2]|0;b=f[j+12>>2]|0;do if((b|0)==(j|0)){a=j+20|0;b=f[a>>2]|0;if(!b){a=j+16|0;b=f[a>>2]|0;if(!b){b=0;break}}while(1){e=b+20|0;c=f[e>>2]|0;if(c|0){b=c;a=e;continue}e=b+16|0;c=f[e>>2]|0;if(!c)break;else{b=c;a=e}}f[a>>2]=0}else{w=f[j+8>>2]|0;f[w+12>>2]=b;f[b+8>>2]=w}while(0);do if(g){a=f[j+28>>2]|0;c=222684+(a<<2)|0;if((j|0)==(f[c>>2]|0)){f[c>>2]=b;if(!b){d=d&~(1<<a);f[55596]=d;break}}else{f[g+16+(((f[g+16>>2]|0)!=(j|0)&1)<<2)>>2]=b;if(!b)break}f[b+24>>2]=g;a=f[j+16>>2]|0;if(a|0){f[b+16>>2]=a;f[a+24>>2]=b}a=f[j+20>>2]|0;if(a){f[b+20>>2]=a;f[a+24>>2]=b}}while(0);do if(i>>>0>=16){f[j+4>>2]=k|3;f[h+4>>2]=i|1;f[h+i>>2]=i;b=i>>>3;if(i>>>0<256){c=222420+(b<<1<<2)|0;a=f[55595]|0;b=1<<b;if(!(a&b)){f[55595]=a|b;b=c+8|0;a=c}else{a=c+8|0;b=a;a=f[a>>2]|0}f[b>>2]=h;f[a+12>>2]=h;f[h+8>>2]=a;f[h+12>>2]=c;break}b=i>>>8;if(b)if(i>>>0>16777215)b=31;else{v=(b+1048320|0)>>>16&8;w=b<<v;t=(w+520192|0)>>>16&4;w=w<<t;b=(w+245760|0)>>>16&2;b=14-(t|v|b)+(w<<b>>>15)|0;b=i>>>(b+7|0)&1|b<<1}else b=0;c=222684+(b<<2)|0;f[h+28>>2]=b;a=h+16|0;f[a+4>>2]=0;f[a>>2]=0;a=1<<b;if(!(d&a)){f[55596]=d|a;f[c>>2]=h;f[h+24>>2]=c;f[h+12>>2]=h;f[h+8>>2]=h;break}a=i<<((b|0)==31?0:25-(b>>>1)|0);c=f[c>>2]|0;while(1){if((f[c+4>>2]&-8|0)==(i|0)){v=97;break}d=c+16+(a>>>31<<2)|0;b=f[d>>2]|0;if(!b){v=96;break}else{a=a<<1;c=b}}if((v|0)==96){f[d>>2]=h;f[h+24>>2]=c;f[h+12>>2]=h;f[h+8>>2]=h;break}else if((v|0)==97){v=c+8|0;w=f[v>>2]|0;f[w+12>>2]=h;f[v>>2]=h;f[h+8>>2]=w;f[h+12>>2]=c;f[h+24>>2]=0;break}}else{w=i+k|0;f[j+4>>2]=w|3;w=j+w+4|0;f[w>>2]=f[w>>2]|1}while(0);w=j+8|0;u=x;return w|0}else m=k}else m=k}else m=-1;while(0);c=f[55597]|0;if(c>>>0>=m>>>0){a=c-m|0;b=f[55600]|0;if(a>>>0>15){w=b+m|0;f[55600]=w;f[55597]=a;f[w+4>>2]=a|1;f[w+a>>2]=a;f[b+4>>2]=m|3}else{f[55597]=0;f[55600]=0;f[b+4>>2]=c|3;w=b+c+4|0;f[w>>2]=f[w>>2]|1}w=b+8|0;u=x;return w|0}h=f[55598]|0;if(h>>>0>m>>>0){t=h-m|0;f[55598]=t;w=f[55601]|0;v=w+m|0;f[55601]=v;f[v+4>>2]=t|1;f[w+4>>2]=m|3;w=w+8|0;u=x;return w|0}if(!(f[55713]|0)){f[55715]=4096;f[55714]=4096;f[55716]=-1;f[55717]=-1;f[55718]=0;f[55706]=0;a=n&-16^1431655768;f[n>>2]=a;f[55713]=a;a=4096}else a=f[55715]|0;i=m+48|0;j=m+47|0;g=a+j|0;d=0-a|0;k=g&d;if(k>>>0<=m>>>0){w=0;u=x;return w|0}a=f[55705]|0;if(a|0?(l=f[55703]|0,n=l+k|0,n>>>0<=l>>>0|n>>>0>a>>>0):0){w=0;u=x;return w|0}b:do if(!(f[55706]&4)){c=f[55601]|0;c:do if(c){e=222828;while(1){a=f[e>>2]|0;if(a>>>0<=c>>>0?(q=e+4|0,(a+(f[q>>2]|0)|0)>>>0>c>>>0):0)break;a=f[e+8>>2]|0;if(!a){v=118;break c}else e=a}b=g-h&d;if(b>>>0<2147483647){a=Tz(b|0)|0;if((a|0)==((f[e>>2]|0)+(f[q>>2]|0)|0)){if((a|0)!=(-1|0)){h=a;g=b;v=135;break b}}else{d=a;v=126}}else b=0}else v=118;while(0);do if((v|0)==118){c=Tz(0)|0;if((c|0)!=(-1|0)?(b=c,o=f[55714]|0,p=o+-1|0,b=((p&b|0)==0?0:(p+b&0-o)-b|0)+k|0,o=f[55703]|0,p=b+o|0,b>>>0>m>>>0&b>>>0<2147483647):0){q=f[55705]|0;if(q|0?p>>>0<=o>>>0|p>>>0>q>>>0:0){b=0;break}a=Tz(b|0)|0;if((a|0)==(c|0)){h=c;g=b;v=135;break b}else{d=a;v=126}}else b=0}while(0);do if((v|0)==126){c=0-b|0;if(!(i>>>0>b>>>0&(b>>>0<2147483647&(d|0)!=(-1|0))))if((d|0)==(-1|0)){b=0;break}else{h=d;g=b;v=135;break b}a=f[55715]|0;a=j-b+a&0-a;if(a>>>0>=2147483647){h=d;g=b;v=135;break b}if((Tz(a|0)|0)==(-1|0)){Tz(c|0)|0;b=0;break}else{h=d;g=a+b|0;v=135;break b}}while(0);f[55706]=f[55706]|4;v=133}else{b=0;v=133}while(0);if(((v|0)==133?k>>>0<2147483647:0)?(r=Tz(k|0)|0,q=Tz(0)|0,t=q-r|0,s=t>>>0>(m+40|0)>>>0,!((r|0)==(-1|0)|s^1|r>>>0<q>>>0&((r|0)!=(-1|0)&(q|0)!=(-1|0))^1)):0){h=r;g=s?t:b;v=135}if((v|0)==135){b=(f[55703]|0)+g|0;f[55703]=b;if(b>>>0>(f[55704]|0)>>>0)f[55704]=b;j=f[55601]|0;do if(j){e=222828;while(1){b=f[e>>2]|0;d=e+4|0;a=f[d>>2]|0;if((h|0)==(b+a|0)){v=145;break}c=f[e+8>>2]|0;if(!c)break;else e=c}if(((v|0)==145?(f[e+12>>2]&8|0)==0:0)?j>>>0<h>>>0&j>>>0>=b>>>0:0){f[d>>2]=a+g;w=j+8|0;w=(w&7|0)==0?0:0-w&7;v=j+w|0;w=(f[55598]|0)+(g-w)|0;f[55601]=v;f[55598]=w;f[v+4>>2]=w|1;f[v+w+4>>2]=40;f[55602]=f[55717];break}if(h>>>0<(f[55599]|0)>>>0)f[55599]=h;c=h+g|0;a=222828;while(1){if((f[a>>2]|0)==(c|0)){v=153;break}b=f[a+8>>2]|0;if(!b)break;else a=b}if((v|0)==153?(f[a+12>>2]&8|0)==0:0){f[a>>2]=h;l=a+4|0;f[l>>2]=(f[l>>2]|0)+g;l=h+8|0;l=h+((l&7|0)==0?0:0-l&7)|0;b=c+8|0;b=c+((b&7|0)==0?0:0-b&7)|0;k=l+m|0;i=b-l-m|0;f[l+4>>2]=m|3;do if((b|0)!=(j|0)){if((b|0)==(f[55600]|0)){w=(f[55597]|0)+i|0;f[55597]=w;f[55600]=k;f[k+4>>2]=w|1;f[k+w>>2]=w;break}a=f[b+4>>2]|0;if((a&3|0)==1){h=a&-8;d=a>>>3;d:do if(a>>>0<256){a=f[b+8>>2]|0;c=f[b+12>>2]|0;if((c|0)==(a|0)){f[55595]=f[55595]&~(1<<d);break}else{f[a+12>>2]=c;f[c+8>>2]=a;break}}else{g=f[b+24>>2]|0;a=f[b+12>>2]|0;do if((a|0)==(b|0)){d=b+16|0;c=d+4|0;a=f[c>>2]|0;if(!a){a=f[d>>2]|0;if(!a){a=0;break}else e=d}else e=c;while(1){d=a+20|0;c=f[d>>2]|0;if(c|0){a=c;e=d;continue}d=a+16|0;c=f[d>>2]|0;if(!c)break;else{a=c;e=d}}f[e>>2]=0}else{w=f[b+8>>2]|0;f[w+12>>2]=a;f[a+8>>2]=w}while(0);if(!g)break;c=f[b+28>>2]|0;d=222684+(c<<2)|0;do if((b|0)!=(f[d>>2]|0)){f[g+16+(((f[g+16>>2]|0)!=(b|0)&1)<<2)>>2]=a;if(!a)break d}else{f[d>>2]=a;if(a|0)break;f[55596]=f[55596]&~(1<<c);break d}while(0);f[a+24>>2]=g;d=b+16|0;c=f[d>>2]|0;if(c|0){f[a+16>>2]=c;f[c+24>>2]=a}c=f[d+4>>2]|0;if(!c)break;f[a+20>>2]=c;f[c+24>>2]=a}while(0);b=b+h|0;e=h+i|0}else e=i;b=b+4|0;f[b>>2]=f[b>>2]&-2;f[k+4>>2]=e|1;f[k+e>>2]=e;b=e>>>3;if(e>>>0<256){c=222420+(b<<1<<2)|0;a=f[55595]|0;b=1<<b;if(!(a&b)){f[55595]=a|b;b=c+8|0;a=c}else{a=c+8|0;b=a;a=f[a>>2]|0}f[b>>2]=k;f[a+12>>2]=k;f[k+8>>2]=a;f[k+12>>2]=c;break}b=e>>>8;do if(!b)a=0;else{if(e>>>0>16777215){a=31;break}v=(b+1048320|0)>>>16&8;w=b<<v;t=(w+520192|0)>>>16&4;w=w<<t;a=(w+245760|0)>>>16&2;a=14-(t|v|a)+(w<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}while(0);d=222684+(a<<2)|0;f[k+28>>2]=a;b=k+16|0;f[b+4>>2]=0;f[b>>2]=0;b=f[55596]|0;c=1<<a;if(!(b&c)){f[55596]=b|c;f[d>>2]=k;f[k+24>>2]=d;f[k+12>>2]=k;f[k+8>>2]=k;break}a=e<<((a|0)==31?0:25-(a>>>1)|0);c=f[d>>2]|0;while(1){if((f[c+4>>2]&-8|0)==(e|0)){v=194;break}d=c+16+(a>>>31<<2)|0;b=f[d>>2]|0;if(!b){v=193;break}else{a=a<<1;c=b}}if((v|0)==193){f[d>>2]=k;f[k+24>>2]=c;f[k+12>>2]=k;f[k+8>>2]=k;break}else if((v|0)==194){v=c+8|0;w=f[v>>2]|0;f[w+12>>2]=k;f[v>>2]=k;f[k+8>>2]=w;f[k+12>>2]=c;f[k+24>>2]=0;break}}else{w=(f[55598]|0)+i|0;f[55598]=w;f[55601]=k;f[k+4>>2]=w|1}while(0);w=l+8|0;u=x;return w|0}a=222828;while(1){b=f[a>>2]|0;if(b>>>0<=j>>>0?(w=b+(f[a+4>>2]|0)|0,w>>>0>j>>>0):0)break;a=f[a+8>>2]|0}e=w+-47|0;a=e+8|0;a=e+((a&7|0)==0?0:0-a&7)|0;e=j+16|0;a=a>>>0<e>>>0?j:a;b=a+8|0;c=h+8|0;c=(c&7|0)==0?0:0-c&7;v=h+c|0;c=g+-40-c|0;f[55601]=v;f[55598]=c;f[v+4>>2]=c|1;f[v+c+4>>2]=40;f[55602]=f[55717];c=a+4|0;f[c>>2]=27;f[b>>2]=f[55707];f[b+4>>2]=f[55708];f[b+8>>2]=f[55709];f[b+12>>2]=f[55710];f[55707]=h;f[55708]=g;f[55710]=0;f[55709]=b;b=a+24|0;do{v=b;b=b+4|0;f[b>>2]=7}while((v+8|0)>>>0<w>>>0);if((a|0)!=(j|0)){g=a-j|0;f[c>>2]=f[c>>2]&-2;f[j+4>>2]=g|1;f[a>>2]=g;b=g>>>3;if(g>>>0<256){c=222420+(b<<1<<2)|0;a=f[55595]|0;b=1<<b;if(!(a&b)){f[55595]=a|b;b=c+8|0;a=c}else{a=c+8|0;b=a;a=f[a>>2]|0}f[b>>2]=j;f[a+12>>2]=j;f[j+8>>2]=a;f[j+12>>2]=c;break}b=g>>>8;if(b)if(g>>>0>16777215)c=31;else{v=(b+1048320|0)>>>16&8;w=b<<v;t=(w+520192|0)>>>16&4;w=w<<t;c=(w+245760|0)>>>16&2;c=14-(t|v|c)+(w<<c>>>15)|0;c=g>>>(c+7|0)&1|c<<1}else c=0;d=222684+(c<<2)|0;f[j+28>>2]=c;f[j+20>>2]=0;f[e>>2]=0;b=f[55596]|0;a=1<<c;if(!(b&a)){f[55596]=b|a;f[d>>2]=j;f[j+24>>2]=d;f[j+12>>2]=j;f[j+8>>2]=j;break}a=g<<((c|0)==31?0:25-(c>>>1)|0);c=f[d>>2]|0;while(1){if((f[c+4>>2]&-8|0)==(g|0)){v=216;break}d=c+16+(a>>>31<<2)|0;b=f[d>>2]|0;if(!b){v=215;break}else{a=a<<1;c=b}}if((v|0)==215){f[d>>2]=j;f[j+24>>2]=c;f[j+12>>2]=j;f[j+8>>2]=j;break}else if((v|0)==216){v=c+8|0;w=f[v>>2]|0;f[w+12>>2]=j;f[v>>2]=j;f[j+8>>2]=w;f[j+12>>2]=c;f[j+24>>2]=0;break}}}else{w=f[55599]|0;if((w|0)==0|h>>>0<w>>>0)f[55599]=h;f[55707]=h;f[55708]=g;f[55710]=0;f[55604]=f[55713];f[55603]=-1;b=0;do{w=222420+(b<<1<<2)|0;f[w+12>>2]=w;f[w+8>>2]=w;b=b+1|0}while((b|0)!=32);w=h+8|0;w=(w&7|0)==0?0:0-w&7;v=h+w|0;w=g+-40-w|0;f[55601]=v;f[55598]=w;f[v+4>>2]=w|1;f[v+w+4>>2]=40;f[55602]=f[55717]}while(0);b=f[55598]|0;if(b>>>0>m>>>0){t=b-m|0;f[55598]=t;w=f[55601]|0;v=w+m|0;f[55601]=v;f[v+4>>2]=t|1;f[w+4>>2]=m|3;w=w+8|0;u=x;return w|0}}w=Wv()|0;f[w>>2]=12;w=0;u=x;return w|0}function Mv(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;if(!a)return;c=a+-8|0;d=f[55599]|0;a=f[a+-4>>2]|0;b=a&-8;k=c+b|0;do if(!(a&1)){e=f[c>>2]|0;if(!(a&3))return;g=c+(0-e)|0;h=e+b|0;if(g>>>0<d>>>0)return;if((g|0)==(f[55600]|0)){b=k+4|0;a=f[b>>2]|0;if((a&3|0)!=3){i=g;j=g;b=h;break}f[55597]=h;f[b>>2]=a&-2;f[g+4>>2]=h|1;f[g+h>>2]=h;return}c=e>>>3;if(e>>>0<256){a=f[g+8>>2]|0;b=f[g+12>>2]|0;if((b|0)==(a|0)){f[55595]=f[55595]&~(1<<c);i=g;j=g;b=h;break}else{f[a+12>>2]=b;f[b+8>>2]=a;i=g;j=g;b=h;break}}e=f[g+24>>2]|0;a=f[g+12>>2]|0;do if((a|0)==(g|0)){c=g+16|0;b=c+4|0;a=f[b>>2]|0;if(!a){a=f[c>>2]|0;if(!a){c=0;break}else d=c}else d=b;while(1){c=a+20|0;b=f[c>>2]|0;if(b|0){a=b;d=c;continue}c=a+16|0;b=f[c>>2]|0;if(!b)break;else{a=b;d=c}}f[d>>2]=0;c=a}else{c=f[g+8>>2]|0;f[c+12>>2]=a;f[a+8>>2]=c;c=a}while(0);if(e){a=f[g+28>>2]|0;b=222684+(a<<2)|0;if((g|0)==(f[b>>2]|0)){f[b>>2]=c;if(!c){f[55596]=f[55596]&~(1<<a);i=g;j=g;b=h;break}}else{f[e+16+(((f[e+16>>2]|0)!=(g|0)&1)<<2)>>2]=c;if(!c){i=g;j=g;b=h;break}}f[c+24>>2]=e;b=g+16|0;a=f[b>>2]|0;if(a|0){f[c+16>>2]=a;f[a+24>>2]=c}a=f[b+4>>2]|0;if(a){f[c+20>>2]=a;f[a+24>>2]=c;i=g;j=g;b=h}else{i=g;j=g;b=h}}else{i=g;j=g;b=h}}else{i=c;j=c}while(0);if(i>>>0>=k>>>0)return;a=k+4|0;d=f[a>>2]|0;if(!(d&1))return;if(!(d&2)){a=f[55600]|0;if((k|0)==(f[55601]|0)){k=(f[55598]|0)+b|0;f[55598]=k;f[55601]=j;f[j+4>>2]=k|1;if((j|0)!=(a|0))return;f[55600]=0;f[55597]=0;return}if((k|0)==(a|0)){k=(f[55597]|0)+b|0;f[55597]=k;f[55600]=i;f[j+4>>2]=k|1;f[i+k>>2]=k;return}e=(d&-8)+b|0;c=d>>>3;do if(d>>>0<256){b=f[k+8>>2]|0;a=f[k+12>>2]|0;if((a|0)==(b|0)){f[55595]=f[55595]&~(1<<c);break}else{f[b+12>>2]=a;f[a+8>>2]=b;break}}else{g=f[k+24>>2]|0;a=f[k+12>>2]|0;do if((a|0)==(k|0)){c=k+16|0;b=c+4|0;a=f[b>>2]|0;if(!a){a=f[c>>2]|0;if(!a){c=0;break}else d=c}else d=b;while(1){c=a+20|0;b=f[c>>2]|0;if(b|0){a=b;d=c;continue}c=a+16|0;b=f[c>>2]|0;if(!b)break;else{a=b;d=c}}f[d>>2]=0;c=a}else{c=f[k+8>>2]|0;f[c+12>>2]=a;f[a+8>>2]=c;c=a}while(0);if(g|0){a=f[k+28>>2]|0;b=222684+(a<<2)|0;if((k|0)==(f[b>>2]|0)){f[b>>2]=c;if(!c){f[55596]=f[55596]&~(1<<a);break}}else{f[g+16+(((f[g+16>>2]|0)!=(k|0)&1)<<2)>>2]=c;if(!c)break}f[c+24>>2]=g;b=k+16|0;a=f[b>>2]|0;if(a|0){f[c+16>>2]=a;f[a+24>>2]=c}a=f[b+4>>2]|0;if(a|0){f[c+20>>2]=a;f[a+24>>2]=c}}}while(0);f[j+4>>2]=e|1;f[i+e>>2]=e;if((j|0)==(f[55600]|0)){f[55597]=e;return}}else{f[a>>2]=d&-2;f[j+4>>2]=b|1;f[i+b>>2]=b;e=b}a=e>>>3;if(e>>>0<256){c=222420+(a<<1<<2)|0;b=f[55595]|0;a=1<<a;if(!(b&a)){f[55595]=b|a;a=c+8|0;b=c}else{b=c+8|0;a=b;b=f[b>>2]|0}f[a>>2]=j;f[b+12>>2]=j;f[j+8>>2]=b;f[j+12>>2]=c;return}a=e>>>8;if(a)if(e>>>0>16777215)b=31;else{i=(a+1048320|0)>>>16&8;k=a<<i;h=(k+520192|0)>>>16&4;k=k<<h;b=(k+245760|0)>>>16&2;b=14-(h|i|b)+(k<<b>>>15)|0;b=e>>>(b+7|0)&1|b<<1}else b=0;d=222684+(b<<2)|0;f[j+28>>2]=b;f[j+20>>2]=0;f[j+16>>2]=0;a=f[55596]|0;c=1<<b;do if(a&c){b=e<<((b|0)==31?0:25-(b>>>1)|0);c=f[d>>2]|0;while(1){if((f[c+4>>2]&-8|0)==(e|0)){a=73;break}d=c+16+(b>>>31<<2)|0;a=f[d>>2]|0;if(!a){a=72;break}else{b=b<<1;c=a}}if((a|0)==72){f[d>>2]=j;f[j+24>>2]=c;f[j+12>>2]=j;f[j+8>>2]=j;break}else if((a|0)==73){i=c+8|0;k=f[i>>2]|0;f[k+12>>2]=j;f[i>>2]=j;f[j+8>>2]=k;f[j+12>>2]=c;f[j+24>>2]=0;break}}else{f[55596]=a|c;f[d>>2]=j;f[j+24>>2]=d;f[j+12>>2]=j;f[j+8>>2]=j}while(0);k=(f[55603]|0)+-1|0;f[55603]=k;if(!k)a=222836;else return;while(1){a=f[a>>2]|0;if(!a)break;else a=a+8|0}f[55603]=-1;return}function Nv(a,b){a=a|0;b=b|0;var c=0;if(a){c=X(b,a)|0;if((b|a)>>>0>65535)c=((c>>>0)/(a>>>0)|0|0)==(b|0)?c:-1}else c=0;b=Lv(c)|0;if(!b)return b|0;if(!(f[b+-4>>2]&3))return b|0;Fz(b|0,0,c|0)|0;return b|0}function Ov(a,b){a=a|0;b=b|0;var c=0,d=0;if(!a){a=Lv(b)|0;return a|0}if(b>>>0>4294967231){a=Wv()|0;f[a>>2]=12;a=0;return a|0}c=Pv(a+-8|0,b>>>0<11?16:b+11&-8)|0;if(c|0){a=c+8|0;return a|0}c=Lv(b)|0;if(!c){a=0;return a|0}d=f[a+-4>>2]|0;d=(d&-8)-((d&3|0)==0?8:4)|0;Lz(c|0,a|0,(d>>>0<b>>>0?d:b)|0)|0;Mv(a);a=c;return a|0}function Pv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=a+4|0;l=f[m>>2]|0;c=l&-8;i=a+c|0;if(!(l&3)){if(b>>>0<256){a=0;return a|0}if(c>>>0>=(b+4|0)>>>0?(c-b|0)>>>0<=f[55715]<<1>>>0:0)return a|0;a=0;return a|0}if(c>>>0>=b>>>0){c=c-b|0;if(c>>>0<=15)return a|0;k=a+b|0;f[m>>2]=l&1|b|2;f[k+4>>2]=c|3;b=k+c+4|0;f[b>>2]=f[b>>2]|1;Qv(k,c);return a|0}if((i|0)==(f[55601]|0)){k=(f[55598]|0)+c|0;d=k-b|0;c=a+b|0;if(k>>>0<=b>>>0){a=0;return a|0}f[m>>2]=l&1|b|2;f[c+4>>2]=d|1;f[55601]=c;f[55598]=d;return a|0}if((i|0)==(f[55600]|0)){e=(f[55597]|0)+c|0;if(e>>>0<b>>>0){a=0;return a|0}c=e-b|0;d=l&1;if(c>>>0>15){l=a+b|0;k=l+c|0;f[m>>2]=d|b|2;f[l+4>>2]=c|1;f[k>>2]=c;d=k+4|0;f[d>>2]=f[d>>2]&-2;d=l}else{f[m>>2]=d|e|2;d=a+e+4|0;f[d>>2]=f[d>>2]|1;d=0;c=0}f[55597]=c;f[55600]=d;return a|0}d=f[i+4>>2]|0;if(d&2|0){a=0;return a|0}j=(d&-8)+c|0;if(j>>>0<b>>>0){a=0;return a|0}k=j-b|0;e=d>>>3;do if(d>>>0<256){d=f[i+8>>2]|0;c=f[i+12>>2]|0;if((c|0)==(d|0)){f[55595]=f[55595]&~(1<<e);break}else{f[d+12>>2]=c;f[c+8>>2]=d;break}}else{h=f[i+24>>2]|0;c=f[i+12>>2]|0;do if((c|0)==(i|0)){e=i+16|0;d=e+4|0;c=f[d>>2]|0;if(!c){c=f[e>>2]|0;if(!c){e=0;break}else g=e}else g=d;while(1){e=c+20|0;d=f[e>>2]|0;if(d|0){c=d;g=e;continue}e=c+16|0;d=f[e>>2]|0;if(!d)break;else{c=d;g=e}}f[g>>2]=0;e=c}else{e=f[i+8>>2]|0;f[e+12>>2]=c;f[c+8>>2]=e;e=c}while(0);if(h|0){c=f[i+28>>2]|0;d=222684+(c<<2)|0;if((i|0)==(f[d>>2]|0)){f[d>>2]=e;if(!e){f[55596]=f[55596]&~(1<<c);break}}else{f[h+16+(((f[h+16>>2]|0)!=(i|0)&1)<<2)>>2]=e;if(!e)break}f[e+24>>2]=h;d=i+16|0;c=f[d>>2]|0;if(c|0){f[e+16>>2]=c;f[c+24>>2]=e}c=f[d+4>>2]|0;if(c|0){f[e+20>>2]=c;f[c+24>>2]=e}}}while(0);c=l&1;if(k>>>0<16){f[m>>2]=j|c|2;b=a+j+4|0;f[b>>2]=f[b>>2]|1;return a|0}else{l=a+b|0;f[m>>2]=c|b|2;f[l+4>>2]=k|3;b=l+k+4|0;f[b>>2]=f[b>>2]|1;Qv(l,k);return a|0}return 0}function Qv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;j=a+b|0;c=f[a+4>>2]|0;do if(!(c&1)){d=f[a>>2]|0;if(!(c&3))return;g=a+(0-d)|0;h=d+b|0;if((g|0)==(f[55600]|0)){a=j+4|0;c=f[a>>2]|0;if((c&3|0)!=3){i=g;a=h;break}f[55597]=h;f[a>>2]=c&-2;f[g+4>>2]=h|1;f[g+h>>2]=h;return}b=d>>>3;if(d>>>0<256){c=f[g+8>>2]|0;a=f[g+12>>2]|0;if((a|0)==(c|0)){f[55595]=f[55595]&~(1<<b);i=g;a=h;break}else{f[c+12>>2]=a;f[a+8>>2]=c;i=g;a=h;break}}e=f[g+24>>2]|0;c=f[g+12>>2]|0;do if((c|0)==(g|0)){b=g+16|0;a=b+4|0;c=f[a>>2]|0;if(!c){c=f[b>>2]|0;if(!c){b=0;break}else d=b}else d=a;while(1){b=c+20|0;a=f[b>>2]|0;if(a|0){c=a;d=b;continue}b=c+16|0;a=f[b>>2]|0;if(!a)break;else{c=a;d=b}}f[d>>2]=0;b=c}else{b=f[g+8>>2]|0;f[b+12>>2]=c;f[c+8>>2]=b;b=c}while(0);if(e){c=f[g+28>>2]|0;a=222684+(c<<2)|0;if((g|0)==(f[a>>2]|0)){f[a>>2]=b;if(!b){f[55596]=f[55596]&~(1<<c);i=g;a=h;break}}else{f[e+16+(((f[e+16>>2]|0)!=(g|0)&1)<<2)>>2]=b;if(!b){i=g;a=h;break}}f[b+24>>2]=e;a=g+16|0;c=f[a>>2]|0;if(c|0){f[b+16>>2]=c;f[c+24>>2]=b}c=f[a+4>>2]|0;if(c){f[b+20>>2]=c;f[c+24>>2]=b;i=g;a=h}else{i=g;a=h}}else{i=g;a=h}}else{i=a;a=b}while(0);c=j+4|0;d=f[c>>2]|0;if(!(d&2)){c=f[55600]|0;if((j|0)==(f[55601]|0)){j=(f[55598]|0)+a|0;f[55598]=j;f[55601]=i;f[i+4>>2]=j|1;if((i|0)!=(c|0))return;f[55600]=0;f[55597]=0;return}if((j|0)==(c|0)){j=(f[55597]|0)+a|0;f[55597]=j;f[55600]=i;f[i+4>>2]=j|1;f[i+j>>2]=j;return}e=(d&-8)+a|0;b=d>>>3;do if(d>>>0<256){a=f[j+8>>2]|0;c=f[j+12>>2]|0;if((c|0)==(a|0)){f[55595]=f[55595]&~(1<<b);break}else{f[a+12>>2]=c;f[c+8>>2]=a;break}}else{g=f[j+24>>2]|0;c=f[j+12>>2]|0;do if((c|0)==(j|0)){b=j+16|0;a=b+4|0;c=f[a>>2]|0;if(!c){c=f[b>>2]|0;if(!c){b=0;break}else d=b}else d=a;while(1){b=c+20|0;a=f[b>>2]|0;if(a|0){c=a;d=b;continue}b=c+16|0;a=f[b>>2]|0;if(!a)break;else{c=a;d=b}}f[d>>2]=0;b=c}else{b=f[j+8>>2]|0;f[b+12>>2]=c;f[c+8>>2]=b;b=c}while(0);if(g|0){c=f[j+28>>2]|0;a=222684+(c<<2)|0;if((j|0)==(f[a>>2]|0)){f[a>>2]=b;if(!b){f[55596]=f[55596]&~(1<<c);break}}else{f[g+16+(((f[g+16>>2]|0)!=(j|0)&1)<<2)>>2]=b;if(!b)break}f[b+24>>2]=g;a=j+16|0;c=f[a>>2]|0;if(c|0){f[b+16>>2]=c;f[c+24>>2]=b}c=f[a+4>>2]|0;if(c|0){f[b+20>>2]=c;f[c+24>>2]=b}}}while(0);f[i+4>>2]=e|1;f[i+e>>2]=e;if((i|0)==(f[55600]|0)){f[55597]=e;return}}else{f[c>>2]=d&-2;f[i+4>>2]=a|1;f[i+a>>2]=a;e=a}c=e>>>3;if(e>>>0<256){b=222420+(c<<1<<2)|0;a=f[55595]|0;c=1<<c;if(!(a&c)){f[55595]=a|c;c=b+8|0;a=b}else{a=b+8|0;c=a;a=f[a>>2]|0}f[c>>2]=i;f[a+12>>2]=i;f[i+8>>2]=a;f[i+12>>2]=b;return}c=e>>>8;if(c)if(e>>>0>16777215)a=31;else{h=(c+1048320|0)>>>16&8;j=c<<h;g=(j+520192|0)>>>16&4;j=j<<g;a=(j+245760|0)>>>16&2;a=14-(g|h|a)+(j<<a>>>15)|0;a=e>>>(a+7|0)&1|a<<1}else a=0;d=222684+(a<<2)|0;f[i+28>>2]=a;f[i+20>>2]=0;f[i+16>>2]=0;c=f[55596]|0;b=1<<a;if(!(c&b)){f[55596]=c|b;f[d>>2]=i;f[i+24>>2]=d;f[i+12>>2]=i;f[i+8>>2]=i;return}a=e<<((a|0)==31?0:25-(a>>>1)|0);b=f[d>>2]|0;while(1){if((f[b+4>>2]&-8|0)==(e|0)){c=69;break}d=b+16+(a>>>31<<2)|0;c=f[d>>2]|0;if(!c){c=68;break}else{a=a<<1;b=c}}if((c|0)==68){f[d>>2]=i;f[i+24>>2]=b;f[i+12>>2]=i;f[i+8>>2]=i;return}else if((c|0)==69){h=b+8|0;j=f[h>>2]|0;f[j+12>>2]=i;f[h>>2]=i;f[i+8>>2]=j;f[i+12>>2]=b;f[i+24>>2]=0;return}}function Rv(){return 222876}function Sv(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;a=Zv(f[a+60>>2]|0)|0;f[c>>2]=a;a=Vv(db(6,c|0)|0)|0;u=b;return a|0}function Tv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;m=u;u=u+48|0;i=m+16|0;e=m;d=m+32|0;j=a+28|0;g=f[j>>2]|0;f[d>>2]=g;k=a+20|0;g=(f[k>>2]|0)-g|0;f[d+4>>2]=g;f[d+8>>2]=b;f[d+12>>2]=c;g=g+c|0;h=a+60|0;f[e>>2]=f[h>>2];f[e+4>>2]=d;f[e+8>>2]=2;b=Vv(mb(146,e|0)|0)|0;a:do if((g|0)!=(b|0)){e=2;while(1){if((b|0)<0)break;g=g-b|0;o=f[d+4>>2]|0;n=b>>>0>o>>>0;d=n?d+8|0:d;e=(n<<31>>31)+e|0;o=b-(n?o:0)|0;f[d>>2]=(f[d>>2]|0)+o;n=d+4|0;f[n>>2]=(f[n>>2]|0)-o;f[i>>2]=f[h>>2];f[i+4>>2]=d;f[i+8>>2]=e;b=Vv(mb(146,i|0)|0)|0;if((g|0)==(b|0)){l=3;break a}}f[a+16>>2]=0;f[j>>2]=0;f[k>>2]=0;f[a>>2]=f[a>>2]|32;if((e|0)==2)c=0;else c=c-(f[d+4>>2]|0)|0}else l=3;while(0);if((l|0)==3){o=f[a+44>>2]|0;f[a+16>>2]=o+(f[a+48>>2]|0);f[j>>2]=o;f[k>>2]=o}u=m;return c|0}function Uv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;e=u;u=u+32|0;g=e;d=e+20|0;f[g>>2]=f[a+60>>2];f[g+4>>2]=0;f[g+8>>2]=b;f[g+12>>2]=d;f[g+16>>2]=c;if((Vv(hb(140,g|0)|0)|0)<0){f[d>>2]=-1;a=-1}else a=f[d>>2]|0;u=e;return a|0}function Vv(a){a=a|0;var b=0;if(a>>>0>4294963200){b=Wv()|0;f[b>>2]=0-a;a=-1}return a|0}function Wv(){return (Xv()|0)+64|0}function Xv(){return Yv()|0}function Yv(){return 20012}function Zv(a){a=a|0;return a|0}function _v(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;k=u;u=u+32|0;e=k;i=k+16|0;f[i>>2]=c;g=i+4|0;j=a+48|0;l=f[j>>2]|0;f[g>>2]=d-((l|0)!=0&1);h=a+44|0;f[i+8>>2]=f[h>>2];f[i+12>>2]=l;f[e>>2]=f[a+60>>2];f[e+4>>2]=i;f[e+8>>2]=2;e=Vv(lb(145,e|0)|0)|0;if((e|0)>=1){i=f[g>>2]|0;if(e>>>0>i>>>0){g=f[h>>2]|0;h=a+4|0;f[h>>2]=g;f[a+8>>2]=g+(e-i);if(!(f[j>>2]|0))e=d;else{f[h>>2]=g+1;b[c+(d+-1)>>0]=b[g>>0]|0;e=d}}}else f[a>>2]=f[a>>2]|e&48^16;u=k;return e|0}function $v(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0;g=u;u=u+32|0;e=g;f[a+36>>2]=1;if((f[a>>2]&64|0)==0?(f[e>>2]=f[a+60>>2],f[e+4>>2]=21523,f[e+8>>2]=g+16,Va(54,e|0)|0):0)b[a+75>>0]=-1;e=Tv(a,c,d)|0;u=g;return e|0}function aw(a){a=a|0;var b=0;b=(bw(a)|0)==0;return (b?a:a|32)|0}function bw(a){a=a|0;return (a+-65|0)>>>0<26|0}function cw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;j=u;u=u+128|0;g=j;f[g>>2]=0;i=g+4|0;f[i>>2]=a;f[g+44>>2]=a;h=g+8|0;f[h>>2]=(a|0)<0?-1:a+2147483647|0;f[g+76>>2]=-1;dw(g,0);d=ew(g,c,1,d,e)|0;if(b|0)f[b>>2]=a+((f[i>>2]|0)+(f[g+108>>2]|0)-(f[h>>2]|0));u=j;return d|0}function dw(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;f[a+104>>2]=b;c=f[a+8>>2]|0;d=f[a+4>>2]|0;e=c-d|0;f[a+108>>2]=e;f[a+100>>2]=(b|0)!=0&(e|0)>(b|0)?d+b|0:c;return}function ew(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;a:do if(c>>>0>36){g=Wv()|0;f[g>>2]=22;g=0;e=0}else{r=a+4|0;q=a+100|0;do{i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0}while((gw(i)|0)!=0);b:do switch(i|0){case 43:case 45:{j=((i|0)==45)<<31>>31;i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0;p=j;break b}else{i=fw(a)|0;p=j;break b}}default:p=0}while(0);j=(c|0)==0;do if((c|16|0)==16&(i|0)==48){i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;if((i|32|0)!=120)if(j){c=8;n=46;break}else{n=32;break}c=f[r>>2]|0;if(c>>>0<(f[q>>2]|0)>>>0){f[r>>2]=c+1;i=h[c>>0]|0}else i=fw(a)|0;if((h[111156+i>>0]|0)>15){e=(f[q>>2]|0)!=0;if(e)f[r>>2]=(f[r>>2]|0)+-1;if(!d){dw(a,0);g=0;e=0;break a}if(!e){g=0;e=0;break a}f[r>>2]=(f[r>>2]|0)+-1;g=0;e=0;break a}else{c=16;n=46}}else{c=j?10:c;if((h[111156+i>>0]|0)>>>0<c>>>0)n=32;else{if(f[q>>2]|0)f[r>>2]=(f[r>>2]|0)+-1;dw(a,0);g=Wv()|0;f[g>>2]=22;g=0;e=0;break a}}while(0);c:do if((n|0)==32)if((c|0)==10){c=i+-48|0;if(c>>>0<10){j=0;do{j=(j*10|0)+c|0;c=f[r>>2]|0;if(c>>>0<(f[q>>2]|0)>>>0){f[r>>2]=c+1;i=h[c>>0]|0}else i=fw(a)|0;c=i+-48|0}while(c>>>0<10&j>>>0<429496729);d=0}else{j=0;d=0}c=i+-48|0;if(c>>>0<10){m=c;do{c=Sz(j|0,d|0,10,0)|0;k=I;l=((m|0)<0)<<31>>31;o=~l;if(k>>>0>o>>>0|(k|0)==(o|0)&c>>>0>~m>>>0){c=10;n=72;break c}j=Ez(c|0,k|0,m|0,l|0)|0;d=I;c=f[r>>2]|0;if(c>>>0<(f[q>>2]|0)>>>0){f[r>>2]=c+1;i=h[c>>0]|0}else i=fw(a)|0;m=i+-48|0}while(m>>>0<10&(d>>>0<429496729|(d|0)==429496729&j>>>0<2576980378));if(m>>>0>9){i=j;c=p}else{c=10;n=72}}else{i=j;c=p}}else n=46;while(0);d:do if((n|0)==46){if(!(c+-1&c)){n=b[111412+((c*23|0)>>>5&7)>>0]|0;j=b[111156+i>>0]|0;d=j&255;if(d>>>0<c>>>0){k=0;do{k=d|k<<n;i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;j=b[111156+i>>0]|0;d=j&255}while(k>>>0<134217728&d>>>0<c>>>0);d=0}else{d=0;k=0}l=Oz(-1,-1,n|0)|0;m=I;if((j&255)>>>0>=c>>>0|(d>>>0>m>>>0|(d|0)==(m|0)&k>>>0>l>>>0)){j=k;n=72;break}while(1){k=Gz(k|0,d|0,n|0)|0;d=I;k=j&255|k;i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;j=b[111156+i>>0]|0;if((j&255)>>>0>=c>>>0|(d>>>0>m>>>0|(d|0)==(m|0)&k>>>0>l>>>0)){j=k;n=72;break d}}}k=b[111156+i>>0]|0;j=k&255;if(j>>>0<c>>>0){d=0;do{d=j+(X(d,c)|0)|0;i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;k=b[111156+i>>0]|0;j=k&255}while(d>>>0<119304647&j>>>0<c>>>0);j=d;d=0}else{j=0;d=0}if((k&255)>>>0<c>>>0){n=Qz(-1,-1,c|0,0)|0;o=I;while(1){if(d>>>0>o>>>0|(d|0)==(o|0)&j>>>0>n>>>0){n=72;break d}m=Sz(j|0,d|0,c|0,0)|0;l=I;k=k&255;if(l>>>0>4294967295|(l|0)==-1&m>>>0>~k>>>0){n=72;break d}j=Ez(k|0,0,m|0,l|0)|0;d=I;i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;k=b[111156+i>>0]|0;if((k&255)>>>0>=c>>>0){n=72;break}}}else n=72}while(0);if((n|0)==72)if((h[111156+i>>0]|0)>>>0<c>>>0){do{i=f[r>>2]|0;if(i>>>0<(f[q>>2]|0)>>>0){f[r>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0}while((h[111156+i>>0]|0)>>>0<c>>>0);d=Wv()|0;f[d>>2]=34;d=g;i=e;c=(e&1|0)==0&0==0?p:0}else{i=j;c=p}if(f[q>>2]|0)f[r>>2]=(f[r>>2]|0)+-1;if(!(d>>>0<g>>>0|(d|0)==(g|0)&i>>>0<e>>>0)){if(!((e&1|0)!=0|0!=0|(c|0)!=0)){r=Wv()|0;f[r>>2]=34;e=Ez(e|0,g|0,-1,-1)|0;g=I;break}if(d>>>0>g>>>0|(d|0)==(g|0)&i>>>0>e>>>0){r=Wv()|0;f[r>>2]=34;break}}e=((c|0)<0)<<31>>31;e=Dz(i^c|0,d^e|0,c|0,e|0)|0;g=I}while(0);I=g;return e|0}function fw(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0;d=a+104|0;j=f[d>>2]|0;if((j|0)!=0?(f[a+108>>2]|0)>=(j|0):0)k=4;else{c=hw(a)|0;if((c|0)>=0){e=f[d>>2]|0;d=a+8|0;if(e){i=f[d>>2]|0;j=f[a+4>>2]|0;d=a+108|0;e=e-(f[d>>2]|0)|0;g=i;if((i-j|0)<(e|0)){i=g;e=j}else{i=j+(e+-1)|0;e=j}}else{g=f[d>>2]|0;i=g;e=f[a+4>>2]|0;d=a+108|0}f[a+100>>2]=i;if(g|0)f[d>>2]=g+1-e+(f[d>>2]|0);d=e+-1|0;if((h[d>>0]|0|0)!=(c|0))b[d>>0]=c}else k=4}if((k|0)==4){f[a+100>>2]=0;c=-1}return c|0}function gw(a){a=a|0;return ((a|0)==32|(a+-9|0)>>>0<5)&1|0}function hw(a){a=a|0;var b=0,c=0;c=u;u=u+16|0;b=c;if((iw(a)|0)==0?(rb[f[a+32>>2]&63](a,b,1)|0)==1:0)b=h[b>>0]|0;else b=-1;u=c;return b|0}function iw(a){a=a|0;var c=0,d=0;d=a+74|0;c=b[d>>0]|0;b[d>>0]=c+255|c;d=a+20|0;c=a+28|0;if((f[d>>2]|0)>>>0>(f[c>>2]|0)>>>0)rb[f[a+36>>2]&63](a,0,0)|0;f[a+16>>2]=0;f[c>>2]=0;f[d>>2]=0;c=f[a>>2]|0;if(!(c&4)){d=(f[a+44>>2]|0)+(f[a+48>>2]|0)|0;f[a+8>>2]=d;f[a+4>>2]=d;c=c<<27>>31}else{f[a>>2]=c|32;c=-1}return c|0}function jw(a,b,c){a=a|0;b=b|0;c=c|0;a=cw(a,b,c,0,-2147483648)|0;return a|0}function kw(a,b,c){a=a|0;b=b|0;c=c|0;a=cw(a,b,c,-2147483648,0)|0;return a|0}function lw(a){a=a|0;var b=0;b=(mw(a)|0)==0;return (b?a:a&95)|0}function mw(a){a=a|0;return (a+-97|0)>>>0<26|0}function nw(a,b){a=+a;b=+b;var c=0,d=0;p[s>>3]=a;d=f[s>>2]|0;c=f[s+4>>2]|0;p[s>>3]=b;c=f[s+4>>2]&-2147483648|c&2147483647;f[s>>2]=d;f[s+4>>2]=c;return +(+p[s>>3])}function ow(a){a=+a;var b=0;p[s>>3]=a;b=f[s+4>>2]&2147483647;f[s>>2]=f[s>>2];f[s+4>>2]=b;a=+p[s>>3];do if(b>>>0<1072049730)if(b>>>0<1045430272)a=1.0;else{a=+qw(a);a=a*a/((a+1.0)*2.0)+1.0}else if(b>>>0<1082535490){a=+U(+a);a=(a+1.0/a)*.5;break}else{a=+rw(a);break}while(0);return +a}function pw(a){a=+a;var b=0.0,c=0.0,d=0;p[s>>3]=a;d=f[s+4>>2]|0;c=(d|0)<0?-.5:.5;d=d&2147483647;f[s>>2]=f[s>>2];f[s+4>>2]=d;b=+p[s>>3];do if(d>>>0<1082535490){b=+qw(b);if(d>>>0>=1072693248){a=c*(b+b/(b+1.0));break}if(d>>>0>=1045430272)a=c*(b*2.0-b*b/(b+1.0))}else a=c*2.0*+rw(b);while(0);return +a}function qw(a){a=+a;var b=0.0,c=0,d=0.0,e=0,g=0.0,h=0,i=0,j=0.0;p[s>>3]=a;c=f[s+4>>2]|0;e=c&2147483647;c=Oz(f[s>>2]|0,c|0,63)|0;do if(e>>>0>1078159481){e=sw(a)|0;i=I&2147483647;if(!(i>>>0>2146435072|(i|0)==2146435072&e>>>0>0))if(!c)if(a>709.782712893384)a=a*8988465674311579538646525.0e283;else{b=.5;h=12}else a=-1.0}else{if(e>>>0<=1071001154)if(e>>>0<1016070144)break;else{g=0.0;c=0;h=15;break}c=(c|0)!=0;if(e>>>0>=1072734898){b=c?-.5:.5;h=12;break}if(c){a=a+.6931471803691238;c=-1;b=-1.9082149292705877e-10;h=13;break}else{a=a+-.6931471803691238;c=1;b=1.9082149292705877e-10;h=13;break}}while(0);if((h|0)==12){c=~~(a*1.4426950408889634+b);b=+(c|0);a=a-b*.6931471803691238;b=b*1.9082149292705877e-10;h=13}if((h|0)==13){d=a-b;g=a-d-b;a=d;h=15}a:do if((h|0)==15){d=a*.5;b=a*d;j=b*(b*(b*(b*(4.008217827329362e-06-b*2.0109921818362437e-07)+-7.93650757867488e-05)+1.5873015872548146e-03)+-.03333333333333313)+1.0;d=3.0-d*j;d=b*((j-d)/(6.0-a*d));if(!c){a=a-(a*d-b);break}d=a*(d-g)-g-b;switch(c|0){case -1:{a=(a-d)*.5+-.5;break a}case 1:if(a<-.25){a=(d-(a+.5))*-2.0;break a}else{a=(a-d)*2.0+1.0;break a}default:{h=Gz(c+1023|0,0,52)|0;i=I;f[s>>2]=h;f[s+4>>2]=i;b=+p[s>>3];if(c>>>0>56){a=a-d+1.0;a=((c|0)==1024?a*2.0*8988465674311579538646525.0e283:b*a)+-1.0;break a}else{e=Gz(1023-c|0,0,52)|0;h=I;i=(c|0)<20;f[s>>2]=e;f[s+4>>2]=h;j=+p[s>>3];a=b*((i?1.0-j:1.0)+(a-(i?d:j+d)));break a}}}}while(0);return +a}function rw(a){a=+a;return +(+U(+(a+-1416.0996898839683))*2247116418577894884661631.0e283*2247116418577894884661631.0e283)}function sw(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;I=f[s+4>>2]|0;return b|0}function tw(a,c){a=a|0;c=c|0;var d=0,e=0;d=b[a>>0]|0;e=b[c>>0]|0;if(!(d<<24>>24==0?1:d<<24>>24!=e<<24>>24))do{a=a+1|0;c=c+1|0;d=b[a>>0]|0;e=b[c>>0]|0}while(!(d<<24>>24==0?1:d<<24>>24!=e<<24>>24));return (d&255)-(e&255)|0}function uw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0;a:do if(!d)a=0;else{while(1){e=b[a>>0]|0;f=b[c>>0]|0;if(e<<24>>24!=f<<24>>24)break;d=d+-1|0;if(!d){a=0;break a}else{a=a+1|0;c=c+1|0}}a=(e&255)-(f&255)|0}while(0);return a|0}function vw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0;if(!d)e=0;else{h=b[a>>0]|0;f=h&255;g=b[c>>0]|0;e=g&255;a:do if(h<<24>>24)do{d=d+-1|0;if(!(h<<24>>24==g<<24>>24&((d|0)!=0&g<<24>>24!=0)))break a;a=a+1|0;c=c+1|0;h=b[a>>0]|0;f=h&255;g=b[c>>0]|0;e=g&255}while(h<<24>>24!=0);while(0);e=f-e|0}return e|0}function ww(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=xw(a,b,e)|0;u=d;return c|0}function xw(a,b,c){a=a|0;b=b|0;c=c|0;return yw(a,2147483647,b,c)|0}function yw(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=u;u=u+128|0;g=m+124|0;l=m;h=l;i=20516;j=h+124|0;do{f[h>>2]=f[i>>2];h=h+4|0;i=i+4|0}while((h|0)<(j|0));if((c+-1|0)>>>0>2147483646)if(!c){c=1;k=4}else{g=Wv()|0;f[g>>2]=75;g=-1}else{g=a;k=4}if((k|0)==4){k=-2-g|0;k=c>>>0>k>>>0?k:c;f[l+48>>2]=k;h=l+20|0;f[h>>2]=g;f[l+44>>2]=g;g=g+k|0;c=l+16|0;f[c>>2]=g;f[l+28>>2]=g;g=zw(l,d,e)|0;if(k){d=f[h>>2]|0;b[d+(((d|0)==(f[c>>2]|0))<<31>>31)>>0]=0}}u=m;return g|0}function zw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=u;u=u+224|0;m=r+120|0;q=r+80|0;p=r;o=r+136|0;e=q;g=e+40|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));f[m>>2]=f[d>>2];if((Aw(0,c,m,p,q)|0)<0)d=-1;else{if((f[a+76>>2]|0)>-1)n=Bw(a)|0;else n=0;d=f[a>>2]|0;l=d&32;if((b[a+74>>0]|0)<1)f[a>>2]=d&-33;h=a+48|0;if(!(f[h>>2]|0)){g=a+44|0;d=f[g>>2]|0;f[g>>2]=o;i=a+28|0;f[i>>2]=o;k=a+20|0;f[k>>2]=o;f[h>>2]=80;j=a+16|0;f[j>>2]=o+80;e=Aw(a,c,m,p,q)|0;if(d){rb[f[a+36>>2]&63](a,0,0)|0;e=(f[k>>2]|0)==0?-1:e;f[g>>2]=d;f[h>>2]=0;f[j>>2]=0;f[i>>2]=0;f[k>>2]=0}}else e=Aw(a,c,m,p,q)|0;d=f[a>>2]|0;f[a>>2]=d|l;if(n|0)Cw(a);d=(d&32|0)==0?e:-1}u=r;return d|0}function Aw(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=u;u=u+64|0;C=G+16|0;z=G;y=G+24|0;F=G+8|0;B=G+20|0;f[C>>2]=c;E=(a|0)!=0;x=y+40|0;D=x;y=y+39|0;A=F+4|0;o=c;c=0;i=0;l=0;a:while(1){do if((c|0)>-1)if((i|0)>(2147483647-c|0)){c=Wv()|0;f[c>>2]=75;c=-1;break}else{c=i+c|0;break}while(0);i=b[o>>0]|0;if(!(i<<24>>24)){w=87;break}else j=o;b:while(1){switch(i<<24>>24){case 37:{i=j;w=9;break b}case 0:{i=j;break b}default:{}}v=j+1|0;f[C>>2]=v;i=b[v>>0]|0;j=v}c:do if((w|0)==9)while(1){w=0;if((b[i+1>>0]|0)!=37)break c;j=j+1|0;i=i+2|0;f[C>>2]=i;if((b[i>>0]|0)==37)w=9;else break}while(0);j=j-o|0;if(E)Dw(a,o,j);if(j|0){o=i;i=j;continue}k=i+1|0;j=(b[k>>0]|0)+-48|0;if(j>>>0<10){v=(b[i+2>>0]|0)==36;r=v?j:-1;n=v?1:l;k=v?i+3|0:k}else{r=-1;n=l}f[C>>2]=k;i=b[k>>0]|0;j=(i<<24>>24)+-32|0;d:do if(j>>>0<32){l=0;while(1){j=1<<j;if(!(j&75913)){m=l;break d}l=j|l;k=k+1|0;f[C>>2]=k;i=b[k>>0]|0;j=(i<<24>>24)+-32|0;if(j>>>0>=32){m=l;break}}}else m=0;while(0);if(i<<24>>24==42){j=k+1|0;i=(b[j>>0]|0)+-48|0;if(i>>>0<10?(b[k+2>>0]|0)==36:0){f[h+(i<<2)>>2]=10;l=1;i=k+3|0;j=f[g+((b[j>>0]|0)+-48<<3)>>2]|0}else{if(n|0){c=-1;break}if(E){l=(f[e>>2]|0)+(4-1)&~(4-1);v=f[l>>2]|0;f[e>>2]=l+4;l=0;i=j;j=v}else{l=0;i=j;j=0}}f[C>>2]=i;t=(j|0)<0;q=t?m|8192:m;v=l;t=t?0-j|0:j}else{j=Ew(C)|0;if((j|0)<0){c=-1;break}i=f[C>>2]|0;q=m;v=n;t=j}do if((b[i>>0]|0)==46){if((b[i+1>>0]|0)!=42){f[C>>2]=i+1;m=Ew(C)|0;i=f[C>>2]|0;break}k=i+2|0;j=(b[k>>0]|0)+-48|0;if(j>>>0<10?(b[i+3>>0]|0)==36:0){f[h+(j<<2)>>2]=10;m=f[g+((b[k>>0]|0)+-48<<3)>>2]|0;i=i+4|0;f[C>>2]=i;break}if(v|0){c=-1;break a}if(E){s=(f[e>>2]|0)+(4-1)&~(4-1);j=f[s>>2]|0;f[e>>2]=s+4}else j=0;f[C>>2]=k;i=k;m=j}else m=-1;while(0);n=0;while(1){if(((b[i>>0]|0)+-65|0)>>>0>57){c=-1;break a}s=i+1|0;f[C>>2]=s;j=b[(b[i>>0]|0)+-65+(111421+(n*58|0))>>0]|0;l=j&255;if((l+-1|0)>>>0<8){i=s;n=l}else break}if(!(j<<24>>24)){c=-1;break}k=(r|0)>-1;do if(j<<24>>24==19)if(k){c=-1;break a}else w=49;else{if(k){f[h+(r<<2)>>2]=l;l=g+(r<<3)|0;r=f[l+4>>2]|0;w=z;f[w>>2]=f[l>>2];f[w+4>>2]=r;w=49;break}if(!E){c=0;break a}Fw(z,l,e)}while(0);if((w|0)==49?(w=0,!E):0){o=s;i=0;l=v;continue}l=b[i>>0]|0;l=(n|0)!=0&(l&15|0)==3?l&-33:l;j=q&-65537;r=(q&8192|0)==0?q:j;e:do switch(l|0){case 110:switch((n&255)<<24>>24){case 0:{f[f[z>>2]>>2]=c;o=s;i=0;l=v;continue a}case 1:{f[f[z>>2]>>2]=c;o=s;i=0;l=v;continue a}case 2:{o=f[z>>2]|0;f[o>>2]=c;f[o+4>>2]=((c|0)<0)<<31>>31;o=s;i=0;l=v;continue a}case 3:{d[f[z>>2]>>1]=c;o=s;i=0;l=v;continue a}case 4:{b[f[z>>2]>>0]=c;o=s;i=0;l=v;continue a}case 6:{f[f[z>>2]>>2]=c;o=s;i=0;l=v;continue a}case 7:{o=f[z>>2]|0;f[o>>2]=c;f[o+4>>2]=((c|0)<0)<<31>>31;o=s;i=0;l=v;continue a}default:{o=s;i=0;l=v;continue a}}case 112:{i=r|8;j=m>>>0>8?m:8;l=120;w=61;break}case 88:case 120:{i=r;j=m;w=61;break}case 111:{q=z;o=f[q>>2]|0;q=f[q+4>>2]|0;n=Hw(o,q,x)|0;j=D-n|0;i=r;j=(r&8|0)==0|(m|0)>(j|0)?m:j+1|0;k=0;m=111885;w=67;break}case 105:case 100:{j=z;i=f[j>>2]|0;j=f[j+4>>2]|0;if((j|0)<0){i=Dz(0,0,i|0,j|0)|0;j=I;k=z;f[k>>2]=i;f[k+4>>2]=j;k=1;l=111885;w=66;break e}else{k=(r&2049|0)!=0&1;l=(r&2048|0)==0?((r&1|0)==0?111885:111887):111886;w=66;break e}}case 117:{j=z;i=f[j>>2]|0;j=f[j+4>>2]|0;k=0;l=111885;w=66;break}case 99:{b[y>>0]=f[z>>2];o=y;n=j;l=1;k=0;j=111885;i=x;break}case 109:{i=Wv()|0;i=Jw(f[i>>2]|0)|0;w=71;break}case 115:{i=f[z>>2]|0;i=i|0?i:111895;w=71;break}case 67:{f[F>>2]=f[z>>2];f[A>>2]=0;f[z>>2]=F;i=F;m=-1;w=75;break}case 83:{i=f[z>>2]|0;if(!m){Lw(a,32,t,0,r);i=0;w=84}else w=75;break}case 65:case 71:case 70:case 69:case 97:case 103:case 102:case 101:{o=s;i=Nw(a,+p[z>>3],t,m,r,l)|0;l=v;continue a}default:{n=r;l=m;k=0;j=111885;i=x}}while(0);f:do if((w|0)==61){q=z;o=f[q>>2]|0;q=f[q+4>>2]|0;n=Gw(o,q,x,l&32)|0;m=(i&8|0)==0|(o|0)==0&(q|0)==0;k=m?0:2;m=m?111885:111885+(l>>4)|0;w=67}else if((w|0)==66){o=i;q=j;n=Iw(i,j,x)|0;i=r;j=m;m=l;w=67}else if((w|0)==71){w=0;r=Kw(i,0,m)|0;q=(r|0)==0;o=i;n=j;l=q?m:r-i|0;k=0;j=111885;i=q?i+m|0:r}else if((w|0)==75){w=0;k=0;j=0;n=i;while(1){l=f[n>>2]|0;if(!l)break;j=Mw(B,l)|0;if((j|0)<0|j>>>0>(m-k|0)>>>0)break;k=j+k|0;if(m>>>0>k>>>0)n=n+4|0;else break}if((j|0)<0){c=-1;break a}Lw(a,32,t,k,r);if(!k){i=0;w=84}else{l=0;while(1){j=f[i>>2]|0;if(!j){i=k;w=84;break f}j=Mw(B,j)|0;l=j+l|0;if((l|0)>(k|0)){i=k;w=84;break f}Dw(a,B,j);if(l>>>0>=k>>>0){i=k;w=84;break}else i=i+4|0}}}while(0);if((w|0)==67){w=0;l=(o|0)!=0|(q|0)!=0;r=(j|0)!=0|l;l=((l^1)&1)+(D-n)|0;o=r?n:x;n=(j|0)>-1?i&-65537:i;l=r?((j|0)>(l|0)?j:l):j;j=m;i=x}else if((w|0)==84){w=0;Lw(a,32,t,i,r^8192);o=s;i=(t|0)>(i|0)?t:i;l=v;continue}r=i-o|0;q=(l|0)<(r|0)?r:l;l=q+k|0;i=(t|0)<(l|0)?l:t;Lw(a,32,i,l,n);Dw(a,j,k);Lw(a,48,i,l,n^65536);Lw(a,48,q,r,0);Dw(a,o,r);Lw(a,32,i,l,n^8192);o=s;l=v}g:do if((w|0)==87)if(!a)if(!l)c=0;else{c=1;while(1){i=f[h+(c<<2)>>2]|0;if(!i)break;Fw(g+(c<<3)|0,i,e);c=c+1|0;if((c|0)>=10){c=1;break g}}while(1){if(f[h+(c<<2)>>2]|0){c=-1;break g}c=c+1|0;if((c|0)>=10){c=1;break}}}while(0);u=G;return c|0}function Bw(a){a=a|0;return 0}function Cw(a){a=a|0;return}function Dw(a,b,c){a=a|0;b=b|0;c=c|0;if(!(f[a>>2]&32))Zw(b,c,a)|0;return}function Ew(a){a=a|0;var c=0,d=0,e=0;c=f[a>>2]|0;d=(b[c>>0]|0)+-48|0;if(d>>>0<10){e=c;c=0;do{c=d+(c*10|0)|0;e=e+1|0;f[a>>2]=e;d=(b[e>>0]|0)+-48|0}while(d>>>0<10)}else c=0;return c|0}function Fw(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0;a:do if(b>>>0<=20)do switch(b|0){case 9:{d=(f[c>>2]|0)+(4-1)&~(4-1);b=f[d>>2]|0;f[c>>2]=d+4;f[a>>2]=b;break a}case 10:{d=(f[c>>2]|0)+(4-1)&~(4-1);b=f[d>>2]|0;f[c>>2]=d+4;d=a;f[d>>2]=b;f[d+4>>2]=((b|0)<0)<<31>>31;break a}case 11:{d=(f[c>>2]|0)+(4-1)&~(4-1);b=f[d>>2]|0;f[c>>2]=d+4;d=a;f[d>>2]=b;f[d+4>>2]=0;break a}case 12:{d=(f[c>>2]|0)+(8-1)&~(8-1);b=d;e=f[b>>2]|0;b=f[b+4>>2]|0;f[c>>2]=d+8;d=a;f[d>>2]=e;f[d+4>>2]=b;break a}case 13:{e=(f[c>>2]|0)+(4-1)&~(4-1);d=f[e>>2]|0;f[c>>2]=e+4;d=(d&65535)<<16>>16;e=a;f[e>>2]=d;f[e+4>>2]=((d|0)<0)<<31>>31;break a}case 14:{e=(f[c>>2]|0)+(4-1)&~(4-1);d=f[e>>2]|0;f[c>>2]=e+4;e=a;f[e>>2]=d&65535;f[e+4>>2]=0;break a}case 15:{e=(f[c>>2]|0)+(4-1)&~(4-1);d=f[e>>2]|0;f[c>>2]=e+4;d=(d&255)<<24>>24;e=a;f[e>>2]=d;f[e+4>>2]=((d|0)<0)<<31>>31;break a}case 16:{e=(f[c>>2]|0)+(4-1)&~(4-1);d=f[e>>2]|0;f[c>>2]=e+4;e=a;f[e>>2]=d&255;f[e+4>>2]=0;break a}case 17:{e=(f[c>>2]|0)+(8-1)&~(8-1);g=+p[e>>3];f[c>>2]=e+8;p[a>>3]=g;break a}case 18:{e=(f[c>>2]|0)+(8-1)&~(8-1);g=+p[e>>3];f[c>>2]=e+8;p[a>>3]=g;break a}default:break a}while(0);while(0);return}function Gw(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;if(!((a|0)==0&(c|0)==0))do{d=d+-1|0;b[d>>0]=h[111933+(a&15)>>0]|0|e;a=Oz(a|0,c|0,4)|0;c=I}while(!((a|0)==0&(c|0)==0));return d|0}function Hw(a,c,d){a=a|0;c=c|0;d=d|0;if(!((a|0)==0&(c|0)==0))do{d=d+-1|0;b[d>>0]=a&7|48;a=Oz(a|0,c|0,3)|0;c=I}while(!((a|0)==0&(c|0)==0));return d|0}function Iw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;if(c>>>0>0|(c|0)==0&a>>>0>4294967295)while(1){e=Vz(a|0,c|0,10,0)|0;d=d+-1|0;b[d>>0]=e&255|48;e=a;a=Qz(a|0,c|0,10,0)|0;if(!(c>>>0>9|(c|0)==9&e>>>0>4294967295))break;else c=I}if(a)while(1){d=d+-1|0;b[d>>0]=(a>>>0)%10|0|48;if(a>>>0<10)break;else a=(a>>>0)/10|0}return d|0}function Jw(a){a=a|0;var b=0;b=(Tw()|0)+188|0;return Uw(a,f[b>>2]|0)|0}function Kw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;h=c&255;e=(d|0)!=0;a:do if(e&(a&3|0)!=0){g=c&255;while(1){if((b[a>>0]|0)==g<<24>>24){i=6;break a}a=a+1|0;d=d+-1|0;e=(d|0)!=0;if(!(e&(a&3|0)!=0)){i=5;break}}}else i=5;while(0);if((i|0)==5)if(e)i=6;else d=0;b:do if((i|0)==6){g=c&255;if((b[a>>0]|0)!=g<<24>>24){e=X(h,16843009)|0;c:do if(d>>>0>3)while(1){h=f[a>>2]^e;if((h&-2139062144^-2139062144)&h+-16843009|0)break;a=a+4|0;d=d+-4|0;if(d>>>0<=3){i=11;break c}}else i=11;while(0);if((i|0)==11)if(!d){d=0;break}while(1){if((b[a>>0]|0)==g<<24>>24)break b;a=a+1|0;d=d+-1|0;if(!d){d=0;break}}}}while(0);return (d|0?a:0)|0}function Lw(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=u;u=u+256|0;f=g;if((c|0)>(d|0)&(e&73728|0)==0){e=c-d|0;Fz(f|0,b|0,(e>>>0<256?e:256)|0)|0;if(e>>>0>255){b=c-d|0;do{Dw(a,f,256);e=e+-256|0}while(e>>>0>255);e=b&255}Dw(a,f,e)}u=g;return}function Mw(a,b){a=a|0;b=b|0;if(!a)a=0;else a=Rw(a,b,0)|0;return a|0}function Nw(a,c,d,e,g,i){a=a|0;c=+c;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=u;u=u+560|0;l=G+8|0;t=G;F=G+524|0;E=F;m=G+512|0;f[t>>2]=0;D=m+12|0;Ow(c)|0;if((I|0)<0){C=1;A=111902;c=-c}else{C=(g&2049|0)!=0&1;A=(g&2048|0)==0?((g&1|0)==0?111903:111908):111905}Ow(c)|0;B=I&2146435072;do if(B>>>0<2146435072|(B|0)==2146435072&0<0){q=+Pw(c,t)*2.0;j=q!=0.0;if(j)f[t>>2]=(f[t>>2]|0)+-1;w=i|32;if((w|0)==97){r=i&32;p=(r|0)==0?A:A+9|0;o=C|2;j=12-e|0;do if(!(e>>>0>11|(j|0)==0)){c=8.0;do{j=j+-1|0;c=c*16.0}while((j|0)!=0);if((b[p>>0]|0)==45){c=-(c+(-q-c));break}else{c=q+c-c;break}}else c=q;while(0);k=f[t>>2]|0;j=(k|0)<0?0-k|0:k;j=Iw(j,((j|0)<0)<<31>>31,D)|0;if((j|0)==(D|0)){j=m+11|0;b[j>>0]=48}b[j+-1>>0]=(k>>31&2)+43;n=j+-2|0;b[n>>0]=i+15;l=(e|0)<1;m=(g&8|0)==0;k=F;while(1){C=~~c;j=k+1|0;b[k>>0]=h[111933+C>>0]|r;c=(c-+(C|0))*16.0;if((j-E|0)==1?!(m&(l&c==0.0)):0){b[j>>0]=46;j=k+2|0}if(!(c!=0.0))break;else k=j}C=j-E|0;E=D-n|0;D=(e|0)!=0&(C+-2|0)<(e|0)?e+2|0:C;j=E+o+D|0;Lw(a,32,d,j,g);Dw(a,p,o);Lw(a,48,d,j,g^65536);Dw(a,F,C);Lw(a,48,D-C|0,0,0);Dw(a,n,E);Lw(a,32,d,j,g^8192);break}k=(e|0)<0?6:e;if(j){j=(f[t>>2]|0)+-28|0;f[t>>2]=j;c=q*268435456.0}else{j=f[t>>2]|0;c=q}B=(j|0)<0?l:l+288|0;l=B;do{y=~~c>>>0;f[l>>2]=y;l=l+4|0;c=(c-+(y>>>0))*1.0e9}while(c!=0.0);if((j|0)>0){m=B;n=l;while(1){o=(j|0)<29?j:29;j=n+-4|0;if(j>>>0>=m>>>0){l=0;do{x=Gz(f[j>>2]|0,0,o|0)|0;x=Ez(x|0,I|0,l|0,0)|0;y=I;v=Vz(x|0,y|0,1e9,0)|0;f[j>>2]=v;l=Qz(x|0,y|0,1e9,0)|0;j=j+-4|0}while(j>>>0>=m>>>0);if(l){m=m+-4|0;f[m>>2]=l}}l=n;while(1){if(l>>>0<=m>>>0)break;j=l+-4|0;if(!(f[j>>2]|0))l=j;else break}j=(f[t>>2]|0)-o|0;f[t>>2]=j;if((j|0)>0)n=l;else break}}else m=B;if((j|0)<0){e=((k+25|0)/9|0)+1|0;s=(w|0)==102;do{r=0-j|0;r=(r|0)<9?r:9;if(m>>>0<l>>>0){o=(1<<r)+-1|0;n=1e9>>>r;p=0;j=m;do{y=f[j>>2]|0;f[j>>2]=(y>>>r)+p;p=X(y&o,n)|0;j=j+4|0}while(j>>>0<l>>>0);j=(f[m>>2]|0)==0?m+4|0:m;if(!p){m=j;j=l}else{f[l>>2]=p;m=j;j=l+4|0}}else{m=(f[m>>2]|0)==0?m+4|0:m;j=l}l=s?B:m;l=(j-l>>2|0)>(e|0)?l+(e<<2)|0:j;j=(f[t>>2]|0)+r|0;f[t>>2]=j}while((j|0)<0);j=m;e=l}else{j=m;e=l}y=B;if(j>>>0<e>>>0){l=(y-j>>2)*9|0;n=f[j>>2]|0;if(n>>>0>=10){m=10;do{m=m*10|0;l=l+1|0}while(n>>>0>=m>>>0)}}else l=0;s=(w|0)==103;v=(k|0)!=0;m=k-((w|0)!=102?l:0)+((v&s)<<31>>31)|0;if((m|0)<(((e-y>>2)*9|0)+-9|0)){n=m+9216|0;m=B+4+(((n|0)/9|0)+-1024<<2)|0;n=((n|0)%9|0)+1|0;if((n|0)<9){o=10;do{o=o*10|0;n=n+1|0}while((n|0)!=9)}else o=10;p=f[m>>2]|0;r=(p>>>0)%(o>>>0)|0;n=(m+4|0)==(e|0);if(!(n&(r|0)==0)){q=(((p>>>0)/(o>>>0)|0)&1|0)==0?9007199254740992.0:9007199254740994.0;x=(o|0)/2|0;c=r>>>0<x>>>0?.5:n&(r|0)==(x|0)?1.0:1.5;if(C){x=(b[A>>0]|0)==45;q=x?-q:q;c=x?-c:c}n=p-r|0;f[m>>2]=n;if(q+c!=q){x=n+o|0;f[m>>2]=x;if(x>>>0>999999999){l=m;while(1){m=l+-4|0;f[l>>2]=0;if(m>>>0<j>>>0){j=j+-4|0;f[j>>2]=0}x=(f[m>>2]|0)+1|0;f[m>>2]=x;if(x>>>0>999999999)l=m;else break}}l=(y-j>>2)*9|0;o=f[j>>2]|0;if(o>>>0>=10){n=10;do{n=n*10|0;l=l+1|0}while(o>>>0>=n>>>0)}}}w=m+4|0;x=j;j=e>>>0>w>>>0?w:e}else{x=j;j=e}w=j;while(1){if(w>>>0<=x>>>0){t=0;break}j=w+-4|0;if(!(f[j>>2]|0))w=j;else{t=1;break}}e=0-l|0;do if(s){j=((v^1)&1)+k|0;if((j|0)>(l|0)&(l|0)>-5){k=j+-1-l|0;n=i+-1|0}else{k=j+-1|0;n=i+-2|0}j=g&8;if(!j){if(t?(z=f[w+-4>>2]|0,(z|0)!=0):0)if(!((z>>>0)%10|0)){j=10;m=0;do{j=j*10|0;m=m+1|0}while(!((z>>>0)%(j>>>0)|0|0))}else m=0;else m=9;j=((w-y>>2)*9|0)+-9|0;if((n|32|0)==102){i=j-m|0;i=(i|0)>0?i:0;r=0;k=(k|0)<(i|0)?k:i;break}else{i=j+l-m|0;i=(i|0)>0?i:0;r=0;k=(k|0)<(i|0)?k:i;break}}else r=j}else{r=g&8;n=i}while(0);s=k|r;o=(s|0)!=0&1;p=(n|32|0)==102;if(p){v=0;j=(l|0)>0?l:0}else{j=(l|0)<0?e:l;j=Iw(j,((j|0)<0)<<31>>31,D)|0;m=D;if((m-j|0)<2)do{j=j+-1|0;b[j>>0]=48}while((m-j|0)<2);b[j+-1>>0]=(l>>31&2)+43;j=j+-2|0;b[j>>0]=n;v=j;j=m-j|0}j=C+1+k+o+j|0;Lw(a,32,d,j,g);Dw(a,A,C);Lw(a,48,d,j,g^65536);if(p){o=x>>>0>B>>>0?B:x;r=F+9|0;p=r;n=F+8|0;m=o;do{l=Iw(f[m>>2]|0,0,r)|0;if((m|0)==(o|0)){if((l|0)==(r|0)){b[n>>0]=48;l=n}}else if(l>>>0>F>>>0){Fz(F|0,48,l-E|0)|0;do l=l+-1|0;while(l>>>0>F>>>0)}Dw(a,l,p-l|0);m=m+4|0}while(m>>>0<=B>>>0);if(s|0)Dw(a,113854,1);if(m>>>0<w>>>0&(k|0)>0)while(1){l=Iw(f[m>>2]|0,0,r)|0;if(l>>>0>F>>>0){Fz(F|0,48,l-E|0)|0;do l=l+-1|0;while(l>>>0>F>>>0)}Dw(a,l,(k|0)<9?k:9);m=m+4|0;l=k+-9|0;if(!(m>>>0<w>>>0&(k|0)>9)){k=l;break}else k=l}Lw(a,48,k+9|0,9,0)}else{t=t?w:x+4|0;if((k|0)>-1){s=F+9|0;e=(r|0)==0;r=s;n=0-E|0;p=F+8|0;o=x;do{l=Iw(f[o>>2]|0,0,s)|0;if((l|0)==(s|0)){b[p>>0]=48;l=p}do if((o|0)==(x|0)){m=l+1|0;Dw(a,l,1);if(e&(k|0)<1){l=m;break}Dw(a,113854,1);l=m}else{if(l>>>0<=F>>>0)break;Fz(F|0,48,l+n|0)|0;do l=l+-1|0;while(l>>>0>F>>>0)}while(0);E=r-l|0;Dw(a,l,(k|0)>(E|0)?E:k);k=k-E|0;o=o+4|0}while(o>>>0<t>>>0&(k|0)>-1)}Lw(a,48,k+18|0,18,0);Dw(a,v,D-v|0)}Lw(a,32,d,j,g^8192)}else{F=(i&32|0)!=0;j=C+3|0;Lw(a,32,d,j,g&-65537);Dw(a,A,C);Dw(a,c!=c|0.0!=0.0?(F?113850:111929):F?111921:111925,3);Lw(a,32,d,j,g^8192)}while(0);u=G;return ((j|0)<(d|0)?d:j)|0}function Ow(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;I=f[s+4>>2]|0;return b|0}function Pw(a,b){a=+a;b=b|0;return +(+Qw(a,b))}function Qw(a,b){a=+a;b=b|0;var c=0,d=0,e=0;p[s>>3]=a;c=f[s>>2]|0;d=f[s+4>>2]|0;e=Oz(c|0,d|0,52)|0;switch(e&2047){case 0:{if(a!=0.0){a=+Qw(a*18446744073709551616.0,b);c=(f[b>>2]|0)+-64|0}else c=0;f[b>>2]=c;break}case 2047:break;default:{f[b>>2]=(e&2047)+-1022;f[s>>2]=c;f[s+4>>2]=d&-2146435073|1071644672;a=+p[s>>3]}}return +a}function Rw(a,c,d){a=a|0;c=c|0;d=d|0;do if(a){if(c>>>0<128){b[a>>0]=c;a=1;break}d=(Sw()|0)+188|0;if(!(f[f[d>>2]>>2]|0))if((c&-128|0)==57216){b[a>>0]=c;a=1;break}else{a=Wv()|0;f[a>>2]=84;a=-1;break}if(c>>>0<2048){b[a>>0]=c>>>6|192;b[a+1>>0]=c&63|128;a=2;break}if(c>>>0<55296|(c&-8192|0)==57344){b[a>>0]=c>>>12|224;b[a+1>>0]=c>>>6&63|128;b[a+2>>0]=c&63|128;a=3;break}if((c+-65536|0)>>>0<1048576){b[a>>0]=c>>>18|240;b[a+1>>0]=c>>>12&63|128;b[a+2>>0]=c>>>6&63|128;b[a+3>>0]=c&63|128;a=4;break}else{a=Wv()|0;f[a>>2]=84;a=-1;break}}else a=1;while(0);return a|0}function Sw(){return Yv()|0}function Tw(){return Yv()|0}function Uw(a,c){a=a|0;c=c|0;var d=0,e=0;d=0;while(1){if((h[111949+d>>0]|0)==(a|0)){e=2;break}d=d+1|0;if((d|0)==87){d=87;a=112037;e=5;break}}if((e|0)==2)if(!d)d=112037;else{a=112037;e=5}if((e|0)==5)while(1){do{e=a;a=a+1|0}while((b[e>>0]|0)!=0);d=d+-1|0;if(!d){d=a;break}else e=5}return Vw(d,f[c+20>>2]|0)|0}function Vw(a,b){a=a|0;b=b|0;return Ww(a,b)|0}function Ww(a,b){a=a|0;b=b|0;if(!b)b=0;else b=Xw(f[b>>2]|0,f[b+4>>2]|0,a)|0;return (b|0?b:a)|0}function Xw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=(f[a>>2]|0)+1794895138|0;h=Yw(f[a+8>>2]|0,o)|0;e=Yw(f[a+12>>2]|0,o)|0;g=Yw(f[a+16>>2]|0,o)|0;a:do if((h>>>0<c>>>2>>>0?(n=c-(h<<2)|0,e>>>0<n>>>0&g>>>0<n>>>0):0)?((g|e)&3|0)==0:0){n=e>>>2;m=g>>>2;l=0;while(1){k=h>>>1;j=l+k|0;i=j<<1;g=i+n|0;e=Yw(f[a+(g<<2)>>2]|0,o)|0;g=Yw(f[a+(g+1<<2)>>2]|0,o)|0;if(!(g>>>0<c>>>0&e>>>0<(c-g|0)>>>0)){e=0;break a}if(b[a+(g+e)>>0]|0){e=0;break a}e=tw(d,a+g|0)|0;if(!e)break;e=(e|0)<0;if((h|0)==1){e=0;break a}else{l=e?l:j;h=e?k:h-k|0}}e=i+m|0;g=Yw(f[a+(e<<2)>>2]|0,o)|0;e=Yw(f[a+(e+1<<2)>>2]|0,o)|0;if(e>>>0<c>>>0&g>>>0<(c-e|0)>>>0)e=(b[a+(e+g)>>0]|0)==0?a+e|0:0;else e=0}else e=0;while(0);return e|0}function Yw(a,b){a=a|0;b=b|0;var c=0;c=Kz(a|0)|0;return ((b|0)==0?a:c)|0}function Zw(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0;g=d+16|0;e=f[g>>2]|0;if(!e)if(!(_w(d)|0)){e=f[g>>2]|0;h=5}else e=0;else h=5;a:do if((h|0)==5){j=d+20|0;i=f[j>>2]|0;g=i;if((e-i|0)>>>0<c>>>0){e=rb[f[d+36>>2]&63](d,a,c)|0;break}b:do if((b[d+75>>0]|0)>-1){i=c;while(1){if(!i){h=g;d=0;g=c;e=a;break b}e=i+-1|0;if((b[a+e>>0]|0)==10)break;else i=e}e=rb[f[d+36>>2]&63](d,a,i)|0;if(e>>>0<i>>>0)break a;h=f[j>>2]|0;d=i;g=c-i|0;e=a+i|0}else{h=g;d=0;g=c;e=a}while(0);Lz(h|0,e|0,g|0)|0;f[j>>2]=(f[j>>2]|0)+g;e=d+g|0}while(0);return e|0}function _w(a){a=a|0;var c=0,d=0;c=a+74|0;d=b[c>>0]|0;b[c>>0]=d+255|d;c=f[a>>2]|0;if(!(c&8)){f[a+8>>2]=0;f[a+4>>2]=0;c=f[a+44>>2]|0;f[a+28>>2]=c;f[a+20>>2]=c;f[a+16>>2]=c+(f[a+48>>2]|0);c=0}else{f[a>>2]=c|32;c=-1}return c|0}function $w(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=a+20|0;e=f[d>>2]|0;a=(f[a+16>>2]|0)-e|0;a=a>>>0>c>>>0?c:a;Lz(e|0,b|0,a|0)|0;f[d>>2]=(f[d>>2]|0)+a;return c|0}function ax(a){a=a|0;var b=0;b=bx(f[a>>2]|0)|0;Mv(a);return b|0}function bx(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;a=Zv(a)|0;f[c>>2]=a;a=db(6,c|0)|0;a=Vv((a|0)==-4?0:a)|0;u=b;return a|0}function cx(a){a=a|0;var b=0,c=0,d=0;d=u;u=u+16|0;c=d+8|0;b=dx(a,589824,d)|0;do if((b|0)>=0){a=Nv(1,2072)|0;if(!a){f[c>>2]=b;db(6,c|0)|0;a=0;break}else{f[a>>2]=b;break}}else a=0;while(0);u=d;return a|0}function dx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;h=u;u=u+48|0;g=h+16|0;e=h;d=h+32|0;if(!(b&4194368))d=0;else{f[d>>2]=c;i=(f[d>>2]|0)+(4-1)&~(4-1);c=f[i>>2]|0;f[d>>2]=i+4;d=c}f[e>>2]=a;f[e+4>>2]=b|32768;f[e+8>>2]=d;d=eb(5,e|0)|0;if(!((b&524288|0)==0|(d|0)<0)){f[g>>2]=d;f[g+4>>2]=2;f[g+8>>2]=1;pa(221,g|0)|0}i=Vv(d)|0;u=h;return i|0}function ex(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;h=u;u=u+16|0;c=h;e=a+8|0;b=f[e>>2]|0;d=a+12|0;a:do if((b|0)<(f[d>>2]|0))g=6;else{f[c>>2]=f[a>>2];f[c+4>>2]=a+24;f[c+8>>2]=2048;b=qa(220,c|0)|0;if((b|0)>=1){f[d>>2]=b;f[e>>2]=0;b=0;g=6;break}switch(b|0){case 0:case -2:{b=0;break a}default:{}}a=Wv()|0;f[a>>2]=0-b;b=0}while(0);if((g|0)==6){g=a+24+b|0;f[e>>2]=(j[g+8>>1]|0)+b;f[a+4>>2]=f[g+4>>2];b=g}u=h;return b|0}function fx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;e=u;u=u+32|0;g=e;d=e+20|0;f[g>>2]=a;f[g+4>>2]=0;f[g+8>>2]=b;f[g+12>>2]=d;f[g+16>>2]=c;c=(Vv(hb(140,g|0)|0)|0)!=0;u=e;return (c?-1:f[d>>2]|0)|0}function gx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;l=u;u=u+208|0;j=l+8|0;k=l;h=X(c,b)|0;i=k;f[i>>2]=1;f[i+4>>2]=0;a:do if(h|0){i=0-c|0;f[j+4>>2]=c;f[j>>2]=c;b=c;e=c;g=2;while(1){b=b+c+e|0;f[j+(g<<2)>>2]=b;if(b>>>0<h>>>0){m=e;e=b;g=g+1|0;b=m}else break}g=a+h+i|0;if(g>>>0>a>>>0){h=g;e=1;b=1;do{do if((e&3|0)!=3){e=b+-1|0;if((f[j+(e<<2)>>2]|0)>>>0<(h-a|0)>>>0)hx(a,c,d,b,j);else jx(a,c,d,k,b,0,j);if((b|0)==1){kx(k,1);b=0;break}else{kx(k,e);b=1;break}}else{hx(a,c,d,b,j);ix(k,2);b=b+2|0}while(0);e=f[k>>2]|1;f[k>>2]=e;a=a+c|0}while(a>>>0<g>>>0)}else{e=1;b=1}jx(a,c,d,k,b,0,j);g=k+4|0;while(1){if((b|0)==1&(e|0)==1){if(!(f[g>>2]|0))break a}else if((b|0)>=2){kx(k,2);m=b+-2|0;f[k>>2]=f[k>>2]^7;ix(k,1);jx(a+(0-(f[j+(m<<2)>>2]|0))+i|0,c,d,k,b+-1|0,1,j);kx(k,1);e=f[k>>2]|1;f[k>>2]=e;h=a+i|0;jx(h,c,d,k,m,1,j);a=h;b=m;continue}m=lx(k)|0;ix(k,m);e=f[k>>2]|0;a=a+i|0;b=m+b|0}}while(0);u=l;return}function hx(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+240|0;m=n;f[m>>2]=a;a:do if((d|0)>1){l=0-b|0;k=a;g=a;a=1;while(1){g=g+l|0;i=d+-2|0;h=g+(0-(f[e+(i<<2)>>2]|0))|0;if((zb[c&31](k,h)|0)>-1?(zb[c&31](k,g)|0)>-1:0)break a;j=a+1|0;a=m+(a<<2)|0;if((zb[c&31](h,g)|0)>-1){f[a>>2]=h;a=h;d=d+-1|0}else{f[a>>2]=g;a=g;d=i}if((d|0)<=1){a=j;break a}k=f[m>>2]|0;g=a;a=j}}else a=1;while(0);nx(b,m,a);u=n;return}function ix(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=a+4|0;if(b>>>0>31){c=f[e>>2]|0;f[a>>2]=c;f[e>>2]=0;d=0;b=b+-32|0}else{c=f[a>>2]|0;d=f[e>>2]|0}f[a>>2]=d<<32-b|c>>>b;f[e>>2]=d>>>b;return}function jx(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;o=u;u=u+240|0;m=o+232|0;n=o;p=f[d>>2]|0;f[m>>2]=p;j=f[d+4>>2]|0;k=m+4|0;f[k>>2]=j;f[n>>2]=a;a:do if((p|0)!=1|(j|0)!=0?(l=0-b|0,i=a+(0-(f[h+(e<<2)>>2]|0))|0,(zb[c&31](i,a)|0)>=1):0){j=1;g=(g|0)==0;while(1){if(g&(e|0)>1){d=a+l|0;g=f[h+(e+-2<<2)>>2]|0;if((zb[c&31](d,i)|0)>-1){i=a;g=j;d=10;break a}if((zb[c&31](d+(0-g)|0,i)|0)>-1){i=a;g=j;d=10;break a}}a=j+1|0;f[n+(j<<2)>>2]=i;p=lx(m)|0;ix(m,p);e=p+e|0;if(!((f[m>>2]|0)!=1|(f[k>>2]|0)!=0)){g=a;d=10;break a}g=i+(0-(f[h+(e<<2)>>2]|0))|0;if((zb[c&31](g,f[n>>2]|0)|0)<1){g=0;d=9;break}else{p=i;i=g;j=a;g=1;a=p}}}else{i=a;a=1;d=9}while(0);if((d|0)==9?(g|0)==0:0){g=a;d=10}if((d|0)==10){nx(b,n,g);hx(i,b,c,e,h)}u=o;return}function kx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;e=a+4|0;if(b>>>0>31){c=f[a>>2]|0;f[e>>2]=c;f[a>>2]=0;d=0;b=b+-32|0}else{c=f[e>>2]|0;d=f[a>>2]|0}f[e>>2]=d>>>(32-b|0)|c<<b;f[a>>2]=d<<b;return}function lx(a){a=a|0;var b=0;b=mx((f[a>>2]|0)+-1|0)|0;if(!b){a=mx(f[a+4>>2]|0)|0;return ((a|0)==0?0:a+32|0)|0}else return b|0;return 0}function mx(a){a=a|0;var b=0;if(a)if(!(a&1)){b=0;do{b=b+1|0;a=a>>>1}while(!(a&1|0))}else b=0;else b=32;return b|0}function nx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;h=u;u=u+256|0;d=h;a:do if((c|0)>=2?(g=b+(c<<2)|0,f[g>>2]=d,a|0):0)while(1){e=a>>>0<256?a:256;Lz(d|0,f[b>>2]|0,e|0)|0;d=0;do{i=b+(d<<2)|0;d=d+1|0;Lz(f[i>>2]|0,f[b+(d<<2)>>2]|0,e|0)|0;f[i>>2]=(f[i>>2]|0)+e}while((d|0)!=(c|0));a=a-e|0;if(!a)break a;d=f[g>>2]|0}while(0);u=h;return}function ox(a,c,d){a=a|0;c=c|0;d=d|0;var e=0.0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;switch(c|0){case 0:{l=24;m=-149;i=4;break}case 1:{l=53;m=-1074;i=4;break}case 2:{l=53;m=-1074;i=4;break}default:e=0.0}a:do if((i|0)==4){o=a+4|0;n=a+100|0;do{c=f[o>>2]|0;if(c>>>0<(f[n>>2]|0)>>>0){f[o>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0}while((gw(c)|0)!=0);b:do switch(c|0){case 43:case 45:{g=1-(((c|0)==45&1)<<1)|0;c=f[o>>2]|0;if(c>>>0<(f[n>>2]|0)>>>0){f[o>>2]=c+1;c=h[c>>0]|0;k=g;break b}else{c=fw(a)|0;k=g;break b}}default:k=1}while(0);g=c;c=0;do{if((g|32|0)!=(b[113841+c>>0]|0))break;do if(c>>>0<7){g=f[o>>2]|0;if(g>>>0<(f[n>>2]|0)>>>0){f[o>>2]=g+1;g=h[g>>0]|0;break}else{g=fw(a)|0;break}}while(0);c=c+1|0}while(c>>>0<8);c:do switch(c|0){case 8:break;case 3:{i=23;break}default:{j=(d|0)!=0;if(j&c>>>0>3)if((c|0)==8)break c;else{i=23;break c}d:do if(!c){c=0;do{if((g|32|0)!=(b[113850+c>>0]|0))break d;do if(c>>>0<2){g=f[o>>2]|0;if(g>>>0<(f[n>>2]|0)>>>0){f[o>>2]=g+1;g=h[g>>0]|0;break}else{g=fw(a)|0;break}}while(0);c=c+1|0}while(c>>>0<3)}while(0);switch(c|0){case 3:{c=f[o>>2]|0;if(c>>>0<(f[n>>2]|0)>>>0){f[o>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0;if((c|0)==40)c=1;else{if(!(f[n>>2]|0)){e=B;break a}f[o>>2]=(f[o>>2]|0)+-1;e=B;break a}while(1){g=f[o>>2]|0;if(g>>>0<(f[n>>2]|0)>>>0){f[o>>2]=g+1;g=h[g>>0]|0}else g=fw(a)|0;if(!((g+-48|0)>>>0<10|(g+-65|0)>>>0<26)?!((g|0)==95|(g+-97|0)>>>0<26):0)break;c=c+1|0}if((g|0)==41){e=B;break a}g=(f[n>>2]|0)==0;if(!g)f[o>>2]=(f[o>>2]|0)+-1;if(!j){o=Wv()|0;f[o>>2]=22;dw(a,0);e=0.0;break a}if(!c){e=B;break a}while(1){c=c+-1|0;if(!g)f[o>>2]=(f[o>>2]|0)+-1;if(!c){e=B;break a}}}case 0:{if((g|0)==48){c=f[o>>2]|0;if(c>>>0<(f[n>>2]|0)>>>0){f[o>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0;if((c|32|0)==120){e=+px(a,l,m,k,d);break a}if(!(f[n>>2]|0))c=48;else{f[o>>2]=(f[o>>2]|0)+-1;c=48}}else c=g;e=+qx(a,c,l,m,k,d);break a}default:{if(f[n>>2]|0)f[o>>2]=(f[o>>2]|0)+-1;o=Wv()|0;f[o>>2]=22;dw(a,0);e=0.0;break a}}}}while(0);if((i|0)==23){g=(f[n>>2]|0)==0;if(!g)f[o>>2]=(f[o>>2]|0)+-1;if((d|0)!=0&c>>>0>3)do{if(!g)f[o>>2]=(f[o>>2]|0)+-1;c=c+-1|0}while(c>>>0>3)}e=+(k|0)*C}while(0);return +e}function px(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0.0,i=0,j=0,k=0,l=0.0,m=0.0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=a+4|0;i=f[w>>2]|0;v=a+100|0;if(i>>>0<(f[v>>2]|0)>>>0){f[w>>2]=i+1;i=h[i>>0]|0;k=0}else{i=fw(a)|0;k=0}a:while(1){switch(i|0){case 46:{o=8;break a}case 48:break;default:{u=0;n=0;q=0;j=0;r=k;t=0;s=0;m=1.0;k=0;g=0.0;break a}}i=f[w>>2]|0;if(i>>>0<(f[v>>2]|0)>>>0){f[w>>2]=i+1;i=h[i>>0]|0;k=1;continue}else{i=fw(a)|0;k=1;continue}}if((o|0)==8){i=f[w>>2]|0;if(i>>>0<(f[v>>2]|0)>>>0){f[w>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;if((i|0)==48){k=0;j=0;do{i=f[w>>2]|0;if(i>>>0<(f[v>>2]|0)>>>0){f[w>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;k=Ez(k|0,j|0,-1,-1)|0;j=I}while((i|0)==48);u=0;n=0;q=k;r=1;t=1;s=0;m=1.0;k=0;g=0.0}else{u=0;n=0;q=0;j=0;r=k;t=1;s=0;m=1.0;k=0;g=0.0}}while(1){p=i+-48|0;o=(i|0)==46;if(p>>>0>=10?!(o|((i|32)+-97|0)>>>0<6):0)break;if(o)if(!t){q=n;j=u;p=u;t=1;o=s;l=m}else{i=46;break}else{i=(i|0)>57?(i|32)+-87|0:p;do if(!((u|0)<0|(u|0)==0&n>>>0<8))if((u|0)<0|(u|0)==0&n>>>0<14){m=m*.0625;o=s;l=m;g=g+m*+(i|0);break}else{r=(s|0)!=0|(i|0)==0;o=r?s:1;l=m;g=r?g:g+m*.5;break}else{o=s;l=m;k=i+(k<<4)|0}while(0);n=Ez(n|0,u|0,1,0)|0;p=I;r=1}i=f[w>>2]|0;if(i>>>0<(f[v>>2]|0)>>>0){f[w>>2]=i+1;u=p;i=h[i>>0]|0;s=o;m=l;continue}else{u=p;i=fw(a)|0;s=o;m=l;continue}}do if(!r){i=f[v>>2]|0;j=(i|0)!=0;if(j)f[w>>2]=(f[w>>2]|0)+-1;if(e){if(j)f[w>>2]=(f[w>>2]|0)+-1;if(!((t|0)==0|(i|0)==0))f[w>>2]=(f[w>>2]|0)+-1}else dw(a,0);g=+(d|0)*0.0}else{o=(t|0)==0;p=o?n:q;o=o?u:j;if((u|0)<0|(u|0)==0&n>>>0<8){j=u;do{k=k<<4;n=Ez(n|0,j|0,1,0)|0;j=I}while((j|0)<0|(j|0)==0&n>>>0<8)}if((i|32|0)==112){j=rx(a,e)|0;i=I;if((j|0)==0&(i|0)==-2147483648){if(!e){dw(a,0);g=0.0;break}if(!(f[v>>2]|0)){j=0;i=0}else{f[w>>2]=(f[w>>2]|0)+-1;j=0;i=0}}}else if(!(f[v>>2]|0)){j=0;i=0}else{f[w>>2]=(f[w>>2]|0)+-1;j=0;i=0}w=Gz(p|0,o|0,2)|0;w=Ez(w|0,I|0,-32,-1)|0;i=Ez(w|0,I|0,j|0,i|0)|0;j=I;if(!k){g=+(d|0)*0.0;break}w=0-c|0;e=((w|0)<0)<<31>>31;if((j|0)>(e|0)|(j|0)==(e|0)&i>>>0>w>>>0){b=Wv()|0;f[b>>2]=34;g=+(d|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}w=c+-106|0;e=((w|0)<0)<<31>>31;if((j|0)<(e|0)|(j|0)==(e|0)&i>>>0<w>>>0){b=Wv()|0;f[b>>2]=34;g=+(d|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if((k|0)>-1){do{w=!(g>=.5);k=k<<1|(w^1)&1;g=g+(w?g:g+-1.0);i=Ez(i|0,j|0,-1,-1)|0;j=I}while((k|0)>-1);n=i;m=g}else{n=i;m=g}w=((b|0)<0)<<31>>31;i=Dz(32,0,c|0,((c|0)<0)<<31>>31|0)|0;i=Ez(i|0,I|0,n|0,j|0)|0;c=I;if((w|0)>(c|0)|(w|0)==(c|0)&b>>>0>i>>>0)if((i|0)>0)o=59;else{j=0;i=84;o=61}else{i=b;o=59}if((o|0)==59)if((i|0)<53){j=i;i=84-i|0;o=61}else{l=0.0;g=+(d|0)}if((o|0)==61){g=+(d|0);l=+tx(+sx(1.0,i),g);i=j}d=(k&1|0)==0&(m!=0.0&(i|0)<32);g=g*(d?0.0:m)+(l+g*+(((d&1)+k|0)>>>0))-l;if(!(g!=0.0)){d=Wv()|0;f[d>>2]=34}g=+vx(g,n)}while(0);return +g}function qx(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0.0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0.0,r=0.0,s=0.0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0.0;H=u;u=u+512|0;E=H;F=d+c|0;G=0-F|0;B=a+4|0;C=a+100|0;j=b;m=0;a:while(1){switch(j|0){case 46:{A=6;break a}case 48:break;default:{l=0;b=0;p=0;break a}}b=f[B>>2]|0;if(b>>>0<(f[C>>2]|0)>>>0){f[B>>2]=b+1;j=h[b>>0]|0;m=1;continue}else{j=fw(a)|0;m=1;continue}}if((A|0)==6){b=f[B>>2]|0;if(b>>>0<(f[C>>2]|0)>>>0){f[B>>2]=b+1;j=h[b>>0]|0}else j=fw(a)|0;if((j|0)==48){j=0;b=0;while(1){l=Ez(j|0,b|0,-1,-1)|0;b=I;j=f[B>>2]|0;if(j>>>0<(f[C>>2]|0)>>>0){f[B>>2]=j+1;j=h[j>>0]|0}else j=fw(a)|0;if((j|0)==48)j=l;else{m=1;p=1;break}}}else{l=0;b=0;p=1}}f[E>>2]=0;v=j+-48|0;n=(j|0)==46;b:do if(n|v>>>0<10){A=E+496|0;z=l;y=0;t=0;w=n;o=0;l=0;n=0;c:while(1){do if(w)if(!p){z=y;b=t;p=1}else break c;else{w=Ez(y|0,t|0,1,0)|0;t=I;x=(j|0)!=48;if((l|0)>=125){if(!x){y=w;break}f[A>>2]=f[A>>2]|1;y=w;break}m=E+(l<<2)|0;if(!o)j=v;else j=j+-48+((f[m>>2]|0)*10|0)|0;f[m>>2]=j;o=o+1|0;v=(o|0)==9;y=w;m=1;o=v?0:o;l=(v&1)+l|0;n=x?w:n}while(0);j=f[B>>2]|0;if(j>>>0<(f[C>>2]|0)>>>0){f[B>>2]=j+1;j=h[j>>0]|0}else j=fw(a)|0;v=j+-48|0;w=(j|0)==46;if(!(w|v>>>0<10)){v=y;w=z;A=29;break b}}v=y;p=z;j=(m|0)!=0;A=37}else{v=0;w=l;t=0;o=0;l=0;n=0;A=29}while(0);do if((A|0)==29){z=(p|0)==0;p=z?v:w;b=z?t:b;w=(m|0)!=0;if(!(w&(j|32|0)==101))if((j|0)>-1){j=w;A=37;break}else{m=t;j=w;A=39;break}m=rx(a,g)|0;j=I;if((m|0)==0&(j|0)==-2147483648){if(!g){dw(a,0);i=0.0;break}if(!(f[C>>2]|0)){m=0;j=0}else{f[B>>2]=(f[B>>2]|0)+-1;m=0;j=0}}y=Ez(m|0,j|0,p|0,b|0)|0;p=v;b=I;m=t;A=41}while(0);if((A|0)==37)if(f[C>>2]|0){f[B>>2]=(f[B>>2]|0)+-1;if(j){y=p;p=v;m=t;A=41}else A=40}else{m=t;A=39}if((A|0)==39)if(j){y=p;p=v;A=41}else A=40;do if((A|0)==40){G=Wv()|0;f[G>>2]=22;dw(a,0);i=0.0}else if((A|0)==41){j=f[E>>2]|0;if(!j){i=+(e|0)*0.0;break}if(((m|0)<0|(m|0)==0&p>>>0<10)&((y|0)==(p|0)&(b|0)==(m|0))?(c|0)>30|(j>>>c|0)==0:0){i=+(e|0)*+(j>>>0);break}a=(d|0)/-2|0;C=((a|0)<0)<<31>>31;if((b|0)>(C|0)|(b|0)==(C|0)&y>>>0>a>>>0){G=Wv()|0;f[G>>2]=34;i=+(e|0)*1797693134862315708145274.0e284*1797693134862315708145274.0e284;break}a=d+-106|0;C=((a|0)<0)<<31>>31;if((b|0)<(C|0)|(b|0)==(C|0)&y>>>0<a>>>0){G=Wv()|0;f[G>>2]=34;i=+(e|0)*2.2250738585072014e-308*2.2250738585072014e-308;break}if(o){if((o|0)<9){m=E+(l<<2)|0;b=o;j=f[m>>2]|0;do{j=j*10|0;b=b+1|0}while((b|0)!=9);f[m>>2]=j}l=l+1|0}if((n|0)<9?(n|0)<=(y|0)&(y|0)<18:0){b=f[E>>2]|0;if((y|0)==9){i=+(e|0)*+(b>>>0);break}if((y|0)<9){i=+(e|0)*+(b>>>0)/+(f[20640+(8-y<<2)>>2]|0);break}a=c+27+(X(y,-3)|0)|0;if((a|0)>30|(b>>>a|0)==0){i=+(e|0)*+(b>>>0)*+(f[20640+(y+-10<<2)>>2]|0);break}}b=(y|0)%9|0;if(!b){m=0;b=0}else{t=(y|0)>-1?b:b+9|0;m=f[20640+(8-t<<2)>>2]|0;if(l){o=1e9/(m|0)|0;b=0;n=0;p=0;j=y;do{B=E+(p<<2)|0;C=f[B>>2]|0;a=((C>>>0)/(m>>>0)|0)+n|0;f[B>>2]=a;n=X(o,(C>>>0)%(m>>>0)|0)|0;a=(p|0)==(b|0)&(a|0)==0;j=a?j+-9|0:j;b=a?b+1&127:b;p=p+1|0}while((p|0)!=(l|0));if(n){f[E+(l<<2)>>2]=n;l=l+1|0}}else{b=0;j=y;l=0}m=b;b=0;y=9-t+j|0}d:while(1){v=(y|0)<18;w=(y|0)==18;t=E+(m<<2)|0;while(1){if(!v){if(!w){j=y;break d}if((f[t>>2]|0)>>>0>=9007199){j=18;break d}}n=0;j=l+127|0;x=l;while(1){p=j&127;o=E+(p<<2)|0;j=Gz(f[o>>2]|0,0,29)|0;j=Ez(j|0,I|0,n|0,0)|0;l=I;if(l>>>0>0|(l|0)==0&j>>>0>1e9){n=Qz(j|0,l|0,1e9,0)|0;j=Vz(j|0,l|0,1e9,0)|0}else n=0;f[o>>2]=j;a=(p|0)==(m|0);x=(j|0)==0&(((p|0)!=(x+127&127|0)|a)^1)?p:x;if(a)break;else j=p+-1|0}b=b+-29|0;if(n|0)break;else l=x}m=m+127&127;l=x+127&127;j=E+((x+126&127)<<2)|0;if((m|0)==(x|0))f[j>>2]=f[j>>2]|f[E+(l<<2)>>2];else l=x;f[E+(m<<2)>>2]=n;y=y+9|0}e:while(1){x=l+1&127;y=E+((l+127&127)<<2)|0;v=j;while(1){o=(v|0)==18;w=(v|0)>27?9:1;z=m;while(1){j=0;while(1){m=j+z&127;if((m|0)==(l|0)){D=2;A=88;break}m=f[E+(m<<2)>>2]|0;n=f[20672+(j<<2)>>2]|0;if(m>>>0<n>>>0){D=2;A=88;break}if(m>>>0>n>>>0)break;j=j+1|0;if((j|0)>=2){D=j;A=88;break}}if((A|0)==88?(A=0,o&(D|0)==2):0){n=0;i=0.0;break e}b=w+b|0;if((z|0)==(l|0))z=l;else break}t=(1<<w)+-1|0;p=1e9>>>w;m=z;o=0;n=z;j=v;do{B=E+(n<<2)|0;C=f[B>>2]|0;a=(C>>>w)+o|0;f[B>>2]=a;o=X(C&t,p)|0;a=(n|0)==(m|0)&(a|0)==0;j=a?j+-9|0:j;m=a?m+1&127:m;n=n+1&127}while((n|0)!=(l|0));if(!o){v=j;continue}if((x|0)!=(m|0))break;f[y>>2]=f[y>>2]|1;v=j}f[E+(l<<2)>>2]=o;l=x}while(1){m=n+z&127;j=l+1&127;if((m|0)==(l|0))f[E+(j+-1<<2)>>2]=0;else j=l;i=i*1.0e9+ +((f[E+(m<<2)>>2]|0)>>>0);n=n+1|0;if((n|0)==2)break;else l=j}s=+(e|0);k=s*i;m=b+53|0;p=m-d|0;o=(p|0)<(c|0);n=o?((p|0)>0?p:0):c;if((n|0)<53){J=+tx(+sx(1.0,105-n|0),k);q=+ux(k,+sx(1.0,53-n|0));r=J;i=q;q=J+(k-q)}else{r=0.0;i=0.0;q=k}l=z+2&127;if((l|0)!=(j|0)){l=f[E+(l<<2)>>2]|0;do if(l>>>0>=5e8){if((l|0)!=5e8){i=s*.75+i;break}if((z+3&127|0)==(j|0)){i=s*.5+i;break}else{i=s*.75+i;break}}else{if((l|0)==0?(z+3&127|0)==(j|0):0)break;i=s*.25+i}while(0);if((53-n|0)>1?!(+ux(i,1.0)!=0.0):0)k=i+1.0;else k=i}else k=i;i=q+k-r;do if((m&2147483647|0)>(-2-F|0)){F=!(+K(+i)>=9007199254740992.0);b=((F^1)&1)+b|0;i=F?i:i*.5;if((b+50|0)<=(G|0)?!(k!=0.0&(o&((n|0)!=(p|0)|F))):0)break;G=Wv()|0;f[G>>2]=34}while(0);i=+vx(i,b)}while(0);u=H;return +i}function rx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,i=0,j=0;j=a+4|0;c=f[j>>2]|0;i=a+100|0;if(c>>>0<(f[i>>2]|0)>>>0){f[j>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0;switch(c|0){case 43:case 45:{d=(c|0)==45&1;c=f[j>>2]|0;if(c>>>0<(f[i>>2]|0)>>>0){f[j>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0;if((b|0)!=0&(c+-48|0)>>>0>9?(f[i>>2]|0)!=0:0){f[j>>2]=(f[j>>2]|0)+-1;g=d}else g=d;break}default:g=0}if((c+-48|0)>>>0>9)if(!(f[i>>2]|0)){d=-2147483648;c=0}else{f[j>>2]=(f[j>>2]|0)+-1;d=-2147483648;c=0}else{d=0;do{d=c+-48+(d*10|0)|0;c=f[j>>2]|0;if(c>>>0<(f[i>>2]|0)>>>0){f[j>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0}while((c+-48|0)>>>0<10&(d|0)<214748364);b=((d|0)<0)<<31>>31;if((c+-48|0)>>>0<10){do{b=Sz(d|0,b|0,10,0)|0;d=I;c=Ez(c|0,((c|0)<0)<<31>>31|0,-48,-1)|0;d=Ez(c|0,I|0,b|0,d|0)|0;b=I;c=f[j>>2]|0;if(c>>>0<(f[i>>2]|0)>>>0){f[j>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0}while((c+-48|0)>>>0<10&((b|0)<21474836|(b|0)==21474836&d>>>0<2061584302));e=d;d=c}else{e=d;d=c}c=f[i>>2]|0;if((d+-48|0)>>>0<10)do{d=f[j>>2]|0;if(d>>>0<c>>>0){f[j>>2]=d+1;d=h[d>>0]|0}else{d=fw(a)|0;c=f[i>>2]|0}}while((d+-48|0)>>>0<10);if(c|0)f[j>>2]=(f[j>>2]|0)+-1;j=(g|0)!=0;c=Dz(0,0,e|0,b|0)|0;d=j?I:b;c=j?c:e}I=d;return c|0}function sx(a,b){a=+a;b=b|0;var c=0,d=0;if((b|0)<=1023){if((b|0)<-1022){a=a*2.2250738585072014e-308;d=b+1022|0;c=(d|0)<-1022;b=b+2044|0;b=c?((b|0)>-1022?b:-1022):d;a=c?a*2.2250738585072014e-308:a}}else{a=a*8988465674311579538646525.0e283;c=b+-1023|0;d=(c|0)>1023;b=b+-2046|0;b=d?((b|0)<1023?b:1023):c;a=d?a*8988465674311579538646525.0e283:a}c=Gz(b+1023|0,0,52)|0;d=I;f[s>>2]=c;f[s+4>>2]=d;return +(a*+p[s>>3])}function tx(a,b){a=+a;b=+b;return +(+nw(a,b))}function ux(a,b){a=+a;b=+b;return +(+wx(a,b))}function vx(a,b){a=+a;b=b|0;return +(+sx(a,b))}function wx(a,b){a=+a;b=+b;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;p[s>>3]=a;i=f[s>>2]|0;j=f[s+4>>2]|0;p[s>>3]=b;l=f[s>>2]|0;m=f[s+4>>2]|0;d=Oz(i|0,j|0,52)|0;d=d&2047;k=Oz(l|0,m|0,52)|0;k=k&2047;n=j&-2147483648;h=Gz(l|0,m|0,1)|0;g=I;a:do if(!((h|0)==0&(g|0)==0)?(e=xx(b)|0,c=I&2147483647,!((d|0)==2047|(c>>>0>2146435072|(c|0)==2146435072&e>>>0>0))):0){c=Gz(i|0,j|0,1)|0;e=I;if(!(e>>>0>g>>>0|(e|0)==(g|0)&c>>>0>h>>>0))return +((c|0)==(h|0)&(e|0)==(g|0)?a*0.0:a);if(!d){c=Gz(i|0,j|0,12)|0;d=I;if((d|0)>-1|(d|0)==-1&c>>>0>4294967295){e=d;d=0;do{d=d+-1|0;c=Gz(c|0,e|0,1)|0;e=I}while((e|0)>-1|(e|0)==-1&c>>>0>4294967295)}else d=0;i=Gz(i|0,j|0,1-d|0)|0;h=I}else h=j&1048575|1048576;if(!k){c=Gz(l|0,m|0,12)|0;e=I;if((e|0)>-1|(e|0)==-1&c>>>0>4294967295){g=0;do{g=g+-1|0;c=Gz(c|0,e|0,1)|0;e=I}while((e|0)>-1|(e|0)==-1&c>>>0>4294967295)}else g=0;l=Gz(l|0,m|0,1-g|0)|0;j=I;k=g}else j=m&1048575|1048576;c=Dz(i|0,h|0,l|0,j|0)|0;e=I;g=(e|0)>-1|(e|0)==-1&c>>>0>4294967295;b:do if((d|0)>(k|0)){while(1){if(g){if((c|0)==0&(e|0)==0)break}else{c=i;e=h}i=Gz(c|0,e|0,1)|0;h=I;d=d+-1|0;c=Dz(i|0,h|0,l|0,j|0)|0;e=I;g=(e|0)>-1|(e|0)==-1&c>>>0>4294967295;if((d|0)<=(k|0))break b}b=a*0.0;break a}while(0);if(g){if((c|0)==0&(e|0)==0){b=a*0.0;break}}else{e=h;c=i}if(e>>>0<1048576|(e|0)==1048576&c>>>0<0)do{c=Gz(c|0,e|0,1)|0;e=I;d=d+-1|0}while(e>>>0<1048576|(e|0)==1048576&c>>>0<0);if((d|0)>0){m=Ez(c|0,e|0,0,-1048576)|0;c=I;d=Gz(d|0,0,52)|0;c=c|I;d=m|d}else{d=Oz(c|0,e|0,1-d|0)|0;c=I}f[s>>2]=d;f[s+4>>2]=c|n;b=+p[s>>3]}else o=3;while(0);if((o|0)==3){b=a*b;b=b/b}return +b}function xx(a){a=+a;var b=0;p[s>>3]=a;b=f[s>>2]|0;I=f[s+4>>2]|0;return b|0}function yx(a){a=a|0;var b=0;b=(zx()|0)+188|0;return Ww(a,f[(f[b>>2]|0)+20>>2]|0)|0}function zx(){return Yv()|0}function Ax(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;d=b[a>>0]|0;e=d&255;a:do if(d<<24>>24){f=a;do{a=b[c>>0]|0;if(!(a<<24>>24))break a;if(d<<24>>24!=a<<24>>24?(d=aw(e)|0,(d|0)!=(aw(a&255)|0)):0)break a;f=f+1|0;c=c+1|0;d=b[f>>0]|0;e=d&255}while(d<<24>>24!=0)}while(0);f=aw(e)|0;return f-(aw(h[c>>0]|0)|0)|0}function Bx(a){a=a|0;var c=0,d=0,e=0;e=a;a:do if(!(e&3)){c=a;d=4}else{c=e;while(1){if(!(b[a>>0]|0))break a;a=a+1|0;c=a;if(!(c&3)){c=a;d=4;break}}}while(0);if((d|0)==4){while(1){a=f[c>>2]|0;if(!((a&-2139062144^-2139062144)&a+-16843009))c=c+4|0;else break}if((a&255)<<24>>24)do c=c+1|0;while((b[c>>0]|0)!=0)}return c-e|0}function Cx(a,c){a=a|0;c=c|0;a=Dx(a,c)|0;return ((b[a>>0]|0)==(c&255)<<24>>24?a:0)|0}function Dx(a,c){a=a|0;c=c|0;var d=0,e=0,g=0;e=c&255;a:do if(!e)a=a+(Bx(a)|0)|0;else{if(a&3){d=c&255;do{g=b[a>>0]|0;if(g<<24>>24==0?1:g<<24>>24==d<<24>>24)break a;a=a+1|0}while((a&3|0)!=0)}e=X(e,16843009)|0;d=f[a>>2]|0;b:do if(!((d&-2139062144^-2139062144)&d+-16843009))do{g=d^e;if((g&-2139062144^-2139062144)&g+-16843009|0)break b;a=a+4|0;d=f[a>>2]|0}while(!((d&-2139062144^-2139062144)&d+-16843009|0));while(0);d=c&255;while(1){g=b[a>>0]|0;if(g<<24>>24==0?1:g<<24>>24==d<<24>>24)break;else a=a+1|0}}while(0);return a|0}function Ex(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0;k=u;u=u+16|0;g=k;i=(e|0)==0?222956:e;e=f[i>>2]|0;a:do if(!c)if(!e)e=0;else j=17;else{h=(a|0)==0?g:a;if(!d)e=-2;else{if(!e){e=b[c>>0]|0;if(e<<24>>24>-1){f[h>>2]=e&255;e=e<<24>>24!=0&1;break}a=(Fx()|0)+188|0;e=b[c>>0]|0;if(!(f[f[a>>2]>>2]|0)){f[h>>2]=e<<24>>24&57343;e=1;break}e=(e&255)+-194|0;if(e>>>0>50){j=17;break}e=f[19680+(e<<2)>>2]|0;g=d+-1|0;if(g){a=g;c=c+1|0;j=11}}else{a=d;j=11}b:do if((j|0)==11){g=b[c>>0]|0;l=(g&255)>>>3;if((l+-16|l+(e>>26))>>>0>7){j=17;break a}while(1){c=c+1|0;e=(g&255)+-128|e<<6;a=a+-1|0;if((e|0)>=0)break;if(!a)break b;g=b[c>>0]|0;if((g&-64)<<24>>24!=-128){j=17;break a}}f[i>>2]=0;f[h>>2]=e;e=d-a|0;break a}while(0);f[i>>2]=e;e=-2}}while(0);if((j|0)==17){f[i>>2]=0;e=Wv()|0;f[e>>2]=84;e=-1}u=k;return e|0}function Fx(){return Yv()|0}function Gx(){return 20680}function Hx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=u;u=u+16|0;g=e;f[g>>2]=d;d=yw(a,b,c,g)|0;u=e;return d|0}function Ix(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0;if(!d)c=0;else{e=b[a>>0]|0;f=e&255;a:do if(e<<24>>24){g=a;do{d=d+-1|0;a=b[c>>0]|0;if(!((d|0)!=0&a<<24>>24!=0))break a;if(e<<24>>24!=a<<24>>24?(e=aw(f)|0,(e|0)!=(aw(a&255)|0)):0)break a;g=g+1|0;c=c+1|0;e=b[g>>0]|0;f=e&255}while(e<<24>>24!=0)}while(0);g=aw(f)|0;c=g-(aw(h[c>>0]|0)|0)|0}return c|0}function Jx(a,b){a=a|0;b=b|0;Kx(a,b)|0;return a|0}function Kx(a,c){a=a|0;c=c|0;var d=0,e=0;d=c;a:do if(!((d^a)&3)){if(!(d&3))d=c;else while(1){d=b[c>>0]|0;b[a>>0]=d;if(!(d<<24>>24))break a;c=c+1|0;a=a+1|0;if(!(c&3)){d=c;break}}c=f[d>>2]|0;if(!((c&-2139062144^-2139062144)&c+-16843009)){e=a;a=d;while(1){d=a+4|0;a=e+4|0;f[e>>2]=c;c=f[d>>2]|0;if((c&-2139062144^-2139062144)&c+-16843009|0){c=d;break}else{e=a;a=d}}}else c=d;e=8}else e=8;while(0);if((e|0)==8){e=b[c>>0]|0;b[a>>0]=e;if(e<<24>>24)do{c=c+1|0;a=a+1|0;e=b[c>>0]|0;b[a>>0]=e}while(e<<24>>24!=0)}return a|0}function Lx(a){a=+a;var b=0,c=0,d=0,e=0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0;p[s>>3]=a;c=f[s>>2]|0;b=f[s+4>>2]|0;d=(b|0)<0;do if(d|b>>>0<1048576){if((c|0)==0&(b&2147483647|0)==0){a=-1.0/(a*a);break}if(d){a=(a-a)/0.0;break}else{p[s>>3]=a*18014398509481984.0;b=f[s+4>>2]|0;d=f[s>>2]|0;c=-1077;e=9;break}}else if(b>>>0<=2146435071)if((c|0)==0&0==0&(b|0)==1072693248)a=0.0;else{d=c;c=-1023;e=9}while(0);if((e|0)==9){e=b+614242|0;f[s>>2]=d;f[s+4>>2]=(e&1048575)+1072079006;i=+p[s>>3]+-1.0;h=i*(i*.5);j=i/(i+2.0);k=j*j;a=k*k;p[s>>3]=i-h;d=f[s+4>>2]|0;f[s>>2]=0;f[s+4>>2]=d;g=+p[s>>3];a=i-g-h+j*(h+(a*(a*(a*.15313837699209373+.22222198432149784)+.3999999999940942)+k*(a*(a*(a*.14798198605116586+.1818357216161805)+.2857142874366239)+.6666666666666735)));k=g*.4342944818781689;h=+(c+(e>>>20)|0);j=h*.30102999566361177;i=j+k;a=i+(k+(j-i)+(a*.4342944818781689+(h*3.694239077158931e-13+(g+a)*2.5082946711645275e-11)))}return +a}function Mx(a){a=+a;var b=0,c=0;p[s>>3]=a;c=f[s+4>>2]|0;b=c&2147483647;f[s>>2]=f[s>>2];f[s+4>>2]=b;a=+p[s>>3];do if(b>>>0>1071748074)if(b>>>0>1077149696){a=1.0-0.0/a;break}else{a=1.0-2.0/(+qw(a*2.0)+2.0);break}else{if(b>>>0>1070618798){a=+qw(a*2.0);a=a/(a+2.0);break}if(b>>>0>1048575){a=+qw(a*-2.0);a=-a/(a+2.0)}}while(0);return +((c|0)<0?-a:a)}function Nx(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=b;f[e+8>>2]=c;a=Vv(nb(4,e|0)|0)|0;u=d;return a|0}function Ox(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=a;f[e+4>>2]=b;f[e+8>>2]=c;a=Vv(ab(3,e|0)|0)|0;u=d;return a|0}function Px(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=a;f[d+4>>2]=b;a=Vv(Ra(195,d|0)|0)|0;u=c;return a|0}function Qx(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;g=u;u=u+4112|0;d=g;c=g+8|0;if(a)if(!b){a=Wv()|0;f[a>>2]=22;a=0}else e=4;else{a=c;b=4096;e=4}if((e|0)==4){f[d>>2]=a;f[d+4>>2]=b;if((Vv(fb(183,d|0)|0)|0)>=0){if((a|0)==(c|0))a=Rx(c)|0}else a=0}u=g;return a|0}function Rx(a){a=a|0;var b=0,c=0;c=(Bx(a)|0)+1|0;b=Lv(c)|0;if(!b)b=0;else Lz(b|0,a|0,c|0)|0;return b|0}function Sx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;e=f[4971]|0;b=yx(b)|0;Tx(e);if(((Ux(a,e)|0)>-1?Vx(b,Bx(b)|0,1,e)|0:0)?(Vx(c,1,d,e)|0)==(d|0):0)Wx(10,e)|0;Xx(e);return}function Tx(a){a=a|0;var b=0;if($x(a)|0){b=a+76|0;do{}while(($x(a)|0)!=0)}return}function Ux(a,b){a=a|0;b=b|0;var c=0;c=Bx(a)|0;return ((Vx(a,1,c,b)|0)!=(c|0))<<31>>31|0}function Vx(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;e=X(c,b)|0;c=(b|0)==0?0:c;if((f[d+76>>2]|0)>-1){g=(Bw(d)|0)==0;a=Zw(a,e,d)|0;if(!g)Cw(d)}else a=Zw(a,e,d)|0;if((a|0)!=(e|0))c=(a>>>0)/(b>>>0)|0;return c|0}
function It(){var a=0,c=0,e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0;oa=u;u=u+26144|0;la=oa+26056|0;ma=oa+25856|0;c=oa;ea=oa+25600|0;f[55591]=0;f[55592]=-2;ka=la+79|0;E=0;i=ma;n=ma;e=100;o=0;l=c;a:while(1){d[n>>1]=o;if((i+(e<<1)+-2|0)>>>0>n>>>0){H=i;D=n;F=e;G=l}else{m=(n-i>>1)+1|0;if(e>>>0>9999){a=i;na=1295;break}k=e<<1;k=k>>>0<1e4?k:1e4;a=Lv((k*258|0)+255|0)|0;if(a){Lz(a|0,i|0,m<<1|0)|0;e=a+(((k<<1)+255|0)>>>8<<8)|0;Lz(e|0,l|0,m<<8|0)|0;if((i|0)==(ma|0))g=0;else{Mv(i);g=0}}else{g=4;a=i;e=l}i=(g|0)==0;switch((i?((k|0)>(m|0)?0:9):g)&15){case 9:{c=1;break a}case 4:{na=1295;break a}case 0:{H=a;D=i?a+(m<<1)+-2|0:n;F=k;G=e;c=i?e+(m<<8)+-256|0:c;break}default:{a=0;na=1300;break a}}}if((o|0)==2){c=0;a=H;break}C=d[23422+(o<<1)>>1]|0;g=C<<16>>16;if(C<<16>>16!=-46){a=f[55592]|0;if((a|0)==-2){a=Dt()|0;f[55592]=a}if((a|0)>=1)if(a>>>0<290)e=h[103829+a>>0]|0;else e=2;else{f[55592]=0;e=0}a=e+g|0;if(a>>>0<=1603?(d[24002+(a<<1)>>1]|0)==(e|0):0){a=d[27210+(a<<1)>>1]|0;if(!(a<<16>>16))na=1280;else{f[55592]=-2;c=c+256|0;Lz(c|0,212384,256)|0;i=(E|0)==0?0:E+-1|0;e=D;a=a&65535}}else na=21}else na=21;do if((na|0)==21){na=0;a=b[104119+o>>0]|0;C=a&255;if(!(a<<24>>24))na=1280;else{B=h[104409+C>>0]|0;A=c+(1-B<<8)|0;e=f[A>>2]|0;Lz(ea|0,A+4|0,252)|0;b:do switch(a<<24>>24){case 125:{a=c+-1536|0;if((b[a>>0]|0)==83?(tw(a,105945)|0)==0:0){a=f[55566]|0;e=f[c+-768>>2]|0;if((((f[a+(e*344|0)+52>>2]|0)==259?(f[a+(e*344|0)+56>>2]|0)==1:0)?(O=f[c+-256>>2]|0,(f[a+(O*344|0)+52>>2]|0)==259):0)?(f[a+(O*344|0)+56>>2]|0)==1:0){if((f[a+(O*344|0)>>2]|0)==-1e3)a=a+(O*344|0)+88|0;else a=a+((f[c+-1280>>2]|0)*344|0)+56|0;a=f[a>>2]|0;if((a+-1|0)>>>0<=254){a=Ot(0,1044,3,f[c+-1280>>2]|0,e,O,0,0,0,0,a)|0;if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,106029,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,105953,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,106060,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 5:{a=f[c+-256>>2]|0;if((a|0)>=0){f[55569]=a;i=E;a=e;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,104535,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 6:{a=f[c+-256>>2]|0;if((a|0)>=0){f[55569]=a;i=E;a=e;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,104535,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 7:{a=f[c+-256>>2]|0;if((a|0)>=0){f[55569]=a;i=E;a=e;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,104535,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 8:{a=f[c+-256>>2]|0;if((a|0)>=0){f[55569]=a;i=E;a=e;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,104535,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 9:{i=0;a=e;break}case 10:{g=f[c>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){i=f[55566]|0;f[i+(a*344|0)+52>>2]=f[i+(g*344|0)+52>>2];f[i+(a*344|0)+8>>2]=1;f[i+(a*344|0)+12>>2]=g;f[i+(a*344|0)>>2]=123;f[i+(a*344|0)+4>>2]=4;i=E}else na=1287;break}case 11:{i=f[55566]|0;q=c+-512|0;a=f[q>>2]|0;r=i+(a*344|0)+8|0;g=f[r>>2]|0;if((g|0)>9){t=i+(a*344|0)+52|0;e=g;g=i;n=0;o=0;do{m=i+(a*344|0)+12+(n<<2)|0;k=f[m>>2]|0;l=f[t>>2]|0;if((f[g+(k*344|0)+52>>2]|0)!=(l|0)){e=Kt(l,0,k)|0;f[m>>2]=e;if((e|0)<0){na=57;break}g=f[55566]|0;k=e;e=f[r>>2]|0}o=(f[g+(k*344|0)+56>>2]|0)+o|0;n=n+1|0}while((n|0)<(e|0));if((na|0)==57){f[q>>2]=-1;na=1287;break b}f[i+(a*344|0)+60>>2]=1;f[i+(a*344|0)+56>>2]=o;f[i+(a*344|0)+64>>2]=o;f[q>>2]=a;if((a|0)<0){na=1287;break b}e=f[55567]|0;do if((e|0)==(f[55568]|0)){if(!g){f[55568]=100;g=Lv(34400)|0}else{f[55568]=e<<1;g=Ov(g,e*688|0)|0}if(!g){f[55581]=113;na=1287;break b}else{f[55566]=g;e=f[55567]|0;break}}while(0);f[55567]=e+1;if((e|0)<=-1){na=1287;break b}f[g+(e*344|0)+52>>2]=f[g+(a*344|0)+52>>2];f[g+(e*344|0)+8>>2]=1;f[g+(e*344|0)+12>>2]=a;f[g+(e*344|0)>>2]=123;f[g+(e*344|0)+4>>2]=4;i=g;g=f[g+(e*344|0)+8>>2]|0;a=e}A=f[c>>2]|0;f[i+(a*344|0)+8>>2]=g+1;f[i+(a*344|0)+12+(g<<2)>>2]=A;i=E;break}case 12:{g=f[c>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){i=f[55566]|0;f[i+(a*344|0)+52>>2]=f[i+(g*344|0)+52>>2];f[i+(a*344|0)+8>>2]=1;f[i+(a*344|0)+12>>2]=g;f[i+(a*344|0)>>2]=123;f[i+(a*344|0)+4>>2]=4;i=E}else na=1287;break}case 13:{i=f[55566]|0;t=c+-512|0;a=f[t>>2]|0;g=i+(a*344|0)+52|0;e=f[i+((f[c>>2]|0)*344|0)+52>>2]|0;if((f[g>>2]|0)<(e|0)){f[g>>2]=e;a=f[t>>2]|0}q=i+(a*344|0)+8|0;g=f[q>>2]|0;if((g|0)>9){r=i+(a*344|0)+52|0;e=g;g=i;n=0;o=0;do{m=i+(a*344|0)+12+(n<<2)|0;k=f[m>>2]|0;l=f[r>>2]|0;if((f[g+(k*344|0)+52>>2]|0)!=(l|0)){e=Kt(l,0,k)|0;f[m>>2]=e;if((e|0)<0){na=86;break}g=f[55566]|0;k=e;e=f[q>>2]|0}o=(f[g+(k*344|0)+56>>2]|0)+o|0;n=n+1|0}while((n|0)<(e|0));if((na|0)==86){f[t>>2]=-1;na=1287;break b}f[i+(a*344|0)+60>>2]=1;f[i+(a*344|0)+56>>2]=o;f[i+(a*344|0)+64>>2]=o;f[t>>2]=a;if((a|0)<0){na=1287;break b}e=f[55567]|0;do if((e|0)==(f[55568]|0)){if(!g){f[55568]=100;g=Lv(34400)|0}else{f[55568]=e<<1;g=Ov(g,e*688|0)|0}if(!g){f[55581]=113;na=1287;break b}else{f[55566]=g;e=f[55567]|0;break}}while(0);f[55567]=e+1;if((e|0)<=-1){na=1287;break b}f[g+(e*344|0)+52>>2]=f[g+(a*344|0)+52>>2];f[g+(e*344|0)+8>>2]=1;f[g+(e*344|0)+12>>2]=a;f[g+(e*344|0)>>2]=123;f[g+(e*344|0)+4>>2]=4;i=g;g=f[g+(e*344|0)+8>>2]|0;a=e}A=f[c>>2]|0;f[i+(a*344|0)+8>>2]=g+1;f[i+(a*344|0)+12+(g<<2)>>2]=A;i=E;break}case 14:{i=f[55566]|0;q=c+-512|0;a=f[q>>2]|0;r=i+(a*344|0)+8|0;g=f[r>>2]|0;if((g|0)>9){t=i+(a*344|0)+52|0;e=g;g=i;n=0;o=0;do{m=i+(a*344|0)+12+(n<<2)|0;k=f[m>>2]|0;l=f[t>>2]|0;if((f[g+(k*344|0)+52>>2]|0)!=(l|0)){e=Kt(l,0,k)|0;f[m>>2]=e;if((e|0)<0){na=104;break}g=f[55566]|0;k=e;e=f[r>>2]|0}o=(f[g+(k*344|0)+56>>2]|0)+o|0;n=n+1|0}while((n|0)<(e|0));if((na|0)==104){f[q>>2]=-1;na=1287;break b}f[i+(a*344|0)+60>>2]=1;f[i+(a*344|0)+56>>2]=o;f[i+(a*344|0)+64>>2]=o;f[q>>2]=a;if((a|0)<0){na=1287;break b}e=f[55567]|0;do if((e|0)==(f[55568]|0)){if(!g){f[55568]=100;g=Lv(34400)|0}else{f[55568]=e<<1;g=Ov(g,e*688|0)|0}if(!g){f[55581]=113;na=1287;break b}else{f[55566]=g;e=f[55567]|0;break}}while(0);f[55567]=e+1;if((e|0)<=-1){na=1287;break b}f[g+(e*344|0)+52>>2]=f[g+(a*344|0)+52>>2];f[g+(e*344|0)+8>>2]=1;f[g+(e*344|0)+12>>2]=a;f[g+(e*344|0)>>2]=123;f[g+(e*344|0)+4>>2]=4;i=g;g=f[g+(e*344|0)+8>>2]|0;a=e}A=f[c>>2]|0;f[i+(a*344|0)+8>>2]=g+1;f[i+(a*344|0)+12+(g<<2)>>2]=A;i=E;break}case 15:{g=f[55566]|0;o=c+-512|0;f[g+((f[o>>2]|0)*344|0)+52>>2]=f[g+((f[c>>2]|0)*344|0)+52>>2];t=f[o>>2]|0;q=g+(t*344|0)+8|0;a=f[q>>2]|0;if((a|0)>9){r=g+(t*344|0)+52|0;e=g;m=0;n=0;do{l=g+(t*344|0)+12+(m<<2)|0;i=f[l>>2]|0;k=f[r>>2]|0;if((f[e+(i*344|0)+52>>2]|0)!=(k|0)){a=Kt(k,0,i)|0;f[l>>2]=a;if((a|0)<0){na=122;break}e=f[55566]|0;i=a;a=f[q>>2]|0}n=(f[e+(i*344|0)+56>>2]|0)+n|0;m=m+1|0}while((m|0)<(a|0));if((na|0)==122){f[o>>2]=-1;na=1287;break b}f[g+(t*344|0)+60>>2]=1;f[g+(t*344|0)+56>>2]=n;f[g+(t*344|0)+64>>2]=n;f[o>>2]=t;if((t|0)<0){na=1287;break b}a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)+52>>2]=f[e+(t*344|0)+52>>2];f[e+(a*344|0)+8>>2]=1;f[e+(a*344|0)+12>>2]=t;f[e+(a*344|0)>>2]=123;f[e+(a*344|0)+4>>2]=4;g=e;e=f[e+(a*344|0)+8>>2]|0}else{e=a;a=t}i=f[c>>2]|0;f[g+(a*344|0)+8>>2]=e+1;f[g+(a*344|0)+12+(e<<2)>>2]=i;i=E;break}case 16:{a=f[c+-256>>2]|0;r=f[55566]|0;o=r+(a*344|0)+8|0;e=f[o>>2]|0;if((e|0)>0){q=r+(a*344|0)+52|0;l=r;m=e;n=0;e=0;while(1){k=r+(a*344|0)+12+(n<<2)|0;g=f[k>>2]|0;i=f[q>>2]|0;if((f[l+(g*344|0)+52>>2]|0)==(i|0)){k=l;i=m}else{g=Kt(i,0,g)|0;f[k>>2]=g;if((g|0)<0){na=1287;break b}k=f[55566]|0;i=f[o>>2]|0}e=(f[k+(g*344|0)+56>>2]|0)+e|0;n=n+1|0;if((n|0)>=(i|0))break;else{l=k;m=i}}}else e=0;f[r+(a*344|0)+60>>2]=1;f[r+(a*344|0)+56>>2]=e;f[r+(a*344|0)+64>>2]=e;if((a|0)<0)na=1287;else i=E;break}case 17:{a=f[c+-256>>2]|0;r=f[55566]|0;o=r+(a*344|0)+8|0;e=f[o>>2]|0;if((e|0)>0){q=r+(a*344|0)+52|0;l=r;m=e;n=0;e=0;while(1){k=r+(a*344|0)+12+(n<<2)|0;g=f[k>>2]|0;i=f[q>>2]|0;if((f[l+(g*344|0)+52>>2]|0)==(i|0)){k=l;i=m}else{g=Kt(i,0,g)|0;f[k>>2]=g;if((g|0)<0){na=1287;break b}k=f[55566]|0;i=f[o>>2]|0}e=(f[k+(g*344|0)+56>>2]|0)+e|0;n=n+1|0;if((n|0)>=(i|0))break;else{l=k;m=i}}}else e=0;f[r+(a*344|0)+60>>2]=1;f[r+(a*344|0)+56>>2]=e;f[r+(a*344|0)+64>>2]=e;if((a|0)<0)na=1287;else i=E;break}case 18:{g=(Bx(c)|0)+1|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){A=f[55566]|0;f[A+(a*344|0)>>2]=-1e3;f[A+(a*344|0)+4>>2]=0;f[A+(a*344|0)+8>>2]=0;f[A+(a*344|0)+52>>2]=262;Lz(A+(a*344|0)+88|0,c|0,g|0)|0;f[A+(a*344|0)+84>>2]=0;i=A+(a*344|0)+56|0;f[i>>2]=1;f[A+(a*344|0)+60>>2]=1;f[A+(a*344|0)+64>>2]=1;A=Bx(c)|0;f[i>>2]=A;i=E}else na=1287;break}case 19:{l=f[c>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){e=f[55566]|0;f[e+(a*344|0)>>2]=0-l;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(l*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(l*124|0)+88>>2];i=f[g+(l*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(l*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0)na=1287;else i=E}else i=E}else na=1287;break}case 20:{e=f[55566]|0;m=f[c+-256>>2]|0;if((f[e+(m*344|0)+52>>2]|0)==259?(f[e+(m*344|0)>>2]|0)==-1e3:0){n=f[c+-768>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){f[55568]=a<<1;a=Ov(e,a*688|0)|0;if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;l=f[55567]|0;e=a;break}}else l=a;while(0);a=l+1|0;f[55567]=a;if((l|0)<=-1){na=1287;break b}f[e+(l*344|0)>>2]=0-n;f[e+(l*344|0)+4>>2]=0;f[e+(l*344|0)+8>>2]=0;g=f[55574]|0;f[e+(l*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(l*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(l*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(l*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((l|0)<0){na=1287;break b}}do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=123;f[e+(a*344|0)+4>>2]=5;f[e+(a*344|0)+8>>2]=2;f[e+(a*344|0)+12>>2]=l;f[e+(a*344|0)+16>>2]=m;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0)k=0;else{i=E;break b}do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,104581,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 21:{e=c+-512|0;a=Mt(262,f[e>>2]|0,38,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{i=f[55566]|0;f[i+(a*344|0)+56>>2]=f[i+((f[c+(((f[i+((f[e>>2]|0)*344|0)+56>>2]|0)>(f[i+((f[c>>2]|0)*344|0)+56>>2]|0)?-2:0)<<8)>>2]|0)*344|0)+56>>2];i=E}break}case 22:{e=c+-512|0;a=Mt(262,f[e>>2]|0,124,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{i=f[55566]|0;f[i+(a*344|0)+56>>2]=f[i+((f[c+(((f[i+((f[e>>2]|0)*344|0)+56>>2]|0)>(f[i+((f[c>>2]|0)*344|0)+56>>2]|0)?-2:0)<<8)>>2]|0)*344|0)+56>>2];i=E}break}case 23:{A=f[55566]|0;g=c+-512|0;a=f[g>>2]|0;e=f[c>>2]|0;if(((f[A+(e*344|0)+56>>2]|0)+(f[A+(a*344|0)+56>>2]|0)|0)<=255){a=Mt(262,a,43,e)|0;if((a|0)<0){na=1287;break b}i=f[55566]|0;f[i+(a*344|0)+56>>2]=(f[i+((f[c>>2]|0)*344|0)+56>>2]|0)+(f[i+((f[g>>2]|0)*344|0)+56>>2]|0);i=E;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,104624,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 24:{a=Nt(f[c+-768>>2]|0,1,f[c+-256>>2]|0,0,0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 25:{a=Nt(f[c+-1280>>2]|0,2,f[c+-768>>2]|0,f[c+-256>>2]|0,0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 26:{a=Nt(f[c+-1792>>2]|0,3,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 27:{a=Nt(f[c+-2304>>2]|0,4,f[c+-1792>>2]|0,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 28:{a=Nt(f[c+-2816>>2]|0,5,f[c+-2304>>2]|0,f[c+-1792>>2]|0,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 29:{a=Kt(262,284,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 30:{i=E;a=f[c+-256>>2]|0;break}case 31:{a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){i=f[55566]|0;f[i+(a*344|0)>>2]=-1e3;f[i+(a*344|0)+4>>2]=0;f[i+(a*344|0)+8>>2]=0;f[i+(a*344|0)+52>>2]=259;A=i+(a*344|0)+88|0;z=h[c>>0]|h[c+1>>0]<<8|h[c+2>>0]<<16|h[c+3>>0]<<24;b[A>>0]=z;b[A+1>>0]=z>>8;b[A+2>>0]=z>>16;b[A+3>>0]=z>>24;f[i+(a*344|0)+84>>2]=0;f[i+(a*344|0)+56>>2]=1;f[i+(a*344|0)+60>>2]=1;f[i+(a*344|0)+64>>2]=1;i=E}else na=1287;break}case 32:{a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){i=f[55566]|0;f[i+(a*344|0)>>2]=-1e3;f[i+(a*344|0)+4>>2]=0;f[i+(a*344|0)+8>>2]=0;f[i+(a*344|0)+52>>2]=260;z=c;x=z;x=h[x>>0]|h[x+1>>0]<<8|h[x+2>>0]<<16|h[x+3>>0]<<24;z=z+4|0;z=h[z>>0]|h[z+1>>0]<<8|h[z+2>>0]<<16|h[z+3>>0]<<24;A=i+(a*344|0)+88|0;y=A;b[y>>0]=x;b[y+1>>0]=x>>8;b[y+2>>0]=x>>16;b[y+3>>0]=x>>24;A=A+4|0;b[A>>0]=z;b[A+1>>0]=z>>8;b[A+2>>0]=z>>16;b[A+3>>0]=z>>24;f[i+(a*344|0)+84>>2]=0;f[i+(a*344|0)+56>>2]=1;f[i+(a*344|0)+60>>2]=1;f[i+(a*344|0)+64>>2]=1;i=E}else na=1287;break}case 33:{l=f[c>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){e=f[55566]|0;f[e+(a*344|0)>>2]=0-l;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(l*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(l*124|0)+88>>2];i=f[g+(l*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(l*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0)na=1287;else i=E}else i=E}else na=1287;break}case 34:{e=f[55566]|0;m=f[c+-256>>2]|0;if((f[e+(m*344|0)+52>>2]|0)==259?(f[e+(m*344|0)>>2]|0)==-1e3:0){n=f[c+-768>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){f[55568]=a<<1;a=Ov(e,a*688|0)|0;if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;l=f[55567]|0;e=a;break}}else l=a;while(0);a=l+1|0;f[55567]=a;if((l|0)<=-1){na=1287;break b}f[e+(l*344|0)>>2]=0-n;f[e+(l*344|0)+4>>2]=0;f[e+(l*344|0)+8>>2]=0;g=f[55574]|0;f[e+(l*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(l*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(l*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(l*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((l|0)<0){na=1287;break b}}do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=123;f[e+(a*344|0)+4>>2]=5;f[e+(a*344|0)+8>>2]=2;f[e+(a*344|0)+12>>2]=l;f[e+(a*344|0)+16>>2]=m;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0)k=0;else{i=E;break b}do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,104581,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 35:{i=E;a=Ot(259,1035,0,0,0,0,0,0,0,0,0)|0;break}case 36:{i=E;a=Ot(259,1036,0,0,0,0,0,0,0,0,0)|0;break}case 37:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=270}}else{l=c;a=Kt(g,0,a)|0;na=270}if((na|0)==270){na=0;f[l>>2]=a;e=f[k>>2]|0;g=f[(f[55566]|0)+(e*344|0)+52>>2]|0;a=f[c>>2]|0}a=Mt(g,e,37,a)|0;if((a|0)<0)na=1287;else i=E;break}case 38:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=276}}else{l=c;a=Kt(g,0,a)|0;na=276}if((na|0)==276){na=0;f[l>>2]=a;e=f[k>>2]|0;g=f[(f[55566]|0)+(e*344|0)+52>>2]|0;a=f[c>>2]|0}a=Mt(g,e,43,a)|0;if((a|0)<0)na=1287;else i=E;break}case 39:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=282}}else{l=c;a=Kt(g,0,a)|0;na=282}if((na|0)==282){na=0;f[l>>2]=a;e=f[k>>2]|0;g=f[(f[55566]|0)+(e*344|0)+52>>2]|0;a=f[c>>2]|0}a=Mt(g,e,45,a)|0;if((a|0)<0)na=1287;else i=E;break}case 40:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=288}}else{l=c;a=Kt(g,0,a)|0;na=288}if((na|0)==288){na=0;f[l>>2]=a;e=f[k>>2]|0;g=f[(f[55566]|0)+(e*344|0)+52>>2]|0;a=f[c>>2]|0}a=Mt(g,e,42,a)|0;if((a|0)<0)na=1287;else i=E;break}case 41:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=294}}else{l=c;a=Kt(g,0,a)|0;na=294}if((na|0)==294){na=0;f[l>>2]=a;e=f[k>>2]|0;g=f[(f[55566]|0)+(e*344|0)+52>>2]|0;a=f[c>>2]|0}a=Mt(g,e,47,a)|0;if((a|0)<0)na=1287;else i=E;break}case 42:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=300}}else{l=c;a=Kt(g,0,a)|0;na=300}if((na|0)==300){na=0;f[l>>2]=a;e=f[k>>2]|0;g=f[(f[55566]|0)+(e*344|0)+52>>2]|0;a=f[c>>2]|0}a=Mt(g,e,283,a)|0;if((a|0)<0)na=1287;else i=E;break}case 43:{i=E;a=f[c>>2]|0;break}case 44:{a=f[c>>2]|0;a=Kt(f[(f[55566]|0)+(a*344|0)+52>>2]|0,287,a)|0;if((a|0)<0)na=1287;else i=E;break}case 45:{i=E;a=f[c+-256>>2]|0;break}case 46:{A=c+-512|0;a=Kt(f[(f[55566]|0)+((f[A>>2]|0)*344|0)+52>>2]|0,0,f[c>>2]|0)|0;f[c>>2]=a;A=f[A>>2]|0;a=Mt(f[(f[55566]|0)+(A*344|0)+52>>2]|0,A,42,a)|0;if((a|0)<0)na=1287;else i=E;break}case 47:{a=c+-512|0;A=Kt(f[(f[55566]|0)+((f[c>>2]|0)*344|0)+52>>2]|0,0,f[a>>2]|0)|0;f[a>>2]=A;a=f[c>>2]|0;a=Mt(f[(f[55566]|0)+(a*344|0)+52>>2]|0,A,42,a)|0;if((a|0)<0)na=1287;else i=E;break}case 48:{g=f[55566]|0;m=c+-512|0;i=f[m>>2]|0;a=f[g+(i*344|0)+52>>2]|0;e=f[c>>2]|0;g=f[g+(e*344|0)+52>>2]|0;if((a|0)<=(g|0)){if((a|0)<(g|0)){k=m;a=Kt(g,0,i)|0;na=311}}else{k=c;a=Kt(a,0,e)|0;na=311}if((na|0)==311){na=0;f[k>>2]=a;e=f[c>>2]|0;i=f[m>>2]|0}do if((e|i|0)>=0){l=f[55566]|0;a=f[l+(i*344|0)+56>>2]|0;if((a|0)!=1?(Q=f[l+(e*344|0)+56>>2]|0,(Q|0)!=1):0){if(!((a|0)==(Q|0)?(f[l+(i*344|0)+52>>2]|0)==(f[l+(e*344|0)+52>>2]|0):0))break;a=f[l+(i*344|0)+60>>2]|0;if((a|0)!=(f[l+(e*344|0)+60>>2]|0))break;if((a|0)>0){g=0;k=1;do{k=(f[l+(i*344|0)+64+(g<<2)>>2]|0)==(f[l+(e*344|0)+64+(g<<2)>>2]|0)?k:0;g=g+1|0}while((g|0)!=(a|0));if(!k)break}}n=c+-1024|0;a=Ot(0,1034,3,i,e,f[n>>2]|0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}o=f[55566]|0;g=f[c>>2]|0;e=f[o+(g*344|0)+56>>2]|0;if(!((g|a|0)<0?1:(f[o+((f[m>>2]|0)*344|0)+56>>2]|0)>=(e|0))?(f[o+(a*344|0)+56>>2]=e,fa=o+(g*344|0)+60|0,f[o+(a*344|0)+60>>2]=f[fa>>2],(f[fa>>2]|0)>0):0){e=0;do{f[o+(a*344|0)+64+(e<<2)>>2]=f[o+(g*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[fa>>2]|0))}f[o+((f[n>>2]|0)*344|0)+52>>2]=f[o+((f[m>>2]|0)*344|0)+52>>2];l=f[n>>2]|0;c:do if((l|a|0)>=0){g=f[o+(l*344|0)+56>>2]|0;m=o+(a*344|0)+56|0;e=f[m>>2]|0;do if((g|0)!=1)if((e|0)!=1){if(!((g|0)==(e|0)?(f[o+(l*344|0)+52>>2]|0)==(f[o+(a*344|0)+52>>2]|0):0))break c;e=f[o+(l*344|0)+60>>2]|0;if((e|0)!=(f[o+(a*344|0)+60>>2]|0))break c;if((e|0)>0){i=0;k=1}else break;do{k=(f[o+(l*344|0)+64+(i<<2)>>2]|0)==(f[o+(a*344|0)+64+(i<<2)>>2]|0)?k:0;i=i+1|0}while((i|0)!=(e|0));if(!k)break c}else g=1;else g=e;while(0);f[o+(l*344|0)+52>>2]=258;i=f[n>>2]|0;e=f[o+(i*344|0)+56>>2]|0;if((g|0)>=(e|0)|(i|a|0)<0){i=E;break b}f[m>>2]=e;g=o+(i*344|0)+60|0;f[o+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[o+(a*344|0)+64+(e<<2)>>2]=f[o+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104708,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104666,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 49:{g=f[55566]|0;m=c+-512|0;i=f[m>>2]|0;a=f[g+(i*344|0)+52>>2]|0;e=f[c>>2]|0;g=f[g+(e*344|0)+52>>2]|0;if((a|0)<=(g|0)){if((a|0)<(g|0)){k=m;a=Kt(g,0,i)|0;na=345}}else{k=c;a=Kt(a,0,e)|0;na=345}if((na|0)==345){na=0;f[k>>2]=a;e=f[c>>2]|0;i=f[m>>2]|0}do if((e|i|0)>=0){l=f[55566]|0;a=f[l+(i*344|0)+56>>2]|0;if((a|0)!=1?(R=f[l+(e*344|0)+56>>2]|0,(R|0)!=1):0){if(!((a|0)==(R|0)?(f[l+(i*344|0)+52>>2]|0)==(f[l+(e*344|0)+52>>2]|0):0))break;a=f[l+(i*344|0)+60>>2]|0;if((a|0)!=(f[l+(e*344|0)+60>>2]|0))break;if((a|0)>0){g=0;k=1;do{k=(f[l+(i*344|0)+64+(g<<2)>>2]|0)==(f[l+(e*344|0)+64+(g<<2)>>2]|0)?k:0;g=g+1|0}while((g|0)!=(a|0));if(!k)break}}n=c+-1024|0;a=Ot(0,1034,3,i,e,f[n>>2]|0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}o=f[55566]|0;g=f[c>>2]|0;e=f[o+(g*344|0)+56>>2]|0;if(!((g|a|0)<0?1:(f[o+((f[m>>2]|0)*344|0)+56>>2]|0)>=(e|0))?(f[o+(a*344|0)+56>>2]=e,ga=o+(g*344|0)+60|0,f[o+(a*344|0)+60>>2]=f[ga>>2],(f[ga>>2]|0)>0):0){e=0;do{f[o+(a*344|0)+64+(e<<2)>>2]=f[o+(g*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[ga>>2]|0))}f[o+((f[n>>2]|0)*344|0)+52>>2]=f[o+((f[m>>2]|0)*344|0)+52>>2];l=f[n>>2]|0;d:do if((l|a|0)>=0){g=f[o+(l*344|0)+56>>2]|0;m=o+(a*344|0)+56|0;e=f[m>>2]|0;do if((g|0)!=1)if((e|0)!=1){if(!((g|0)==(e|0)?(f[o+(l*344|0)+52>>2]|0)==(f[o+(a*344|0)+52>>2]|0):0))break d;e=f[o+(l*344|0)+60>>2]|0;if((e|0)!=(f[o+(a*344|0)+60>>2]|0))break d;if((e|0)>0){i=0;k=1}else break;do{k=(f[o+(l*344|0)+64+(i<<2)>>2]|0)==(f[o+(a*344|0)+64+(i<<2)>>2]|0)?k:0;i=i+1|0}while((i|0)!=(e|0));if(!k)break d}else g=1;else g=e;while(0);f[o+(l*344|0)+52>>2]=258;i=f[n>>2]|0;e=f[o+(i*344|0)+56>>2]|0;if((g|0)>=(e|0)|(i|a|0)<0){i=E;break b}f[m>>2]=e;g=o+(i*344|0)+60|0;f[o+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[o+(a*344|0)+64+(e<<2)>>2]=f[o+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104708,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104666,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 50:{g=f[55566]|0;m=c+-512|0;i=f[m>>2]|0;a=f[g+(i*344|0)+52>>2]|0;e=f[c>>2]|0;g=f[g+(e*344|0)+52>>2]|0;if((a|0)<=(g|0)){if((a|0)<(g|0)){k=m;a=Kt(g,0,i)|0;na=379}}else{k=c;a=Kt(a,0,e)|0;na=379}if((na|0)==379){na=0;f[k>>2]=a;e=f[c>>2]|0;i=f[m>>2]|0}do if((e|i|0)>=0){l=f[55566]|0;a=f[l+(i*344|0)+56>>2]|0;if((a|0)!=1?(S=f[l+(e*344|0)+56>>2]|0,(S|0)!=1):0){if(!((a|0)==(S|0)?(f[l+(i*344|0)+52>>2]|0)==(f[l+(e*344|0)+52>>2]|0):0))break;a=f[l+(i*344|0)+60>>2]|0;if((a|0)!=(f[l+(e*344|0)+60>>2]|0))break;if((a|0)>0){g=0;k=1;do{k=(f[l+(i*344|0)+64+(g<<2)>>2]|0)==(f[l+(e*344|0)+64+(g<<2)>>2]|0)?k:0;g=g+1|0}while((g|0)!=(a|0));if(!k)break}}n=c+-1024|0;a=Ot(0,1034,3,i,e,f[n>>2]|0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}o=f[55566]|0;g=f[c>>2]|0;e=f[o+(g*344|0)+56>>2]|0;if(!((g|a|0)<0?1:(f[o+((f[m>>2]|0)*344|0)+56>>2]|0)>=(e|0))?(f[o+(a*344|0)+56>>2]=e,ha=o+(g*344|0)+60|0,f[o+(a*344|0)+60>>2]=f[ha>>2],(f[ha>>2]|0)>0):0){e=0;do{f[o+(a*344|0)+64+(e<<2)>>2]=f[o+(g*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[ha>>2]|0))}f[o+((f[n>>2]|0)*344|0)+52>>2]=f[o+((f[m>>2]|0)*344|0)+52>>2];l=f[n>>2]|0;e:do if((l|a|0)>=0){g=f[o+(l*344|0)+56>>2]|0;m=o+(a*344|0)+56|0;e=f[m>>2]|0;do if((g|0)!=1)if((e|0)!=1){if(!((g|0)==(e|0)?(f[o+(l*344|0)+52>>2]|0)==(f[o+(a*344|0)+52>>2]|0):0))break e;e=f[o+(l*344|0)+60>>2]|0;if((e|0)!=(f[o+(a*344|0)+60>>2]|0))break e;if((e|0)>0){i=0;k=1}else break;do{k=(f[o+(l*344|0)+64+(i<<2)>>2]|0)==(f[o+(a*344|0)+64+(i<<2)>>2]|0)?k:0;i=i+1|0}while((i|0)!=(e|0));if(!k)break e}else g=1;else g=e;while(0);f[o+(l*344|0)+52>>2]=258;i=f[n>>2]|0;e=f[o+(i*344|0)+56>>2]|0;if((g|0)>=(e|0)|(i|a|0)<0){i=E;break b}f[m>>2]=e;g=o+(i*344|0)+60|0;f[o+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[o+(a*344|0)+64+(e<<2)>>2]=f[o+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104708,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104666,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 51:{a=c+-256|0;do if((b[a>>0]|0)==82){if(tw(a,104750)|0)if(!(tw(a,104758)|0))a=1042;else break;else a=1001;a=Ot(260,a,0,0,0,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}else{i=E;break b}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104767,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 52:{a=c+-512|0;switch(b[a>>0]|0){case 83:{if(!(tw(a,104792)|0)){a=Ot(259,1002,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;na=443}break}case 78:{if(!(tw(a,104797)|0)){e=f[55566]|0;g=e+((f[c+-256>>2]|0)*344|0)+56|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=259;i=e+(a*344|0)+88|0;A=h[g>>0]|h[g+1>>0]<<8|h[g+2>>0]<<16|h[g+3>>0]<<24;b[i>>0]=A;b[i+1>>0]=A>>8;b[i+2>>0]=A>>16;b[i+3>>0]=A>>24;f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1;i=E;break b}break}case 65:{if(!(tw(a,104804)|0)){g=f[c+-256>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;a=-1;break}else{f[55566]=a;a=f[55567]|0;na=437;break}}else na=437;while(0);if((na|0)==437){f[55567]=a+1;if((a|0)>-1){na=f[55566]|0;f[na+(a*344|0)>>2]=-1e3;f[na+(a*344|0)+4>>2]=0;f[na+(a*344|0)+8>>2]=0;f[na+(a*344|0)+52>>2]=259;A=na+(a*344|0)+88|0;b[A>>0]=0;b[A+1>>0]=0;b[A+2>>0]=0;b[A+3>>0]=0;f[na+(a*344|0)+84>>2]=0;f[na+(a*344|0)+56>>2]=1;f[na+(a*344|0)+60>>2]=1;f[na+(a*344|0)+64>>2]=1}}a=Mt(259,g,289,a)|0;na=443}break}default:{}}if((na|0)==443){na=0;if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,104811,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 53:{a=c+-512|0;do if((b[a>>0]|0)==78){if(tw(a,104797)|0){if(tw(a,104840)|0)break;a=Ot(259,1040,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}else{i=E;break b}}e=f[55566]|0;g=e+((f[c+-256>>2]|0)*344|0)+56|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=259;i=e+(a*344|0)+88|0;A=h[g>>0]|h[g+1>>0]<<8|h[g+2>>0]<<16|h[g+3>>0]<<24;b[i>>0]=A;b[i+1>>0]=A>>8;b[i+2>>0]=A>>16;b[i+3>>0]=A>>24;f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1;i=E;break b}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104848,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 54:{a=c+-512|0;f:do switch(b[a>>0]|0){case 78:{if(!(tw(a,104797)|0)){e=f[55566]|0;g=e+((f[c+-256>>2]|0)*344|0)+56|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=259;i=e+(a*344|0)+88|0;A=h[g>>0]|h[g+1>>0]<<8|h[g+2>>0]<<16|h[g+3>>0]<<24;b[i>>0]=A;b[i+1>>0]=A>>8;b[i+2>>0]=A>>16;b[i+3>>0]=A>>24;f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1;i=E;break b}if(!(tw(a,104840)|0)){e=f[55566]|0;g=e+((f[c+-256>>2]|0)*344|0)+56|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=259;i=e+(a*344|0)+88|0;A=h[g>>0]|h[g+1>>0]<<8|h[g+2>>0]<<16|h[g+3>>0]<<24;b[i>>0]=A;b[i+1>>0]=A>>8;b[i+2>>0]=A>>16;b[i+3>>0]=A>>24;f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1;i=E;break b}break}case 83:{if(!(tw(a,104792)|0)){a=Ot(259,1002,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;na=501}break}case 77:{if(!(tw(a,104876)|0)){a=f[c+-256>>2]|0;a=Ot(f[(f[55566]|0)+(a*344|0)+52>>2]|0,1022,1,a,0,0,0,0,0,0,0)|0;f[(f[55566]|0)+(a*344|0)+56>>2]=1;na=501;break f}if(!(tw(a,104881)|0)){a=f[c+-256>>2]|0;a=Ot(f[(f[55566]|0)+(a*344|0)+52>>2]|0,1024,1,a,0,0,0,0,0,0,0)|0;f[(f[55566]|0)+(a*344|0)+56>>2]=1;na=501}break}case 65:{if(!(tw(a,104804)|0)){g=f[c+-256>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;a=-1;break}else{f[55566]=a;a=f[55567]|0;na=493;break}}else na=493;while(0);if((na|0)==493){f[55567]=a+1;if((a|0)>-1){na=f[55566]|0;f[na+(a*344|0)>>2]=-1e3;f[na+(a*344|0)+4>>2]=0;f[na+(a*344|0)+8>>2]=0;f[na+(a*344|0)+52>>2]=259;A=na+(a*344|0)+88|0;b[A>>0]=0;b[A+1>>0]=0;b[A+2>>0]=0;b[A+3>>0]=0;f[na+(a*344|0)+84>>2]=0;f[na+(a*344|0)+56>>2]=1;f[na+(a*344|0)+60>>2]=1;f[na+(a*344|0)+64>>2]=1}}a=Mt(259,g,289,a)|0;na=501}break}default:{}}while(0);if((na|0)==501){na=0;if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,104886,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 55:{k=c+-512|0;a=b[k>>0]|0;g:do switch(a<<24>>24){case 83:{if(!(tw(k,104792)|0)){a=f[c+-256>>2]|0;a=Ot(f[(f[55566]|0)+(a*344|0)+52>>2]|0,1002,1,a,0,0,0,0,0,0,0)|0;break g}if(!(tw(k,104924)|0)){a=Ot(260,1039,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;break g}if((tw(k,104940)|0)==0?(X=f[55566]|0,Y=f[c+-256>>2]|0,(f[X+(Y*344|0)+52>>2]|0)==259):0){a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!X){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(X,a*688|0)|0}if(!e){f[55581]=113;a=-1;break}else{f[55566]=e;a=f[55567]|0;na=556;break}}else{e=X;na=556}while(0);if((na|0)==556){na=0;f[55567]=a+1;if((a|0)>-1){f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=259;A=e+(a*344|0)+88|0;b[A>>0]=0;b[A+1>>0]=0;b[A+2>>0]=0;b[A+3>>0]=0;f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1}}a=Mt(259,Y,288,a)|0;break g}if((tw(k,104940)|0)==0?(Z=f[55566]|0,_=f[c+-256>>2]|0,(f[Z+(_*344|0)+52>>2]|0)==260):0){a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!Z){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(Z,a*688|0)|0}if(!e){f[55581]=113;a=-1;break}else{f[55566]=e;a=f[55567]|0;na=568;break}}else{e=Z;na=568}while(0);if((na|0)==568){na=0;f[55567]=a+1;if((a|0)>-1){f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=260;A=e+(a*344|0)+88|0;p[s>>3]=0.0;b[A>>0]=b[s>>0];b[A+1>>0]=b[s+1>>0];b[A+2>>0]=b[s+2>>0];b[A+3>>0]=b[s+3>>0];b[A+4>>0]=b[s+4>>0];b[A+5>>0]=b[s+5>>0];b[A+6>>0]=b[s+6>>0];b[A+7>>0]=b[s+7>>0];f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1}}a=Mt(260,_,288,a)|0}else na=577;break}case 65:{if(!(tw(k,104915)|0)){a=Ot(260,1038,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;break g}if((tw(k,104804)|0)==0?(T=f[55566]|0,U=f[c+-256>>2]|0,(f[T+(U*344|0)+52>>2]|0)==259):0){a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!T){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(T,a*688|0)|0}if(!e){f[55581]=113;a=-1;break}else{f[55566]=e;a=f[55567]|0;na=532;break}}else{e=T;na=532}while(0);if((na|0)==532){na=0;f[55567]=a+1;if((a|0)>-1){f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=259;A=e+(a*344|0)+88|0;b[A>>0]=0;b[A+1>>0]=0;b[A+2>>0]=0;b[A+3>>0]=0;f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1}}a=Mt(259,U,289,a)|0;break g}if((tw(k,104804)|0)==0?(V=f[55566]|0,W=f[c+-256>>2]|0,(f[V+(W*344|0)+52>>2]|0)==260):0){a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!V){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(V,a*688|0)|0}if(!e){f[55581]=113;a=-1;break}else{f[55566]=e;a=f[55567]|0;na=544;break}}else{e=V;na=544}while(0);if((na|0)==544){na=0;f[55567]=a+1;if((a|0)>-1){f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=260;A=e+(a*344|0)+88|0;p[s>>3]=0.0;b[A>>0]=b[s>>0];b[A+1>>0]=b[s+1>>0];b[A+2>>0]=b[s+2>>0];b[A+3>>0]=b[s+3>>0];b[A+4>>0]=b[s+4>>0];b[A+5>>0]=b[s+5>>0];b[A+6>>0]=b[s+6>>0];b[A+7>>0]=b[s+7>>0];f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1}}a=Mt(260,W,289,a)|0;break g}if(!(tw(k,104949)|0))a=Ot(0,1017,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;else na=577;break}case 77:{if(!(tw(k,104932)|0)){a=f[c+-256>>2]|0;a=Ot(f[(f[55566]|0)+(a*344|0)+52>>2]|0,1037,1,a,0,0,0,0,0,0,0)|0;break g}if(!(tw(k,104876)|0)){a=f[c+-256>>2]|0;a=Ot(f[(f[55566]|0)+(a*344|0)+52>>2]|0,1022,1,a,0,0,0,0,0,0,0)|0;break g}if(!(tw(k,104881)|0)){a=f[c+-256>>2]|0;a=Ot(f[(f[55566]|0)+(a*344|0)+52>>2]|0,1024,1,a,0,0,0,0,0,0,0)|0}else na=577;break}case 78:{if(tw(k,104797)|0){if(tw(k,104840)|0){na=584;break g}a=Ot(259,1040,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;break g}e=f[55566]|0;g=e+((f[c+-256>>2]|0)*344|0)+56|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=-1e3;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;f[e+(a*344|0)+52>>2]=259;i=e+(a*344|0)+88|0;A=h[g>>0]|h[g+1>>0]<<8|h[g+2>>0]<<16|h[g+3>>0]<<24;b[i>>0]=A;b[i+1>>0]=A>>8;b[i+2>>0]=A>>16;b[i+3>>0]=A>>24;f[e+(a*344|0)+84>>2]=0;f[e+(a*344|0)+56>>2]=1;f[e+(a*344|0)+60>>2]=1;f[e+(a*344|0)+64>>2]=1;i=E;break b}case 82:{na=578;break}default:na=584}while(0);if((na|0)==577)if(a<<24>>24==82)na=578;else na=584;if((na|0)==578){na=0;if(!(tw(k,104750)|0)){a=Ot(0,1001,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}f[(f[55566]|0)+(a*344|0)+52>>2]=260;i=E;break b}if(!(tw(k,104758)|0)){a=Ot(0,1042,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}f[(f[55566]|0)+(a*344|0)+52>>2]=260;i=E;break b}else na=584}h:do if((na|0)==584){na=0;e=c+-256|0;g=f[e>>2]|0;if((f[(f[55566]|0)+(g*344|0)+52>>2]|0)!=260){g=Kt(260,0,g)|0;f[e>>2]=g;a=b[k>>0]|0}e=a<<24>>24==83;i:do if(e){if(!(tw(k,104954)|0)){a=Ot(0,1004,1,g,0,0,0,0,0,0,0)|0;break h}if(!(tw(k,105011)|0)){a=Ot(0,1010,1,g,0,0,0,0,0,0,0)|0;break h}else{i=0;na=609}}else switch(a<<24>>24){case 67:{if(!(tw(k,104959)|0)){a=Ot(0,1005,1,g,0,0,0,0,0,0,0)|0;break h}if(tw(k,105017)|0){i=1;na=609;break i}a=Ot(0,1011,1,g,0,0,0,0,0,0,0)|0;break h}case 84:{if(!(tw(k,104964)|0)){a=Ot(0,1006,1,g,0,0,0,0,0,0,0)|0;break h}if(tw(k,105023)|0){i=0;na=609;break i}a=Ot(0,1012,1,g,0,0,0,0,0,0,0)|0;break h}case 65:{if(tw(k,104969)|0?tw(k,104977)|0:0){if(tw(k,104983)|0?tw(k,104991)|0:0){if(tw(k,104997)|0?tw(k,105005)|0:0)break i;a=Ot(0,1009,1,g,0,0,0,0,0,0,0)|0;break h}a=Ot(0,1008,1,g,0,0,0,0,0,0,0)|0;break h}a=Ot(0,1007,1,g,0,0,0,0,0,0,0)|0;break h}default:{i=0;na=609;break i}}while(0);j:do if((na|0)==609){na=0;switch(a<<24>>24){case 69:{if(!(tw(k,105029)|0)){a=Ot(0,1013,1,g,0,0,0,0,0,0,0)|0;break h}break}case 76:{if(!(tw(k,105034)|0)){a=Ot(0,1014,1,g,0,0,0,0,0,0,0)|0;break h}if(!(tw(k,105039)|0)){a=Ot(0,1015,1,g,0,0,0,0,0,0,0)|0;break h}break}default:{}}do if(e)if(tw(k,105046)|0)if(i){a=0;na=626;break}else break j;else{a=Ot(0,1016,1,g,0,0,0,0,0,0,0)|0;break h}else{switch(a<<24>>24){case 82:{if(!(tw(k,105052)|0)){a=Ot(0,1021,1,g,0,0,0,0,0,0,0)|0;break h}else a=1;break}case 70:{if(!(tw(k,105059)|0)){a=Ot(0,1020,1,g,0,0,0,0,0,0,0)|0;break h}else a=0;break}default:a=0}if(i)na=626}while(0);if((na|0)==626){na=0;if(!(tw(k,105066)|0)){a=Ot(0,1019,1,g,0,0,0,0,0,0,0)|0;break h}}if(a?(tw(k,105072)|0)==0:0){a=Ot(0,1043,1,g,0,0,0,0,0,0,0)|0;f[(f[55566]|0)+(a*344|0)+52>>2]=259;break h}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105081,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}while(0);if((a|0)<0)na=1287;else i=E;break}case 56:{a=c+-1024|0;if((b[a>>0]|0)==83?(tw(a,105110)|0)==0:0){a=Ot(259,1045,2,f[c+-768>>2]|0,f[c+-256>>2]|0,0,0,0,0,0,0)|0;if((a|0)<0)na=1287;else i=E}else{i=E;a=e}break}case 57:{a=c+-1024|0;switch(b[a>>0]|0){case 68:{if(!(tw(a,105118)|0)){n=f[55566]|0;m=c+-768|0;e=f[m>>2]|0;g=f[n+(e*344|0)+56>>2]|0;o=c+-256|0;a=f[o>>2]|0;i=f[n+(a*344|0)+56>>2]|0;k:do if(!((g|0)<(i|0)|(a|e|0)<0)){k=f[n+(e*344|0)+52>>2]|0;l=f[n+(a*344|0)+52>>2]|0;do if(!((g|0)==1|(i|0)==1)){if(!((g|0)==(i|0)&(k|0)==(l|0)))break k;g=f[n+(e*344|0)+60>>2]|0;if((g|0)!=(f[n+(a*344|0)+60>>2]|0))break k;if((g|0)>0){i=0;k=1;do{k=(f[n+(e*344|0)+64+(i<<2)>>2]|0)==(f[n+(a*344|0)+64+(i<<2)>>2]|0)?k:0;i=i+1|0}while((i|0)!=(g|0));if(!k)break k}}else{if((k|0)>(l|0)){g=o;a=Kt(k,0,a)|0}else{if((k|0)>=(l|0))break;g=m;a=Kt(l,0,e)|0}f[g>>2]=a;e=f[m>>2]|0;a=f[o>>2]|0}while(0);a=Ot(0,1031,2,e,a,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}else{i=E;break b}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105127,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}break}case 65:{if(!(tw(a,105178)|0)){e=f[55566]|0;n=c+-768|0;a=f[n>>2]|0;if((f[e+(a*344|0)+52>>2]|0)!=260){a=Kt(260,0,a)|0;f[n>>2]=a;e=f[55566]|0}m=c+-256|0;g=f[m>>2]|0;if((f[e+(g*344|0)+52>>2]|0)!=260){g=Kt(260,0,g)|0;f[m>>2]=g;a=f[n>>2]|0}do if((g|a|0)>=0){l=f[55566]|0;e=f[l+(a*344|0)+56>>2]|0;if((e|0)!=1?($=f[l+(g*344|0)+56>>2]|0,($|0)!=1):0){if(!((e|0)==($|0)?(f[l+(a*344|0)+52>>2]|0)==(f[l+(g*344|0)+52>>2]|0):0))break;e=f[l+(a*344|0)+60>>2]|0;if((e|0)!=(f[l+(g*344|0)+60>>2]|0))break;if((e|0)>0){i=0;k=1;do{k=(f[l+(a*344|0)+64+(i<<2)>>2]|0)==(f[l+(g*344|0)+64+(i<<2)>>2]|0)?k:0;i=i+1|0}while((i|0)!=(e|0));if(!k)break}}a=Ot(0,1018,2,a,g,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}k=f[55566]|0;i=f[m>>2]|0;e=f[k+(i*344|0)+56>>2]|0;if((i|a|0)<0?1:(f[k+((f[n>>2]|0)*344|0)+56>>2]|0)>=(e|0)){i=E;break b}f[k+(a*344|0)+56>>2]=e;g=k+(i*344|0)+60|0;f[k+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[k+(a*344|0)+64+(e<<2)>>2]=f[k+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105187,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}break}case 77:{if(!(tw(a,104876)|0)){g=f[55566]|0;n=c+-768|0;i=f[n>>2]|0;a=f[g+(i*344|0)+52>>2]|0;m=c+-256|0;e=f[m>>2]|0;g=f[g+(e*344|0)+52>>2]|0;if((a|0)<=(g|0)){if((a|0)<(g|0)){k=n;a=Kt(g,0,i)|0;na=681}}else{k=m;a=Kt(a,0,e)|0;na=681}if((na|0)==681){na=0;f[k>>2]=a;e=f[m>>2]|0;i=f[n>>2]|0}do if((e|i|0)>=0){l=f[55566]|0;a=f[l+(i*344|0)+56>>2]|0;if((a|0)!=1?(aa=f[l+(e*344|0)+56>>2]|0,(aa|0)!=1):0){if(!((a|0)==(aa|0)?(f[l+(i*344|0)+52>>2]|0)==(f[l+(e*344|0)+52>>2]|0):0))break;a=f[l+(i*344|0)+60>>2]|0;if((a|0)!=(f[l+(e*344|0)+60>>2]|0))break;if((a|0)>0){g=0;k=1;do{k=(f[l+(i*344|0)+64+(g<<2)>>2]|0)==(f[l+(e*344|0)+64+(g<<2)>>2]|0)?k:0;g=g+1|0}while((g|0)!=(a|0));if(!k)break}}a=Ot(0,1023,2,i,e,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}k=f[55566]|0;i=f[m>>2]|0;e=f[k+(i*344|0)+56>>2]|0;if((i|a|0)<0?1:(f[k+((f[n>>2]|0)*344|0)+56>>2]|0)>=(e|0)){i=E;break b}f[k+(a*344|0)+56>>2]=e;g=k+(i*344|0)+60|0;f[k+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[k+(a*344|0)+64+(e<<2)>>2]=f[k+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105238,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}if(!(tw(a,104881)|0)){g=f[55566]|0;n=c+-768|0;i=f[n>>2]|0;a=f[g+(i*344|0)+52>>2]|0;m=c+-256|0;e=f[m>>2]|0;g=f[g+(e*344|0)+52>>2]|0;if((a|0)<=(g|0)){if((a|0)<(g|0)){k=n;a=Kt(g,0,i)|0;na=702}}else{k=m;a=Kt(a,0,e)|0;na=702}if((na|0)==702){na=0;f[k>>2]=a;e=f[m>>2]|0;i=f[n>>2]|0}do if((e|i|0)>=0){l=f[55566]|0;a=f[l+(i*344|0)+56>>2]|0;if((a|0)!=1?(ba=f[l+(e*344|0)+56>>2]|0,(ba|0)!=1):0){if(!((a|0)==(ba|0)?(f[l+(i*344|0)+52>>2]|0)==(f[l+(e*344|0)+52>>2]|0):0))break;a=f[l+(i*344|0)+60>>2]|0;if((a|0)!=(f[l+(e*344|0)+60>>2]|0))break;if((a|0)>0){g=0;k=1;do{k=(f[l+(i*344|0)+64+(g<<2)>>2]|0)==(f[l+(e*344|0)+64+(g<<2)>>2]|0)?k:0;g=g+1|0}while((g|0)!=(a|0));if(!k)break}}a=Ot(0,1025,2,i,e,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}k=f[55566]|0;i=f[m>>2]|0;e=f[k+(i*344|0)+56>>2]|0;if((i|a|0)<0?1:(f[k+((f[n>>2]|0)*344|0)+56>>2]|0)>=(e|0)){i=E;break b}f[k+(a*344|0)+56>>2]=e;g=k+(i*344|0)+60|0;f[k+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[k+(a*344|0)+64+(e<<2)>>2]=f[k+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105290,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}break}default:{}}if(!(f[55581]|0))f[55581]=431;Vy(la,105342,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 58:{a=c+-2048|0;if((b[a>>0]|0)==65?(tw(a,105376)|0)==0:0){a=f[55566]|0;o=c+-1792|0;e=f[o>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[o>>2]=a;a=f[55566]|0}r=c+-1280|0;e=f[r>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[r>>2]=a;a=f[55566]|0}t=c+-768|0;e=f[t>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[t>>2]=a;a=f[55566]|0}q=c+-256|0;e=f[q>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){e=Kt(260,0,e)|0;f[q>>2]=e}l=f[o>>2]|0;m=f[r>>2]|0;l:do if((m|l|0)>=0){n=f[55566]|0;a=f[n+(l*344|0)+56>>2]|0;do if((a|0)!=1?(ca=f[n+(m*344|0)+56>>2]|0,(ca|0)!=1):0){if(!((a|0)==(ca|0)?(f[n+(l*344|0)+52>>2]|0)==(f[n+(m*344|0)+52>>2]|0):0))break l;a=f[n+(l*344|0)+60>>2]|0;if((a|0)!=(f[n+(m*344|0)+60>>2]|0))break l;if((a|0)>0){g=0;i=1}else break;do{i=(f[n+(l*344|0)+64+(g<<2)>>2]|0)==(f[n+(m*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break l}while(0);k=f[t>>2]|0;if((k|m|0)>=0){a=f[n+(m*344|0)+56>>2]|0;do if((a|0)!=1){g=f[n+(k*344|0)+56>>2]|0;if((g|0)==1){na=747;break}if(!((a|0)==(g|0)?(f[n+(m*344|0)+52>>2]|0)==(f[n+(k*344|0)+52>>2]|0):0))break l;a=f[n+(m*344|0)+60>>2]|0;if((a|0)!=(f[n+(k*344|0)+60>>2]|0))break l;if((a|0)>0){g=0;i=1}else{na=747;break}do{i=(f[n+(m*344|0)+64+(g<<2)>>2]|0)==(f[n+(k*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if((i|0)==0|(e|k|0)<0)break l}else na=747;while(0);if((na|0)==747?(na=0,(e|k|0)<0):0)break;a=f[n+(k*344|0)+56>>2]|0;do if((a|0)!=1){g=f[n+(e*344|0)+56>>2]|0;if((g|0)==1)break;if(!((a|0)==(g|0)?(f[n+(k*344|0)+52>>2]|0)==(f[n+(e*344|0)+52>>2]|0):0))break l;a=f[n+(k*344|0)+60>>2]|0;if((a|0)!=(f[n+(e*344|0)+60>>2]|0))break l;if((a|0)>0){g=0;i=1}else break;do{i=(f[n+(k*344|0)+64+(g<<2)>>2]|0)==(f[n+(e*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break l}while(0);a=Ot(0,1041,4,l,m,k,e,0,0,0,0)|0;if((a|0)<0){na=1287;break b}k=f[55566]|0;i=f[r>>2]|0;e=f[k+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[k+((f[o>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k+(a*344|0)+56>>2]=e;g=k+(i*344|0)+60|0;f[k+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[k+(a*344|0)+64+(e<<2)>>2]=f[k+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[t>>2]|0;e=f[k+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[k+((f[r>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k+(a*344|0)+56>>2]=e;g=k+(i*344|0)+60|0;f[k+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[k+(a*344|0)+64+(e<<2)>>2]=f[k+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[q>>2]|0;e=f[k+(i*344|0)+56>>2]|0;if((i|a|0)<0?1:(f[k+((f[t>>2]|0)*344|0)+56>>2]|0)>=(e|0)){i=E;break b}f[k+(a*344|0)+56>>2]=e;g=k+(i*344|0)+60|0;f[k+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[k+(a*344|0)+64+(e<<2)>>2]=f[k+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105384,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,105434,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 59:{a=Nt(f[c+-768>>2]|0,1,f[c+-256>>2]|0,0,0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 60:{a=Nt(f[c+-1280>>2]|0,2,f[c+-768>>2]|0,f[c+-256>>2]|0,0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 61:{a=Nt(f[c+-1792>>2]|0,3,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 62:{a=Nt(f[c+-2304>>2]|0,4,f[c+-1792>>2]|0,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 63:{a=Nt(f[c+-2816>>2]|0,5,f[c+-2304>>2]|0,f[c+-1792>>2]|0,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 64:{a=Kt(259,286,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 65:{a=Kt(259,286,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 66:{a=Kt(260,285,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 67:{a=Kt(260,285,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 68:{a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){i=f[55566]|0;f[i+(a*344|0)>>2]=-1e3;f[i+(a*344|0)+4>>2]=0;f[i+(a*344|0)+8>>2]=0;f[i+(a*344|0)+52>>2]=258;b[i+(a*344|0)+88>>0]=b[c>>0]|0;f[i+(a*344|0)+84>>2]=0;f[i+(a*344|0)+56>>2]=1;f[i+(a*344|0)+60>>2]=1;f[i+(a*344|0)+64>>2]=1;i=E}else na=1287;break}case 69:{l=f[c>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){e=f[55566]|0;f[e+(a*344|0)>>2]=0-l;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(l*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(l*124|0)+88>>2];i=f[g+(l*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(l*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0)na=1287;else i=E}else i=E}else na=1287;break}case 70:{e=f[55566]|0;m=f[c+-256>>2]|0;if((f[e+(m*344|0)+52>>2]|0)==259?(f[e+(m*344|0)>>2]|0)==-1e3:0){n=f[c+-768>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){f[55568]=a<<1;a=Ov(e,a*688|0)|0;if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;l=f[55567]|0;e=a;break}}else l=a;while(0);a=l+1|0;f[55567]=a;if((l|0)<=-1){na=1287;break b}f[e+(l*344|0)>>2]=0-n;f[e+(l*344|0)+4>>2]=0;f[e+(l*344|0)+8>>2]=0;g=f[55574]|0;f[e+(l*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(l*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(l*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(l*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((l|0)<0){na=1287;break b}}do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=123;f[e+(a*344|0)+4>>2]=5;f[e+(a*344|0)+8>>2]=2;f[e+(a*344|0)+12>>2]=l;f[e+(a*344|0)+16>>2]=m;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0)k=0;else{i=E;break b}do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,104581,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 71:{a=Mt(258,f[c+-512>>2]|0,278,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 72:{a=Mt(258,f[c+-512>>2]|0,277,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 73:{a=Mt(258,f[c+-512>>2]|0,281,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 74:{a=Mt(258,f[c+-512>>2]|0,280,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 75:{a=Mt(258,f[c+-512>>2]|0,282,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 76:{a=Mt(258,f[c+-512>>2]|0,279,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 77:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=840}}else{l=c;a=Kt(g,0,a)|0;na=840}if((na|0)==840){na=0;f[l>>2]=a;e=f[k>>2]|0;a=f[c>>2]|0}a=Mt(258,e,282,a)|0;if((a|0)<0)na=1287;else i=E;break}case 78:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=846}}else{l=c;a=Kt(g,0,a)|0;na=846}if((na|0)==846){na=0;f[l>>2]=a;e=f[k>>2]|0;a=f[c>>2]|0}a=Mt(258,e,281,a)|0;if((a|0)<0)na=1287;else i=E;break}case 79:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=852}}else{l=c;a=Kt(g,0,a)|0;na=852}if((na|0)==852){na=0;f[l>>2]=a;e=f[k>>2]|0;a=f[c>>2]|0}a=Mt(258,e,279,a)|0;if((a|0)<0)na=1287;else i=E;break}case 80:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=858}}else{l=c;a=Kt(g,0,a)|0;na=858}if((na|0)==858){na=0;f[l>>2]=a;e=f[k>>2]|0;a=f[c>>2]|0}a=Mt(258,e,280,a)|0;if((a|0)<0)na=1287;else i=E;break}case 81:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=864}}else{l=c;a=Kt(g,0,a)|0;na=864}if((na|0)==864){na=0;f[l>>2]=a;e=f[k>>2]|0;a=f[c>>2]|0}a=Mt(258,e,126,a)|0;if((a|0)<0)na=1287;else i=E;break}case 82:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=870}}else{l=c;a=Kt(g,0,a)|0;na=870}if((na|0)==870){na=0;f[l>>2]=a;e=f[k>>2]|0;a=f[c>>2]|0}a=Mt(258,e,278,a)|0;if((a|0)<0)na=1287;else i=E;break}case 83:{i=f[55566]|0;k=c+-512|0;e=f[k>>2]|0;g=f[i+(e*344|0)+52>>2]|0;a=f[c>>2]|0;i=f[i+(a*344|0)+52>>2]|0;if((g|0)<=(i|0)){if((g|0)<(i|0)){l=k;a=Kt(i,0,e)|0;na=876}}else{l=c;a=Kt(g,0,a)|0;na=876}if((na|0)==876){na=0;f[l>>2]=a;e=f[k>>2]|0;a=f[c>>2]|0}a=Mt(258,e,277,a)|0;if((a|0)<0)na=1287;else i=E;break}case 84:{a=Mt(258,f[c+-512>>2]|0,278,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 85:{a=Mt(258,f[c+-512>>2]|0,277,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 86:{a=Mt(258,f[c+-512>>2]|0,282,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 87:{a=Mt(258,f[c+-512>>2]|0,279,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 88:{a=Mt(258,f[c+-512>>2]|0,281,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 89:{a=Mt(258,f[c+-512>>2]|0,280,f[c>>2]|0)|0;if((a|0)<0)na=1287;else{f[(f[55566]|0)+(a*344|0)+56>>2]=1;i=E}break}case 90:{a=Mt(258,f[c+-512>>2]|0,276,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 91:{a=Mt(258,f[c+-512>>2]|0,275,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 92:{a=Mt(258,f[c+-512>>2]|0,278,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 93:{a=Mt(258,f[c+-512>>2]|0,277,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 94:{a=f[55566]|0;m=c+-1024|0;l=f[m>>2]|0;k=f[a+(l*344|0)+52>>2]|0;n=c+-512|0;e=f[n>>2]|0;g=f[a+(e*344|0)+52>>2]|0;if((k|0)<=(g|0))if((k|0)<(g|0)){i=m;a=Kt(g,0,l)|0;na=898}else e=l;else{i=n;a=Kt(k,0,e)|0;na=898}if((na|0)==898){na=0;f[i>>2]=a;k=f[55566]|0;e=f[m>>2]|0;a=k;k=f[k+(e*344|0)+52>>2]|0}g=f[c>>2]|0;l=f[a+(g*344|0)+52>>2]|0;if((k|0)<=(l|0))if((k|0)<(l|0)){i=m;a=Kt(l,0,e)|0;na=903}else e=a;else{i=c;a=Kt(k,0,g)|0;na=903}if((na|0)==903){na=0;f[i>>2]=a;l=f[55566]|0;g=f[c>>2]|0;e=l;l=f[l+(g*344|0)+52>>2]|0}a=f[n>>2]|0;e=f[e+(a*344|0)+52>>2]|0;if((e|0)<=(l|0)){if((e|0)<(l|0)){i=n;a=Kt(l,0,a)|0;na=908}}else{i=c;a=Kt(e,0,g)|0;na=908}if((na|0)==908){na=0;f[i>>2]=a;a=f[n>>2]|0}a=Mt(258,a,280,f[m>>2]|0)|0;f[n>>2]=a;a=Mt(258,f[m>>2]|0,280,f[c>>2]|0)|0;f[c>>2]=a;a=Mt(258,f[n>>2]|0,276,a)|0;if((a|0)<0)na=1287;else i=E;break}case 95:{m=c+-512|0;k=f[m>>2]|0;l=f[c>>2]|0;do if((l|k|0)>=0){i=f[55566]|0;a=f[i+(k*344|0)+56>>2]|0;if((a|0)!=1?(I=f[i+(l*344|0)+56>>2]|0,(I|0)!=1):0){if(!((a|0)==(I|0)?(f[i+(k*344|0)+52>>2]|0)==(f[i+(l*344|0)+52>>2]|0):0))break;a=f[i+(k*344|0)+60>>2]|0;if((a|0)!=(f[i+(l*344|0)+60>>2]|0))break;if((a|0)>0){e=0;g=1;do{g=(f[i+(k*344|0)+64+(e<<2)>>2]|0)==(f[i+(l*344|0)+64+(e<<2)>>2]|0)?g:0;e=e+1|0}while((e|0)!=(a|0));if(!g)break}}i=c+-1024|0;a=Ot(0,1034,3,k,l,f[i>>2]|0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}l=f[55566]|0;g=f[c>>2]|0;e=f[l+(g*344|0)+56>>2]|0;if(!((g|a|0)<0?1:(f[l+((f[m>>2]|0)*344|0)+56>>2]|0)>=(e|0))?(f[l+(a*344|0)+56>>2]=e,ia=l+(g*344|0)+60|0,f[l+(a*344|0)+60>>2]=f[ia>>2],(f[ia>>2]|0)>0):0){e=0;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(g*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[ia>>2]|0))}k=f[i>>2]|0;do if((k|a|0)>=0){g=f[l+(k*344|0)+56>>2]|0;i=l+(a*344|0)+56|0;e=f[i>>2]|0;if((g|0)!=1)if((e|0)!=1){if(!((g|0)==(e|0)?(f[l+(k*344|0)+52>>2]|0)==(f[l+(a*344|0)+52>>2]|0):0))break;e=f[l+(k*344|0)+60>>2]|0;if((e|0)!=(f[l+(a*344|0)+60>>2]|0))break;if((e|0)>0){g=0;i=1}else{i=E;break b}do{i=(f[l+(k*344|0)+64+(g<<2)>>2]|0)==(f[l+(a*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(e|0));if(!i)break;else{i=E;break b}}else e=1;if((e|0)>=(g|0)){i=E;break b}f[i>>2]=g;g=l+(k*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(k*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104708,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,104666,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 96:{a=c+-512|0;if((b[a>>0]|0)==73?(tw(a,105478)|0)==0:0){a=Ot(0,1030,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}f[(f[55566]|0)+(a*344|0)+52>>2]=258;i=E;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,105486,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 97:{a=c+-512|0;if((b[a>>0]|0)==73?(tw(a,105478)|0)==0:0){a=Ot(0,1030,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}f[(f[55566]|0)+(a*344|0)+52>>2]=258;i=E;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,105486,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 98:{a=c+-512|0;if((b[a>>0]|0)==73?(tw(a,105478)|0)==0:0){a=Ot(258,1030,1,f[c+-256>>2]|0,0,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,105486,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 99:{a=c+-1024|0;if((b[a>>0]|0)==68?(tw(a,105118)|0)==0:0){i=f[55566]|0;k=f[c+-768>>2]|0;a=f[i+(k*344|0)+56>>2]|0;l=f[c+-256>>2]|0;e=f[i+(l*344|0)+56>>2]|0;do if(!((a|0)<(e|0)|(l|k|0)<0)){if(!((a|0)==1|(e|0)==1)){if(!((a|0)==(e|0)?(f[i+(k*344|0)+52>>2]|0)==(f[i+(l*344|0)+52>>2]|0):0))break;a=f[i+(k*344|0)+60>>2]|0;if((a|0)!=(f[i+(l*344|0)+60>>2]|0))break;if((a|0)>0){e=0;g=1;do{g=(f[i+(k*344|0)+64+(e<<2)>>2]|0)==(f[i+(l*344|0)+64+(e<<2)>>2]|0)?g:0;e=e+1|0}while((e|0)!=(a|0));if(!g)break}}a=Ot(0,1031,2,k,l,0,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}else{i=E;break b}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105127,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,105523,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 100:{a=f[55566]|0;o=c+-1280|0;e=f[o>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[o>>2]=a;a=f[55566]|0}q=c+-768|0;e=f[q>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){e=Kt(260,0,e)|0;f[q>>2]=e;a=f[55566]|0}n=c+-256|0;g=f[n>>2]|0;if((f[a+(g*344|0)+52>>2]|0)!=260){g=Kt(260,0,g)|0;f[n>>2]=g;e=f[q>>2]|0}m=f[o>>2]|0;do if((e|m|0)>=0){l=f[55566]|0;a=f[l+(m*344|0)+56>>2]|0;if((a|0)!=1?(J=f[l+(e*344|0)+56>>2]|0,(J|0)!=1):0){if(!((a|0)==(J|0)?(f[l+(m*344|0)+52>>2]|0)==(f[l+(e*344|0)+52>>2]|0):0))break;a=f[l+(m*344|0)+60>>2]|0;if((a|0)!=(f[l+(e*344|0)+60>>2]|0))break;if((a|0)>0){i=0;k=1;do{k=(f[l+(m*344|0)+64+(i<<2)>>2]|0)==(f[l+(e*344|0)+64+(i<<2)>>2]|0)?k:0;i=i+1|0}while((i|0)!=(a|0));if((k|0)==0|(g|e|0)<0)break}else na=989}else na=989;if((na|0)==989?(na=0,(g|e|0)<0):0)break;a=f[l+(e*344|0)+56>>2]|0;if((a|0)!=1?(K=f[l+(g*344|0)+56>>2]|0,(K|0)!=1):0){if(!((a|0)==(K|0)?(f[l+(e*344|0)+52>>2]|0)==(f[l+(g*344|0)+52>>2]|0):0))break;a=f[l+(e*344|0)+60>>2]|0;if((a|0)!=(f[l+(g*344|0)+60>>2]|0))break;if((a|0)>0){i=0;k=1;do{k=(f[l+(e*344|0)+64+(i<<2)>>2]|0)==(f[l+(g*344|0)+64+(i<<2)>>2]|0)?k:0;i=i+1|0}while((i|0)!=(a|0));if(!k)break}}a=c+-1536|0;if((b[a>>0]|0)==78?(tw(a,105613)|0)==0:0){a=Ot(258,1026,3,m,e,g,0,0,0,0,0)|0;if((a|0)<0){na=1287;break b}l=f[55566]|0;k=l+(a*344|0)+56|0;i=f[o>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[k>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[q>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[o>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[n>>2]|0;e=f[l+(i*344|0)+56>>2]|0;if((i|a|0)<0?1:(f[l+((f[q>>2]|0)*344|0)+56>>2]|0)>=(e|0)){i=E;break b}f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}if(!(f[55581]|0))f[55581]=431;Vy(la,105619,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105565,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 101:{a=f[55566]|0;q=c+-2304|0;e=f[q>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[q>>2]=a;a=f[55566]|0}r=c+-1792|0;e=f[r>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[r>>2]=a;a=f[55566]|0}v=c+-1280|0;e=f[v>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[v>>2]=a;a=f[55566]|0}w=c+-768|0;e=f[w>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[w>>2]=a;a=f[55566]|0}t=c+-256|0;e=f[t>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){e=Kt(260,0,e)|0;f[t>>2]=e}n=f[q>>2]|0;o=f[r>>2]|0;m:do if((o|n|0)>=0){m=f[55566]|0;a=f[m+(n*344|0)+56>>2]|0;if((a|0)!=1?(L=f[m+(o*344|0)+56>>2]|0,(L|0)!=1):0){if(!((a|0)==(L|0)?(f[m+(n*344|0)+52>>2]|0)==(f[m+(o*344|0)+52>>2]|0):0))break;a=f[m+(n*344|0)+60>>2]|0;if((a|0)!=(f[m+(o*344|0)+60>>2]|0))break;if((a|0)>0){g=0;i=1;do{i=(f[m+(n*344|0)+64+(g<<2)>>2]|0)==(f[m+(o*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break}}l=f[v>>2]|0;if((l|o|0)>=0){a=f[m+(o*344|0)+56>>2]|0;do if((a|0)!=1?(M=f[m+(l*344|0)+56>>2]|0,(M|0)!=1):0){if(!((a|0)==(M|0)?(f[m+(o*344|0)+52>>2]|0)==(f[m+(l*344|0)+52>>2]|0):0))break m;a=f[m+(o*344|0)+60>>2]|0;if((a|0)!=(f[m+(l*344|0)+60>>2]|0))break m;if((a|0)>0){g=0;i=1}else break;do{i=(f[m+(o*344|0)+64+(g<<2)>>2]|0)==(f[m+(l*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break m}while(0);k=f[w>>2]|0;if((k|l|0)>=0){a=f[m+(l*344|0)+56>>2]|0;do if((a|0)!=1){g=f[m+(k*344|0)+56>>2]|0;if((g|0)==1){na=1049;break}if(!((a|0)==(g|0)?(f[m+(l*344|0)+52>>2]|0)==(f[m+(k*344|0)+52>>2]|0):0))break m;a=f[m+(l*344|0)+60>>2]|0;if((a|0)!=(f[m+(k*344|0)+60>>2]|0))break m;if((a|0)>0){g=0;i=1}else{na=1049;break}do{i=(f[m+(l*344|0)+64+(g<<2)>>2]|0)==(f[m+(k*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if((i|0)==0|(e|k|0)<0)break m}else na=1049;while(0);if((na|0)==1049?(na=0,(e|k|0)<0):0)break;a=f[m+(k*344|0)+56>>2]|0;do if((a|0)!=1){g=f[m+(e*344|0)+56>>2]|0;if((g|0)==1)break;if(!((a|0)==(g|0)?(f[m+(k*344|0)+52>>2]|0)==(f[m+(e*344|0)+52>>2]|0):0))break m;a=f[m+(k*344|0)+60>>2]|0;if((a|0)!=(f[m+(e*344|0)+60>>2]|0))break m;if((a|0)>0){g=0;i=1}else break;do{i=(f[m+(k*344|0)+64+(g<<2)>>2]|0)==(f[m+(e*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break m}while(0);a=c+-2560|0;do if((b[a>>0]|0)==67){if(tw(a,105700)|0)break;a=Ot(258,1027,5,n,o,l,k,e,0,0,0)|0;if((a|0)<0){na=1287;break b}l=f[55566]|0;k=l+(a*344|0)+56|0;i=f[q>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[k>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[r>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[q>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[v>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[r>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[w>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[v>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[t>>2]|0;e=f[l+(i*344|0)+56>>2]|0;if((i|a|0)<0?1:(f[l+((f[w>>2]|0)*344|0)+56>>2]|0)>=(e|0)){i=E;break b}f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105619,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105650,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 102:{a=f[55566]|0;t=c+-3328|0;e=f[t>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[t>>2]=a;a=f[55566]|0}v=c+-2816|0;e=f[v>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[v>>2]=a;a=f[55566]|0}w=c+-2304|0;e=f[w>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[w>>2]=a;a=f[55566]|0}x=c+-1792|0;e=f[x>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[x>>2]=a;a=f[55566]|0}z=c+-1280|0;e=f[z>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[z>>2]=a;a=f[55566]|0}A=c+-768|0;e=f[A>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){a=Kt(260,0,e)|0;f[A>>2]=a;a=f[55566]|0}y=c+-256|0;e=f[y>>2]|0;if((f[a+(e*344|0)+52>>2]|0)!=260){e=Kt(260,0,e)|0;f[y>>2]=e}q=f[t>>2]|0;r=f[v>>2]|0;n:do if((r|q|0)>=0){o=f[55566]|0;a=f[o+(q*344|0)+56>>2]|0;do if((a|0)!=1?(N=f[o+(r*344|0)+56>>2]|0,(N|0)!=1):0){if(!((a|0)==(N|0)?(f[o+(q*344|0)+52>>2]|0)==(f[o+(r*344|0)+52>>2]|0):0))break n;a=f[o+(q*344|0)+60>>2]|0;if((a|0)!=(f[o+(r*344|0)+60>>2]|0))break n;if((a|0)>0){g=0;i=1}else break;do{i=(f[o+(q*344|0)+64+(g<<2)>>2]|0)==(f[o+(r*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break n}while(0);n=f[w>>2]|0;if((n|r|0)>=0){a=f[o+(r*344|0)+56>>2]|0;do if((a|0)!=1){g=f[o+(n*344|0)+56>>2]|0;if((g|0)==1)break;if(!((a|0)==(g|0)?(f[o+(r*344|0)+52>>2]|0)==(f[o+(n*344|0)+52>>2]|0):0))break n;a=f[o+(r*344|0)+60>>2]|0;if((a|0)!=(f[o+(n*344|0)+60>>2]|0))break n;if((a|0)>0){g=0;i=1}else break;do{i=(f[o+(r*344|0)+64+(g<<2)>>2]|0)==(f[o+(n*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break n}while(0);m=f[x>>2]|0;if((m|n|0)>=0){a=f[o+(n*344|0)+56>>2]|0;do if((a|0)!=1){g=f[o+(m*344|0)+56>>2]|0;if((g|0)==1)break;if(!((a|0)==(g|0)?(f[o+(n*344|0)+52>>2]|0)==(f[o+(m*344|0)+52>>2]|0):0))break n;a=f[o+(n*344|0)+60>>2]|0;if((a|0)!=(f[o+(m*344|0)+60>>2]|0))break n;if((a|0)>0){g=0;i=1}else break;do{i=(f[o+(n*344|0)+64+(g<<2)>>2]|0)==(f[o+(m*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break n}while(0);l=f[z>>2]|0;if((l|m|0)<0)break;a=f[o+(m*344|0)+56>>2]|0;do if((a|0)!=1){g=f[o+(l*344|0)+56>>2]|0;if((g|0)==1)break;if(!((a|0)==(g|0)?(f[o+(m*344|0)+52>>2]|0)==(f[o+(l*344|0)+52>>2]|0):0))break n;a=f[o+(m*344|0)+60>>2]|0;if((a|0)!=(f[o+(l*344|0)+60>>2]|0))break n;if((a|0)>0){g=0;i=1}else break;do{i=(f[o+(m*344|0)+64+(g<<2)>>2]|0)==(f[o+(l*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break n}while(0);k=f[A>>2]|0;if((k|l|0)<0)break;a=f[o+(l*344|0)+56>>2]|0;do if((a|0)!=1){g=f[o+(k*344|0)+56>>2]|0;if((g|0)==1){na=1135;break}if(!((a|0)==(g|0)?(f[o+(l*344|0)+52>>2]|0)==(f[o+(k*344|0)+52>>2]|0):0))break n;a=f[o+(l*344|0)+60>>2]|0;if((a|0)!=(f[o+(k*344|0)+60>>2]|0))break n;if((a|0)>0){g=0;i=1}else{na=1135;break}do{i=(f[o+(l*344|0)+64+(g<<2)>>2]|0)==(f[o+(k*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if((i|0)==0|(e|k|0)<0)break n}else na=1135;while(0);if((na|0)==1135?(na=0,(e|k|0)<0):0)break;a=f[o+(k*344|0)+56>>2]|0;do if((a|0)!=1){g=f[o+(e*344|0)+56>>2]|0;if((g|0)==1)break;if(!((a|0)==(g|0)?(f[o+(k*344|0)+52>>2]|0)==(f[o+(e*344|0)+52>>2]|0):0))break n;a=f[o+(k*344|0)+60>>2]|0;if((a|0)!=(f[o+(e*344|0)+60>>2]|0))break n;if((a|0)>0){g=0;i=1}else break;do{i=(f[o+(k*344|0)+64+(g<<2)>>2]|0)==(f[o+(e*344|0)+64+(g<<2)>>2]|0)?i:0;g=g+1|0}while((g|0)!=(a|0));if(!i)break n}while(0);a=c+-3584|0;switch(b[a>>0]|0){case 66:{if(!(tw(a,105766)|0))a=1028;else na=1149;break}case 69:{if(!(tw(a,105771)|0))a=1029;else na=1149;break}default:na=1149}if((na|0)==1149){if(!(f[55581]|0))f[55581]=431;Vy(la,105780,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}a=Ot(258,a,7,q,r,n,m,l,k,e,0)|0;if((a|0)<0){na=1287;break b}l=f[55566]|0;k=l+(a*344|0)+56|0;i=f[t>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[k>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[v>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[t>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[w>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[v>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[x>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[w>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[z>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[x>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[A>>2]|0;e=f[l+(i*344|0)+56>>2]|0;do if(!((i|a|0)<0?1:(f[l+((f[z>>2]|0)*344|0)+56>>2]|0)>=(e|0))){f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else break;do{f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[g>>2]|0))}while(0);i=f[y>>2]|0;e=f[l+(i*344|0)+56>>2]|0;if((i|a|0)<0?1:(f[l+((f[A>>2]|0)*344|0)+56>>2]|0)>=(e|0)){i=E;break b}f[k>>2]=e;g=l+(i*344|0)+60|0;f[l+(a*344|0)+60>>2]=f[g>>2];if((f[g>>2]|0)>0)e=0;else{i=E;break b}while(1){f[l+(a*344|0)+64+(e<<2)>>2]=f[l+(i*344|0)+64+(e<<2)>>2];e=e+1|0;if((e|0)>=(f[g>>2]|0)){i=E;break b}}}}}while(0);if(!(f[55581]|0))f[55581]=431;Vy(la,105708,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 103:{a=Pt(3020226,-99,105813,105821)|0;if((a|0)<0)na=1287;else i=E;break}case 104:{a=Pt(c+-256|0,-99,105813,105821)|0;if((a|0)<0)na=1287;else i=E;break}case 105:{a=Pt(c+-768|0,f[c+-256>>2]|0,105813,105821)|0;if((a|0)<0)na=1287;else i=E;break}case 106:{a=Pt(c+-1792|0,f[c+-1280>>2]|0,c+-768|0,c+-256|0)|0;if((a|0)<0)na=1287;else i=E;break}case 107:{a=Qt(c+-256|0,-99,-99,3020226)|0;if((a|0)<0)na=1287;else i=E;break}case 108:{a=Qt(c+-1280|0,f[c+-768>>2]|0,f[c+-256>>2]|0,3020226)|0;if((a|0)<0)na=1287;else i=E;break}case 109:{a=Qt(c+-1792|0,f[c+-1280>>2]|0,f[c+-768>>2]|0,c+-256|0)|0;if((a|0)<0)na=1287;else i=E;break}case 110:{a=Nt(f[c+-768>>2]|0,1,f[c+-256>>2]|0,0,0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 111:{a=Nt(f[c+-1280>>2]|0,2,f[c+-768>>2]|0,f[c+-256>>2]|0,0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 112:{a=Nt(f[c+-1792>>2]|0,3,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0,0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 113:{a=Nt(f[c+-2304>>2]|0,4,f[c+-1792>>2]|0,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0,0)|0;if((a|0)<0)na=1287;else i=E;break}case 114:{a=Nt(f[c+-2816>>2]|0,5,f[c+-2304>>2]|0,f[c+-1792>>2]|0,f[c+-1280>>2]|0,f[c+-768>>2]|0,f[c+-256>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 115:{a=Kt(258,284,f[c>>2]|0)|0;if((a|0)<0)na=1287;else i=E;break}case 116:{i=E;a=f[c+-256>>2]|0;break}case 117:{g=(Bx(c)|0)+1|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){A=f[55566]|0;f[A+(a*344|0)>>2]=-1e3;f[A+(a*344|0)+4>>2]=0;f[A+(a*344|0)+8>>2]=0;f[A+(a*344|0)+52>>2]=261;Lz(A+(a*344|0)+88|0,c|0,g|0)|0;f[A+(a*344|0)+84>>2]=0;i=A+(a*344|0)+56|0;f[i>>2]=1;f[A+(a*344|0)+60>>2]=1;f[A+(a*344|0)+64>>2]=1;A=Bx(c)|0;f[i>>2]=A;i=E}else na=1287;break}case 118:{l=f[c>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){e=f[55566]|0;if(!e){f[55568]=100;a=Lv(34400)|0}else{f[55568]=a<<1;a=Ov(e,a*688|0)|0}if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)>-1){e=f[55566]|0;f[e+(a*344|0)>>2]=0-l;f[e+(a*344|0)+4>>2]=0;f[e+(a*344|0)+8>>2]=0;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(l*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(l*124|0)+88>>2];i=f[g+(l*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(l*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0)na=1287;else i=E}else i=E}else na=1287;break}case 119:{e=f[55566]|0;m=f[c+-256>>2]|0;if((f[e+(m*344|0)+52>>2]|0)==259?(f[e+(m*344|0)>>2]|0)==-1e3:0){n=f[c+-768>>2]|0;a=f[55567]|0;do if((a|0)==(f[55568]|0)){f[55568]=a<<1;a=Ov(e,a*688|0)|0;if(!a){f[55581]=113;na=1287;break b}else{f[55566]=a;l=f[55567]|0;e=a;break}}else l=a;while(0);a=l+1|0;f[55567]=a;if((l|0)<=-1){na=1287;break b}f[e+(l*344|0)>>2]=0-n;f[e+(l*344|0)+4>>2]=0;f[e+(l*344|0)+8>>2]=0;g=f[55574]|0;f[e+(l*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(l*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(l*344|0)+60>>2]=i;if((i|0)>0){k=0;do{f[e+(l*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((l|0)<0){na=1287;break b}}do if((a|0)==(f[55568]|0)){if(!e){f[55568]=100;e=Lv(34400)|0}else{f[55568]=a<<1;e=Ov(e,a*688|0)|0}if(!e){f[55581]=113;na=1287;break b}else{f[55566]=e;a=f[55567]|0;break}}while(0);f[55567]=a+1;if((a|0)<=-1){na=1287;break b}f[e+(a*344|0)>>2]=123;f[e+(a*344|0)+4>>2]=5;f[e+(a*344|0)+8>>2]=2;f[e+(a*344|0)+12>>2]=l;f[e+(a*344|0)+16>>2]=m;g=f[55574]|0;f[e+(a*344|0)+52>>2]=f[g+(n*124|0)+84>>2];f[e+(a*344|0)+56>>2]=f[g+(n*124|0)+88>>2];i=f[g+(n*124|0)+92>>2]|0;f[e+(a*344|0)+60>>2]=i;if((i|0)>0)k=0;else{i=E;break b}do{f[e+(a*344|0)+64+(k<<2)>>2]=f[g+(n*124|0)+96+(k<<2)>>2];k=k+1|0}while((k|0)!=(i|0));if((a|0)<0){na=1287;break b}else{i=E;break b}}if(!(f[55581]|0))f[55581]=431;Vy(la,104581,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 120:{i=E;a=Ot(261,1036,0,0,0,0,0,0,0,0,0)|0;break}case 121:{i=E;a=f[c+-256>>2]|0;break}case 122:{A=f[55566]|0;g=c+-512|0;a=f[g>>2]|0;e=f[c>>2]|0;if(((f[A+(e*344|0)+56>>2]|0)+(f[A+(a*344|0)+56>>2]|0)|0)<=255){a=Mt(261,a,43,e)|0;if((a|0)<0){na=1287;break b}i=f[55566]|0;f[i+(a*344|0)+56>>2]=(f[i+((f[c>>2]|0)*344|0)+56>>2]|0)+(f[i+((f[g>>2]|0)*344|0)+56>>2]|0);i=E;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,105828,80)|0;b[ka>>0]=0;vj(la);na=1287;break}case 123:{a=f[55566]|0;e=f[c+-1024>>2]|0;if((f[a+(e*344|0)+56>>2]|0)!=1){if(!(f[55581]|0))f[55581]=431;Vy(la,105872,80)|0;b[ka>>0]=0;vj(la);na=1287;break b}k=c+-512|0;y=f[k>>2]|0;A=f[a+(y*344|0)+56>>2]|0;z=f[c>>2]|0;a=f[a+(z*344|0)+56>>2]|0;a=Ot(0,1034,3,y,z,e,0,0,0,0,(a|0)>(A|0)?a:A)|0;if((a|0)>=0){g=f[55566]|0;i=f[c>>2]|0;e=f[g+(i*344|0)+56>>2]|0;if(!((i|a|0)<0?1:(f[g+((f[k>>2]|0)*344|0)+56>>2]|0)>=(e|0))?(f[g+(a*344|0)+56>>2]=e,ja=g+(i*344|0)+60|0,f[g+(a*344|0)+60>>2]=f[ja>>2],(f[ja>>2]|0)>0):0){e=0;do{f[g+(a*344|0)+64+(e<<2)>>2]=f[g+(i*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[ja>>2]|0));i=E}else i=E}else na=1287;break}case 124:{a=c+-1024|0;if((b[a>>0]|0)==68?(tw(a,105118)|0)==0:0){A=f[55566]|0;i=c+-768|0;y=f[i>>2]|0;a=f[A+(y*344|0)+56>>2]|0;e=c+-256|0;z=f[e>>2]|0;A=f[A+(z*344|0)+56>>2]|0;a=Ot(0,1031,2,y,z,0,0,0,0,0,(A|0)>(a|0)?A:a)|0;if((a|0)<0){na=1287;break b}g=f[55566]|0;e=f[g+((f[e>>2]|0)*344|0)+56>>2]|0;if((e|0)<=(f[g+((f[i>>2]|0)*344|0)+56>>2]|0)){i=E;break b}f[g+(a*344|0)+56>>2]=e;i=E;break b}if(!(f[55581]|0))f[55581]=431;Vy(la,105907,80)|0;b[ka>>0]=0;vj(la);na=1287;break}default:{i=E;a=e}}while(0);if((na|0)==1287){E=0-B|0;a=D+(E<<1)|0;e=a;a=d[a>>1]|0;c=c+(E<<8)|0;na=1288;break}e=0-B|0;g=c+(e<<8)|0;e=D+(e<<1)|0;c=g+256|0;f[c>>2]=a;Lz(g+260|0,ea|0,252)|0;g=(h[106101+C>>0]|0)+-54|0;E=d[e>>1]|0;a=(E<<16>>16)+(d[30418+(g<<1)>>1]|0)|0;if(a>>>0<1604?(d[24002+(a<<1)>>1]|0)==E<<16>>16:0){a=j[27210+(a<<1)>>1]|0;break}a=b[106227+g>>0]|0}}while(0);o:do if((na|0)==1280){na=0;switch(E|0){case 0:{f[55591]=(f[55591]|0)+1;if(!(f[55581]|0))f[55581]=431;Vy(la,106236,80)|0;b[ka>>0]=0;vj(la);e=D;a=o;na=1288;break o}case 3:{a=f[55592]|0;if((a|0)<1)if(!a){c=1;a=H;break a}else{e=D;a=o;na=1288;break o}else{f[55592]=-2;e=D;a=o;na=1288;break o}}default:{e=D;a=o;na=1288;break o}}}while(0);if((na|0)==1288){while(1){na=0;a=d[23422+(a<<1)>>1]|0;if(((a<<16>>16!=-46?(da=(a<<16>>16)+1|0,a<<16>>16>-2&(da|0)<1604):0)?(d[24002+(da<<1)>>1]|0)==1:0)?(P=d[27210+(da<<1)>>1]|0,P<<16>>16):0)break;if((e|0)==(H|0)){c=1;a=H;break a}a=e+-2|0;e=a;a=d[a>>1]|0;c=c+-256|0;na=1288}c=c+256|0;Lz(c|0,212384,256)|0;i=3;a=P&65535}E=i;i=H;n=e+2|0;e=F;o=a;l=G}if((na|0)==1300){u=oa;return a|0}if((na|0)==1295){if(!(f[55581]|0))f[55581]=431;Vy(la,106249,80)|0;b[ka>>0]=0;vj(la);c=2}if((a|0)==(ma|0)){na=c;u=oa;return na|0}Mv(a);na=c;u=oa;return na|0}function Jt(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;Tt(a);w=a+8|0;c=f[w>>2]|0;if(!(f[55581]|0)){if((c|0)<=0)return;r=a+56|0;v=a+84|0;u=a+52|0;q=a+88|0;s=0;t=0;while(1){n=f[55566]|0;o=f[a+12+(s<<2)>>2]|0;c=f[55571]|0;a:do if((f[n+(o*344|0)>>2]|0)==-1e3){m=f[r>>2]|0;c=(X(m,c)|0)+t-m|0;if((c|0)>-1){d=n+(o*344|0)+88|0;e=n+(o*344|0)+88|0;while(1){b[(f[v>>2]|0)+c>>0]=0;switch(f[u>>2]|0){case 258:{b[(f[q>>2]|0)+c>>0]=b[d>>0]|0;break}case 259:{f[(f[q>>2]|0)+(c<<2)>>2]=f[d>>2];break}case 260:{p[(f[q>>2]|0)+(c<<3)>>3]=+p[e>>3];break}default:{}}c=c-(f[r>>2]|0)|0;if((c|0)<=-1)break a}}}else{l=n+(o*344|0)+56|0;if(c|0){i=f[l>>2]|0;m=n+(o*344|0)+84|0;k=n+(o*344|0)+88|0;j=i;d=c;c=X(i,c)|0;while(1){d=d+-1|0;e=(X(f[r>>2]|0,d)|0)+t|0;if(j){h=j;i=c;do{h=h+-1|0;i=i+-1|0;g=e+h|0;b[(f[v>>2]|0)+g>>0]=b[(f[m>>2]|0)+i>>0]|0;switch(f[u>>2]|0){case 258:{b[(f[q>>2]|0)+g>>0]=b[(f[k>>2]|0)+i>>0]|0;break}case 259:{f[(f[q>>2]|0)+(g<<2)>>2]=f[(f[k>>2]|0)+(i<<2)>>2];break}case 260:{p[(f[q>>2]|0)+(g<<3)>>3]=+p[(f[k>>2]|0)+(i<<3)>>3];break}default:{}}}while((h|0)!=0);c=c-j|0}if(!d)break a;j=f[l>>2]|0}}}while(0);s=s+1|0;c=f[w>>2]|0;if((s|0)>=(c|0))break;else t=(f[n+(o*344|0)+56>>2]|0)+t|0}}if((c|0)>0)g=0;else return;do{d=f[55566]|0;e=f[a+12+(g<<2)>>2]|0;if((f[d+(e*344|0)>>2]|0)>0){Mv(f[d+(e*344|0)+88>>2]|0);c=f[w>>2]|0}g=g+1|0}while((g|0)<(c|0));return}function Kt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;if((c|0)<0){c=-1;return c|0}d=f[55566]|0;e=(b|0)==0?a:b;switch(e|0){case 260:case 285:{if((f[d+(c*344|0)+52>>2]|0)==260)return c|0;break}case 259:case 286:{if((f[d+(c*344|0)+52>>2]|0)==259)return c|0;break}case 258:{if((f[d+(c*344|0)+52>>2]|0)==258)return c|0;break}default:{}}b=f[55567]|0;do if((b|0)==(f[55568]|0)){if(!d){f[55568]=100;d=Lv(34400)|0}else{f[55568]=b<<1;d=Ov(d,b*688|0)|0}if(d|0){f[55566]=d;b=f[55567]|0;break}f[55581]=113;c=-1;return c|0}while(0);f[55567]=b+1;if((b|0)<=-1){c=b;return c|0}h=d+(b*344|0)|0;f[h>>2]=e;g=d+(b*344|0)+4|0;f[g>>2]=6;f[d+(b*344|0)+8>>2]=1;f[d+(b*344|0)+12>>2]=c;f[d+(b*344|0)+52>>2]=a;f[d+(b*344|0)+56>>2]=f[d+(c*344|0)+56>>2];a=d+(c*344|0)+60|0;f[d+(b*344|0)+60>>2]=f[a>>2];if((f[a>>2]|0)>0){e=0;do{f[d+(b*344|0)+64+(e<<2)>>2]=f[d+(c*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(f[a>>2]|0))}if((f[d+(c*344|0)>>2]|0)!=-1e3){c=b;return c|0}ub[f[g>>2]&15](h);c=b;return c|0}function Lt(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0;q=f[55566]|0;r=f[a+12>>2]|0;o=q+(r*344|0)|0;s=f[q+((f[a+16>>2]|0)*344|0)+88>>2]|0;Tt(a);e=(f[55570]|0)+s|0;u=a+52|0;h=f[u>>2]|0;if((h+-261|0)>>>0<2)t=1;else t=f[a+56>>2]|0;c=f[55576]|0;a:do if((c|0)>(e|0)){d=c-e|0;m=f[55571]|0;d=(d|0)>(m|0)?m:d;m=m-d|0;if((d|0)>0&(e|0)<1){l=a+56|0;k=a+88|0;j=a+84|0;if(!t){g=h;i=e;h=d;c=0;while(1){if((g|0)==262){d=0;e=f[l>>2]|0;while(1){b[(f[(f[k>>2]|0)+(c<<2)>>2]|0)+e>>0]=d;if(!e)break;else{d=48;e=e+-1|0}}c=c+1|0}e=i+1|0;d=h+-1|0;if(!((h|0)>1&(i|0)<0)){h=m;m=36;break a}g=f[u>>2]|0;i=e;h=d}}else{i=e;c=0}while(1){if((h|0)==262){e=0;g=f[l>>2]|0;while(1){b[(f[(f[k>>2]|0)+(c<<2)>>2]|0)+g>>0]=e;if(!g)break;else{e=48;g=g+-1|0}}c=c+1|0}else{e=t;g=c;while(1){e=e+-1|0;b[(f[j>>2]|0)+g>>0]=1;if(!e)break;else g=g+1|0}c=t+c|0}e=i+1|0;g=d+-1|0;if(!((d|0)>1&(i|0)<0)){h=m;d=g;m=36;break a}h=f[u>>2]|0;i=e;d=g}}else{h=m;c=0;m=36}}else{g=f[55571]|0;i=g+e|0;c=(f[55577]|0)+c|0;if((i|0)>(c|0)){d=i-c|0;m=(d|0)>(g|0);d=m?g:d;m=m?e:c;n=g-d|0;c=X(n,t)|0;g=X(g,t)|0;e=f[55578]|0;if((d|0)>0&(i|0)>(e|0)){l=a+56|0;k=a+88|0;j=a+84|0;if(!t)while(1){if((h|0)==262){h=g+-1|0;e=0;g=f[l>>2]|0;while(1){b[(f[(f[k>>2]|0)+(h<<2)>>2]|0)+g>>0]=e;if(!g)break;else{e=48;g=g+-1|0}}e=f[55578]|0;g=h}i=d+-1|0;if(!((d|0)>1&(i+m|0)>(e|0))){e=m;h=n;d=i;m=36;break a}h=f[u>>2]|0;d=i}while(1){if((h|0)==262){g=g+-1|0;e=0;h=f[l>>2]|0;while(1){b[(f[(f[k>>2]|0)+(g<<2)>>2]|0)+h>>0]=e;if(!h)break;else{e=48;h=h+-1|0}}}else{e=g;h=t;do{h=h+-1|0;e=e+-1|0;b[(f[j>>2]|0)+e>>0]=1}while((h|0)!=0);g=g-t|0}i=d+-1|0;if(!((d|0)>1?(i+m|0)>(f[55578]|0):0)){e=m;h=n;d=i;m=36;break a}h=f[u>>2]|0;d=i}}else{e=m;h=n;m=36}}else c=g}while(0);b:do if((m|0)==36)if((d|0)>0)switch(f[u>>2]|0){case 261:case 262:{Ab[f[222232>>2]&1](0-(f[o>>2]|0)|0,e,d,(f[a+88>>2]|0)+(c<<2)|0,(f[a+84>>2]|0)+c|0)|0;c=h;break b}case 258:{Ab[f[222232>>2]&1](0-(f[o>>2]|0)|0,e,d,(f[a+88>>2]|0)+c|0,(f[a+84>>2]|0)+c|0)|0;c=h;break b}case 259:{Ab[f[222232>>2]&1](0-(f[o>>2]|0)|0,e,d,(f[a+88>>2]|0)+(c<<2)|0,(f[a+84>>2]|0)+c|0)|0;c=h;break b}case 260:{Ab[f[222232>>2]&1](0-(f[o>>2]|0)|0,e,d,(f[a+88>>2]|0)+(c<<3)|0,(f[a+84>>2]|0)+c|0)|0;c=h;break b}default:{c=h;break b}}else c=h;while(0);if((c|0)<1)return;l=X(t,s)|0;if(f[55581]|0)return;j=a+88|0;k=q+(r*344|0)+88|0;i=q+(r*344|0)+84|0;h=a+84|0;if(!t)return;g=c;c=X((s|0)>0?c:f[55571]|0,t)|0;do{g=g+-1|0;e=t;do{e=e+-1|0;c=c+-1|0;c:do if((f[u>>2]|0)==262){d=c+l|0;m=54}else{d=c+l|0;b[(f[h>>2]|0)+c>>0]=b[(f[i>>2]|0)+d>>0]|0;switch(f[u>>2]|0){case 262:{m=54;break c}case 261:{Jx(f[(f[j>>2]|0)+(c<<2)>>2]|0,f[(f[k>>2]|0)+(d<<2)>>2]|0)|0;break c}case 258:{b[(f[j>>2]|0)+c>>0]=b[(f[k>>2]|0)+d>>0]|0;break c}case 259:{f[(f[j>>2]|0)+(c<<2)>>2]=f[(f[k>>2]|0)+(d<<2)>>2];break c}case 260:{p[(f[j>>2]|0)+(c<<3)>>3]=+p[(f[k>>2]|0)+(d<<3)>>3];break c}default:break c}}while(0);if((m|0)==54){m=0;Jx(f[(f[j>>2]|0)+(c<<2)>>2]|0,f[(f[k>>2]|0)+(d<<2)>>2]|0)|0}d=f[55581]|0}while((e|0)!=0&(d|0)==0)}while((g|0)!=0&(d|0)==0);return}function Mt(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=u;u=u+80|0;l=r;if((e|c|0)<0){q=-1;u=r;return q|0}g=f[55567]|0;do if((g|0)==(f[55568]|0)){h=f[55566]|0;if(!h){f[55568]=100;g=Lv(34400)|0}else{f[55568]=g<<1;g=Ov(h,g*688|0)|0}if(g|0){f[55566]=g;n=f[55567]|0;break}f[55581]=113;q=-1;u=r;return q|0}else n=g;while(0);f[55567]=n+1;if((n|0)<=-1){q=n;u=r;return q|0}o=f[55566]|0;p=o+(n*344|0)|0;f[p>>2]=d;f[o+(n*344|0)+8>>2]=2;f[o+(n*344|0)+12>>2]=c;f[o+(n*344|0)+16>>2]=e;f[o+(n*344|0)+52>>2]=a;i=o+(c*344|0)|0;j=o+(e*344|0)|0;if((f[i>>2]|0)==-1e3)m=(f[j>>2]|0)==-1e3;else m=0;a=f[o+(c*344|0)+52>>2]|0;g=f[o+(c*344|0)+56>>2]|0;do if((a+-261|0)>>>0>=2)if((g|0)!=1){h=f[o+(e*344|0)+56>>2]|0;if((h|0)!=1){if(((g|0)==(h|0)?(a|0)==(f[o+(e*344|0)+52>>2]|0):0)?(k=f[o+(c*344|0)+60>>2]|0,(k|0)==(f[o+(e*344|0)+60>>2]|0)):0){if((k|0)>0){h=0;a=1}else break;do{a=(f[o+(c*344|0)+64+(h<<2)>>2]|0)==(f[o+(e*344|0)+64+(h<<2)>>2]|0)?a:0;h=h+1|0}while((h|0)!=(k|0));if(a|0)break}g=f[55567]|0;if(g|0)f[55567]=g+-1;if(!(f[55581]|0))f[55581]=431;Vy(l,107220,80)|0;b[l+79>>0]=0;vj(l);q=-1;u=r;return q|0}}else g=1;while(0);h=(g|0)==1?j:i;j=o+(n*344|0)+56|0;f[j>>2]=f[h+56>>2];g=h+60|0;i=o+(n*344|0)+60|0;f[i>>2]=f[g>>2];g=f[g>>2]|0;if((g|0)>0){a=0;do{f[o+(n*344|0)+64+(a<<2)>>2]=f[h+64+(a<<2)>>2];a=a+1|0}while((a|0)<(g|0))}g=f[h+52>>2]|0;a:do if((d|0)==289&(g|0)==262){f[j>>2]=1;f[i>>2]=1;f[o+(n*344|0)+64>>2]=1;g=7;q=34}else switch(g|0){case 262:{g=7;q=34;break a}case 261:{g=8;q=34;break a}case 258:{g=9;q=34;break a}case 259:{g=10;q=34;break a}case 260:{g=11;q=34;break a}default:break a}while(0);if((q|0)==34)f[o+(n*344|0)+4>>2]=g;if(!m){q=n;u=r;return q|0}ub[f[o+(n*344|0)+4>>2]&15](p);q=n;u=r;return q|0}function Nt(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;q=u;u=u+112|0;o=q+24|0;l=q;if((d|a|e|g|h|i|0)<0){a=-1;u=q;return a|0}k=f[55566]|0;if((f[k+(a*344|0)>>2]|0)!=-1e3?(f[k+(a*344|0)+56>>2]|0)!=1:0){j=f[55567]|0;do if((j|0)==(f[55568]|0)){f[55568]=j<<1;j=Ov(k,j*688|0)|0;if(j|0){f[55566]=j;p=f[55567]|0;m=j;break}f[55581]=113;a=-1;u=q;return a|0}else{p=j;m=k}while(0);f[55567]=p+1;if((p|0)<=-1){a=p;u=q;return a|0}n=m+(p*344|0)|0;f[m+(p*344|0)+8>>2]=c+1;f[m+(p*344|0)+12>>2]=a;f[m+(p*344|0)+16>>2]=d;j=m+(d*344|0)|0;f[l>>2]=j;f[m+(p*344|0)+20>>2]=e;f[l+4>>2]=m+(e*344|0);f[m+(p*344|0)+24>>2]=g;f[l+8>>2]=m+(g*344|0);f[m+(p*344|0)+28>>2]=h;f[l+12>>2]=m+(h*344|0);f[m+(p*344|0)+32>>2]=i;f[l+16>>2]=m+(i*344|0);k=(f[m+(a*344|0)>>2]|0)==-1e3&1;g=(c|0)>0;a:do if(g){h=k;e=0;do{if(!h)k=0;else k=(f[f[l+(e<<2)>>2]>>2]|0)==-1e3;h=k&1;e=e+1|0}while((e|0)!=(c|0));if(g){b:do if((f[m+(d*344|0)+56>>2]|0)<=1){k=0;while(1){k=k+1|0;if((f[j+52>>2]|0)!=259)break;if((k|0)>=(c|0))break a;j=f[l+(k<<2)>>2]|0;if((f[j+56>>2]|0)>1)break b}j=f[55567]|0;if(j|0)f[55567]=j+-1;if(!(f[55581]|0))f[55581]=431;Vy(o,107084,80)|0;b[o+79>>0]=0;vj(o);a=-1;u=q;return a|0}while(0);j=f[55567]|0;if(j|0)f[55567]=j+-1;if(!(f[55581]|0))f[55581]=431;Vy(o,107046,80)|0;b[o+79>>0]=0;vj(o);a=-1;u=q;return a|0}}else h=k;while(0);f[n>>2]=91;g=m+(p*344|0)+4|0;f[g>>2]=12;f[m+(p*344|0)+52>>2]=f[m+(a*344|0)+52>>2];j=f[m+(a*344|0)+60>>2]|0;do if((j|0)==(c|0)){f[m+(p*344|0)+56>>2]=1;f[m+(p*344|0)+60>>2]=1;f[m+(p*344|0)+64>>2]=1}else{if((c|0)==1){e=m+(p*344|0)+60|0;f[e>>2]=j+-1;if((j|0)>1){j=1;k=0;do{o=f[m+(a*344|0)+64+(k<<2)>>2]|0;f[m+(p*344|0)+64+(k<<2)>>2]=o;j=X(o,j)|0;k=k+1|0}while((k|0)<(f[e>>2]|0))}else j=1;f[m+(p*344|0)+56>>2]=j;break}j=f[55567]|0;if(j|0)f[55567]=j+-1;if(!(f[55581]|0))f[55581]=431;Vy(o,107120,80)|0;b[o+79>>0]=0;vj(o);a=-1;u=q;return a|0}while(0);if(!h){a=p;u=q;return a|0}ub[f[g>>2]&15](n);a=p;u=q;return a|0}if(!(f[55581]|0))f[55581]=431;Vy(o,107018,80)|0;b[o+79>>0]=0;vj(o);a=-1;u=q;return a|0}function Ot(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0;if((e|d|g|h|i|j|k|0)<0){l=-1;return l|0}m=f[55567]|0;do if((m|0)==(f[55568]|0)){n=f[55566]|0;if(!n){f[55568]=100;m=Lv(34400)|0}else{f[55568]=m<<1;m=Ov(n,m*688|0)|0}if(m|0){f[55566]=m;o=f[55567]|0;break}f[55581]=113;l=-1;return l|0}else o=m;while(0);f[55567]=o+1;if((o|0)<=-1){l=o;return l|0}p=f[55566]|0;r=p+(o*344|0)|0;f[r>>2]=b;q=p+(o*344|0)+4|0;f[q>>2]=13;f[p+(o*344|0)+8>>2]=c;f[p+(o*344|0)+12>>2]=d;f[p+(o*344|0)+16>>2]=e;f[p+(o*344|0)+20>>2]=g;f[p+(o*344|0)+24>>2]=h;f[p+(o*344|0)+28>>2]=i;f[p+(o*344|0)+32>>2]=j;f[p+(o*344|0)+36>>2]=k;m=(b|0)==1043?0:c;if(c){n=f[55566]|0;do{c=c+-1|0;if(!m)m=0;else m=(f[n+((f[p+(o*344|0)+12+(c<<2)>>2]|0)*344|0)>>2]|0)==-1e3;m=m&1}while((c|0)!=0)}if(!a){c=f[55566]|0;f[p+(o*344|0)+52>>2]=f[c+(d*344|0)+52>>2];f[p+(o*344|0)+56>>2]=f[c+(d*344|0)+56>>2];n=c+(d*344|0)+60|0;f[p+(o*344|0)+60>>2]=f[n>>2];n=f[n>>2]|0;if((n|0)>0){e=0;do{f[p+(o*344|0)+64+(e<<2)>>2]=f[c+(d*344|0)+64+(e<<2)>>2];e=e+1|0}while((e|0)<(n|0))}}else{f[p+(o*344|0)+52>>2]=a;f[p+(o*344|0)+56>>2]=1;f[p+(o*344|0)+60>>2]=1;f[p+(o*344|0)+64>>2]=1}if((l|0)>0)f[p+(o*344|0)+56>>2]=l;if(!m){l=o;return l|0}ub[f[q>>2]&15](r);l=o;return l|0}function Pt(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+560|0;v=I+472|0;F=I+328|0;E=I+324|0;x=I+320|0;y=I+316|0;H=I+312|0;t=I+308|0;G=I+304|0;n=I+300|0;o=I+296|0;w=I+292|0;s=I+372|0;A=I+288|0;D=I+272|0;C=I+256|0;q=I+352|0;r=I+332|0;g=I;a:do if((c|0)==-99){if((Gt(106559,g)|0)!=268){if(!(f[55581]|0))f[55581]=431;Vy(v,106564,80)|0;b[v+79>>0]=0;vj(v);H=-1;u=I;return H|0}j=f[g>>2]|0;c=f[55567]|0;do if((c|0)==(f[55568]|0)){g=f[55566]|0;if(!g){f[55568]=100;c=Lv(34400)|0}else{f[55568]=c<<1;c=Ov(g,c*688|0)|0}if(!c){f[55581]=113;c=-1;break a}else{f[55566]=c;c=f[55567]|0;break}}while(0);f[55567]=c+1;if((c|0)>-1?(k=f[55566]|0,f[k+(c*344|0)>>2]=0-j,f[k+(c*344|0)+4>>2]=0,f[k+(c*344|0)+8>>2]=0,l=f[55574]|0,f[k+(c*344|0)+52>>2]=f[l+(j*124|0)+84>>2],f[k+(c*344|0)+56>>2]=f[l+(j*124|0)+88>>2],m=f[l+(j*124|0)+92>>2]|0,f[k+(c*344|0)+60>>2]=m,(m|0)>0):0){g=0;do{f[k+(c*344|0)+64+(g<<2)>>2]=f[l+(j*124|0)+96+(g<<2)>>2];g=g+1|0}while((g|0)!=(m|0))}}while(0);z=Kt(260,0,c)|0;c=f[55567]|0;do if((c|0)==(f[55568]|0)){g=f[55566]|0;if(!g){f[55568]=100;c=Lv(34400)|0}else{f[55568]=c<<1;c=Ov(g,c*688|0)|0}if(!c){f[55581]=113;l=-1;break}else{f[55566]=c;c=f[55567]|0;B=23;break}}else B=23;while(0);if((B|0)==23){f[55567]=c+1;l=c}if((l|z|0)<0){H=-1;u=I;return H|0}m=f[55556]|0;f[F>>2]=m;qk(m,G)|0;f[w>>2]=0;do if(Qn(f[F>>2]|0,106606,D,0,w)|0){f[w>>2]=0;if(!(Qn(f[F>>2]|0,106615,D,0,w)|0))if(!(Qn(f[F>>2]|0,106624,C,0,w)|0))break;else{c=C;B=29;break}else{p[C>>3]=0.0;c=D;B=29;break}}else{c=C;B=29}while(0);if((B|0)==29)p[c>>3]=0.0;b:do switch(b[a>>0]|0){case 0:{f[t>>2]=1;r=1;break}case 91:{g=1;c:while(1){c=a+g|0;switch(b[c>>0]|0){case 0:{B=40;break c}case 93:break c;default:{}}g=g+1|0}if((B|0)==40){f[E>>2]=g;if(!(f[55581]|0))f[55581]=431;Vy(v,106673,80)|0;b[v+79>>0]=0;vj(v);H=-1;u=I;return H|0}f[E>>2]=g;b[c>>0]=0;Gg(a+1|0,t,s,n,o,q,r,222324)|0;if(b[s>>0]|0){Lk(f[F>>2]|0,f[o>>2]|0,s,f[n>>2]|0,222324)|0;qk(f[F>>2]|0,t)|0;r=1;break b}c=f[t>>2]|0;if(c|0){q=f[F>>2]|0;r=c+1|0;f[t>>2]=r;Hj(q,r,H,222324)|0;r=1;break b}if(f[55581]|0){H=-1;u=I;return H|0}f[55581]=431;Vy(v,106633,80)|0;b[v+79>>0]=0;vj(v);H=-1;u=I;return H|0}case 43:{r=uz(a)|0;c=r+1|0;f[t>>2]=c;if((r|0)>0){Hj(f[F>>2]|0,c,H,222324)|0;r=1;break b}if(!(f[55581]|0))f[55581]=431;Vy(v,106633,80)|0;b[v+79>>0]=0;vj(v);H=-1;u=I;return H|0}default:if(!(Jg(F,a,0,222324)|0)){qk(f[F>>2]|0,t)|0;r=0}else r=0}while(0);if(f[55581]|0){H=-1;u=I;return H|0}d:do if((f[t>>2]|0)==1){f[t>>2]=2;e:do if(!(Hj(f[F>>2]|0,2,H,222324)|0))do{if((f[H>>2]|0?(f[w>>2]=0,(Nn(f[F>>2]|0,106716,s,0,w)|0)==0):0)?(Ej(s),Cy(s,106724)|0):0)break e;q=(f[t>>2]|0)+1|0;f[t>>2]=q}while(!(Hj(f[F>>2]|0,q,H,222324)|0));while(0);switch(f[55581]|0){case 0:break d;case 107:break;default:{H=-1;u=I;return H|0}}Vy(v,106728,80)|0;b[v+79>>0]=0;vj(v);H=-1;u=I;return H|0}while(0);hk(f[F>>2]|0,0,d,x,222324)|0;hk(f[F>>2]|0,0,e,y,222324)|0;if(f[55581]|0){H=-1;u=I;return H|0}f[w>>2]=0;a=D+8|0;do if(Qn(f[F>>2]|0,106606,a,0,w)|0){f[w>>2]=0;if(!(Qn(f[F>>2]|0,106615,a,0,w)|0))if(!(Qn(f[F>>2]|0,106624,C+8|0,0,w)|0))break;else{c=C;B=64;break}else{p[C+8>>3]=0.0;c=D;B=64;break}}else{c=C;B=64}while(0);if((B|0)==64)p[c+8>>3]=0.0;g=f[55567]|0;do if((g|0)==(f[55568]|0)){c=f[55566]|0;if(!c){f[55568]=100;c=Lv(34400)|0}else{f[55568]=g<<1;c=Ov(c,g*688|0)|0}if(!c){f[55581]=113;g=-1;break}else{f[55566]=c;g=f[55567]|0;B=72;break}}else B=72;while(0);if((B|0)==72){f[55567]=g+1;if((g|0)>-1){k=f[55566]|0;q=k+(g*344|0)|0;f[k+(g*344|0)+8>>2]=2;f[k+(g*344|0)+16>>2]=z;f[q>>2]=1032;o=k+(g*344|0)+4|0;f[o>>2]=14;f[k+(g*344|0)+52>>2]=258;f[k+(g*344|0)+56>>2]=f[k+(z*344|0)+56>>2];c=k+(z*344|0)+60|0;f[k+(g*344|0)+60>>2]=f[c>>2];f[E>>2]=0;if((f[c>>2]|0)>0){j=0;do{f[k+(g*344|0)+64+(j<<2)>>2]=f[k+(z*344|0)+64+(j<<2)>>2];j=j+1|0}while((j|0)<(f[c>>2]|0));f[E>>2]=j}f[k+(g*344|0)+12>>2]=l;f[k+(l*344|0)>>2]=-1e3;f[k+(l*344|0)+4>>2]=0;n=k+(l*344|0)+88|0;f[n>>2]=0;if(On(f[F>>2]|0,106765,A,0,222324)|0){H=-1;u=I;return H|0}c=f[A>>2]|0;f[k+(l*344|0)+56>>2]=c;if(c|0){j=Lv(c<<4)|0;f[n>>2]=j;if(!j){f[55581]=113;H=-1;u=I;return H|0}zl(f[F>>2]|0,f[x>>2]|0,1,0,1,0,c,((c|0)<0)<<31>>31,0.0,j,E,222324)|0;B=f[A>>2]|0;zl(f[F>>2]|0,f[y>>2]|0,1,0,1,0,B,((B|0)<0)<<31>>31,0.0,(f[n>>2]|0)+(B<<3)|0,E,222324)|0;if(f[55581]|0){Mv(f[n>>2]|0);H=-1;u=I;return H|0}l=k+(l*344|0)+52|0;f[l>>2]=1;m=f[A>>2]|0;f[E>>2]=m;k=m;while(1){c=k;k=k+-1|0;if(!k){B=87;break}j=f[n>>2]|0;c=c+-2|0;if(+p[j+(c<<3)>>3]>=+p[j+(k<<3)>>3]){B=86;break}if(+p[j+(m+c<<3)>>3]>=+p[j+(m+k<<3)>>3]){B=86;break}}if((B|0)==86){f[E>>2]=k;f[l>>2]=0;k=j}else if((B|0)==87){f[E>>2]=0;k=f[n>>2]|0}i=+p[a>>3]-+p[D>>3]+(+p[C+8>>3]-+p[C>>3]);j=m<<1;h=+p[k>>3];if(+K(+(i/(+p[k+(j+-1<<3)>>3]-h)))>1.0e-12?(f[E>>2]=0,(m|0)>0):0){p[k>>3]=i+h;if((j|0)>1){c=1;do{p[k+(c<<3)>>3]=i+ +p[k+(c<<3)>>3];c=c+1|0}while((c|0)<(j|0))}else c=1;f[E>>2]=c}}if((f[(f[55566]|0)+(z*344|0)>>2]|0)==-1e3)ub[f[o>>2]&15](q)}}c=f[F>>2]|0;if(!r){Fg(c,222324)|0;H=g;u=I;return H|0}else{Hj(c,f[G>>2]|0,H,222324)|0;H=g;u=I;return H|0}return 0}
function Od(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0.0,t=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0;B=u;u=u+48|0;r=B;i=+p[a>>3]*3.141592653589793/180.0;h=+p[b>>3]*3.141592653589793/180.0;g=+p[c>>3]*36.0e4;z=+p[d>>3]*36.0e4;k=+O(+i);i=+N(+i);m=+O(+h);h=+N(+h);n=i*h;o=k*h;y=+p[f>>3];A=+p[e>>3];l=y*21.095*A;if(!(g!=0.0|z!=0.0)?!(y!=0.0&A!=0.0):0){j=.000659;i=-.001245;h=.00158}else{j=z*h+l*m+.000659;i=-(g*o)-z*(i*m)+l*n+-.001245;h=g*n-z*(k*m)+l*o+.00158}v=o*-3.1919e-07-n*1.62557e-06-m*1.3843e-07;y=v*n+(n+1.62557e-06);l=v*o+(o+3.1919e-07);v=v*m+(m+1.3843e-07);w=n*.001245-o*.00158-m*.000659;t=i+w*n;s=h+w*o;w=j+w*m;p[r>>3]=y*.9999256782+0.0+l*-.0111820611+v*-.0048579477+t*2.42395018e-06+s*-2.710663e-08+w*-1.177656e-08;p[r+8>>3]=y*.011182061+0.0+l*.9999374784+v*-.0000271765+t*2.710663e-08+s*2.42397878e-06+w*-6.587e-11;p[r+16>>3]=y*.0048579479+0.0+l*-.0000271474+v*.9999881997+t*1.177656e-08+s*-6.582e-11+w*2.42410173e-06;p[r+24>>3]=y*-.000551+0.0+l*-.238565+v*.435739+t*.99994704+s*-.01118251+w*-.00485767;p[r+32>>3]=y*.238514+0.0+l*-.002667+v*-.008541+t*.01118251+s*.99995883+w*-.00002718;p[r+40>>3]=y*-.435623+0.0+l*.012254+v*.002117+t*.00485767+s*-.00002714+w*1.00000956;w=+p[r>>3];s=+p[r+8>>3];m=+p[r+16>>3];t=+p[r+24>>3];v=+p[r+32>>3];i=+p[r+40>>3];n=w*w+s*s;l=+L(+n);j=n+m*m;y=+L(+j);k=w*t+s*v;x=k+m*i;if(!(w==0.0&s==0.0)){h=+T(+s,+w);if(h<0.0)q=h+6.283185307179586;else q=h}else q=0.0;o=+T(+m,+l);if(l>1.0e-30){h=(n*i-m*k)/(j*l);g=(w*v-s*t)/n}else h=z;if(!(A>1.0e-30)){A=q*180.0;A=A/3.141592653589793;p[a>>3]=A;A=o*180.0;A=A/3.141592653589793;p[b>>3]=A;A=g/36.0e4;p[c>>3]=A;A=h/36.0e4;p[d>>3]=A;u=B;return}p[f>>3]=x/(y*A*21.095);p[e>>3]=+p[e>>3]/y;A=q*180.0;A=A/3.141592653589793;p[a>>3]=A;A=o*180.0;A=A/3.141592653589793;p[b>>3]=A;A=g/36.0e4;p[c>>3]=A;A=h/36.0e4;p[d>>3]=A;u=B;return}function Pd(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,g=0.0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0.0,o=0.0,q=0.0,r=0.0,s=0,t=0,v=0;m=u;u=u+64|0;l=m+56|0;k=m+16|0;i=m;d=+p[a>>3];e=+p[c>>3];q=d*3.141592653589793/180.0;o=e*3.141592653589793/180.0;n=+N(+o);r=+N(+q)*n;q=n*+O(+q);o=+O(+o);n=r*-.054875539726+q*.494109453312+o*-.867666135858;h=r*-.87343710801+q*-.444829589425+o*-.198076386122;g=+T(+h,+n);g=g<0.0?g+6.283185307179586:g;g=(g>6.283185307179586?g+-6.283185307179586:g)*180.0/3.141592653589793;h=+T(+(r*-.483834985808+q*.74698225181+o*.455983795705),+(+L(+(n*n+h*h))))*180.0/3.141592653589793;p[a>>3]=g;p[c>>3]=h;if(!(f[53814]|0)){u=m;return}j=f[4971]|0;p[i>>3]=d;p[i+8>>3]=e;zy(j,49300,i)|0;q=g/15.0;v=~~q;q=(q-+(v|0))*60.0;t=~~q;s=h<0.0;r=s?-h:h;i=~~r;r=(r-+(i|0))*60.0;c=~~r;a=Lv(32)|0;f[k>>2]=v;f[k+4>>2]=t;p[k+8>>3]=(q-+(t|0))*60.0;f[k+16>>2]=s?45:43;f[k+20>>2]=i;f[k+24>>2]=c;p[k+32>>3]=(r-+(c|0))*60.0;ww(a,49144,k)|0;c=a+6|0;if((b[c>>0]|0)==32)b[c>>0]=48;c=a+20|0;if((b[c>>0]|0)==32)b[c>>0]=48;f[l>>2]=a;zy(j,49333,l)|0;Mv(a);u=m;return}function Qd(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0,t=0,v=0;l=u;u=u+64|0;j=l+48|0;k=l+40|0;g=l;d=+p[a>>3];e=+p[c>>3];o=d*3.141592653589793/180.0;n=e*3.141592653589793/180.0;m=+N(+n);q=+N(+o)*m;o=m*+O(+o);n=+O(+n);m=q*-.066988739415+o*-.872755765852+n*-.483538914632;i=q*.492728466075+o*-.45034695802+n*.744584633283;h=+T(+i,+m);h=h<0.0?h+6.283185307179586:h;h=(h>6.283185307179586?h+-6.283185307179586:h)*180.0/3.141592653589793;i=+T(+(q*-.867600811151+o*-.188374601723+n*.460199784784),+(+L(+(m*m+i*i))))*180.0/3.141592653589793;p[a>>3]=h;p[c>>3]=i;if(!(f[53814]|0)){u=l;return}o=d/15.0;v=~~o;o=(o-+(v|0))*60.0;t=~~o;s=e<0.0;q=s?-e:e;r=~~q;q=(q-+(r|0))*60.0;c=~~q;a=Lv(32)|0;f[g>>2]=v;f[g+4>>2]=t;p[g+8>>3]=(o-+(t|0))*60.0;f[g+16>>2]=s?45:43;f[g+20>>2]=r;f[g+24>>2]=c;p[g+32>>3]=(q-+(c|0))*60.0;ww(a,49144,g)|0;c=a+6|0;if((b[c>>0]|0)==32)b[c>>0]=48;c=a+20|0;if((b[c>>0]|0)==32)b[c>>0]=48;v=f[4971]|0;f[k>>2]=a;zy(v,49240,k)|0;p[j>>3]=h;p[j+8>>3]=i;zy(v,49267,j)|0;Mv(a);u=l;return}function Rd(a,c){a=a|0;c=c|0;var d=0.0,e=0.0,g=0,h=0.0,i=0.0,j=0,k=0,l=0,m=0.0,n=0.0,o=0.0,q=0.0,r=0,s=0,t=0,v=0;l=u;u=u+64|0;j=l+48|0;k=l+40|0;g=l;d=+p[a>>3];e=+p[c>>3];o=d*3.141592653589793/180.0;n=e*3.141592653589793/180.0;m=+N(+n);q=+N(+o)*m;o=m*+O(+o);n=+O(+n);m=q*-.054875539726+o*-.87343710801+n*-.483834985808;i=q*.494109453312+o*-.444829589425+n*.74698225181;h=+T(+i,+m);h=h<0.0?h+6.283185307179586:h;h=(h>6.283185307179586?h+-6.283185307179586:h)*180.0/3.141592653589793;i=+T(+(q*-.867666135858+o*-.198076386122+n*.455983795705),+(+L(+(m*m+i*i))))*180.0/3.141592653589793;p[a>>3]=h;p[c>>3]=i;if(!(f[53814]|0)){u=l;return}o=d/15.0;v=~~o;o=(o-+(v|0))*60.0;t=~~o;s=e<0.0;q=s?-e:e;r=~~q;q=(q-+(r|0))*60.0;c=~~q;a=Lv(32)|0;f[g>>2]=v;f[g+4>>2]=t;p[g+8>>3]=(o-+(t|0))*60.0;f[g+16>>2]=s?45:43;f[g+20>>2]=r;f[g+24>>2]=c;p[g+32>>3]=(q-+(c|0))*60.0;ww(a,49144,g)|0;c=a+6|0;if((b[c>>0]|0)==32)b[c>>0]=48;c=a+20|0;if((b[c>>0]|0)==32)b[c>>0]=48;v=f[4971]|0;f[k>>2]=a;zy(v,49180,k)|0;p[j>>3]=h;p[j+8>>3]=i;zy(v,49207,j)|0;Mv(a);u=l;return}function Sd(a,b,c){a=a|0;b=b|0;c=+c;var d=0,e=0,f=0.0,g=0.0,h=0.0,i=0.0,j=0.0;e=u;u=u+80|0;d=e;if(c!=2.0e3)Kd(2.0e3,c,a,b);i=+p[a>>3]*3.141592653589793/180.0;h=+p[b>>3]*3.141592653589793/180.0;g=+N(+h);j=+N(+i)*g;i=g*+O(+i);h=+O(+h);g=(c+-2.0e3)*.01;Td(1,(g*(g*(g*.001813+-.00059)+-46.815)+84381.448)*4.8481368110953e-06,0.0,0.0,d);g=+p[d>>3]*j+0.0+ +p[d+8>>3]*i+ +p[d+16>>3]*h;c=+p[d+24>>3]*j+0.0+ +p[d+32>>3]*i+ +p[d+40>>3]*h;f=+T(+c,+g);f=f<0.0?f+6.283185307179586:f;c=+T(+(+p[d+48>>3]*j+0.0+ +p[d+56>>3]*i+ +p[d+64>>3]*h),+(+L(+(g*g+c*c))));p[a>>3]=(f>6.283185307179586?f+-6.283185307179586:f)*180.0/3.141592653589793;p[b>>3]=c*180.0/3.141592653589793;u=e;return}function Td(a,b,c,d,e){a=a|0;b=+b;c=+c;d=+d;e=e|0;var g=0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,v=0.0,w=0.0,x=0,y=0.0,z=0.0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0.0;da=u;u=u+112|0;ba=da+72|0;aa=da;_=da+96|0;$=e+8|0;p[e>>3]=1.0;p[$>>3]=0.0;p[e+16>>3]=0.0;ca=e+24|0;p[ca>>3]=0.0;p[e+32>>3]=1.0;p[e+40>>3]=0.0;p[e+48>>3]=0.0;p[e+56>>3]=0.0;p[e+64>>3]=1.0;Y=(a|0)/100|0;f[_>>2]=Y;U=(a|0)>99;Y=X(Y,-100)|0;Z=U&1;Y=(U?Y:0)+a|0;W=(Y|0)/10|0;f[_+(Z<<2)>>2]=W;V=(Y|0)>9;W=X(W,-10)|0;Z=V?(U?2:1):Z;Y=(V?W:0)+Y|0;f[_+(Z<<2)>>2]=Y;Z=((Y|0)>0&1)+Z|0;p[ba>>3]=b;p[ba+8>>3]=c;p[ba+16>>3]=d;if(!Z){u=da;return}A=aa+32|0;Q=aa+8|0;R=aa+16|0;W=aa+24|0;U=aa+32|0;S=aa+40|0;Y=aa+48|0;V=aa+56|0;T=aa+64|0;B=aa+8|0;E=aa+16|0;K=e+48|0;I=e+32|0;L=e+56|0;P=e+16|0;J=e+40|0;M=e+64|0;D=aa+24|0;F=aa+40|0;H=aa+48|0;C=aa+56|0;G=aa+64|0;c=+p[L>>3];y=+p[P>>3];z=+p[J>>3];v=1.0;w=+p[M>>3];r=+p[ca>>3];o=+p[K>>3];s=+p[I>>3];t=+p[$>>3];q=+p[e>>3];x=0;while(1){p[aa>>3]=1.0;p[Q>>3]=0.0;p[R>>3]=0.0;p[W>>3]=0.0;p[U>>3]=1.0;p[S>>3]=0.0;p[Y>>3]=0.0;p[V>>3]=0.0;p[T>>3]=1.0;d=+O(+b);j=+N(+b);a=f[_+(x<<2)>>2]|0;i=-d;if((a|0)==1){p[A>>3]=j;a=8;g=7;h=5;b=i}else{ea=(a|0)==2;p[aa>>3]=j;a=ea?8:4;g=ea?6:3;h=ea?2:1;b=ea?d:i;d=ea?i:d}p[aa+(h<<3)>>3]=d;p[aa+(g<<3)>>3]=b;p[aa+(a<<3)>>3]=j;fa=+p[aa>>3];d=+p[B>>3];j=+p[E>>3];k=fa*q+0.0+d*r+j*o;l=fa*t+0.0+d*s+j*c;j=fa*y+0.0+d*z+j*v;d=+p[D>>3];fa=+p[A>>3];b=+p[F>>3];n=d*q+0.0+fa*r+b*o;m=d*t+0.0+fa*s+b*c;b=d*y+0.0+fa*z+b*v;fa=+p[H>>3];v=+p[C>>3];d=+p[G>>3];i=fa*q+0.0+v*r+d*o;c=fa*t+0.0+v*s+d*c;d=fa*y+0.0+v*z+d*w;a=x+1|0;if((a|0)>=(Z|0))break;y=j;z=b;v=d;b=+p[ba+(a<<3)>>3];w=d;r=n;o=i;s=m;t=l;q=k;x=a}p[e>>3]=k;p[ca>>3]=n;p[K>>3]=i;p[$>>3]=l;p[I>>3]=m;p[L>>3]=c;p[P>>3]=j;p[J>>3]=b;p[M>>3]=d;u=da;return}function Ud(a,b,c,d,e,f,g){a=a|0;b=b|0;c=+c;d=+d;e=e|0;f=f|0;g=+g;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0.0,s=0.0,t=0.0,v=0.0;q=u;u=u+96|0;l=q+24|0;n=q+16|0;m=q+8|0;k=q;c=c==0.0?((a|0)==2?1950.0:2.0e3):c;j=(b|0)==2;h=(b|0)==11;i=(a|0)==1&h&c==2.0e3;d=(a|0)==11&h|i?c:d==0.0?(j?1950.0:2.0e3):d;i=i?b:a;a=(b|0)==1;h=a&(i|0)==11&d==2.0e3;c=h?d:c;i=h?b:i;if((i|0)==(b|0)&c==d){u=q;return}h=c!=d;do if(h){if((i|0)==2&c!=1950.0){Jd(c,1950.0,e,f);break}if((i|0)==1&c!=2.0e3)Kd(c,2.0e3,e,f)}while(0);a:do if(j)switch(i|0){case 1:if(g>0.0){p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Ld(e,f,m,k,l,n);g=g+-1950.0;p[e>>3]=+p[e>>3]+g*+p[m>>3];p[f>>3]=+p[f>>3]+g*+p[k>>3];break a}else{p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Ld(e,f,m,k,l,n);break a}case 3:{Md(e,f);break a}case 4:if(g>0.0){Nd(e,f,g);p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Ld(e,f,m,k,l,n);g=g+-1950.0;p[e>>3]=+p[e>>3]+g*+p[m>>3];p[f>>3]=+p[f>>3]+g*+p[k>>3];break a}else{Nd(e,f,1950.0);p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Ld(e,f,m,k,l,n);p[e>>3]=+p[e>>3]+ +p[m>>3]*0.0;p[f>>3]=+p[f>>3]+ +p[k>>3]*0.0;break a}default:break a}else{if(a)switch(i|0){case 2:if(g>0.0){p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Od(e,f,m,k,l,n);g=g+-2.0e3;p[e>>3]=+p[e>>3]+g*+p[m>>3];p[f>>3]=+p[f>>3]+g*+p[k>>3];break a}else{p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Od(e,f,m,k,l,n);break a}case 3:{Pd(e,f);break a}case 4:if(g>0.0){Nd(e,f,g);break a}else{t=+p[e>>3]*3.141592653589793/180.0;s=+p[f>>3]*3.141592653589793/180.0;r=+N(+s);v=+N(+t)*r;t=r*+O(+t);s=+O(+s);Td(1,.40909280422232386,0.0,0.0,l);r=v*+p[l>>3]+0.0+t*+p[l+24>>3]+s*+p[l+48>>3];g=v*+p[l+8>>3]+0.0+t*+p[l+32>>3]+s*+p[l+56>>3];c=+T(+g,+r);c=c<0.0?c+6.283185307179586:c;g=+T(+(v*+p[l+16>>3]+0.0+t*+p[l+40>>3]+s*+p[l+64>>3]),+(+L(+(r*r+g*g))));p[e>>3]=(c>6.283185307179586?c+-6.283185307179586:c)*180.0/3.141592653589793;p[f>>3]=g*180.0/3.141592653589793;break a}default:break a}switch(b|0){case 3:switch(i|0){case 2:{Qd(e,f);break a}case 1:{Rd(e,f);break a}case 4:{if(g>0.0)Nd(e,f,g);else{g=+p[e>>3]*3.141592653589793/180.0;r=+p[f>>3]*3.141592653589793/180.0;s=+N(+r);c=+N(+g)*s;g=s*+O(+g);r=+O(+r);Td(1,.40909280422232386,0.0,0.0,l);s=c*+p[l>>3]+0.0+g*+p[l+24>>3]+r*+p[l+48>>3];v=c*+p[l+8>>3]+0.0+g*+p[l+32>>3]+r*+p[l+56>>3];t=+T(+v,+s);t=t<0.0?t+6.283185307179586:t;v=+T(+(c*+p[l+16>>3]+0.0+g*+p[l+40>>3]+r*+p[l+64>>3]),+(+L(+(s*s+v*v))));p[e>>3]=(t>6.283185307179586?t+-6.283185307179586:t)*180.0/3.141592653589793;p[f>>3]=v*180.0/3.141592653589793}Rd(e,f);break a}default:break a}case 4:break;default:break a}switch(i|0){case 2:if(g>0.0){p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Od(e,f,m,k,l,n);v=g+-2.0e3;p[e>>3]=+p[e>>3]+v*+p[m>>3];p[f>>3]=+p[f>>3]+v*+p[k>>3];Sd(e,f,g);break a}else{p[m>>3]=0.0;p[k>>3]=0.0;p[l>>3]=0.0;p[n>>3]=0.0;Od(e,f,m,k,l,n);p[e>>3]=+p[e>>3]-+p[m>>3]*50.0;p[f>>3]=+p[f>>3]-+p[k>>3]*50.0;Sd(e,f,1950.0);break a}case 1:if(g>0.0){Sd(e,f,g);break a}else{g=+p[e>>3]*3.141592653589793/180.0;r=+p[f>>3]*3.141592653589793/180.0;s=+N(+r);c=+N(+g)*s;g=s*+O(+g);r=+O(+r);Td(1,.40909280422232386,0.0,0.0,l);s=c*+p[l>>3]+0.0+g*+p[l+8>>3]+r*+p[l+16>>3];v=c*+p[l+24>>3]+0.0+g*+p[l+32>>3]+r*+p[l+40>>3];t=+T(+v,+s);t=t<0.0?t+6.283185307179586:t;v=+T(+(c*+p[l+48>>3]+0.0+g*+p[l+56>>3]+r*+p[l+64>>3]),+(+L(+(s*s+v*v))));p[e>>3]=(t>6.283185307179586?t+-6.283185307179586:t)*180.0/3.141592653589793;p[f>>3]=v*180.0/3.141592653589793;break a}case 3:{Pd(e,f);if(g>0.0){Sd(e,f,g);break a}else{g=+p[e>>3]*3.141592653589793/180.0;r=+p[f>>3]*3.141592653589793/180.0;s=+N(+r);c=+N(+g)*s;g=s*+O(+g);r=+O(+r);Td(1,.40909280422232386,0.0,0.0,l);s=c*+p[l>>3]+0.0+g*+p[l+8>>3]+r*+p[l+16>>3];v=c*+p[l+24>>3]+0.0+g*+p[l+32>>3]+r*+p[l+40>>3];t=+T(+v,+s);t=t<0.0?t+6.283185307179586:t;v=+T(+(c*+p[l+48>>3]+0.0+g*+p[l+56>>3]+r*+p[l+64>>3]),+(+L(+(s*s+v*v))));p[e>>3]=(t>6.283185307179586?t+-6.283185307179586:t)*180.0/3.141592653589793;p[f>>3]=v*180.0/3.141592653589793;break a}}default:break a}}while(0);if(h){if(j&d!=1950.0)Jd(1950.0,d,e,f);if(a&d!=2.0e3)Kd(2.0e3,d,e,f)}d=+p[f>>3];if(!(d>90.0))if(d<-90.0){c=-180.0;o=50}else c=+p[e>>3];else{c=180.0;o=50}if((o|0)==50){p[f>>3]=c-d;c=+p[e>>3]+180.0;p[e>>3]=c}if(c>360.0){p[e>>3]=c+-360.0;u=q;return}if(!(c<0.0)){u=q;return}p[e>>3]=c+360.0;u=q;return}function Vd(a){a=a|0;var c=0.0,d=0;d=b[a>>0]|0;a:do switch(d<<24>>24){case 106:case 74:{d=1;break}default:if((((((tw(a,49420)|0)!=0?(tw(a,49425)|0)!=0:0)?(tw(a,49432)|0)!=0:0)?(tw(a,96676)|0)!=0:0)?(vw(a,49437,3)|0)!=0:0)?(vw(a,96668,3)|0)!=0:0){switch(d<<24>>24){case 98:case 66:{d=2;break a}default:{}}if((((tw(a,49441)|0)!=0?(tw(a,49446)|0)!=0:0)?(vw(a,49453,3)|0)!=0:0)?(vw(a,96672,3)|0)!=0:0)switch(d<<24>>24){case 105:case 73:{d=11;break a}case 103:case 71:{d=3;break a}case 101:case 69:{d=4;break a}case 97:case 65:{d=5;break a}case 110:case 78:{d=7;break a}case 108:case 76:{d=6;break a}default:{if(!(Ix(a,96524,5)|0)){d=10;break a}switch(d<<24>>24){case 112:case 80:{d=9;break a}default:{}}if(!(ce(a)|0)){d=-1;break a}c=+rz(a);if(c>1980.0){d=1;break a}d=c>1900.0?2:-1;break a}}else d=2}else d=1}while(0);return d|0}function Wd(a){a=a|0;var c=0.0,d=0,e=0;d=b[a>>0]|0;e=d+-66<<24>>24;switch(((e&255)>>>3|e<<5&255)<<24>>24){case 4:case 0:case 5:case 1:{c=+rz(a+1|0);break}default:if((vw(a,49453,3)|0)!=0?(vw(a,96672,3)|0)!=0:0)if((((vw(a,49437,3)|0)!=0?(vw(a,96668,3)|0)!=0:0)?(vw(a,49432,4)|0)!=0:0)?(vw(a,96676,4)|0)!=0:0)if((d+-49&255)<2)c=+rz(a);else c=0.0;else c=2.0e3;else c=1950.0}return +c}function Xd(a,b,c,d){a=+a;b=+b;c=+c;d=d|0;var e=0.0,f=0.0;e=a*3.141592653589793/180.0;a=b*3.141592653589793/180.0;b=+N(+a);f=+N(+e)*c*b;p[d>>3]=f;b=b*(+O(+e)*c);p[d+8>>3]=b;a=+O(+a)*c;p[d+16>>3]=a;return}function Yd(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;if((c|0)>0){j=c;f[53815]=j;return j|0}f[53815]=0;c=0;while(1){if((b[a+c>>0]|0)<1){e=5;break}c=c+1|0;if((c|0)>=256e3){e=7;break}}if((e|0)==5)if((c|0)>0)e=7;else{d=0;c=a}a:do if((e|0)==7){j=a+c|0;i=j;c=a;d=a;while(1){h=Zd(d,88471,i-d|0)|0;if(!h){d=0;break a}a=(h-c|0)%80|0;e=b[h+3>>0]|0;b:do if((a|0)<=7){c:do if(e<<24>>24>32){switch(e<<24>>24){case 61:case 127:break c;default:{}}d=h+1|0;break b}while(0);g=h+(0-a)|0;if((a|0)>0){a=h+1|0;e=g;do{d=(b[e>>0]|0)==32?d:a;e=e+1|0}while(e>>>0<h>>>0)}if(h>>>0>=d>>>0){d=g;break a}}else d=h+1|0;while(0);if(d>>>0>=j>>>0){d=0;break}}}while(0);j=d+80-c|0;f[53815]=j;return j|0}function Zd(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if((a|0)==0|(c|0)==0){c=0;return c|0}m=Bx(c)|0;if(!m){c=a;return c|0}if(!d){c=0;return c|0}do if((m|0)<3){f=b[c>>0]|0;e=f<<24>>24;if((f+-97&255)>=26)if((f+-65&255)<26)e=e+32&255;else e=f;else e=e+224&255;if((m|0)>1){g=b[c+1>>0]|0;h=g<<24>>24;if((g+-97&255)<26){l=g;k=h+224&255;h=0;break}if((g+-65&255)<26){l=g;k=h+32&255;h=0}else{l=g;k=g;h=0}}else{l=32;k=32;h=0}}else{h=Nv(m,1)|0;g=0;do{e=b[c+g>>0]|0;f=e<<24>>24;if((e+-97&255)<26)e=f+224&255;else e=(e+-65&255)<26?f+32&255:e;b[h+g>>0]=e;g=g+1|0}while((g|0)!=(m|0));k=m+-1|0;f=b[c>>0]|0;l=b[c+k>>0]|0;e=b[h>>0]|0;k=b[h+k>>0]|0}while(0);j=a+d+(0-m)|0;a:do if((j+1|0)>>>0>a>>>0){i=m+-1|0;d=(m|0)>1;switch(m|0){case 1:{while(1){c=b[a>>0]|0;if(c<<24>>24==f<<24>>24?1:c<<24>>24==e<<24>>24)break;if(a>>>0<j>>>0)a=a+1|0;else break a}if(!h){c=a;return c|0}Mv(h);c=a;return c|0}case 2:{while(1){c=b[a>>0]|0;if((c<<24>>24==f<<24>>24?1:c<<24>>24==e<<24>>24)?(c=b[a+i>>0]|0,c<<24>>24==l<<24>>24?1:c<<24>>24==k<<24>>24):0)break;if(a>>>0<j>>>0)a=a+1|0;else break a}if(!h){c=a;return c|0}Mv(h);c=a;return c|0}default:{b:while(1){g=b[a>>0]|0;c:do if((g<<24>>24==f<<24>>24?1:g<<24>>24==e<<24>>24)?(g=b[a+i>>0]|0,g<<24>>24==l<<24>>24?1:g<<24>>24==k<<24>>24):0){if(d)g=1;else break b;while(1){n=b[a+g>>0]|0;if(n<<24>>24!=(b[c+g>>0]|0)?n<<24>>24!=(b[h+g>>0]|0):0)break c;g=g+1|0;if((g|0)>=(m|0))break b}}while(0);if(a>>>0<j>>>0)a=a+1|0;else break a}if(!h){n=a;return n|0}Mv(h);n=a;return n|0}}}while(0);if(!h){n=0;return n|0}Mv(h);n=0;return n|0}function _d(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;e=f[53815]|0;e=(e|0)==0?256e3:e;if((e|0)>0)d=0;else{c=0;return c|0}do{if((b[a+d>>0]|0)<1)break;d=d+1|0}while((d|0)<(e|0));j=a+d|0;k=j;if((d|0)<=0){c=0;return c|0}i=a;e=a;a:while(1){h=Zd(e,c,k-e|0)|0;if(!h){d=0;e=17;break}a=(h-i|0)%80|0;d=h+(Bx(c)|0)|0;d=b[d>>0]|0;b:do if((a|0)<=7){c:do if(d<<24>>24>32){switch(d<<24>>24){case 61:case 127:break c;default:{}}d=h+1|0;break b}while(0);d=h+(0-a)|0;if((a|0)>0){g=h+1|0;a=d;do{e=(b[a>>0]|0)==32?e:g;a=a+1|0}while(a>>>0<h>>>0)}if(h>>>0<e>>>0)d=e;else{e=17;break a}}else d=h+1|0;while(0);if(d>>>0<j>>>0)e=d;else{d=0;e=17;break}}if((e|0)==17)return d|0;return 0}function $d(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=u;u=u+16|0;f=g;if((b[d>>0]|0)>=64){Jx(f,c)|0;c=Bx(c)|0;b[f+c>>0]=b[d>>0]|0;b[f+(c+1)>>0]=0;c=f}e=ae(a,c,e)|0;u=g;return e|0}function ae(a,c,d){a=a|0;c=c|0;d=d|0;var e=0.0,g=0.0;a=be(a,c)|0;if(!a){d=0;return d|0}a=(b[a>>0]|0)==35?a+1|0:a;if((Bx(a)|0)>81){Vy(3006752,a,81)|0;b[3006833]=0}else Jx(3006752,a)|0;if((ce(3006752)|0)==2){a=Cx(3006752,68)|0;if(a|0)b[a>>0]=101;a=Cx(3006752,100)|0;if(a|0)b[a>>0]=101;a=Cx(3006752,69)|0;if(a|0)b[a>>0]=101}g=+rz(3006752);e=g+.001;do if(!(e>2147483647.0)){if(g>=0.0){a=~~e;break}e=g+-.001;if(e<-2147483648.0)a=-2147483648;else a=~~e}else a=2147483647;while(0);f[d>>2]=a;d=1;return d|0}function be(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;s=u;u=u+208|0;r=s+194|0;m=s+192|0;n=s+190|0;p=s+188|0;q=s+186|0;l=s+184|0;e=s+182|0;k=s+100|0;o=s;b[m>>0]=39;b[m+1>>0]=0;b[n>>0]=34;b[n+1>>0]=0;b[p>>0]=91;b[p+1>>0]=0;b[e>>0]=44;b[e+1>>0]=0;b[q>>0]=93;b[q+1>>0]=0;b[l>>0]=47;b[l+1>>0]=0;Vy(k,c,80)|0;d=Bx(k)|0;c=de(k,p,d)|0;if(!c){c=de(k,e,d)|0;if(!c)p=0;else h=3}else h=3;if((h|0)==3){b[c>>0]=0;p=c+1|0}d=f[53815]|0;d=(d|0)==0?256e3:d;if((d|0)>0)c=0;else{r=0;u=s;return r|0}do{if((b[a+c>>0]|0)<1)break;c=c+1|0}while((c|0)<(d|0));i=a+c|0;j=i;if((c|0)<=0){r=0;u=s;return r|0}h=a;c=a;a:while(1){a=Zd(c,k,j-c|0)|0;if(!a){c=0;h=68;break}e=(a-h|0)%80|0;d=a+(Bx(k)|0)|0;d=b[d>>0]|0;b:do if((e|0)<=7){c:do if(d<<24>>24>32){switch(d<<24>>24){case 61:case 127:break c;default:{}}c=a+1|0;break b}while(0);g=a+(0-e)|0;if((e|0)>0){e=a+1|0;d=g;do{c=(b[d>>0]|0)==32?c:e;d=d+1|0}while(d>>>0<a>>>0)}if(a>>>0>=c>>>0){h=20;break a}}else c=a+1|0;while(0);if(c>>>0>=i>>>0){c=0;h=68;break}}if((h|0)==20){if(!g){r=0;u=s;return r|0}c=o;d=c+100|0;do{b[c>>0]=0;c=c+1|0}while((c|0)<(d|0));Vy(o,g,80)|0;c=Bx(o)|0;e=de(o,m,c)|0;a=de(o,l,c)|0;d:do if(!e){e=de(o,n,c)|0;if(e){if(e>>>0<a>>>0){d=e+1|0;d=de(d,n,Bx(d)|0)|0;if(!d)d=a;else{h=40;break}while(1){c=d+-1|0;if((b[c>>0]|0)==32)d=c;else{h=39;break d}}}if(!a){d=e+1|0;d=de(d,n,Bx(d)|0)|0;if(!d){c=o+79|0;while(1)if((b[c>>0]|0)==32)c=c+-1|0;else break;d=c+1|0;h=39}else h=40}else h=41}else h=41}else{if(e>>>0<a>>>0){d=e+1|0;d=de(d,m,Bx(d)|0)|0;if(!d)d=a;else{h=40;break}while(1){c=d+-1|0;if((b[c>>0]|0)==32)d=c;else{h=39;break d}}}if(!a){d=e+1|0;d=de(d,m,Bx(d)|0)|0;if(!d){c=o+79|0;while(1)if((b[c>>0]|0)==32)c=c+-1|0;else break;d=c+1|0;h=39}else h=40}else h=41}while(0);if((h|0)==39)if(!e)h=41;else h=40;if((h|0)==40)c=e+1|0;else if((h|0)==41){d=Bx(o)|0;c=de(o,92084,d)|0;d=de(o,89298,d)|0;c=(c|0)==0?o+9|0:c+1|0;d=(d|0)==0?o+79|0:d}if(!(f[53816]|0))while(1)if(c>>>0<d>>>0&(b[c>>0]|0)==32)c=c+1|0;else break;b[d>>0]=0;e:do if(!(f[53816]|0))while(1){d=d+-1|0;switch(b[d>>0]|0){case 13:case 32:break;default:break e}if(d>>>0<=c>>>0)break e;b[d>>0]=0}while(0);o=(tw(c,89300)|0)==0;c=o?c+1|0:c;Jx(3006834,c)|0;if(!p){r=3006834;u=s;return r|0}d=de(p,q,Bx(p)|0)|0;if(d|0)b[d>>0]=0;if(!(ce(p)|0)){e=Bx(p)|0;if((e|0)>0){a=0;do{d=p+a|0;c=b[d>>0]|0;if((c+-65&255)<26)b[d>>0]=(c&255)+32;a=a+1|0}while((a|0)!=(e|0))}c=se(3006834,p)|0;if(!c){r=0;u=s;return r|0}Jx(3006834,c)|0;r=3006834;u=s;return r|0}e=uz(p)|0;b[r>>0]=32;b[r+1>>0]=0;if((e|0)>0){d=1;while(1){c=zz(c,r)|0;if((d|0)==(e|0))break;else{d=d+1|0;c=0}}if(!c){r=0;u=s;return r|0}Jx(3006834,c)|0;r=3006834;u=s;return r|0}if((e|0)>=0){r=3006834;u=s;return r|0}a=0-e|0;f:do if((e|0)==-1){if(!c){r=0;u=s;return r|0}}else{d=1;while(1){c=Cx(c,32)|0;if(!c){c=0;break}c=c+1|0;d=d+1|0;if((d|0)>=(a|0))break f}u=s;return c|0}while(0);Jx(3006834,c)|0;r=3006834;u=s;return r|0}else if((h|0)==68){u=s;return c|0}return 0}function ce(a){a=a|0;var c=0,d=0,e=0,f=0,g=0,h=0,i=0;if(!a)return 0;c=b[a>>0]|0;switch(c<<24>>24){case 101:case 69:case 100:case 68:return 0;default:{}}h=Bx(a)|0;while(1){d=h+-1|0;if((b[a+d>>0]|0)==32)h=d;else break}a:do if(!((h|0)<1|c<<24>>24==10)){f=c;e=0;d=1;g=0;c=0;b:while(1){c:do if((c|0)==0&f<<24>>24==32)c=0;else{d:do if((f+-48&255)>=10){switch(f<<24>>24){case 101:case 100:case 69:case 68:case 58:case 46:{i=12;break d}case 45:case 43:break;default:{i=20;break b}}switch(b[a+(g+1)>>0]|0){case 43:case 45:{i=20;break b}default:{}}if((g|0)>0)switch(b[a+(g+-1)>>0]|0){case 32:case 58:case 101:case 69:case 100:case 68:break;default:{i=20;break b}}}else i=12;while(0);do if((i|0)==12){i=0;if((f+-47&255)<11){c=c+1|0;break}else{e=(f<<24>>24==58&1)+e|0;break}}while(0);switch(f<<24>>24){case 101:case 100:case 46:break;default:break c}d=2}while(0);g=g+1|0;if((g|0)>=(h|0))break a;f=b[a+g>>0]|0;if(f<<24>>24==10)break a}if((i|0)==20)return 0}else{e=0;d=1;c=0}while(0);return ((c|0)>0?((e|0)==0?d:3):0)|0}function de(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;if((a|0)==0|(c|0)==0){j=0;return j|0}e=Bx(c)|0;if(!e){j=a;return j|0}if(!d){j=0;return j|0}j=b[c>>0]|0;i=e+-1|0;g=b[c+i>>0]|0;h=a+d+(0-e)|0;if((h+1|0)>>>0<=a>>>0){j=0;return j|0}switch(e|0){case 1:{while(1){if((b[a>>0]|0)==j<<24>>24){d=20;break}if(a>>>0<h>>>0)a=a+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0;break}case 2:{while(1){if((b[a>>0]|0)==j<<24>>24?(b[a+i>>0]|0)==g<<24>>24:0){d=20;break}if(a>>>0<h>>>0)a=a+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0;break}default:{if((e|0)<=1){while(1){if((b[a>>0]|0)==j<<24>>24?(b[a+i>>0]|0)==g<<24>>24:0){d=20;break}if(a>>>0<h>>>0)a=a+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0}else f=a;a:while(1){b:do if((b[f>>0]|0)==j<<24>>24?(b[f+i>>0]|0)==g<<24>>24:0){a=1;while(1){if((b[f+a>>0]|0)!=(b[c+a>>0]|0))break b;a=a+1|0;if((a|0)>=(e|0)){a=f;d=20;break a}}}while(0);if(f>>>0<h>>>0)f=f+1|0;else{a=0;d=20;break}}if((d|0)==20)return a|0}}return 0}function ee(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0;a=be(a,b)|0;if(!a){c=0;return c|0}d=+fe(a);b=(de(a,86489,Bx(a)|0)|0)==0;p[c>>3]=b?d:d*15.0;c=1;return c|0}function fe(a){a=a|0;var c=0,d=0.0,e=0.0,f=0,g=0.0,h=0.0,i=0;if(!a){h=0.0;return +h}c=b[a>>0]|0;if(!(c<<24>>24)){h=0.0;return +h}a:while(1){switch(c<<24>>24){case 45:{i=5;break a}case 43:{i=6;break a}case 32:break;default:{h=1.0;break a}}f=a+1|0;c=b[f>>0]|0;a=f}if((i|0)==5){h=-1.0;a=a+1|0}else if((i|0)==6){h=1.0;a=a+1|0}c=de(a,81760,Bx(a)|0)|0;if(c|0)b[c>>0]=32;f=Bx(a)|0;while(1){c=f+-1|0;if((b[a+c>>0]|0)==32)f=c;else break}c=de(a,86489,Bx(a)|0)|0;if(!c){c=de(a,94907,f)|0;if(!c){if((ce(a)|0)!=2){h=h*+(uz(a)|0);return +h}c=Cx(a,68)|0;if(c|0)b[c>>0]=101;c=Cx(a,100)|0;if(c|0)b[c>>0]=101;c=Cx(a,69)|0;if(c|0)b[c>>0]=101;h=h*+rz(a);return +h}}b[c>>0]=0;g=+(uz(a)|0);b[c>>0]=58;f=c+1|0;a=Bx(f)|0;c=de(f,86489,a)|0;if(!c){c=de(f,94907,a)|0;if(!c){if(!(de(f,113854,a)|0))d=0.0;else d=+rz(f);if(!(Bx(f)|0))e=0.0;else{d=+(uz(f)|0);e=0.0}}else i=15}else i=15;if((i|0)==15){b[c>>0]=0;d=+(uz(f)|0);b[c>>0]=58;e=+rz(c+1|0)}h=h*(g+d/60.0+e/3600.0);return +h}function ge(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0;a=be(a,b)|0;if(!a){c=0;return c|0}d=+fe(a);p[c>>3]=d;c=1;return c|0}function he(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var f=0,g=0;g=u;u=u+16|0;f=g;if((b[d>>0]|0)>=64){Jx(f,c)|0;c=Bx(c)|0;b[f+c>>0]=b[d>>0]|0;b[f+(c+1)>>0]=0;c=f}a=ie(a,c,e)|0;u=g;return a|0}function ie(a,c,d){a=a|0;c=c|0;d=d|0;var e=0.0;a=be(a,c)|0;if(!a){d=0;return d|0}a=(b[a>>0]|0)==35?a+1|0:a;if((Bx(a)|0)>81){Vy(3006752,a,81)|0;b[3006833]=0}else Jx(3006752,a)|0;if((ce(3006752)|0)==2){a=Cx(3006752,68)|0;if(a|0)b[a>>0]=101;a=Cx(3006752,100)|0;if(a|0)b[a>>0]=101;a=Cx(3006752,69)|0;if(a|0)b[a>>0]=101}e=+rz(3006752);p[d>>3]=e;d=1;return d|0}function je(a,c,d){a=a|0;c=c|0;d=d|0;var e=0.0,g=0,h=0,i=0,j=0.0,k=0,l=0,m=0;k=be(a,c)|0;if(!k){d=0;return d|0}a=Cx(k,47)|0;c=Cx(k,45)|0;if(a>>>0>k>>>0){b[a>>0]=0;g=~~+rz(k);b[a>>0]=47;c=a+1|0;a=Cx(c,47)|0;if(!a)a=Cx(c,45)|0;if(a>>>0<=k>>>0){d=0;return d|0}b[a>>0]=0;h=~~+rz(c);b[a>>0]=47;c=~~+rz(a+1|0);k=(g|0)>31;a=k?g:c;c=k?c:g;if(a>>>0<50)i=a+2e3|0;else i=(a|0)<100?a+1900|0:a;k=(i&3|0)==0&(((i|0)%100|0|0)!=0|((i|0)%400|0|0)==0);f[790]=k?29:28;g=h+-1|0;a=f[3156+(g<<2)>>2]|0;e=k?366.0:365.0;a=((c|0)>(a|0)?a:(c|0)>1?c:1)+-1|0;if((h|0)>1){c=0;do{a=(f[3156+(c<<2)>>2]|0)+a|0;c=c+1|0}while((c|0)!=(g|0))}p[d>>3]=+(i|0)+ +(a|0)/e;d=1;return d|0}if(c>>>0<=k>>>0){d=0;return d|0}b[c>>0]=0;h=~~+rz(k);b[c>>0]=45;a=c+1|0;c=Cx(a,45)|0;do if(c>>>0>k>>>0){b[c>>0]=0;g=~~+rz(a);b[c>>0]=45;a=c+1|0;c=Cx(a,84)|0;if(c>>>0>k>>>0){b[c>>0]=0;a=~~+rz(a);b[c>>0]=84;break}else{a=~~+rz(a);break}}else{a=1;g=1;c=0}while(0);m=(h|0)<32;i=m?a+1900|0:h;a=m?h:a;m=(i&3|0)==0&(((i|0)%100|0|0)!=0|((i|0)%400|0|0)==0);f[790]=m?29:28;h=g+-1|0;l=f[3156+(h<<2)>>2]|0;j=m?366.0:365.0;a=((a|0)>(l|0)?l:(a|0)>1?a:1)+-1|0;if((g|0)>1){g=0;do{a=(f[3156+(g<<2)>>2]|0)+a|0;g=g+1|0}while((g|0)!=(h|0))}p[d>>3]=+(i|0)+ +(a|0)/j;if(c>>>0<=k>>>0){m=1;return m|0}a=c+1|0;c=Cx(a,58)|0;do if(c>>>0>k>>>0){b[c>>0]=0;g=~~+rz(a);b[c>>0]=58;a=c+1|0;c=Cx(a,58)|0;if(c>>>0>k>>>0){b[c>>0]=0;a=~~+rz(a);b[c>>0]=58;e=+rz(c+1|0);break}else{a=~~+rz(a);e=0.0;break}}else{g=0;a=0;e=0.0}while(0);p[d>>3]=+p[d>>3]+(e+(+(g|0)*3600.0+ +(a|0)*60.0))/86400.0/j;m=1;return m|0}function ke(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+64|0;t=v+32|0;p=v+24|0;o=v+16|0;h=v+8|0;s=v+40|0;r=v;f[h>>2]=c;ww(s,49457,h)|0;h=f[53815]|0;h=(h|0)==0?256e3:h;a:do if((h|0)>0){g=0;do{if((b[a+g>>0]|0)<1)break;g=g+1|0}while((g|0)<(h|0));m=a+g|0;n=m;if((g|0)>0){l=a;g=a;b:while(1){k=Zd(g,s,n-g|0)|0;if(!k){q=19;break a}i=(k-l|0)%80|0;h=k+(Bx(s)|0)|0;h=b[h>>0]|0;c:do if((i|0)<=7){d:do if(h<<24>>24>32){switch(h<<24>>24){case 61:case 127:break d;default:{}}g=k+1|0;break c}while(0);j=k+(0-i)|0;if((i|0)>0){i=k+1|0;h=j;do{g=(b[h>>0]|0)==32?g:i;h=h+1|0}while(h>>>0<k>>>0)}if(k>>>0>=g>>>0)break b}else g=k+1|0;while(0);if(g>>>0>=m>>>0){q=19;break a}}if(j){b[r>>0]=b[49462]|0;b[r+1>>0]=b[49463]|0;b[r+2>>0]=b[49464]|0;b[r+3>>0]=b[49465]|0;b[r+4>>0]=b[49466]|0;b[r+5>>0]=b[49467]|0}else q=19}else q=19}else q=19;while(0);e:do if((q|0)==19){f[o>>2]=c;ww(s,49468,o)|0;h=f[53815]|0;h=(h|0)==0?256e3:h;f:do if((h|0)>0){g=0;do{if((b[a+g>>0]|0)<1)break;g=g+1|0}while((g|0)<(h|0));m=a+g|0;n=m;if((g|0)>0){l=a;g=a;g:while(1){k=Zd(g,s,n-g|0)|0;if(!k)break f;i=(k-l|0)%80|0;h=k+(Bx(s)|0)|0;h=b[h>>0]|0;h:do if((i|0)<=7){i:do if(h<<24>>24>32){switch(h<<24>>24){case 61:case 127:break i;default:{}}g=k+1|0;break h}while(0);j=k+(0-i)|0;if((i|0)>0){i=k+1|0;h=j;do{g=(b[h>>0]|0)==32?g:i;h=h+1|0}while(h>>>0<k>>>0)}if(k>>>0>=g>>>0)break g}else g=k+1|0;while(0);if(g>>>0>=m>>>0)break f}if(j|0){p=r;f[p>>2]=627012389;f[p+4>>2]=6566448;break e}}}while(0);f[p>>2]=c;ww(s,49474,p)|0;h=f[53815]|0;h=(h|0)==0?256e3:h;j:do if((h|0)>0){g=0;do{if((b[a+g>>0]|0)<1)break;g=g+1|0}while((g|0)<(h|0));m=a+g|0;n=m;if((g|0)>0){l=a;g=a;k:while(1){k=Zd(g,s,n-g|0)|0;if(!k)break j;i=(k-l|0)%80|0;h=k+(Bx(s)|0)|0;h=b[h>>0]|0;l:do if((i|0)<=7){m:do if(h<<24>>24>32){switch(h<<24>>24){case 61:case 127:break m;default:{}}g=k+1|0;break l}while(0);j=k+(0-i)|0;if((i|0)>0){i=k+1|0;h=j;do{g=(b[h>>0]|0)==32?g:i;h=h+1|0}while(h>>>0<k>>>0)}if(k>>>0>=g>>>0)break k}else g=k+1|0;while(0);if(g>>>0>=m>>>0)break j}if(j|0){p=r;f[p>>2]=627012389;f[p+4>>2]=6566704;break e}}}while(0);h=f[53815]|0;h=(h|0)==0?256e3:h;if((h|0)>0)g=0;else{t=0;u=v;return t|0}do{if((b[a+g>>0]|0)<1)break;g=g+1|0}while((g|0)<(h|0));m=a+g|0;n=m;if((g|0)<=0){t=0;u=v;return t|0}l=a;g=a;n:while(1){k=Zd(g,s,n-g|0)|0;if(!k){g=0;q=81;break}i=(k-l|0)%80|0;h=k+(Bx(s)|0)|0;h=b[h>>0]|0;o:do if((i|0)<=7){p:do if(h<<24>>24>32){switch(h<<24>>24){case 61:case 127:break p;default:{}}g=k+1|0;break o}while(0);j=k+(0-i)|0;if((i|0)>0){i=k+1|0;h=j;do{g=(b[h>>0]|0)==32?g:i;h=h+1|0}while(h>>>0<k>>>0)}if(k>>>0>=g>>>0){q=71;break n}}else g=k+1|0;while(0);if(g>>>0>=m>>>0){g=0;q=81;break}}if((q|0)==71)if(!j){t=0;u=v;return t|0}else{p=r;f[p>>2]=627012389;f[p+4>>2]=6566704;break}else if((q|0)==81){u=v;return g|0}}while(0);f[53816]=1;g=1;j=e;while(1){f[t>>2]=c;f[t+4>>2]=g;ww(s,r,t)|0;h=be(a,s)|0;if(!h)break;i=Bx(h)|0;if((d|0)<=(i|0)){q=77;break}Jx(j,h)|0;g=g+1|0;if((g|0)<500){d=d-i|0;j=j+i|0}else break}do if((q|0)==77)if((d|0)>1){Vy(j,h,d+-1|0)|0;b[j+d>>0]=0;break}else{b[e>>0]=b[h>>0]|0;break}while(0);f[53816]=0;t=(g|0)>1&1;u=v;return t|0}function le(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0;h=u;u=u+16|0;g=h;if((b[d>>0]|0)>=64){Jx(g,c)|0;c=Bx(c)|0;b[g+c>>0]=b[d>>0]|0;b[g+(c+1)>>0]=0;c=g}c=be(a,c)|0;if(!c){f=0;u=h;return f|0}if((Bx(c)|0)<(e|0)){Jx(f,c)|0;f=1;u=h;return f|0}if((e|0)>1){Vy(f,c,e+-1|0)|0;f=1;u=h;return f|0}else{b[f>>0]=b[c>>0]|0;f=1;u=h;return f|0}return 0}function me(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=be(a,c)|0;do if(a){if((Bx(a)|0)<(d|0)){Jx(e,a)|0;a=1;break}if((d|0)>1){Vy(e,a,d+-1|0)|0;a=1;break}else{b[e>>0]=b[a>>0]|0;a=1;break}}else a=0;while(0);return a|0}function ne(a,b){a=a|0;b=b|0;return de(a,b,Bx(a)|0)|0}function oe(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0;r=u;u=u+176|0;m=r+96|0;l=r+80|0;k=r+64|0;j=r+48|0;o=r+32|0;n=r+16|0;i=r;q=r+112|0;g=d<0.0;d=(g?-1.0:1.0)*+wx(g?-d:d,360.0);d=(d<0.0?d+360.0:d)/15.0;g=~~d;d=(d-+(g|0))*60.0;h=~~d;d=(d-+(h|0))*60.0;do if((e|0)<=5){if((e|0)==5){o=d>59.99999;m=(o&1)+h|0;l=(m|0)>59;f[n>>2]=((l&1)+g|0)%24|0;f[n+4>>2]=l?0:m;p[n+8>>3]=o?0.0:d;ww(q,49505,n)|0;break}if((e|0)>3){n=d>59.9999;m=(n&1)+h|0;l=(m|0)>59;f[o>>2]=((l&1)+g|0)%24|0;f[o+4>>2]=l?0:m;p[o+8>>3]=n?0.0:d;ww(q,49522,o)|0;break}if((e|0)==3){o=d>59.999;n=(o&1)+h|0;m=(n|0)>59;f[j>>2]=((m&1)+g|0)%24|0;f[j+4>>2]=m?0:n;p[j+8>>3]=o?0.0:d;ww(q,49539,j)|0;break}if((e|0)>1){o=d>59.99;n=(o&1)+h|0;m=(n|0)>59;f[k>>2]=((m&1)+g|0)%24|0;f[k+4>>2]=m?0:n;p[k+8>>3]=o?0.0:d;ww(q,49556,k)|0;break}if((e|0)==1){o=d>59.9;n=(o&1)+h|0;m=(n|0)>59;f[l>>2]=((m&1)+g|0)%24|0;f[l+4>>2]=m?0:n;p[l+8>>3]=o?0.0:d;ww(q,49573,l)|0;break}else{o=~~(d+.5);n=(o|0)>59;l=(n&1)+h|0;k=(l|0)>59;f[m>>2]=((k&1)+g|0)%24|0;f[m+4>>2]=k?0:l;f[m+8>>2]=n?0:o;ww(q,49590,m)|0;break}}else{o=d>59.999999;n=(o&1)+h|0;m=(n|0)>59;f[i>>2]=((m&1)+g|0)%24|0;f[i+4>>2]=m?0:n;p[i+8>>3]=o?0.0:d;ww(q,49488,i)|0}while(0);g=c+-1|0;if((Bx(q)|0)<(g|0)){Jx(a,q)|0;u=r;return}else{Vy(a,q,g)|0;b[a+g>>0]=0;u=r;return}}function pe(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0;s=u;u=u+224|0;o=s+144|0;n=s+120|0;m=s+96|0;l=s+72|0;k=s+48|0;q=s+24|0;j=s;r=s+160|0;g=d<0.0;d=(g?-1.0:1.0)*+wx(g?-d:d,360.0);d=!(d<=-180.0)?d:d+360.0;g=d<0.0;i=g?45:43;d=g?-d:d;g=~~d;d=(d-+(g|0))*60.0;h=~~d;d=(d-+(h|0))*60.0;do if((e|0)<=5){if((e|0)==5){o=d>59.99999;n=(o&1)+h|0;m=(n|0)>59;f[q>>2]=i&255;f[q+4>>2]=(m&1)+g;f[q+8>>2]=m?0:n;p[q+16>>3]=o?0.0:d;ww(r,49624,q)|0;break}if((e|0)>3){q=d>59.9999;o=(q&1)+h|0;n=(o|0)>59;f[k>>2]=i&255;f[k+4>>2]=(n&1)+g;f[k+8>>2]=n?0:o;p[k+16>>3]=q?0.0:d;ww(r,49643,k)|0;break}if((e|0)==3){q=d>59.999;o=(q&1)+h|0;n=(o|0)>59;f[l>>2]=i&255;f[l+4>>2]=(n&1)+g;f[l+8>>2]=n?0:o;p[l+16>>3]=q?0.0:d;ww(r,49662,l)|0;break}if((e|0)>1){q=d>59.99;o=(q&1)+h|0;n=(o|0)>59;f[m>>2]=i&255;f[m+4>>2]=(n&1)+g;f[m+8>>2]=n?0:o;p[m+16>>3]=q?0.0:d;ww(r,49681,m)|0;break}if((e|0)==1){q=d>59.9;o=(q&1)+h|0;m=(o|0)>59;f[n>>2]=i&255;f[n+4>>2]=(m&1)+g;f[n+8>>2]=m?0:o;p[n+16>>3]=q?0.0:d;ww(r,49700,n)|0;break}else{q=~~(d+.5);n=(q|0)>59;m=(n&1)+h|0;l=(m|0)>59;f[o>>2]=i&255;f[o+4>>2]=(l&1)+g;f[o+8>>2]=l?0:m;f[o+12>>2]=n?0:q;ww(r,49719,o)|0;break}}else{q=d>59.999999;o=(q&1)+h|0;n=(o|0)>59;f[j>>2]=i&255;f[j+4>>2]=(n&1)+g;f[j+8>>2]=n?0:o;p[j+16>>3]=q?0.0:d;ww(r,49605,j)|0}while(0);g=c+-1|0;if((Bx(r)|0)<(g|0)){Jx(a,r)|0;u=s;return}else{Vy(a,r,g)|0;b[a+g>>0]=0;u=s;return}}function qe(a,c,d,e){a=a|0;c=c|0;d=+d;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+112|0;l=n+24|0;k=n+16|0;j=n+8|0;i=n;h=n+96|0;m=n+32|0;g=d<0.0;d=(g?-1.0:1.0)*+wx(g?-d:d,360.0);d=!(d<=-180.0)?d:d+360.0;g=e+4|0;if((e|0)>0){f[i>>2]=g;f[i+4>>2]=e;ww(h,49736,i)|0;p[j>>3]=d;ww(m,h,j)|0}else{f[k>>2]=g;ww(h,49745,k)|0;f[l>>2]=~~d;ww(m,h,l)|0}g=c+-1|0;if((Bx(m)|0)<(g|0)){Jx(a,m)|0;u=n;return}else{Vy(a,m,g)|0;b[a+g>>0]=0;u=n;return}}function re(a,b,c,d){a=a|0;b=+b;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+64|0;k=o+48|0;j=o+40|0;i=o+32|0;n=o+24|0;m=o+16|0;l=o+8|0;h=o;g=o+56|0;e=(d|0)>0;if((c|0)>0)if(e){f[h>>2]=c;f[h+4>>2]=d;ww(g,49736,h)|0;p[l>>3]=b;ww(a,g,l)|0;u=o;return}else{f[m>>2]=c;ww(g,49751,m)|0;f[n>>2]=~~b;ww(a,g,n)|0;u=o;return}else if(e){f[i>>2]=d;ww(g,49481,i)|0;p[j>>3]=b;ww(a,g,j)|0;u=o;return}else{f[k>>2]=~~b;ww(a,91502,k)|0;u=o;return}}function se(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+2032|0;o=p+2024|0;k=p+2018|0;m=p+2016|0;i=p+2e3|0;n=p;b[k>>0]=91;b[k+1>>0]=0;b[m>>0]=93;b[m+1>>0]=0;Jx(i,c)|0;k=ne(i,k)|0;l=(k|0)!=0;if(l){b[k>>0]=0;d=0}else d=0;while(1){if(!(b[a+d>>0]|0)){j=6;break}c=d+1|0;if((c|0)<57600)d=c;else{j=5;break}}if((j|0)==5)h=Bx(i)|0;else if((j|0)==6){c=Bx(i)|0;if((d|0)>0){h=c;c=d}else{o=0;u=p;return o|0}}f=a+c|0;g=f;c=a;a:while(1){c=de(c,i,g-c|0)|0;if(!c){c=0;j=33;break}d=b[c+h>>0]|0;e=b[c+-1>>0]|0;if(d<<24>>24>32)switch(d<<24>>24){case 61:case 127:{j=11;break}default:{}}else j=11;if((j|0)==11){j=0;if((c|0)==(a|0)){c=a;j=14;break}switch(e<<24>>24){case 9:case 32:{j=14;break a}default:{}}}c=c+1|0;if(c>>>0>=f>>>0){c=0;j=33;break}}if((j|0)==14){d=c+h|0;b:while(1){switch(b[d>>0]|0){case 61:case 32:break;default:break b}d=d+1|0}if(!d){o=0;u=p;return o|0}Fz(n|0,0,2e3)|0;c=b[d>>0]|0;c:do if(c<<24>>24==34){d=d+1|0;c=b[d>>0]|0;if(c<<24>>24){e=0;while(1){if(!((e|0)<2e3&c<<24>>24!=34))break c;b[n+e>>0]=c;d=d+1|0;c=b[d>>0]|0;if(!(c<<24>>24))break;else e=e+1|0}}}else{e=0;while(1){switch(c<<24>>24){case 9:case 32:break c;default:{}}if(!((e|0)<2e3&c<<24>>24>0))break c;j=d+1|0;b[n+e>>0]=c;c=b[j>>0]|0;e=e+1|0;d=j}}while(0);if(!l){Jx(3006914,n)|0;o=3006914;u=p;return o|0}d=k+1|0;c=ne(d,m)|0;if(!c){o=3006914;u=p;return o|0}b[c>>0]=0;e=uz(d)|0;if((e|0)<=0){o=3006914;u=p;return o|0}b[o>>0]=32;b[o+1>>0]=44;b[o+2>>0]=0;c=zz(n,o)|0;if((e|0)!=1){d=1;do{c=zz(0,o)|0;d=d+1|0}while((d|0)<(e|0))}if(!c){o=3006914;u=p;return o|0}Jx(3006914,c)|0;o=3006914;u=p;return o|0}else if((j|0)==33){u=p;return c|0}return 0}function te(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0.0;e=u;u=u+32|0;d=e;a=se(a,b)|0;if(!a){d=0;u=e;return d|0}Jx(d,a)|0;f=+rz(d);p[c>>3]=f;d=1;u=e;return d|0}function ue(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0;g=Lv(2e3)|0;if(!(ke(a,c,2e3,g)|0)){Mv(g);g=0;return g|0}a=se(g,d)|0;do if(a){if((Bx(a)|0)<(e|0)){Jx(f,a)|0;a=1;break}if((e|0)>1){Vy(f,a,e+-1|0)|0;a=1;break}else{b[f>>0]=b[a>>0]|0;a=1;break}}else a=0;while(0);Mv(g);g=a;return g|0}function ve(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;a=se(a,c)|0;do if(a){if((Bx(a)|0)<(d|0)){Jx(e,a)|0;a=1;break}if((d|0)>1){Vy(e,a,d+-1|0)|0;a=1;break}else{b[e>>0]=b[a>>0]|0;a=1;break}}else a=0;while(0);return a|0}function we(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0.0,j=0.0,k=0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0;k=f[c+3260>>2]|0;i=+p[c>>3];l=+p[c+8>>3];m=+p[c+32>>3];n=+p[c+40>>3];h=+p[c+48>>3]*3.141592653589793/180.0;o=+N(+h);q=+O(+h);a=a-+p[c+16>>3];g=b-+p[c+24>>3];do if(!(f[c+3300>>2]|0))if(m==0.0|n==0.0){p[d>>3]=0.0;p[e>>3]=0.0;e=2;return e|0}else{b=a*m;a=g*n;if(!(h!=0.0)){h=b;break}h=b*o-a*q;a=a*o+b*q;break}else{h=a*+p[c+56>>3]+g*+p[c+64>>3];a=a*+p[c+72>>3]+g*+p[c+80>>3]}while(0);c=(f[c+3304>>2]|0)!=0;b=c?h:a;a=c?a:h;p[d>>3]=i+a;p[e>>3]=l+b;if((k|0)<1){e=0;return e|0}v=i*3.141592653589793/180.0;h=l*3.141592653589793/180.0;j=c?v:h;v=c?h:v;u=a*3.141592653589793/180.0;t=b*3.141592653589793/180.0;g=u*u;a=g+t*t;r=+N(+j);s=+O(+j);a:do switch(k|0){case 11:{b=j+t;a=v+u;break}case 4:{if(a>1.0){e=1;return e|0}a=+L(+(1.0-a));b=t*r+s*a;if(b>1.0|b<-1.0){e=1;return e|0}a=r*a-t*s;if(u==0.0&a==0.0){e=1;return e|0}else{b=+R(+b);a=v+ +T(+u,+a);break a}}case 34:case 35:case 33:case 3:{if(a>1.0){e=1;return e|0}a=r-t*s;if(a==0.0){e=1;return e|0}else{u=v+ +T(+u,+a);b=+S(+((t*r+s)*+N(+(u-v))/a));a=u;break a}}case 6:{if(a>=9.869604401089369){e=1;return e|0}a=+L(+a);g=+N(+a);if(a!=0.0)a=+O(+a)/a;else a=1.0;b=s*g+t*r*a;if(b>1.0|b<-1.0){e=1;return e|0}g=g-s*b;a=r*(u*a);if(a==0.0&g==0.0){e=1;return e|0}else{b=+R(+b);a=v+ +T(+a,+g);break a}}case 29:{g=r-t*s;if(g==0.0){e=1;return e|0}a=v+ +T(+u,+g);b=+N(+(a-v));if(b==0.0){e=1;return e|0}b=g/b;if(b>1.0|b<-1.0){e=1;return e|0}b=+Q(+b);if(j<0.0)b=-b;break}case 20:case 30:{a=j+t;if(+K(+a)>1.5707963267948974){e=1;return e|0}g=+N(+a);if(+K(+u)>g*6.28318530717959*.5){e=1;return e|0}if(g>1.0e-05){b=a;a=v+u/g}else{b=a;a=v}break}case 12:{g=n*o+m*q;g=g==0.0?1.0:g;a=(l*.5+45.0)*3.141592653589793/180.0;b=+V(+(+P(+a)));g=g*3.141592653589793/180.0/(+V(+(+P(+(a+g*.5*.01745329252))))-b);a=+N(+h);a=v+u/(!(a<=0.0)?a:1.0);if(+K(+(a-v))>6.28318530717959){e=1;return e|0}else{b=+S(+(+U(+(g!=0.0?(t+b*g)/g:0.0))))*2.0+-1.5707963267948974;break a}}case 22:{s=n*o+m*q;s=s==0.0?.017453292519943295:s*3.141592653589793/180.0;i=h+s;b=+O(+h);r=+N(+h);a=+L(+((r+1.0)*.5));i=+O(+i)/+L(+((+N(+i)+1.0)*.5))-b/a;i=s/(i==0.0?1.0:i);q=m*o-n*q;q=q==0.0?.017453292519943295:q*3.141592653589793/180.0;s=q*.5;h=r*2.0*+O(+s);h=q*+L(+((r*+N(+s)+1.0)*.5))/(h==0.0?1.0:h);if(!(u==0.0&t==0.0)){b=t+b*i/a;a=b/i;a=4.0-g/(h*(h*4.0))-a*a;if(a>4.0|a<2.0){e=1;return e|0}g=+L(+a)*.5;a=b*g/i;if(+K(+a)>1.0){e=1;return e|0}b=+R(+a);a=+N(+b);if(+K(+a)<1.0e-05){e=1;return e|0}a=u*g/(h*2.0*a);if(+K(+a)>1.0){e=1;return e|0}else{a=v+ +R(+a)*2.0;break a}}else{b=j;a=v}break}case 5:{a=(4.0-a)/(a+4.0);if(+K(+a)>1.0){e=1;return e|0}g=a+1.0;a=a*s+g*(t*r)*.5;if(+K(+a)>1.0){e=1;return e|0}b=+R(+a);j=+N(+b);if(+K(+j)<1.0e-05){e=1;return e|0}a=u*g/(j*2.0);if(+K(+a)>1.0){e=1;return e|0}i=+R(+a);g=+O(+b);h=+N(+i);a=s*g+1.0+r*j*h;if(+K(+a)<1.0e-05){e=1;return e|0}else{k=+K(+((r*g-s*j*h)*2.0/a-t))>1.0e-05;a=v+(k?3.141592653589795-i:i);break a}}case 16:{a=1.0/+P(+j)-t;b=+R(+(1.0/(s*2.0)*(s*s*(1.0-(g+a*a))+1.0)));a=v-+T(+u,+(j<0.0?-a:a))/s;break}default:{b=0.0;a=0.0}}while(0);u=a-v>3.141592653589795?a+-6.28318530717959:a;v=u-v<-3.141592653589795?u+6.28318530717959:u;p[d>>3]=(v<0.0?v+6.28318530717959:v)*180.0/3.141592653589793;p[e>>3]=b*180.0/3.141592653589793;e=0;return e|0}function xe(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0,C=0.0,D=0.0,E=0.0,F=0;t=+p[c>>3];v=+p[c+8>>3];A=+p[c+16>>3];E=+p[c+24>>3];C=+p[c+32>>3];z=+p[c+40>>3];w=+p[c+48>>3]*3.141592653589793/180.0;x=+N(+w);y=+O(+w);B=f[c+3260>>2]|0;u=(B|0)>0;if(u){F=(f[c+3304>>2]|0)==0;g=t*3.141592653589793/180.0;h=v*3.141592653589793/180.0;i=F?h:g;h=F?g:h;g=a-(F?t:v);s=A*C;if(s>180.0|s<-180.0){a=g>360.0?a+-360.0:a;if(g<0.0)a=a+360.0}else{a=g>180.0?a+-360.0:a;if(g<-180.0)a=a+360.0}o=a*3.141592653589793/180.0;r=b*3.141592653589793/180.0;s=+N(+r);q=+O(+r);g=o-h;n=s;k=i;j=s*+O(+g);l=h;m=q;g=q*+O(+i)+s*+N(+i)*+N(+g);s=a}else{n=0.0;r=0.0;k=0.0;j=0.0;o=0.0;l=0.0;m=0.0;g=0.0;s=a}a:do switch(B|0){case 11:{q=o-l;a=r-k;break}case 4:if(g<0.0){F=1;return F|0}else{q=j;a=m*+N(+k)-n*+O(+k)*+N(+(o-l));break a}case 3:case 34:case 35:case 33:if(!(g<=0.0)){i=+O(+k);k=+N(+k);r=+N(+(o-l));a=m*i+n*k*r;q=j/a;a=(m*k-n*i*r)/a;break a}else{F=1;return F|0}case 6:{i=+O(+k);h=+N(+k);g=+N(+(o-l));a=m*i+n*h*g;a=a<-1.0?-1.0:a;a=+Q(+(a>1.0?1.0:a));if(a!=0.0)a=a/+O(+a);else a=1.0;q=j*a;a=(m*h-n*i*g)*a;break}case 29:if(k==0.0){F=1;return F|0}else{q=j;a=(+N(+k)-n*+N(+(o-l)))/+O(+k);break a}case 20:case 30:{if(+K(+r)>1.5707963267948974){F=1;return F|0}if(+K(+k)>1.5707963267948974){F=1;return F|0}else{q=n*(o-l);a=r-k;break a}}case 12:{i=z*x+C*y;i=i==0.0?1.0:i;a=(v*.5+45.0)*3.141592653589793/180.0;h=+V(+(+P(+a)));i=i*3.141592653589793/180.0/(+V(+(+P(+(a+i*.5*.01745329252))))-h);a=+N(+(v*3.141592653589793/180.0));g=+P(+(r*.5+.7853981633974487));if(g<1.0e-05){F=2;return F|0}else{q=(o-l)*(!(a<=0.0)?a:1.0);a=i*+V(+g)-h*i;break a}}case 22:{h=(o-l)*.5;if(+K(+h)>1.5707963267948974){F=1;return F|0}i=z*x+C*y;i=i==0.0?.017453292519943295:i*3.141592653589793/180.0;a=v*3.141592653589793/180.0;o=a+i;l=+O(+a);a=+N(+a);m=+L(+((a+1.0)*.5));o=+O(+o)/+L(+((+N(+o)+1.0)*.5))-l/m;o=i/(o==0.0?1.0:o);i=C*x-z*y;i=i==0.0?.017453292519943295:i*3.141592653589793/180.0;j=i*.5;k=a*2.0*+O(+j);g=+N(+r);n=+L(+((g*+N(+h)+1.0)*.5));if(+K(+n)<1.0e-05){F=3;return F|0}else{q=+O(+h)*(g*(i*+L(+((a*+N(+j)+1.0)*.5))/(k==0.0?1.0:k)*2.0))/n;a=o*+O(+r)/n-l*o/m;break a}}case 5:{if(+K(+r)>1.5707963267948974){F=1;return F|0}i=+O(+k);h=+N(+k);g=+N(+(o-l));a=m*i+1.0+n*h*g;if(+K(+a)<1.0e-05){F=1;return F|0}else{a=2.0/a;q=j*a;a=(m*h-n*i*g)*a;break a}}case 16:{q=+P(+k);j=1.0/q;h=q*-2.0;n=q*q;q=q/3.0;g=h*h;i=(l-o)*+O(+k);r=r-k;g=j*(r*(h*.5+r*(n*.5-g*.125+r*(q*.5+(n*(h*-.25)+h*g*.0625)+r*(n*.1875*g+(n*(n*-.125)-q*(h*.25))-g*g*.0390625))))+1.0);h=i*i;if(!(f[c+3300>>2]|0))a=C;else a=+p[c+56>>3];q=(1.0-h/6.0)*(i*g)*(a/+K(+a));a=j-(1.0-h*.5)*g;break}default:{q=j;a=0.0}}while(0);if(u){g=q*180.0/3.141592653589793;a=a*180.0/3.141592653589793}else{g=s-t;a=b-v}F=(f[c+3304>>2]|0)==0;i=F?a:g;g=F?g:a;if(!(f[c+3300>>2]|0)){F=w!=0.0;h=F?x*i-y*g:i;a=F?x*g+y*i:g;a=C!=0.0?a/C:a;if(z!=0.0)h=h/z}else{a=g*+p[c+88>>3]+i*+p[c+96>>3];h=g*+p[c+104>>3]+i*+p[c+112>>3]}g=A+a;p[d>>3]=g;do if((B|0)==11){a=+p[c+136>>3];if(g>a){a=g-360.0/C;if(!(a>0.0))break;p[d>>3]=a;break}if(g<0.0?(D=360.0/C+g,D<=a):0)p[d>>3]=D}while(0);p[e>>3]=E+h;F=0;return F|0}function ye(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0;g=f[c+3268>>2]|0;o=f[c+3272>>2]|0;n=a-+p[c+616>>3];m=b-+p[c+624>>3];k=n*n;l=m*m;h=n*k;i=m*l;j=k+l;a=+p[c+256>>3]+n*+p[c+264>>3]+m*+p[c+272>>3]+k*+p[c+280>>3]+l*+p[c+288>>3]+m*(n*+p[c+296>>3]);if((g|0)>6){a=a+h*+p[c+304>>3]+i*+p[c+312>>3];if((g|0)>8)b=j*+p[c+336>>3]+(a+m*(k*+p[c+320>>3])+l*(n*+p[c+328>>3]))+j*(n*+p[c+344>>3])+j*(m*+p[c+352>>3]);else b=a}else b=a;a=+p[c+416>>3]+n*+p[c+424>>3]+m*+p[c+432>>3]+k*+p[c+440>>3]+l*+p[c+448>>3]+m*(n*+p[c+456>>3]);if((o|0)>6){a=a+h*+p[c+464>>3]+i*+p[c+472>>3];if((o|0)>8)a=j*+p[c+496>>3]+(a+m*(k*+p[c+480>>3])+n*(l*+p[c+488>>3]))+j*(n*+p[c+504>>3])+j*(m*+p[c+512>>3])}m=a*3.141592653589793/180.0;k=+p[c+696>>3]*3.141592653589793/180.0;n=+P(+k);l=1.0-m*n;k=+T(+(b*3.141592653589793/180.0/+N(+k)),+l);j=+p[c+688>>3]*3.141592653589793/180.0+k;p[d>>3]=(j<0.0?j+6.28318530717959:j)*180.0/3.141592653589793;n=+S(+(+N(+k)/(l/(m+n))))*180.0/3.141592653589793;p[e>>3]=n;return 0}function ze(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,O=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0.0,$=0.0,aa=0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0;W=f[c+3268>>2]|0;Y=f[c+3272>>2]|0;$=+P(+(b*3.141592653589793/180.0));E=+p[c+696>>3]*3.141592653589793/180.0;_=+P(+E);D=a*3.141592653589793/180.0-+p[c+688>>3]*3.141592653589793/180.0;t=+N(+D);$=(1.0-_*t/$)/(_+t/$);_=+N(+E)*+P(+D)*(1.0-_*$)*180.0/3.141592653589793;$=$*180.0/3.141592653589793;D=+p[c+256>>3];E=+p[c+264>>3];t=+p[c+272>>3];u=+p[c+280>>3];v=+p[c+288>>3];w=+p[c+296>>3];da=u*2.0;ea=v*2.0;Z=(W|0)>6;U=c+304|0;V=c+312|0;W=(W|0)>8;F=c+320|0;G=c+328|0;H=c+336|0;I=c+344|0;J=c+352|0;x=+p[c+416>>3];y=+p[c+424>>3];z=+p[c+432>>3];A=+p[c+440>>3];B=+p[c+448>>3];C=+p[c+456>>3];ba=A*2.0;ca=B*2.0;X=(Y|0)>6;L=c+464|0;M=c+472|0;Y=(Y|0)>8;O=c+480|0;Q=c+488|0;R=c+496|0;S=c+504|0;T=c+512|0;aa=0;fa=+p[c+96>>3]*$+ +p[c+88>>3]*_;ga=+p[c+112>>3]*$+ +p[c+104>>3]*_;do{q=ga*fa;r=fa*fa;s=ga*ga;i=fa*r;j=ga*s;m=ga*r;n=s*fa;l=s+r;a=D+fa*E+ga*t+r*u+s*v+q*w;b=E+fa*da+ga*w;g=fa*w+(t+ga*ea);if(Z){k=+p[U>>3];o=+p[V>>3];a=a+i*k+j*o;b=b+r*(k*3.0);g=g+s*(o*3.0);if(W){ja=+p[F>>3];ia=+p[G>>3];o=+p[H>>3];h=+p[I>>3];ka=+p[J>>3];ha=o*2.0;o=a+m*ja+n*ia+l*o+l*(fa*h)+l*(ga*ka);k=(s+r*3.0)*h+(s*ia+(b+q*(ja*2.0))+fa*ha)+q*(ka*2.0);g=(s*3.0+r)*ka+(g+r*ja+q*(ia*2.0)+ga*ha+q*(h*2.0))}else{o=a;k=b}}else{o=a;k=b}h=x+fa*y+ga*z+r*A+s*B+q*C;b=y+fa*ba+ga*C;a=fa*C+(z+ga*ca);if(X){ja=+p[L>>3];ka=+p[M>>3];h=h+i*ja+j*ka;b=b+r*(ja*3.0);a=a+s*(ka*3.0);if(Y){ha=+p[O>>3];ia=+p[Q>>3];i=+p[R>>3];ka=+p[S>>3];j=+p[T>>3];ja=i*2.0;h=h+m*ha+n*ia+l*i+l*(fa*ka)+l*(ga*j);b=(s+r*3.0)*ka+(s*ia+(b+q*(ha*2.0))+fa*ja)+q*(j*2.0);a=(s*3.0+r)*j+(a+r*ha+q*(ia*2.0)+ga*ja+q*(ka*2.0))}}ha=o-_;ia=h-$;ka=k*a-g*b;ja=(g*ia-ha*a)/ka;ka=(ha*b-k*ia)/ka;fa=fa+ja;ga=ga+ka;if(+K(+ja)<5.0e-07?+K(+ka)<5.0e-07:0)break;aa=aa+1|0}while((aa|0)<50);p[d>>3]=fa+ +p[c+616>>3];b=ga+ +p[c+624>>3];p[e>>3]=b;a=+p[d>>3];if(a<.5){c=-1;return c|0}if(b<.5?1:a>+p[c+136>>3]+.5){c=-1;return c|0}if(b>+p[c+144>>3]+.5){c=-1;return c|0}c=0;return c|0}function Ae(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0;g=Lv(2e3)|0;h=Lv(2e3)|0;ke(a,50055,2e3,g)|0;ke(a,50221,2e3,h)|0;d=Lv(2e3)|0;e=Lv(2e3)|0;a=b+3176|0;if((+p[a>>3]>360.0?(te(g,50226,a)|0)==0:0)?(te(h,50226,a)|0)==0:0)p[a>>3]=180.0;a=b+3192|0;if((te(g,50235,a)|0)==0?(te(h,50235,a)|0)==0:0)p[a>>3]=57.29577951308232;if((ve(g,50246,2e3,d)|0)==0?(ve(h,50246,2e3,d)|0)==0:0)a=0;else a=Be(d)|0;c=b+5960|0;f[c>>2]=a;if((ve(h,50253,2e3,e)|0)==0?(ve(g,50253,2e3,e)|0)==0:0)a=0;else a=Be(e)|0;i=b+5964|0;f[i>>2]=a;vd(b);Mv(g);Mv(h);Mv(d);Mv(e);if((f[i>>2]|0)==0?(f[c>>2]|0)==0:0){i=1;return i|0}i=0;return i|0}function Be(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0,n=0;n=u;u=u+16|0;m=n;if(!(b[a+1>>0]|0)){m=0;u=n;return m|0}h=Lv(160)|0;f[m>>2]=a;d=h;e=h;c=a;i=a;l=0;g=20;a:while(1){a=b[c>>0]|0;while(1){if(!(a<<24>>24))break a;k=+sz(i,m);c=f[m>>2]|0;a=b[c>>0]|0;if(a<<24>>24==46){c=c+1|0;f[m>>2]=c;a=b[c>>0]|0}if(!(a<<24>>24))a=0;else break}j=l+1|0;a=g+20|0;if((j|0)>=(g|0)){h=Ov(e,a<<3)|0;d=h;e=h;g=a}p[h+(l<<3)>>3]=k;a=c;while(1)if((b[a>>0]|0)==32)a=a+1|0;else{i=a;l=j;continue a}}m=Ce(h)|0;Mv(d);m=(l|0)==0?0:m;u=n;return m|0}function Ce(a){a=a|0;var b=0,c=0,d=0,e=0.0,g=0.0,h=0.0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0;o=u;u=u+64|0;k=o+48|0;j=o+32|0;d=o+16|0;c=o+8|0;b=o;n=~~(+p[a+8>>3]+.5);if((n|0)<1){a=f[4971]|0;f[b>>2]=n;zy(a,49757,b)|0;a=0;u=o;return a|0}m=~~(+p[a+16>>3]+.5);if((m|0)<1){a=f[4971]|0;f[c>>2]=m;zy(a,49791,c)|0;a=0;u=o;return a|0}h=+p[a+32>>3];i=+p[a+40>>3];if(i<=h){a=f[4971]|0;p[d>>3]=h;p[d+8>>3]=i;zy(a,49825,d)|0;a=0;u=o;return a|0}e=+p[a+48>>3];g=+p[a+56>>3];if(g<=e){a=f[4971]|0;p[j>>3]=e;p[j+8>>3]=g;zy(a,49862,j)|0;a=0;u=o;return a|0}c=~~(+p[a>>3]+.5);if((c+-1|0)>>>0>=3){a=f[4971]|0;f[k>>2]=c;zy(a,49899,k)|0;a=0;u=o;return a|0}j=Lv(64)|0;f[j+36>>2]=n;p[j>>3]=2.0/(i-h);p[j+8>>3]=(h+i)*-.5;f[j+40>>2]=m;p[j+16>>3]=2.0/(g-e);p[j+24>>3]=(e+g)*-.5;k=~~+p[a+24>>3];f[j+44>>2]=k;switch(k|0){case 0:{b=n+-1+m|0;l=14;break}case 2:{b=(n|0)<(m|0)?n:m;b=(X(m,n)|0)-((X(b+-1|0,b)|0)/2|0)|0;l=14;break}case 1:{b=X(m,n)|0;l=14;break}default:d=0}if((l|0)==14){f[j+48>>2]=b;d=b}f[j+32>>2]=c;b=Lv(d<<3)|0;f[j+52>>2]=b;if((d|0)>0){c=0;do{p[b+(c<<3)>>3]=+p[a+(c+8<<3)>>3];c=c+1|0}while((c|0)<(d|0))}a=Lv(n<<3)|0;f[j+56>>2]=a;a=Lv(m<<3)|0;f[j+60>>2]=a;a=j;u=o;return a|0}function De(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0.0,s=0.0,t=0.0;g=a-+p[c+616>>3];h=b-+p[c+624>>3];if(!(f[c+3300>>2]|0)){a=+p[c+760>>3];if(a==0.0){c=2;t=0.0;s=0.0;p[d>>3]=s;p[e>>3]=t;return c|0}b=+p[c+768>>3];if(b==0.0){c=2;t=0.0;s=0.0;p[d>>3]=s;p[e>>3]=t;return c|0}g=g*a;b=h*b;a=+p[c+48>>3];if(a!=0.0){t=a*3.141592653589793/180.0;s=+N(+t);t=+O(+t);a=g*s-b*t;b=b*s+g*t}else a=g}else{a=g*+p[c+56>>3]+h*+p[c+64>>3];b=g*+p[c+72>>3]+h*+p[c+80>>3]}q=(f[c+3304>>2]|0)==0;t=(90.0-+p[c+688+((q&1)<<3)>>3])*3.141592653589793/180.0;r=+N(+t);s=+O(+t);h=+p[c+3176>>3]*3.141592653589793/180.0;i=f[c+5960>>2]|0;if(!i)g=a;else g=a+ +Ee(i,a,b);i=f[c+5964>>2]|0;if(i)b=b+ +Ee(i,a,b);a=+L(+(g*g+b*b));if(a==0.0)b=0.0;else b=+T(+g,+-b);m=+T(+(+p[c+3192>>3]),+a);n=+N(+m);o=+O(+m);l=b-h;k=+N(+l);g=+O(+l);a=r*n;b=s*o-a*k;if(+K(+b)<1.0e-05)j=a*(1.0-k)-+N(+(t+m));else j=b;h=n*g;if(h!=-0.0|j!=0.0)a=+T(+-h,+j);else a=l+3.141592653589793;g=+p[c+688+(((q^1)&1)<<3)>>3];a=g+a*180.0/3.141592653589793;if(!(g>=0.0)){if(a>0.0)a=a+-360.0}else if(a<0.0)a=a+360.0;if(!(a>360.0))if(a<-360.0)g=a+360.0;else g=a;else g=a+-360.0;if(+wx(l,3.141592653589793)==0.0){a=(m+t*k)*180.0/3.141592653589793;a=a>90.0?180.0-a:a;if(!(a<-90.0)){c=0;t=a;s=g;p[d>>3]=s;p[e>>3]=t;return c|0}c=0;t=-180.0-a;s=g;p[d>>3]=s;p[e>>3]=t;return c|0}b=r*o+s*n*k;if(!(+K(+b)>.99)){c=0;t=+R(+b)*180.0/3.141592653589793;s=g;p[d>>3]=s;p[e>>3]=t;return c|0}a=+Q(+(+L(+(h*h+j*j))));if(!(b>=0.0)){c=0;t=a*-180.0/3.141592653589793;s=g;p[d>>3]=s;p[e>>3]=t;return c|0}else{c=0;t=a*180.0/3.141592653589793;s=g;p[d>>3]=s;p[e>>3]=t;return c|0}return 0}function Ee(a,b,c){a=a|0;b=+b;c=+c;var d=0.0,e=0,g=0,h=0.0,i=0,j=0,k=0.0,l=0,m=0.0,n=0,o=0.0,q=0,r=0,s=0,t=0,u=0;a:do switch(f[a+32>>2]|0){case 1:{e=f[a+36>>2]|0;h=+p[a+8>>3];k=+p[a>>3];n=f[a+56>>2]|0;p[n>>3]=1.0;if(((e|0)!=1?(m=(h+b)*k,p[n+8>>3]=m,(e|0)>2):0)?(o=m*2.0,d=o*m+-1.0,p[n+16>>3]=d,(e|0)!=3):0){g=2;i=3;while(1){d=o*d-+p[n+(g+-1<<3)>>3];p[n+(i<<3)>>3]=d;g=i+1|0;if((g|0)==(e|0))break;else{u=i;i=g;g=u}}}j=f[a+40>>2]|0;d=+p[a+24>>3];h=+p[a+16>>3];g=f[a+60>>2]|0;p[g>>3]=1.0;if((j|0)!=1){d=(d+c)*h;p[g+8>>3]=d;if((j|0)>2){h=d*2.0;d=h*d+-1.0;p[g+16>>3]=d;if((j|0)==3){l=n;j=3;i=25}else{i=2;l=3;while(1){d=h*d-+p[g+(i+-1<<3)>>3];p[g+(l<<3)>>3]=d;i=l+1|0;if((i|0)==(j|0)){l=n;i=26;break}else{u=l;l=i;i=u}}}}else{l=n;i=26}}else{l=n;j=1;i=25}break}case 2:{e=f[a+36>>2]|0;d=+p[a+8>>3];h=+p[a>>3];n=f[a+56>>2]|0;p[n>>3]=1.0;b:do if((e|0)!=1?(k=(d+b)*h,p[n+8>>3]=k,(e|0)>2):0){d=k;h=1.0;g=2;while(1){b=+(g|0);d=(d*(k*(b*2.0+-1.0))-h*(b+-1.0))/b;p[n+(g<<3)>>3]=d;i=g+1|0;if((i|0)==(e|0))break b;h=+p[n+(g+-1<<3)>>3];g=i}}while(0);j=f[a+40>>2]|0;d=+p[a+24>>3];h=+p[a+16>>3];g=f[a+60>>2]|0;p[g>>3]=1.0;if((j|0)!=1){k=(d+c)*h;p[g+8>>3]=k;if((j|0)>2){d=k;h=1.0;i=2;while(1){c=+(i|0);d=(d*(k*(c*2.0+-1.0))-h*(c+-1.0))/c;p[g+(i<<3)>>3]=d;l=i+1|0;if((l|0)==(j|0)){l=n;i=26;break a}h=+p[g+(i+-1<<3)>>3];i=l}}else{l=n;i=26}}else{l=n;j=1;i=25}break}case 3:{e=f[a+36>>2]|0;l=f[a+56>>2]|0;p[l>>3]=1.0;if((e|0)!=1?(p[l+8>>3]=b,(e|0)>2):0){d=b;g=2;do{d=d*b;p[l+(g<<3)>>3]=d;g=g+1|0}while((g|0)!=(e|0))}j=f[a+40>>2]|0;g=f[a+60>>2]|0;p[g>>3]=1.0;if((j|0)!=1){p[g+8>>3]=c;if((j|0)>2){d=c;i=2;do{d=d*c;p[g+(i<<3)>>3]=d;i=i+1|0}while((i|0)!=(j|0));i=26}else i=26}else{j=1;i=25}break}default:{Vx(49938,33,1,f[4971]|0)|0;c=0.0;return +c}}while(0);if((i|0)==25){s=(e|0)>(j|0)?e:j;u=l}else if((i|0)==26)if((j|0)>0){s=(e|0)>(j|0)?e:j;u=l}else{c=0.0;return +c}t=a+52|0;switch(f[a+44>>2]|0){case 0:{q=0;a=0;d=0.0;while(1){if((e|0)>0){i=f[t>>2]|0;h=0.0;l=a;n=0;while(1){h=h+ +p[i+(l<<3)>>3]*+p[u+(n<<3)>>3];n=n+1|0;if((n|0)==(e|0))break;else l=l+1|0}e=a+e|0}else{h=0.0;e=a}d=d+h*+p[g+(q<<3)>>3];q=q+1|0;if((q|0)>=(j|0))break;else{a=e;e=1}}return +d}case 2:{q=0;l=0;d=0.0;r=e;while(1){if((r|0)>0){i=f[t>>2]|0;h=0.0;n=l;a=0;while(1){h=h+ +p[i+(n<<3)>>3]*+p[u+(a<<3)>>3];a=a+1|0;if((a|0)==(r|0))break;else n=n+1|0}l=l+r|0}else h=0.0;d=d+h*+p[g+(q<<3)>>3];i=q+1|0;if((i|0)<(j|0)){q=i;r=(((i+e|0)>(s|0))<<31>>31)+r|0}else break}return +d}default:{q=(e|0)>0;r=0;i=0;d=0.0;do{if(q){l=f[t>>2]|0;h=0.0;n=i;a=0;while(1){h=h+ +p[l+(n<<3)>>3]*+p[u+(a<<3)>>3];a=a+1|0;if((a|0)==(e|0))break;else n=n+1|0}i=e+i|0}else h=0.0;d=d+h*+p[g+(r<<3)>>3];r=r+1|0}while((r|0)<(j|0));return +d}}return 0.0}function Fe(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0.0,h=0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0;w=c+3304|0;i=(f[w>>2]|0)==0;t=(a-+p[c+688+(((i^1)&1)<<3)>>3])*3.141592653589793/180.0;s=b*3.141592653589793/180.0;l=+N(+t);g=+O(+t);o=+N(+s);q=+O(+s);r=(90.0-+p[c+688+((i&1)<<3)>>3])*3.141592653589793/180.0;m=+N(+r);n=+O(+r);j=+p[c+3176>>3];a=o*m;b=q*n-l*a;if(+K(+b)<1.0e-05)k=(1.0-l)*a-+N(+(s+r));else k=b;g=g*o;if(g!=-0.0|k!=0.0)a=+T(+-g,+k);else a=t+-3.141592653589793;a=(j==999.0?3.141592653589793:j*3.141592653589793/180.0)+a;if(!(a>3.141592653589793))if(a<-3.141592653589793)j=a+6.283185307179586;else j=a;else j=a+-6.283185307179586;do if(+wx(t,3.141592653589793)==0.0){a=s+l*r;a=a>1.5707963267948966?3.141592653589793-a:a;if(a<-1.5707963267948966)a=-3.141592653589793-a}else{b=q*m+l*(o*n);if(!(+K(+b)>.99)){a=+R(+b);break}a=+Q(+(+L(+(g*g+k*k))));if(!(b>=0.0))a=-a}while(0);b=+O(+a);do if(b==0.0){g=0.0;a=0.0}else{q=+p[c+3192>>3]*+N(+a)/b;v=c+5960|0;h=f[v>>2]|0;r=q*+O(+j);q=q*+N(+j);a=-q;u=c+5964|0;if((h|0)==0?(f[u>>2]|0)==0:0){g=i?r:a;a=i?a:r;break}else{i=0;b=r}while(1){if(!h){g=b;m=1.0;n=0.0}else{g=b+ +Ee(h,b,a);m=+Ge(f[v>>2]|0,b,a,1,0)+1.0;n=+Ge(f[v>>2]|0,b,a,0,1)}o=g-r;h=f[u>>2]|0;if(!h){g=a;j=0.0;k=1.0}else{g=a+ +Ee(h,b,a);j=+Ge(f[u>>2]|0,b,a,1,0);k=+Ge(f[u>>2]|0,b,a,0,1)+1.0}l=q+g;g=m*k-n*j;if(g==0.0)break;n=(n*l-o*k)/g;s=(o*j-m*l)/g;b=b+n;a=a+s;h=+K(+n)>+K(+s);s=h?n:s;n=+K(+s);h=+K(+o)>+K(+l);t=h?o:l;h=n>+K(+t);i=i+1|0;if(!(!(+K(+(h?s:t))<2.8e-08)&(i|0)<500))break;h=f[v>>2]|0}w=(f[w>>2]|0)==0;g=w?b:a;a=w?a:b}while(0);do if(!(f[c+3300>>2]|0)){b=+p[c+48>>3];if(b!=0.0){t=b*3.141592653589793/180.0;s=+N(+t);t=+O(+t);p[d>>3]=g*s+a*t;a=a*s-g*t}else p[d>>3]=g;p[e>>3]=a;a=+p[c+32>>3];if(a!=0.0)p[d>>3]=+p[d>>3]/a;a=+p[c+40>>3];if(a!=0.0){a=+p[e>>3]/a;break}else{t=+p[d>>3];w=c+16|0;s=+p[w>>3];s=t+s;p[d>>3]=s;s=+p[e>>3];d=c+24|0;t=+p[d>>3];t=s+t;p[e>>3]=t;return 0}}else{p[d>>3]=g*+p[c+88>>3]+a*+p[c+96>>3];a=g*+p[c+104>>3]+a*+p[c+112>>3]}while(0);p[e>>3]=a;t=+p[d>>3];w=c+16|0;s=+p[w>>3];s=t+s;p[d>>3]=s;s=+p[e>>3];d=c+24|0;t=+p[d>>3];t=s+t;p[e>>3]=t;return 0}function Ge(a,b,c,d,e){a=a|0;b=+b;c=+c;d=d|0;e=e|0;var g=0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;E=u;u=u+16|0;i=E;if(!a){c=0.0;u=E;return +c}g=e|d;if((g|0)<0){Vx(49972,46,1,f[4971]|0)|0;c=0.0;u=E;return +c}if(!g){c=+Ee(a,b,c);u=E;return +c}D=Lv(64)|0;n=a+36|0;k=f[n>>2]|0;C=k+-1|0;C=(C|0)>(d|0)?d:C;o=a+40|0;j=f[o>>2]|0;A=j+-1|0;A=(A|0)>(e|0)?e:A;g=f[a+32>>2]|0;B=D+32|0;f[B>>2]=g;if((g+-1|0)>>>0>=3){D=f[4971]|0;f[i>>2]=g;zy(D,50019,i)|0;c=0.0;u=E;return +c}z=f[a+44>>2]|0;m=D+44|0;f[m>>2]=z;a:do switch(z|0){case 0:{g=(C|0)>0;d=(A|0)>0;if(g&d){f[D+36>>2]=1;f[D+40>>2]=1;g=1;e=1;d=1;l=17;break a}if(g){d=k-C|0;d=(d|0)>1?d:1;f[D+36>>2]=d;f[D+40>>2]=1;g=d;e=1;l=17;break a}if(d){f[D+36>>2]=1;e=j-A|0;e=(e|0)>1?e:1;f[D+40>>2]=e;g=e;d=1;l=17;break a}else{v=D+48|0;g=0;d=0;e=0;break a}}case 2:{g=((k|0)>(j|0)?k:j)-A-C|0;d=k-C|0;d=(g|0)<(d|0)?g:d;d=(d|0)>1?d:1;f[D+36>>2]=d;e=j-A|0;e=(g|0)<(e|0)?g:e;e=(e|0)>1?e:1;f[D+40>>2]=e;g=(d|0)<(e|0)?d:e;g=(X(e,d)|0)-((X(g+-1|0,g)|0)/2|0)|0;l=17;break}default:{d=k-C|0;d=(d|0)>1?d:1;f[D+36>>2]=d;e=j-A|0;e=(e|0)>1?e:1;f[D+40>>2]=e;g=X(e,d)|0;l=17}}while(0);if((l|0)==17){v=D+48|0;f[v>>2]=g}p[D>>3]=+p[a>>3];p[D+8>>3]=+p[a+8>>3];y=D+16|0;p[y>>3]=+p[a+16>>3];p[D+24>>3]=+p[a+24>>3];j=Lv(g<<3)|0;z=D+52|0;f[z>>2]=j;j=D+36|0;k=Lv(d<<3)|0;w=D+56|0;f[w>>2]=k;k=D+40|0;e=Lv(e<<3)|0;x=D+60|0;f[x>>2]=e;e=a+48|0;g=f[e>>2]|0;i=g<<3;d=f[53817]|0;if((i|0)>(d|0)){if((d|0)>0){d=Ov(f[53818]|0,i)|0;g=f[e>>2]|0}else d=Lv(i)|0;f[53818]=d;f[53817]=i;e=g;l=d}else{e=g;l=f[53818]|0}if((e|0)>0){g=f[a+52>>2]|0;d=0;do{p[l+(d<<3)>>3]=+p[g+(d<<3)>>3];d=d+1|0}while((d|0)!=(e|0))}b:do switch(f[m>>2]|0){case 1:{s=f[j>>2]|0;i=(f[z>>2]|0)+((X((f[k>>2]|0)+-1|0,s)|0)<<3)|0;v=f[o>>2]|0;k=v+-1|0;o=f[n>>2]|0;j=l+((X(k,o)|0)<<3)|0;if((v|0)>(A|0)){q=(s|0)>0;r=0-o|0;g=(A|0)>0;d=(s|0)>0;if((o|0)<=(C|0)){m=0-s|0;l=g&d;while(1){e=k-A|0;if(l){g=k;do{h=+(g|0);d=0;do{v=j+(d+C<<3)|0;p[v>>3]=h*+p[v>>3];d=d+1|0}while((d|0)<(s|0));g=g+-1|0}while((g|0)>(e|0))}if(q){g=0;do{p[i+(g<<3)>>3]=+p[j+(g+C<<3)>>3];g=g+1|0}while((g|0)<(s|0))}if((k|0)>(A|0)){k=k+-1|0;j=j+(r<<3)|0;i=i+(m<<3)|0}else break b}}a=(C|0)>0;n=0-s|0;m=g&d;while(1){e=k-A|0;if(m){g=k;do{h=+(g|0);d=0;do{v=j+(d+C<<3)|0;p[v>>3]=h*+p[v>>3];d=d+1|0}while((d|0)<(s|0));g=g+-1|0}while((g|0)>(e|0));e=o}else e=o;do{l=e-C|0;g=e;e=e+-1|0;if(a){d=j+(e<<3)|0;h=+p[d>>3];do{g=g+-1|0;h=+(g|0)*h}while((g|0)>(l|0));p[d>>3]=h}}while((e|0)>(C|0));if(q){g=0;do{p[i+(g<<3)>>3]=+p[j+(g+C<<3)>>3];g=g+1|0}while((g|0)<(s|0))}if((k|0)>(A|0)){k=k+-1|0;j=j+(r<<3)|0;i=i+(n<<3)|0}else break}}break}case 2:{t=f[n>>2]|0;d=f[o>>2]|0;s=((t|0)>(d|0)?t:d)+1|0;r=f[j>>2]|0;g=f[k>>2]|0;if((d|0)>(A|0)){o=A+1+((r|0)>(g|0)?r:g)|0;q=1-A|0;n=(C|0)>0;a=l+(e<<3)|0;m=(f[z>>2]|0)+(f[v>>2]<<3)|0;do{e=s-d|0;e=(e|0)<(t|0)?e:t;e=(e|0)>0?e:0;l=o-d|0;l=(l|0)<(r|0)?l:r;k=(l|0)>0;l=k?l:0;a=a+(0-e<<3)|0;m=m+(0-l<<3)|0;g=q+d|0;if(!((d|0)<=(g|0)|k^1)){i=d;do{i=i+-1|0;h=+(i|0);j=0;do{v=a+(j+C<<3)|0;p[v>>3]=h*+p[v>>3];j=j+1|0}while((j|0)<(l|0))}while((i|0)>(g|0))}if((e|0)>(C|0))do{j=e-C|0;g=e;e=e+-1|0;if(n){i=a+(e<<3)|0;h=+p[i>>3];do{g=g+-1|0;h=+(g|0)*h}while((g|0)>(j|0));p[i>>3]=h}}while((e|0)>(C|0));if(k){g=0;do{p[m+(g<<3)>>3]=+p[a+(g+C<<3)>>3];g=g+1|0}while((g|0)<(l|0))}d=d+-1|0}while((d|0)>(A|0))}break}default:{g=(C|0)>0;d=(A|0)>0;if(g&d){p[f[z>>2]>>3]=0.0;break b}if(g){g=f[n>>2]|0;if((g|0)<=(C|0))break b;i=(f[z>>2]|0)+(f[v>>2]<<3)|0;while(1){i=i+-8|0;j=g-C|0;e=g;g=g+-1|0;d=l+(g<<3)|0;h=+p[d>>3];do{e=e+-1|0;h=h*+(e|0)}while((e|0)>(j|0));p[d>>3]=h;p[i>>3]=h;if((g|0)<=(C|0))break b}}if(d){d=l+(e<<3)|0;j=f[z>>2]|0;g=f[o>>2]|0;if((g|0)>(A|0)){do{d=d+-8|0;i=g-A|0;h=+p[d>>3];e=g;do{e=e+-1|0;h=+(e|0)*h}while((e|0)>(i|0));p[d>>3]=h;g=g+-1|0}while((g|0)>(A|0));g=d}else g=d;e=f[v>>2]|0;if((e|0)>0){g=g+-8|0;d=0;do{v=d;d=d+1|0;p[j+(v<<3)>>3]=+p[g+(d<<3)>>3]}while((d|0)<(e|0))}}}}while(0);h=+Ee(D,b,c);if((f[B>>2]|0)!=3){c=+M(+(+p[D>>3]),+(+(C|0)));h=h*(c*+M(+(+p[y>>3]),+(+(A|0))))}g=f[w>>2]|0;if(g|0)Mv(g);g=f[x>>2]|0;if(g|0)Mv(g);g=f[z>>2]|0;if(g|0)Mv(g);Mv(D);c=h;u=E;return +c}function He(a,b){a=a|0;b=b|0;var c=0.0,d=0.0,e=0,g=0,h=0.0,i=0.0,j=0.0,k=0.0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=u;u=u+96|0;x=G+72|0;w=G+64|0;t=G+56|0;r=G+48|0;o=G+40|0;n=G+32|0;m=G+24|0;l=G+16|0;g=G+8|0;e=G;A=G+80|0;E=Lv(2e3)|0;F=Lv(2e3)|0;if(!(ke(a,50055,2e3,E)|0)){D=Lv((Bx(a)|0)+200|0)|0;Lz(D|0,50060,161)|0;xz(D,a)|0;ke(D,50055,2e3,E)|0;ke(D,50221,2e3,F)|0;Mv(D)}ke(a,50221,2e3,F)|0;C=Lv(2e3)|0;D=Lv(2e3)|0;a=b+3176|0;if((+p[a>>3]>360.0?(te(E,50226,a)|0)==0:0)?(te(F,50226,a)|0)==0:0)p[a>>3]=180.0;a=b+3192|0;if((te(E,50235,a)|0)==0?(te(F,50235,a)|0)==0:0)p[a>>3]=57.29577951308232;f[e>>2]=0;ww(A,50238,e)|0;y=b+4096|0;if(!(te(E,A,y)|0))p[y>>3]=0.0;f[g>>2]=1;ww(A,50238,g)|0;z=b+4104|0;if(!(te(E,A,z)|0))p[z>>3]=0.0;f[l>>2]=2;ww(A,50238,l)|0;v=b+4112|0;if(!(te(E,A,v)|0))p[v>>3]=0.0;f[m>>2]=3;ww(A,50238,m)|0;s=b+4120|0;if(!(te(E,A,s)|0))p[s>>3]=0.0;f[n>>2]=4;ww(A,50238,n)|0;q=b+4128|0;if(!(te(E,A,q)|0))p[q>>3]=0.0;f[o>>2]=5;ww(A,50238,o)|0;n=b+4136|0;if(!(te(E,A,n)|0))p[n>>3]=0.0;f[r>>2]=6;ww(A,50238,r)|0;m=b+4144|0;if(!(te(E,A,m)|0))p[m>>3]=0.0;f[t>>2]=7;ww(A,50238,t)|0;l=b+4152|0;if(!(te(E,A,l)|0))p[l>>3]=0.0;f[w>>2]=8;ww(A,50238,w)|0;g=b+4160|0;if(!(te(E,A,g)|0))p[g>>3]=0.0;f[x>>2]=9;ww(A,50238,x)|0;e=b+4168|0;if(!(te(E,A,e)|0))p[e>>3]=0.0;if((ve(E,50246,2e3,C)|0)==0?(ve(F,50246,2e3,C)|0)==0:0)a=0;else a=Be(C)|0;r=b+5960|0;f[r>>2]=a;if((ve(F,50253,2e3,D)|0)==0?(ve(E,50253,2e3,D)|0)==0:0)a=0;else a=Be(D)|0;o=b+5964|0;f[o>>2]=a;a:do if(+p[e>>3]==0.0)if(+p[g>>3]==0.0)if(+p[l>>3]==0.0)if(+p[m>>3]==0.0){if(!(+p[n>>3]==0.0)){a=5;B=21;break}if(!(+p[q>>3]==0.0)){a=4;B=21;break}if(!(+p[s>>3]==0.0)){a=3;B=21;break}do if(+p[v>>3]==0.0){if(!(+p[z>>3]==0.0)){a=1;break}if(!(+p[y>>3]==0.0)){a=0;break}f[b+3276>>2]=-1;break a}else a=2;while(0);f[b+3276>>2]=a}else{a=6;B=21}else{a=7;B=21}else{a=8;B=21}else{a=9;B=21}while(0);if((B|0)==21){f[b+3276>>2]=a;c=+p[z>>3];e=1;d=0.0;while(1){i=+(e|0)*3.141592653589793/180.0;h=0.0;g=a;while(1){h=i*h+ +(g|0)*+p[b+4096+(g<<3)>>3];if((g|0)<=1)break;else g=g+-1|0}e=e+1|0;if(h<=0.0)break;if((e|0)>=181){c=h;d=i;break}else{c=h;d=i}}b:do if(!(h<=0.0))d=3.141592653589793;else{k=h;g=1;j=d;while(1){d=j-c*(i-j)/(k-c);h=0.0;e=a;while(1){h=d*h+ +(e|0)*+p[b+4096+(e<<3)>>3];if((e|0)<=1)break;else e=e+-1|0}if(+K(+h)<1.0e-13)break b;e=h<0.0;g=g+1|0;if((g|0)>=11)break;else{c=e?c:h;k=e?h:k;j=e?j:d;i=e?d:i}}}while(0);c=0.0;while(1){c=d*c+ +p[b+4096+(a<<3)>>3];if((a|0)<=0)break;else a=a+-1|0}p[b+3240>>3]=d;p[b+3248>>3]=c}vd(b);Mv(E);Mv(F);Mv(C);Mv(D);if((f[o>>2]|0)==0?(f[r>>2]|0)==0:0){b=1;u=G;return b|0}b=0;u=G;return b|0}function Ie(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0,r=0,s=0.0,t=0,u=0.0,v=0.0,w=0.0;h=a-+p[c+616>>3];i=b-+p[c+624>>3];if(!(f[c+3300>>2]|0)){a=+p[c+760>>3];if(a==0.0){w=0.0;v=0.0;c=2;p[d>>3]=v;p[e>>3]=w;return c|0}b=+p[c+768>>3];if(b==0.0){w=0.0;v=0.0;c=2;p[d>>3]=v;p[e>>3]=w;return c|0}h=h*a;b=i*b;a=+p[c+48>>3];if(a!=0.0){w=a*3.141592653589793/180.0;v=+N(+w);w=+O(+w);a=h*v-b*w;b=b*v+h*w}else a=h}else{a=h*+p[c+56>>3]+i*+p[c+64>>3];b=h*+p[c+72>>3]+i*+p[c+80>>3]}r=(f[c+3304>>2]|0)==0;t=(r^1)&1;w=(90.0-+p[c+688+((r&1)<<3)>>3])*3.141592653589793/180.0;u=+N(+w);v=+O(+w);s=+p[c+3176>>3]*3.141592653589793/180.0;r=f[c+3276>>2]|0;g=f[c+5960>>2]|0;if(!g)n=a;else n=a+ +Ee(g,a,b);g=f[c+5964>>2]|0;if(g)b=b+ +Ee(g,a,b);m=+L(+(n*n+b*b));m=m/+p[c+3192>>3];if((r|0)<1){w=0.0;v=0.0;c=1;p[d>>3]=v;p[e>>3]=w;return c|0}j=+p[c+4096>>3];a:do switch(r|0){case 1:{a=(m-j)/+p[c+4104>>3];break}case 2:{h=+p[c+4112>>3];i=+p[c+4104>>3];a=i*i-(j-m)*(h*4.0);if(a<0.0){w=0.0;v=0.0;c=1;p[d>>3]=v;p[e>>3]=w;return c|0}a=+L(+a);o=h*2.0;l=(a-i)/o;o=(-i-a)/o;a=l<o?l:o;a=a<-1.0e-13?(l>o?l:o):a;if(a<0.0){if(a<-1.0e-13){a=0.0;b=0.0;g=1}else{a=0.0;break a}p[d>>3]=b;p[e>>3]=a;return g|0}if(a>3.141592653589793)if(a>3.141592653589893){w=0.0;v=0.0;c=1;p[d>>3]=v;p[e>>3]=w;return c|0}else a=3.141592653589793;break}default:{a=+p[c+3240>>3];h=+p[c+3248>>3];if(m<j){if(m<j+-1.0e-13){a=0.0;b=0.0;g=1}else{a=0.0;break a}p[d>>3]=b;p[e>>3]=a;return g|0}if(m>h){if(m>h+1.0e-13){a=0.0;b=0.0;g=1}else break a;p[d>>3]=b;p[e>>3]=a;return g|0}else{q=0;l=0.0}while(1){i=(h-m)/(h-j);if(!(i<.1)){if(i>.9)i=.9}else i=.1;k=a-(a-l)*i;g=r;i=0.0;while(1){i=k*i+ +p[c+4096+(g<<3)>>3];if((g|0)<=0)break;else g=g+-1|0}if(i<m)if(m-i<1.0e-13){a=k;break a}else{j=i;i=k}else if(i-m<1.0e-13){a=k;break a}else{h=i;i=l;a=k}q=q+1|0;if(!(!(+K(+(a-i))<1.0e-13)&(q|0)<100)){a=k;break}else l=i}}}while(0);if(m==0.0)b=0.0;else b=+T(+n,+-b);o=1.5707963267948966-a;m=+N(+o);n=+O(+o);l=b-s;k=+N(+l);h=+O(+l);a=u*m;b=v*n-a*k;if(+K(+b)<1.0e-05)j=a*(1.0-k)-+N(+(w+o));else j=b;i=m*h;if(i!=-0.0|j!=0.0)a=+T(+-i,+j);else a=l+3.141592653589793;s=+p[c+688+(t<<3)>>3];a=s+a*180.0/3.141592653589793;if(!(s>=0.0)){if(a>0.0)a=a+-360.0}else if(a<0.0)a=a+360.0;if(!(a>360.0))if(a<-360.0)h=a+360.0;else h=a;else h=a+-360.0;if(+wx(l,3.141592653589793)==0.0){a=(o+w*k)*180.0/3.141592653589793;a=a>90.0?180.0-a:a;if(!(a<-90.0)){w=a;v=h;c=0;p[d>>3]=v;p[e>>3]=w;return c|0}w=-180.0-a;v=h;c=0;p[d>>3]=v;p[e>>3]=w;return c|0}b=u*n+v*m*k;if(!(+K(+b)>.99)){w=+R(+b)*180.0/3.141592653589793;v=h;c=0;p[d>>3]=v;p[e>>3]=w;return c|0}a=+Q(+(+L(+(i*i+j*j))));if(!(b>=0.0)){w=a*-180.0/3.141592653589793;v=h;c=0;p[d>>3]=v;p[e>>3]=w;return c|0}else{w=a*180.0/3.141592653589793;v=h;c=0;p[d>>3]=v;p[e>>3]=w;return c|0}return 0}function Je(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var g=0,h=0.0,i=0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0;x=c+3304|0;i=(f[x>>2]|0)==0;t=(a-+p[c+688+(((i^1)&1)<<3)>>3])*3.141592653589793/180.0;s=b*3.141592653589793/180.0;l=+N(+t);h=+O(+t);o=+N(+s);q=+O(+s);r=(90.0-+p[c+688+((i&1)<<3)>>3])*3.141592653589793/180.0;m=+N(+r);n=+O(+r);j=+p[c+3176>>3];a=o*m;b=q*n-l*a;if(+K(+b)<1.0e-05)k=(1.0-l)*a-+N(+(s+r));else k=b;h=h*o;if(h!=-0.0|k!=0.0)a=+T(+-h,+k);else a=t+-3.141592653589793;a=(j==999.0?3.141592653589793:j*3.141592653589793/180.0)+a;if(!(a>3.141592653589793))if(a<-3.141592653589793)j=a+6.283185307179586;else j=a;else j=a+-6.283185307179586;do if(+wx(t,3.141592653589793)==0.0){a=s+l*r;a=a>1.5707963267948966?3.141592653589793-a:a;if(a<-1.5707963267948966)a=-3.141592653589793-a}else{b=q*m+l*(o*n);if(!(+K(+b)>.99)){a=+R(+b);break}a=+Q(+(+L(+(h*h+k*k))));if(!(b>=0.0))a=-a}while(0);q=1.5707963267948966-a;q=(q*(q*(q*(q*(q*(q*(q*(q*(q*(q*0.0+ +p[c+4168>>3])+ +p[c+4160>>3])+ +p[c+4152>>3])+ +p[c+4144>>3])+ +p[c+4136>>3])+ +p[c+4128>>3])+ +p[c+4120>>3])+ +p[c+4112>>3])+ +p[c+4104>>3])+ +p[c+4096>>3])*+p[c+3192>>3];v=c+5960|0;g=f[v>>2]|0;r=q*+O(+j);q=q*+N(+j);a=-q;u=c+5964|0;if((g|0)==0?(f[u>>2]|0)==0:0){h=i?r:a;a=i?a:r}else{i=g;g=0;b=r;w=20}if((w|0)==20){while(1){if(!i){h=b;m=1.0;n=0.0}else{h=b+ +Ee(i,b,a);m=+Ge(f[v>>2]|0,b,a,1,0)+1.0;n=+Ge(f[v>>2]|0,b,a,0,1)}o=h-r;i=f[u>>2]|0;if(!i){h=a;j=0.0;k=1.0}else{h=a+ +Ee(i,b,a);j=+Ge(f[u>>2]|0,b,a,1,0);k=+Ge(f[u>>2]|0,b,a,0,1)+1.0}l=q+h;h=m*k-n*j;if(h==0.0)break;n=(n*l-o*k)/h;s=(o*j-m*l)/h;b=b+n;a=a+s;w=+K(+n)>+K(+s);s=w?n:s;n=+K(+s);w=+K(+o)>+K(+l);t=w?o:l;w=n>+K(+t);g=g+1|0;if(!(!(+K(+(w?s:t))<2.8e-08)&(g|0)<500))break;i=f[v>>2]|0;w=20}x=(f[x>>2]|0)==0;h=x?b:a;a=x?a:b}do if(!(f[c+3300>>2]|0)){b=+p[c+48>>3];if(b!=0.0){t=b*3.141592653589793/180.0;s=+N(+t);t=+O(+t);p[d>>3]=h*s+a*t;a=a*s-h*t}else p[d>>3]=h;p[e>>3]=a;a=+p[c+32>>3];if(a!=0.0)p[d>>3]=+p[d>>3]/a;a=+p[c+40>>3];if(a!=0.0){a=+p[e>>3]/a;break}else{t=+p[d>>3];x=c+16|0;s=+p[x>>3];s=t+s;p[d>>3]=s;s=+p[e>>3];d=c+24|0;t=+p[d>>3];t=s+t;p[e>>3]=t;return 0}}else{p[d>>3]=h*+p[c+88>>3]+a*+p[c+96>>3];a=h*+p[c+104>>3]+a*+p[c+112>>3]}while(0);p[e>>3]=a;t=+p[d>>3];x=c+16|0;s=+p[x>>3];s=t+s;p[d>>3]=s;s=+p[e>>3];d=c+24|0;t=+p[d>>3];t=s+t;p[e>>3]=t;return 0}function Ke(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var f=0.0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0;h=(+p[c+224>>3]-(+p[c+176>>3]+a+-1.0+.5)*+p[c+192>>3])/1.0e3;l=((+p[c+184>>3]+b+-1.0+.5)*+p[c+200>>3]-+p[c+248>>3])/1.0e3;k=h*h;j=l*l;m=h*k;n=l*j;i=k+j;a=(m*+p[c+496>>3]+(n*+p[c+472>>3]+(i*+p[c+464>>3]+(k*+p[c+456>>3]+(+p[c+432>>3]+(l*+p[c+416>>3]+h*+p[c+424>>3])+j*+p[c+440>>3]+l*(h*+p[c+448>>3]))))+h*(j*+p[c+480>>3])+k*(l*+p[c+488>>3]))+i*(l*+p[c+504>>3])+i*(i*(l*+p[c+512>>3])))/206264.8062470964;g=+p[c+160>>3];f=+P(+g);b=1.0-f*a;g=+T(+((n*+p[c+336>>3]+(m*+p[c+312>>3]+(i*+p[c+304>>3]+(j*+p[c+296>>3]+(+p[c+272>>3]+(+p[c+256>>3]*h+ +p[c+264>>3]*l)+k*+p[c+280>>3]+l*(h*+p[c+288>>3]))))+l*(k*+p[c+320>>3])+j*(h*+p[c+328>>3]))+i*(h*+p[c+344>>3])+i*(i*(h*+p[c+352>>3])))/206264.8062470964/+N(+g)),+b);h=g+ +p[c+152>>3];p[d>>3]=(h<0.0?h+6.28318530717959:h)/.01745329252;b=+S(+(+N(+g)*((f+a)/b)))/.01745329252;p[e>>3]=b;return 0}function Le(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;var f=0,g=0.0,h=0.0,i=0.0,j=0.0,k=0.0,l=0.0,m=0.0,n=0.0,o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0.0,v=0.0,w=0.0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0.0,I=0.0,J=0.0,L=0.0,M=0.0,P=0.0,Q=0.0,R=0.0,S=0.0,T=0.0,U=0.0,V=0.0,W=0.0,X=0.0,Y=0.0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0,da=0.0,ea=0.0,fa=0.0,ga=0.0,ha=0.0,ia=0.0,ja=0.0,ka=0.0,la=0.0,ma=0.0,na=0.0,oa=0.0,pa=0.0,qa=0.0;p[d>>3]=0.0;p[e>>3]=0.0;k=b*3.141592653589793/180.0;j=+O(+k);k=+N(+k);f=c+160|0;b=+p[f>>3];if(b==0.0){b=+p[c+8>>3]*3.141592653589793/180.0;p[f>>3]=b}i=+O(+b);h=+N(+b);f=c+152|0;b=+p[f>>3];if(b==0.0){b=+p[c+8>>3]*3.141592653589793/180.0;p[f>>3]=b}b=a*3.141592653589793/180.0-b;g=+N(+b);a=j*i+k*h*g;if(a==0.0){c=1;return c|0}ca=k*+O(+b)*206264.8062470964/a;G=(j*h-k*i*g)*206264.8062470964/a;b=+p[c+168>>3];if(b==0.0){c=1;return c|0}D=+p[c+256>>3];E=+p[c+264>>3];F=+p[c+272>>3];a=+p[c+280>>3];g=+p[c+288>>3];h=+p[c+296>>3];i=+p[c+304>>3];j=+p[c+312>>3];k=+p[c+320>>3];l=+p[c+328>>3];m=+p[c+336>>3];n=+p[c+344>>3];o=+p[c+352>>3];H=a*2.0;I=i*2.0;J=j*3.0;L=k*2.0;M=h*2.0;P=l*2.0;Q=m*3.0;R=n*2.0;S=o*4.0;q=+p[c+416>>3];r=+p[c+424>>3];s=+p[c+432>>3];t=+p[c+440>>3];u=+p[c+448>>3];v=+p[c+456>>3];w=+p[c+464>>3];x=+p[c+472>>3];y=+p[c+480>>3];z=+p[c+488>>3];A=+p[c+496>>3];B=+p[c+504>>3];C=+p[c+512>>3];T=v*2.0;U=w*2.0;V=z*2.0;W=A*3.0;X=B*2.0;Y=C*4.0;Z=t*2.0;_=x*3.0;$=y*2.0;f=0;ba=ca/b;aa=G/b;do{oa=aa*ba;na=ba*ba;pa=aa*aa;ka=aa*na;la=pa*ba;b=pa+na;ea=b*b;ja=ba*na;ma=aa*pa;qa=na*na;ha=pa*pa;da=pa*(na*6.0);fa=pa*l+(aa*g+(D+ba*H)+ba*I+na*J+oa*L)+(pa+na*3.0)*n+(ha+(qa*5.0+da))*o;ia=E+ba*g+aa*M+aa*I+na*k+oa*P+pa*Q+oa*R+b*(oa*S);ga=r+aa*u+ba*T+ba*U+pa*y+oa*V+na*W+oa*X+b*(oa*Y);da=na*z+(ba*u+(q+aa*Z)+aa*U+pa*_+oa*$)+(pa*3.0+na)*B+(qa+(ha*5.0+da))*C;ha=F+(ba*D+aa*E)+na*a+oa*g+pa*h+b*i+ja*j+ka*k+la*l+ma*m+b*(ba*n)+ea*(ba*o)-ca;ea=s+(aa*q+ba*r)+pa*t+oa*u+na*v+b*w+ma*x+la*y+ka*z+ja*A+b*(aa*B)+ea*(aa*C)-G;b=fa*da-ia*ga;da=(ia*ea-ha*da)/b;b=(ha*ga-fa*ea)/b;ba=ba+da;aa=aa+b;if(+K(+da)<5.0e-07?+K(+b)<5.0e-07:0)break;f=f+1|0}while((f|0)<50);b=+p[c+192>>3];if(b==0.0){c=1;return c|0}a=+p[c+200>>3];if(a==0.0){c=1;return c|0}a=(aa*1.0e3+ +p[c+248>>3])/a;p[d>>3]=(+p[c+224>>3]-ba*1.0e3)/b-+p[c+176>>3]+1.0+-.5;a=a-+p[c+184>>3]+1.0+-.5;p[e>>3]=a;b=+p[d>>3];if(b<.5){c=-1;return c|0}if(a<.5?1:b>+p[c+136>>3]+.5){c=-1;return c|0}if(a>+p[c+144>>3]+.5){c=-1;return c|0}c=0;return c|0}function Me(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=f[4971]|0;f[c>>2]=a;f[c+4>>2]=b;zy(d,50260,c)|0;kb(-1)}function Ne(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;p=u;u=u+544|0;o=p+8|0;e=p;n=p+32|0;m=p+16|0;l=Nv(1,28)|0;if(!l)Me(50270,50293);f[l+16>>2]=b;if((b|0)>4){f[e>>2]=b;f[e+4>>2]=4;ww(n,50313,e)|0;Me(50389,n)}if(b){h=Lv(b<<2)|0;f[l+12>>2]=h;if(!h)Me(50270,50399);else{g=b;e=a;a=h;while(1){g=g+-1|0;f[a>>2]=(f[e>>2]|0)+-1;if(!g){g=h;break}else{e=e+4|0;a=a+4|0}}}}else g=0;f[l+24>>2]=d;a:do if(d){e=d<<2;j=Lv(e)|0;f[l+20>>2]=j;if(!j)Me(50270,50435);Fz(m|0,0,e|0)|0;b:do if((b|0)>0){a=0;while(1){e=f[g+(a<<2)>>2]|0;if((e|0)>=(d|0))break;i=m+(e<<2)|0;f[i>>2]=(f[i>>2]|0)+1;a=a+1|0;if((a|0)>=(b|0))break b}Me(50474,3020226)}while(0);i=l+8|0;f[i>>2]=1;if((d|0)>0){b=0;while(1){e=f[c>>2]|0;c=c+4|0;f[j+(b<<2)>>2]=e;if((e|0)>10)break;h=f[m+(b<<2)>>2]|0;if(!e){a=1;e=1}else{a=1;g=1;do{g=X(g,e+h|0)|0;a=X(a,e)|0;e=e+-1|0}while((e|0)!=0);e=g}e=X(f[i>>2]|0,(e|0)/(a|0)|0)|0;f[i>>2]=e;b=b+1|0;if((b|0)>=(d|0)){k=e;break a}}f[o>>2]=e;f[o+4>>2]=10;ww(n,50513,o)|0;Me(50389,n)}else k=1}else{f[l+8>>2]=1;k=1}while(0);o=Lv(k<<3)|0;f[l>>2]=o;if(!o)Me(50270,50581);o=Nv(k,8)|0;f[l+4>>2]=o;if(!o)Me(50270,50619);else{u=p;return l|0}return 0}function Oe(a){a=a|0;if(!a)return;Mv(f[a+4>>2]|0);Mv(f[a>>2]|0);Mv(f[a+20>>2]|0);Mv(f[a+12>>2]|0);Mv(a);return}function Pe(a,b){a=a|0;b=b|0;var c=0.0,d=0,e=0,g=0,h=0,i=0.0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0;v=u;u=u+80|0;k=v;j=v+60|0;s=v+40|0;q=f[a+16>>2]|0;m=f[a>>2]|0;l=f[a+4>>2]|0;r=f[a+12>>2]|0;g=f[a+20>>2]|0;if(q){d=q+-1|0;if(d|0){e=j;h=k;do{h=h+8|0;p[h>>3]=1.0;e=e+4|0;f[e>>2]=0;d=d+-1|0}while((d|0)!=0)}d=f[a+24>>2]|0;if(d|0){e=s;while(1){d=d+-1|0;f[e>>2]=f[g>>2];if(!d)break;else{g=g+4|0;e=e+4|0}}}e=s+(f[r>>2]<<2)|0;d=f[e>>2]|0;if(d){f[e>>2]=d+-1;o=j;n=k}else{o=j;n=k}}else{o=j;n=k}e=l+8|0;c=+p[l>>3];g=m+8|0;p[m>>3]=1.0;f[o>>2]=1;i=+p[b>>3];p[n>>3]=i;d=(f[a+8>>2]|0)+-1|0;if(!d){i=c;u=v;return +i}if((q|0)<=0){while(1){p[g>>3]=i;c=c+i*+p[e>>3];d=d+-1|0;if(!d)break;else{g=g+8|0;e=e+8|0}}u=v;return +c}while(1){m=g+8|0;p[g>>3]=i;a=e+8|0;c=c+i*+p[e>>3];g=0;j=o;k=r;l=b;e=n;while(1){h=s+(f[k>>2]<<2)|0;w=f[h>>2]|0;f[h>>2]=w+-1;h=f[j>>2]|0;if(w|0){t=14;break}f[s+(f[k>>2]<<2)>>2]=h;f[j>>2]=0;p[e>>3]=1.0;g=g+1|0;if((g|0)<(q|0)){j=j+4|0;k=k+4|0;l=l+8|0;e=e+8|0}else break}if((t|0)==14){t=0;f[j>>2]=h+1;i=+p[l>>3]*+p[e>>3];while(1){p[e>>3]=i;if(!g)break;else{g=g+-1|0;e=e+-8|0}}}d=d+-1|0;if(!d)break;i=+p[n>>3];g=m;e=a}u=v;return +c}function Qe(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0.0,q=0.0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;D=u;u=u+32|0;x=D;i=(b|0)!=0;j=(g|0)!=0;if(!(i|j))Me(50657,50730);h=f[a+8>>2]|0;w=f[a+16>>2]|0;B=X(h,h)|0;A=f[a>>2]|0;B=Nv(B,8)|0;if(!B)Me(50270,50742);C=Nv(h,8)|0;if(!C)Me(50270,50769);k=e+-1|0;a:do if(e|0){v=(w|0)>0;z=(h|0)==0;y=h+-1|0;if(!i){r=c;while(1){if(!z){e=A;i=g;j=h;while(1){j=j+-1|0;p[e>>3]=+p[i>>3];if(!j)break;else{e=e+8|0;i=i+8|0}}g=g+(h<<3)|0}if(!d){q=1.0;d=0}else{q=+p[d>>3];d=d+8|0}l=+p[r>>3];r=r+8|0;if(!z){e=B;j=A;c=C;m=y;while(1){o=q*+p[j>>3];p[c>>3]=o*l+ +p[c>>3];i=e;b=A;n=h;while(1){n=n+-1|0;p[i>>3]=o*+p[b>>3]+ +p[i>>3];if(!n)break;else{i=i+8|0;b=b+8|0}}if(!m)break;else{e=e+(h<<3)|0;j=j+8|0;c=c+8|0;m=m+-1|0}}}if(!k)break a;else k=k+-1|0}}t=z|j^1;j=b;s=c;while(1){if(v){e=0;i=j;while(1){p[x+(e<<3)>>3]=+p[i>>3];e=e+1|0;if((e|0)==(w|0))break;else i=i+8|0}r=j+(w<<3)|0}else r=j;+Pe(a,x);if(!t){e=A;i=g;j=h;while(1){j=j+-1|0;p[i>>3]=+p[e>>3];if(!j)break;else{e=e+8|0;i=i+8|0}}g=g+(h<<3)|0}if(!d){q=1.0;d=0}else{q=+p[d>>3];d=d+8|0}l=+p[s>>3];s=s+8|0;if(!z){e=B;j=A;c=C;m=y;while(1){o=q*+p[j>>3];p[c>>3]=o*l+ +p[c>>3];i=e;b=A;n=h;while(1){n=n+-1|0;p[i>>3]=o*+p[b>>3]+ +p[i>>3];if(!n)break;else{i=i+8|0;b=b+8|0}}if(!m)break;else{e=e+(h<<3)|0;j=j+8|0;c=c+8|0;m=m+-1|0}}}if(!k)break;else{k=k+-1|0;j=r}}}while(0);Re(B,C,h);Mv(B);if(!h){Mv(C);u=D;return}i=C;e=f[a+4>>2]|0;while(1){h=h+-1|0;p[e>>3]=+p[i>>3];if(!h)break;else{i=i+8|0;e=e+8|0}}Mv(C);u=D;return}function Re(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if(!(Se(a,b,c)|0))return;d=c<<3;e=Lv(X(d,c)|0)|0;if(!e)Me(50270,50794);d=Lv(d)|0;if(!d)Me(50270,50816);Te(a,b,c,c,e,d);Mv(e);Mv(d);return}function Se(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;m=Lv(c<<3)|0;if(!m)Me(50270,50982);l=(c|0)>0;if(l){i=0;a:do{j=X(i,c)|0;h=m+(i<<3)|0;if((i|0)>0){g=i;do{f=X(g,c)|0;e=i;d=+p[a+(g+j<<3)>>3];do{n=e;e=e+-1|0;d=d-+p[a+(e+j<<3)>>3]*+p[a+(e+f<<3)>>3]}while((n|0)>1);if((i|0)==(g|0)){if(d<=0.0){k=15;break a}e=h;d=+L(+d)}else{e=a+(f+i<<3)|0;d=d/+p[h>>3]}p[e>>3]=d;g=g+1|0}while((g|0)<(c|0))}else{f=i;do{d=+p[a+(f+j<<3)>>3];if((i|0)==(f|0)){if(d<=0.0){k=15;break a}e=h;d=+L(+d)}else{e=a+((X(f,c)|0)+i<<3)|0;d=d/+p[h>>3]}p[e>>3]=d;f=f+1|0}while((f|0)<(c|0))}i=i+1|0}while((i|0)<(c|0));if((k|0)==15){Mv(m);n=-1;return n|0}if(l){h=0;do{g=b+(h<<3)|0;d=+p[g>>3];if((h|0)>0){f=X(h,c)|0;e=h;do{n=e;e=e+-1|0;d=d-+p[a+(e+f<<3)>>3]*+p[b+(e<<3)>>3]}while((n|0)>1)}p[g>>3]=d/+p[m+(h<<3)>>3];h=h+1|0}while((h|0)!=(c|0));if(l){g=c;do{h=g;g=g+-1|0;f=b+(g<<3)|0;d=+p[f>>3];if((h|0)<(c|0)){e=h;do{n=a+((X(e,c)|0)+g<<3)|0;d=d-+p[n>>3]*+p[b+(e<<3)>>3];e=e+1|0}while((e|0)!=(c|0))}p[f>>3]=d/+p[m+(g<<3)>>3]}while((h|0)>1)}}}Mv(m);n=0;return n|0}function Te(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0.0,i=0,j=0,k=0,l=0.0,m=0,n=0,o=0.0,q=0,r=0,s=0,t=0,u=0,v=0.0,w=0.0,x=0.0,y=0.0,z=0,A=0.0,B=0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0.0,M=0,N=0,O=0,P=0;if((c|0)<(d|0))Me(50836,50885);i=d<<3;P=Lv(i)|0;if(!P)Me(50270,50897);O=Lv(i)|0;if(!O)Me(50270,50916);N=(d|0)>0;a:do if(N){z=c+1|0;J=0.0;h=0.0;D=0;l=0.0;do{t=D;D=D+1|0;u=d-D|0;B=P+(t<<3)|0;p[B>>3]=h*l;i=c-t|0;if((i|0)>0){s=a+((X(t,z)|0)<<3)|0;j=s;k=i;h=0.0;while(1){k=k+-1|0;h=h+ +K(+(+p[j>>3]));if(!k)break;else j=j+8|0}if(h!=0.0){r=(i|0)==0;if(r)o=0.0;else{j=s;k=i;o=0.0;while(1){k=k+-1|0;C=+p[j>>3]/h;p[j>>3]=C;o=o+C*C;if(!k)break;else j=j+8|0}}A=+p[s>>3];C=+K(+(+L(+o)));C=A>=0.0?C:-C;l=-C;v=A*l-o;p[s>>3]=A+C;j=u+-1|0;b:do if(u|0){if(r)while(1)if(!j)break b;else j=j+-1|0;q=a+((X(D,c)|0)<<3)+(t<<3)|0;while(1){k=s;m=q;n=i;o=0.0;while(1){n=n+-1|0;o=o+ +p[m>>3]*+p[k>>3];if(!n)break;else{k=k+8|0;m=m+8|0}}o=o/v;k=s;m=q;n=i;while(1){n=n+-1|0;p[m>>3]=+p[m>>3]+o*+p[k>>3];if(!n)break;else{k=k+8|0;m=m+8|0}}if(!j)break;else{q=q+(c<<3)|0;j=j+-1|0}}}while(0);if(!r){j=s;while(1){i=i+-1|0;p[j>>3]=h*+p[j>>3];if(!i)break;else j=j+8|0}}}else l=0.0}else{l=0.0;h=0.0}r=f+(t<<3)|0;p[r>>3]=l*h;if(!((t|0)>=(c|0)|(D|0)==(d|0))?(G=X(D,c)|0,E=a+(t<<3)+(G<<3)|0,H=(u|0)==0,!H):0){i=E;j=u;l=0.0;while(1){j=j+-1|0;l=l+ +K(+(+p[i>>3]));if(!j)break;else i=i+(c<<3)|0}if(l!=0.0){if(H)o=0.0;else{i=E;j=u;o=0.0;while(1){j=j+-1|0;C=+p[i>>3]/l;p[i>>3]=C;o=o+C*C;if(!j)break;else i=i+(c<<3)|0}}A=+p[E>>3];C=+K(+(+L(+o)));C=A>=0.0?C:-C;h=-C;v=A*h-o;o=A+C;p[E>>3]=o;q=P+(D<<3)|0;if(!H?(F=u+-1|0,p[q>>3]=o/v,F|0):0){i=E;j=F;k=q;do{i=i+(c<<3)|0;k=k+8|0;j=j+-1|0;p[k>>3]=+p[i>>3]/v}while((j|0)!=0)}I=c-D|0;i=I+-1|0;c:do if(I|0){if(H)while(1)if(!i)break c;else i=i+-1|0;n=a+(D<<3)+(G<<3)|0;while(1){j=E;k=n;m=u;o=0.0;while(1){m=m+-1|0;o=o+ +p[k>>3]*+p[j>>3];if(!m){j=n;k=u;m=q;break}else{j=j+(c<<3)|0;k=k+(c<<3)|0}}while(1){k=k+-1|0;p[j>>3]=+p[j>>3]+o*+p[m>>3];if(!k)break;else{j=j+(c<<3)|0;m=m+8|0}}if(!i)break;else{n=n+8|0;i=i+-1|0}}}while(0);if(!H){j=E;i=u;while(1){i=i+-1|0;p[j>>3]=l*+p[j>>3];if(!i)break;else j=j+(c<<3)|0}}}else h=0.0}else{h=0.0;l=0.0}C=+K(+(+p[r>>3]));C=C+ +K(+(+p[B>>3]));J=J>C?J:C}while((D|0)!=(d|0));I=d+-1|0;if(N){B=I;n=d;m=0;while(1){do if((B|0)<(I|0)){if(h!=0.0){z=a+((X(n,c)|0)<<3)+(B<<3)|0;i=X(B,d)|0;j=e+(i<<3)+(n<<3)|0;k=X(n,d)|0;t=e+(k<<3)+(n<<3)|0;l=+p[z>>3];h=h*l;s=(m|0)==0;if(s)break;n=m+-1|0;p[j>>3]=l/h;if(n|0){r=z;q=j;do{r=r+(c<<3)|0;q=q+8|0;n=n+-1|0;p[q>>3]=+p[r>>3]/h}while((n|0)!=0)}if(s)break;else{u=m;s=t}while(1){n=z;q=m;h=0.0;r=s;while(1){q=q+-1|0;h=h+ +p[n>>3]*+p[r>>3];if(!q)break;else{n=n+(c<<3)|0;r=r+8|0}}u=u+-1|0;n=m;q=j;r=s;while(1){n=n+-1|0;p[r>>3]=+p[r>>3]+h*+p[q>>3];if(!n)break;else{q=q+8|0;r=r+8|0}}if(!u)break;else s=s+(d<<3)|0}}else{i=X(B,d)|0;k=X(n,d)|0;j=e+(i<<3)+(n<<3)|0}if(m){k=e+(k<<3)+(B<<3)|0;while(1){m=m+-1|0;p[j>>3]=0.0;p[k>>3]=0.0;if(!m)break;else{k=k+(d<<3)|0;j=j+8|0}}}}else i=X(B,d)|0;while(0);p[e+(i+B<<3)>>3]=1.0;m=d-B|0;if((B|0)<=0)break;else{n=B;h=+p[P+(B<<3)>>3];B=B+-1|0}}if(N){H=a+((X(I,c)|0)+d+-1<<3)|0;z=-8-(c<<3)|0;B=c+1-d|0;E=d;G=0;while(1){n=H+(X(z,G)|0)|0;j=B+G<<3;F=E;E=E+-1|0;q=d-F|0;i=c-E|0;h=+p[f+(E<<3)>>3];D=a+((X(E,c)|0)<<3)+(E<<3)|0;s=D+(c<<3)|0;r=(q|0)==0;if(!r){k=s;m=q;while(1){m=m+-1|0;p[k>>3]=0.0;if(!m)break;else k=k+(c<<3)|0}}if(h!=0.0){o=1.0/h;j=q+-1|0;d:do if(!r){q=i+-1|0;u=(i|0)==0;r=i+-1|0;t=(r|0)==0;if(!q){q=s;n=j;while(1){h=+p[D>>3];l=o*(0.0/h);if(!u?(p[q>>3]=+p[q>>3]+l*h,!t):0){j=D;k=q;m=r;do{j=j+8|0;k=k+8|0;m=m+-1|0;p[k>>3]=+p[k>>3]+l*+p[j>>3]}while((m|0)!=0)}if(!n)break d;else{q=q+(c<<3)|0;n=n+-1|0}}}while(1){k=D;m=s;n=q;l=0.0;do{k=k+8|0;m=m+8|0;l=l+ +p[k>>3]*+p[m>>3];n=n+-1|0}while((n|0)!=0);h=+p[D>>3];l=o*(l/h);if(!u?(p[s>>3]=+p[s>>3]+l*h,!t):0){k=D;m=s;n=r;do{k=k+8|0;m=m+8|0;n=n+-1|0;p[m>>3]=+p[m>>3]+l*+p[k>>3]}while((n|0)!=0)}if(!j)break;else{s=s+(c<<3)|0;j=j+-1|0}}}while(0);if(i|0){j=D;while(1){i=i+-1|0;p[j>>3]=o*+p[j>>3];if(!i)break;else j=j+8|0}}}else if(i|0)Fz(n|0,0,j|0)|0;p[D>>3]=+p[D>>3]+1.0;if((F|0)<=1)break;else G=G+1|0}if(N){H=(c|0)==0;F=d;i=0;e:while(1){G=F;F=F+-1|0;t=f+(F<<3)|0;E=G+-2|0;u=f+(E<<3)|0;z=P+(E<<3)|0;B=P+(F<<3)|0;D=0;while(1){s=F;while(1){if((s|0)<=-1){M=95;break}i=s+-1|0;if(J+ +K(+(+p[P+(s<<3)>>3]))==J)break;if(J+ +K(+(+p[f+(i<<3)>>3]))==J){M=95;break}else s=i}f:do if((M|0)==95){M=0;n=a+((X(i,c)|0)<<3)|0;if((s|0)<(G|0)){if(H){k=s;h=1.0;while(1){v=h*+p[P+(k<<3)>>3];h=+K(+v);if(J+h==J)break f;j=f+(k<<3)|0;l=+p[j>>3];o=+K(+l);if(!(h>o))if(l!=0.0){l=h/o;h=o;l=l*l;M=103}else h=0.0;else{l=o/h;l=l*l;M=103}if((M|0)==103){M=0;h=h*+L(+(l+1.0))}p[j>>3]=h;k=k+1|0;if((k|0)>=(G|0))break f;else h=-(v*(1.0/h))}}q=a+((X(s,c)|0)<<3)|0;r=s;h=1.0;while(1){v=h*+p[P+(r<<3)>>3];h=+K(+v);if(J+h==J)break f;j=f+(r<<3)|0;o=+p[j>>3];l=+K(+o);if(!(h>l))if(o!=0.0){C=h/l;h=l;l=C*C;M=110}else h=0.0;else{l=l/h;l=l*l;M=110}if((M|0)==110){M=0;h=h*+L(+(l+1.0))}p[j>>3]=h;h=1.0/h;l=o*h;h=-(v*h);j=n;k=q;m=c;while(1){m=m+-1|0;A=+p[k>>3];C=+p[j>>3];p[j>>3]=A*h+l*C;p[k>>3]=l*A-C*h;if(!m)break;else{j=j+8|0;k=k+8|0}}r=r+1|0;if((r|0)>=(G|0))break;else q=q+(c<<3)|0}}}while(0);y=+p[t>>3];if((s|0)==(F|0)){M=115;break}if((D|0)==99)break e;h=+p[f+(s<<3)>>3];v=+p[u>>3];x=+p[z>>3];w=+p[B>>3];x=((v-y)*(y+v)+(x-w)*(x+w))/(v*(w*2.0));l=+K(+x);if(l>1.0){C=1.0/l;o=l;l=C*C}else{o=1.0;l=l*l}l=+K(+(o*+L(+(l+1.0))));l=((h-y)*(y+h)+w*(v/(x+(x>=0.0?l:-l))-w))/h;if((s|0)<=(E|0)){r=a+((X(s,c)|0)<<3)|0;v=1.0;n=s;o=1.0;q=e+((X(s,d)|0)<<3)|0;do{m=n;n=n+1|0;x=+p[P+(n<<3)>>3];y=+p[f+(n<<3)>>3];w=o*x;x=v*x;o=+K(+l);v=+K(+w);if(!(o>v))if(w!=0.0){C=o/v;o=v;v=C*C;M=131}else o=0.0;else{v=v/o;v=v*v;M=131}if((M|0)==131){M=0;o=o*+L(+(v+1.0))}p[P+(m<<3)>>3]=o;v=l/o;o=w/o;A=h*v+x*o;C=x*v-h*o;w=y*o;x=y*v;k=q;q=q+(d<<3)|0;i=d;j=q;while(1){i=i+-1|0;l=+p[j>>3];y=+p[k>>3];p[k>>3]=o*l+v*y;p[j>>3]=v*l-o*y;if(!i)break;else{j=j+8|0;k=k+8|0}}h=+K(+A);l=+K(+w);do if(!(h>l))if(w!=0.0){y=h/l;h=l;l=y*y;M=139;break}else{p[f+(m<<3)>>3]=0.0;break}else{l=l/h;l=l*l;M=139}while(0);if((M|0)==139){M=0;y=h*+L(+(l+1.0));p[f+(m<<3)>>3]=y;h=1.0/y;if(y!=0.0){v=A*h;o=w*h}}l=C*v+x*o;h=x*v-C*o;i=r;r=r+(c<<3)|0;if(!H){k=r;j=c;while(1){j=j+-1|0;A=+p[k>>3];C=+p[i>>3];p[i>>3]=o*A+v*C;p[k>>3]=v*A-o*C;if(!j)break;else{k=k+8|0;i=i+8|0}}}}while((m|0)<(E|0))}p[P+(s<<3)>>3]=0.0;p[B>>3]=l;p[t>>3]=h;D=D+1|0;if((D|0)>=100){i=E;break}else i=E}if((M|0)==115){M=0;if(y<0.0){p[t>>3]=-y;j=d;k=e+((X(F,d)|0)<<3)|0;while(1){j=j+-1|0;p[k>>3]=-+p[k>>3];if(!j)break;else k=k+8|0}}}if((G|0)<=1){g=I;break a}}Me(50935,50885)}else g=I}else g=I}else g=I}else g=d+-1|0;while(0);k=(d|0)==0;g:do if(!k){i=d;j=f;h=0.0;while(1){i=i+-1|0;J=+p[j>>3];h=J>h?J:h;if(!i)break;else j=j+8|0}h=h*1.0e-11;if(!k){i=d;j=f;while(1){i=i+-1|0;if(+p[j>>3]<h)p[j>>3]=0.0;if(!i)break;else j=j+8|0}if(!k){if(!c){i=O;while(1){J=+p[f>>3];p[i>>3]=J!=0.0?0.0/J:0.0;if(!g)break g;else{g=g+-1|0;i=i+8|0;f=f+8|0}}}else m=O;while(1){h=+p[f>>3];if(h!=0.0){i=a;j=b;k=c;l=0.0;while(1){k=k+-1|0;l=l+ +p[i>>3]*+p[j>>3];if(!k)break;else{i=i+8|0;j=j+8|0}}h=l/h}else h=0.0;p[m>>3]=h;if(!g)break;else{a=a+(c<<3)|0;g=g+-1|0;m=m+8|0;f=f+8|0}}}}}while(0);if(N)j=0;else{Mv(O);Mv(P);return}while(1){f=d;h=0.0;g=O;i=e;while(1){f=f+-1|0;h=h+ +p[i>>3]*+p[g>>3];if(!f)break;else{g=g+8|0;i=i+(d<<3)|0}}p[b+(j<<3)>>3]=h;j=j+1|0;if((j|0)==(d|0))break;else e=e+8|0}Mv(O);Mv(P);return}function Ue(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;I=u;u=u+144|0;E=I+112|0;D=I+104|0;B=I+96|0;A=I+88|0;z=I+80|0;y=I+72|0;x=I+64|0;w=I+56|0;v=I+48|0;t=I+40|0;s=I+32|0;F=I+24|0;C=I+16|0;r=I+8|0;q=I;H=I+120|0;G=d+4|0;b[G>>0]=0;b[H>>0]=0;p=d+20|0;f[p>>2]=-1;o=d+24|0;f[o>>2]=-1;m=d+28|0;f[m>>2]=-1;do if((a|0)>0){k=d+8|0;l=d+13|0;n=0;e=0;a:while(1){j=c+(n*9|0)|0;do if((b[c+(n*9|0)+4>>0]|0)!=45){if(!(tw(j,50999)|0)){if((f[m>>2]|0)!=-1){e=1;g=34;break a}f[m>>2]=n}}else{i=c+(n*9|0)+5|0;h=f[801]|0;b:do if((h|0)>0){g=0;do{if(!(vw(i,51095+(g<<2)|0,3)|0))break b;g=g+1|0}while((g|0)<(h|0))}else g=0;while(0);if(((g|0)==(h|0)?vw(i,51008,3)|0:0)?vw(i,51012,3)|0:0)break;if(b[G>>0]|0){if((e|0)==0|(vw(j,H,8)|0)!=0){e=1;g=34;break a}f[e>>2]=n;b[H>>0]=0;break}f[q>>2]=i;ww(G,51016,q)|0;if(!(vw(j,51021,4)|0)){f[p>>2]=n;b[k>>0]=b[51026]|0;b[k+1>>0]=b[51027]|0;b[k+2>>0]=b[51028]|0;b[l>>0]=68;b[l+1>>0]=69;b[l+2>>0]=67;b[l+3>>0]=0;f[r>>2]=G;ww(H,51029,r)|0;e=o;break}if(!(vw(j,97371,4)|0)){f[o>>2]=n;b[k>>0]=b[51026]|0;b[k+1>>0]=b[51027]|0;b[k+2>>0]=b[51028]|0;b[l>>0]=68;b[l+1>>0]=69;b[l+2>>0]=67;b[l+3>>0]=0;f[C>>2]=G;ww(H,51037,C)|0;e=p;break}e=c+(n*9|0)+1|0;if(!(vw(e,51045,3)|0)){f[p>>2]=n;f[F>>2]=b[j>>0];ww(k,51049,F)|0;f[s>>2]=b[j>>0];ww(l,51055,s)|0;f[t>>2]=l;f[t+4>>2]=G;ww(H,51061,t)|0;e=o;break}if(!(vw(e,97376,3)|0)){f[o>>2]=n;f[v>>2]=b[j>>0];ww(k,51049,v)|0;f[w>>2]=b[j>>0];ww(l,51055,w)|0;f[x>>2]=k;f[x+4>>2]=G;ww(H,51061,x)|0;e=p;break}g=c+(n*9|0)+2|0;if(!(vw(g,51067,2)|0)){f[p>>2]=n;i=b[e>>0]|0;f[y>>2]=b[j>>0];f[y+4>>2]=i;ww(k,51070,y)|0;e=b[e>>0]|0;f[z>>2]=b[j>>0];f[z+4>>2]=e;ww(l,51077,z)|0;f[A>>2]=l;f[A+4>>2]=G;ww(H,51061,A)|0;e=o;break}if(vw(g,51084,2)|0){e=1;g=34;break a}f[o>>2]=n;i=b[e>>0]|0;f[B>>2]=b[j>>0];f[B+4>>2]=i;ww(k,51070,B)|0;e=b[e>>0]|0;f[D>>2]=b[j>>0];f[D+4>>2]=e;ww(l,51077,D)|0;f[E>>2]=k;f[E+4>>2]=G;ww(H,51061,E)|0;e=p}while(0);n=n+1|0;if((n|0)>=(a|0)){g=29;break}}if((g|0)==29){if(!(b[H>>0]|0))break;else e=1;u=I;return e|0}else if((g|0)==34){u=I;return e|0}}while(0);if(!(vw(G,51087,3)|0)){b[G>>0]=83;b[G+1>>0]=70;b[G+2>>0]=76;b[G+3>>0]=0;e=137}else e=b[G>>0]|0?137:999;f[d>>2]=e;d=0;u=I;return d|0}function Ve(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0,q=0.0,r=0.0,s=0,t=0;o=l+4|0;if((f[c>>2]|0)!=137?Ue(f[o>>2]|0,a,c)|0:0){m=1;return m|0}o=f[o>>2]|0;if((o|0)>0){a=f[c+20>>2]|0;t=c+24|0;s=0;do{if((s|0)!=(a|0)?(s|0)!=(f[t>>2]|0):0)p[k+(s<<3)>>3]=+p[d+(s<<3)>>3]-+p[e+(s<<3)>>3];s=s+1|0}while((s|0)<(o|0))}if((f[c>>2]|0)!=999){a=c+4|0;do if(!(tw(a,51091)|0)){o=g+16|0;if(+p[o>>3]==0.0){m=2;return m|0}else{b[a>>0]=83;b[a+1>>0]=73;b[a+2>>0]=78;b[a+3>>0]=0;p[j+40>>3]=0.0;r=+rg(+p[o>>3]);r=r/+sg(+p[o>>3]);p[j+48>>3]=r;e=j+4|0;f[e>>2]=f[e>>2]>>31;break}}while(0);t=c+20|0;e=f[t>>2]|0;s=c+24|0;o=f[s>>2]|0;o=af(a,+p[d+(e<<3)>>3],+p[d+(o<<3)>>3],g,h,i,j,k+(e<<3)|0,k+(o<<3)|0)|0;if(o|0){m=o;return m|0}a=f[c+28>>2]|0;if((a|0)!=-1){r=+p[j+24>>3];r=r==0.0?90.0:r*3.141592653589793*.5;o=k+(f[s>>2]<<3)|0;n=+p[o>>3];do if(!(n<r*-.5)){q=r*.5;if(n>q){p[o>>3]=n-r;n=0.0;break}o=k+(f[t>>2]<<3)|0;n=+p[o>>3];if(n>r*2.5){p[o>>3]=n-r*3.0;n=4.0;break}if(n>r*1.5){p[o>>3]=n-r*2.0;n=3.0;break}if(n>q){p[o>>3]=n-r;n=2.0}else n=1.0}else{p[o>>3]=n+r;n=5.0}while(0);p[k+(a<<3)>>3]=n}}m=(Ze(k,l,m)|0)==0;m=m?0:4;return m|0}function We(a,c,d,e,g,h,i,j,k,l,m){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0.0,o=0;if((f[c>>2]|0)!=137?Ue(f[e+4>>2]|0,a,c)|0:0){m=1;return m|0}if(_e(d,e,g)|0){m=4;return m|0}a=f[e+4>>2]|0;if((a|0)>0){e=f[c+20>>2]|0;o=c+24|0;d=0;do{if((d|0)!=(e|0)?(d|0)!=(f[o>>2]|0):0)p[m+(d<<3)>>3]=+p[g+(d<<3)>>3]+ +p[k+(d<<3)>>3];d=d+1|0}while((d|0)<(a|0))}if((f[c>>2]|0)!=999){a=f[c+28>>2]|0;a:do if((a|0)!=-1){n=+p[g+(a<<3)>>3];a=~~(n+.5);if(+K(+(n-+(a|0)))>1.0e-10){m=3;return m|0}n=+p[h+24>>3];n=n==0.0?90.0:n*3.141592653589793*.5;switch(a|0){case 1:break a;case 0:{k=g+(f[c+24>>2]<<3)|0;p[k>>3]=n+ +p[k>>3];break a}case 2:{k=g+(f[c+20>>2]<<3)|0;p[k>>3]=n+ +p[k>>3];break a}case 3:{k=g+(f[c+20>>2]<<3)|0;p[k>>3]=n*2.0+ +p[k>>3];break a}case 4:{k=g+(f[c+20>>2]<<3)|0;p[k>>3]=n*3.0+ +p[k>>3];break a}case 5:{k=g+(f[c+24>>2]<<3)|0;p[k>>3]=+p[k>>3]-n;break a}default:{m=3;return m|0}}}while(0);a=c+4|0;do if(!(tw(a,51091)|0)){e=l+16|0;if(+p[e>>3]==0.0){m=2;return m|0}else{b[a>>0]=83;b[a+1>>0]=73;b[a+2>>0]=78;b[a+3>>0]=0;p[h+40>>3]=0.0;n=+rg(+p[e>>3]);n=n/+sg(+p[e>>3]);p[h+48>>3]=n;k=h+4|0;f[k>>2]=f[k>>2]>>31;break}}while(0);k=f[c+20>>2]|0;c=f[c+24>>2]|0;a=bf(a,+p[g+(k<<3)>>3],+p[g+(c<<3)>>3],h,i,j,l,m+(k<<3)|0,m+(c<<3)|0)|0;if(a|0){m=a;return m|0}}m=0;return m|0}function Xe(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;k=f[a+4>>2]|0;b=X(k<<3,k)|0;l=Lv(b)|0;f[a+20>>2]=l;if(!l){a=1;return a|0}e=Lv(b)|0;f[a+24>>2]=e;if(!e){Mv(l);a=1;return a|0}if((k|0)>0){b=f[a+16>>2]|0;c=f[a+12>>2]|0;g=0;h=0;while(1){d=b+(g<<3)|0;i=h;j=0;while(1){p[l+(i<<3)>>3]=+p[d>>3]*+p[c+(i<<3)>>3];j=j+1|0;if((j|0)==(k|0))break;else i=i+1|0}g=g+1|0;if((g|0)==(k|0))break;else h=k+h|0}}if(Ye(k,l,e)|0){a=2;return a|0}f[a>>2]=137;a=0;return a|0}function Ye(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0.0,h=0,i=0,j=0,k=0,l=0,m=0.0,n=0.0,o=0,q=0,r=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;e=a<<2;z=Lv(e)|0;if(!z){a=1;return a|0}w=Lv(e)|0;if(!w){Mv(z);a=1;return a|0}v=a<<3;y=Lv(v)|0;if(!y){Mv(z);Mv(w);a=1;return a|0}x=Lv(X(v,a)|0)|0;if(!x){Mv(z);Mv(w);Mv(y);a=1;return a|0}u=(a|0)>0;if(u){h=0;i=0;while(1){k=x+(X(v,h)|0)|0;j=c+((X(h,a)|0)<<3)|0;f[z+(h<<2)>>2]=h;e=y+(h<<3)|0;p[e>>3]=0.0;Lz(k|0,j|0,v|0)|0;g=0.0;j=i;k=0;while(1){n=+K(+(+p[c+(j<<3)>>3]));g=n>g?n:g;k=k+1|0;if((k|0)==(a|0))break;else j=j+1|0}p[s>>3]=g;b[e>>0]=b[s>>0];b[e+1>>0]=b[s+1>>0];b[e+2>>0]=b[s+2>>0];b[e+3>>0]=b[s+3>>0];b[e+4>>0]=b[s+4>>0];b[e+5>>0]=b[s+5>>0];b[e+6>>0]=b[s+6>>0];b[e+7>>0]=b[s+7>>0];h=h+1|0;if(g==0.0){l=14;break}if((h|0)>=(a|0))break;else i=i+a|0}if((l|0)==14){Mv(z);Mv(w);Mv(y);Mv(x);a=2;return a|0}if(u){q=0;do{t=X(q,a)|0;o=x+(t+q<<3)|0;j=y+(q<<3)|0;n=+p[j>>3];r=q;q=q+1|0;k=(q|0)<(a|0);if(k){g=+K(+(+p[o>>3]))/n;h=q;c=r;while(1){e=x+((X(h,a)|0)+r<<3)|0;m=+K(+(+p[e>>3]));m=m/+p[y+(h<<3)>>3];e=m>g;c=e?h:c;h=h+1|0;if((h|0)==(a|0))break;else g=e?m:g}if((c|0)>(r|0)){e=0;h=t;i=X(c,a)|0;while(1){A=x+(i<<3)|0;m=+p[A>>3];l=x+(h<<3)|0;p[A>>3]=+p[l>>3];p[l>>3]=m;e=e+1|0;if((e|0)==(a|0))break;else{h=h+1|0;i=i+1|0}}l=y+(c<<3)|0;m=+p[l>>3];p[l>>3]=n;p[j>>3]=m;c=z+(c<<2)|0;l=f[c>>2]|0;A=z+(r<<2)|0;f[c>>2]=f[A>>2];f[A>>2]=l}if(k){h=x+(q+t<<3)|0;c=r+2|0;j=(c|0)==(a|0);k=q;do{l=X(k,a)|0;i=x+(l+r<<3)|0;g=+p[i>>3];if(g!=0.0?(n=g/+p[o>>3],p[i>>3]=n,A=x+(q+l<<3)|0,p[A>>3]=+p[A>>3]-n*+p[h>>3],!j):0){e=c;do{A=x+(e+l<<3)|0;p[A>>3]=+p[A>>3]-+p[i>>3]*+p[x+(e+t<<3)>>3];e=e+1|0}while((e|0)!=(a|0))}k=k+1|0}while((k|0)!=(a|0))}}}while((q|0)!=(a|0));if(u){e=0;do{f[w+(f[z+(e<<2)>>2]<<2)>>2]=e;e=e+1|0}while((e|0)!=(a|0));if(u){e=0;do{Fz(d+((X(e,a)|0)<<3)|0,0,v|0)|0;e=e+1|0}while((e|0)!=(a|0));if(u){l=0;do{c=f[w+(l<<2)>>2]|0;e=d+((X(c,a)|0)+l<<3)|0;p[e>>3]=1.0;e=c+1|0;if((e|0)<(a|0)){j=c;k=e;while(1){if((c|0)<=(j|0)){i=X(k,a)|0;e=d+(i+l<<3)|0;g=+p[e>>3];h=c;while(1){A=d+((X(h,a)|0)+l<<3)|0;g=g-+p[x+(h+i<<3)>>3]*+p[A>>3];p[e>>3]=g;if((h|0)>=(j|0))break;else h=h+1|0}}e=k+1|0;if((e|0)==(a|0)){i=a;break}else{j=k;k=e}}}else i=a;do{j=i;i=i+-1|0;k=X(i,a)|0;h=d+(k+l<<3)|0;g=+p[h>>3];if((j|0)<(a|0)){e=j;do{A=d+((X(e,a)|0)+l<<3)|0;g=g-+p[x+(e+k<<3)>>3]*+p[A>>3];p[h>>3]=g;e=e+1|0}while((e|0)!=(a|0))}p[h>>3]=g/+p[x+(k+i<<3)>>3]}while((j|0)>1);l=l+1|0}while((l|0)!=(a|0))}}}}}Mv(z);Mv(w);Mv(y);Mv(x);A=0;return A|0}function Ze(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0.0,h=0,i=0,j=0,k=0,l=0,m=0;m=f[b+4>>2]|0;if((f[b>>2]|0)!=137?Xe(b)|0:0){c=1;return c|0}h=(m|0)>0;if(!h){c=0;return c|0}d=f[b+24>>2]|0;i=0;j=0;while(1){e=c+(i<<3)|0;p[e>>3]=0.0;g=0.0;k=j;l=0;while(1){g=g+ +p[d+(k<<3)>>3]*+p[a+(l<<3)>>3];p[e>>3]=g;l=l+1|0;if((l|0)==(m|0))break;else k=k+1|0}i=i+1|0;if((i|0)==(m|0))break;else j=m+j|0}if(!h){c=0;return c|0}d=f[b+8>>2]|0;e=0;do{b=c+(e<<3)|0;p[b>>3]=+p[d+(e<<3)>>3]+ +p[b>>3];e=e+1|0}while((e|0)!=(m|0));d=0;return d|0}function _e(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0.0,i=0,j=0,k=0;i=f[b+4>>2]|0;if((f[b>>2]|0)!=137?Xe(b)|0:0){a=1;return a|0}if((i|0)<=0){a=0;return a|0}Fz(c|0,0,i<<3|0)|0;j=f[b+8>>2]|0;b=f[b+20>>2]|0;g=0;do{h=+p[a+(g<<3)>>3]-+p[j+(g<<3)>>3];d=0;e=g;while(1){k=c+(d<<3)|0;p[k>>3]=+p[k>>3]+h*+p[b+(e<<3)>>3];d=d+1|0;if((d|0)==(i|0))break;else e=e+i|0}g=g+1|0}while((g|0)!=(i|0));b=0;return b|0}
function gu(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;k=f[55566]|0;l=f[a+12>>2]|0;m=k+(l*344|0)|0;a:do if((f[m>>2]|0)!=-1e3){Tt(a);if(!(f[55581]|0)){c=f[a+52>>2]|0;if((c|0)!=262){d=f[55571]|0;if((c|0)!=261)d=X(f[a+56>>2]|0,d)|0;if(d|0){c=k+(l*344|0)+84|0;e=a+84|0;do{d=d+-1|0;b[(f[e>>2]|0)+d>>0]=b[(f[c>>2]|0)+d>>0]|0}while((d|0)!=0)}}d=f[55571]|0;c=X(f[a+56>>2]|0,d)|0;switch(f[a>>2]|0){case 258:{switch(f[k+(l*344|0)+52>>2]|0){case 260:{if(!c)break a;e=k+(l*344|0)+88|0;d=a+88|0;do{c=c+-1|0;b[(f[d>>2]|0)+c>>0]=+p[(f[e>>2]|0)+(c<<3)>>3]!=0.0&1}while((c|0)!=0);break}case 259:{if(!c)break a;e=k+(l*344|0)+88|0;d=a+88|0;do{c=c+-1|0;b[(f[d>>2]|0)+c>>0]=(f[(f[e>>2]|0)+(c<<2)>>2]|0)!=0&1}while((c|0)!=0);break}default:break a}break}case 285:case 260:{switch(f[k+(l*344|0)+52>>2]|0){case 259:{if(!c)break a;e=f[k+(l*344|0)+88>>2]|0;d=f[a+88>>2]|0;do{c=c+-1|0;p[d+(c<<3)>>3]=+(f[e+(c<<2)>>2]|0)}while((c|0)!=0);break}case 258:{if(!c)break a;e=f[k+(l*344|0)+88>>2]|0;d=f[a+88>>2]|0;do{c=c+-1|0;p[d+(c<<3)>>3]=b[e+c>>0]|0?1.0:0.0}while((c|0)!=0);break}default:break a}break}case 286:case 259:{switch(f[k+(l*344|0)+52>>2]|0){case 260:{if(!c)break a;e=f[k+(l*344|0)+88>>2]|0;d=f[a+88>>2]|0;do{c=c+-1|0;f[d+(c<<2)>>2]=~~+p[e+(c<<3)>>3]}while((c|0)!=0);break}case 258:{if(!c)break a;e=f[k+(l*344|0)+88>>2]|0;d=f[a+88>>2]|0;do{c=c+-1|0;f[d+(c<<2)>>2]=(b[e+c>>0]|0)!=0&1}while((c|0)!=0);break}default:break a}break}case 287:{switch(f[k+(l*344|0)+52>>2]|0){case 260:{if(!c)break a;e=f[k+(l*344|0)+88>>2]|0;d=f[a+88>>2]|0;do{c=c+-1|0;p[d+(c<<3)>>3]=-+p[e+(c<<3)>>3]}while((c|0)!=0);break}case 259:{if(!c)break a;e=f[k+(l*344|0)+88>>2]|0;d=f[a+88>>2]|0;do{c=c+-1|0;f[d+(c<<2)>>2]=0-(f[e+(c<<2)>>2]|0)}while((c|0)!=0);break}default:break a}break}case 284:{switch(f[k+(l*344|0)+52>>2]|0){case 258:{if(!c)break a;e=k+(l*344|0)+88|0;d=a+88|0;while(1){c=c+-1|0;b[(f[d>>2]|0)+c>>0]=(b[(f[e>>2]|0)+c>>0]|0)==0&1;if(!c)break a}}case 262:break;default:break a}if(!d)break a;i=a+88|0;j=k+(l*344|0)+88|0;do{d=d+-1|0;c=f[(f[i>>2]|0)+(d<<2)>>2]|0;e=f[(f[j>>2]|0)+(d<<2)>>2]|0;a=Bx(e)|0;if(a){g=a;h=c;while(1){g=g+-1|0;n=b[e>>0]|0;b[h>>0]=n<<24>>24==49?48:n<<24>>24==48?49:n;if(!g)break;else{e=e+1|0;h=h+1|0}}c=c+a|0}b[c>>0]=0}while((d|0)!=0);break}default:break a}}}else{b:do switch(f[a>>2]|0){case 285:case 260:switch(f[k+(l*344|0)+52>>2]|0){case 259:{p[a+88>>3]=+(f[k+(l*344|0)+88>>2]|0);break b}case 258:{p[a+88>>3]=b[k+(l*344|0)+88>>0]|0?1.0:0.0;break b}default:break b}case 286:case 259:switch(f[k+(l*344|0)+52>>2]|0){case 260:{f[a+88>>2]=~~+p[k+(l*344|0)+88>>3];break b}case 258:{f[a+88>>2]=(b[k+(l*344|0)+88>>0]|0)!=0&1;break b}default:break b}case 258:switch(f[k+(l*344|0)+52>>2]|0){case 260:{b[a+88>>0]=+p[k+(l*344|0)+88>>3]!=0.0&1;break b}case 259:{b[a+88>>0]=(f[k+(l*344|0)+88>>2]|0)!=0&1;break b}default:break b}case 287:switch(f[k+(l*344|0)+52>>2]|0){case 260:{p[a+88>>3]=-+p[k+(l*344|0)+88>>3];break b}case 259:{f[a+88>>2]=0-(f[k+(l*344|0)+88>>2]|0);break b}default:break b}case 284:{switch(f[k+(l*344|0)+52>>2]|0){case 258:{b[a+88>>0]=(b[k+(l*344|0)+88>>0]|0)==0&1;break b}case 262:break;default:break b}c=a+88|0;d=k+(l*344|0)+88|0;h=Bx(d)|0;if(h){e=h;g=c;while(1){e=e+-1|0;n=b[d>>0]|0;b[g>>0]=n<<24>>24==49?48:n<<24>>24==48?49:n;if(!e)break;else{d=d+1|0;g=g+1|0}}c=c+h|0}b[c>>0]=0;break}default:{}}while(0);f[a>>2]=-1e3}while(0);if((f[m>>2]|0)<=0)return;Mv(f[k+(l*344|0)+88>>2]|0);return}function hu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!(f[55593]|0)){ju(gb(0)|0);f[55593]=1}f[55570]=a;f[55571]=b;j=a-(f[55576]|0)|0;e=f[55567]|0;if((e|0)<=0){j=f[55569]|0;iu(j);return}g=f[55566]|0;h=f[55574]|0;i=0;do{a=f[g+(i*344|0)>>2]|0;a:do if(!((a|0)>0|(a|0)==-1e3)){b=0-a|0;a=X(f[h+(b*124|0)+88>>2]|0,j)|0;c=h+(b*124|0)+116|0;d=g+(i*344|0)+84|0;f[d>>2]=(f[c>>2]|0)+a;switch(f[g+(i*344|0)+52>>2]|0){case 262:{f[g+(i*344|0)+88>>2]=(f[h+(b*124|0)+120>>2]|0)+(j<<2);f[d>>2]=0;break a}case 261:{f[g+(i*344|0)+88>>2]=(f[h+(b*124|0)+120>>2]|0)+(j<<2);f[d>>2]=(f[c>>2]|0)+j;break a}case 258:{f[g+(i*344|0)+88>>2]=(f[h+(b*124|0)+120>>2]|0)+a;break a}case 259:{f[g+(i*344|0)+88>>2]=(f[h+(b*124|0)+120>>2]|0)+(a<<2);break a}case 260:{f[g+(i*344|0)+88>>2]=(f[h+(b*124|0)+120>>2]|0)+(a<<3);break a}default:break a}}while(0);i=i+1|0}while((i|0)<(e|0));j=f[55569]|0;iu(j);return}function iu(a){a=a|0;var b=0,c=0,d=0,e=0;if(f[55581]|0)return;b=f[55566]|0;c=b+(a*344|0)|0;if((f[c>>2]|0)<=0)return;d=f[b+(a*344|0)+8>>2]|0;while(1){if(!d)break;d=d+-1|0;iu(f[b+(a*344|0)+12+(d<<2)>>2]|0);if(f[55581]|0){e=7;break}}if((e|0)==7)return;ub[f[b+(a*344|0)+4>>2]&15](c);return}function ju(a){a=a|0;bz(a);return}function ku(){return +(+(cz()|0)*4.656612873077393e-10)}function lu(){var a=0.0,b=0.0,c=0.0;if(!(f[55594]|0)){b=+(cz()|0)*4.656612873077393e-10;b=+L(+(+V(+b)*-2.0));a=+(cz()|0)*4.656612873077393e-10*6.283185307179586;c=b*+N(+a);p[26581]=c;f[55594]=1;a=b*+O(+a);return +a}else{f[55594]=0;c=+p[26581];return +c}return 0.0}function mu(a){a=+a;var b=0,c=0.0;a=a<0.0?0.0:a;if(!(a<15.0)){b=nu(a)|0;return b|0}a=+U(+-a);b=0;c=1.0;while(1){c=c*(+(cz()|0)*4.656612873077393e-10);if(!(c>a))break;else b=b+1|0}return b|0}function nu(a){a=+a;var b=0.0,c=0.0,d=0.0,e=0;if(+p[10]!=a){d=3.141592653589793/+L(+(a*3.0));p[26582]=d;p[26583]=d*a;d=+V(+(.767-3.36/a))-a-+V(+d);p[26584]=d;p[10]=a}do{do{b=+(cz()|0)*4.656612873077393e-10;b=+p[26583]-+V(+((1.0-b)/b));b=b/+p[26582];e=~~+J(+(b+.5))}while((e|0)<0);c=+(cz()|0)*4.656612873077393e-10;d=+p[26583]-b*+p[26582];b=+U(+d)+1.0;b=d+ +V(+(c/(b*b)));c=+p[26584]+ +(e|0)*+V(+a);if((e|0)>254){d=+(e+1|0);d=1.0/(d*12.0)+((d+-.5)*+V(+d)-d+.9189385332046727)}else d=+p[88+(e<<3)>>3]}while(!(b<=c-d));return e|0}function ou(a,c,e,g,h,i,k,l){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0;if(!k){a=-6;return a|0}if((l|0)!=56|(b[k>>0]|0)!=49){a=-6;return a|0}if(!a){a=-2;return a|0}q=a+24|0;f[q>>2]=0;p=a+32|0;l=f[p>>2]|0;if(!l){f[p>>2]=43;f[a+40>>2]=0;l=43}k=a+36|0;if(!(f[k>>2]|0))f[k>>2]=1;o=(c|0)==-1?6:c;if((g|0)<0){c=0-g|0;n=0}else{n=(g|0)>15;c=n?g+-16|0:g;n=n?2:1}if(i>>>0>4|(o>>>0>9|((e|0)!=8|(h+-1|0)>>>0>8|(c&-8|0)!=8))){a=-2;return a|0}k=(c|0)==8;if(k&(n|0)!=1){a=-2;return a|0}k=k?9:c;c=a+40|0;g=rb[l&63](f[c>>2]|0,1,5828)|0;if(!g){a=-4;return a|0}m=a+28|0;f[m>>2]=g;f[g>>2]=a;e=g+4|0;f[e>>2]=42;f[g+24>>2]=n;f[g+28>>2]=0;f[g+48>>2]=k;r=1<<k;n=g+44|0;f[n>>2]=r;f[g+52>>2]=r+-1;s=h+7|0;f[g+80>>2]=s;s=1<<s;k=g+76|0;f[k>>2]=s;f[g+84>>2]=s+-1;f[g+88>>2]=((h+9|0)>>>0)/3|0;r=rb[f[p>>2]&63](f[c>>2]|0,r,2)|0;s=g+56|0;f[s>>2]=r;n=rb[f[p>>2]&63](f[c>>2]|0,f[n>>2]|0,2)|0;r=g+64|0;f[r>>2]=n;k=rb[f[p>>2]&63](f[c>>2]|0,f[k>>2]|0,2)|0;n=g+68|0;f[n>>2]=k;f[g+5824>>2]=0;k=1<<h+6;l=g+5788|0;f[l>>2]=k;k=rb[f[p>>2]&63](f[c>>2]|0,k,4)|0;f[g+8>>2]=k;l=f[l>>2]|0;f[g+12>>2]=l<<2;if((f[s>>2]|0?f[r>>2]|0:0)?!((f[n>>2]|0)==0|(k|0)==0):0){f[g+5796>>2]=k+(l>>>1<<1);f[g+5784>>2]=k+(l*3|0);f[g+132>>2]=o;f[g+136>>2]=i;b[g+36>>0]=8;l=qu(a)|0;if(l|0){s=l;return s|0}s=f[m>>2]|0;f[s+60>>2]=f[s+44>>2]<<1;a=f[s+68>>2]|0;r=(f[s+76>>2]|0)+-1|0;d[a+(r<<1)>>1]=0;Fz(a|0,0,r<<1|0)|0;r=f[s+132>>2]|0;f[s+128>>2]=j[7584+(r*12|0)+2>>1];f[s+140>>2]=j[7584+(r*12|0)>>1];f[s+144>>2]=j[7584+(r*12|0)+4>>1];f[s+124>>2]=j[7584+(r*12|0)+6>>1];f[s+108>>2]=0;f[s+92>>2]=0;f[s+116>>2]=0;f[s+5812>>2]=0;f[s+120>>2]=2;f[s+96>>2]=2;f[s+104>>2]=0;f[s+72>>2]=0;s=0;return s|0}f[e>>2]=666;f[q>>2]=f[2084];pu(a)|0;s=-4;return s|0}function pu(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;if(!a){h=-2;return h|0}if(!(f[a+32>>2]|0)){h=-2;return h|0}h=a+36|0;c=f[h>>2]|0;if(!c){h=-2;return h|0}g=a+28|0;b=f[g>>2]|0;if(!b){h=-2;return h|0}if((f[b>>2]|0)!=(a|0)){h=-2;return h|0}e=f[b+4>>2]|0;switch(e|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{h=-2;return h|0}}d=f[b+8>>2]|0;if(d){vb[c&3](f[a+40>>2]|0,d);b=f[g>>2]|0}c=f[b+68>>2]|0;if(c){vb[f[h>>2]&3](f[a+40>>2]|0,c);b=f[g>>2]|0}c=f[b+64>>2]|0;if(c){vb[f[h>>2]&3](f[a+40>>2]|0,c);b=f[g>>2]|0}c=f[b+56>>2]|0;if(!c){c=b;b=a+40|0}else{b=a+40|0;vb[f[h>>2]&3](f[b>>2]|0,c);c=f[g>>2]|0}vb[f[h>>2]&3](f[b>>2]|0,c);f[g>>2]=0;h=(e|0)==113?-3:0;return h|0}function qu(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if(!a){a=-2;return a|0}if(!(f[a+32>>2]|0)){a=-2;return a|0}if(!(f[a+36>>2]|0)){a=-2;return a|0}g=f[a+28>>2]|0;if(!g){a=-2;return a|0}if((f[g>>2]|0)!=(a|0)){a=-2;return a|0}e=g+4|0;switch(f[e>>2]|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{a=-2;return a|0}}f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;f[a+44>>2]=2;f[g+20>>2]=0;f[g+16>>2]=f[g+8>>2];d=g+24|0;b=f[d>>2]|0;c=0-b|0;if((b|0)<0){f[d>>2]=c;b=c}d=(b|0)==2;f[e>>2]=d?57:b|0?42:113;if(d)b=iv(0,0,0)|0;else b=gv(0,0,0)|0;f[a+48>>2]=b;f[g+40>>2]=0;Fu(g);a=0;return a|0}function ru(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;A=a+12|0;n=(f[A>>2]|0)+-5|0;B=a+44|0;d=f[B>>2]|0;n=n>>>0>d>>>0?d:n;d=f[a>>2]|0;t=f[d+4>>2]|0;z=a+5820|0;y=a+108|0;E=a+92|0;o=(c|0)!=4;p=(c|0)==0;C=(c|0)==4;r=a+8|0;q=a+20|0;F=a+56|0;g=(f[z>>2]|0)+42>>3;e=f[d+16>>2]|0;a:do if(e>>>0<g>>>0)h=0;else{h=0;do{m=e-g|0;l=(f[y>>2]|0)-(f[E>>2]|0)|0;e=l+(f[d+4>>2]|0)|0;k=e>>>0<65535?e:65535;k=k>>>0>m>>>0?m:k;if(k>>>0<n>>>0?!((k|0)==(e|0)&((p|o&(k|0)==0)^1)):0)break a;m=C&(k|0)==(e|0);h=m&1;Hu(a,0,0,h);b[(f[r>>2]|0)+((f[q>>2]|0)+-4)>>0]=k;b[(f[r>>2]|0)+((f[q>>2]|0)+-3)>>0]=k>>>8;e=~k;b[(f[r>>2]|0)+((f[q>>2]|0)+-2)>>0]=e;b[(f[r>>2]|0)+((f[q>>2]|0)+-1)>>0]=e>>>8;e=f[a>>2]|0;g=f[e+28>>2]|0;Iu(g);j=g+20|0;d=f[j>>2]|0;i=e+16|0;H=f[i>>2]|0;d=d>>>0>H>>>0?H:d;if(d|0?(H=e+12|0,s=g+16|0,Lz(f[H>>2]|0,f[s>>2]|0,d|0)|0,f[H>>2]=(f[H>>2]|0)+d,f[s>>2]=(f[s>>2]|0)+d,H=e+20|0,f[H>>2]=(f[H>>2]|0)+d,f[i>>2]=(f[i>>2]|0)-d,H=(f[j>>2]|0)-d|0,f[j>>2]=H,(H|0)==0):0)f[s>>2]=f[g+8>>2];if(l){H=l>>>0>k>>>0?k:l;Lz(f[(f[a>>2]|0)+12>>2]|0,(f[F>>2]|0)+(f[E>>2]|0)|0,H|0)|0;l=f[a>>2]|0;j=l+12|0;f[j>>2]=(f[j>>2]|0)+H;j=l+16|0;f[j>>2]=(f[j>>2]|0)-H;l=l+20|0;f[l>>2]=(f[l>>2]|0)+H;f[E>>2]=(f[E>>2]|0)+H;k=k-H|0}if(k|0){e=f[a>>2]|0;d=f[e+12>>2]|0;i=e+4|0;g=f[i>>2]|0;j=g>>>0>k>>>0?k:g;if(j){f[i>>2]=g-j;Lz(d|0,f[e>>2]|0,j|0)|0;switch(f[(f[e+28>>2]|0)+24>>2]|0){case 1:{D=e+48|0;g=D;d=gv(f[D>>2]|0,d,j)|0;D=14;break}case 2:{D=e+48|0;g=D;d=iv(f[D>>2]|0,d,j)|0;D=14;break}default:{}}if((D|0)==14){D=0;f[g>>2]=d}f[e>>2]=(f[e>>2]|0)+j;d=e+8|0;f[d>>2]=(f[d>>2]|0)+j;d=f[a>>2]|0;e=d;d=f[d+12>>2]|0}f[e+12>>2]=d+k;H=e+16|0;f[H>>2]=(f[H>>2]|0)-k;H=e+20|0;f[H>>2]=(f[H>>2]|0)+k}d=f[a>>2]|0;if(m)break a;g=(f[z>>2]|0)+42>>3;e=f[d+16>>2]|0}while(e>>>0>=g>>>0)}while(0);g=t-(f[d+4>>2]|0)|0;if(!g)d=f[y>>2]|0;else{e=f[B>>2]|0;if(g>>>0<e>>>0){d=f[y>>2]|0;if(((f[a+60>>2]|0)-d|0)>>>0<=g>>>0?(v=d-e|0,f[y>>2]=v,u=f[F>>2]|0,Lz(u|0,u+e|0,v|0)|0,v=a+5808|0,u=f[v>>2]|0,u>>>0<2):0)f[v>>2]=u+1;Lz((f[F>>2]|0)+(f[y>>2]|0)|0,(f[f[a>>2]>>2]|0)+(0-g)|0,g|0)|0;d=(f[y>>2]|0)+g|0;f[y>>2]=d;e=f[B>>2]|0}else{f[a+5808>>2]=2;Lz(f[F>>2]|0,(f[d>>2]|0)+(0-e)|0,e|0)|0;e=f[B>>2]|0;f[y>>2]=e;d=e}f[E>>2]=d;H=a+5812|0;v=f[H>>2]|0;u=e-v|0;f[H>>2]=(g>>>0>u>>>0?u:g)+v}j=a+5824|0;if((f[j>>2]|0)>>>0<d>>>0)f[j>>2]=d;if(h|0){H=3;return H|0}k=(c|0)!=0;g=f[a>>2]|0;e=f[g+4>>2]|0;switch(c|0){case 0:case 4:break;default:if((e|0)==0?(d|0)==(f[E>>2]|0):0){H=1;return H|0}}i=(f[a+60>>2]|0)-d+-1|0;if(e>>>0>i>>>0?(w=f[E>>2]|0,x=f[B>>2]|0,(w|0)>=(x|0)):0){f[E>>2]=w-x;e=d-x|0;f[y>>2]=e;d=f[F>>2]|0;Lz(d|0,d+x|0,e|0)|0;e=a+5808|0;d=f[e>>2]|0;if(d>>>0<2)f[e>>2]=d+1;h=f[a>>2]|0;e=f[h+4>>2]|0;d=(f[B>>2]|0)+i|0}else{h=g;d=i}g=d>>>0>e>>>0?e:d;if(!g)d=f[y>>2]|0;else{d=(f[F>>2]|0)+(f[y>>2]|0)|0;f[h+4>>2]=e-g;Lz(d|0,f[h>>2]|0,g|0)|0;switch(f[(f[h+28>>2]|0)+24>>2]|0){case 1:{D=h+48|0;e=D;d=gv(f[D>>2]|0,d,g)|0;D=44;break}case 2:{D=h+48|0;e=D;d=iv(f[D>>2]|0,d,g)|0;D=44;break}default:{}}if((D|0)==44)f[e>>2]=d;f[h>>2]=(f[h>>2]|0)+g;d=h+8|0;f[d>>2]=(f[d>>2]|0)+g;d=(f[y>>2]|0)+g|0;f[y>>2]=d}if((f[j>>2]|0)>>>0<d>>>0)f[j>>2]=d;g=(f[A>>2]|0)-((f[z>>2]|0)+42>>3)|0;g=g>>>0<65535?g:65535;H=f[B>>2]|0;h=f[E>>2]|0;d=d-h|0;if(d>>>0<(g>>>0>H>>>0?H:g)>>>0)if(k&(C|(d|0)!=0)?!(d>>>0>g>>>0?1:(f[(f[a>>2]|0)+4>>2]|0)!=0):0)D=51;else d=0;else D=51;if((D|0)==51){e=d>>>0>g>>>0?g:d;if(C)d=d>>>0<=g>>>0?(f[(f[a>>2]|0)+4>>2]|0)==0:0;else d=0;d=d&1;Hu(a,(f[F>>2]|0)+h|0,e,d);f[E>>2]=(f[E>>2]|0)+e;g=f[a>>2]|0;h=f[g+28>>2]|0;Iu(h);j=h+20|0;e=f[j>>2]|0;i=g+16|0;H=f[i>>2]|0;e=e>>>0>H>>>0?H:e;if((e|0)!=0?(H=g+12|0,G=h+16|0,Lz(f[H>>2]|0,f[G>>2]|0,e|0)|0,f[H>>2]=(f[H>>2]|0)+e,f[G>>2]=(f[G>>2]|0)+e,H=g+20|0,f[H>>2]=(f[H>>2]|0)+e,f[i>>2]=(f[i>>2]|0)-e,H=(f[j>>2]|0)-e|0,f[j>>2]=H,(H|0)==0):0)f[G>>2]=f[h+8>>2]}H=d|0?2:0;return H|0}function su(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;z=a+116|0;t=(c|0)==0;x=a+72|0;v=a+88|0;I=a+56|0;K=a+108|0;u=a+84|0;w=a+68|0;E=a+64|0;F=a+52|0;G=a+44|0;A=a+96|0;r=a+5784|0;s=a+5796|0;B=a+112|0;H=a+5792|0;y=a+5788|0;C=a+128|0;J=a+92|0;while(1){if((f[z>>2]|0)>>>0<262){uu(a);e=f[z>>2]|0;if(t&e>>>0<262){e=0;g=39;break}if(!e){g=24;break}if(e>>>0<=2)g=9;else g=6}else g=6;if((g|0)==6){g=0;q=f[K>>2]|0;o=((h[(f[I>>2]|0)+(q+2)>>0]|0)^f[x>>2]<<f[v>>2])&f[u>>2];f[x>>2]=o;o=(f[w>>2]|0)+(o<<1)|0;p=d[o>>1]|0;d[(f[E>>2]|0)+((f[F>>2]&q)<<1)>>1]=p;e=p&65535;d[o>>1]=q;if(p<<16>>16!=0?(q-e|0)>>>0<=((f[G>>2]|0)+-262|0)>>>0:0){i=vu(a,e)|0;f[A>>2]=i}else g=9}if((g|0)==9)i=f[A>>2]|0;e=f[r>>2]|0;g=f[s>>2]|0;do if(i>>>0>2){p=i+253|0;q=(f[K>>2]|0)-(f[B>>2]|0)|0;o=f[H>>2]|0;d[g+(o<<1)>>1]=q;f[H>>2]=o+1;b[e+o>>0]=p;e=a+148+((h[108178+(p&255)>>0]|0|256)+1<<2)|0;d[e>>1]=(d[e>>1]|0)+1<<16>>16;q=q+65535&65535;q=a+2440+((h[107666+(q>>>0<256?q:(q>>>7)+256|0)>>0]|0)<<2)|0;d[q>>1]=(d[q>>1]|0)+1<<16>>16;q=(f[H>>2]|0)==((f[y>>2]|0)+-1|0)&1;e=f[A>>2]|0;p=(f[z>>2]|0)-e|0;f[z>>2]=p;if(!(p>>>0>2?e>>>0<=(f[C>>2]|0)>>>0:0)){i=(f[K>>2]|0)+e|0;f[K>>2]=i;f[A>>2]=0;p=f[I>>2]|0;e=h[p+i>>0]|0;f[x>>2]=e;f[x>>2]=((h[p+(i+1)>>0]|0)^e<<f[v>>2])&f[u>>2];e=q;break}o=e+-1|0;f[A>>2]=o;e=f[v>>2]|0;g=f[I>>2]|0;i=f[u>>2]|0;j=f[w>>2]|0;k=f[E>>2]|0;l=f[F>>2]|0;m=f[K>>2]|0;n=f[x>>2]|0;while(1){p=m+1|0;f[K>>2]=p;n=((h[g+(m+3)>>0]|0)^n<<e)&i;f[x>>2]=n;N=j+(n<<1)|0;d[k+((l&p)<<1)>>1]=d[N>>1]|0;d[N>>1]=p;o=o+-1|0;f[A>>2]=o;if(!o)break;else m=p}i=m+2|0;f[K>>2]=i;e=q}else{i=b[(f[I>>2]|0)+(f[K>>2]|0)>>0]|0;N=f[H>>2]|0;d[g+(N<<1)>>1]=0;f[H>>2]=N+1;b[e+N>>0]=i;e=a+148+((i&255)<<2)|0;d[e>>1]=(d[e>>1]|0)+1<<16>>16;e=(f[H>>2]|0)==((f[y>>2]|0)+-1|0)&1;f[z>>2]=(f[z>>2]|0)+-1;i=(f[K>>2]|0)+1|0;f[K>>2]=i}while(0);if(!e)continue;e=f[J>>2]|0;if((e|0)>-1)g=(f[I>>2]|0)+e|0;else g=0;Ku(a,g,i-e|0,0);f[J>>2]=f[K>>2];g=f[a>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;N=f[j>>2]|0;e=e>>>0>N>>>0?N:e;if(e|0?(N=g+12|0,D=i+16|0,Lz(f[N>>2]|0,f[D>>2]|0,e|0)|0,f[N>>2]=(f[N>>2]|0)+e,f[D>>2]=(f[D>>2]|0)+e,N=g+20|0,f[N>>2]=(f[N>>2]|0)+e,f[j>>2]=(f[j>>2]|0)-e,N=(f[k>>2]|0)-e|0,f[k>>2]=N,(N|0)==0):0)f[D>>2]=f[i+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){e=0;g=39;break}}if((g|0)==24){i=f[K>>2]|0;f[a+5812>>2]=i>>>0<2?i:2;if((c|0)==4){g=f[J>>2]|0;if((g|0)>-1)e=(f[I>>2]|0)+g|0;else e=0;Ku(a,e,i-g|0,1);f[J>>2]=f[K>>2];g=f[a>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;N=f[j>>2]|0;e=e>>>0>N>>>0?N:e;if(e|0?(N=g+12|0,L=i+16|0,Lz(f[N>>2]|0,f[L>>2]|0,e|0)|0,f[N>>2]=(f[N>>2]|0)+e,f[L>>2]=(f[L>>2]|0)+e,N=g+20|0,f[N>>2]=(f[N>>2]|0)+e,f[j>>2]=(f[j>>2]|0)-e,N=(f[k>>2]|0)-e|0,f[k>>2]=N,(N|0)==0):0)f[L>>2]=f[i+8>>2];N=(f[(f[a>>2]|0)+16>>2]|0)==0?2:3;return N|0}if(f[H>>2]|0){g=f[J>>2]|0;if((g|0)>-1)e=(f[I>>2]|0)+g|0;else e=0;Ku(a,e,i-g|0,0);f[J>>2]=f[K>>2];g=f[a>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;N=f[j>>2]|0;e=e>>>0>N>>>0?N:e;if(e|0?(N=g+12|0,M=i+16|0,Lz(f[N>>2]|0,f[M>>2]|0,e|0)|0,f[N>>2]=(f[N>>2]|0)+e,f[M>>2]=(f[M>>2]|0)+e,N=g+20|0,f[N>>2]=(f[N>>2]|0)+e,f[j>>2]=(f[j>>2]|0)-e,N=(f[k>>2]|0)-e|0,f[k>>2]=N,(N|0)==0):0)f[M>>2]=f[i+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){N=0;return N|0}}N=1;return N|0}else if((g|0)==39)return e|0;return 0}function tu(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0;u=a+116|0;m=(c|0)==0;r=a+72|0;p=a+88|0;I=a+56|0;K=a+108|0;o=a+84|0;q=a+68|0;B=a+64|0;F=a+52|0;w=a+96|0;C=a+120|0;x=a+112|0;D=a+100|0;n=a+5796|0;H=a+5792|0;s=a+5784|0;t=a+5788|0;v=a+104|0;J=a+92|0;y=a+128|0;G=a+44|0;E=a+136|0;a:while(1){e=f[u>>2]|0;while(1){if(e>>>0<262){uu(a);e=f[u>>2]|0;if(m&e>>>0<262){e=0;i=55;break a}if(!e){i=38;break a}if(e>>>0<=2){f[C>>2]=f[w>>2];f[D>>2]=f[x>>2];f[w>>2]=2;e=2;i=16}else i=8}else i=8;do if((i|0)==8){i=0;k=f[K>>2]|0;e=((h[(f[I>>2]|0)+(k+2)>>0]|0)^f[r>>2]<<f[p>>2])&f[o>>2];f[r>>2]=e;e=(f[q>>2]|0)+(e<<1)|0;l=d[e>>1]|0;d[(f[B>>2]|0)+((f[F>>2]&k)<<1)>>1]=l;g=l&65535;d[e>>1]=k;e=f[w>>2]|0;f[C>>2]=e;f[D>>2]=f[x>>2];f[w>>2]=2;if(l<<16>>16)if(e>>>0<(f[y>>2]|0)>>>0)if(((f[K>>2]|0)-g|0)>>>0<=((f[G>>2]|0)+-262|0)>>>0){e=vu(a,g)|0;f[w>>2]=e;if(e>>>0<6){if((f[E>>2]|0)!=1){if((e|0)!=3){i=16;break}if(((f[K>>2]|0)-(f[x>>2]|0)|0)>>>0<=4096){e=3;i=16;break}}f[w>>2]=2;e=2;i=16}else i=16}else{e=2;i=16}else{g=e;e=2}else{e=2;i=16}}while(0);if((i|0)==16)g=f[C>>2]|0;if(!(g>>>0<3|e>>>0>g>>>0))break;if(!(f[v>>2]|0)){f[v>>2]=1;f[K>>2]=(f[K>>2]|0)+1;e=(f[u>>2]|0)+-1|0;f[u>>2]=e;continue}l=b[(f[I>>2]|0)+((f[K>>2]|0)+-1)>>0]|0;k=f[H>>2]|0;d[(f[n>>2]|0)+(k<<1)>>1]=0;j=f[s>>2]|0;f[H>>2]=k+1;b[j+k>>0]=l;l=a+148+((l&255)<<2)|0;d[l>>1]=(d[l>>1]|0)+1<<16>>16;if((f[H>>2]|0)==((f[t>>2]|0)+-1|0)){e=f[J>>2]|0;if((e|0)>-1)g=(f[I>>2]|0)+e|0;else g=0;Ku(a,g,(f[K>>2]|0)-e|0,0);f[J>>2]=f[K>>2];g=f[a>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;l=f[j>>2]|0;e=e>>>0>l>>>0?l:e;if(e|0?(l=g+12|0,A=i+16|0,Lz(f[l>>2]|0,f[A>>2]|0,e|0)|0,f[l>>2]=(f[l>>2]|0)+e,f[A>>2]=(f[A>>2]|0)+e,l=g+20|0,f[l>>2]=(f[l>>2]|0)+e,f[j>>2]=(f[j>>2]|0)-e,l=(f[k>>2]|0)-e|0,f[k>>2]=l,(l|0)==0):0)f[A>>2]=f[i+8>>2]}f[K>>2]=(f[K>>2]|0)+1;e=(f[u>>2]|0)+-1|0;f[u>>2]=e;if(!(f[(f[a>>2]|0)+16>>2]|0)){e=0;i=55;break a}}j=f[K>>2]|0;l=j+-3+(f[u>>2]|0)|0;k=g+253|0;j=j+65535-(f[D>>2]|0)|0;g=f[H>>2]|0;d[(f[n>>2]|0)+(g<<1)>>1]=j;e=f[s>>2]|0;f[H>>2]=g+1;b[e+g>>0]=k;k=a+148+((h[108178+(k&255)>>0]|0|256)+1<<2)|0;d[k>>1]=(d[k>>1]|0)+1<<16>>16;j=j+65535&65535;j=a+2440+((h[107666+(j>>>0<256?j:(j>>>7)+256|0)>>0]|0)<<2)|0;d[j>>1]=(d[j>>1]|0)+1<<16>>16;j=f[H>>2]|0;k=(f[t>>2]|0)+-1|0;g=f[C>>2]|0;f[u>>2]=1-g+(f[u>>2]|0);g=g+-2|0;f[C>>2]=g;e=f[K>>2]|0;while(1){i=e+1|0;f[K>>2]=i;if(i>>>0<=l>>>0){N=((h[(f[I>>2]|0)+(e+3)>>0]|0)^f[r>>2]<<f[p>>2])&f[o>>2];f[r>>2]=N;N=(f[q>>2]|0)+(N<<1)|0;d[(f[B>>2]|0)+((f[F>>2]&i)<<1)>>1]=d[N>>1]|0;d[N>>1]=i}g=g+-1|0;f[C>>2]=g;if(!g)break;else e=i}f[v>>2]=0;f[w>>2]=2;i=e+2|0;f[K>>2]=i;if((j|0)!=(k|0))continue;e=f[J>>2]|0;if((e|0)>-1)g=(f[I>>2]|0)+e|0;else g=0;Ku(a,g,i-e|0,0);f[J>>2]=f[K>>2];g=f[a>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;N=f[j>>2]|0;e=e>>>0>N>>>0?N:e;if(e|0?(N=g+12|0,z=i+16|0,Lz(f[N>>2]|0,f[z>>2]|0,e|0)|0,f[N>>2]=(f[N>>2]|0)+e,f[z>>2]=(f[z>>2]|0)+e,N=g+20|0,f[N>>2]=(f[N>>2]|0)+e,f[j>>2]=(f[j>>2]|0)-e,N=(f[k>>2]|0)-e|0,f[k>>2]=N,(N|0)==0):0)f[z>>2]=f[i+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){e=0;i=55;break}}if((i|0)==38){if(f[v>>2]|0){N=b[(f[I>>2]|0)+((f[K>>2]|0)+-1)>>0]|0;G=f[H>>2]|0;d[(f[n>>2]|0)+(G<<1)>>1]=0;F=f[s>>2]|0;f[H>>2]=G+1;b[F+G>>0]=N;N=a+148+((N&255)<<2)|0;d[N>>1]=(d[N>>1]|0)+1<<16>>16;f[v>>2]=0}i=f[K>>2]|0;f[a+5812>>2]=i>>>0<2?i:2;if((c|0)==4){g=f[J>>2]|0;if((g|0)>-1)e=(f[I>>2]|0)+g|0;else e=0;Ku(a,e,i-g|0,1);f[J>>2]=f[K>>2];g=f[a>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;N=f[j>>2]|0;e=e>>>0>N>>>0?N:e;if(e|0?(N=g+12|0,L=i+16|0,Lz(f[N>>2]|0,f[L>>2]|0,e|0)|0,f[N>>2]=(f[N>>2]|0)+e,f[L>>2]=(f[L>>2]|0)+e,N=g+20|0,f[N>>2]=(f[N>>2]|0)+e,f[j>>2]=(f[j>>2]|0)-e,N=(f[k>>2]|0)-e|0,f[k>>2]=N,(N|0)==0):0)f[L>>2]=f[i+8>>2];N=(f[(f[a>>2]|0)+16>>2]|0)==0?2:3;return N|0}if(f[H>>2]|0){g=f[J>>2]|0;if((g|0)>-1)e=(f[I>>2]|0)+g|0;else e=0;Ku(a,e,i-g|0,0);f[J>>2]=f[K>>2];g=f[a>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;N=f[j>>2]|0;e=e>>>0>N>>>0?N:e;if(e|0?(N=g+12|0,M=i+16|0,Lz(f[N>>2]|0,f[M>>2]|0,e|0)|0,f[N>>2]=(f[N>>2]|0)+e,f[M>>2]=(f[M>>2]|0)+e,N=g+20|0,f[N>>2]=(f[N>>2]|0)+e,f[j>>2]=(f[j>>2]|0)-e,N=(f[k>>2]|0)-e|0,f[k>>2]=N,(N|0)==0):0)f[M>>2]=f[i+8>>2];if(!(f[(f[a>>2]|0)+16>>2]|0)){N=0;return N|0}}N=1;return N|0}else if((i|0)==55)return e|0;return 0}function uu(a){a=a|0;var b=0,c=0,e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0;y=a+44|0;m=f[y>>2]|0;A=a+60|0;B=a+116|0;C=a+108|0;w=m+-262|0;D=a+56|0;t=a+5812|0;s=a+72|0;p=a+88|0;o=a+84|0;r=a+68|0;v=a+64|0;x=a+52|0;u=a+112|0;n=a+92|0;q=a+76|0;b=f[B>>2]|0;e=m;while(1){c=f[C>>2]|0;i=(f[A>>2]|0)-b-c|0;if(c>>>0<(w+e|0)>>>0){b=c;e=i}else{g=f[D>>2]|0;Lz(g|0,g+m|0,m-i|0)|0;f[u>>2]=(f[u>>2]|0)-m;g=(f[C>>2]|0)-m|0;f[C>>2]=g;f[n>>2]=(f[n>>2]|0)-m;e=f[y>>2]|0;c=f[q>>2]|0;b=c;c=(f[r>>2]|0)+(c<<1)|0;do{c=c+-2|0;l=j[c>>1]|0;d[c>>1]=l>>>0<e>>>0?0:l-e&65535;b=b+-1|0}while((b|0)!=0);b=e;c=(f[v>>2]|0)+(e<<1)|0;do{c=c+-2|0;l=j[c>>1]|0;d[c>>1]=l>>>0<e>>>0?0:l-e&65535;b=b+-1|0}while((b|0)!=0);b=g;e=i+m|0}l=f[a>>2]|0;k=l+4|0;g=f[k>>2]|0;if(!g)break;c=f[B>>2]|0;i=(f[D>>2]|0)+b+c|0;b=g>>>0>e>>>0?e:g;if(!b)b=0;else{f[k>>2]=g-b;Lz(i|0,f[l>>2]|0,b|0)|0;switch(f[(f[l+28>>2]|0)+24>>2]|0){case 1:{c=l+48|0;e=c;c=gv(f[c>>2]|0,i,b)|0;z=13;break}case 2:{c=l+48|0;e=c;c=iv(f[c>>2]|0,i,b)|0;z=13;break}default:{}}if((z|0)==13){z=0;f[e>>2]=c}f[l>>2]=(f[l>>2]|0)+b;c=l+8|0;f[c>>2]=(f[c>>2]|0)+b;c=f[B>>2]|0}b=c+b|0;f[B>>2]=b;c=f[t>>2]|0;a:do if((c+b|0)>>>0>2){g=(f[C>>2]|0)-c|0;i=f[D>>2]|0;e=h[i+g>>0]|0;f[s>>2]=e;k=f[p>>2]|0;l=f[o>>2]|0;e=((h[i+(g+1)>>0]|0)^e<<k)&l;f[s>>2]=e;while(1){if(!c)break a;e=((h[i+(g+2)>>0]|0)^e<<k)&l;f[s>>2]=e;E=(f[r>>2]|0)+(e<<1)|0;d[(f[v>>2]|0)+((f[x>>2]&g)<<1)>>1]=d[E>>1]|0;d[E>>1]=g;c=c+-1|0;f[t>>2]=c;if((b+c|0)>>>0<3)break;else g=g+1|0}}while(0);if(b>>>0>=262)break;if(!(f[(f[a>>2]|0)+4>>2]|0))break;e=f[y>>2]|0}g=a+5824|0;e=f[g>>2]|0;c=f[A>>2]|0;if(c>>>0<=e>>>0)return;b=(f[B>>2]|0)+(f[C>>2]|0)|0;do if(e>>>0>=b>>>0){b=b+258|0;if(b>>>0>e>>>0){b=b-e|0;E=c-e|0;b=b>>>0>E>>>0?E:b;Fz((f[D>>2]|0)+e|0,0,b|0)|0;b=(f[g>>2]|0)+b|0;break}else return}else{E=c-b|0;E=E>>>0<258?E:258;Fz((f[D>>2]|0)+b|0,0,E|0)|0;b=E+b|0}while(0);f[g>>2]=b;return}function vu(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;l=f[a+124>>2]|0;n=f[a+56>>2]|0;o=f[a+108>>2]|0;q=n+o|0;k=f[a+120>>2]|0;m=f[a+144>>2]|0;v=(f[a+44>>2]|0)+-262|0;v=o>>>0>v>>>0?o-v|0:0;o=f[a+64>>2]|0;p=f[a+52>>2]|0;w=f[a+116>>2]|0;m=m>>>0>w>>>0?w:m;t=a+112|0;r=q+1|0;u=q+258|0;d=k;l=k>>>0<(f[a+140>>2]|0)>>>0?l:l>>>2;e=b[q+k>>0]|0;k=b[q+(k+-1)>>0]|0;while(1){a=n+c|0;if((((b[a+d>>0]|0)==e<<24>>24?(b[a+(d+-1)>>0]|0)==k<<24>>24:0)?(b[a>>0]|0)==(b[q>>0]|0):0)?(s=a+1|0,(b[s>>0]|0)==(b[r>>0]|0)):0){h=s;i=2;do{g=q+i|0;a=g+1|0;if((b[a>>0]|0)!=(b[h+2>>0]|0))break;a=g+2|0;if((b[a>>0]|0)!=(b[h+3>>0]|0))break;a=g+3|0;if((b[a>>0]|0)!=(b[h+4>>0]|0))break;a=g+4|0;if((b[a>>0]|0)!=(b[h+5>>0]|0))break;a=g+5|0;if((b[a>>0]|0)!=(b[h+6>>0]|0))break;a=g+6|0;if((b[a>>0]|0)!=(b[h+7>>0]|0))break;a=g+7|0;g=h;h=h+8|0;if((b[a>>0]|0)!=(b[h>>0]|0))break;i=i+8|0;a=q+i|0}while((i|0)<258?(b[a>>0]|0)==(b[g+9>>0]|0):0);g=a-u|0;a=g+258|0;if((a|0)>(d|0)){f[t>>2]=c;if((a|0)>=(m|0)){d=a;a=19;break}d=a;e=b[q+a>>0]|0;a=b[q+(g+257)>>0]|0}else a=k}else a=k;c=j[o+((c&p)<<1)>>1]|0;if(c>>>0<=v>>>0){a=19;break}l=l+-1|0;if(!l){a=19;break}else k=a}if((a|0)==19)return (d>>>0>w>>>0?w:d)|0;return 0}function wu(a){a=a|0;var b=0,c=0,e=0;b=qu(a)|0;if(b|0)return b|0;a=f[a+28>>2]|0;f[a+60>>2]=f[a+44>>2]<<1;e=f[a+68>>2]|0;c=(f[a+76>>2]|0)+-1|0;d[e+(c<<1)>>1]=0;Fz(e|0,0,c<<1|0)|0;c=f[a+132>>2]|0;f[a+128>>2]=j[7584+(c*12|0)+2>>1];f[a+140>>2]=j[7584+(c*12|0)>>1];f[a+144>>2]=j[7584+(c*12|0)+4>>1];f[a+124>>2]=j[7584+(c*12|0)+6>>1];f[a+108>>2]=0;f[a+92>>2]=0;f[a+116>>2]=0;f[a+5812>>2]=0;f[a+120>>2]=2;f[a+96>>2]=2;f[a+104>>2]=0;f[a+72>>2]=0;return b|0}function xu(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;if(!a){H=-2;return H|0}if(!(f[a+32>>2]|0)){H=-2;return H|0}if(!(f[a+36>>2]|0)){H=-2;return H|0}D=a+28|0;C=f[D>>2]|0;if(!C){H=-2;return H|0}if((f[C>>2]|0)!=(a|0)){H=-2;return H|0}z=C+4|0;e=f[z>>2]|0;switch(e|0){case 666:case 113:case 103:case 91:case 73:case 69:case 57:case 42:break;default:{H=-2;return H|0}}if(c>>>0>5){H=-2;return H|0}F=a+12|0;do if(f[F>>2]|0){u=a+4|0;i=(f[u>>2]|0)==0;if(!i?(f[a>>2]|0)==0:0)break;A=(c|0)!=4;if(!(A&(e|0)==666)){E=a+16|0;if(!(f[E>>2]|0)){f[a+24>>2]=f[2085];H=-5;return H|0}B=C+40|0;g=f[B>>2]|0;f[B>>2]=c;H=C+20|0;do if(!(f[H>>2]|0))if(i?A&((c<<1)-((c|0)>4?9:0)|0)<=((g<<1)-((g|0)>4?9:0)|0):0){f[a+24>>2]=f[2085];H=-5;return H|0}else i=0;else{Iu(C);g=f[H>>2]|0;e=f[E>>2]|0;j=g>>>0>e>>>0?e:g;if(j){i=C+16|0;Lz(f[F>>2]|0,f[i>>2]|0,j|0)|0;f[F>>2]=(f[F>>2]|0)+j;f[i>>2]=(f[i>>2]|0)+j;e=a+20|0;f[e>>2]=(f[e>>2]|0)+j;e=(f[E>>2]|0)-j|0;f[E>>2]=e;g=(f[H>>2]|0)-j|0;f[H>>2]=g;if(!g){f[i>>2]=f[C+8>>2];g=0}}if(e|0){e=f[z>>2]|0;i=g;break}f[B>>2]=-1;H=0;return H|0}while(0);a:do switch(e|0){case 666:{if(!(f[u>>2]|0))y=123;else{f[a+24>>2]=f[2085];H=-5;return H|0}break}case 42:{g=(f[C+48>>2]<<12)+-30720|0;if((f[C+136>>2]|0)<=1?(k=f[C+132>>2]|0,(k|0)>=2):0)e=(k|0)<6?64:(k|0)==6?128:192;else e=0;w=e|g;y=C+108|0;w=(f[y>>2]|0)==0?w:w|32;w=(((w>>>0)%31|0)^31)+w|0;g=C+8|0;x=f[g>>2]|0;f[H>>2]=i+1;b[x+i>>0]=w>>>8;x=f[g>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[x+e>>0]=w;e=a+48|0;if(f[y>>2]|0){x=f[e>>2]|0;w=f[g>>2]|0;y=f[H>>2]|0;f[H>>2]=y+1;b[w+y>>0]=x>>>24;y=f[g>>2]|0;w=f[H>>2]|0;f[H>>2]=w+1;b[y+w>>0]=x>>>16;w=f[e>>2]|0;y=f[g>>2]|0;x=f[H>>2]|0;f[H>>2]=x+1;b[y+x>>0]=w>>>8;x=f[g>>2]|0;y=f[H>>2]|0;f[H>>2]=y+1;b[x+y>>0]=w}g=gv(0,0,0)|0;f[e>>2]=g;f[z>>2]=113;g=f[D>>2]|0;Iu(g);i=g+20|0;e=f[i>>2]|0;y=f[E>>2]|0;e=e>>>0>y>>>0?y:e;if(e|0?(l=g+16|0,Lz(f[F>>2]|0,f[l>>2]|0,e|0)|0,f[F>>2]=(f[F>>2]|0)+e,f[l>>2]=(f[l>>2]|0)+e,y=a+20|0,f[y>>2]=(f[y>>2]|0)+e,f[E>>2]=(f[E>>2]|0)-e,y=(f[i>>2]|0)-e|0,f[i>>2]=y,(y|0)==0):0)f[l>>2]=f[g+8>>2];if(!(f[H>>2]|0)){e=f[z>>2]|0;y=39;break a}f[B>>2]=-1;H=0;return H|0}default:y=39}while(0);if((y|0)==39){do if((e|0)==57){j=iv(0,0,0)|0;i=a+48|0;f[i>>2]=j;j=C+8|0;g=f[j>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[g+e>>0]=31;e=f[j>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[e+g>>0]=-117;g=f[j>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[g+e>>0]=8;e=C+28|0;g=f[e>>2]|0;if(g|0){x=((f[g+44>>2]|0?2:0)|(f[g>>2]|0)!=0|((f[g+16>>2]|0)==0?0:4)|((f[g+28>>2]|0)==0?0:8)|((f[g+36>>2]|0)==0?0:16))&255;y=f[j>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[y+g>>0]=x;g=f[(f[e>>2]|0)+4>>2]&255;y=f[j>>2]|0;x=f[H>>2]|0;f[H>>2]=x+1;b[y+x>>0]=g;x=(f[(f[e>>2]|0)+4>>2]|0)>>>8&255;y=f[j>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[y+g>>0]=x;g=(f[(f[e>>2]|0)+4>>2]|0)>>>16&255;y=f[j>>2]|0;x=f[H>>2]|0;f[H>>2]=x+1;b[y+x>>0]=g;x=(f[(f[e>>2]|0)+4>>2]|0)>>>24&255;y=f[j>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[y+g>>0]=x;g=f[C+132>>2]|0;if((g|0)==9)g=2;else g=((g|0)<2?1:(f[C+136>>2]|0)>1)?4:0;y=f[j>>2]|0;x=f[H>>2]|0;f[H>>2]=x+1;b[y+x>>0]=g;x=f[(f[e>>2]|0)+12>>2]&255;y=f[j>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[y+g>>0]=x;g=f[e>>2]|0;if(f[g+16>>2]|0){g=f[g+20>>2]&255;y=f[j>>2]|0;x=f[H>>2]|0;f[H>>2]=x+1;b[y+x>>0]=g;x=(f[(f[e>>2]|0)+20>>2]|0)>>>8&255;y=f[j>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[y+g>>0]=x;g=f[e>>2]|0}if(f[g+44>>2]|0){y=iv(f[i>>2]|0,f[j>>2]|0,f[H>>2]|0)|0;f[i>>2]=y}f[C+32>>2]=0;f[z>>2]=69;y=59;break}y=f[j>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[y+e>>0]=0;e=f[j>>2]|0;y=f[H>>2]|0;f[H>>2]=y+1;b[e+y>>0]=0;y=f[j>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[y+e>>0]=0;e=f[j>>2]|0;y=f[H>>2]|0;f[H>>2]=y+1;b[e+y>>0]=0;y=f[j>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[y+e>>0]=0;e=f[C+132>>2]|0;if((e|0)==9)e=2;else e=((e|0)<2?1:(f[C+136>>2]|0)>1)?4:0;g=f[j>>2]|0;i=f[H>>2]|0;f[H>>2]=i+1;b[g+i>>0]=e;i=f[j>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[i+g>>0]=3;f[z>>2]=113;g=f[D>>2]|0;Iu(g);i=g+20|0;e=f[i>>2]|0;y=f[E>>2]|0;e=e>>>0>y>>>0?y:e;if(e|0?(m=g+16|0,Lz(f[F>>2]|0,f[m>>2]|0,e|0)|0,f[F>>2]=(f[F>>2]|0)+e,f[m>>2]=(f[m>>2]|0)+e,y=a+20|0,f[y>>2]=(f[y>>2]|0)+e,f[E>>2]=(f[E>>2]|0)-e,y=(f[i>>2]|0)-e|0,f[i>>2]=y,(y|0)==0):0)f[m>>2]=f[g+8>>2];if(!(f[H>>2]|0)){e=f[z>>2]|0;y=56;break}f[B>>2]=-1;H=0;return H|0}else y=56;while(0);b:do if((y|0)==56)switch(e|0){case 69:{e=C+28|0;y=59;break b}case 73:{e=C+28|0;y=74;break b}case 91:{e=C+28|0;y=93;break b}case 103:{e=C+28|0;y=109;break b}default:break b}while(0);if((y|0)==59){g=f[e>>2]|0;k=f[g+16>>2]|0;if(k|0){j=f[H>>2]|0;r=C+32|0;i=f[r>>2]|0;g=(f[g+20>>2]&65535)-i|0;o=C+12|0;l=f[o>>2]|0;q=C+8|0;c:do if((j+g|0)>>>0>l>>>0){n=a+48|0;p=a+20|0;while(1){m=l-j|0;Lz((f[q>>2]|0)+j|0,k+i|0,m|0)|0;i=f[o>>2]|0;f[H>>2]=i;if(i>>>0>j>>>0?(f[(f[e>>2]|0)+44>>2]|0)!=0:0){y=iv(f[n>>2]|0,(f[q>>2]|0)+j|0,i-j|0)|0;f[n>>2]=y}f[r>>2]=(f[r>>2]|0)+m;j=f[D>>2]|0;Iu(j);k=j+20|0;i=f[k>>2]|0;y=f[E>>2]|0;i=i>>>0>y>>>0?y:i;do if(i|0){l=j+16|0;Lz(f[F>>2]|0,f[l>>2]|0,i|0)|0;f[F>>2]=(f[F>>2]|0)+i;f[l>>2]=(f[l>>2]|0)+i;f[p>>2]=(f[p>>2]|0)+i;f[E>>2]=(f[E>>2]|0)-i;y=(f[k>>2]|0)-i|0;f[k>>2]=y;if(y|0)break;f[l>>2]=f[j+8>>2]}while(0);if(f[H>>2]|0)break;g=g-m|0;l=f[o>>2]|0;k=f[(f[e>>2]|0)+16>>2]|0;i=f[r>>2]|0;if(g>>>0<=l>>>0){j=0;break c}else j=0}f[B>>2]=-1;H=0;return H|0}while(0);Lz((f[q>>2]|0)+j|0,k+i|0,g|0)|0;g=(f[H>>2]|0)+g|0;f[H>>2]=g;if(g>>>0>j>>>0?(f[(f[e>>2]|0)+44>>2]|0)!=0:0){y=a+48|0;x=iv(f[y>>2]|0,(f[q>>2]|0)+j|0,g-j|0)|0;f[y>>2]=x}f[r>>2]=0}f[z>>2]=73;y=74}if((y|0)==74){if(f[(f[e>>2]|0)+28>>2]|0){i=f[H>>2]|0;o=C+12|0;l=a+48|0;n=C+8|0;p=a+20|0;m=C+32|0;g=i;while(1){if((g|0)==(f[o>>2]|0)){if(g>>>0>i>>>0?(f[(f[e>>2]|0)+44>>2]|0)!=0:0){x=iv(f[l>>2]|0,(f[n>>2]|0)+i|0,g-i|0)|0;f[l>>2]=x}i=f[D>>2]|0;Iu(i);j=i+20|0;g=f[j>>2]|0;x=f[E>>2]|0;g=g>>>0>x>>>0?x:g;do if(g|0){k=i+16|0;Lz(f[F>>2]|0,f[k>>2]|0,g|0)|0;f[F>>2]=(f[F>>2]|0)+g;f[k>>2]=(f[k>>2]|0)+g;f[p>>2]=(f[p>>2]|0)+g;f[E>>2]=(f[E>>2]|0)-g;x=(f[j>>2]|0)-g|0;f[j>>2]=x;if(x|0)break;f[k>>2]=f[i+8>>2]}while(0);if(!(f[H>>2]|0)){g=0;i=0}else{y=83;break}}w=f[(f[e>>2]|0)+28>>2]|0;x=f[m>>2]|0;f[m>>2]=x+1;x=b[w+x>>0]|0;w=f[n>>2]|0;f[H>>2]=g+1;b[w+g>>0]=x;if(!(x<<24>>24))break;g=f[H>>2]|0}if((y|0)==83){f[B>>2]=-1;H=0;return H|0}if(f[(f[e>>2]|0)+44>>2]|0?(s=f[H>>2]|0,s>>>0>i>>>0):0){y=iv(f[l>>2]|0,(f[n>>2]|0)+i|0,s-i|0)|0;f[l>>2]=y}f[m>>2]=0}f[z>>2]=91;y=93}if((y|0)==93){if(f[(f[e>>2]|0)+36>>2]|0){i=f[H>>2]|0;o=C+12|0;l=a+48|0;n=C+8|0;p=a+20|0;m=C+32|0;g=i;while(1){if((g|0)==(f[o>>2]|0)){if(g>>>0>i>>>0?(f[(f[e>>2]|0)+44>>2]|0)!=0:0){x=iv(f[l>>2]|0,(f[n>>2]|0)+i|0,g-i|0)|0;f[l>>2]=x}i=f[D>>2]|0;Iu(i);j=i+20|0;g=f[j>>2]|0;x=f[E>>2]|0;g=g>>>0>x>>>0?x:g;do if(g|0){k=i+16|0;Lz(f[F>>2]|0,f[k>>2]|0,g|0)|0;f[F>>2]=(f[F>>2]|0)+g;f[k>>2]=(f[k>>2]|0)+g;f[p>>2]=(f[p>>2]|0)+g;f[E>>2]=(f[E>>2]|0)-g;x=(f[j>>2]|0)-g|0;f[j>>2]=x;if(x|0)break;f[k>>2]=f[i+8>>2]}while(0);if(!(f[H>>2]|0)){g=0;i=0}else{y=102;break}}w=f[(f[e>>2]|0)+36>>2]|0;x=f[m>>2]|0;f[m>>2]=x+1;x=b[w+x>>0]|0;w=f[n>>2]|0;f[H>>2]=g+1;b[w+g>>0]=x;if(!(x<<24>>24))break;g=f[H>>2]|0}if((y|0)==102){f[B>>2]=-1;H=0;return H|0}if(f[(f[e>>2]|0)+44>>2]|0?(t=f[H>>2]|0,t>>>0>i>>>0):0){y=iv(f[l>>2]|0,(f[n>>2]|0)+i|0,t-i|0)|0;f[l>>2]=y}}f[z>>2]=103;y=109}if((y|0)==109){if(f[(f[e>>2]|0)+44>>2]|0){e=f[H>>2]|0;do if((e+2|0)>>>0>(f[C+12>>2]|0)>>>0){g=f[D>>2]|0;Iu(g);i=g+20|0;e=f[i>>2]|0;y=f[E>>2]|0;e=e>>>0>y>>>0?y:e;do if(e|0){j=g+16|0;Lz(f[F>>2]|0,f[j>>2]|0,e|0)|0;f[F>>2]=(f[F>>2]|0)+e;f[j>>2]=(f[j>>2]|0)+e;y=a+20|0;f[y>>2]=(f[y>>2]|0)+e;f[E>>2]=(f[E>>2]|0)-e;y=(f[i>>2]|0)-e|0;f[i>>2]=y;if(y|0)break;f[j>>2]=f[g+8>>2]}while(0);if(!(f[H>>2]|0)){e=0;break}f[B>>2]=-1;H=0;return H|0}while(0);y=a+48|0;x=f[y>>2]&255;w=C+8|0;t=f[w>>2]|0;f[H>>2]=e+1;b[t+e>>0]=x;t=(f[y>>2]|0)>>>8&255;w=f[w>>2]|0;x=f[H>>2]|0;f[H>>2]=x+1;b[w+x>>0]=t;x=iv(0,0,0)|0;f[y>>2]=x}f[z>>2]=113;g=f[D>>2]|0;Iu(g);i=g+20|0;e=f[i>>2]|0;y=f[E>>2]|0;e=e>>>0>y>>>0?y:e;if(e|0?(v=g+16|0,Lz(f[F>>2]|0,f[v>>2]|0,e|0)|0,f[F>>2]=(f[F>>2]|0)+e,f[v>>2]=(f[v>>2]|0)+e,y=a+20|0,f[y>>2]=(f[y>>2]|0)+e,f[E>>2]=(f[E>>2]|0)-e,y=(f[i>>2]|0)-e|0,f[i>>2]=y,(y|0)==0):0)f[v>>2]=f[g+8>>2];if(f[H>>2]|0){f[B>>2]=-1;H=0;return H|0}}if(!(f[u>>2]|0))y=123;else y=126}if((y|0)==123)if(!(f[C+116>>2]|0)){if(c|0?(f[z>>2]|0)!=666:0)y=126}else y=126;do if((y|0)==126){e=f[C+132>>2]|0;d:do if(!e){e=ru(C,c)|0;y=200}else switch(f[C+136>>2]|0){case 2:{q=C+116|0;r=C+96|0;s=C+56|0;u=C+108|0;m=C+5796|0;o=C+5792|0;n=C+5784|0;p=C+5788|0;t=C+92|0;while(1){if((f[q>>2]|0)==0?(uu(C),(f[q>>2]|0)==0):0)break;f[r>>2]=0;x=b[(f[s>>2]|0)+(f[u>>2]|0)>>0]|0;i=f[o>>2]|0;d[(f[m>>2]|0)+(i<<1)>>1]=0;w=f[n>>2]|0;f[o>>2]=i+1;b[w+i>>0]=x;x=C+148+((x&255)<<2)|0;d[x>>1]=(d[x>>1]|0)+1<<16>>16;x=(f[o>>2]|0)==((f[p>>2]|0)+-1|0);f[q>>2]=(f[q>>2]|0)+-1;i=(f[u>>2]|0)+1|0;f[u>>2]=i;if(!x)continue;e=f[t>>2]|0;if((e|0)>-1)g=(f[s>>2]|0)+e|0;else g=0;Ku(C,g,i-e|0,0);f[t>>2]=f[u>>2];g=f[C>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;x=f[j>>2]|0;e=e>>>0>x>>>0?x:e;do if(e|0){x=g+12|0;l=i+16|0;Lz(f[x>>2]|0,f[l>>2]|0,e|0)|0;f[x>>2]=(f[x>>2]|0)+e;f[l>>2]=(f[l>>2]|0)+e;x=g+20|0;f[x>>2]=(f[x>>2]|0)+e;f[j>>2]=(f[j>>2]|0)-e;x=(f[k>>2]|0)-e|0;f[k>>2]=x;if(x|0)break;f[l>>2]=f[i+8>>2]}while(0);if(!(f[(f[C>>2]|0)+16>>2]|0)){y=203;break d}}if(!c){y=203;break d}f[C+5812>>2]=0;if((c|0)==4){g=f[t>>2]|0;if((g|0)>-1)e=(f[s>>2]|0)+g|0;else e=0;Ku(C,e,(f[u>>2]|0)-g|0,1);f[t>>2]=f[u>>2];g=f[C>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;y=f[j>>2]|0;e=e>>>0>y>>>0?y:e;do if(e|0){y=g+12|0;l=i+16|0;Lz(f[y>>2]|0,f[l>>2]|0,e|0)|0;f[y>>2]=(f[y>>2]|0)+e;f[l>>2]=(f[l>>2]|0)+e;y=g+20|0;f[y>>2]=(f[y>>2]|0)+e;f[j>>2]=(f[j>>2]|0)-e;y=(f[k>>2]|0)-e|0;f[k>>2]=y;if(y|0)break;f[l>>2]=f[i+8>>2]}while(0);e=(f[(f[C>>2]|0)+16>>2]|0)==0?2:3;y=200;break d}if(!(f[o>>2]|0))break d;g=f[t>>2]|0;if((g|0)>-1)e=(f[s>>2]|0)+g|0;else e=0;Ku(C,e,(f[u>>2]|0)-g|0,0);f[t>>2]=f[u>>2];g=f[C>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;z=f[j>>2]|0;e=e>>>0>z>>>0?z:e;do if(e|0){z=g+12|0;l=i+16|0;Lz(f[z>>2]|0,f[l>>2]|0,e|0)|0;f[z>>2]=(f[z>>2]|0)+e;f[l>>2]=(f[l>>2]|0)+e;z=g+20|0;f[z>>2]=(f[z>>2]|0)+e;f[j>>2]=(f[j>>2]|0)-e;z=(f[k>>2]|0)-e|0;f[k>>2]=z;if(z|0)break;f[l>>2]=f[i+8>>2]}while(0);if(!(f[(f[C>>2]|0)+16>>2]|0)){y=203;break d}else break d}case 3:{t=C+116|0;q=(c|0)==0;u=C+96|0;x=C+108|0;o=C+5784|0;p=C+5796|0;r=C+5792|0;s=C+5788|0;v=C+56|0;w=C+92|0;e:while(1){e=f[t>>2]|0;do if(e>>>0<259){uu(C);e=f[t>>2]|0;if(q&e>>>0<259){y=203;break d}if(!e)break e;f[u>>2]=0;if(e>>>0>2){y=161;break}j=f[x>>2]|0;g=f[p>>2]|0;e=f[o>>2]|0;y=177}else{f[u>>2]=0;y=161}while(0);f:do if((y|0)==161){y=0;j=f[x>>2]|0;do if(j|0){m=(f[v>>2]|0)+j|0;l=b[m+-1>>0]|0;if(l<<24>>24!=(b[m>>0]|0))break;g=m+1|0;if(l<<24>>24!=(b[g>>0]|0))break;if(l<<24>>24!=(b[g+1>>0]|0))break;n=m+258|0;k=1;do{i=m+k|0;g=i+2|0;if(l<<24>>24!=(b[g>>0]|0))break;g=i+3|0;if(l<<24>>24!=(b[g>>0]|0))break;g=i+4|0;if(l<<24>>24!=(b[g>>0]|0))break;g=i+5|0;if(l<<24>>24!=(b[g>>0]|0))break;g=i+6|0;if(l<<24>>24!=(b[g>>0]|0))break;g=i+7|0;if(l<<24>>24!=(b[g>>0]|0))break;i=k;k=k+8|0;g=m+k|0;if(l<<24>>24!=(b[g>>0]|0))break;i=i+9|0;g=m+i|0}while((i|0)<258?l<<24>>24==(b[g>>0]|0):0);g=g-n+258|0;g=g>>>0>e>>>0?e:g;f[u>>2]=g;e=f[o>>2]|0;i=f[p>>2]|0;if(g>>>0<=2){g=i;y=177;break f}n=g+253|0;m=f[r>>2]|0;d[i+(m<<1)>>1]=1;f[r>>2]=m+1;b[e+m>>0]=n;e=C+148+((h[108178+(n&255)>>0]|256)+1<<2)|0;d[e>>1]=(d[e>>1]|0)+1<<16>>16;e=C+2440+(h[107666]<<2)|0;d[e>>1]=(d[e>>1]|0)+1<<16>>16;e=(f[r>>2]|0)==((f[s>>2]|0)+-1|0)&1;i=f[u>>2]|0;f[t>>2]=(f[t>>2]|0)-i;i=(f[x>>2]|0)+i|0;f[x>>2]=i;f[u>>2]=0;break f}while(0);g=f[p>>2]|0;e=f[o>>2]|0;y=177}while(0);if((y|0)==177){y=0;i=b[(f[v>>2]|0)+j>>0]|0;n=f[r>>2]|0;d[g+(n<<1)>>1]=0;f[r>>2]=n+1;b[e+n>>0]=i;e=C+148+((i&255)<<2)|0;d[e>>1]=(d[e>>1]|0)+1<<16>>16;e=(f[r>>2]|0)==((f[s>>2]|0)+-1|0)&1;f[t>>2]=(f[t>>2]|0)+-1;i=(f[x>>2]|0)+1|0;f[x>>2]=i}if(!e)continue;e=f[w>>2]|0;if((e|0)>-1)g=(f[v>>2]|0)+e|0;else g=0;Ku(C,g,i-e|0,0);f[w>>2]=f[x>>2];g=f[C>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;n=f[j>>2]|0;e=e>>>0>n>>>0?n:e;do if(e|0){n=g+12|0;l=i+16|0;Lz(f[n>>2]|0,f[l>>2]|0,e|0)|0;f[n>>2]=(f[n>>2]|0)+e;f[l>>2]=(f[l>>2]|0)+e;n=g+20|0;f[n>>2]=(f[n>>2]|0)+e;f[j>>2]=(f[j>>2]|0)-e;n=(f[k>>2]|0)-e|0;f[k>>2]=n;if(n|0)break;f[l>>2]=f[i+8>>2]}while(0);if(!(f[(f[C>>2]|0)+16>>2]|0)){y=203;break d}}f[C+5812>>2]=0;if((c|0)==4){g=f[w>>2]|0;if((g|0)>-1)e=(f[v>>2]|0)+g|0;else e=0;Ku(C,e,(f[x>>2]|0)-g|0,1);f[w>>2]=f[x>>2];g=f[C>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;y=f[j>>2]|0;e=e>>>0>y>>>0?y:e;do if(e|0){y=g+12|0;l=i+16|0;Lz(f[y>>2]|0,f[l>>2]|0,e|0)|0;f[y>>2]=(f[y>>2]|0)+e;f[l>>2]=(f[l>>2]|0)+e;y=g+20|0;f[y>>2]=(f[y>>2]|0)+e;f[j>>2]=(f[j>>2]|0)-e;y=(f[k>>2]|0)-e|0;f[k>>2]=y;if(y|0)break;f[l>>2]=f[i+8>>2]}while(0);e=(f[(f[C>>2]|0)+16>>2]|0)==0?2:3;y=200;break d}if(!(f[r>>2]|0))break d;g=f[w>>2]|0;if((g|0)>-1)e=(f[v>>2]|0)+g|0;else e=0;Ku(C,e,(f[x>>2]|0)-g|0,0);f[w>>2]=f[x>>2];g=f[C>>2]|0;i=f[g+28>>2]|0;Iu(i);k=i+20|0;e=f[k>>2]|0;j=g+16|0;z=f[j>>2]|0;e=e>>>0>z>>>0?z:e;do if(e|0){z=g+12|0;l=i+16|0;Lz(f[z>>2]|0,f[l>>2]|0,e|0)|0;f[z>>2]=(f[z>>2]|0)+e;f[l>>2]=(f[l>>2]|0)+e;z=g+20|0;f[z>>2]=(f[z>>2]|0)+e;f[j>>2]=(f[j>>2]|0)-e;z=(f[k>>2]|0)-e|0;f[k>>2]=z;if(z|0)break;f[l>>2]=f[i+8>>2]}while(0);if(!(f[(f[C>>2]|0)+16>>2]|0)){y=203;break d}else break d}default:{e=zb[f[7584+(e*12|0)+8>>2]&31](C,c)|0;y=200;break d}}while(0);if((y|0)==200){if((e|1|0)==3)f[z>>2]=666;if((e|2|0)!=2){if((e|0)!=1)break}else y=203}if((y|0)==203){if(f[E>>2]|0){H=0;return H|0}f[B>>2]=-1;H=0;return H|0}switch(c|0){case 1:{Ju(C);break}case 5:break;default:{Hu(C,0,0,0);if((c|0)==3?(z=f[C+68>>2]|0,c=(f[C+76>>2]|0)+-1|0,d[z+(c<<1)>>1]=0,Fz(z|0,0,c<<1|0)|0,(f[C+116>>2]|0)==0):0){f[C+108>>2]=0;f[C+92>>2]=0;f[C+5812>>2]=0}}}j=f[D>>2]|0;Iu(j);k=j+20|0;i=f[k>>2]|0;e=f[E>>2]|0;i=i>>>0>e>>>0?e:i;if(i){g=j+16|0;Lz(f[F>>2]|0,f[g>>2]|0,i|0)|0;f[F>>2]=(f[F>>2]|0)+i;f[g>>2]=(f[g>>2]|0)+i;e=a+20|0;f[e>>2]=(f[e>>2]|0)+i;e=(f[E>>2]|0)-i|0;f[E>>2]=e;c=(f[k>>2]|0)-i|0;f[k>>2]=c;if(!c)f[g>>2]=f[j+8>>2]}if(!e){f[B>>2]=-1;H=0;return H|0}}while(0);if(A){H=0;return H|0}j=C+24|0;e=f[j>>2]|0;if((e|0)<1){H=1;return H|0}i=a+48|0;g=f[i>>2]|0;if((e|0)==2){C=C+8|0;A=f[C>>2]|0;B=f[H>>2]|0;f[H>>2]=B+1;b[A+B>>0]=g;B=(f[i>>2]|0)>>>8&255;A=f[C>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[A+g>>0]=B;g=(f[i>>2]|0)>>>16&255;A=f[C>>2]|0;B=f[H>>2]|0;f[H>>2]=B+1;b[A+B>>0]=g;B=(f[i>>2]|0)>>>24&255;A=f[C>>2]|0;g=f[H>>2]|0;f[H>>2]=g+1;b[A+g>>0]=B;g=a+8|0;A=f[g>>2]&255;B=f[C>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[B+e>>0]=A;e=(f[g>>2]|0)>>>8&255;B=f[C>>2]|0;A=f[H>>2]|0;f[H>>2]=A+1;b[B+A>>0]=e;A=(f[g>>2]|0)>>>16&255;B=f[C>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[B+e>>0]=A;g=(f[g>>2]|0)>>>24;C=f[C>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;e=C+e|0}else{C=C+8|0;B=f[C>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[B+e>>0]=g>>>24;e=f[C>>2]|0;B=f[H>>2]|0;f[H>>2]=B+1;b[e+B>>0]=g>>>16;g=f[i>>2]|0;B=f[C>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;b[B+e>>0]=g>>>8;C=f[C>>2]|0;e=f[H>>2]|0;f[H>>2]=e+1;e=C+e|0}b[e>>0]=g;g=f[D>>2]|0;Iu(g);i=g+20|0;e=f[i>>2]|0;D=f[E>>2]|0;e=e>>>0>D>>>0?D:e;if(e|0?(G=g+16|0,Lz(f[F>>2]|0,f[G>>2]|0,e|0)|0,f[F>>2]=(f[F>>2]|0)+e,f[G>>2]=(f[G>>2]|0)+e,a=a+20|0,f[a>>2]=(f[a>>2]|0)+e,f[E>>2]=(f[E>>2]|0)-e,a=(f[i>>2]|0)-e|0,f[i>>2]=a,(a|0)==0):0)f[G>>2]=f[g+8>>2];e=f[j>>2]|0;if((e|0)>0)f[j>>2]=0-e;H=(f[H>>2]|0)==0&1;return H|0}}while(0);f[a+24>>2]=f[2082];H=-2;return H|0}function yu(a){a=a|0;var b=0,c=0,d=0;if(!a){a=-2;return a|0}if(!(f[a+32>>2]|0)){a=-2;return a|0}if(!(f[a+36>>2]|0)){a=-2;return a|0}b=f[a+28>>2]|0;if(!b){a=-2;return a|0}if((f[b>>2]|0)!=(a|0)){a=-2;return a|0}d=b+4|0;if(((f[d>>2]|0)+-16180|0)>>>0>31){a=-2;return a|0}f[b+44>>2]=0;f[b+48>>2]=0;f[b+52>>2]=0;f[b+32>>2]=0;f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;c=f[b+12>>2]|0;if(c|0)f[a+48>>2]=c&1;f[d>>2]=16180;f[b+8>>2]=0;f[b+16>>2]=0;f[b+24>>2]=32768;f[b+36>>2]=0;f[b+60>>2]=0;f[b+64>>2]=0;a=b+1332|0;f[b+112>>2]=a;f[b+84>>2]=a;f[b+80>>2]=a;f[b+7108>>2]=1;f[b+7112>>2]=-1;a=0;return a|0}function zu(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0;if(!a){a=-2;return a|0}k=a+32|0;if(!(f[k>>2]|0)){a=-2;return a|0}l=a+36|0;g=f[l>>2]|0;if(!g){a=-2;return a|0}i=a+28|0;h=f[i>>2]|0;if(!h){a=-2;return a|0}if((f[h>>2]|0)!=(a|0)){a=-2;return a|0}if(((f[h+4>>2]|0)+-16180|0)>>>0>31){a=-2;return a|0}if((b|0)<0){j=0-b|0;e=0}else{j=(b|0)<48?b&15:b;e=(b>>>4)+5|0}if(!((j|0)==0|(j&-8|0)==8)){a=-2;return a|0}d=h+56|0;c=f[d>>2]|0;b=h+40|0;if((c|0)!=0?(f[b>>2]|0)!=(j|0):0){vb[g&3](f[a+40>>2]|0,c);f[d>>2]=0;k=f[k>>2]|0;f[h+12>>2]=e;f[b>>2]=j;if(!k){a=-2;return a|0}}else{f[h+12>>2]=e;f[b>>2]=j}if(!(f[l>>2]|0)){a=-2;return a|0}b=f[i>>2]|0;if(!b){a=-2;return a|0}if((f[b>>2]|0)!=(a|0)){a=-2;return a|0}d=b+4|0;if(((f[d>>2]|0)+-16180|0)>>>0>31){a=-2;return a|0}f[b+44>>2]=0;f[b+48>>2]=0;f[b+52>>2]=0;f[b+32>>2]=0;f[a+20>>2]=0;f[a+8>>2]=0;f[a+24>>2]=0;c=f[b+12>>2]|0;if(c|0)f[a+48>>2]=c&1;f[d>>2]=16180;f[b+8>>2]=0;f[b+16>>2]=0;f[b+24>>2]=32768;f[b+36>>2]=0;f[b+60>>2]=0;f[b+64>>2]=0;a=b+1332|0;f[b+112>>2]=a;f[b+84>>2]=a;f[b+80>>2]=a;f[b+7108>>2]=1;f[b+7112>>2]=-1;a=0;return a|0}function Au(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;if(!d){c=-6;return c|0}if((e|0)!=56|(b[d>>0]|0)!=49){c=-6;return c|0}if(!a){c=-2;return c|0}f[a+24>>2]=0;d=a+32|0;e=f[d>>2]|0;if(!e){f[d>>2]=43;f[a+40>>2]=0;e=43}i=a+36|0;if(!(f[i>>2]|0))f[i>>2]=1;h=a+40|0;d=rb[e&63](f[h>>2]|0,1,7120)|0;if(!d){c=-4;return c|0}g=a+28|0;f[g>>2]=d;f[d>>2]=a;f[d+56>>2]=0;f[d+4>>2]=16180;e=zu(a,c)|0;if(!e){c=0;return c|0}vb[f[i>>2]&3](f[h>>2]|0,d);f[g>>2]=0;c=e;return c|0}function Bu(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0;Ga=u;u=u+16|0;ka=Ga;if(!a){a=-2;u=Ga;return a|0}if(!(f[a+32>>2]|0)){a=-2;u=Ga;return a|0}if(!(f[a+36>>2]|0)){a=-2;u=Ga;return a|0}ea=f[a+28>>2]|0;if(!ea){a=-2;u=Ga;return a|0}if((f[ea>>2]|0)!=(a|0)){a=-2;u=Ga;return a|0}Fa=ea+4|0;i=f[Fa>>2]|0;if((i+-16180|0)>>>0>31){a=-2;u=Ga;return a|0}Aa=a+12|0;k=f[Aa>>2]|0;if(!k){a=-2;u=Ga;return a|0}m=f[a>>2]|0;if((m|0)==0?f[a+4>>2]|0:0){a=-2;u=Ga;return a|0}if((i|0)==16191){f[Fa>>2]=16192;i=16192}ua=a+16|0;x=f[ua>>2]|0;qa=a+4|0;va=f[qa>>2]|0;ra=ea+60|0;Ca=ea+64|0;ya=ea+12|0;ba=ea+40|0;Da=ea+28|0;I=ka+1|0;za=ea+20|0;R=ea+36|0;V=a+24|0;N=ea+24|0;Ba=a+48|0;U=ea+68|0;Q=ea+16|0;z=(c+-5|0)>>>0<2;Ea=ea+8|0;T=ea+80|0;S=ea+88|0;M=ea+84|0;L=ea+92|0;K=(c|0)==6;J=ea+7112|0;O=ea+76|0;aa=ea+7116|0;_=ea+72|0;ca=ea+48|0;$=ea+7108|0;da=ea+52|0;A=ea+56|0;sa=ea+44|0;xa=a+20|0;wa=ea+32|0;G=ka+2|0;H=ka+3|0;P=ea+108|0;Z=ea+100|0;X=ea+104|0;F=ea+628|0;C=ea+1332|0;Y=ea+112|0;D=ea+116|0;E=ea+756|0;W=ea+96|0;B=k;l=f[Ca>>2]|0;q=va;k=f[ra>>2]|0;y=x;o=m;m=0;a:while(1){b:do switch(i|0){case 16208:{e=y;g=q;i=o;m=1;w=296;break a}case 16209:{e=y;oa=l;g=q;ma=k;la=o;na=x;pa=-3;break a}case 16210:{w=310;break a}case 16180:{p=f[ya>>2]|0;if(!p){f[Fa>>2]=16192;n=q;p=y;r=x;q=B;break b}if(l>>>0<16){n=q;i=o;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=i;na=x;pa=m;break a}n=n+-1|0;o=i+1|0;k=(h[i>>0]<<l)+k|0;l=l+8|0;if(l>>>0<16)i=o;else break}}else n=q;if((k|0)==35615&(p&2|0)!=0){if(!(f[ba>>2]|0))f[ba>>2]=15;l=iv(0,0,0)|0;f[Da>>2]=l;b[ka>>0]=31;b[I>>0]=-117;l=iv(l,ka,2)|0;f[Da>>2]=l;f[Fa>>2]=16181;l=0;k=0;p=y;r=x;q=B;break b}f[za>>2]=0;i=f[R>>2]|0;if(i|0)f[i+48>>2]=-1;if(p&1|0?((((k<<8&65280)+(k>>>8)|0)>>>0)%31|0|0)==0:0){if((k&15|0)!=8){f[V>>2]=107308;f[Fa>>2]=16209;p=y;r=x;q=B;break b}r=k>>>4;q=r&15;p=q+8|0;i=f[ba>>2]|0;if(!i){f[ba>>2]=p;i=p}if(p>>>0>15|p>>>0>i>>>0){f[V>>2]=107335;f[Fa>>2]=16209;l=l+-4|0;k=r;p=y;r=x;q=B;break b}else{f[N>>2]=256<<q;l=gv(0,0,0)|0;f[Da>>2]=l;f[Ba>>2]=l;f[Fa>>2]=k>>>12&2^16191;l=0;k=0;p=y;r=x;q=B;break b}}f[V>>2]=107285;f[Fa>>2]=16209;p=y;r=x;q=B;break}case 16181:{if(l>>>0<16){n=q;i=o;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=i;na=x;pa=m;break a}n=n+-1|0;o=i+1|0;k=(h[i>>0]<<l)+k|0;l=l+8|0;if(l>>>0<16)i=o;else break}}else n=q;f[za>>2]=k;if((k&255|0)!=8){f[V>>2]=107308;f[Fa>>2]=16209;p=y;r=x;q=B;break b}if(k&57344|0){f[V>>2]=107355;f[Fa>>2]=16209;p=y;r=x;q=B;break b}i=f[R>>2]|0;if(i|0)f[i>>2]=k>>>8&1;if(k&512|0?f[ya>>2]&4|0:0){b[ka>>0]=k;b[I>>0]=k>>>8;w=iv(f[Da>>2]|0,ka,2)|0;f[Da>>2]=w}f[Fa>>2]=16182;l=0;i=n;k=0;w=55;break}case 16182:{if(l>>>0<32){i=q;w=55}else{n=q;w=57}break}case 16183:{if(l>>>0<16){n=q;w=64}else{n=q;i=o;w=66}break}case 16184:{p=q;i=o;w=72;break}case 16185:{r=q;i=o;w=84;break}case 16186:{i=o;w=95;break}case 16187:{i=o;w=109;break}case 16188:{n=q;i=o;w=123;break}case 16189:{if(l>>>0<32){n=q;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0>=32)break;else o=i}}else{n=q;i=o}l=Kz(k|0)|0;f[Da>>2]=l;f[Ba>>2]=l;f[Fa>>2]=16190;l=0;k=0;w=136;break}case 16190:{n=q;i=o;w=136;break}case 16191:{n=q;i=o;w=139;break}case 16192:{n=q;i=o;w=140;break}case 16193:{v=l&7;k=k>>>v;l=l-v|0;if(l>>>0<32){n=q;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0<32)o=i;else{q=n;break}}}else i=o;n=k&65535;if((n|0)==(k>>>16^65535|0)){f[U>>2]=n;f[Fa>>2]=16194;if(K){e=y;l=0;g=q;k=0;w=296;break a}else{l=0;n=q;k=0;w=159;break b}}else{f[V>>2]=107419;f[Fa>>2]=16209;n=q;p=y;o=i;r=x;q=B;break b}}case 16194:{n=q;i=o;w=159;break}case 16195:{p=q;i=o;w=160;break}case 16196:{if(l>>>0<14){n=q;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0<14)o=i;else{p=n;break}}}else{p=q;i=o}t=(k&31)+257|0;f[Z>>2]=t;v=(k>>>5&31)+1|0;f[X>>2]=v;n=(k>>>10&15)+4|0;f[W>>2]=n;k=k>>>14;l=l+-14|0;if(t>>>0>286|v>>>0>30){f[V>>2]=107448;f[Fa>>2]=16209;n=p;p=y;o=i;r=x;q=B;break b}else{f[P>>2]=0;f[Fa>>2]=16197;r=0;w=170;break b}}case 16197:{i=f[P>>2]|0;n=f[W>>2]|0;if(i>>>0<n>>>0){r=i;p=q;i=o;w=170}else{m=i;n=q;i=o;w=171}break}case 16198:{r=f[P>>2]|0;n=q;i=o;w=181;break}case 16199:{n=q;i=o;w=214;break}case 16200:{n=q;i=o;w=215;break}case 16201:{p=f[O>>2]|0;i=o;w=233;break}case 16202:{i=o;w=240;break}case 16203:{p=f[O>>2]|0;n=q;i=o;w=252;break}case 16204:{n=q;i=o;w=258;break}case 16205:{if(!y){e=0;g=q;i=o;w=296;break a}b[B>>0]=f[U>>2];f[Fa>>2]=16200;n=q;p=y+-1|0;r=x;q=B+1|0;break}case 16206:{n=f[ya>>2]|0;if(n){if(l>>>0<32){p=q;while(1){if(!p){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}p=p+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0<32)o=i;else{q=p;break}}}else i=o;p=x-y|0;f[xa>>2]=(f[xa>>2]|0)+p;f[wa>>2]=(f[wa>>2]|0)+p;if((p|0)!=0&(n&4|0)!=0){n=f[Da>>2]|0;o=B+(0-p)|0;if(!(f[za>>2]|0))n=gv(n,o,p)|0;else n=iv(n,o,p)|0;f[Da>>2]=n;f[Ba>>2]=n;n=f[ya>>2]|0}if((n&4|0)!=0?(v=(f[za>>2]|0)==0,x=Kz(k|0)|0,((v?x:k)|0)!=(f[Da>>2]|0)):0){f[V>>2]=107622;f[Fa>>2]=16209;n=q;p=y;o=i;r=y;q=B;break b}else{l=0;p=q;k=0;o=y}}else{n=0;p=q;i=o;o=x}f[Fa>>2]=16207;r=o;w=288;break}case 16207:{n=f[ya>>2]|0;p=q;i=o;r=x;w=288;break}default:{e=-2;w=311;break a}}while(0);if((w|0)==55)while(1){w=0;if(!i){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}i=i+-1|0;p=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0>=32){n=i;o=p;w=57;break}else{o=p;w=55}}else if((w|0)==136){if(!(f[Q>>2]|0)){w=137;break}w=gv(0,0,0)|0;f[Da>>2]=w;f[Ba>>2]=w;f[Fa>>2]=16191;w=139}else if((w|0)==159){f[Fa>>2]=16195;p=n;w=160}else if((w|0)==170){w=0;o=p;while(1){if(l>>>0<3){if(!o){e=y;oa=l;g=0;ma=k;la=i;na=x;pa=m;break a}p=l+8|0;q=o+-1|0;k=(h[i>>0]<<l)+k|0;i=i+1|0}else{p=l;q=o}o=r+1|0;f[P>>2]=o;d[ea+116+(j[32612+(r<<1)>>1]<<1)>>1]=k&7;k=k>>>3;l=p+-3|0;if(o>>>0<n>>>0){r=o;o=q}else{m=o;n=q;w=171;break}}}else if((w|0)==288){w=0;if(!n){g=p;w=295;break}if(!(f[za>>2]|0)){g=p;w=295;break}if(l>>>0<32){n=p;o=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=r;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0<32)o=i;else break}}else n=p;if((k|0)==(f[wa>>2]|0)){l=0;g=n;k=0;w=295;break}f[V>>2]=107643;f[Fa>>2]=16209;p=y;o=i;q=B}do if((w|0)==57){i=f[R>>2]|0;if(i|0)f[i+4>>2]=k;if(f[za>>2]&512|0?f[ya>>2]&4|0:0){b[ka>>0]=k;b[I>>0]=k>>>8;b[G>>0]=k>>>16;b[H>>0]=k>>>24;w=iv(f[Da>>2]|0,ka,4)|0;f[Da>>2]=w}f[Fa>>2]=16183;l=0;k=0;w=64}else if((w|0)==139)if(z){e=y;g=n;w=296;break a}else w=140;else if((w|0)==160){w=0;n=f[U>>2]|0;if(!n){f[Fa>>2]=16191;n=p;p=y;o=i;r=x;q=B;break}q=n>>>0>p>>>0?p:n;q=q>>>0>y>>>0?y:q;if(!q){e=y;g=p;w=296;break a}Lz(B|0,i|0,q|0)|0;f[U>>2]=(f[U>>2]|0)-q;n=p-q|0;p=y-q|0;o=i+q|0;r=x;q=B+q|0}else if((w|0)==171){w=0;if(m>>>0<19){do{d[ea+116+(j[32612+(m<<1)>>1]<<1)>>1]=0;m=m+1|0}while((m|0)!=19);f[P>>2]=19}f[Y>>2]=C;f[T>>2]=C;f[S>>2]=7;m=Eu(0,D,19,Y,S,E)|0;if(!m){f[P>>2]=0;f[Fa>>2]=16198;r=0;m=0;w=181;break}else{f[V>>2]=107484;f[Fa>>2]=16209;p=y;o=i;r=x;q=B;break}}while(0);c:do if((w|0)==64)while(1){w=0;if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0>=16){w=66;break}else{o=i;w=64}}else if((w|0)==140){w=0;if(f[Ea>>2]|0){p=l&7;f[Fa>>2]=16206;l=l-p|0;k=k>>>p;p=y;o=i;r=x;q=B;break}if(l>>>0<3){if(!n){e=y;g=0;w=296;break a}o=l+8|0;n=n+-1|0;k=(h[i>>0]<<l)+k|0;i=i+1|0}else o=l;f[Ea>>2]=k&1;switch(k>>>1&3){case 0:{l=16193;w=151;break}case 1:{f[T>>2]=30436;f[S>>2]=9;f[M>>2]=32484;f[L>>2]=5;f[Fa>>2]=16199;if(K){w=147;break a}break}case 2:{l=16196;w=151;break}case 3:{f[V>>2]=107400;l=16209;w=151;break}default:{w=150;break a}}if((w|0)==151){w=0;f[Fa>>2]=l}l=o+-3|0;k=k>>>3;p=y;o=i;r=x;q=B}else if((w|0)==181){w=0;p=f[Z>>2]|0;o=f[X>>2]|0;do if(r>>>0<(o+p|0)>>>0){v=r;d:while(1){t=f[T>>2]|0;s=(1<<f[S>>2])+-1|0;q=s&k;r=h[t+(q<<2)+1>>0]|0;if(l>>>0<r>>>0){q=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=q;na=x;pa=m;break a}n=n+-1|0;i=q+1|0;k=(h[q>>0]<<l)+k|0;l=l+8|0;q=s&k;r=h[t+(q<<2)+1>>0]|0;if(l>>>0<r>>>0)q=i;else break}}q=d[t+(q<<2)+2>>1]|0;if((q&65535)>=16){switch(q<<16>>16){case 16:{s=r+2|0;if(l>>>0<s>>>0){q=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=q;na=x;pa=m;break a}n=n+-1|0;i=q+1|0;k=(h[q>>0]<<l)+k|0;l=l+8|0;if(l>>>0<s>>>0)q=i;else break}}k=k>>>r;l=l-r|0;if(!v){w=205;break d}l=l+-2|0;q=(k&3)+3|0;r=n;k=k>>>2;n=j[ea+116+(v+-1<<1)>>1]|0;break}case 17:{s=r+3|0;if(l>>>0<s>>>0){q=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=q;na=x;pa=m;break a}n=n+-1|0;i=q+1|0;k=(h[q>>0]<<l)+k|0;l=l+8|0;if(l>>>0<s>>>0)q=i;else break}}k=k>>>r;l=-3-r+l|0;q=(k&7)+3|0;r=n;k=k>>>3;n=0;break}default:{s=r+7|0;if(l>>>0<s>>>0){q=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=q;na=x;pa=m;break a}n=n+-1|0;i=q+1|0;k=(h[q>>0]<<l)+k|0;l=l+8|0;if(l>>>0<s>>>0)q=i;else break}}k=k>>>r;l=-7-r+l|0;q=(k&127)+11|0;r=n;k=k>>>7;n=0}}if((v+q|0)>>>0>(o+p|0)>>>0){n=r;w=205;break}o=n&65535;n=q+-1|0;f[P>>2]=v+1;d[ea+116+(v<<1)>>1]=o;if(!n)n=r;else{do{v=f[P>>2]|0;n=n+-1|0;f[P>>2]=v+1;d[ea+116+(v<<1)>>1]=o}while((n|0)!=0);n=r}}else{f[P>>2]=v+1;d[ea+116+(v<<1)>>1]=q;l=l-r|0;k=k>>>r}v=f[P>>2]|0;p=f[Z>>2]|0;o=f[X>>2]|0;if(v>>>0>=(o+p|0)>>>0){w=206;break}}if((w|0)==205){w=0;f[V>>2]=107509;f[Fa>>2]=16209;p=y;o=i;r=x;q=B;break c}else if((w|0)==206){w=0;if((f[Fa>>2]|0)==16209){p=y;o=i;r=x;q=B;break c}else break}}while(0);if(!(d[F>>1]|0)){f[V>>2]=107535;f[Fa>>2]=16209;p=y;o=i;r=x;q=B;break}f[Y>>2]=C;f[T>>2]=C;f[S>>2]=9;m=Eu(1,D,p,Y,S,E)|0;if(m|0){f[V>>2]=107572;f[Fa>>2]=16209;p=y;o=i;r=x;q=B;break}f[M>>2]=f[Y>>2];f[L>>2]=6;m=Eu(2,ea+116+(f[Z>>2]<<1)|0,f[X>>2]|0,Y,L,E)|0;if(!m){f[Fa>>2]=16199;if(K){e=y;g=n;m=0;w=296;break a}else{m=0;w=214;break}}else{f[V>>2]=107600;f[Fa>>2]=16209;p=y;o=i;r=x;q=B;break}}while(0);if((w|0)==66){l=f[R>>2]|0;if(l|0){f[l+8>>2]=k&255;f[l+12>>2]=k>>>8}if(f[za>>2]&512|0?f[ya>>2]&4|0:0){b[ka>>0]=k;b[I>>0]=k>>>8;w=iv(f[Da>>2]|0,ka,2)|0;f[Da>>2]=w}f[Fa>>2]=16184;l=0;p=n;k=0;w=72}else if((w|0)==214){f[Fa>>2]=16200;w=215}do if((w|0)==72){w=0;q=f[za>>2]|0;if(!(q&1024)){n=f[R>>2]|0;if(!n)n=p;else{f[n+16>>2]=0;n=p}}else{if(l>>>0<16){n=p;o=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0>=16)break;else o=i}}else n=p;f[U>>2]=k;l=f[R>>2]|0;if(l|0)f[l+20>>2]=k;if((q&512|0)!=0?(f[ya>>2]&4|0)!=0:0){b[ka>>0]=k;b[I>>0]=k>>>8;l=iv(f[Da>>2]|0,ka,2)|0;f[Da>>2]=l;l=0;k=0}else{l=0;k=0}}f[Fa>>2]=16185;r=n;w=84}else if((w|0)==215){w=0;if(y>>>0>257&n>>>0>5){f[Aa>>2]=B;f[ua>>2]=y;f[a>>2]=i;f[qa>>2]=n;f[ra>>2]=k;f[Ca>>2]=l;jv(a,x);q=f[Aa>>2]|0;p=f[ua>>2]|0;o=f[a>>2]|0;i=f[qa>>2]|0;k=f[ra>>2]|0;l=f[Ca>>2]|0;if((f[Fa>>2]|0)!=16191){n=i;r=x;break}f[J>>2]=-1;n=i;r=x;break}f[J>>2]=0;v=f[T>>2]|0;r=(1<<f[S>>2])+-1|0;o=r&k;q=b[v+(o<<2)+1>>0]|0;p=q&255;if(p>>>0>l>>>0){o=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;o=r&k;q=b[v+(o<<2)+1>>0]|0;p=q&255;if(p>>>0>l>>>0)o=i;else{t=q;break}}}else t=q;s=d[v+(o<<2)+2>>1]|0;r=b[v+(o<<2)>>0]|0;o=r&255;if(r<<24>>24!=0&(o&240|0)==0){s=s&65535;r=(1<<p+o)+-1|0;o=((k&r)>>>p)+s|0;q=b[v+(o<<2)+1>>0]|0;if(((q&255)+p|0)>>>0>l>>>0){o=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;o=((k&r)>>>p)+s|0;q=b[v+(o<<2)+1>>0]|0;if(((q&255)+p|0)>>>0>l>>>0)o=i;else{s=q;break}}}else s=q;t=d[v+(o<<2)+2>>1]|0;r=b[v+(o<<2)>>0]|0;f[J>>2]=p;v=p;l=l-p|0;q=n;n=s;o=t;k=k>>>p}else{v=0;q=n;n=t;o=s}n=n&255;k=k>>>n;l=l-n|0;f[J>>2]=v+n;f[U>>2]=o&65535;n=r&255;if(!(r<<24>>24)){f[Fa>>2]=16205;n=q;p=y;o=i;r=x;q=B;break}if(n&32|0){f[J>>2]=-1;f[Fa>>2]=16191;n=q;p=y;o=i;r=x;q=B;break}if(!(n&64)){p=n&15;f[O>>2]=p;f[Fa>>2]=16201;w=233;break}else{f[V>>2]=108794;f[Fa>>2]=16209;n=q;p=y;o=i;r=x;q=B;break}}while(0);if((w|0)==84){n=f[za>>2]|0;if(n&1024){o=f[U>>2]|0;q=o>>>0>r>>>0?r:o;if(!q)n=r;else{p=f[R>>2]|0;if((p|0)!=0?(fa=f[p+16>>2]|0,(fa|0)!=0):0){n=(f[p+20>>2]|0)-o|0;w=f[p+24>>2]|0;Lz(fa+n|0,i|0,((n+q|0)>>>0>w>>>0?w-n|0:q)|0)|0;n=f[za>>2]|0}if(n&512|0?f[ya>>2]&4|0:0){w=iv(f[Da>>2]|0,i,q)|0;f[Da>>2]=w}o=(f[U>>2]|0)-q|0;f[U>>2]=o;n=r-q|0;i=i+q|0}if(o){e=y;g=n;w=296;break}}else n=r;f[U>>2]=0;f[Fa>>2]=16186;q=n;w=95}else if((w|0)==233){w=0;if(!p){n=f[U>>2]|0;o=q}else{if(l>>>0<p>>>0){o=q;n=i;while(1){if(!o){e=y;oa=l;g=0;ma=k;la=n;na=x;pa=m;break a}o=o+-1|0;i=n+1|0;k=(h[n>>0]<<l)+k|0;l=l+8|0;if(l>>>0<p>>>0)n=i;else break}}else o=q;n=(f[U>>2]|0)+(k&(1<<p)+-1)|0;f[U>>2]=n;f[J>>2]=(f[J>>2]|0)+p;l=l-p|0;k=k>>>p}f[aa>>2]=n;f[Fa>>2]=16202;q=o;w=240}do if((w|0)==95){if(!(f[za>>2]&2048)){n=f[R>>2]|0;if(!n)n=q;else{f[n+28>>2]=0;n=q}}else{if(!q){e=y;g=0;w=296;break a}else p=0;do{n=p;p=p+1|0;n=b[i+n>>0]|0;o=f[R>>2]|0;if((o|0?(ga=f[o+28>>2]|0,ga|0):0)?(ha=f[U>>2]|0,ha>>>0<(f[o+32>>2]|0)>>>0):0){f[U>>2]=ha+1;b[ga+ha>>0]=n}o=n<<24>>24!=0}while(o&q>>>0>p>>>0);if(f[za>>2]&512|0?f[ya>>2]&4|0:0){w=iv(f[Da>>2]|0,i,p)|0;f[Da>>2]=w}n=q-p|0;i=i+p|0;if(o){e=y;g=n;w=296;break a}}f[U>>2]=0;f[Fa>>2]=16187;q=n;w=109}else if((w|0)==240){w=0;t=f[M>>2]|0;s=(1<<f[L>>2])+-1|0;n=s&k;r=b[t+(n<<2)+1>>0]|0;p=r&255;if(p>>>0>l>>>0){o=q;n=i;while(1){if(!o){e=y;oa=l;g=0;ma=k;la=n;na=x;pa=m;break a}o=o+-1|0;i=n+1|0;k=(h[n>>0]<<l)+k|0;l=l+8|0;n=s&k;q=b[t+(n<<2)+1>>0]|0;p=q&255;if(p>>>0>l>>>0)n=i;else{r=q;break}}}else o=q;s=d[t+(n<<2)+2>>1]|0;q=b[t+(n<<2)>>0]|0;n=q&255;if(!(n&240)){s=s&65535;r=(1<<p+n)+-1|0;n=((k&r)>>>p)+s|0;q=b[t+(n<<2)+1>>0]|0;if(((q&255)+p|0)>>>0>l>>>0){n=i;while(1){if(!o){e=y;oa=l;g=0;ma=k;la=n;na=x;pa=m;break a}o=o+-1|0;i=n+1|0;k=(h[n>>0]<<l)+k|0;l=l+8|0;n=((k&r)>>>p)+s|0;q=b[t+(n<<2)+1>>0]|0;if(((q&255)+p|0)>>>0>l>>>0)n=i;else{r=q;break}}}else r=q;s=d[t+(n<<2)+2>>1]|0;q=b[t+(n<<2)>>0]|0;n=(f[J>>2]|0)+p|0;f[J>>2]=n;l=l-p|0;k=k>>>p}else n=f[J>>2]|0;v=r&255;k=k>>>v;l=l-v|0;f[J>>2]=n+v;n=q&255;if(!(n&64)){f[_>>2]=s&65535;p=n&15;f[O>>2]=p;f[Fa>>2]=16203;n=o;w=252;break}else{f[V>>2]=108822;f[Fa>>2]=16209;n=o;p=y;o=i;r=x;q=B;break}}while(0);if((w|0)==109){if(!(f[za>>2]&4096)){n=f[R>>2]|0;if(!n)n=q;else{f[n+36>>2]=0;n=q}}else{if(!q){e=y;g=0;w=296;break}else p=0;do{n=p;p=p+1|0;n=b[i+n>>0]|0;o=f[R>>2]|0;if((o|0?(ia=f[o+36>>2]|0,ia|0):0)?(ja=f[U>>2]|0,ja>>>0<(f[o+40>>2]|0)>>>0):0){f[U>>2]=ja+1;b[ia+ja>>0]=n}o=n<<24>>24!=0}while(o&q>>>0>p>>>0);if(f[za>>2]&512|0?f[ya>>2]&4|0:0){w=iv(f[Da>>2]|0,i,p)|0;f[Da>>2]=w}n=q-p|0;i=i+p|0;if(o){e=y;g=n;w=296;break}}f[Fa>>2]=16188;w=123}else if((w|0)==252){w=0;if(p){if(l>>>0<p>>>0){o=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0<p>>>0)o=i;else break}}f[_>>2]=(f[_>>2]|0)+(k&(1<<p)+-1);f[J>>2]=(f[J>>2]|0)+p;l=l-p|0;k=k>>>p}f[Fa>>2]=16204;w=258}do if((w|0)==123){w=0;p=f[za>>2]|0;if(p&512){if(l>>>0<16){o=i;while(1){if(!n){e=y;oa=l;g=0;ma=k;la=o;na=x;pa=m;break a}n=n+-1|0;i=o+1|0;k=(h[o>>0]<<l)+k|0;l=l+8|0;if(l>>>0<16)o=i;else break}}if((f[ya>>2]&4|0)!=0?(k|0)!=(f[Da>>2]&65535|0):0){f[V>>2]=107380;f[Fa>>2]=16209;p=y;o=i;r=x;q=B;break}else{l=0;o=n;k=0}}else o=n;n=f[R>>2]|0;if(n|0){f[n+44>>2]=p>>>9&1;f[n+48>>2]=1}n=iv(0,0,0)|0;f[Da>>2]=n;f[Ba>>2]=n;f[Fa>>2]=16191;n=o;p=y;o=i;r=x;q=B}else if((w|0)==258){w=0;if(!y){e=0;g=n;w=296;break a}o=x-y|0;p=f[_>>2]|0;if(p>>>0>o>>>0){p=p-o|0;if(p>>>0>(f[ca>>2]|0)>>>0?f[$>>2]|0:0){f[V>>2]=108844;f[Fa>>2]=16209;p=y;o=i;r=x;q=B;break}o=f[da>>2]|0;if(p>>>0>o>>>0){o=p-o|0;q=o;o=(f[sa>>2]|0)-o|0}else{q=p;o=o-p|0}v=f[U>>2]|0;r=v;q=q>>>0>v>>>0?v:q;o=(f[A>>2]|0)+o|0}else{q=f[U>>2]|0;r=q;o=B+(0-p)|0}s=q>>>0>y>>>0?y:q;f[U>>2]=r-s;r=s+1|0;q=s;p=B;while(1){b[p>>0]=b[o>>0]|0;q=q+-1|0;if(!q)break;else{o=o+1|0;p=p+1|0}}p=y-s|0;q=B+-1+r|0;if(!(f[U>>2]|0)){f[Fa>>2]=16200;o=i;r=x}else{o=i;r=x}}while(0);i=f[Fa>>2]|0;B=q;q=n;y=p;x=r}if((w|0)==137){f[Aa>>2]=B;f[ua>>2]=y;f[a>>2]=i;f[qa>>2]=n;f[ra>>2]=k;f[Ca>>2]=l;a=2;u=Ga;return a|0}else if((w|0)==147){e=y;oa=o+-3|0;g=n;ma=k>>>3;la=i;na=x;pa=m}else if((w|0)!=150)if((w|0)==295){f[Fa>>2]=16208;e=y;oa=l;ma=k;la=i;na=r;pa=1}else if((w|0)==296){oa=l;ma=k;la=i;na=x;pa=m}else if((w|0)==310){a=-4;u=Ga;return a|0}else if((w|0)==311){u=Ga;return e|0}f[Aa>>2]=B;f[ua>>2]=e;f[a>>2]=la;f[qa>>2]=g;f[ra>>2]=ma;f[Ca>>2]=oa;if(!(f[sa>>2]|0)){if(((na|0)!=(e|0)?(ta=f[Fa>>2]|0,ta>>>0<16209):0)?(c|0)!=4|ta>>>0<16206:0)w=301}else w=301;do if((w|0)==301){if(!(Cu(a,B,na-e|0)|0)){g=f[qa>>2]|0;e=f[ua>>2]|0;break}f[Fa>>2]=16210;a=-4;u=Ga;return a|0}while(0);k=va-g|0;i=na-e|0;va=a+8|0;f[va>>2]=(f[va>>2]|0)+k;f[xa>>2]=(f[xa>>2]|0)+i;f[wa>>2]=(f[wa>>2]|0)+i;if((i|0)!=0&(f[ya>>2]&4|0)!=0){g=f[Da>>2]|0;e=(f[Aa>>2]|0)+(0-i)|0;if(!(f[za>>2]|0))e=gv(g,e,i)|0;else e=iv(g,e,i)|0;f[Da>>2]=e;f[Ba>>2]=e}Fa=f[Fa>>2]|0;f[a+44>>2]=(f[Ea>>2]|0?64:0)+(f[Ca>>2]|0)+((Fa|0)==16191?128:0)+((Fa|0)==16199|(Fa|0)==16194?256:0);a=(pa|0)==0&((c|0)==4|(i|k|0)==0)?-5:pa;u=Ga;return a|0}function Cu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;i=f[a+28>>2]|0;j=i+56|0;d=f[j>>2]|0;if(!d){d=rb[f[a+32>>2]&63](f[a+40>>2]|0,1<<f[i+40>>2],1)|0;f[j>>2]=d;if(!d){j=1;return j|0}}h=i+44|0;a=f[h>>2]|0;if(!a){a=1<<f[i+40>>2];f[h>>2]=a;f[i+52>>2]=0;f[i+48>>2]=0}if(a>>>0<=c>>>0){Lz(d|0,b+(0-a)|0,a|0)|0;f[i+52>>2]=0;f[i+48>>2]=f[h>>2];j=0;return j|0}e=i+52|0;k=f[e>>2]|0;g=a-k|0;g=g>>>0>c>>>0?c:g;Lz(d+k|0,b+(0-c)|0,g|0)|0;d=c-g|0;if(d|0){Lz(f[j>>2]|0,b+(0-d)|0,d|0)|0;f[e>>2]=d;f[i+48>>2]=f[h>>2];k=0;return k|0}a=(f[e>>2]|0)+g|0;k=f[h>>2]|0;f[e>>2]=(a|0)==(k|0)?0:a;a=i+48|0;d=f[a>>2]|0;if(d>>>0>=k>>>0){k=0;return k|0}f[a>>2]=d+g;k=0;return k|0}function Du(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if(!a){g=-2;return g|0}if(!(f[a+32>>2]|0)){g=-2;return g|0}e=a+36|0;b=f[e>>2]|0;if(!b){g=-2;return g|0}g=a+28|0;c=f[g>>2]|0;if(!c){g=-2;return g|0}if((f[c>>2]|0)!=(a|0)){g=-2;return g|0}if(((f[c+4>>2]|0)+-16180|0)>>>0>31){g=-2;return g|0}d=f[c+56>>2]|0;a=a+40|0;if(d){vb[b&3](f[a>>2]|0,d);c=f[g>>2]|0;b=f[e>>2]|0}vb[b&3](f[a>>2]|0,c);f[g>>2]=0;g=0;return g|0}function Eu(a,c,e,g,h,i){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;i=i|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0;J=u;u=u+64|0;I=J+32|0;F=J;k=I;l=k+32|0;do{d[k>>1]=0;k=k+2|0}while((k|0)<(l|0));E=(e|0)==0;if(!E){k=0;do{H=I+(j[c+(k<<1)>>1]<<1)|0;d[H>>1]=(d[H>>1]|0)+1<<16>>16;k=k+1|0}while((k|0)!=(e|0));l=d[I+30>>1]|0;k=f[h>>2]|0;if(!(l<<16>>16))H=5;else{n=15;H=7}}else{k=f[h>>2]|0;H=5}do if((H|0)==5)if(!(d[I+28>>1]|0))if(!(d[I+26>>1]|0))if(!(d[I+24>>1]|0))if(!(d[I+22>>1]|0))if(!(d[I+20>>1]|0))if(!(d[I+18>>1]|0))if(!(d[I+16>>1]|0))if(!(d[I+14>>1]|0))if(!(d[I+12>>1]|0))if(!(d[I+10>>1]|0))if(!(d[I+8>>1]|0))if(!(d[I+6>>1]|0))if(!(d[I+4>>1]|0)){if(d[I+2>>1]|0){l=0;k=(k|0)!=0&1;n=1;m=1;break}i=f[g>>2]|0;f[g>>2]=i+4;b[i>>0]=64;b[i+1>>0]=1;d[i+2>>1]=0;i=f[g>>2]|0;f[g>>2]=i+4;b[i>>0]=64;b[i+1>>0]=1;d[i+2>>1]=0;f[h>>2]=1;i=0;u=J;return i|0}else{l=0;n=2;H=7}else{l=0;n=3;H=7}else{l=0;n=4;H=7}else{l=0;n=5;H=7}else{l=0;n=6;H=7}else{l=0;n=7;H=7}else{l=0;n=8;H=7}else{l=0;n=9;H=7}else{l=0;n=10;H=7}else{l=0;n=11;H=7}else{l=0;n=12;H=7}else{l=0;n=13;H=7}else{l=0;n=14;H=7}while(0);a:do if((H|0)==7){k=k>>>0>n>>>0?n:k;m=1;do{if(d[I+(m<<1)>>1]|0)break a;m=m+1|0}while(m>>>0<n>>>0)}while(0);G=k>>>0<m>>>0?m:k;B=d[I+2>>1]|0;C=B&65535;k=2-C|0;if((k|0)<0){i=-1;u=J;return i|0}D=j[I+4>>1]|0;k=(k<<1)-D|0;if((k|0)<0){i=-1;u=J;return i|0}A=j[I+6>>1]|0;k=(k<<1)-A|0;if((k|0)<0){i=-1;u=J;return i|0}z=j[I+8>>1]|0;k=(k<<1)-z|0;if((k|0)<0){i=-1;u=J;return i|0}y=j[I+10>>1]|0;k=(k<<1)-y|0;if((k|0)<0){i=-1;u=J;return i|0}x=j[I+12>>1]|0;k=(k<<1)-x|0;if((k|0)<0){i=-1;u=J;return i|0}w=j[I+14>>1]|0;k=(k<<1)-w|0;if((k|0)<0){i=-1;u=J;return i|0}v=j[I+16>>1]|0;k=(k<<1)-v|0;if((k|0)<0){i=-1;u=J;return i|0}t=j[I+18>>1]|0;k=(k<<1)-t|0;if((k|0)<0){i=-1;u=J;return i|0}s=j[I+20>>1]|0;k=(k<<1)-s|0;if((k|0)<0){i=-1;u=J;return i|0}r=j[I+22>>1]|0;k=(k<<1)-r|0;if((k|0)<0){i=-1;u=J;return i|0}q=j[I+24>>1]|0;k=(k<<1)-q|0;if((k|0)<0){i=-1;u=J;return i|0}p=j[I+26>>1]|0;k=(k<<1)-p|0;if((k|0)<0){i=-1;u=J;return i|0}o=j[I+28>>1]|0;k=(k<<1)-o|0;if((k|0)<0){i=-1;u=J;return i|0}k=(k<<1)-(l&65535)|0;if((k|0)<0){i=-1;u=J;return i|0}if(k|0?(a|0)==0|(n|0)!=1:0){i=-1;u=J;return i|0}d[F+2>>1]=0;d[F+4>>1]=B;D=D+C|0;d[F+6>>1]=D;d[F+8>>1]=A+D;D=D+A|0;d[F+10>>1]=z+D;D=D+z|0;d[F+12>>1]=y+D;D=D+y|0;d[F+14>>1]=x+D;D=D+x|0;d[F+16>>1]=w+D;D=D+w|0;d[F+18>>1]=v+D;D=D+v|0;d[F+20>>1]=t+D;D=D+t|0;d[F+22>>1]=s+D;D=D+s|0;d[F+24>>1]=r+D;D=D+r|0;d[F+26>>1]=q+D;D=D+q|0;d[F+28>>1]=p+D;d[F+30>>1]=o+(D+p);if(!E){l=0;do{k=d[c+(l<<1)>>1]|0;if(k<<16>>16){D=F+((k&65535)<<1)|0;E=d[D>>1]|0;d[D>>1]=E+1<<16>>16;d[i+((E&65535)<<1)>>1]=l}l=l+1|0}while((l|0)!=(e|0))}switch(a|0){case 0:{e=i;F=0;k=0;C=i;D=20;break}case 1:{if(G>>>0>9){i=1;u=J;return i|0}else{e=32714;F=1;k=0;C=32840;D=257}break}default:{k=(a|0)==2;if(k&G>>>0>9){i=1;u=J;return i|0}else{e=32650;F=0;C=32776;D=0}}}A=1<<G;E=A+-1|0;B=G&255;l=G;x=0;q=0;v=-1;w=f[g>>2]|0;o=0;b:while(1){t=1<<l;y=q;z=o;while(1){q=m-x|0;s=q&255;l=d[i+(z<<1)>>1]|0;o=l&65535;do if((o+1|0)>>>0<D>>>0)r=0;else{p=o-D|0;if(o>>>0<D>>>0){l=0;r=96;break}l=d[e+(p<<1)>>1]|0;r=d[C+(p<<1)>>1]&255}while(0);p=1<<q;q=y>>>x;o=t;do{o=o-p|0;a=o+q|0;b[w+(a<<2)>>0]=r;b[w+(a<<2)+1>>0]=s;d[w+(a<<2)+2>>1]=l}while((o|0)!=0);l=1<<m+-1;while(1)if(!(l&y))break;else l=l>>>1;y=(l|0)==0?0:(l+-1&y)+l|0;z=z+1|0;r=I+(m<<1)|0;a=(d[r>>1]|0)+-1<<16>>16;d[r>>1]=a;if(!(a<<16>>16)){if((m|0)==(n|0))break b;m=j[c+(j[i+(z<<1)>>1]<<1)>>1]|0}if(m>>>0<=G>>>0)continue;s=y&E;if((s|0)!=(v|0))break}q=(x|0)==0?G:x;r=w+(t<<2)|0;o=m-q|0;c:do if(m>>>0<n>>>0){p=m;l=o;o=1<<o;while(1){o=o-(j[I+(p<<1)>>1]|0)|0;if((o|0)<1)break c;l=l+1|0;p=l+q|0;if(p>>>0>=n>>>0)break;else o=o<<1}}else l=o;while(0);p=(1<<l)+A|0;if(F&p>>>0>852|k&p>>>0>592){k=1;H=43;break}x=f[g>>2]|0;b[x+(s<<2)>>0]=l;b[x+(s<<2)+1>>0]=B;d[x+(s<<2)+2>>1]=(r-x|0)>>>2;x=q;q=y;v=s;w=r;o=z;A=p}if((H|0)==43){u=J;return k|0}if(y|0){b[w+(y<<2)>>0]=64;b[w+(y<<2)+1>>0]=s;d[w+(y<<2)+2>>1]=0}f[g>>2]=(f[g>>2]|0)+(A<<2);f[h>>2]=G;i=0;u=J;return i|0}function Fu(a){a=a|0;f[a+2840>>2]=a+148;f[a+2848>>2]=7704;f[a+2852>>2]=a+2440;f[a+2860>>2]=7724;f[a+2864>>2]=a+2684;f[a+2872>>2]=7744;d[a+5816>>1]=0;f[a+5820>>2]=0;Gu(a);return}function Gu(a){a=a|0;var b=0;b=0;do{d[a+148+(b<<2)>>1]=0;b=b+1|0}while((b|0)!=286);d[a+2440>>1]=0;d[a+2444>>1]=0;d[a+2448>>1]=0;d[a+2452>>1]=0;d[a+2456>>1]=0;d[a+2460>>1]=0;d[a+2464>>1]=0;d[a+2468>>1]=0;d[a+2472>>1]=0;d[a+2476>>1]=0;d[a+2480>>1]=0;d[a+2484>>1]=0;d[a+2488>>1]=0;d[a+2492>>1]=0;d[a+2496>>1]=0;d[a+2500>>1]=0;d[a+2504>>1]=0;d[a+2508>>1]=0;d[a+2512>>1]=0;d[a+2516>>1]=0;d[a+2520>>1]=0;d[a+2524>>1]=0;d[a+2528>>1]=0;d[a+2532>>1]=0;d[a+2536>>1]=0;d[a+2540>>1]=0;d[a+2544>>1]=0;d[a+2548>>1]=0;d[a+2552>>1]=0;d[a+2556>>1]=0;d[a+2684>>1]=0;d[a+2688>>1]=0;d[a+2692>>1]=0;d[a+2696>>1]=0;d[a+2700>>1]=0;d[a+2704>>1]=0;d[a+2708>>1]=0;d[a+2712>>1]=0;d[a+2716>>1]=0;d[a+2720>>1]=0;d[a+2724>>1]=0;d[a+2728>>1]=0;d[a+2732>>1]=0;d[a+2736>>1]=0;d[a+2740>>1]=0;d[a+2744>>1]=0;d[a+2748>>1]=0;d[a+2752>>1]=0;d[a+2756>>1]=0;d[a+1172>>1]=1;f[a+5804>>2]=0;f[a+5800>>2]=0;f[a+5808>>2]=0;f[a+5792>>2]=0;return}function Hu(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0;l=a+5820|0;i=f[l>>2]|0;h=g&65535;k=a+5816|0;g=j[k>>1]|0|h<<i;d[k>>1]=g;if((i|0)>13){i=a+8|0;p=f[i>>2]|0;o=a+20|0;n=f[o>>2]|0;f[o>>2]=n+1;b[p+n>>0]=g;n=(j[k>>1]|0)>>>8&255;g=f[i>>2]|0;i=f[o>>2]|0;f[o>>2]=i+1;b[g+i>>0]=n;i=f[l>>2]|0;g=h>>>(16-i|0);d[k>>1]=g;h=i+-13|0}else h=i+3|0;g=g&255;f[l>>2]=h;if((h|0)<=8){if((h|0)>0){m=f[a+8>>2]|0;p=a+20|0;h=f[p>>2]|0;f[p>>2]=h+1;h=m+h|0;m=8}}else{m=a+8|0;o=f[m>>2]|0;p=a+20|0;h=f[p>>2]|0;f[p>>2]=h+1;b[o+h>>0]=g;g=(j[k>>1]|0)>>>8&255;m=f[m>>2]|0;h=f[p>>2]|0;f[p>>2]=h+1;h=m+h|0;m=8}if((m|0)==8)b[h>>0]=g;d[k>>1]=0;f[l>>2]=0;o=a+8|0;m=f[o>>2]|0;p=a+20|0;n=f[p>>2]|0;f[p>>2]=n+1;b[m+n>>0]=e;n=f[o>>2]|0;a=f[p>>2]|0;f[p>>2]=a+1;b[n+a>>0]=e>>>8;a=e&65535^65535;n=f[o>>2]|0;m=f[p>>2]|0;f[p>>2]=m+1;b[n+m>>0]=a;m=f[o>>2]|0;n=f[p>>2]|0;f[p>>2]=n+1;b[m+n>>0]=a>>>8;Lz((f[o>>2]|0)+(f[p>>2]|0)|0,c|0,e|0)|0;f[p>>2]=(f[p>>2]|0)+e;return}function Iu(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,k=0;e=a+5820|0;c=f[e>>2]|0;do if((c|0)!=16)if((c|0)>7){c=a+5816|0;h=d[c>>1]&255;g=f[a+8>>2]|0;i=a+20|0;a=f[i>>2]|0;f[i>>2]=a+1;b[g+a>>0]=h;d[c>>1]=(j[c>>1]|0)>>>8;c=(f[e>>2]|0)+-8|0;break}else return;else{c=a+5816|0;k=d[c>>1]&255;h=a+8|0;i=f[h>>2]|0;a=a+20|0;g=f[a>>2]|0;f[a>>2]=g+1;b[i+g>>0]=k;g=(j[c>>1]|0)>>>8&255;h=f[h>>2]|0;i=f[a>>2]|0;f[a>>2]=i+1;b[h+i>>0]=g;d[c>>1]=0;c=0}while(0);f[e>>2]=c;return}function Ju(a){a=a|0;var c=0,e=0,g=0,h=0,i=0,k=0,l=0;h=a+5820|0;e=f[h>>2]|0;g=a+5816|0;c=j[g>>1]|0|2<<e;d[g>>1]=c;if((e|0)>13){e=a+8|0;l=f[e>>2]|0;k=a+20|0;i=f[k>>2]|0;f[k>>2]=i+1;b[l+i>>0]=c;i=(j[g>>1]|0)>>>8&255;c=f[e>>2]|0;e=f[k>>2]|0;f[k>>2]=e+1;b[c+e>>0]=i;e=f[h>>2]|0;c=2>>>(16-e|0);d[g>>1]=c;e=e+-13|0}else e=e+3|0;c=c&255;f[h>>2]=e;if((e|0)>9){e=a+8|0;i=f[e>>2]|0;k=a+20|0;l=f[k>>2]|0;f[k>>2]=l+1;b[i+l>>0]=c;l=(j[g>>1]|0)>>>8&255;c=f[e>>2]|0;e=f[k>>2]|0;f[k>>2]=e+1;b[c+e>>0]=l;e=f[h>>2]|0;d[g>>1]=0;c=0;e=e+-9|0}else e=e+7|0;f[h>>2]=e;do if((e|0)!=16)if((e|0)>7){k=f[a+8>>2]|0;i=a+20|0;l=f[i>>2]|0;f[i>>2]=l+1;b[k+l>>0]=c;d[g>>1]=(j[g>>1]|0)>>>8;c=(f[h>>2]|0)+-8|0;break}else return;else{l=a+8|0;e=f[l>>2]|0;i=a+20|0;k=f[i>>2]|0;f[i>>2]=k+1;b[e+k>>0]=c;k=(j[g>>1]|0)>>>8&255;l=f[l>>2]|0;c=f[i>>2]|0;f[i>>2]=c+1;b[l+c>>0]=k;d[g>>1]=0;c=0}while(0);f[h>>2]=c;return}function Ku(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;var i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if((f[a+132>>2]|0)>0){l=(f[a>>2]|0)+44|0;if((f[l>>2]|0)==2){i=-201342849;k=0;while(1){if(i&1|0?d[a+148+(k<<2)>>1]|0:0){i=0;break}k=k+1|0;if((k|0)>=32){x=6;break}else i=i>>>1}a:do if((x|0)==6)if(((d[a+184>>1]|0)==0?(d[a+188>>1]|0)==0:0)?(d[a+200>>1]|0)==0:0){i=32;while(1){if(d[a+148+(i<<2)>>1]|0){i=1;break a}i=i+1|0;if((i|0)>=256){i=0;break}}}else i=1;while(0);f[l>>2]=i}Lu(a,a+2840|0);Lu(a,a+2852|0);r=f[a+2844>>2]|0;t=d[a+150>>1]|0;m=t<<16>>16==0;d[a+148+(r+1<<2)+2>>1]=-1;w=a+2756|0;v=a+2752|0;u=a+2748|0;l=m?138:7;m=m?3:4;i=0;t=t&65535;q=-1;b:while(1){k=0;p=i;do{if((p|0)>(r|0))break b;p=p+1|0;n=d[a+148+(p<<2)+2>>1]|0;s=n&65535;k=k+1|0;o=(t|0)==(s|0)}while((k|0)<(l|0)&o);if((k|0)<(m|0)){q=a+2684+(t<<2)|0;d[q>>1]=(j[q>>1]|0)+k}else{if(t){i=a+2684+(t<<2)|0;if((t|0)==(q|0))i=u;else{d[i>>1]=(d[i>>1]|0)+1<<16>>16;i=u}}else i=(k|0)<11?v:w;d[i>>1]=(d[i>>1]|0)+1<<16>>16}m=n<<16>>16==0;q=t;l=m?138:o?6:7;m=m|o?3:4;i=p;t=s}r=f[a+2856>>2]|0;t=d[a+2442>>1]|0;m=t<<16>>16==0;d[a+2440+(r+1<<2)+2>>1]=-1;l=m?138:7;m=m?3:4;i=0;t=t&65535;q=-1;c:while(1){k=0;p=i;do{if((p|0)>(r|0))break c;p=p+1|0;n=d[a+2440+(p<<2)+2>>1]|0;s=n&65535;k=k+1|0;o=(t|0)==(s|0)}while((k|0)<(l|0)&o);if((k|0)<(m|0)){q=a+2684+(t<<2)|0;d[q>>1]=(j[q>>1]|0)+k}else{if(t){i=a+2684+(t<<2)|0;if((t|0)==(q|0))i=u;else{d[i>>1]=(d[i>>1]|0)+1<<16>>16;i=u}}else i=(k|0)<11?v:w;d[i>>1]=(d[i>>1]|0)+1<<16>>16}m=n<<16>>16==0;q=t;l=m?138:o?6:7;m=m|o?3:4;i=p;t=s}Lu(a,a+2864|0);if(!(d[a+2746>>1]|0))if(!(d[a+2690>>1]|0))if(!(d[a+2742>>1]|0))if(!(d[a+2694>>1]|0))if(!(d[a+2738>>1]|0))if(!(d[a+2698>>1]|0))if(!(d[a+2734>>1]|0))if(!(d[a+2702>>1]|0))if(!(d[a+2730>>1]|0))if(!(d[a+2706>>1]|0))if(!(d[a+2726>>1]|0))if(!(d[a+2710>>1]|0))if(!(d[a+2722>>1]|0))if(!(d[a+2714>>1]|0))if(!(d[a+2718>>1]|0))i=(d[a+2686>>1]|0)==0?2:3;else i=4;else i=5;else i=6;else i=7;else i=8;else i=9;else i=10;else i=11;else i=12;else i=13;else i=14;else i=15;else i=16;else i=17;else i=18;l=a+5800|0;k=(i*3|0)+17+(f[l>>2]|0)|0;f[l>>2]=k;k=(k+10|0)>>>3;l=((f[a+5804>>2]|0)+10|0)>>>3;k=l>>>0>k>>>0?k:l}else{l=e+5|0;i=0;k=l}do if((c|0)!=0&(e+4|0)>>>0<=k>>>0)Hu(a,c,e,g);else{t=a+5820|0;n=f[t>>2]|0;m=(n|0)>13;if((l|0)==(k|0)?1:(f[a+136>>2]|0)==4){k=g+2&65535;i=a+5816|0;l=j[i>>1]|k<<n;d[i>>1]=l;if(m){c=a+8|0;e=f[c>>2]|0;v=a+20|0;w=f[v>>2]|0;f[v>>2]=w+1;b[e+w>>0]=l;w=(j[i>>1]|0)>>>8&255;c=f[c>>2]|0;e=f[v>>2]|0;f[v>>2]=e+1;b[c+e>>0]=w;e=f[t>>2]|0;d[i>>1]=k>>>(16-e|0);i=e+-13|0}else i=n+3|0;f[t>>2]=i;Mu(a,33022,32902);break}k=g+4&65535;s=a+5816|0;l=j[s>>1]|k<<n;d[s>>1]=l;if(m){n=a+8|0;w=f[n>>2]|0;c=a+20|0;e=f[c>>2]|0;f[c>>2]=e+1;b[w+e>>0]=l;e=(j[s>>1]|0)>>>8&255;l=f[n>>2]|0;n=f[c>>2]|0;f[c>>2]=n+1;b[l+n>>0]=e;n=f[t>>2]|0;l=k>>>(16-n|0);d[s>>1]=l;n=n+-13|0}else n=n+3|0;f[t>>2]=n;q=f[a+2844>>2]|0;r=f[a+2856>>2]|0;m=q+65280&65535;k=l&65535|m<<n;d[s>>1]=k;if((n|0)>11){e=a+8|0;v=f[e>>2]|0;w=a+20|0;c=f[w>>2]|0;f[w>>2]=c+1;b[v+c>>0]=k;c=(j[s>>1]|0)>>>8&255;k=f[e>>2]|0;e=f[w>>2]|0;f[w>>2]=e+1;b[k+e>>0]=c;e=f[t>>2]|0;k=m>>>(16-e|0);d[s>>1]=k;m=e+-11|0}else m=n+5|0;f[t>>2]=m;l=r&65535;k=l<<m|k&65535;d[s>>1]=k;if((m|0)>11){m=a+8|0;w=f[m>>2]|0;c=a+20|0;e=f[c>>2]|0;f[c>>2]=e+1;b[w+e>>0]=k;e=(j[s>>1]|0)>>>8&255;k=f[m>>2]|0;m=f[c>>2]|0;f[c>>2]=m+1;b[k+m>>0]=e;m=f[t>>2]|0;k=l>>>(16-m|0);d[s>>1]=k;m=m+-11|0}else m=m+5|0;f[t>>2]=m;l=i+65533&65535;k=l<<m|k&65535;d[s>>1]=k;if((m|0)>12){p=a+8|0;e=f[p>>2]|0;o=a+20|0;c=f[o>>2]|0;f[o>>2]=c+1;b[e+c>>0]=k;c=(j[s>>1]|0)>>>8&255;k=f[p>>2]|0;e=f[o>>2]|0;f[o>>2]=e+1;b[k+e>>0]=c;e=f[t>>2]|0;k=l>>>(16-e|0);d[s>>1]=k;l=e+-12|0}else{o=a+20|0;p=a+8|0;l=m+4|0}f[t>>2]=l;n=0;while(1){m=j[a+2684+(h[108434+n>>0]<<2)+2>>1]|0;k=m<<l|k&65535;d[s>>1]=k;if((l|0)>13){l=f[p>>2]|0;e=f[o>>2]|0;f[o>>2]=e+1;b[l+e>>0]=k;e=(j[s>>1]|0)>>>8&255;k=f[p>>2]|0;l=f[o>>2]|0;f[o>>2]=l+1;b[k+l>>0]=e;l=f[t>>2]|0;k=m>>>(16-l|0);d[s>>1]=k;l=l+-13|0}else l=l+3|0;f[t>>2]=l;if((n|0)==(i|0))break;else n=n+1|0}c=a+148|0;Nu(a,c,q);e=a+2440|0;Nu(a,e,r);Mu(a,c,e)}while(0);Gu(a);if(!g)return;l=a+5820|0;i=f[l>>2]|0;if((i|0)<=8){if((i|0)>0){k=d[a+5816>>1]&255;x=f[a+8>>2]|0;g=a+20|0;i=f[g>>2]|0;f[g>>2]=i+1;i=x+i|0;x=84}}else{k=a+5816|0;c=d[k>>1]&255;x=a+8|0;e=f[x>>2]|0;g=a+20|0;i=f[g>>2]|0;f[g>>2]=i+1;b[e+i>>0]=c;k=(j[k>>1]|0)>>>8&255;x=f[x>>2]|0;i=f[g>>2]|0;f[g>>2]=i+1;i=x+i|0;x=84}if((x|0)==84)b[i>>0]=k;d[a+5816>>1]=0;f[l>>2]=0;return}function Lu(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0;C=u;u=u+32|0;B=C;A=f[c>>2]|0;x=c+8|0;s=f[x>>2]|0;l=f[s>>2]|0;s=f[s+12>>2]|0;w=a+5200|0;f[w>>2]=0;y=a+5204|0;f[y>>2]=573;if((s|0)>0){g=-1;e=0;do{if(!(d[A+(e<<2)>>1]|0))d[A+(e<<2)+2>>1]=0;else{g=(f[w>>2]|0)+1|0;f[w>>2]=g;f[a+2908+(g<<2)>>2]=e;b[a+5208+e>>0]=0;g=e}e=e+1|0}while((e|0)!=(s|0));e=f[w>>2]|0;if((e|0)<2)i=3;else z=g}else{e=0;g=-1;i=3}if((i|0)==3){k=a+5800|0;i=a+5804|0;if(!l){do{v=(g|0)<2;z=g+1|0;g=v?z:g;z=v?z:0;e=e+1|0;f[w>>2]=e;f[a+2908+(e<<2)>>2]=z;d[A+(z<<2)>>1]=1;b[a+5208+z>>0]=0;f[k>>2]=(f[k>>2]|0)+-1;e=f[w>>2]|0}while((e|0)<2);z=g}else{do{v=(g|0)<2;z=g+1|0;g=v?z:g;z=v?z:0;e=e+1|0;f[w>>2]=e;f[a+2908+(e<<2)>>2]=z;d[A+(z<<2)>>1]=1;b[a+5208+z>>0]=0;f[k>>2]=(f[k>>2]|0)+-1;f[i>>2]=(f[i>>2]|0)-(j[l+(z<<2)+2>>1]|0);e=f[w>>2]|0}while((e|0)<2);z=g}}v=c+4|0;f[v>>2]=z;g=e>>>1;if(g){while(1){r=f[a+2908+(g<<2)>>2]|0;p=a+5208+r|0;i=g<<1;a:do if((i|0)>(e|0))e=g;else{q=A+(r<<2)|0;o=g;while(1){do if((i|0)<(e|0)){n=i|1;e=f[a+2908+(n<<2)>>2]|0;k=d[A+(e<<2)>>1]|0;l=f[a+2908+(i<<2)>>2]|0;m=d[A+(l<<2)>>1]|0;if((k&65535)>=(m&65535)){if(k<<16>>16!=m<<16>>16){n=i;break}if((h[a+5208+e>>0]|0)>(h[a+5208+l>>0]|0)){n=i;break}}}else n=i;while(0);e=d[q>>1]|0;i=f[a+2908+(n<<2)>>2]|0;k=d[A+(i<<2)>>1]|0;if((e&65535)<(k&65535)){e=o;break a}if(e<<16>>16==k<<16>>16?(h[p>>0]|0)<=(h[a+5208+i>>0]|0):0){e=o;break a}f[a+2908+(o<<2)>>2]=i;i=n<<1;e=f[w>>2]|0;if((i|0)>(e|0)){e=n;break}else o=n}}while(0);f[a+2908+(e<<2)>>2]=r;if((g|0)<=1)break;e=f[w>>2]|0;g=g+-1|0}e=f[w>>2]|0}t=a+2912|0;do{r=f[t>>2]|0;g=e+-1|0;f[w>>2]=g;q=f[a+2908+(e<<2)>>2]|0;f[t>>2]=q;p=a+5208+q|0;b:do if((e|0)<3)e=1;else{o=A+(q<<2)|0;m=2;n=1;while(1){do if((m|0)<(g|0)){e=m|1;g=f[a+2908+(e<<2)>>2]|0;i=d[A+(g<<2)>>1]|0;k=f[a+2908+(m<<2)>>2]|0;l=d[A+(k<<2)>>1]|0;if((i&65535)>=(l&65535)){if(i<<16>>16!=l<<16>>16){e=m;break}if((h[a+5208+g>>0]|0)>(h[a+5208+k>>0]|0)){e=m;break}}}else e=m;while(0);g=d[o>>1]|0;i=f[a+2908+(e<<2)>>2]|0;k=d[A+(i<<2)>>1]|0;if((g&65535)<(k&65535)){e=n;break b}if(g<<16>>16==k<<16>>16?(h[p>>0]|0)<=(h[a+5208+i>>0]|0):0){e=n;break b}f[a+2908+(n<<2)>>2]=i;m=e<<1;g=f[w>>2]|0;if((m|0)>(g|0))break;else n=e}}while(0);f[a+2908+(e<<2)>>2]=q;q=f[t>>2]|0;p=(f[y>>2]|0)+-1|0;f[y>>2]=p;f[a+2908+(p<<2)>>2]=r;p=(f[y>>2]|0)+-1|0;f[y>>2]=p;f[a+2908+(p<<2)>>2]=q;p=A+(s<<2)|0;d[p>>1]=(j[A+(q<<2)>>1]|0)+(j[A+(r<<2)>>1]|0);o=a+5208+s|0;b[o>>0]=(h[((h[a+5208+r>>0]|0)>=(h[a+5208+q>>0]|0)?r:q)+(a+5208)>>0]|0)+1;e=s&65535;d[A+(q<<2)+2>>1]=e;d[A+(r<<2)+2>>1]=e;f[t>>2]=s;e=f[w>>2]|0;c:do if((e|0)<2)e=1;else{g=e;m=2;n=1;while(1){do if((m|0)<(g|0)){e=m|1;g=f[a+2908+(e<<2)>>2]|0;i=d[A+(g<<2)>>1]|0;k=f[a+2908+(m<<2)>>2]|0;l=d[A+(k<<2)>>1]|0;if((i&65535)>=(l&65535)){if(i<<16>>16!=l<<16>>16){e=m;break}if((h[a+5208+g>>0]|0)>(h[a+5208+k>>0]|0)){e=m;break}}}else e=m;while(0);g=d[p>>1]|0;i=f[a+2908+(e<<2)>>2]|0;k=d[A+(i<<2)>>1]|0;if((g&65535)<(k&65535)){e=n;break c}if(g<<16>>16==k<<16>>16?(h[o>>0]|0)<=(h[a+5208+i>>0]|0):0){e=n;break c}f[a+2908+(n<<2)>>2]=i;m=e<<1;g=f[w>>2]|0;if((m|0)>(g|0))break;else n=e}}while(0);f[a+2908+(e<<2)>>2]=s;s=s+1|0;e=f[w>>2]|0}while((e|0)>1);s=f[t>>2]|0;t=(f[y>>2]|0)+-1|0;f[y>>2]=t;f[a+2908+(t<<2)>>2]=s;t=f[c>>2]|0;s=f[v>>2]|0;e=f[x>>2]|0;o=f[e>>2]|0;p=f[e+4>>2]|0;q=f[e+8>>2]|0;e=f[e+16>>2]|0;g=a+2876|0;i=g+32|0;do{d[g>>1]=0;g=g+2|0}while((g|0)<(i|0));g=f[y>>2]|0;d[t+(f[a+2908+(g<<2)>>2]<<2)+2>>1]=0;g=g+1|0;d:do if((g|0)<573){r=a+5800|0;n=a+5804|0;if(!o){m=g;g=0;do{k=f[a+2908+(m<<2)>>2]|0;y=t+(k<<2)+2|0;l=j[t+(j[y>>1]<<2)+2>>1]|0;x=(l|0)<(e|0);l=x?l+1|0:e;g=((x^1)&1)+g|0;d[y>>1]=l;if((k|0)<=(s|0)){y=a+2876+(l<<1)|0;d[y>>1]=(d[y>>1]|0)+1<<16>>16;if((k|0)<(q|0))i=0;else i=f[p+(k-q<<2)>>2]|0;y=X(j[t+(k<<2)>>1]|0,i+l|0)|0;f[r>>2]=y+(f[r>>2]|0)}m=m+1|0}while((m|0)!=573)}else{m=g;g=0;do{k=f[a+2908+(m<<2)>>2]|0;y=t+(k<<2)+2|0;l=j[t+(j[y>>1]<<2)+2>>1]|0;x=(l|0)<(e|0);l=x?l+1|0:e;g=((x^1)&1)+g|0;d[y>>1]=l;if((k|0)<=(s|0)){y=a+2876+(l<<1)|0;d[y>>1]=(d[y>>1]|0)+1<<16>>16;if((k|0)<(q|0))i=0;else i=f[p+(k-q<<2)>>2]|0;y=j[t+(k<<2)>>1]|0;x=X(y,i+l|0)|0;f[r>>2]=x+(f[r>>2]|0);y=X((j[o+(k<<2)+2>>1]|0)+i|0,y)|0;f[n>>2]=y+(f[n>>2]|0)}m=m+1|0}while((m|0)!=573)}if(g|0){n=a+2876+(e<<1)|0;while(1){m=e;while(1){l=m+-1|0;k=a+2876+(l<<1)|0;i=d[k>>1]|0;if(!(i<<16>>16))m=l;else break}d[k>>1]=i+-1<<16>>16;i=a+2876+(m<<1)|0;d[i>>1]=(j[i>>1]|0)+2;i=(d[n>>1]|0)+-1<<16>>16;d[n>>1]=i;if((g|0)>2)g=g+-2|0;else break}if(e|0){g=573;while(1){n=e&65535;if(i<<16>>16){m=i&65535;do{do{g=g+-1|0;i=f[a+2908+(g<<2)>>2]|0}while((i|0)>(s|0));l=t+(i<<2)+2|0;k=j[l>>1]|0;if((e|0)!=(k|0)){y=X(j[t+(i<<2)>>1]|0,e-k|0)|0;f[r>>2]=y+(f[r>>2]|0);d[l>>1]=n}m=m+-1|0}while((m|0)!=0)}e=e+-1|0;if(!e)break d;i=d[a+2876+(e<<1)>>1]|0}}}}while(0);e=1;g=0;do{g=(j[a+2876+(e+-1<<1)>>1]|0)+g<<1;d[B+(e<<1)>>1]=g;e=e+1|0}while((e|0)!=16);if((z|0)<0){u=C;return}else k=0;while(1){a=d[A+(k<<2)+2>>1]|0;e=a&65535;if(a<<16>>16){g=B+(e<<1)|0;i=d[g>>1]|0;d[g>>1]=i+1<<16>>16;i=i&65535;g=0;while(1){g=g|i&1;if((e|0)>1){i=i>>>1;e=e+-1|0;g=g<<1}else break}d[A+(k<<2)>>1]=g}if((k|0)==(z|0))break;else k=k+1|0}u=C;return}function Mu(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;v=a+5792|0;if(!(f[v>>2]|0)){k=a+5820|0;m=a+5816|0;n=f[k>>2]|0;g=d[m>>1]|0}else{t=a+5796|0;u=a+5784|0;k=a+5820|0;m=a+5816|0;y=a+8|0;x=a+20|0;w=0;do{p=d[(f[t>>2]|0)+(w<<1)>>1]|0;r=p&65535;q=h[(f[u>>2]|0)+w>>0]|0;w=w+1|0;do if(!(p<<16>>16)){o=j[c+(q<<2)+2>>1]|0;n=f[k>>2]|0;i=j[c+(q<<2)>>1]|0;l=j[m>>1]|0|i<<n;g=l&65535;d[m>>1]=g;if((n|0)>(16-o|0)){g=f[y>>2]|0;s=f[x>>2]|0;f[x>>2]=s+1;b[g+s>>0]=l;s=(j[m>>1]|0)>>>8&255;g=f[y>>2]|0;n=f[x>>2]|0;f[x>>2]=n+1;b[g+n>>0]=s;n=f[k>>2]|0;g=i>>>(16-n|0)&65535;d[m>>1]=g;n=o+-16+n|0;s=23;break}else{n=n+o|0;s=23;break}}else{p=h[108178+q>>0]|0;n=(p|256)+1|0;l=j[c+(n<<2)+2>>1]|0;g=f[k>>2]|0;n=j[c+(n<<2)>>1]|0;o=j[m>>1]|0|n<<g;i=o&65535;d[m>>1]=i;if((g|0)>(16-l|0)){i=f[y>>2]|0;g=f[x>>2]|0;f[x>>2]=g+1;b[i+g>>0]=o;g=(j[m>>1]|0)>>>8&255;i=f[y>>2]|0;o=f[x>>2]|0;f[x>>2]=o+1;b[i+o>>0]=g;o=f[k>>2]|0;i=n>>>(16-o|0)&65535;d[m>>1]=i;o=l+-16+o|0}else o=g+l|0;f[k>>2]=o;n=f[7960+(p<<2)>>2]|0;if((p+-8|0)>>>0<20){l=q-(f[8076+(p<<2)>>2]|0)&65535;g=l<<o|i&65535;i=g&65535;d[m>>1]=i;if((o|0)>(16-n|0)){i=f[y>>2]|0;q=f[x>>2]|0;f[x>>2]=q+1;b[i+q>>0]=g;q=(j[m>>1]|0)>>>8&255;i=f[y>>2]|0;g=f[x>>2]|0;f[x>>2]=g+1;b[i+g>>0]=q;g=f[k>>2]|0;i=l>>>(16-g|0)&65535;d[m>>1]=i;g=n+-16+g|0}else g=o+n|0;f[k>>2]=g;o=g}q=r+-1|0;p=h[107666+(q>>>0<256?q:(q>>>7)+256|0)>>0]|0;l=j[e+(p<<2)+2>>1]|0;n=j[e+(p<<2)>>1]|0;i=i&65535|n<<o;g=i&65535;d[m>>1]=g;if((o|0)>(16-l|0)){g=f[y>>2]|0;o=f[x>>2]|0;f[x>>2]=o+1;b[g+o>>0]=i;o=(j[m>>1]|0)>>>8&255;g=f[y>>2]|0;r=f[x>>2]|0;f[x>>2]=r+1;b[g+r>>0]=o;r=f[k>>2]|0;g=n>>>(16-r|0)&65535;d[m>>1]=g;n=l+-16+r|0}else n=o+l|0;f[k>>2]=n;o=f[7840+(p<<2)>>2]|0;if((p+-4|0)>>>0<26){l=q-(f[8192+(p<<2)>>2]|0)&65535;i=l<<n|g&65535;g=i&65535;d[m>>1]=g;if((n|0)>(16-o|0)){g=f[y>>2]|0;s=f[x>>2]|0;f[x>>2]=s+1;b[g+s>>0]=i;s=(j[m>>1]|0)>>>8&255;g=f[y>>2]|0;n=f[x>>2]|0;f[x>>2]=n+1;b[g+n>>0]=s;n=f[k>>2]|0;g=l>>>(16-n|0)&65535;d[m>>1]=g;n=o+-16+n|0;s=23;break}else{n=n+o|0;s=23;break}}}while(0);if((s|0)==23){s=0;f[k>>2]=n}}while(w>>>0<(f[v>>2]|0)>>>0)}l=j[c+1026>>1]|0;i=j[c+1024>>1]|0;g=g&65535|i<<n;d[m>>1]=g;if((n|0)>(16-l|0)){c=a+8|0;w=f[c>>2]|0;x=a+20|0;y=f[x>>2]|0;f[x>>2]=y+1;b[w+y>>0]=g;y=(j[m>>1]|0)>>>8&255;c=f[c>>2]|0;a=f[x>>2]|0;f[x>>2]=a+1;b[c+a>>0]=y;a=f[k>>2]|0;d[m>>1]=i>>>(16-a|0);a=l+-16+a|0;f[k>>2]=a;return}else{a=n+l|0;f[k>>2]=a;return}}function Nu(a,c,e){a=a|0;c=c|0;e=e|0;var g=0,h=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;B=d[c+2>>1]|0;i=B<<16>>16==0;z=a+2754|0;t=a+5820|0;v=a+2752|0;s=a+5816|0;D=a+8|0;C=a+20|0;A=a+2758|0;w=a+2756|0;y=a+2750|0;u=a+2748|0;h=i?138:7;i=i?3:4;g=0;B=B&65535;k=-1;a:while(1){m=0;r=g;while(1){if((r|0)>(e|0))break a;r=r+1|0;p=d[c+(r<<2)+2>>1]|0;x=p&65535;l=m+1|0;q=(B|0)==(x|0);if(!((l|0)<(h|0)&q))break;else m=l}if((l|0)<(i|0)){o=a+2684+(B<<2)+2|0;n=a+2684+(B<<2)|0;g=f[t>>2]|0;h=d[s>>1]|0;do{m=j[o>>1]|0;k=j[n>>1]|0;i=h&65535|k<<g;h=i&65535;d[s>>1]=h;if((g|0)>(16-m|0)){g=f[D>>2]|0;h=f[C>>2]|0;f[C>>2]=h+1;b[g+h>>0]=i;i=(j[s>>1]|0)>>>8&255;h=f[D>>2]|0;g=f[C>>2]|0;f[C>>2]=g+1;b[h+g>>0]=i;g=f[t>>2]|0;h=k>>>(16-g|0)&65535;d[s>>1]=h;g=m+-16+g|0}else g=g+m|0;f[t>>2]=g;l=l+-1|0}while((l|0)!=0)}else{do if(!B)if((l|0)<11){i=j[z>>1]|0;h=f[t>>2]|0;k=j[v>>1]|0;g=j[s>>1]|0|k<<h;d[s>>1]=g;if((h|0)>(16-i|0)){o=f[D>>2]|0;n=f[C>>2]|0;f[C>>2]=n+1;b[o+n>>0]=g;n=(j[s>>1]|0)>>>8&255;g=f[D>>2]|0;o=f[C>>2]|0;f[C>>2]=o+1;b[g+o>>0]=n;o=f[t>>2]|0;g=k>>>(16-o|0);d[s>>1]=g;i=i+-16+o|0}else i=h+i|0;f[t>>2]=i;h=m+65534&65535;g=g&65535|h<<i;d[s>>1]=g;if((i|0)>13){o=f[D>>2]|0;n=f[C>>2]|0;f[C>>2]=n+1;b[o+n>>0]=g;n=(j[s>>1]|0)>>>8&255;o=f[D>>2]|0;g=f[C>>2]|0;f[C>>2]=g+1;b[o+g>>0]=n;g=f[t>>2]|0;d[s>>1]=h>>>(16-g|0);g=g+-13|0;break}else{g=i+3|0;break}}else{i=j[A>>1]|0;h=f[t>>2]|0;k=j[w>>1]|0;g=j[s>>1]|0|k<<h;d[s>>1]=g;if((h|0)>(16-i|0)){o=f[D>>2]|0;n=f[C>>2]|0;f[C>>2]=n+1;b[o+n>>0]=g;n=(j[s>>1]|0)>>>8&255;g=f[D>>2]|0;o=f[C>>2]|0;f[C>>2]=o+1;b[g+o>>0]=n;o=f[t>>2]|0;g=k>>>(16-o|0);d[s>>1]=g;i=i+-16+o|0}else i=h+i|0;f[t>>2]=i;h=m+65526&65535;g=g&65535|h<<i;d[s>>1]=g;if((i|0)>9){o=f[D>>2]|0;n=f[C>>2]|0;f[C>>2]=n+1;b[o+n>>0]=g;n=(j[s>>1]|0)>>>8&255;o=f[D>>2]|0;g=f[C>>2]|0;f[C>>2]=g+1;b[o+g>>0]=n;g=f[t>>2]|0;d[s>>1]=h>>>(16-g|0);g=g+-9|0;break}else{g=i+7|0;break}}else{if((B|0)==(k|0)){g=f[t>>2]|0;h=d[s>>1]|0}else{l=j[a+2684+(B<<2)+2>>1]|0;k=f[t>>2]|0;g=j[a+2684+(B<<2)>>1]|0;i=j[s>>1]|0|g<<k;h=i&65535;d[s>>1]=h;if((k|0)>(16-l|0)){h=f[D>>2]|0;n=f[C>>2]|0;f[C>>2]=n+1;b[h+n>>0]=i;n=(j[s>>1]|0)>>>8&255;h=f[D>>2]|0;o=f[C>>2]|0;f[C>>2]=o+1;b[h+o>>0]=n;o=f[t>>2]|0;h=g>>>(16-o|0)&65535;d[s>>1]=h;g=l+-16+o|0}else g=k+l|0;f[t>>2]=g;l=m}i=j[y>>1]|0;k=j[u>>1]|0;h=h&65535|k<<g;d[s>>1]=h;if((g|0)>(16-i|0)){g=f[D>>2]|0;n=f[C>>2]|0;f[C>>2]=n+1;b[g+n>>0]=h;n=(j[s>>1]|0)>>>8&255;g=f[D>>2]|0;o=f[C>>2]|0;f[C>>2]=o+1;b[g+o>>0]=n;o=f[t>>2]|0;g=k>>>(16-o|0);d[s>>1]=g;i=i+-16+o|0}else{i=g+i|0;g=h}f[t>>2]=i;h=l+65533&65535;g=g&65535|h<<i;d[s>>1]=g;if((i|0)>14){o=f[D>>2]|0;n=f[C>>2]|0;f[C>>2]=n+1;b[o+n>>0]=g;n=(j[s>>1]|0)>>>8&255;o=f[D>>2]|0;g=f[C>>2]|0;f[C>>2]=g+1;b[o+g>>0]=n;g=f[t>>2]|0;d[s>>1]=h>>>(16-g|0);g=g+-14|0;break}else{g=i+2|0;break}}while(0);f[t>>2]=g}i=p<<16>>16==0;k=B;h=i?138:q?6:7;i=i|q?3:4;g=r;B=x}return}function Ou(a,b,c){a=a|0;b=b|0;c=c|0;return Lv(X(c,b)|0)|0}function Pu(a,b){a=a|0;b=b|0;Mv(b);return}function Qu(a){a=a|0;do if(a)if((f[a+12>>2]|0)==7247){a=$u(a)|0;break}else{a=ev(a)|0;break}else a=-2;while(0);return a|0}function Ru(a,b){a=a|0;b=b|0;return Su(a,-1,b)|0}function Su(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+16|0;p=v+8|0;o=v;if(!a){t=0;u=v;return t|0}s=Lv(140)|0;if(!s){t=0;u=v;return t|0}f[s+24>>2]=0;f[s+28>>2]=8192;t=s+80|0;f[t>>2]=0;q=s+12|0;f[q>>2]=0;m=s+60|0;f[m>>2]=-1;n=s+64|0;f[n>>2]=0;l=s+40|0;f[l>>2]=0;e=b[d>>0]|0;a:do if(e<<24>>24){h=0;g=0;i=0;j=0;k=d;b:while(1){d=e<<24>>24;c:do if((e+-48&255)<10){f[m>>2]=d+-48;d=h}else do switch(d|0){case 43:{r=10;break b}case 114:{f[q>>2]=7247;g=7247;d=h;break c}case 119:{f[q>>2]=31153;g=31153;d=h;break c}case 97:{f[q>>2]=1;g=1;d=h;break c}case 84:{f[l>>2]=1;d=1;break c}case 101:{d=h;i=1;break c}case 120:{d=h;j=1;break c}case 102:{f[n>>2]=1;d=h;break c}case 104:{f[n>>2]=2;d=h;break c}case 82:{f[n>>2]=3;d=h;break c}case 70:{f[n>>2]=4;d=h;break c}default:{d=h;break c}}while(0);while(0);k=k+1|0;e=b[k>>0]|0;if(!(e<<24>>24))break;else h=d}if((r|0)==10){Mv(s);t=0;u=v;return t|0}d:do if((g|0)<7247)switch(g|0){case 0:break a;default:{}}else{switch(g|0){case 7247:break;default:break d}if(!d){f[l>>2]=1;break}Mv(s);t=0;u=v;return t|0}while(0);e=(Bx(a)|0)+1|0;d=Lv(e)|0;g=s+20|0;f[g>>2]=d;if(!d){Mv(s);t=0;u=v;return t|0}f[o>>2]=a;Hx(d,e,108569,o)|0;e=f[q>>2]|0;do if((c|0)>-1)f[s+16>>2]=c;else{f[p>>2]=438;c=dx(a,((e|0)==7247?0:((e|0)==31153?512:1024)|(j|0?193:65))|(i|0?557056:32768),p)|0;f[s+16>>2]=c;if((c|0)!=-1){e=f[q>>2]|0;break}Mv(f[g>>2]|0);Mv(s);t=0;u=v;return t|0}while(0);e:do if((e|0)>=7247){switch(e|0){case 7247:break;default:{c=s;r=35;break e}}p=fx(c,0,1)|0;f[s+48>>2]=(p|0)==-1?0:p;q=f[q>>2]|0;f[s>>2]=0;if((q|0)==7247){f[s+52>>2]=0;f[s+56>>2]=0;c=s+44|0;r=35}}else{switch(e|0){case 1:break;default:{c=s;r=35;break e}}fx(c,0,2)|0;f[q>>2]=31153;c=s;r=35}while(0);if((r|0)==35)f[c>>2]=0;f[s+72>>2]=0;e=f[t>>2]|0;c=s+76|0;if(e|0){if((f[c>>2]|0)!=-4)Mv(e);f[t>>2]=0}f[c>>2]=0;f[s+8>>2]=0;f[s+88>>2]=0;t=s;u=v;return t|0}while(0);Mv(s);t=0;u=v;return t|0}function Tu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;if(!a){a=-1;return a|0}i=a+12|0;d=f[i>>2]|0;a:do if((d|0)<31153){switch(d|0){case 7247:break a;default:b=-1}return b|0}else{switch(d|0){case 31153:break a;default:b=-1}return b|0}while(0);j=a+76|0;g=f[j>>2]|0;switch(g|0){case -5:case 0:break;default:{a=-1;return a|0}}if(c>>>0>1){a=-1;return a|0}if(c){c=a+72|0;if(f[c>>2]|0)b=(f[a+68>>2]|0)+b|0}else{c=a+72|0;b=b-(f[a+8>>2]|0)|0}f[c>>2]=0;e=(d|0)==7247;if((e?(f[a+44>>2]|0)==1:0)?(h=a+8|0,((f[h>>2]|0)+b|0)>-1):0){if((fx(f[a+16>>2]|0,b-(f[a>>2]|0)|0,1)|0)==-1){a=-1;return a|0}f[a>>2]=0;f[a+52>>2]=0;f[a+56>>2]=0;f[c>>2]=0;c=a+80|0;d=f[c>>2]|0;if(d|0){if((f[j>>2]|0)!=-4)Mv(d);f[c>>2]=0}f[j>>2]=0;f[a+88>>2]=0;a=(f[h>>2]|0)+b|0;f[h>>2]=a;return a|0}if((b|0)<0){if(!e){a=-1;return a|0}h=a+8|0;b=(f[h>>2]|0)+b|0;if((b|0)<0){a=-1;return a|0}switch(g|0){case -5:case 0:break;default:{a=-1;return a|0}}if((fx(f[a+16>>2]|0,f[a+48>>2]|0,0)|0)==-1){a=-1;return a|0}f[a>>2]=0;d=f[i>>2]|0;if((d|0)==7247){f[a+52>>2]=0;f[a+56>>2]=0;f[a+44>>2]=0}f[c>>2]=0;g=a+80|0;e=f[g>>2]|0;if(e){if((f[j>>2]|0)!=-4){Mv(e);d=f[i>>2]|0}f[g>>2]=0}f[j>>2]=0;f[h>>2]=0;f[a+88>>2]=0}if((d|0)==7247){i=f[a>>2]|0;j=(i|0)<0|(i|0)>(b|0)?b:i;f[a>>2]=i-j;i=a+4|0;f[i>>2]=(f[i>>2]|0)+j;i=a+8|0;f[i>>2]=(f[i>>2]|0)+j;b=b-j|0}if(b|0){f[c>>2]=1;f[a+68>>2]=b}a=(f[a+8>>2]|0)+b|0;return a|0}function Uu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;i=u;u=u+16|0;h=i;g=a+80|0;d=f[g>>2]|0;if(d|0){if((f[a+76>>2]|0)!=-4)Mv(d);f[g>>2]=0}switch(b|0){case 0:case -5:break;default:f[a>>2]=0}e=a+76|0;f[e>>2]=b;if((b|0)==-4|(c|0)==0){u=i;return}d=f[a+20>>2]|0;b=Bx(d)|0;b=Lv(b+3+(Bx(c)|0)|0)|0;f[g>>2]=b;if(!b){f[e>>2]=-4;u=i;return}else{g=Bx(d)|0;g=g+3+(Bx(c)|0)|0;f[h>>2]=d;f[h+4>>2]=108579;f[h+8>>2]=c;Hx(b,g,108572,h)|0;u=i;return}}function Vu(a,b,c){a=a|0;b=b|0;c=c|0;return Tu(a,b,c)|0}function Wu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;a:do if((a|0)!=0?(f[a+12>>2]|0)==7247:0){d=a+76|0;switch(f[d>>2]|0){case -5:case 0:break;default:{b=-1;break a}}if((c|0)<0){Uu(a,-2,108582);b=-1;break}b=Xu(a,b,c)|0;if(!b)switch(f[d>>2]|0){case -5:case 0:break;default:{b=-1;break a}}}else b=-1;while(0);return b|0}function Xu(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;if(!c){a=0;return a|0}d=a+72|0;a:do if(f[d>>2]|0){f[d>>2]=0;d=f[a+68>>2]|0;g=a+88|0;h=a+52|0;i=a+4|0;j=a+8|0;if(!d)q=a;else{b:while(1){while(1){e=f[a>>2]|0;if(e|0)break;if(f[h>>2]|0?(f[g>>2]|0)==0:0){q=a;break a}if((Yu(a)|0)==-1){d=0;break b}}q=(e|0)<0|(e|0)>(d|0)?d:e;f[a>>2]=e-q;f[i>>2]=(f[i>>2]|0)+q;f[j>>2]=(f[j>>2]|0)+q;d=d-q|0;if(!d){q=a;break a}}return d|0}}else{g=a+88|0;h=a+52|0;q=a;i=a+4|0;j=a+8|0}while(0);n=a+44|0;p=a+24|0;m=a+16|0;l=a+100|0;o=a+96|0;k=b;d=0;c:while(1){e=f[q>>2]|0;d:do if(!e){if(f[h>>2]|0?(f[g>>2]|0)==0:0){r=16;break c}e=f[n>>2]|0;if(e|0?c>>>0>=f[p>>2]<<1>>>0:0){if((e|0)==1)e=0;else{f[l>>2]=c;f[o>>2]=k;if((Zu(a)|0)==-1){d=0;r=31;break c}b=0;e=f[q>>2]|0;r=28;break}while(1){b=c-e|0;b=Ox(f[m>>2]|0,k+e|0,b>>>0<1073741824?b:1073741824)|0;if((b|0)<1)break;e=b+e|0;if(e>>>0>=c>>>0){r=29;break d}}if((b|0)<0){r=25;break c}f[h>>2]=1;r=29;break}if((Yu(a)|0)==-1){d=0;r=31;break c}else{b=k;e=c}}else{e=e>>>0<c>>>0?e:c;Lz(k|0,f[i>>2]|0,e|0)|0;f[i>>2]=(f[i>>2]|0)+e;b=(f[q>>2]|0)-e|0;r=28}while(0);if((r|0)==28){f[q>>2]=b;r=29}if((r|0)==29){r=0;f[j>>2]=(f[j>>2]|0)+e;b=k+e|0;d=e+d|0;e=c-e|0}if(!e){r=31;break}else{k=b;c=e}}if((r|0)==16){f[a+56>>2]=1;a=d;return a|0}else if((r|0)==25){r=Wv()|0;Uu(a,-1,Jw(f[r>>2]|0)|0);a=0;return a|0}else if((r|0)==31)return d|0;return 0}function Yu(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;d=a+44|0;i=a+52|0;b=a+88|0;g=a+24|0;c=a+100|0;j=a+36|0;e=a+96|0;a:while(1){switch(f[d>>2]|0){case 1:{h=5;break a}case 0:{if((_u(a)|0)==-1){b=-1;h=16;break a}if(!(f[d>>2]|0)){b=0;h=16;break a}break}case 2:{f[c>>2]=f[g>>2]<<1;f[e>>2]=f[j>>2];if((Zu(a)|0)==-1){b=-1;h=16;break a}break}default:{}}if(f[a>>2]|0){b=0;h=16;break}if(!(f[i>>2]|0))continue;if(!(f[b>>2]|0)){b=0;h=16;break}}if((h|0)==5){e=f[j>>2]|0;d=f[g>>2]<<1;f[a>>2]=0;c=a+16|0;b=0;do{g=d-b|0;b=Ox(f[c>>2]|0,e+b|0,g>>>0<1073741824?g:1073741824)|0;if((b|0)<1){h=8;break}b=(f[a>>2]|0)+b|0;f[a>>2]=b}while(b>>>0<d>>>0);do if((h|0)==8){if((b|0)>=0){f[i>>2]=1;break}j=Wv()|0;Uu(a,-1,Jw(f[j>>2]|0)|0);a=-1;return a|0}while(0);f[a+4>>2]=f[j>>2];a=0;return a|0}else if((h|0)==16)return b|0;return 0}function Zu(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;o=a+84|0;j=a+100|0;p=f[j>>2]|0;i=a+88|0;l=a+76|0;k=a+52|0;h=a+32|0;n=a+24|0;m=a+16|0;b=0;a:do{if(!(f[i>>2]|0)){switch(f[l>>2]|0){case -5:case 0:break;default:{b=-1;q=20;break a}}if(f[k>>2]|0){q=12;break}e=f[h>>2]|0;g=f[n>>2]|0;c=0;do{d=g-c|0;d=Ox(f[m>>2]|0,e+c|0,d>>>0<1073741824?d:1073741824)|0;if((d|0)<1){q=8;break}c=d+c|0}while(c>>>0<g>>>0);if((q|0)==8){q=0;if((d|0)<0){q=10;break}f[k>>2]=1}g=(f[i>>2]|0)+c|0;f[i>>2]=g;f[o>>2]=f[h>>2];if(!g){q=12;break}}b=Bu(o,0)|0;switch(b|0){case 2:case -2:{q=14;break a}case -4:{q=15;break a}case -3:{q=16;break a}default:{}}c=f[j>>2]|0}while((b|0)!=1&(c|0)!=0);if((q|0)==10){q=Wv()|0;Uu(a,-1,Jw(f[q>>2]|0)|0);q=-1;return q|0}else if((q|0)==12){Uu(a,-5,108613);c=f[j>>2]|0}else if((q|0)==14){Uu(a,-2,108636);q=-1;return q|0}else if((q|0)==15){Uu(a,-4,108773);q=-1;return q|0}else if((q|0)==16){q=f[a+108>>2]|0;Uu(a,-3,(q|0)==0?108675:q);q=-1;return q|0}else if((q|0)==20)return b|0;q=p-c|0;f[a>>2]=q;f[a+4>>2]=(f[a+96>>2]|0)+(0-q);if((b|0)!=1){q=0;return q|0}f[a+44>>2]=0;q=0;return q|0}
function ms(a,c,e,g,i,j,k,l,m,o){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0.0,r=0,s=0,t=0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0.0,F=0,G=0,H=0,J=0,K=0,L=0.0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0;V=u;u=u+80|0;U=V+72|0;R=V+68|0;G=V+64|0;H=V+60|0;P=V+56|0;F=V+78|0;z=V+76|0;x=V+52|0;M=V+32|0;N=V+24|0;K=V+16|0;B=V+48|0;C=V+44|0;D=V+40|0;J=V+8|0;w=V;f[U>>2]=k;f[R>>2]=0;b[F>>0]=0;d[z>>1]=0;f[x>>2]=0;p[K>>3]=0.0;r=J;f[r>>2]=0;f[r+4>>2]=0;r=w;f[r>>2]=0;f[r+4>>2]=0;r=f[o>>2]|0;if((r|0)>0){o=r;u=V;return o|0}T=a+4|0;t=f[T>>2]|0;s=t+1220|0;r=f[s>>2]|0;do if(!r){Q=f[t+1104>>2]|0;S=f[t+1044>>2]|0;r=((Q+-1|0)/(S|0)|0)+1|0;if((Q|0)==(S|0)?(f[t+1048>>2]|0)==1:0){S=0;break}S=Nv(r,4)|0;f[s>>2]=S;S=Nv(r,4)|0;f[t+1232>>2]=S;S=Nv(r,4)|0;f[t+1236>>2]=S;S=Nv(r,4)|0;f[t+1224>>2]=S;S=Nv(r,4)|0;f[t+1228>>2]=S;r=Nv(r,4)|0;f[t+1240>>2]=r;r=f[s>>2]|0;if(!r)S=0;else y=6}else y=6;while(0);if((y|0)==6){s=(c+-1|0)%((((f[t+1104>>2]|0)+-1|0)/(f[t+1044>>2]|0)|0)+1|0)|0;if((f[r+(s<<2)>>2]|0)==(c|0)?(f[(f[t+1228>>2]|0)+(s<<2)>>2]|0)==(g|0):0){Lz(k|0,f[(f[t+1232>>2]|0)+(s<<2)>>2]|0,f[(f[t+1224>>2]|0)+(s<<2)>>2]|0)|0;if((i|0)==2)Lz(l|0,f[(f[(f[T>>2]|0)+1236>>2]|0)+(s<<2)>>2]|0,e|0)|0;f[m>>2]=f[(f[(f[T>>2]|0)+1240>>2]|0)+(s<<2)>>2];o=f[o>>2]|0;u=V;return o|0}else S=s}A=((c|0)<0)<<31>>31;_j(a,f[t+1136>>2]|0,c,A,J,w,o)|0;if((f[o>>2]|0)==107){f[o>>2]=415;o=415;u=V;return o|0}Q=J;if((f[Q>>2]|0)==0&(f[Q+4>>2]|0)==0){r=f[T>>2]|0;s=f[r+1140>>2]|0;do if((s|0)>0){_j(a,s,c,A,J,w,o)|0;e=J;r=f[e>>2]|0;S=w;if((f[S>>2]|r|0)==0?(f[S+4>>2]|f[e+4>>2]|0)==0:0){f[o>>2]=415;o=415;u=V;return o|0}t=f[(f[T>>2]|0)+1140>>2]|0;s=Nz(0,r|0,32)|0;k=I;r=f[U>>2]|0;if((i|0)<2){al(a,g,t,c,A,1,0,s,k,j,r,m,o)|0;break}else{bl(a,g,t,c,A,1,0,s,k,r,l,m,o)|0;break}}else{r=f[r+1144>>2]|0;if((r|0)<=0){f[o>>2]=415;break}_j(a,r,c,A,J,w,o)|0;S=J;r=f[S>>2]|0;R=w;if((f[R>>2]|r|0)==0?(f[R+4>>2]|f[S+4>>2]|0)==0:0){f[o>>2]=415;o=415;u=V;return o|0}t=Lv(r)|0;if(!t){vj(100532);f[o>>2]=113;o=113;u=V;return o|0}R=f[(f[T>>2]|0)+1144>>2]|0;S=Nz(0,r|0,32)|0;if((al(a,11,R,c,A,1,0,S,I,F,t,0,o)|0)>0){vj(100598);Mv(t);o=f[o>>2]|0;u=V;return o|0}s=f[(f[T>>2]|0)+1096>>2]|0;switch(s|0){case -32:{r=2;break}case -64:{r=3;break}default:{vj(100653);Mv(t);f[o>>2]=414;o=414;u=V;return o|0}}r=e<<r;f[G>>2]=r;k=(g|0)==82;if(k&(s|0)==-32){c=Lv(r)|0;f[x>>2]=c;if(!c){vj(100724);Mv(t);f[o>>2]=113;o=113;u=V;return o|0}if(Xc(t,f[J>>2]|0,x,G,0,H,o)|0){vj(100790);Mv(f[x>>2]|0);Mv(t);o=f[o>>2]|0;u=V;return o|0}}else if(Xc(t,f[J>>2]|0,U,G,0,H,o)|0){vj(100790);Mv(t);o=f[o>>2]|0;u=V;return o|0}Mv(t);r=f[H>>2]|0;if((r|0)==(e<<2|0)){r=f[x>>2]|0;if(!r)Rr(f[U>>2]|0,e);else Rr(r,e);if((g|0)==42){if(!j)q=0.0;else q=+n[j>>2];U=f[U>>2]|0;El(U,e,1.0,0.0,i,q,l,m,U,o)|0;break}if(!k){vj(100822);f[o>>2]=414;o=414;u=V;return o|0}if(!j)q=0.0;else q=+p[j>>3];vl(f[x>>2]|0,e,1.0,0.0,i,q,l,m,f[U>>2]|0,o)|0;Mv(f[x>>2]|0);break}else{if((r|0)!=(e<<3|0)){vj(100966);f[o>>2]=414;o=414;u=V;return o|0}Sr(f[U>>2]|0,e);if((g|0)==42){if(!j)q=0.0;else q=+n[j>>2];U=f[U>>2]|0;Jl(U,e,1.0,0.0,i,q,l,m,U,o)|0;break}if(!k){vj(100893);f[o>>2]=414;o=414;u=V;return o|0}if(!j)q=0.0;else q=+p[j>>3];U=f[U>>2]|0;ql(U,e,1.0,0.0,i,q,l,m,U,o)|0;break}}while(0);o=f[o>>2]|0;u=V;return o|0}O=(e|0)>0;if((i|0)==2&O)Fz(l|0,0,e|0)|0;if(m|0)f[m>>2]=0;r=f[T>>2]|0;E=+p[r+1192>>3];s=f[r+1148>>2]|0;a:do switch(s|0){case 0:{p[M>>3]=1.0;p[N>>3]=0.0;break}case -1:{p[M>>3]=+p[r+1160>>3];p[N>>3]=+p[r+1168>>3];break}default:{zl(a,s,c,A,1,0,1,0,0.0,M,0,o)|0;zl(a,f[(f[T>>2]|0)+1152>>2]|0,c,A,1,0,1,0,0.0,N,0,o)|0;if((f[o>>2]|0)>0){vj(101006);o=f[o>>2]|0;u=V;return o|0}r=f[T>>2]|0;switch(f[r+1096>>2]|0){case -64:case -32:break;default:break a}q=+p[r+1176>>3];v=+p[r+1184>>3];if(q!=1.0|v!=0.0){p[M>>3]=q*+p[M>>3];p[N>>3]=v+q*+p[N>>3]}}}while(0);if(+p[M>>3]==1.0&+p[N>>3]==0.0){p[M>>3]=+p[r+1176>>3];p[N>>3]=+p[r+1184>>3]}s=f[r+1156>>2]|0;b:do switch(s|0){case 0:{Q=0;break}case -1:{f[P>>2]=f[r+1200>>2];Q=i;break}default:{Bm(a,s,c,A,1,0,1,0,0,P,0,o)|0;if((f[o>>2]|0)<=0){r=f[T>>2]|0;Q=i;break b}vj(101066);o=f[o>>2]|0;u=V;return o|0}}while(0);k=r+1040|0;s=f[k>>2]|0;c:do switch(s|0){case 41:{switch(f[r+1096>>2]|0){case 16:case 8:{y=99;break c}default:{}}s=e<<3;f[G>>2]=s;break}case 11:{if((f[r+1096>>2]|0)==8?(f[r+1208>>2]|0)==1:0){f[G>>2]=e;s=e}else y=91;break}case 51:case 22:case 21:{if((f[r+1096>>2]|0)==8){f[G>>2]=e;s=e;break c}switch(s|0){case 11:{y=91;break c}case 51:case 22:case 21:break;default:{y=99;break c}}if((f[r+1096>>2]|0)==16){s=e<<1;f[G>>2]=s;break c}switch(s|0){case 51:case 22:case 21:break;default:{y=99;break c}}if((f[r+1096>>2]|0)==-64){s=e<<3;f[G>>2]=s}else y=99;break}default:y=99}while(0);if((y|0)==91)if((f[r+1096>>2]|0)==16?(f[r+1208>>2]|0)==2:0){s=e<<1;f[G>>2]=s}else y=99;if((y|0)==99){s=e<<2;f[G>>2]=s}i=Lv(s)|0;f[R>>2]=i;if(!i){vj(101111);f[o>>2]=113;o=113;u=V;return o|0}s=f[J>>2]|0;i=Lv(s<<((f[k>>2]|0)==31&1))|0;if(!i){vj(101173);Mv(f[R>>2]|0);f[o>>2]=113;o=113;u=V;return o|0}y=(f[k>>2]|0)==31;k=f[r+1136>>2]|0;r=Nz(0,s|0,32)|0;s=I;if(y)al(a,21,k,c,A,1,0,r,s,z,i,0,o)|0;else al(a,11,k,c,A,1,0,r,s,F,i,0,o)|0;if((f[o>>2]|0)>0){vj(100598);Mv(i);Mv(f[R>>2]|0);o=f[o>>2]|0;u=V;return o|0}k=f[T>>2]|0;d:do switch(f[k+1040>>2]|0){case 11:{t=f[k+1204>>2]|0;k=f[k+1208>>2]|0;r=f[J>>2]|0;if((k|0)==1){r=Ms(i,r,f[R>>2]|0,e,t)|0;f[o>>2]=r;r=11;break d}s=f[R>>2]|0;if((k|0)==2){r=Ls(i,r,s,e,t)|0;f[o>>2]=r;r=21;break d}else{r=Ks(i,r,s,e,t)|0;f[o>>2]=r;r=31;break d}}case 41:{r=f[k+1216>>2]|0;s=f[R>>2]|0;switch(f[k+1096>>2]|0){case 16:case 8:{r=Ys(i,r,s,B,C,D,o)|0;break}default:r=ct(i,r,s,B,C,D,o)|0}f[o>>2]=r;r=31;break}case 31:{Os(i,1,f[R>>2]|0,e)|0;r=31;break}case 22:case 21:{Xc(i,f[J>>2]|0,R,G,19,H,o)|0;r=f[H>>2]|0;D=e<<1;if((r|0)==(D|0)){if((f[(f[T>>2]|0)+1040>>2]|0)==22){r=f[R>>2]|0;s=((e|0)<0)<<31>>31;y=Lv(D)|0;if(O){z=0-e|0;k=0;t=0;w=r+D|0;x=y+D|0;do{w=w+-1|0;b[x+-1>>0]=b[w>>0]|0;x=x+-2|0;b[x>>0]=b[w+z>>0]|0;k=Ez(k|0,t|0,1,0)|0;t=I}while((t|0)<(s|0)|(t|0)==(s|0)&k>>>0<e>>>0)}Lz(r|0,y|0,D|0)|0;Mv(y)}Qr(f[R>>2]|0,e);r=21;break d}C=e<<2;if((r|0)==(C|0)){if((f[(f[T>>2]|0)+1040>>2]|0)==22){y=f[R>>2]|0;z=((e|0)<0)<<31>>31;A=Lv(C)|0;if(O){B=0-e|0;x=0-D|0;r=X(e,-3)|0;s=0;k=0;t=y+C|0;w=A+C|0;do{t=t+-1|0;b[w+-1>>0]=b[t>>0]|0;b[w+-2>>0]=b[t+B>>0]|0;b[w+-3>>0]=b[t+x>>0]|0;w=w+-4|0;b[w>>0]=b[t+r>>0]|0;s=Ez(s|0,k|0,1,0)|0;k=I}while((k|0)<(z|0)|(k|0)==(z|0)&s>>>0<e>>>0)}Lz(y|0,A|0,C|0)|0;Mv(A)}Rr(f[R>>2]|0,e);r=31;break d}if((r|0)==(e<<3|0)){if((f[(f[T>>2]|0)+1040>>2]|0)==22)os(f[R>>2]|0,e,((e|0)<0)<<31>>31);Sr(f[R>>2]|0,e);r=82;break d}else{if((r|0)==(e|0)){r=11;break d}vj(100966);Mv(f[R>>2]|0);f[o>>2]=414;o=414;u=V;return o|0}}case 51:{vj(101222);Mv(f[R>>2]|0);Mv(i);f[o>>2]=414;o=414;u=V;return o|0}default:{vj(101248);Mv(f[R>>2]|0);f[o>>2]=414;o=414;u=V;return o|0}}while(0);Mv(i);if(f[o>>2]|0){Mv(f[R>>2]|0);o=f[o>>2]|0;u=V;return o|0}x=(j|0)==0?K:j;e:do switch(g|0){case 21:{w=f[T>>2]|0;k=(r|0)==31;if(+n[w+1068>>2]==9999.0){s=f[R>>2]|0;v=+p[N>>3];q=+p[M>>3];r=d[x>>1]|0;if(k){Vl(s,e,q,v,Q,r,l,m,f[U>>2]|0,o)|0;s=2;break e}else{Wl(s,e,q,v,Q,r,l,m,f[U>>2]|0,o)|0;s=2;break e}}if(!k)switch(r&127){case 21:{Rl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,d[x>>1]|0,l,m,f[U>>2]|0,o)|0;s=2;break e}case 11:{Tl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,d[x>>1]|0,l,m,f[U>>2]|0,o)|0;s=2;break e}default:{s=2;break e}}t=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=d[x>>1]|0;k=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[w+1040>>2]|0)==31:0){Ul(t,e,v,q+-32768.0,Q,r,s,l,m,k,o)|0;s=2;break e}Ul(t,e,v,q,Q,r,s,l,m,k,o)|0;if((f[(f[T>>2]|0)+1040>>2]|0)==41?(f[o>>2]|0)==412:0){f[o>>2]=0;s=2}else s=2;break}case 31:{w=f[T>>2]|0;t=(r|0)==31;if(+n[w+1068>>2]==9999.0){k=f[R>>2]|0;s=f[x>>2]|0;v=+p[N>>3];q=+p[M>>3];r=f[U>>2]|0;if(t){Fm(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}else{Gm(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}}if(t){t=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=f[x>>2]|0;k=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[w+1040>>2]|0)==31:0){Em(t,e,v,q+-32768.0,Q,r,s,l,m,k,o)|0;s=4;break e}else{Em(t,e,v,q,Q,r,s,l,m,k,o)|0;s=4;break e}}else switch(r&127){case 21:{Dm(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}case 11:{Cm(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}default:{s=4;break e}}}case 41:{w=f[T>>2]|0;t=(r|0)==31;if(+n[w+1068>>2]==9999.0){k=f[R>>2]|0;s=f[x>>2]|0;v=+p[N>>3];q=+p[M>>3];r=f[U>>2]|0;if(t){em(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}else{fm(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}}if(t){t=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=f[x>>2]|0;k=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[w+1040>>2]|0)==31:0){am(t,e,v,q+-32768.0,Q,r,s,l,m,k,o)|0;s=4;break e}else{am(t,e,v,q,Q,r,s,l,m,k,o)|0;s=4;break e}}else switch(r&127){case 21:{dm(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}case 11:{cm(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}default:{s=4;break e}}}case 42:{L=+n[x>>2];t=f[T>>2]|0;k=(r|0)==31;if(+n[t+1068>>2]==9999.0){s=f[R>>2]|0;v=+p[N>>3];q=+p[M>>3];r=f[U>>2]|0;if(k){El(s,e,q,v,Q,L,l,m,r,o)|0;s=4;break e}else{Jl(s,e,q,v,Q,L,l,m,r,o)|0;s=4;break e}}w=f[t+1072>>2]|0;if((w+-1|0)>>>0>=2)if(k){k=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[t+1040>>2]|0)==31:0){Hl(k,e,v,q+-32768.0,Q,r,L,l,m,s,o)|0;s=4;break e}else{Hl(k,e,v,q,Q,r,L,l,m,s,o)|0;s=4;break e}}else switch(r&127){case 21:{Gl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,L,l,m,f[U>>2]|0,o)|0;s=4;break e}case 11:{Fl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,L,l,m,f[U>>2]|0,o)|0;s=4;break e}default:{s=4;break e}}if(k){k=f[t+1076>>2]|0;B=f[R>>2]|0;E=+p[M>>3];v=+p[N>>3];z=f[P>>2]|0;A=f[U>>2]|0;r=f[55542]|0;do if(!r){s=Nv(1e4,4)|0;f[55542]=s;if(!s){s=4;break e}else{r=0;q=1.0}do{W=q*16807.0;q=W-+(~~(W/2147483647.0)|0)*2147483647.0;n[s+(r<<2)>>2]=q/2147483647.0;r=r+1|0}while((r|0)!=1e4);if((~~q|0)==1043618065){x=s;y=s;break}vj(97447);s=4;break e}else{x=r;y=r}while(0);k=(c+-2+k|0)%1e4|0;r=~~(+n[x+(k<<2)>>2]*500.0);if(!Q){if(!O){s=4;break e}if((w|0)==2)t=0;else{t=0;while(1){n[A+(t<<2)>>2]=v+E*(+(f[B+(t<<2)>>2]|0)-+n[x+(r<<2)>>2]+.5);r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=4;break e}}}while(1){s=f[B+(t<<2)>>2]|0;if((s|0)==-2147483646)q=0.0;else q=v+E*(+(s|0)-+n[x+(r<<2)>>2]+.5);n[A+(t<<2)>>2]=q;r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=4;break e}}}if(!O){s=4;break e}s=(Q|0)==1;if((w|0)!=2)if(s){t=y;w=0;while(1){s=f[B+(w<<2)>>2]|0;if((s|0)==(z|0)){f[m>>2]=1;q=L}else q=v+E*(+(s|0)-+n[t+(r<<2)>>2]+.5);n[A+(w<<2)>>2]=q;r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=y;k=r;r=~~(+n[y+(r<<2)>>2]*500.0)}else s=t;w=w+1|0;if((w|0)==(e|0)){s=4;break e}else t=s}}else{t=0;while(1){s=f[B+(t<<2)>>2]|0;if((s|0)==(z|0)){f[m>>2]=1;b[l+t>>0]=1}else n[A+(t<<2)>>2]=v+E*(+(s|0)-+n[(f[55542]|0)+(r<<2)>>2]+.5);r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=4;break e}else k=s}}if(s){t=y;w=0;while(1){s=f[B+(w<<2)>>2]|0;do if((s|0)==(z|0)){f[m>>2]=1;q=L}else{if((s|0)==-2147483646){q=0.0;break}q=v+E*(+(s|0)-+n[t+(r<<2)>>2]+.5)}while(0);n[A+(w<<2)>>2]=q;r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=y;k=r;r=~~(+n[y+(r<<2)>>2]*500.0)}else s=t;w=w+1|0;if((w|0)==(e|0)){s=4;break e}else t=s}}else t=0;while(1){s=f[B+(t<<2)>>2]|0;if((s|0)==(z|0)){f[m>>2]=1;b[l+t>>0]=1}else{if((s|0)==-2147483646)q=0.0;else q=v+E*(+(s|0)-+n[(f[55542]|0)+(r<<2)>>2]+.5);n[A+(t<<2)>>2]=q}r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=4;break e}else k=s}}switch(r&127){case 21:{k=f[t+1076>>2]|0;A=f[R>>2]|0;E=+p[M>>3];v=+p[N>>3];y=f[P>>2]&65535;z=f[U>>2]|0;r=f[55542]|0;do if(!r){r=Nv(1e4,4)|0;f[55542]=r;if(!r){s=4;break e}else{s=0;q=1.0}do{W=q*16807.0;q=W-+(~~(W/2147483647.0)|0)*2147483647.0;n[r+(s<<2)>>2]=q/2147483647.0;s=s+1|0}while((s|0)!=1e4);if((~~q|0)==1043618065){x=r;break}vj(97447);s=4;break e}else x=r;while(0);k=(c+-2+k|0)%1e4|0;r=~~(+n[x+(k<<2)>>2]*500.0);if(!Q){if(O)t=0;else{s=4;break e}while(1){n[z+(t<<2)>>2]=v+E*(+(d[A+(t<<1)>>1]|0)-+n[x+(r<<2)>>2]+.5);r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=4;break e}}}if(!O){s=4;break e}if((Q|0)==1){t=x;w=0;do{s=d[A+(w<<1)>>1]|0;if(s<<16>>16==y<<16>>16){f[m>>2]=1;q=L}else q=v+E*(+(s<<16>>16)-+n[t+(r<<2)>>2]+.5);n[z+(w<<2)>>2]=q;r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){t=x;k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}w=w+1|0}while((w|0)!=(e|0));s=4}else{t=0;while(1){s=d[A+(t<<1)>>1]|0;if(s<<16>>16==y<<16>>16){f[m>>2]=1;b[l+t>>0]=1}else n[z+(t<<2)>>2]=v+E*(+(s<<16>>16)-+n[(f[55542]|0)+(r<<2)>>2]+.5);r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=4;break}else k=s}}break}case 11:{k=f[t+1076>>2]|0;A=f[R>>2]|0;E=+p[M>>3];v=+p[N>>3];y=f[P>>2]&255;z=f[U>>2]|0;r=f[55542]|0;do if(!r){r=Nv(1e4,4)|0;f[55542]=r;if(!r){s=4;break e}else{s=0;q=1.0}do{W=q*16807.0;q=W-+(~~(W/2147483647.0)|0)*2147483647.0;n[r+(s<<2)>>2]=q/2147483647.0;s=s+1|0}while((s|0)!=1e4);if((~~q|0)==1043618065){x=r;break}vj(97447);s=4;break e}else x=r;while(0);k=(c+-2+k|0)%1e4|0;r=~~(+n[x+(k<<2)>>2]*500.0);if(!Q){if(O)t=0;else{s=4;break e}while(1){n[z+(t<<2)>>2]=v+E*(+(h[A+t>>0]|0)-+n[x+(r<<2)>>2]+.5);r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=4;break e}}}if(!O){s=4;break e}if((Q|0)==1){t=x;w=0;do{s=b[A+w>>0]|0;if(s<<24>>24==y<<24>>24){f[m>>2]=1;q=L}else q=v+E*(+(s&255)-+n[t+(r<<2)>>2]+.5);n[z+(w<<2)>>2]=q;r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){t=x;k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}w=w+1|0}while((w|0)!=(e|0));s=4}else{t=0;while(1){s=b[A+t>>0]|0;if(s<<24>>24==y<<24>>24){f[m>>2]=1;b[l+t>>0]=1}else n[z+(t<<2)>>2]=v+E*(+(s&255)-+n[(f[55542]|0)+(r<<2)>>2]+.5);r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=4;break}else k=s}}break}default:{s=4;break e}}break}case 82:{L=+p[x>>3];t=f[T>>2]|0;k=(r|0)==31;if(+n[t+1068>>2]==9999.0){s=f[R>>2]|0;v=+p[N>>3];q=+p[M>>3];r=f[U>>2]|0;if(k){vl(s,e,q,v,Q,L,l,m,r,o)|0;s=8;break e}else{ql(s,e,q,v,Q,L,l,m,r,o)|0;s=8;break e}}w=f[t+1072>>2]|0;if((w+-1|0)>>>0>=2)if(k){k=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[t+1040>>2]|0)==31:0){tl(k,e,v,q+-32768.0,Q,r,L,l,m,s,o)|0;s=8;break e}else{tl(k,e,v,q,Q,r,L,l,m,s,o)|0;s=8;break e}}else switch(r&127){case 21:{sl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,L,l,m,f[U>>2]|0,o)|0;s=8;break e}case 11:{rl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,L,l,m,f[U>>2]|0,o)|0;s=8;break e}default:{s=8;break e}}if(k){k=f[t+1076>>2]|0;B=f[R>>2]|0;E=+p[M>>3];v=+p[N>>3];z=f[P>>2]|0;A=f[U>>2]|0;r=f[55542]|0;do if(!r){s=Nv(1e4,4)|0;f[55542]=s;if(!s){s=8;break e}else{r=0;q=1.0}do{W=q*16807.0;q=W-+(~~(W/2147483647.0)|0)*2147483647.0;n[s+(r<<2)>>2]=q/2147483647.0;r=r+1|0}while((r|0)!=1e4);if((~~q|0)==1043618065){x=s;y=s;break}vj(97447);s=8;break e}else{x=r;y=r}while(0);k=(c+-2+k|0)%1e4|0;r=~~(+n[x+(k<<2)>>2]*500.0);if(!Q){if(!O){s=8;break e}if((w|0)==2)t=0;else{t=0;while(1){p[A+(t<<3)>>3]=v+E*(+(f[B+(t<<2)>>2]|0)-+n[x+(r<<2)>>2]+.5);r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=8;break e}}}while(1){s=f[B+(t<<2)>>2]|0;if((s|0)==-2147483646)q=0.0;else q=v+E*(+(s|0)-+n[x+(r<<2)>>2]+.5);p[A+(t<<3)>>3]=q;r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=8;break e}}}if(!O){s=8;break e}s=(Q|0)==1;if((w|0)!=2)if(s){t=y;w=0;while(1){s=f[B+(w<<2)>>2]|0;if((s|0)==(z|0)){f[m>>2]=1;q=L}else q=v+E*(+(s|0)-+n[t+(r<<2)>>2]+.5);p[A+(w<<3)>>3]=q;r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=y;k=r;r=~~(+n[y+(r<<2)>>2]*500.0)}else s=t;w=w+1|0;if((w|0)==(e|0)){s=8;break e}else t=s}}else{t=0;while(1){s=f[B+(t<<2)>>2]|0;if((s|0)==(z|0)){f[m>>2]=1;b[l+t>>0]=1}else p[A+(t<<3)>>3]=v+E*(+(s|0)-+n[(f[55542]|0)+(r<<2)>>2]+.5);r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=8;break e}else k=s}}if(s){t=y;w=0;while(1){s=f[B+(w<<2)>>2]|0;do if((s|0)==(z|0)){f[m>>2]=1;q=L}else{if((s|0)==-2147483646){q=0.0;break}q=v+E*(+(s|0)-+n[t+(r<<2)>>2]+.5)}while(0);p[A+(w<<3)>>3]=q;r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=y;k=r;r=~~(+n[y+(r<<2)>>2]*500.0)}else s=t;w=w+1|0;if((w|0)==(e|0)){s=8;break e}else t=s}}else t=0;while(1){s=f[B+(t<<2)>>2]|0;if((s|0)==(z|0)){f[m>>2]=1;b[l+t>>0]=1}else{if((s|0)==-2147483646)q=0.0;else q=v+E*(+(s|0)-+n[(f[55542]|0)+(r<<2)>>2]+.5);p[A+(t<<3)>>3]=q}r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=8;break e}else k=s}}switch(r&127){case 21:{k=f[t+1076>>2]|0;A=f[R>>2]|0;E=+p[M>>3];v=+p[N>>3];y=f[P>>2]&65535;z=f[U>>2]|0;r=f[55542]|0;do if(!r){r=Nv(1e4,4)|0;f[55542]=r;if(!r){s=8;break e}else{s=0;q=1.0}do{W=q*16807.0;q=W-+(~~(W/2147483647.0)|0)*2147483647.0;n[r+(s<<2)>>2]=q/2147483647.0;s=s+1|0}while((s|0)!=1e4);if((~~q|0)==1043618065){x=r;break}vj(97447);s=8;break e}else x=r;while(0);k=(c+-2+k|0)%1e4|0;r=~~(+n[x+(k<<2)>>2]*500.0);if(!Q){if(O)t=0;else{s=8;break e}while(1){p[z+(t<<3)>>3]=v+E*(+(d[A+(t<<1)>>1]|0)-+n[x+(r<<2)>>2]+.5);r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=8;break e}}}if(!O){s=8;break e}if((Q|0)==1){t=x;w=0;do{s=d[A+(w<<1)>>1]|0;if(s<<16>>16==y<<16>>16){f[m>>2]=1;q=L}else q=v+E*(+(s<<16>>16)-+n[t+(r<<2)>>2]+.5);p[z+(w<<3)>>3]=q;r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){t=x;k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}w=w+1|0}while((w|0)!=(e|0));s=8}else{t=0;while(1){s=d[A+(t<<1)>>1]|0;if(s<<16>>16==y<<16>>16){f[m>>2]=1;b[l+t>>0]=1}else p[z+(t<<3)>>3]=v+E*(+(s<<16>>16)-+n[(f[55542]|0)+(r<<2)>>2]+.5);r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=8;break}else k=s}}break}case 11:{k=f[t+1076>>2]|0;A=f[R>>2]|0;E=+p[M>>3];v=+p[N>>3];y=f[P>>2]&255;z=f[U>>2]|0;r=f[55542]|0;do if(!r){r=Nv(1e4,4)|0;f[55542]=r;if(!r){s=8;break e}else{s=0;q=1.0}do{W=q*16807.0;q=W-+(~~(W/2147483647.0)|0)*2147483647.0;n[r+(s<<2)>>2]=q/2147483647.0;s=s+1|0}while((s|0)!=1e4);if((~~q|0)==1043618065){x=r;break}vj(97447);s=8;break e}else x=r;while(0);k=(c+-2+k|0)%1e4|0;r=~~(+n[x+(k<<2)>>2]*500.0);if(!Q){if(O)t=0;else{s=8;break e}while(1){p[z+(t<<3)>>3]=v+E*(+(h[A+t>>0]|0)-+n[x+(r<<2)>>2]+.5);r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}t=t+1|0;if((t|0)==(e|0)){s=8;break e}}}if(!O){s=8;break e}if((Q|0)==1){t=x;w=0;do{s=b[A+w>>0]|0;if(s<<24>>24==y<<24>>24){f[m>>2]=1;q=L}else q=v+E*(+(s&255)-+n[t+(r<<2)>>2]+.5);p[z+(w<<3)>>3]=q;r=r+1|0;s=k+1|0;s=(s|0)==1e4?0:s;if((r|0)==1e4){t=x;k=s;r=~~(+n[x+(s<<2)>>2]*500.0)}w=w+1|0}while((w|0)!=(e|0));s=8}else{t=0;while(1){s=b[A+t>>0]|0;if(s<<24>>24==y<<24>>24){f[m>>2]=1;b[l+t>>0]=1}else p[z+(t<<3)>>3]=v+E*(+(s&255)-+n[(f[55542]|0)+(r<<2)>>2]+.5);r=r+1|0;if((r|0)==1e4){r=k+1|0;r=(r|0)==1e4?0:r;s=r;r=~~(+n[(f[55542]|0)+(r<<2)>>2]*500.0)}else s=k;t=t+1|0;if((t|0)==(e|0)){s=8;break}else k=s}}break}default:{s=8;break e}}break}case 11:switch(r&127){case 31:{gl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]|0,b[x>>0]|0,l,m,f[U>>2]|0,o)|0;s=1;break e}case 21:{fl(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,b[x>>0]|0,l,m,f[U>>2]|0,o)|0;s=1;break e}case 11:{el(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,b[x>>0]|0,l,m,f[U>>2]|0,o)|0;s=1;break e}default:{s=1;break e}}case 12:switch(r&127){case 31:{Tm(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]|0,b[x>>0]|0,l,m,f[U>>2]|0,o)|0;s=1;break e}case 21:{Sm(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,b[x>>0]|0,l,m,f[U>>2]|0,o)|0;s=1;break e}case 11:{Rm(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,b[x>>0]|0,l,m,f[U>>2]|0,o)|0;s=1;break e}default:{s=1;break e}}case 20:{w=f[T>>2]|0;t=(r|0)==31;if(+n[w+1068>>2]==9999.0){k=f[R>>2]|0;v=+p[N>>3];q=+p[M>>3];r=d[x>>1]|0;s=f[U>>2]|0;if(t){on(k,e,q,v,Q,r,l,m,s,o)|0;s=2;break e}else{pn(k,e,q,v,Q,r,l,m,s,o)|0;s=2;break e}}if(t){t=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=d[x>>1]|0;k=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[w+1040>>2]|0)==31:0){nn(t,e,v,q+-32768.0,Q,r,s,l,m,k,o)|0;s=2;break e}else{nn(t,e,v,q,Q,r,s,l,m,k,o)|0;s=2;break e}}else switch(r&127){case 21:{kn(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,d[x>>1]|0,l,m,f[U>>2]|0,o)|0;s=2;break e}case 11:{mn(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,d[x>>1]|0,l,m,f[U>>2]|0,o)|0;s=2;break e}default:{s=2;break e}}}case 30:{w=f[T>>2]|0;t=(r|0)==31;if(+n[w+1068>>2]==9999.0){k=f[R>>2]|0;s=f[x>>2]|0;v=+p[N>>3];q=+p[M>>3];r=f[U>>2]|0;if(t){fn(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}else{gn(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}}if(t){t=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=f[x>>2]|0;k=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[w+1040>>2]|0)==31:0){en(t,e,v,q+-32768.0,Q,r,s,l,m,k,o)|0;s=4;break e}else{en(t,e,v,q,Q,r,s,l,m,k,o)|0;s=4;break e}}else switch(r&127){case 21:{dn(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}case 11:{cn(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}default:{s=4;break e}}}case 40:{w=f[T>>2]|0;t=(r|0)==31;if(+n[w+1068>>2]==9999.0){k=f[R>>2]|0;s=f[x>>2]|0;v=+p[N>>3];q=+p[M>>3];r=f[U>>2]|0;if(t){zn(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}else{An(k,e,q,v,Q,s,l,m,r,o)|0;s=4;break e}}if(t){t=f[R>>2]|0;v=+p[M>>3];q=+p[N>>3];s=f[x>>2]|0;k=f[U>>2]|0;r=f[P>>2]|0;if(E==32768.0?(f[w+1040>>2]|0)==31:0){vn(t,e,v,q+-32768.0,Q,r,s,l,m,k,o)|0;s=4;break e}else{vn(t,e,v,q,Q,r,s,l,m,k,o)|0;s=4;break e}}else switch(r&127){case 21:{yn(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&65535,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}case 11:{xn(f[R>>2]|0,e,+p[M>>3],+p[N>>3],Q,f[P>>2]&255,f[x>>2]|0,l,m,f[U>>2]|0,o)|0;s=4;break e}default:{s=4;break e}}}default:{f[o>>2]=410;s=0}}while(0);Mv(f[R>>2]|0);r=f[T>>2]|0;do if(f[r+1220>>2]|0){if((f[r+1104>>2]|0)==(f[r+1044>>2]|0)?(f[r+1048>>2]|0)==1:0)break;k=X(s,e)|0;if(!((k|0)==(f[(f[r+1224>>2]|0)+(S<<2)>>2]|0)?(f[(f[r+1228>>2]|0)+(S<<2)>>2]|0)==(g|0):0)){s=f[(f[r+1232>>2]|0)+(S<<2)>>2]|0;if(s){Mv(s);r=f[T>>2]|0}r=f[r+1236>>2]|0;s=f[r+(S<<2)>>2]|0;if(s){Mv(s);r=f[(f[T>>2]|0)+1236>>2]|0}f[r+(S<<2)>>2]=0;r=f[T>>2]|0;f[(f[r+1220>>2]|0)+(S<<2)>>2]=0;f[(f[r+1224>>2]|0)+(S<<2)>>2]=0;f[(f[r+1228>>2]|0)+(S<<2)>>2]=0;R=Lv(k)|0;f[(f[r+1232>>2]|0)+(S<<2)>>2]=R;r=f[T>>2]|0;if(!(f[(f[r+1232>>2]|0)+(S<<2)>>2]|0)){o=f[o>>2]|0;u=V;return o|0}do if((Q|0)==2){R=Lv(e)|0;f[(f[r+1236>>2]|0)+(S<<2)>>2]=R;r=f[T>>2]|0;if(f[(f[r+1236>>2]|0)+(S<<2)>>2]|0)break;o=f[o>>2]|0;u=V;return o|0}while(0);f[(f[r+1224>>2]|0)+(S<<2)>>2]=k;f[(f[r+1228>>2]|0)+(S<<2)>>2]=g}Lz(f[(f[r+1232>>2]|0)+(S<<2)>>2]|0,f[U>>2]|0,k|0)|0;if((Q|0)==2){s=(f[T>>2]|0)+1236|0;r=f[s>>2]|0;if(!r){r=Lv(e)|0;f[(f[s>>2]|0)+(S<<2)>>2]=r;r=f[(f[T>>2]|0)+1236>>2]|0}Lz(f[r+(S<<2)>>2]|0,l|0,e|0)|0}l=f[T>>2]|0;f[(f[l+1220>>2]|0)+(S<<2)>>2]=c;f[(f[l+1240>>2]|0)+(S<<2)>>2]=f[m>>2]}while(0);o=f[o>>2]|0;u=V;return o|0}function ns(a,b,c,d,e,g,h,i,j,k,l){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;var m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0;ea=u;u=u+144|0;ba=ea+120|0;aa=ea+96|0;ca=ea+72|0;da=ea+48|0;$=ea+24|0;y=ea;g=f[l>>2]|0;if((g|0)>0){a=g;u=ea;return a|0};f[ca>>2]=0;f[ca+4>>2]=0;f[ca+8>>2]=0;f[ca+12>>2]=0;f[ca+16>>2]=0;f[ca+20>>2]=0;f[da>>2]=0;f[da+4>>2]=0;f[da+8>>2]=0;f[da+12>>2]=0;f[da+16>>2]=0;f[da+20>>2]=0;f[$>>2]=0;f[$+4>>2]=0;f[$+8>>2]=0;f[$+12>>2]=0;f[$+16>>2]=0;f[$+20>>2]=0;f[y>>2]=1;f[ba>>2]=1;f[aa>>2]=1;f[y+4>>2]=1;D=ba+4|0;f[D>>2]=1;E=aa+4|0;f[E>>2]=1;f[y+8>>2]=1;B=ba+8|0;f[B>>2]=1;C=aa+8|0;f[C>>2]=1;f[y+12>>2]=1;z=ba+12|0;f[z>>2]=1;A=aa+12|0;f[A>>2]=1;f[y+16>>2]=1;f[ba+16>>2]=1;f[aa+16>>2]=1;f[y+20>>2]=1;f[ba+20>>2]=1;f[aa+20>>2]=1;a:do if((c|0)>0){x=0;b:while(1){m=f[e+(x<<2)>>2]|0;t=f[i+(x<<2)>>2]|0;if((m|0)<(t|0)){k=38;break}v=f[d+(x<<2)>>2]|0;k=f[j+(x<<2)>>2]|0;if((v|0)>(k|0)){k=38;break}w=f[y+(x<<2)>>2]|0;w=(w|0)>-1?w:0-w|0;o=(k-t|0)/(w|0)|0;p=o+1|0;q=ba+(x<<2)|0;f[q>>2]=p;if((o|0)<0){k=6;break}_=m-v|0;k=_+1|0;r=aa+(x<<2)|0;f[r>>2]=k;if((_|0)<0){k=8;break}s=(x|0)>0;if(s){_=X(f[aa+(x+-1<<2)>>2]|0,k)|0;f[r>>2]=_}k=m+-1|0;m=t+-1|0;n=v+-1|0;while(1){if(!((n-m|0)%(w|0)|0))break;if((n|0)<(k|0))n=n+1|0;else{k=38;break b}}while(1){if(!((k-m|0)%(w|0)|0))break;if((n|0)<(k|0))k=k+-1|0;else{k=38;break b}}n=(n+1-t|0)/(w|0)|0;f[ca+(x<<2)>>2]=(n|0)>0?n:0;k=(k+1-t|0)/(w|0)|0;f[da+(x<<2)>>2]=(k|0)<(o|0)?k:o;k=t-v|0;k=(k|0)>0?k:0;n=$+(x<<2)|0;f[n>>2]=k;while(1){if(!((k+v-t|0)%(w|0)|0))break;m=k+1|0;if((m|0)<(f[r>>2]|0))k=m;else{k=19;break b}}f[n>>2]=k;if(s){_=X(p,f[ba+(x+-1<<2)>>2]|0)|0;f[q>>2]=_}x=x+1|0;if((x|0)>=(c|0))break a}if((k|0)==6){f[l>>2]=323;a=323;u=ea;return a|0}else if((k|0)==8){f[l>>2]=323;a=323;u=ea;return a|0}else if((k|0)==19){f[n>>2]=m;a=g;u=ea;return a|0}else if((k|0)==38){u=ea;return g|0}}while(0);Z=(f[da>>2]|0)+1-(f[ca>>2]|0)|0;_=X(Z,b)|0;k=f[da+16>>2]|0;Y=f[ca+16>>2]|0;if((k|0)<(Y|0)){a=g;u=ea;return a|0}W=f[$+16>>2]|0;V=f[z>>2]|0;S=f[A>>2]|0;O=f[da+12>>2]|0;T=f[ca+12>>2]|0;U=(O|0)<(T|0);R=k-Y|0;Q=f[$+12>>2]|0;P=f[B>>2]|0;K=f[C>>2]|0;I=f[da+8>>2]|0;L=f[ca+8>>2]|0;N=(I|0)<(L|0);O=O-T|0;M=f[$+8>>2]|0;J=f[D>>2]|0;E=f[E>>2]|0;e=f[da+4>>2]|0;F=f[ca+4>>2]|0;H=(e|0)<(F|0);I=I-L|0;G=f[$+4>>2]|0;D=f[$>>2]|0;C=f[aa>>2]|0;B=f[ba>>2]|0;A=f[ca>>2]|0;g=f[da>>2]|0;n=(A|0)>(g|0);e=e-F|0;r=0;j=0;while(1){c=X(V,Y+r|0)|0;d=X(W+j|0,S)|0;if(!U){q=0;i=0;while(1){t=(X(P,T+q|0)|0)+c|0;if(!N){m=(X(Q+i|0,K)|0)+d|0;p=0;y=0;while(1){s=t+(X(J,L+p|0)|0)|0;if(!H){k=m+(X(M+y|0,E)|0)+D|0;o=0;x=0;while(1){if(!n){v=s+(X(B,F+o|0)|0)+A|0;w=A;z=k+(X(C,G+x|0)|0)|0;while(1){Lz(a+(X(z,b)|0)|0,h+(X(v,b)|0)|0,_|0)|0;w=w+Z|0;if((w|0)>(g|0))break;else{v=Z+v|0;z=Z+z|0}}}if((o|0)<(e|0)){o=o+1|0;x=x+1|0}else break}}if((p|0)<(I|0)){p=p+1|0;y=y+1|0}else break}}if((q|0)<(O|0)){q=q+1|0;i=i+1|0}else break}}if((r|0)<(R|0)){r=r+1|0;j=j+1|0}else break}a=f[l>>2]|0;u=ea;return a|0}function os(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;j=c<<3;i=Lv(j)|0;if(!((d|0)>0|(d|0)==0&c>>>0>0)){Lz(a|0,i|0,j|0)|0;Mv(i);return}k=0-c|0;l=0-(c<<1)|0;m=Sz(c|0,d|0,3,0)|0;m=0-m|0;n=0-(c<<2)|0;o=Sz(c|0,d|0,5,0)|0;o=0-o|0;p=Sz(c|0,d|0,6,0)|0;p=0-p|0;q=Sz(c|0,d|0,7,0)|0;q=0-q|0;e=0;f=0;g=a+j|0;h=i+j|0;do{g=g+-1|0;b[h+-1>>0]=b[g>>0]|0;b[h+-2>>0]=b[g+k>>0]|0;b[h+-3>>0]=b[g+l>>0]|0;b[h+-4>>0]=b[g+m>>0]|0;b[h+-5>>0]=b[g+n>>0]|0;b[h+-6>>0]=b[g+o>>0]|0;b[h+-7>>0]=b[g+p>>0]|0;h=h+-8|0;b[h>>0]=b[g+q>>0]|0;e=Ez(e|0,f|0,1,0)|0;f=I}while((f|0)<(d|0)|(f|0)==(d|0)&e>>>0<c>>>0);Lz(a|0,i|0,j|0)|0;Mv(i);return}function ps(a,b,c,d,e,g,h,i,j,k){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;B=u;u=u+144|0;m=B+128|0;z=B+104|0;A=B+96|0;s=B;x=B+72|0;y=B+48|0;l=f[k>>2]|0;if((l|0)>0){k=l;u=B;return k|0}w=Bj(b)|0;f[x>>2]=0;f[x+4>>2]=0;f[x+8>>2]=0;f[x+12>>2]=0;f[x+16>>2]=0;f[x+20>>2]=0;f[y>>2]=0;f[y+4>>2]=0;f[y+8>>2]=0;f[y+12>>2]=0;f[y+16>>2]=0;f[y+20>>2]=0;f[z>>2]=1;t=z+4|0;f[t>>2]=1;E=z+8|0;f[E>>2]=1;D=z+12|0;f[D>>2]=1;C=z+16|0;f[C>>2]=1;f[z+20>>2]=1;Ik(a,m,k)|0;Hk(a,6,z,k)|0;v=s;f[v>>2]=1;f[v+4>>2]=0;v=f[z>>2]|0;l=((v|0)<0)<<31>>31;n=s+8|0;f[n>>2]=v;f[n+4>>2]=l;t=f[t>>2]|0;l=Sz(t|0,((t|0)<0)<<31>>31|0,v|0,l|0)|0;n=I;F=s+16|0;f[F>>2]=l;f[F+4>>2]=n;E=f[E>>2]|0;n=Sz(E|0,((E|0)<0)<<31>>31|0,l|0,n|0)|0;l=I;E=s+24|0;f[E>>2]=n;f[E+4>>2]=l;D=f[D>>2]|0;l=Sz(D|0,((D|0)<0)<<31>>31|0,n|0,l|0)|0;n=I;D=s+32|0;f[D>>2]=l;f[D+4>>2]=n;C=f[C>>2]|0;n=Sz(C|0,((C|0)<0)<<31>>31|0,l|0,n|0)|0;l=s+40|0;f[l>>2]=n;f[l+4>>2]=I;l=Ez(c|0,d|0,-1,-1)|0;c=I;n=f[m>>2]|0;if((n|0)>0){d=Ez(e|0,g|0,-1,-1)|0;d=Ez(d|0,I|0,l|0,c|0)|0;m=I;e=n;while(1){F=e;e=e+-1|0;E=s+(e<<3)|0;D=f[E>>2]|0;E=f[E+4>>2]|0;g=Jz(l|0,c|0,D|0,E|0)|0;f[x+(e<<2)>>2]=g;C=Jz(d|0,m|0,D|0,E|0)|0;f[y+(e<<2)>>2]=C;g=Sz(g|0,((g|0)<0)<<31>>31|0,D|0,E|0)|0;l=Dz(l|0,c|0,g|0,I|0)|0;c=I;E=Sz(C|0,((C|0)<0)<<31>>31|0,D|0,E|0)|0;d=Dz(d|0,m|0,E|0,I|0)|0;if((F|0)<=1)break;else m=I}}switch(n|0){case 1:{f[x>>2]=(f[x>>2]|0)+1;f[y>>2]=(f[y>>2]|0)+1;ls(a,b,x,y,h,i,j,k)|0;F=f[k>>2]|0;u=B;return F|0}case 2:{qs(a,b,w,0,x,y,z,h,i,j,A,k)|0;break}case 3:{if((((f[x>>2]|0)==0?(q=x+4|0,(f[q>>2]|0)==0):0)?(o=f[y>>2]|0,(o|0)==(v+-1|0)):0)?(r=y+4|0,p=f[r>>2]|0,(p|0)==(t+-1|0)):0){f[x>>2]=1;f[y>>2]=o+1;f[q>>2]=1;f[r>>2]=p+1;F=x+8|0;f[F>>2]=(f[F>>2]|0)+1;F=y+8|0;f[F>>2]=(f[F>>2]|0)+1;F=x+12|0;f[F>>2]=(f[F>>2]|0)+1;F=y+12|0;f[F>>2]=(f[F>>2]|0)+1;F=x+16|0;f[F>>2]=(f[F>>2]|0)+1;F=y+16|0;f[F>>2]=(f[F>>2]|0)+1;F=x+20|0;f[F>>2]=(f[F>>2]|0)+1;F=y+20|0;f[F>>2]=(f[F>>2]|0)+1;ls(a,b,x,y,h,i,j,k)|0;F=f[k>>2]|0;u=B;return F|0}d=f[y>>2]|0;g=y+4|0;m=f[g>>2]|0;l=f[x+8>>2]|0;e=f[y+8>>2]|0;if((l|0)<(e|0)){f[y>>2]=v+-1;f[g>>2]=t+-1}if((l|0)<=(e|0)){c=x+4|0;while(1){if((l|0)==(e|0)){f[y>>2]=d;f[g>>2]=m}qs(a,b,w,l,x,y,z,h,i,j,A,k)|0;f[x>>2]=0;f[c>>2]=0;i=i+(X(f[A>>2]|0,w)|0)|0;if((l|0)>=(e|0))break;else l=l+1|0}}break}default:{vj(101278);f[k>>2]=413;F=413;u=B;return F|0}}F=f[k>>2]|0;u=B;return F|0}function qs(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;y=u;u=u+48|0;q=y+24|0;w=y;f[l>>2]=0;d=d+1|0;f[q+8>>2]=d;f[w+8>>2]=d;d=f[e>>2]|0;do if(d){t=d+1|0;f[q>>2]=t;n=e+4|0;x=f[n>>2]|0;p=x+1|0;o=q+4|0;f[o>>2]=p;r=w+4|0;f[r>>2]=p;p=g+4|0;if((f[p>>2]|0)==(x|0))s=(f[g>>2]|0)+1|0;else s=f[h>>2]|0;f[w>>2]=s;ls(a,b,q,w,i,j,k,m)|0;f[l>>2]=(f[l>>2]|0)+1+s-t;d=f[n>>2]|0;if((f[p>>2]|0)==(d|0)){m=f[m>>2]|0;u=y;return m|0}else{f[e>>2]=0;v=d+1|0;f[n>>2]=v;x=q;q=w;j=j+(X(s+1-t|0,c)|0)|0;break}}else{v=f[e+4>>2]|0;x=q;o=q+4|0;q=w;p=g+4|0;r=w+4|0}while(0);f[x>>2]=1;n=v+1|0;f[o>>2]=n;e=f[h>>2]|0;f[q>>2]=e;d=f[p>>2]|0;e=(((f[g>>2]|0)+1|0)==(e|0)&1)+d|0;f[r>>2]=e;do if((e|0)>(v|0)){ls(a,b,x,q,i,j,k,m)|0;n=e+1-n|0;d=(X(n,f[h>>2]|0)|0)+(f[l>>2]|0)|0;f[l>>2]=d;d=f[p>>2]|0;if((d+1|0)==(e|0)){m=f[m>>2]|0;u=y;return m|0}else{j=j+(X(X(f[h>>2]|0,c)|0,n)|0)|0;break}}while(0);d=d+1|0;if((e|0)==(d|0)){m=f[m>>2]|0;u=y;return m|0}g=f[g>>2]|0;f[q>>2]=g+1;f[r>>2]=d;f[o>>2]=d;ls(a,b,x,q,i,j,k,m)|0;f[l>>2]=(f[l>>2]|0)+1+g;m=f[m>>2]|0;u=y;return m|0}function rs(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;p=u;u=u+240|0;o=p+48|0;h=p+44|0;i=p+40|0;m=p+36|0;l=p+32|0;g=p+152|0;k=p+28|0;e=p+24|0;j=p;d=f[c>>2]|0;if((d|0)>0){c=d;u=p;return c|0}if((d|0)==-1){f[c>>2]=0;d=1}else d=0;if(!(Ek(a,c)|0)){vj(101470);f[c>>2]=414;c=414;u=p;return c|0}qk(a,i)|0;qk(b,h)|0;En(b,m,0,c)|0;f[l>>2]=0;q=(In(a,98868,g,l)|0)==0;if(q&(f[h>>2]|0)==1)if(f[m>>2]|0){Fk(b,6,e,k,j,c)|0;if(!(f[k>>2]|0)){e=(f[i>>2]|0)==2&1;d=f[m>>2]|0;if((d|0)>0)while(1){vp(b,d,c)|0;if((d|0)>1)d=d+-1|0;else{d=e;e=0;break}}else{d=e;e=0}}else n=11}else{d=0;e=0}else n=11;do if((n|0)==11){f[l>>2]=0;if(In(a,98885,g,l)|0){q=f[a+4>>2]|0;if((ar(b,f[q+1096>>2]|0,f[q+1100>>2]|0,q+1104|0,c)|0)<=0){d=0;e=1;break}vj(101523);q=f[c>>2]|0;u=p;return q|0}if(d|0){q=f[a+4>>2]|0;if((ar(b,f[q+1096>>2]|0,f[q+1100>>2]|0,q+1104|0,c)|0)<=0){d=0;e=1;break}vj(101523);q=f[c>>2]|0;u=p;return q|0}if(f[m>>2]|0){Ck(b,c)|0;d=0;e=0;break}ar(b,8,0,j,c)|0;if((Ck(b,c)|0)>0){vj(101523);q=f[c>>2]|0;u=p;return q|0}else{d=0;e=0}}while(0);if((f[c>>2]|0)>0){vj(101523);q=f[c>>2]|0;u=p;return q|0}if((ss(a,b,e,c)|0)>0)vj(101568);if(d|0){Hj(a,1,0,c)|0;Kj(b,c)|0;d=o;e=4736;g=d+104|0;do{f[d>>2]=f[e>>2];d=d+4|0;e=e+4|0}while((d|0)<(g|0));if(!((f[c>>2]|0)<=0?(ck(a,b,1,o,13,0,0,0,c)|0,(f[c>>2]|0)<=0):0))vj(101620);Hj(a,2,0,c)|0}q=f[c>>2]|0;u=p;return q|0}function ss(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+432|0;h=n+338|0;k=n+16|0;i=n+336|0;l=n+8|0;j=n+4|0;m=n;d[i>>1]=45;f[l>>2]=0;g=f[e>>2]|0;if((g|0)>0){e=g;u=n;return e|0}f[k>>2]=98868;g=k+4|0;if(!c){f[g>>2]=98861;f[k+8>>2]=98885;f[k+12>>2]=98876;f[k+16>>2]=98820;f[k+20>>2]=98813;f[k+24>>2]=98900;f[k+28>>2]=98894;f[k+32>>2]=98914;f[k+36>>2]=98907;f[k+40>>2]=98929;f[k+44>>2]=98922;f[k+48>>2]=98945;f[k+52>>2]=98937;f[k+56>>2]=98961;f[k+60>>2]=98954;f[k+64>>2]=98976;f[k+68>>2]=98969;f[k+72>>2]=98993;f[k+76>>2]=98984;f[k+80>>2]=99010;f[k+84>>2]=99002;g=0}else{f[g>>2]=i;f[k+8>>2]=98885;f[k+12>>2]=i;f[k+16>>2]=98820;f[k+20>>2]=i;f[k+24>>2]=98900;f[k+28>>2]=i;f[k+32>>2]=98914;f[k+36>>2]=i;f[k+40>>2]=98929;f[k+44>>2]=i;f[k+48>>2]=98945;f[k+52>>2]=i;f[k+56>>2]=98961;f[k+60>>2]=i;f[k+64>>2]=98976;f[k+68>>2]=i;f[k+72>>2]=98993;f[k+76>>2]=i;f[k+80>>2]=99010;f[k+84>>2]=i;g=0}do{c=g+11|0;f[k+(c<<3)>>2]=f[4840+(g<<3)>>2];f[k+(c<<3)+4>>2]=f[4840+(g<<3)+4>>2];g=g+1|0}while((g|0)!=22);In(a,106716,h,l)|0;if((f[l>>2]|0)==0?(vw(h,98784,28)|0)==0:0)f[k+252>>2]=i;ck(a,b,1,k,33,0,0,0,e)|0;En(a,j,m,e)|0;l=f[m>>2]|0;f[m>>2]=(l|0)/36|0;if((l|0)>35){c=0;do{g=0;do{cr(b,98856,e)|0;g=g+1|0}while((g|0)!=36);c=c+1|0}while((c|0)<(f[m>>2]|0))}e=f[e>>2]|0;u=n;return e|0}function ts(a,b,c,e,g,i,k,l,m,o,q){a=a|0;b=b|0;c=c|0;e=e|0;g=g|0;i=i|0;k=k|0;l=l|0;m=m|0;o=o|0;q=q|0;var r=0,s=0,t=0.0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0;Ta=u;u=u+256|0;Ja=Ta+224|0;Ha=Ta+200|0;Fa=Ta+176|0;Ga=Ta+152|0;Qa=Ta+128|0;Sa=Ta+104|0;P=Ta+80|0;Na=Ta+56|0;Pa=Ta+32|0;Oa=Ta+8|0;Ra=Ta;r=f[q>>2]|0;if((r|0)>0){Sa=r;u=Ta;return Sa|0}if(!(Ek(a,q)|0)){vj(101328);f[q>>2]=414;Sa=414;u=Ta;return Sa|0}a:do switch(b|0){case 21:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<1)|0;if(!k){Ma=2;t=0.0}else{Ma=2;t=+(d[k>>1]|0)}break}case 31:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<2)|0;if(!k){Ma=4;t=0.0}else{Ma=4;t=+(f[k>>2]|0)}break}case 41:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<2)|0;if(!k){Ma=4;t=0.0}else{Ma=4;t=+(f[k>>2]|0)}break}case 42:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<2)|0;if(!k){Ma=4;t=0.0}else{Ma=4;t=+n[k>>2]}break}case 82:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<3)|0;if(!k){Ma=8;t=0.0}else{Ma=8;t=+p[k>>3]}break}case 20:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<1)|0;if(!k){Ma=2;t=0.0}else{Ma=2;t=+(j[k>>1]|0)}break}case 30:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<2)|0;if(!k){Ma=4;t=0.0}else{Ma=4;t=+((f[k>>2]|0)>>>0)}break}case 40:{r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]<<2)|0;if(!k){Ma=4;t=0.0}else{Ma=4;t=+((f[k>>2]|0)>>>0)}break}default:if((b+-11|0)>>>0<2){r=f[a+4>>2]|0;s=Lv(f[r+1128>>2]|0)|0;if(!k){Ma=1;t=0.0;break a}Ma=1;t=+(h[k>>0]|0);break a}else{vj(101386);f[q>>2]=410;Sa=410;u=Ta;return Sa|0}}while(0);Ka=(i|0)==1&t==0.0?0:i;if(!s){vj(101431);f[q>>2]=113;Sa=113;u=Ta;return Sa|0}La=(Ka|0)==2;if(La){i=Nv(f[r+1128>>2]|0,1)|0;if(!i){vj(101431);Mv(s);f[q>>2]=113;Sa=113;u=Ta;return Sa|0}}else i=0;f[Ja>>2]=1;f[Ha>>2]=1;f[Fa>>2]=1;f[Ga>>2]=1;f[P>>2]=1;ia=Ja+4|0;f[ia>>2]=1;fa=Ha+4|0;f[fa>>2]=1;Z=Fa+4|0;f[Z>>2]=1;aa=Ga+4|0;f[aa>>2]=1;na=P+4|0;f[na>>2]=1;U=Ja+8|0;f[U>>2]=1;T=Ha+8|0;f[T>>2]=1;R=Fa+8|0;f[R>>2]=1;S=Ga+8|0;f[S>>2]=1;V=P+8|0;f[V>>2]=1;O=Ja+12|0;f[O>>2]=1;N=Ha+12|0;f[N>>2]=1;L=Fa+12|0;f[L>>2]=1;M=Ga+12|0;f[M>>2]=1;Q=P+12|0;f[Q>>2]=1;J=Ja+16|0;f[J>>2]=1;I=Ha+16|0;f[I>>2]=1;G=Fa+16|0;f[G>>2]=1;H=Ga+16|0;f[H>>2]=1;K=P+16|0;f[K>>2]=1;E=Ja+20|0;f[E>>2]=1;D=Ha+20|0;f[D>>2]=1;B=Fa+20|0;f[B>>2]=1;C=Ga+20|0;f[C>>2]=1;F=P+20|0;f[F>>2]=1;Ia=f[r+1100>>2]|0;b:do if((Ia|0)>0){z=0;A=1;while(1){Da=c+(z<<3)|0;x=f[Da>>2]|0;Da=f[Da+4>>2]|0;Ea=e+(z<<3)|0;y=f[Ea>>2]|0;Ea=f[Ea+4>>2]|0;v=f[g+(z<<2)>>2]|0;w=Na+(z<<2)|0;if((Da|0)>(Ea|0)|(Da|0)==(Ea|0)&x>>>0>y>>>0){f[w>>2]=y;w=x;x=y;v=0-v|0}else{f[w>>2]=x;w=y}f[Pa+(z<<2)>>2]=w;f[Oa+(z<<2)>>2]=v;v=f[r+1104+(z<<2)>>2]|0;f[Ja+(z<<2)>>2]=v;if((x|0)<1)break;Da=f[r+1044+(z<<2)>>2]|0;f[Ha+(z<<2)>>2]=Da;Ea=((v+-1|0)/(Da|0)|0)+1|0;f[Fa+(z<<2)>>2]=((x+-1|0)/(Da|0)|0)+1;Da=((w+-1|0)/(Da|0)|0)+1|0;f[Ga+(z<<2)>>2]=(Da|0)<(Ea|0)?Da:Ea;f[P+(z<<2)>>2]=A;A=X(Ea,A)|0;z=z+1|0;if((z|0)>=(Ia|0))break b}if(La)Mv(i);Mv(s);f[q>>2]=321;Sa=321;u=Ta;return Sa|0}while(0);Ea=(o|0)!=0;if(Ea)f[o>>2]=0;r=f[B>>2]|0;Da=f[C>>2]|0;if((r|0)<=(Da|0)){Ba=f[D>>2]|0;Ca=Qa+20|0;za=f[E>>2]|0;Aa=Sa+20|0;ya=f[F>>2]|0;xa=f[G>>2]|0;va=f[H>>2]|0;wa=(xa|0)>(va|0);ta=f[I>>2]|0;ua=Qa+16|0;ra=f[J>>2]|0;sa=Sa+16|0;qa=f[K>>2]|0;pa=f[L>>2]|0;ma=f[M>>2]|0;oa=(pa|0)>(ma|0);ka=f[N>>2]|0;la=Qa+12|0;ha=f[O>>2]|0;ja=Sa+12|0;ga=f[Q>>2]|0;ea=f[R>>2]|0;ca=f[S>>2]|0;da=(ea|0)>(ca|0);$=f[T>>2]|0;ba=Qa+8|0;Y=f[U>>2]|0;_=Sa+8|0;W=f[V>>2]|0;V=f[Z>>2]|0;T=f[aa>>2]|0;U=(V|0)>(T|0);R=f[fa>>2]|0;S=Qa+4|0;P=f[ia>>2]|0;Q=Sa+4|0;e=f[na>>2]|0;g=f[Fa>>2]|0;O=f[Ga>>2]|0;c=(g|0)>(O|0);N=f[Ha>>2]|0;M=f[Ja>>2]|0;G=r;while(1){H=G+-1|0;x=X(Ba,H)|0;f[Ca>>2]=x+1;Ja=X(Ba,G)|0;Ja=(Ja|0)<(za|0)?Ja:za;f[Aa>>2]=Ja;x=Ja-x|0;H=X(ya,H)|0;if(!wa){F=xa;while(1){y=F+-1|0;I=X(ta,y)|0;f[ua>>2]=I+1;Ja=X(ta,F)|0;Ja=(Ja|0)<(ra|0)?Ja:ra;f[sa>>2]=Ja;I=X(Ja-I|0,x)|0;y=(X(qa,y)|0)+H|0;if(!oa){E=pa;while(1){z=E+-1|0;J=X(ka,z)|0;f[la>>2]=J+1;Ja=X(ka,E)|0;Ja=(Ja|0)<(ha|0)?Ja:ha;f[ja>>2]=Ja;J=X(I,Ja-J|0)|0;z=y+(X(ga,z)|0)|0;if(!da){D=ea;while(1){A=D+-1|0;K=X($,A)|0;f[ba>>2]=K+1;Ja=X($,D)|0;Ja=(Ja|0)<(Y|0)?Ja:Y;f[_>>2]=Ja;K=X(J,Ja-K|0)|0;A=z+(X(W,A)|0)|0;if(!U){C=V;while(1){B=C+-1|0;L=X(R,B)|0;f[S>>2]=L+1;Ja=X(R,C)|0;Ja=(Ja|0)<(P|0)?Ja:P;f[Q>>2]=Ja;L=X(K,Ja-L|0)|0;B=A+(X(e,B)|0)|0;c:do if(!c){if(Ea)r=g;else{r=g;while(1){v=X(N,r+-1|0)|0;f[Qa>>2]=v+1;w=X(N,r)|0;w=(w|0)<(M|0)?w:M;f[Sa>>2]=w;if(us(Ia,Qa,Sa,Na,Pa,Oa,q)|0){ms(a,B+r|0,X(L,w-v|0)|0,b,Ka,k,s,i,Ra,q)|0;vs(s,Ma,Ia,Qa,Sa,i,l,Na,Pa,Oa,Ka,m,q)|0}if((r|0)<(O|0))r=r+1|0;else break c}}while(1){v=X(N,r+-1|0)|0;f[Qa>>2]=v+1;w=X(N,r)|0;w=(w|0)<(M|0)?w:M;f[Sa>>2]=w;if(us(Ia,Qa,Sa,Na,Pa,Oa,q)|0){ms(a,B+r|0,X(L,w-v|0)|0,b,Ka,k,s,i,Ra,q)|0;if(f[Ra>>2]|0)f[o>>2]=1;vs(s,Ma,Ia,Qa,Sa,i,l,Na,Pa,Oa,Ka,m,q)|0}if((r|0)<(O|0))r=r+1|0;else break}}while(0);if((C|0)<(T|0))C=C+1|0;else break}}if((D|0)<(ca|0))D=D+1|0;else break}}if((E|0)<(ma|0))E=E+1|0;else break}}if((F|0)<(va|0))F=F+1|0;else break}}if((G|0)<(Da|0))G=G+1|0;else break}}if(La)Mv(i);Mv(s);Sa=f[q>>2]|0;u=Ta;return Sa|0}function us(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0;w=u;u=u+48|0;t=w+24|0;v=w;i=f[h>>2]|0;if((i|0)>0){h=i;u=w;return h|0}if((a|0)>0)s=0;else{h=1;u=w;return h|0}a:while(1){j=f[c+(s<<2)>>2]|0;p=f[d+(s<<2)>>2]|0;if((j|0)<(p|0)){i=0;j=22;break}q=f[b+(s<<2)>>2]|0;i=f[e+(s<<2)>>2]|0;if((q|0)>(i|0)){i=0;j=22;break}r=f[g+(s<<2)>>2]|0;r=(r|0)>-1?r:0-r|0;o=(i-p|0)/(r|0)|0;l=o+1|0;m=t+(s<<2)|0;f[m>>2]=l;if((o|0)<0){j=6;break}o=j-q|0;i=o+1|0;n=v+(s<<2)|0;f[n>>2]=i;if((o|0)<0){j=8;break}o=(s|0)>0;if(o){k=X(f[v+(s+-1<<2)>>2]|0,i)|0;f[n>>2]=k}i=j+-1|0;j=p+-1|0;k=q+-1|0;while(1){if(!((k-j|0)%(r|0)|0))break;if((k|0)<(i|0))k=k+1|0;else{i=0;j=22;break a}}while(1){if(!((i-j|0)%(r|0)|0))break;if((k|0)<(i|0))i=i+-1|0;else{i=0;j=22;break a}}i=p-q|0;i=(i|0)>0?i:0;while(1){if(!((i+q-p|0)%(r|0)|0))break;i=i+1|0;if((i|0)>=(f[n>>2]|0)){i=0;j=22;break a}}if(o){r=X(l,f[t+(s+-1<<2)>>2]|0)|0;f[m>>2]=r}s=s+1|0;if((s|0)>=(a|0)){i=1;j=22;break}}if((j|0)==6){f[h>>2]=323;h=0;u=w;return h|0}else if((j|0)==8){f[h>>2]=323;h=0;u=w;return h|0}else if((j|0)==22){u=w;return i|0}return 0}function vs(a,b,c,d,e,g,h,i,j,k,l,m,n){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;var o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0;Da=u;u=u+144|0;P=Da+120|0;O=Da+96|0;Q=Da+72|0;R=Da+48|0;N=Da+24|0;C=Da;o=f[n>>2]|0;if((o|0)>0){a=o;u=Da;return a|0};f[Q>>2]=0;f[Q+4>>2]=0;f[Q+8>>2]=0;f[Q+12>>2]=0;f[Q+16>>2]=0;f[Q+20>>2]=0;f[R>>2]=0;f[R+4>>2]=0;f[R+8>>2]=0;f[R+12>>2]=0;f[R+16>>2]=0;f[R+20>>2]=0;f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;f[N+12>>2]=0;f[N+16>>2]=0;f[N+20>>2]=0;f[C>>2]=1;f[P>>2]=1;f[O>>2]=1;M=C+4|0;f[M>>2]=1;K=P+4|0;f[K>>2]=1;L=O+4|0;f[L>>2]=1;J=C+8|0;f[J>>2]=1;H=P+8|0;f[H>>2]=1;I=O+8|0;f[I>>2]=1;G=C+12|0;f[G>>2]=1;E=P+12|0;f[E>>2]=1;F=O+12|0;f[F>>2]=1;D=C+16|0;f[D>>2]=1;S=P+16|0;f[S>>2]=1;f[O+16>>2]=1;f[C+20>>2]=1;f[P+20>>2]=1;f[O+20>>2]=1;do if((c|0)>0){B=0;a:while(1){q=f[e+(B<<2)>>2]|0;y=f[i+(B<<2)>>2]|0;if((q|0)<(y|0)){q=65;break}z=f[d+(B<<2)>>2]|0;p=f[j+(B<<2)>>2]|0;if((z|0)>(p|0)){q=65;break}A=f[k+(B<<2)>>2]|0;f[C+(B<<2)>>2]=A;A=(A|0)>-1?A:0-A|0;s=(p-y|0)/(A|0)|0;t=s+1|0;v=P+(B<<2)|0;f[v>>2]=t;if((s|0)<0){q=6;break}Ca=q-z|0;p=Ca+1|0;w=O+(B<<2)|0;f[w>>2]=p;if((Ca|0)<0){q=8;break}x=(B|0)>0;if(x){Ca=X(f[O+(B+-1<<2)>>2]|0,p)|0;f[w>>2]=Ca}p=q+-1|0;q=y+-1|0;r=z+-1|0;while(1){if(!((r-q|0)%(A|0)|0))break;if((r|0)<(p|0))r=r+1|0;else{q=65;break a}}while(1){if(!((p-q|0)%(A|0)|0))break;if((r|0)<(p|0))p=p+-1|0;else{q=65;break a}}r=(r+1-y|0)/(A|0)|0;f[Q+(B<<2)>>2]=(r|0)>0?r:0;p=(p+1-y|0)/(A|0)|0;f[R+(B<<2)>>2]=(p|0)<(s|0)?p:s;p=y-z|0;p=(p|0)>0?p:0;r=N+(B<<2)|0;f[r>>2]=p;while(1){if(!((p+z-y|0)%(A|0)|0))break;p=p+1|0;if((p|0)>=(f[w>>2]|0)){q=19;break a}}f[r>>2]=p;if(x){Ca=X(t,f[P+(B+-1<<2)>>2]|0)|0;f[v>>2]=Ca}B=B+1|0;if((B|0)>=(c|0)){q=23;break}}if((q|0)==6){f[n>>2]=323;a=323;u=Da;return a|0}else if((q|0)==8){f[n>>2]=323;a=323;u=Da;return a|0}else if((q|0)==19){f[r>>2]=p;a=o;u=Da;return a|0}else if((q|0)==23){p=f[C>>2]|0;if((p|0)==1){q=24;break}else{Ca=1;break}}else if((q|0)==65){u=Da;return o|0}}else q=24;while(0);if((q|0)==24){p=1;Ca=(f[R>>2]|0)+1-(f[Q>>2]|0)|0}Ba=X(Ca,b)|0;q=f[R+16>>2]|0;Aa=f[Q+16>>2]|0;if((q|0)<(Aa|0)){a=o;u=Da;return a|0}ya=d+16|0;za=(c|0)>4;o=f[D>>2]|0;wa=f[N+16>>2]|0;xa=i+16|0;va=f[E>>2]|0;sa=f[F>>2]|0;la=f[R+12>>2]|0;ta=f[Q+12>>2]|0;ua=(la|0)<(ta|0);ra=q-Aa|0;pa=d+12|0;qa=(c|0)>3;G=f[G>>2]|0;na=f[N+12>>2]|0;oa=i+12|0;ma=f[H>>2]|0;ga=f[I>>2]|0;ca=f[R+8>>2]|0;ha=f[Q+8>>2]|0;ja=(ca|0)<(ha|0);la=la-ta|0;ia=d+8|0;ka=(c|0)>2;H=f[J>>2]|0;ea=f[N+8>>2]|0;fa=i+8|0;da=f[K>>2]|0;$=f[L>>2]|0;D=f[R+4>>2]|0;aa=f[Q+4>>2]|0;ba=(D|0)<(aa|0);ca=ca-ha|0;_=d+4|0;Z=(c|0)>1;Y=f[N+4>>2]|0;L=f[M>>2]|0;W=i+4|0;V=f[N>>2]|0;U=f[O>>2]|0;T=f[P>>2]|0;C=(p|0)>0;Q=f[Q>>2]|0;N=f[R>>2]|0;O=(Q|0)>(N|0);P=D-aa|0;i=(l|0)==2;M=X((p|0)>-1?p:0-p|0,Ca)|0;c=C?Ca:0-Ca|0;D=f[S>>2]|0;E=(o|0)>-1?o:0-o|0;I=(o|0)>0;F=(G|0)>-1?G:0-G|0;J=(G|0)>0;G=(H|0)>-1?H:0-H|0;K=(H|0)>0;H=(L|0)>-1?L:0-L|0;L=(L|0)>0;C=C?Q:T+~Q|0;d=0;o=0;while(1){if(za){p=f[ya>>2]|0;q=f[xa>>2]|0;while(1)if(!((p+o+wa-q|0)%(E|0)|0))break;else o=o+1|0}if(I)j=X(va,Aa+d|0)|0;else j=D-(X(va,d+1+Aa|0)|0)|0;e=X(wa+o|0,sa)|0;if(!ua){k=0;p=0;while(1){if(qa){q=f[pa>>2]|0;r=f[oa>>2]|0;while(1)if(!((q+p+na-r|0)%(F|0)|0)){B=p;break}else p=p+1|0}else B=p;if(J)p=X(ma,ta+k|0)|0;else p=va-(X(ma,k+1+ta|0)|0)|0;A=p+j|0;if(!ja){y=(X(na+B|0,ga)|0)+e|0;z=0;p=0;while(1){if(ka){q=f[ia>>2]|0;r=f[fa>>2]|0;while(1)if(!((q+p+ea-r|0)%(G|0)|0)){x=p;break}else p=p+1|0}else x=p;if(K)p=X(da,ha+z|0)|0;else p=ma-(X(da,z+1+ha|0)|0)|0;w=A+p|0;if(!ba){t=y+(X(ea+x|0,$)|0)+V|0;v=0;p=0;while(1){if(Z){q=f[_>>2]|0;r=f[W>>2]|0;while(1)if(!((Y+p+q-r|0)%(H|0)|0)){s=p;break}else p=p+1|0}else s=p;q=t+(X(U,Y+s|0)|0)|0;if(L)p=X(T,aa+v|0)|0;else p=da-(X(T,v+1+aa|0)|0)|0;p=w+p+C|0;if(!O)if(i){r=Q;while(1){Lz(m+p|0,g+q|0,Ca|0)|0;Lz(h+(X(p,b)|0)|0,a+(X(q,b)|0)|0,Ba|0)|0;r=r+Ca|0;if((r|0)>(N|0))break;else{p=c+p|0;q=M+q|0}}}else{r=Q;while(1){Lz(h+(X(p,b)|0)|0,a+(X(q,b)|0)|0,Ba|0)|0;r=r+Ca|0;if((r|0)>(N|0))break;else{p=c+p|0;q=M+q|0}}}if((v|0)<(P|0)){v=v+1|0;p=s+1|0}else break}}if((z|0)<(ca|0)){z=z+1|0;p=x+1|0}else break}}if((k|0)<(la|0)){k=k+1|0;p=B+1|0}else break}}if((d|0)<(ra|0)){d=d+1|0;o=o+1|0}else break}a=f[n>>2]|0;u=Da;return a|0}function ws(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0;J=u;u=u+208|0;p=J+204|0;H=J+200|0;F=J+176|0;G=J+168|0;D=J+144|0;y=J+96|0;C=J+48|0;E=J;n=f[m>>2]|0;if((n|0)>0){m=n;u=J;return m|0}B=Bj(b)|0;n=C;o=n+48|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));n=E;o=n+48|0;do{f[n>>2]=0;n=n+4|0}while((n|0)<(o|0));f[F>>2]=1;f[D>>2]=1;z=F+4|0;f[z>>2]=1;f[D+4>>2]=1;L=F+8|0;f[L>>2]=1;f[D+8>>2]=1;K=F+12|0;f[K>>2]=1;f[D+12>>2]=1;q=F+16|0;f[q>>2]=1;f[D+16>>2]=1;f[F+20>>2]=1;f[D+20>>2]=1;Ik(a,p,m)|0;Hk(a,6,F,m)|0;A=y;f[A>>2]=1;f[A+4>>2]=0;A=f[F>>2]|0;n=((A|0)<0)<<31>>31;o=y+8|0;f[o>>2]=A;f[o+4>>2]=n;z=f[z>>2]|0;n=Sz(z|0,((z|0)<0)<<31>>31|0,A|0,n|0)|0;o=I;M=y+16|0;f[M>>2]=n;f[M+4>>2]=o;L=f[L>>2]|0;o=Sz(L|0,((L|0)<0)<<31>>31|0,n|0,o|0)|0;n=I;L=y+24|0;f[L>>2]=o;f[L+4>>2]=n;K=f[K>>2]|0;n=Sz(K|0,((K|0)<0)<<31>>31|0,o|0,n|0)|0;o=I;K=y+32|0;f[K>>2]=n;f[K+4>>2]=o;q=f[q>>2]|0;o=Sz(q|0,((q|0)<0)<<31>>31|0,n|0,o|0)|0;n=y+40|0;f[n>>2]=o;f[n+4>>2]=I;n=Ez(c|0,d|0,-1,-1)|0;o=I;q=f[p>>2]|0;if((q|0)>0){c=Ez(e|0,g|0,-1,-1)|0;c=Ez(c|0,I|0,n|0,o|0)|0;d=I;p=q;while(1){M=p;p=p+-1|0;L=y+(p<<3)|0;K=f[L>>2]|0;L=f[L+4>>2]|0;O=Jz(n|0,o|0,K|0,L|0)|0;N=I;e=C+(p<<3)|0;f[e>>2]=O;f[e+4>>2]=N;e=Jz(c|0,d|0,K|0,L|0)|0;g=I;P=E+(p<<3)|0;f[P>>2]=e;f[P+4>>2]=g;N=Sz(O|0,N|0,K|0,L|0)|0;n=Dz(n|0,o|0,N|0,I|0)|0;o=I;L=Sz(e|0,g|0,K|0,L|0)|0;c=Dz(c|0,d|0,L|0,I|0)|0;if((M|0)<=1)break;else d=I}}a:do switch(q|0){case 1:{P=C;P=Ez(f[P>>2]|0,f[P+4>>2]|0,1,0)|0;O=C;f[O>>2]=P;f[O+4>>2]=I;O=E;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;P=E;f[P>>2]=O;f[P+4>>2]=I;ts(a,b,C,E,D,h,i,j,k,l,m)|0;P=f[m>>2]|0;u=J;return P|0}case 2:{xs(a,b,B,0,C,E,D,F,h,i,j,k,l,G,m)|0;break}case 3:{P=C;if((((f[P>>2]|0)==0&(f[P+4>>2]|0)==0?(w=C+8|0,P=w,(f[P>>2]|0)==0&(f[P+4>>2]|0)==0):0)?(s=E,r=f[s>>2]|0,s=f[s+4>>2]|0,P=A+-1|0,(r|0)==(P|0)&(s|0)==(((P|0)<0)<<31>>31|0)):0)?(x=E+8|0,v=x,t=f[v>>2]|0,v=f[v+4>>2]|0,P=z+-1|0,(t|0)==(P|0)&(v|0)==(((P|0)<0)<<31>>31|0)):0){P=C;f[P>>2]=1;f[P+4>>2]=0;P=Ez(r|0,s|0,1,0)|0;O=E;f[O>>2]=P;f[O+4>>2]=I;O=w;f[O>>2]=1;f[O+4>>2]=0;O=Ez(t|0,v|0,1,0)|0;P=x;f[P>>2]=O;f[P+4>>2]=I;P=C+16|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;P=E+16|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;P=C+24|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;P=E+24|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;P=C+32|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;P=E+32|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;P=C+40|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;P=E+40|0;O=P;O=Ez(f[O>>2]|0,f[O+4>>2]|0,1,0)|0;f[P>>2]=O;f[P+4>>2]=I;ts(a,b,C,E,D,h,i,j,k,l,m)|0;P=f[m>>2]|0;u=J;return P|0}d=(l|0)!=0;if(d)f[l>>2]=0;r=E;g=f[r>>2]|0;r=f[r+4>>2]|0;v=E+8|0;t=v;s=f[t>>2]|0;t=f[t+4>>2]|0;P=C+16|0;p=f[P>>2]|0;P=f[P+4>>2]|0;w=E+16|0;c=w;n=f[c>>2]|0;c=f[c+4>>2]|0;if((P|0)<(c|0)|(P|0)==(c|0)&p>>>0<n>>>0){P=A+-1|0;O=E;f[O>>2]=P;f[O+4>>2]=((P|0)<0)<<31>>31;O=z+-1|0;P=v;f[P>>2]=O;f[P+4>>2]=((O|0)<0)<<31>>31}o=((p|0)<0)<<31>>31;if(!((o|0)>(c|0)|(o|0)==(c|0)&p>>>0>n>>>0)){e=(h|0)==2;if(d){q=p;d=p;while(1){if((q|0)==(n|0)&(o|0)==(c|0)){P=E;f[P>>2]=g;f[P+4>>2]=r;P=v;f[P>>2]=s;f[P+4>>2]=t}xs(a,b,B,d,C,E,D,F,h,i,j,k,H,G,m)|0;if(f[H>>2]|0)f[l>>2]=1;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;p=f[G>>2]|0;j=j+(X(p,B)|0)|0;d=d+1|0;o=((d|0)<0)<<31>>31;c=w;n=f[c>>2]|0;c=f[c+4>>2]|0;if((o|0)>(c|0)|(o|0)==(c|0)&d>>>0>n>>>0)break a;else{q=d;k=e&(k|0)!=0?k+p|0:k}}}if(e){q=p;d=p;while(1){if((q|0)==(n|0)&(o|0)==(c|0)){P=E;f[P>>2]=g;f[P+4>>2]=r;P=v;f[P>>2]=s;f[P+4>>2]=t}xs(a,b,B,d,C,E,D,F,2,i,j,k,H,G,m)|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;p=f[G>>2]|0;j=j+(X(p,B)|0)|0;d=d+1|0;o=((d|0)<0)<<31>>31;c=w;n=f[c>>2]|0;c=f[c+4>>2]|0;if((o|0)>(c|0)|(o|0)==(c|0)&d>>>0>n>>>0)break;else{q=d;k=k|0?k+p|0:0}}}else{q=p;d=c;c=p;while(1){if((q|0)==(n|0)&(o|0)==(d|0)){P=E;f[P>>2]=g;f[P+4>>2]=r;P=v;f[P>>2]=s;f[P+4>>2]=t}xs(a,b,B,c,C,E,D,F,h,i,j,k,H,G,m)|0;f[C>>2]=0;f[C+4>>2]=0;f[C+8>>2]=0;f[C+12>>2]=0;j=j+(X(f[G>>2]|0,B)|0)|0;p=c+1|0;o=((p|0)<0)<<31>>31;c=w;n=f[c>>2]|0;c=f[c+4>>2]|0;if((o|0)>(c|0)|(o|0)==(c|0)&p>>>0>n>>>0)break;else{q=p;d=c;c=p}}}}break}default:{vj(101278);f[m>>2]=414;P=414;u=J;return P|0}}while(0);P=f[m>>2]|0;u=J;return P|0}function xs(a,b,c,d,e,g,h,i,j,k,l,m,n,o,p){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;p=p|0;var q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=u;u=u+112|0;A=F+48|0;B=F;D=F+96|0;E=(n|0)!=0;if(E)f[n>>2]=0;f[o>>2]=0;C=d+1|0;d=((C|0)<0)<<31>>31;q=A+16|0;f[q>>2]=C;f[q+4>>2]=d;q=B+16|0;f[q>>2]=C;f[q+4>>2]=d;q=e;d=f[q>>2]|0;q=f[q+4>>2]|0;if(!((d|0)==0&(q|0)==0)){r=Ez(d|0,q|0,1,0)|0;s=I;w=A;f[w>>2]=r;f[w+4>>2]=s;w=e+8|0;C=w;t=f[C>>2]|0;C=f[C+4>>2]|0;q=Ez(t|0,C|0,1,0)|0;v=I;x=A+8|0;z=x;f[z>>2]=q;f[z+4>>2]=v;z=B+8|0;y=z;f[y>>2]=q;f[y+4>>2]=v;y=g+8|0;v=y;if((f[v>>2]|0)==(t|0)?(f[v+4>>2]|0)==(C|0):0){t=g;t=Ez(f[t>>2]|0,f[t+4>>2]|0,1,0)|0;v=I}else{v=f[i>>2]|0;t=v;v=((v|0)<0)<<31>>31}C=B;f[C>>2]=t;f[C+4>>2]=v;ts(a,b,A,B,h,j,k,l,m,D,p)|0;C=f[o>>2]|0;q=Ez(t|0,v|0,1,0)|0;q=Dz(q|0,I|0,r|0,s|0)|0;f[o>>2]=q+C;if(E&(f[D>>2]|0)!=0)f[n>>2]=1;C=y;q=w;d=f[q>>2]|0;q=f[q+4>>2]|0;if((f[C>>2]|0)==(d|0)?(f[C+4>>2]|0)==(q|0):0){E=f[p>>2]|0;u=F;return E|0}C=e;f[C>>2]=0;f[C+4>>2]=0;d=Ez(d|0,q|0,1,0)|0;q=I;C=w;f[C>>2]=d;f[C+4>>2]=q;r=Dz(t|0,v|0,r|0,s|0)|0;r=Ez(r|0,I|0,1,0)|0;C=Sz(r|0,I|0,c|0,((c|0)<0)<<31>>31|0)|0;l=l+C|0;if((j|0)==2&(m|0)!=0){w=d;v=q;C=A;A=B;t=y;m=m+r|0}else{w=d;v=q;C=A;A=B;t=y}}else{v=e+8|0;w=f[v>>2]|0;v=f[v+4>>2]|0;C=A;x=A+8|0;A=B;t=g+8|0;z=B+8|0}d=C;f[d>>2]=1;f[d+4>>2]=0;d=Ez(w|0,v|0,1,0)|0;r=I;y=x;f[y>>2]=d;f[y+4>>2]=r;y=f[i>>2]|0;e=((y|0)<0)<<31>>31;B=A;f[B>>2]=y;f[B+4>>2]=e;B=g;B=Ez(f[B>>2]|0,f[B+4>>2]|0,1,0)|0;q=t;s=f[q>>2]|0;q=f[q+4>>2]|0;e=Ez((B|0)==(y|0)&(I|0)==(e|0)&1|0,0,s|0,q|0)|0;y=I;B=z;f[B>>2]=e;f[B+4>>2]=y;if((y|0)>(v|0)|(y|0)==(v|0)&e>>>0>w>>>0){ts(a,b,C,A,h,j,k,l,m,D,p)|0;B=f[o>>2]|0;w=Ez(e|0,y|0,1,0)|0;d=Dz(w|0,I|0,d|0,r|0)|0;r=I;w=f[i>>2]|0;w=Sz(d|0,r|0,w|0,((w|0)<0)<<31>>31|0)|0;f[o>>2]=w+B;if(E&(f[D>>2]|0)!=0)f[n>>2]=1;q=t;s=f[q>>2]|0;q=f[q+4>>2]|0;B=Ez(s|0,q|0,1,0)|0;if((B|0)==(e|0)&(I|0)==(y|0)){E=f[p>>2]|0;u=F;return E|0}i=f[i>>2]|0;r=Sz(d|0,r|0,i|0,((i|0)<0)<<31>>31|0)|0;d=Sz(r|0,I|0,c|0,((c|0)<0)<<31>>31|0)|0;d=l+d|0;if((j|0)==2&(m|0)!=0){l=d;m=m+r|0}else l=d}d=Ez(s|0,q|0,1,0)|0;q=I;if((e|0)==(d|0)&(y|0)==(q|0)){E=f[p>>2]|0;u=F;return E|0}c=g;c=Ez(f[c>>2]|0,f[c+4>>2]|0,1,0)|0;g=A;f[g>>2]=c;f[g+4>>2]=I;g=z;f[g>>2]=d;f[g+4>>2]=q;g=x;f[g>>2]=d;f[g+4>>2]=q;ts(a,b,C,A,h,j,k,l,m,D,p)|0;if(E&(f[D>>2]|0)!=0)f[n>>2]=1;E=f[o>>2]|0;j=A;D=C;k=f[D>>2]|0;D=f[D+4>>2]|0;j=Ez(f[j>>2]|0,f[j+4>>2]|0,1,0)|0;D=Dz(j|0,I|0,k|0,D|0)|0;f[o>>2]=D+E;E=f[p>>2]|0;u=F;return E|0}function ys(a,c){a=a|0;c=c|0;var d=0.0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0;x=u;u=u+176|0;q=x+8|0;o=x;m=x+91|0;g=x+20|0;w=x+16|0;h=x+12|0;e=f[c>>2]|0;if((e|0)>0){c=e;u=x;return c|0}if((Kn(a,16,97671,g,0,c)|0)>0){vj(101738);vj(101789);c=f[c>>2]|0;u=x;return c|0}v=a+4|0;b[(f[v>>2]|0)+1084>>0]=0;yz((f[v>>2]|0)+1084|0,g,11)|0;switch(b[g>>0]|0){case 82:{if((tw(g,99454)|0)!=0?(tw(g,99920)|0)!=0:0)r=13;else e=11;break}case 72:{if(!(tw(g,99482)|0))e=41;else r=13;break}case 71:{if(tw(g,99461)|0)if(!(tw(g,99468)|0))e=22;else r=13;else e=21;break}case 66:{if(!(tw(g,101822)|0))e=51;else r=13;break}case 80:{if(!(tw(g,99475)|0))e=31;else r=13;break}case 78:{if(!(tw(g,99494)|0))e=-1;else r=13;break}default:r=13}if((r|0)==13){vj(101830);vj(g);f[c>>2]=414;c=414;u=x;return c|0}f[(f[v>>2]|0)+1040>>2]=e;f[w>>2]=0;a:do if((Kn(a,16,98847,g,0,w)|0)>0)f[(f[v>>2]|0)+1072>>2]=0;else{b:do switch(b[g>>0]|0){case 78:if(tw(g,99762)|0)if(!(tw(g,99929)|0)){e=-1;break b}else{r=22;break b}else{n[(f[v>>2]|0)+1068>>2]=9999.0;break a}case 83:{if(tw(g,99809)|0)if(!(tw(g,99899)|0))e=2;else r=22;else e=1;break}default:r=22}while(0);if((r|0)==22)e=0;f[(f[v>>2]|0)+1072>>2]=e}while(0);f[w>>2]=0;k=(Kn(a,31,98411,h,0,w)|0)>0;l=f[v>>2]|0;f[l+1076>>2]=k?1:f[h>>2]|0;if((Kn(a,31,98820,l+1096|0,0,c)|0)>0){vj(101862);c=f[c>>2]|0;u=x;return c|0}if((Kn(a,31,98900,(f[v>>2]|0)+1100|0,0,c)|0)>0){vj(101909);c=f[c>>2]|0;u=x;return c|0}e=f[(f[v>>2]|0)+1100>>2]|0;if((e|0)<1){vj(101955);f[c>>2]=212;c=212;u=x;return c|0}if((e|0)>6){vj(101997);f[c>>2]=212;c=212;u=x;return c|0}else{j=1;k=0;e=1}do{l=k;k=k+1|0;f[o>>2]=k;ww(m,99684,o)|0;Kn(a,41,m,(f[v>>2]|0)+1104+(l<<2)|0,0,c)|0;if((f[c>>2]|0)>0){r=33;break}f[q>>2]=k;ww(m,99723,q)|0;h=f[v>>2]|0;if(!l){g=f[h+1104>>2]|0;i=0}else{g=1;i=l}f[h+1044+(i<<2)>>2]=g;f[w>>2]=0;Kn(a,41,m,h+1044+(l<<2)|0,0,w)|0;i=f[v>>2]|0;h=f[i+1044+(l<<2)>>2]|0;j=X((((f[i+1104+(l<<2)>>2]|0)+-1|0)/(h|0)|0)+1|0,j)|0;e=X(h,e)|0}while((k|0)<(f[i+1100>>2]|0));if((r|0)==33){vj(102038);c=f[c>>2]|0;u=x;return c|0}r=i+944|0;if(!((j|0)==(f[r>>2]|0)?(((j|0)<0)<<31>>31|0)==(f[r+4>>2]|0):0)){vj(102085);f[c>>2]=414;c=414;u=x;return c|0}c:do switch(f[i+1040>>2]|0){case 11:{if((Kn(a,31,100034,i+1204|0,0,c)|0)>0){vj(102149);c=f[c>>2]|0;u=x;return c|0}f[w>>2]=0;r=(Kn(a,31,100104,(f[v>>2]|0)+1208|0,0,w)|0)>0;g=f[v>>2]|0;if(r)f[g+1208>>2]=4;i=g+1204|0;h=f[i>>2]|0;if((h|0)<16?(t=g+1208|0,s=f[t>>2]|0,(s|0)>8):0){f[w>>2]=s;f[t>>2]=h;f[i>>2]=s;i=g}else i=g;break}case 41:{if((Kn(a,42,100034,i+1212|0,0,c)|0)<=0){f[w>>2]=0;Kn(a,31,100104,(f[v>>2]|0)+1216|0,0,w)|0;i=f[v>>2]|0;break c}vj(102149);c=f[c>>2]|0;u=x;return c|0}default:{}}while(0);f[i+1128>>2]=e;g=f[i+1040>>2]|0;h=f[i+1096>>2]|0;d:do if((g|0)==11){g=(e|0)/(f[i+1204>>2]|0)|0;if((h|0)==16){e=(e<<1)+6+g|0;break}else{e=(e<<2)+6+g|0;break}}else{if((g+-21|0)>>>0<2)switch(h|0){case 8:break d;case 16:{e=e<<1;break d}default:{e=e<<2;break d}}switch(g|0){case 51:{e=~~(+(e|0)*1.01*+(h|0)*.125+601.0);break d}case 41:{d=+(e|0);switch(h|0){case 8:case 16:{e=~~(d*2.2+26.0);break d}default:{e=~~(d*4.4+26.0);break d}}}default:{e=e<<2;break d}}}while(0);f[i+1132>>2]=e;if((hk(a,0,100321,i+1136|0,c)|0)>0){vj(102194);f[c>>2]=414;c=414;u=x;return c|0}xj();f[w>>2]=0;hk(a,0,97886,(f[v>>2]|0)+1140|0,w)|0;f[w>>2]=0;hk(a,0,98334,(f[v>>2]|0)+1144|0,w)|0;f[w>>2]=0;if((hk(a,0,100337,(f[v>>2]|0)+1148|0,w)|0)>0?(f[w>>2]=0,(Kn(a,82,100337,(f[v>>2]|0)+1160|0,0,w)|0)<1):0)f[(f[v>>2]|0)+1148>>2]=-1;f[w>>2]=0;if((hk(a,0,100344,(f[v>>2]|0)+1152|0,w)|0)>0?(f[w>>2]=0,(Kn(a,82,100344,(f[v>>2]|0)+1168|0,0,w)|0)<1):0)f[(f[v>>2]|0)+1152>>2]=-1;f[w>>2]=0;do if((hk(a,0,97680,(f[v>>2]|0)+1156|0,w)|0)>0){f[w>>2]=0;if((Kn(a,31,97680,(f[v>>2]|0)+1200|0,0,w)|0)<1){f[(f[v>>2]|0)+1156>>2]=-1;break}f[w>>2]=0;if((Kn(a,31,98841,(f[v>>2]|0)+1200|0,0,w)|0)<1)f[(f[v>>2]|0)+1156>>2]=-1}while(0);f[w>>2]=0;t=(Kn(a,82,98828,(f[v>>2]|0)+1176|0,0,w)|0)>0;e=f[v>>2]|0;if(t)p[e+1176>>3]=1.0;f[w>>2]=0;w=(Kn(a,82,98835,e+1184|0,0,w)|0)>0;g=f[v>>2]|0;e=g+1184|0;if(w){p[e>>3]=0.0;d=0.0}else d=+p[e>>3];p[g+1192>>3]=d;d=+n[g+1012>>2];if(d!=0.0)n[g+1068>>2]=d;Aj();c=f[c>>2]|0;u=x;return c|0}function zs(a,b,c,d,e,g,h,i,j,k,l,m,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0.0,r=0.0,s=0,t=0,v=0,w=0,x=0,y=0,z=0.0,A=0,B=0,C=0,D=0,E=0;E=u;u=u+48|0;s=E+36|0;A=E+32|0;t=E+16|0;v=E+8|0;w=E;B=E+28|0;D=E+24|0;f[A>>2]=0;n[B>>2]=0.0;n[D>>2]=0.0;C=X(d,c)|0;if((C|0)<2){p[k>>3]=1.0;p[l>>3]=0.0;D=0;u=E;return D|0}r=h;do if(h>=0.0){As(b,c,d,e,g,A,B,D,t,v,w,s);s=f[A>>2]|0;if((e|0)!=0&(s|0)==0){n[B>>2]=0.0;n[D>>2]=1.0;q=1.0}else{q=+p[v>>3];z=+p[t>>3];q=z!=0.0&z<q?z:q;z=+p[w>>3];q=z!=0.0&z<q?z:q}if(h==0.0)q=q*.25;else q=q/r;if(q==0.0){D=0;u=E;return D|0}else{h=+n[D>>2];r=+n[B>>2];z=q;break}}else{z=-h;s=(c|0)<5;y=s?1:d;s=X(s?d:1,c)|0;if((s|0)<5){if((s|0)>0)if(!e){t=0;r=-3402823466385288598117041.0e14;q=3402823466385288598117041.0e14;do{h=+n[b+(t<<2)>>2];q=h<q?h:q;r=h>r?h:r;t=t+1|0}while((t|0)!=(s|0))}else{v=0;t=0;r=-3402823466385288598117041.0e14;q=3402823466385288598117041.0e14;do{h=+n[b+(v<<2)>>2];y=h==g;t=((y^1)&1)+t|0;q=y?q:h<q?h:q;r=y?r:h>r?h:r;v=v+1|0}while((v|0)!=(s|0));s=t}else{s=0;r=-3402823466385288598117041.0e14;q=3402823466385288598117041.0e14}n[B>>2]=q;n[D>>2]=r;f[A>>2]=s;h=r;r=q;break}if((y|0)>0){x=(e|0)!=0;d=s+-1|0;e=0;v=0;q=-3402823466385288598117041.0e14;r=3402823466385288598117041.0e14;while(1){c=b+((X(e,s)|0)<<2)|0;a:do if(x){t=0;do{if(!(+n[c+(t<<2)>>2]==g))break a;t=t+1|0}while((t|0)<(s|0))}else t=0;while(0);if((t|0)!=(s|0)){h=+n[c+(t<<2)>>2];r=h<r?h:r;q=h>q?h:q;t=t+1|0;b:do if(x&(t|0)<(s|0))do{if(!(+n[c+(t<<2)>>2]==g))break b;t=t+1|0}while((t|0)<(s|0));while(0);if((t|0)!=(s|0)){h=+n[c+(t<<2)>>2];r=h<r?h:r;q=h>q?h:q;t=t+1|0;c:do if(x&(t|0)<(s|0))do{if(!(+n[c+(t<<2)>>2]==g))break c;t=t+1|0}while((t|0)<(s|0));while(0);if((t|0)!=(s|0)){h=+n[c+(t<<2)>>2];r=h<r?h:r;q=h>q?h:q;t=t+1|0;d:do if(x&(t|0)<(s|0))while(1){if(!(+n[c+(t<<2)>>2]==g)){w=t;break d}t=t+1|0;if((t|0)>=(s|0)){w=t;break}}else w=t;while(0);if((w|0)!=(s|0)){h=+n[c+(w<<2)>>2];r=h<r?h:r;q=h>q?h:q;t=w+1|0;e:do if((t|0)<(s|0)){if(!x){v=d+v|0;do{h=+n[c+(t<<2)>>2];r=h<r?h:r;q=h>q?h:q;t=t+1|0}while((t|0)!=(s|0));v=v-w|0;break}do{f:do if((t|0)<(s|0))do{if(!(+n[c+(t<<2)>>2]==g))break f;t=t+1|0}while((t|0)<(s|0));while(0);if((t|0)==(s|0))break e;h=+n[c+(t<<2)>>2];r=h<r?h:r;q=h>q?h:q;v=v+1|0;t=t+1|0}while((t|0)<(s|0))}while(0);v=v+4|0}}}}e=e+1|0;if((e|0)==(y|0)){s=v;break}}}else{s=0;q=-3402823466385288598117041.0e14;r=3402823466385288598117041.0e14}f[A>>2]=s;n[B>>2]=r;n[D>>2]=q;h=q}while(0);if((h-r)/z>4294967284.0){D=0;u=E;return D|0}w=(a|0)>0;if(w){t=f[55542]|0;do if(!t)if(!(Yr()|0)){s=f[A>>2]|0;v=f[55542]|0;break}else{D=113;u=E;return D|0}else v=t;while(0);a=(a+-1|0)%1e4|0;t=s;d=a;s=~~(+n[v+(a<<2)>>2]*500.0)}else{t=s;d=0;s=0}g:do if((t|0)==(C|0)){v=(i|0)==2;do if(!v){h=+n[D>>2];q=+n[B>>2];if((h-q)/z<2147483637.0){g=q/z+.5;r=q;q=z*(+(~~g>>>0>>>0)+4294967296.0*+((+K(g)>=1.0?(g>0.0?~~+Y(+J(g/4294967296.0),4294967295.0)>>>0:~~+W((g-+(~~g>>>0))/4294967296.0)>>>0):0)|0));break}else{r=q;q=(h+q)*.5;break}}else{q=+n[B>>2];r=q;q=z*2147483637.0+q}while(0);t=(C|0)>0;if(!w){if(t)s=0;else break;while(1){g=(+n[b+(s<<2)>>2]-q)/z;f[j+(s<<2)>>2]=~~(g+(g>=0.0?.5:-.5));s=s+1|0;if((s|0)==(C|0))break g}}if(t){c=f[55542]|0;if(v){w=0;v=d}else{v=0;t=d;while(1){g=(+n[b+(v<<2)>>2]-q)/z+ +n[c+(s<<2)>>2]+-.5;f[j+(v<<2)>>2]=~~(g+(g>=0.0?.5:-.5));s=s+1|0;if((s|0)==1e4){s=t+1|0;s=(s|0)==1e4?0:s;t=s;s=~~(+n[c+(s<<2)>>2]*500.0)}v=v+1|0;if((v|0)==(C|0))break g}}while(1){h=+n[b+(w<<2)>>2];if(h==0.0)t=-2147483646;else{g=(h-q)/z+ +n[c+(s<<2)>>2]+-.5;t=~~(g+(g>=0.0?.5:-.5))}f[j+(w<<2)>>2]=t;s=s+1|0;if((s|0)==1e4){s=v+1|0;s=(s|0)==1e4?0:s;t=s;s=~~(+n[c+(s<<2)>>2]*500.0)}else t=v;w=w+1|0;if((w|0)==(C|0))break;else v=t}}}else{r=+n[B>>2];q=z*2147483637.0+r;t=(C|0)>0;if(!w){if(t)t=0;else break;while(1){h=+n[b+(t<<2)>>2];if(h!=g){h=(h-q)/z;s=~~(h+(h>=0.0?.5:-.5))}else s=-2147483647;f[j+(t<<2)>>2]=s;t=t+1|0;if((t|0)==(C|0))break g}}if(t){c=f[55542]|0;if((i|0)==2){w=0;v=d}else{w=0;v=d;while(1){h=+n[b+(w<<2)>>2];if(h!=g){h=(h-q)/z+ +n[c+(s<<2)>>2]+-.5;t=~~(h+(h>=0.0?.5:-.5))}else t=-2147483647;f[j+(w<<2)>>2]=t;s=s+1|0;if((s|0)==1e4){s=v+1|0;s=(s|0)==1e4?0:s;t=s;s=~~(+n[c+(s<<2)>>2]*500.0)}else t=v;w=w+1|0;if((w|0)==(C|0))break g;else v=t}}while(1){h=+n[b+(w<<2)>>2];if(h!=g)if(h==0.0)t=-2147483646;else{h=(h-q)/z+ +n[c+(s<<2)>>2]+-.5;t=~~(h+(h>=0.0?.5:-.5))}else t=-2147483647;f[j+(w<<2)>>2]=t;s=s+1|0;if((s|0)==1e4){s=v+1|0;s=(s|0)==1e4?0:s;t=s;s=~~(+n[c+(s<<2)>>2]*500.0)}else t=v;w=w+1|0;if((w|0)==(C|0))break;else v=t}}}while(0);g=(r-q)/z;f[m>>2]=~~(g+(g>=0.0?.5:-.5));g=(+n[D>>2]-q)/z;f[o>>2]=~~(g+(g>=0.0?.5:-.5));p[k>>3]=z;p[l>>3]=q;D=1;u=E;return D|0}function As(a,b,c,d,e,g,h,i,j,k,l,m){a=a|0;b=b|0;c=c|0;d=d|0;e=+e;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;var o=0.0,q=0.0,r=0.0,s=0.0,t=0.0,u=0,v=0,w=0,x=0.0,y=0.0,z=0.0,A=0.0,B=0.0,C=0.0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0.0,W=0.0,Y=0.0,Z=0.0,_=0.0;T=(b|0)<9;J=T?1:c;T=X(T?c:1,b)|0;if((T|0)<9){if((T|0)>0)if(!d){b=0;q=-3402823466385288598117041.0e14;o=3402823466385288598117041.0e14;do{e=+n[a+(b<<2)>>2];o=e<o?e:o;q=e>q?e:q;b=b+1|0}while((b|0)!=(T|0));b=T}else{c=0;b=0;q=-3402823466385288598117041.0e14;o=3402823466385288598117041.0e14;do{C=+n[a+(c<<2)>>2];S=C==e;b=((S^1)&1)+b|0;o=S?o:C<o?C:o;q=S?q:C>q?C:q;c=c+1|0}while((c|0)!=(T|0))}else{b=0;q=-3402823466385288598117041.0e14;o=3402823466385288598117041.0e14}if(h|0)n[h>>2]=o;if(i|0)n[i>>2]=q;if(g|0)f[g>>2]=b;if(j|0)p[j>>3]=0.0;if(k|0)p[k>>3]=0.0;if(!l)return;p[l>>3]=0.0;return}R=(h|0)!=0;S=(i|0)!=0;I=R|S;L=Nv(T,4)|0;if(!L){f[m>>2]=113;return}M=Nv(T,4)|0;if(!M){Mv(L);f[m>>2]=113;return}N=Nv(T,4)|0;if(!N){Mv(L);Mv(M);f[m>>2]=113;return}O=Nv(J,8)|0;if(!O){Mv(L);Mv(M);Mv(N);f[m>>2]=113;return}P=Nv(J,8)|0;if(!P){Mv(L);Mv(M);Mv(N);Mv(O);f[m>>2]=113;return}Q=Nv(J,8)|0;if(!Q){Mv(L);Mv(M);Mv(N);Mv(O);Mv(P);f[m>>2]=113;return}a:do if((J|0)>0){H=(d|0)!=0;F=(T|0)<1|H^1;G=0;m=0;E=0;c=0;t=-3402823466385288598117041.0e14;s=3402823466385288598117041.0e14;while(1){D=a+((X(G,T)|0)<<2)|0;b:do if(F)d=0;else{b=0;while(1){if(!(+n[D+(b<<2)>>2]==e)){d=b;break b}b=b+1|0;if((b|0)>=(T|0)){d=b;break}}}while(0);c:do if((d|0)!=(T|0)){x=+n[D+(d<<2)>>2];b=m+1|0;if(I){s=x<s?x:s;if(x>t)t=x}d=d+1|0;d:do if(H&(d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break d;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)!=(T|0)){B=+n[D+(d<<2)>>2];b=m+2|0;if(I){s=B<s?B:s;if(B>t)t=B}d=d+1|0;e:do if(H&(d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break e;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)==(T|0))d=E;else{A=+n[D+(d<<2)>>2];b=m+3|0;do if(I){s=A<s?A:s;if(!(A>t))break;t=A}while(0);d=d+1|0;f:do if(H&(d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break f;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)==(T|0)){d=E;break}z=+n[D+(d<<2)>>2];b=m+4|0;do if(I){s=z<s?z:s;if(!(z>t))break;t=z}while(0);d=d+1|0;g:do if(H&(d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break g;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)==(T|0)){d=E;break}y=+n[D+(d<<2)>>2];b=m+5|0;do if(I){s=y<s?y:s;if(!(y>t))break;t=y}while(0);d=d+1|0;h:do if(H&(d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break h;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)==(T|0)){d=E;break}r=+n[D+(d<<2)>>2];b=m+6|0;do if(I){s=r<s?r:s;if(!(r>t))break;t=r}while(0);d=d+1|0;i:do if(H&(d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break i;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)==(T|0)){d=E;break}q=+n[D+(d<<2)>>2];b=m+7|0;do if(I){s=q<s?q:s;if(!(q>t))break;t=q}while(0);d=d+1|0;j:do if(H&(d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break j;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)==(T|0)){d=E;break}o=+n[D+(d<<2)>>2];b=m+8|0;do if(I){s=o<s?o:s;if(!(o>t))break;t=o}while(0);d=d+1|0;if((d|0)<(T|0)){m=0;w=0}else{d=E;break}k:while(1){l:do if(H){C=o;while(1){m:do if((d|0)<(T|0))do{if(!(+n[D+(d<<2)>>2]==e))break m;d=d+1|0}while((d|0)<(T|0));while(0);if((d|0)==(T|0)){d=w;break k}o=+n[D+(d<<2)>>2];do if(I){s=o<s?o:s;if(!(o>t))break;t=o}while(0);u=y==r;v=r==q;if(!(u&v)){U=+K(+(y-q));n[L+(w<<2)>>2]=U;w=w+1|0}if(u&(A==z&z==y)&v){x=B;B=A;A=z;z=y;y=r;r=q;q=C;break l}U=+K(+(y*2.0-A-q));n[M+(m<<2)>>2]=U;U=+K(+(x+(y*6.0-A*4.0-q*4.0)+o));n[N+(m<<2)>>2]=U;m=m+1|0;d=d+1|0;if((d|0)>=(T|0)){d=w;break k}else{_=C;Z=q;Y=r;W=y;V=z;U=A;x=B;C=o;q=_;r=Z;y=Y;z=W;A=V;B=U}}}else{C=o;while(1){if((d|0)==(T|0)){d=w;break k}o=+n[D+(d<<2)>>2];do if(I){s=o<s?o:s;if(!(o>t))break;t=o}while(0);u=y==r;v=r==q;if(!(u&v)){_=+K(+(y-q));n[L+(w<<2)>>2]=_;w=w+1|0}if(u&(A==z&z==y)&v){x=B;B=A;A=z;z=y;y=r;r=q;q=C;break l}_=+K(+(y*2.0-A-q));n[M+(m<<2)>>2]=_;_=+K(+(x+(y*6.0-A*4.0-q*4.0)+o));n[N+(m<<2)>>2]=_;m=m+1|0;d=d+1|0;if((d|0)>=(T|0)){d=w;break k}else{U=C;V=q;W=r;Y=y;Z=z;_=A;x=B;C=o;q=U;r=V;y=W;z=Y;A=Z;B=_}}}while(0);b=b+1|0;d=d+1|0;if((d|0)>=(T|0)){d=w;break}}b=m+b|0;switch(m|0){case 0:{d=E;break c}case 1:{if((d|0)==1){p[O+(c<<3)>>3]=+n[L>>2];c=c+1|0}p[P+(E<<3)>>3]=+n[M>>2];o=+n[N>>2];break}default:{if((d|0)>1){_=+Bs(L,m);p[O+(c<<3)>>3]=_;c=c+1|0}o=+Bs(M,m);p[P+(E<<3)>>3]=o;o=+Bs(N,m)}}p[Q+(E<<3)>>3]=o;d=E+1|0}}else d=E}else{b=m;d=E}while(0);G=G+1|0;if((G|0)==(J|0))break;else{m=b;E=d}}switch(d|0){case 0:{q=0.0;o=0.0;break}case 1:{q=+p[P>>3];o=+p[Q>>3];break}default:{gx(P,d,8,27);gx(Q,d,8,27);T=(d+-1|0)/2|0;a=(d|0)/2|0;q=(+p[P+(T<<3)>>3]+ +p[P+(a<<3)>>3])*.5;o=(+p[Q+(T<<3)>>3]+ +p[Q+(a<<3)>>3])*.5}}switch(c|0){case 0:{r=0.0;break a}case 1:{r=+p[O>>3];break a}default:{gx(O,c,8,27);r=(+p[O+(((c+-1|0)/2|0)<<3)>>3]+ +p[O+(((c|0)/2|0)<<3)>>3])*.5;break a}}}else{b=0;t=-3402823466385288598117041.0e14;s=3402823466385288598117041.0e14;r=0.0;q=0.0;o=0.0}while(0);if(g|0)f[g>>2]=b;if(R)n[h>>2]=s;if(S)n[i>>2]=t;if(j|0)p[j>>3]=r*1.0483579;if(k|0)p[k>>3]=q*.6052697;if(l|0)p[l>>3]=o*.1772048;Mv(Q);Mv(P);Mv(O);Mv(N);Mv(M);Mv(L);return}function Bs(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0,g=0,h=0.0,i=0,j=0,k=0,l=0.0,m=0,o=0,p=0;c=b+-1|0;p=(c|0)/2|0;if((b|0)>1)b=0;else{p=a+(p<<2)|0;l=+n[p>>2];return +l}while(1){j=b+1|0;e=a+(c<<2)|0;h=+n[e>>2];if((c|0)==(j|0))break;i=a+(((b+c|0)/2|0)<<2)|0;d=+n[i>>2];if(d>h){n[i>>2]=h;n[e>>2]=d}else d=h;m=a+(b<<2)|0;h=+n[m>>2];if(h>d){n[m>>2]=d;n[e>>2]=h;d=+n[m>>2]}else d=h;h=+n[i>>2];if(h>d){n[i>>2]=d;n[m>>2]=h;g=i;e=f[i>>2]|0}else{g=i;e=(n[s>>2]=h,f[s>>2]|0)}k=a+(j<<2)|0;f[g>>2]=f[k>>2];f[k>>2]=e;g=c;e=j;while(1){l=+n[m>>2];do{e=e+1|0;j=a+(e<<2)|0;h=+n[j>>2]}while(l>h);k=g;while(1){g=k+-1|0;i=a+(g<<2)|0;d=+n[i>>2];if(d>l)k=g;else break}if((k|0)<=(e|0))break;n[j>>2]=d;n[i>>2]=h}n[m>>2]=d;n[i>>2]=l;b=(g|0)>(p|0)?b:e;c=(k|0)>(p|0)?k+-2|0:c;if((c|0)<=(b|0)){o=19;break}}if((o|0)==19){p=a+(p<<2)|0;l=+n[p>>2];return +l}b=a+(b<<2)|0;d=+n[b>>2];if(!(d>h)){p=a+(p<<2)|0;l=+n[p>>2];return +l}n[b>>2]=h;n[e>>2]=d;p=a+(p<<2)|0;l=+n[p>>2];return +l}function Cs(a,b){a=a|0;b=b|0;var c=0.0,d=0.0;d=+p[a>>3];c=+p[b>>3];return (d<c?-1:d>c&1)|0}function Ds(a,b,c,d,e,g,h,i,j,k,l,m,o){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=+g;h=+h;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;o=o|0;var q=0.0,r=0.0,s=0,t=0.0,u=0.0,v=0.0,w=0,x=0,y=0,z=0,A=0,B=0.0,C=0.0,D=0.0,E=0.0,F=0.0,G=0.0,H=0,I=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0.0,V=0,Z=0.0,_=0.0,$=0.0,aa=0.0,ba=0.0,ca=0.0;V=X(d,c)|0;if((V|0)<2){p[k>>3]=1.0;p[l>>3]=0.0;m=0;return m|0}U=h;a:do if(!(h>=0.0)){v=-h;H=(c|0)<5;A=H?1:d;H=X(H?d:1,c)|0;if((H|0)<5){if((H|0)<=0){t=-1797693134862315708145274.0e284;u=1797693134862315708145274.0e284;d=0;break}if(!e){c=0;r=-1797693134862315708145274.0e284;q=1797693134862315708145274.0e284;while(1){h=+p[b+(c<<3)>>3];q=h<q?h:q;r=h>r?h:r;c=c+1|0;if((c|0)==(H|0)){t=r;u=q;d=H;break a}}}else{d=0;c=0;r=-1797693134862315708145274.0e284;q=1797693134862315708145274.0e284;while(1){h=+p[b+(d<<3)>>3];e=h==g;c=((e^1)&1)+c|0;q=e?q:h<q?h:q;r=e?r:h>r?h:r;d=d+1|0;if((d|0)==(H|0)){t=r;u=q;d=c;break a}}}}if((A|0)>0){z=(e|0)!=0;x=H+-1|0;y=0;d=0;t=-1797693134862315708145274.0e284;q=1797693134862315708145274.0e284;while(1){w=b+((X(y,H)|0)<<3)|0;b:do if(z){c=0;do{if(!(+p[w+(c<<3)>>3]==g))break b;c=c+1|0}while((c|0)<(H|0))}else c=0;while(0);if((c|0)!=(H|0)){h=+p[w+(c<<3)>>3];q=h<q?h:q;t=h>t?h:t;c=c+1|0;c:do if(z&(c|0)<(H|0))do{if(!(+p[w+(c<<3)>>3]==g))break c;c=c+1|0}while((c|0)<(H|0));while(0);if((c|0)!=(H|0)){h=+p[w+(c<<3)>>3];q=h<q?h:q;t=h>t?h:t;c=c+1|0;d:do if(z&(c|0)<(H|0))do{if(!(+p[w+(c<<3)>>3]==g))break d;c=c+1|0}while((c|0)<(H|0));while(0);if((c|0)!=(H|0)){h=+p[w+(c<<3)>>3];q=h<q?h:q;t=h>t?h:t;c=c+1|0;e:do if(z&(c|0)<(H|0))while(1){if(!(+p[w+(c<<3)>>3]==g)){s=c;break e}c=c+1|0;if((c|0)>=(H|0)){s=c;break}}else s=c;while(0);if((s|0)!=(H|0)){h=+p[w+(s<<3)>>3];q=h<q?h:q;t=h>t?h:t;c=s+1|0;f:do if((c|0)<(H|0)){if(!z){d=x+d|0;do{h=+p[w+(c<<3)>>3];q=h<q?h:q;t=h>t?h:t;c=c+1|0}while((c|0)!=(H|0));d=d-s|0;break}do{g:do if((c|0)<(H|0))do{if(!(+p[w+(c<<3)>>3]==g))break g;c=c+1|0}while((c|0)<(H|0));while(0);if((c|0)==(H|0))break f;h=+p[w+(c<<3)>>3];q=h<q?h:q;t=h>t?h:t;d=d+1|0;c=c+1|0}while((c|0)<(H|0))}while(0);d=d+4|0}}}}y=y+1|0;if((y|0)==(A|0)){u=q;break}}}else{t=-1797693134862315708145274.0e284;u=1797693134862315708145274.0e284;d=0}}else{T=(c|0)<9;N=T?1:d;d=X(T?d:1,c)|0;do if((d|0)<9)if((d|0)>0)if(!e){c=0;q=-1797693134862315708145274.0e284;r=1797693134862315708145274.0e284;do{G=+p[b+(c<<3)>>3];r=G<r?G:r;q=G>q?G:q;c=c+1|0}while((c|0)!=(d|0));u=0.0;t=0.0;v=0.0}else{s=0;c=0;q=-1797693134862315708145274.0e284;r=1797693134862315708145274.0e284;do{G=+p[b+(s<<3)>>3];T=G==g;c=((T^1)&1)+c|0;r=T?r:G<r?G:r;q=T?q:G>q?G:q;s=s+1|0}while((s|0)!=(d|0));d=c;u=0.0;t=0.0;v=0.0}else{q=-1797693134862315708145274.0e284;r=1797693134862315708145274.0e284;d=0;u=0.0;t=0.0;v=0.0}else{O=Nv(d,8)|0;if(!O){q=0.0;r=0.0;d=0;u=0.0;t=0.0;v=0.0}else{P=Nv(d,8)|0;if(!P){Mv(O);q=0.0;r=0.0;d=0;u=0.0;t=0.0;v=0.0;break}Q=Nv(d,8)|0;if(!Q){Mv(O);Mv(P);q=0.0;r=0.0;d=0;u=0.0;t=0.0;v=0.0;break}R=Nv(N,8)|0;if(!R){Mv(O);Mv(P);Mv(Q);q=0.0;r=0.0;d=0;u=0.0;t=0.0;v=0.0;break}S=Nv(N,8)|0;if(!S){Mv(O);Mv(P);Mv(Q);Mv(R);q=0.0;r=0.0;d=0;u=0.0;t=0.0;v=0.0;break}T=Nv(N,8)|0;if(!T){Mv(O);Mv(P);Mv(Q);Mv(R);Mv(S);q=0.0;r=0.0;d=0;u=0.0;t=0.0;v=0.0;break}h:do if((N|0)>0){M=(e|0)!=0;L=0;y=0;I=0;c=0;q=-1797693134862315708145274.0e284;r=1797693134862315708145274.0e284;while(1){H=b+((X(L,d)|0)<<3)|0;i:do if(M){s=0;do{if(!(+p[H+(s<<3)>>3]==g))break i;s=s+1|0}while((s|0)<(d|0))}else s=0;while(0);j:do if((s|0)!=(d|0)){v=+p[H+(s<<3)>>3];w=y+1|0;r=v<r?v:r;q=v>q?v:q;s=s+1|0;k:do if(M&(s|0)<(d|0))do{if(!(+p[H+(s<<3)>>3]==g))break k;s=s+1|0}while((s|0)<(d|0));while(0);if((s|0)==(d|0)){s=w;w=I}else{F=+p[H+(s<<3)>>3];w=y+2|0;r=F<r?F:r;q=F>q?F:q;s=s+1|0;l:do if(M&(s|0)<(d|0))do{if(!(+p[H+(s<<3)>>3]==g))break l;s=s+1|0}while((s|0)<(d|0));while(0);if((s|0)==(d|0)){s=w;w=I;break}E=+p[H+(s<<3)>>3];x=y+3|0;r=E<r?E:r;q=E>q?E:q;s=s+1|0;m:do if(M&(s|0)<(d|0))while(1){if(!(+p[H+(s<<3)>>3]==g)){w=s;break m}s=s+1|0;if((s|0)>=(d|0)){w=s;break}}else w=s;while(0);if((w|0)==(d|0)){s=x;w=I;break}D=+p[H+(w<<3)>>3];s=y+4|0;r=D<r?D:r;q=D>q?D:q;w=w+1|0;n:do if(M&(w|0)<(d|0))do{if(!(+p[H+(w<<3)>>3]==g))break n;w=w+1|0}while((w|0)<(d|0));while(0);if((w|0)==(d|0)){w=I;break}C=+p[H+(w<<3)>>3];s=y+5|0;r=C<r?C:r;q=C>q?C:q;w=w+1|0;o:do if(M&(w|0)<(d|0))do{if(!(+p[H+(w<<3)>>3]==g))break o;w=w+1|0}while((w|0)<(d|0));while(0);if((w|0)==(d|0)){w=I;break}B=+p[H+(w<<3)>>3];s=y+6|0;r=B<r?B:r;q=B>q?B:q;w=w+1|0;p:do if(M&(w|0)<(d|0))do{if(!(+p[H+(w<<3)>>3]==g))break p;w=w+1|0}while((w|0)<(d|0));while(0);if((w|0)==(d|0)){w=I;break}u=+p[H+(w<<3)>>3];s=y+7|0;r=u<r?u:r;q=u>q?u:q;w=w+1|0;q:do if(M&(w|0)<(d|0))do{if(!(+p[H+(w<<3)>>3]==g))break q;w=w+1|0}while((w|0)<(d|0));while(0);if((w|0)==(d|0)){w=I;break}t=+p[H+(w<<3)>>3];s=y+8|0;r=t<r?t:r;q=t>q?t:q;w=w+1|0;if((w|0)<(d|0)){x=0;A=0}else{w=I;break}r:while(1){s:do if(M){G=t;while(1){t:do if((w|0)<(d|0))do{if(!(+p[H+(w<<3)>>3]==g))break t;w=w+1|0}while((w|0)<(d|0));while(0);if((w|0)==(d|0)){w=A;break r}t=+p[H+(w<<3)>>3];r=t<r?t:r;q=t>q?t:q;y=C==B;z=B==u;if(!(z&y)){Z=+K(+(C-u));p[O+(A<<3)>>3]=Z;A=A+1|0}if(z&(y&(D==C&E==D))){v=F;F=E;E=D;D=C;C=B;B=u;u=G;break s}Z=+K(+(C*2.0-E-u));p[P+(x<<3)>>3]=Z;Z=+K(+(v+(C*6.0-E*4.0-u*4.0)+t));p[Q+(x<<3)>>3]=Z;x=x+1|0;w=w+1|0;if((w|0)>=(d|0)){w=A;break r}else{ca=G;ba=u;aa=B;$=C;_=D;Z=E;v=F;G=t;u=ca;B=ba;C=aa;D=$;E=_;F=Z}}}else{G=t;while(1){if((w|0)==(d|0)){w=A;break r}t=+p[H+(w<<3)>>3];r=t<r?t:r;q=t>q?t:q;y=C==B;z=B==u;if(!(z&y)){ca=+K(+(C-u));p[O+(A<<3)>>3]=ca;A=A+1|0}if(z&(y&(D==C&E==D))){v=F;F=E;E=D;D=C;C=B;B=u;u=G;break s}ca=+K(+(C*2.0-E-u));p[P+(x<<3)>>3]=ca;ca=+K(+(v+(C*6.0-E*4.0-u*4.0)+t));p[Q+(x<<3)>>3]=ca;x=x+1|0;w=w+1|0;if((w|0)>=(d|0)){w=A;break r}else{Z=G;_=u;$=B;aa=C;ba=D;ca=E;v=F;G=t;u=Z;B=_;C=$;D=aa;E=ba;F=ca}}}while(0);s=s+1|0;w=w+1|0;if((w|0)>=(d|0)){w=A;break}}s=x+s|0;switch(x|0){case 0:{w=I;break j}case 1:{if((w|0)==1){p[R+(c<<3)>>3]=+p[O>>3];c=c+1|0}p[S+(I<<3)>>3]=+p[P>>3];t=+p[Q>>3];break}default:{if((w|0)>1){ca=+Es(O,x);p[R+(c<<3)>>3]=ca;c=c+1|0}t=+Es(P,x);p[S+(I<<3)>>3]=t;t=+Es(Q,x)}}p[T+(I<<3)>>3]=t;w=I+1|0}}else{s=y;w=I}while(0);L=L+1|0;if((L|0)==(N|0))break;else{y=s;I=w}}switch(w|0){case 0:{t=0.0;v=0.0;break}case 1:{t=+p[S>>3];v=+p[T>>3];break}default:{gx(S,w,8,27);gx(T,w,8,27);M=(w+-1|0)/2|0;N=(w|0)/2|0;t=(+p[S+(M<<3)>>3]+ +p[S+(N<<3)>>3])*.5;v=(+p[T+(M<<3)>>3]+ +p[T+(N<<3)>>3])*.5}}switch(c|0){case 0:{d=s;u=0.0;break h}case 1:{d=s;u=+p[R>>3];break h}default:{gx(R,c,8,27);d=s;u=(+p[R+(((c+-1|0)/2|0)<<3)>>3]+ +p[R+(((c|0)/2|0)<<3)>>3])*.5;break h}}}else{d=0;q=-1797693134862315708145274.0e284;r=1797693134862315708145274.0e284;u=0.0;t=0.0;v=0.0}while(0);Mv(T);Mv(S);Mv(R);Mv(Q);Mv(P);Mv(O);u=u*1.0483579;t=t*.6052697;v=v*.1772048}}while(0);if((e|0)!=0&(d|0)==0){t=1.0;r=0.0;q=1.0}else{ca=u!=0.0&u<t?u:t;t=q;q=v!=0.0&v<ca?v:ca}if(h==0.0)q=q*.25;else q=q/U;if(q==0.0){m=0;return m|0}else{v=q;u=r}}while(0);q=(t-u)/v;if(q>4294967284.0){m=0;return m|0}w=(a|0)>0;if(w){c=f[55542]|0;do if(!c)if(!(Yr()|0)){c=f[55542]|0;break}else{m=113;return m|0}while(0);a=(a+-1|0)%1e4|0;y=a;c=~~(+n[c+(a<<2)>>2]*500.0)}else{y=0;c=0}u:do if((d|0)==(V|0)){s=(i|0)==2;do if(!s)if(q<2147483637.0){q=u/v+.5;q=v*(+(~~q>>>0>>>0)+4294967296.0*+((+K(q)>=1.0?(q>0.0?~~+Y(+J(q/4294967296.0),4294967295.0)>>>0:~~+W((q-+(~~q>>>0))/4294967296.0)>>>0):0)|0));break}else{q=(u+t)*.5;break}else q=u+v*2147483637.0;while(0);d=(V|0)>0;if(!w){if(d)c=0;else break;while(1){ca=(+p[b+(c<<3)>>3]-q)/v;f[j+(c<<2)>>2]=~~(ca+(ca>=0.0?.5:-.5));c=c+1|0;if((c|0)==(V|0))break u}}if(d){x=f[55542]|0;if(s){w=0;s=y}else{s=0;d=y;while(1){ca=(+p[b+(s<<3)>>3]-q)/v+ +n[x+(c<<2)>>2]+-.5;f[j+(s<<2)>>2]=~~(ca+(ca>=0.0?.5:-.5));c=c+1|0;if((c|0)==1e4){c=d+1|0;c=(c|0)==1e4?0:c;d=c;c=~~(+n[x+(c<<2)>>2]*500.0)}s=s+1|0;if((s|0)==(V|0))break u}}while(1){r=+p[b+(w<<3)>>3];if(r==0.0)d=-2147483646;else{ca=(r-q)/v+ +n[x+(c<<2)>>2]+-.5;d=~~(ca+(ca>=0.0?.5:-.5))}f[j+(w<<2)>>2]=d;c=c+1|0;if((c|0)==1e4){c=s+1|0;c=(c|0)==1e4?0:c;d=c;c=~~(+n[x+(c<<2)>>2]*500.0)}else d=s;w=w+1|0;if((w|0)==(V|0))break;else s=d}}}else{q=u+v*2147483637.0;d=(V|0)>0;if(!w){if(d)d=0;else break;while(1){r=+p[b+(d<<3)>>3];if(r!=g){ca=(r-q)/v;c=~~(ca+(ca>=0.0?.5:-.5))}else c=-2147483647;f[j+(d<<2)>>2]=c;d=d+1|0;if((d|0)==(V|0))break u}}if(d){x=f[55542]|0;if((i|0)==2){w=0;s=y}else{w=0;s=y;while(1){r=+p[b+(w<<3)>>3];if(r!=g){ca=(r-q)/v+ +n[x+(c<<2)>>2]+-.5;d=~~(ca+(ca>=0.0?.5:-.5))}else d=-2147483647;f[j+(w<<2)>>2]=d;c=c+1|0;if((c|0)==1e4){c=s+1|0;c=(c|0)==1e4?0:c;d=c;c=~~(+n[x+(c<<2)>>2]*500.0)}else d=s;w=w+1|0;if((w|0)==(V|0))break u;else s=d}}while(1){r=+p[b+(w<<3)>>3];if(r!=g)if(r==0.0)d=-2147483646;else{ca=(r-q)/v+ +n[x+(c<<2)>>2]+-.5;d=~~(ca+(ca>=0.0?.5:-.5))}else d=-2147483647;f[j+(w<<2)>>2]=d;c=c+1|0;if((c|0)==1e4){c=s+1|0;c=(c|0)==1e4?0:c;d=c;c=~~(+n[x+(c<<2)>>2]*500.0)}else d=s;w=w+1|0;if((w|0)==(V|0))break;else s=d}}}while(0);ca=(u-q)/v;f[m>>2]=~~(ca+(ca>=0.0?.5:-.5));ca=(t-q)/v;f[o>>2]=~~(ca+(ca>=0.0?.5:-.5));p[k>>3]=v;p[l>>3]=q;m=1;return m|0}function Es(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0,f=0.0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0,n=0;c=b+-1|0;n=(c|0)/2|0;if((b|0)>1)b=0;else{n=a+(n<<3)|0;k=+p[n>>3];return +k}while(1){e=b+1|0;g=a+(c<<3)|0;f=+p[g>>3];if((c|0)==(e|0))break;h=a+(((b+c|0)/2|0)<<3)|0;d=+p[h>>3];if(d>f){p[h>>3]=f;p[g>>3]=d}else d=f;l=a+(b<<3)|0;f=+p[l>>3];if(f>d){p[l>>3]=d;p[g>>3]=f;f=+p[l>>3]}d=+p[h>>3];if(d>f){p[h>>3]=f;p[l>>3]=d;d=+p[h>>3]}g=a+(e<<3)|0;p[h>>3]=+p[g>>3];p[g>>3]=d;g=c;while(1){k=+p[l>>3];do{e=e+1|0;i=a+(e<<3)|0;f=+p[i>>3]}while(k>f);j=g;while(1){g=j+-1|0;h=a+(g<<3)|0;d=+p[h>>3];if(d>k)j=g;else break}if((j|0)<=(e|0))break;p[i>>3]=d;p[h>>3]=f}p[l>>3]=d;p[h>>3]=k;b=(g|0)>(n|0)?b:e;c=(j|0)>(n|0)?j+-2|0:c;if((c|0)<=(b|0)){m=18;break}}if((m|0)==18){n=a+(n<<3)|0;k=+p[n>>3];return +k}b=a+(b<<3)|0;d=+p[b>>3];if(!(d>f)){n=a+(n<<3)|0;k=+p[n>>3];return +k}p[b>>3]=f;p[g>>3]=d;n=a+(n<<3)|0;k=+p[n>>3];return +k}function Fs(a,b,c,d,e,g,h,i,j,k,l,m,n,o,q){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;k=k|0;l=l|0;m=m|0;n=n|0;o=o|0;q=q|0;var r=0,s=0,t=0.0,u=0,v=0.0,w=0.0,x=0,y=0.0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0;z=(j|0)!=0;A=(k|0)!=0;if(z|A){u=X(c,b)|0;r=(u|0)>0;if(!d)if(r){r=0;v=0.0;t=0.0;s=a;while(1){y=+(f[s>>2]|0);v=v+y;t=t+y*y;r=r+1|0;if((r|0)==(u|0)){F=7;break}else s=s+4|0}}else F=10;else if(r){s=0;r=0;v=0.0;t=0.0;x=a;while(1){Y=f[x>>2]|0;Z=(Y|0)==(e|0);y=+(Y|0);r=((Z^1)&1)+r|0;v=Z?v:v+y;t=Z?t:t+y*y;s=s+1|0;if((s|0)==(u|0)){u=r;F=7;break}else x=x+4|0}}else F=10;do if((F|0)==7)if((u|0)<=1)if((u|0)==1){u=1;t=0.0;break}else{F=10;break}else{w=+(u|0);y=v/w;v=y;t=+L(+(t/w-y*y));break}while(0);if((F|0)==10){u=0;v=0.0;t=0.0}if(g|0)f[g>>2]=u;if(z)p[j>>3]=v;if(A)p[k>>3]=t}else u=0;if(l|0){do if((b|0)<3)t=0.0;else{D=Nv(b,4)|0;if(!D){f[q>>2]=113;t=0.0;break}E=Nv(c,8)|0;if(!E){Mv(D);f[q>>2]=113;t=0.0;break}a:do if((c|0)>0){C=(d|0)!=0;A=b+-1|0;B=0;r=0;do{z=a+((X(B,b)|0)<<2)|0;b:do if(C){s=0;do{if((f[z+(s<<2)>>2]|0)!=(e|0))break b;s=s+1|0}while((s|0)<(b|0))}else s=0;while(0);if((s|0)!=(b|0)?(H=f[z+(s<<2)>>2]|0,G=s+1|0,(G|0)<(b|0)):0){c:do if(C){s=G;x=0;j=H;while(1){d:do if((s|0)<(b|0))do{if((f[z+(s<<2)>>2]|0)!=(e|0))break d;s=s+1|0}while((s|0)<(b|0));while(0);if((s|0)==(b|0)){s=x;break c}Z=j;j=f[z+(s<<2)>>2]|0;f[D+(x<<2)>>2]=Z-j;x=x+1|0;s=s+1|0;if((s|0)>=(b|0)){s=x;break}}}else{s=A-s|0;x=G;j=0;k=H;while(1){Z=k;k=f[z+(x<<2)>>2]|0;f[D+(j<<2)>>2]=Z-k;j=j+1|0;if((j|0)==(s|0))break;else x=x+1|0}}while(0);if((s|0)>=2){x=0;t=0.0;w=0.0;j=D;while(1){y=+(f[j>>2]|0);t=t+y;w=w+y*y;x=x+1|0;if((x|0)==(s|0))break;else j=j+4|0}e:do if((s|0)>1){y=+(s|0);v=t/y;t=+L(+(w/y-v*v));if(t>0.0){z=0;while(1){if((s|0)>0){w=t*5.0;k=0;x=0;do{j=f[D+(k<<2)>>2]|0;if(+K(+(+(j|0)-v))<w){if((x|0)<(k|0))f[D+(x<<2)>>2]=j;x=x+1|0}k=k+1|0}while((k|0)!=(s|0));j=x}else j=0;if((j|0)==(s|0))break e;do if((j|0)>0){s=0;v=0.0;t=0.0;x=D;while(1){y=+(f[x>>2]|0);v=v+y;t=t+y*y;s=s+1|0;if((s|0)==(j|0))break;else x=x+4|0}if((j|0)<=1)if((j|0)==1){t=0.0;break}else{F=55;break}else{w=+(j|0);y=v/w;v=y;t=+L(+(t/w-y*y));break}}else F=55;while(0);if((F|0)==55){F=0;v=0.0;t=0.0}z=z+1|0;if((z|0)>=3)break;else s=j}}}else t=0.0;while(0);p[E+(r<<3)>>3]=t;r=r+1|0}}B=B+1|0}while((B|0)!=(c|0));switch(r|0){case 0:{t=0.0;break a}case 1:{t=+p[E>>3];break a}default:{gx(E,r,8,27);t=(+p[E+(((r+-1|0)/2|0)<<3)>>3]+ +p[E+(((r|0)/2|0)<<3)>>3])*.5;break a}}}else t=0.0;while(0);Mv(E);Mv(D);t=t*.70710678}while(0);p[l>>3]=t}W=(h|0)!=0;Y=(i|0)!=0;Z=(n|0)!=0;if(!(W|Y|Z)){q=f[q>>2]|0;return q|0}V=(b|0)<9;O=V?1:c;V=X(V?c:1,b)|0;do if((V|0)<9)if((V|0)>0)if(!d){u=0;r=-2147483648;s=2147483647;do{e=f[a+(u<<2)>>2]|0;s=(e|0)<(s|0)?e:s;r=(e|0)>(r|0)?e:r;u=u+1|0}while((u|0)!=(V|0));u=V;w=0.0;v=0.0;t=0.0}else{x=0;u=0;r=-2147483648;s=2147483647;do{U=f[a+(x<<2)>>2]|0;T=(U|0)==(e|0);u=((T^1)&1)+u|0;s=T?s:(U|0)<(s|0)?U:s;r=T?r:(U|0)>(r|0)?U:r;x=x+1|0}while((x|0)!=(V|0));w=0.0;v=0.0;t=0.0}else{r=-2147483648;s=2147483647;u=0;w=0.0;v=0.0;t=0.0}else{P=Nv(V,8)|0;if(!P){f[q>>2]=113;r=0;s=0;w=0.0;v=0.0;t=0.0;break}Q=Nv(V,8)|0;if(!Q){Mv(P);f[q>>2]=113;r=0;s=0;w=0.0;v=0.0;t=0.0;break}R=Nv(V,8)|0;if(!R){Mv(P);Mv(Q);f[q>>2]=113;r=0;s=0;w=0.0;v=0.0;t=0.0;break}S=Nv(O,8)|0;if(!S){Mv(P);Mv(Q);Mv(R);f[q>>2]=113;r=0;s=0;w=0.0;v=0.0;t=0.0;break}T=Nv(O,8)|0;if(!T){Mv(P);Mv(Q);Mv(R);Mv(S);f[q>>2]=113;r=0;s=0;w=0.0;v=0.0;t=0.0;break}U=Nv(O,8)|0;if(!U){Mv(P);Mv(Q);Mv(R);Mv(S);Mv(T);f[q>>2]=113;r=0;s=0;w=0.0;v=0.0;t=0.0;break}f:do if((O|0)>0){N=(d|0)!=0;M=0;k=0;J=0;x=0;r=-2147483648;s=2147483647;while(1){d=a+((X(M,V)|0)<<2)|0;g:do if(N){u=0;while(1){if((f[d+(u<<2)>>2]|0)!=(e|0)){j=u;break g}u=u+1|0;if((u|0)>=(V|0)){j=u;break}}}else j=0;while(0);h:do if((j|0)!=(V|0)){z=f[d+(j<<2)>>2]|0;u=k+1|0;s=(z|0)<(s|0)?z:s;r=(z|0)>(r|0)?z:r;j=j+1|0;i:do if(N&(j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break i;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0))j=J;else{b=f[d+(j<<2)>>2]|0;u=k+2|0;s=(b|0)<(s|0)?b:s;r=(b|0)>(r|0)?b:r;j=j+1|0;j:do if(N&(j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break j;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0)){j=J;break}H=f[d+(j<<2)>>2]|0;u=k+3|0;s=(H|0)<(s|0)?H:s;r=(H|0)>(r|0)?H:r;j=j+1|0;k:do if(N&(j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break k;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0)){j=J;break}G=f[d+(j<<2)>>2]|0;u=k+4|0;s=(G|0)<(s|0)?G:s;r=(G|0)>(r|0)?G:r;j=j+1|0;l:do if(N&(j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break l;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0)){j=J;break}F=f[d+(j<<2)>>2]|0;u=k+5|0;s=(F|0)<(s|0)?F:s;r=(F|0)>(r|0)?F:r;j=j+1|0;m:do if(N&(j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break m;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0)){j=J;break}E=f[d+(j<<2)>>2]|0;u=k+6|0;s=(E|0)<(s|0)?E:s;r=(E|0)>(r|0)?E:r;j=j+1|0;n:do if(N&(j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break n;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0)){j=J;break}A=f[d+(j<<2)>>2]|0;u=k+7|0;s=(A|0)<(s|0)?A:s;r=(A|0)>(r|0)?A:r;j=j+1|0;o:do if(N&(j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break o;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0)){j=J;break}B=f[d+(j<<2)>>2]|0;u=k+8|0;s=(B|0)<(s|0)?B:s;r=(B|0)>(r|0)?B:r;j=j+1|0;if((j|0)<(V|0)){k=0;C=0}else{j=J;break}p:while(1){q:do if(N){l=z;c=b;D=A;b=B;while(1){r:do if((j|0)<(V|0))do{if((f[d+(j<<2)>>2]|0)!=(e|0))break r;j=j+1|0}while((j|0)<(V|0));while(0);if((j|0)==(V|0)){j=C;break p}B=f[d+(j<<2)>>2]|0;s=(B|0)<(s|0)?B:s;r=(B|0)>(r|0)?B:r;z=(F|0)==(E|0);A=(E|0)==(D|0);if(!(A&z)){ba=Dz(F|0,((F|0)<0)<<31>>31|0,D|0,((D|0)<0)<<31>>31|0)|0;$=I;aa=($|0)<0;ca=Dz(0,0,ba|0,$|0)|0;_=P+(C<<3)|0;f[_>>2]=aa?ca:ba;f[_+4>>2]=aa?I:$;C=C+1|0}if(A&(z&((G|0)==(F|0)&(H|0)==(G|0)))){z=c;A=b;break q}ca=((F|0)<0)<<31>>31;z=Gz(F|0,ca|0,1)|0;ba=((H|0)<0)<<31>>31;z=Dz(z|0,I|0,H|0,ba|0)|0;aa=((D|0)<0)<<31>>31;z=Dz(z|0,I|0,D|0,aa|0)|0;$=I;A=($|0)<0;da=Dz(0,0,z|0,$|0)|0;_=Q+(k<<3)|0;f[_>>2]=A?da:z;f[_+4>>2]=A?I:$;ca=Sz(F|0,ca|0,6,0)|0;_=I;ba=Gz(H|0,ba|0,2)|0;$=I;aa=Gz(D|0,aa|0,2)|0;aa=Dz(ca|0,_|0,aa|0,I|0)|0;$=Dz(aa|0,I|0,ba|0,$|0)|0;$=Ez($|0,I|0,l|0,((l|0)<0)<<31>>31|0)|0;$=Ez($|0,I|0,B|0,((B|0)<0)<<31>>31|0)|0;ba=I;aa=(ba|0)<0;_=Dz(0,0,$|0,ba|0)|0;ca=R+(k<<3)|0;f[ca>>2]=aa?_:$;f[ca+4>>2]=aa?I:ba;k=k+1|0;j=j+1|0;if((j|0)>=(V|0)){j=C;break p}else{_=b;$=D;aa=E;ba=F;ca=G;da=H;l=c;b=B;D=_;E=$;F=aa;G=ba;H=ca;c=da}}}else{l=z;c=b;D=A;b=B;while(1){if((j|0)==(V|0)){j=C;break p}B=f[d+(j<<2)>>2]|0;s=(B|0)<(s|0)?B:s;r=(B|0)>(r|0)?B:r;z=(F|0)==(E|0);A=(E|0)==(D|0);if(!(A&z)){aa=Dz(F|0,((F|0)<0)<<31>>31|0,D|0,((D|0)<0)<<31>>31|0)|0;ca=I;ba=(ca|0)<0;$=Dz(0,0,aa|0,ca|0)|0;da=P+(C<<3)|0;f[da>>2]=ba?$:aa;f[da+4>>2]=ba?I:ca;C=C+1|0}if(A&(z&((G|0)==(F|0)&(H|0)==(G|0)))){z=c;A=b;break q}da=((F|0)<0)<<31>>31;A=Gz(F|0,da|0,1)|0;ca=((H|0)<0)<<31>>31;A=Dz(A|0,I|0,H|0,ca|0)|0;ba=((D|0)<0)<<31>>31;A=Dz(A|0,I|0,D|0,ba|0)|0;aa=I;_=(aa|0)<0;z=Dz(0,0,A|0,aa|0)|0;$=Q+(k<<3)|0;f[$>>2]=_?z:A;f[$+4>>2]=_?I:aa;da=Sz(F|0,da|0,6,0)|0;$=I;ca=Gz(H|0,ca|0,2)|0;aa=I;ba=Gz(D|0,ba|0,2)|0;ba=Dz(da|0,$|0,ba|0,I|0)|0;aa=Dz(ba|0,I|0,ca|0,aa|0)|0;aa=Ez(aa|0,I|0,l|0,((l|0)<0)<<31>>31|0)|0;aa=Ez(aa|0,I|0,B|0,((B|0)<0)<<31>>31|0)|0;ca=I;ba=(ca|0)<0;$=Dz(0,0,aa|0,ca|0)|0;da=R+(k<<3)|0;f[da>>2]=ba?$:aa;f[da+4>>2]=ba?I:ca;k=k+1|0;j=j+1|0;if((j|0)>=(V|0)){j=C;break p}else{_=b;$=D;aa=E;ba=F;ca=G;da=H;l=c;b=B;D=_;E=$;F=aa;G=ba;H=ca;c=da}}}while(0);u=u+1|0;j=j+1|0;if((j|0)>=(V|0)){j=C;break}else{b=D;H=D;G=D;F=D;E=D}}u=k+u|0;switch(k|0){case 0:{j=J;break h}case 1:{if((j|0)==1){da=P;p[S+(x<<3)>>3]=+((f[da>>2]|0)>>>0)+4294967296.0*+(f[da+4>>2]|0);x=x+1|0}k=Q;p[T+(J<<3)>>3]=+((f[k>>2]|0)>>>0)+4294967296.0*+(f[k+4>>2]|0);k=R;j=f[k>>2]|0;k=f[k+4>>2]|0;break}default:{if((j|0)>1){da=Gs(P,k)|0;p[S+(x<<3)>>3]=+(da>>>0)+4294967296.0*+(I|0);x=x+1|0}j=Gs(Q,k)|0;p[T+(J<<3)>>3]=+(j>>>0)+4294967296.0*+(I|0);j=Gs(R,k)|0;k=I}}p[U+(J<<3)>>3]=+(j>>>0)+4294967296.0*+(k|0);j=J+1|0}}else{u=k;j=J}while(0);M=M+1|0;if((M|0)==(O|0))break;else{k=u;J=j}}switch(j|0){case 0:{t=0.0;w=0.0;break}case 1:{t=+p[T>>3];w=+p[U>>3];break}default:{gx(T,j,8,27);gx(U,j,8,27);ca=(j+-1|0)/2|0;da=(j|0)/2|0;t=(+p[T+(ca<<3)>>3]+ +p[T+(da<<3)>>3])*.5;w=(+p[U+(ca<<3)>>3]+ +p[U+(da<<3)>>3])*.5}}switch(x|0){case 0:{v=0.0;y=w;break f}case 1:{v=+p[S>>3];y=w;break f}default:{gx(S,x,8,27);v=(+p[S+(((x+-1|0)/2|0)<<3)>>3]+ +p[S+(((x|0)/2|0)<<3)>>3])*.5;y=w;break f}}}else{u=0;r=-2147483648;s=2147483647;v=0.0;t=0.0;y=0.0}while(0);Mv(U);Mv(T);Mv(S);Mv(R);Mv(Q);Mv(P);w=v*1.0483579;v=t*.6052697;t=y*.1772048}while(0);if(g|0)f[g>>2]=u;if(W)f[h>>2]=s;if(Y)f[i>>2]=r;if(m|0)p[m>>3]=w;if(Z)p[n>>3]=v;if(!o){da=f[q>>2]|0;return da|0}p[o>>3]=t;da=f[q>>2]|0;return da|0}
function Qt(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0;A=u;u=u+432|0;v=A+344|0;s=A+340|0;w=A+336|0;x=A+332|0;z=A+256|0;y=A+328|0;l=A;a:do if((c|0)==-99){if((Gt(106266,l)|0)!=268){if(!(f[55581]|0))f[55581]=431;Vy(v,106268,80)|0;b[v+79>>0]=0;vj(v);z=-1;u=A;return z|0}h=f[l>>2]|0;c=f[55567]|0;do if((c|0)==(f[55568]|0)){g=f[55566]|0;if(!g){f[55568]=100;c=Lv(34400)|0}else{f[55568]=c<<1;c=Ov(g,c*688|0)|0}if(!c){f[55581]=113;h=-1;break a}else{f[55566]=c;c=f[55567]|0;break}}while(0);f[55567]=c+1;if((c|0)>-1?(i=f[55566]|0,f[i+(c*344|0)>>2]=0-h,f[i+(c*344|0)+4>>2]=0,f[i+(c*344|0)+8>>2]=0,j=f[55574]|0,f[i+(c*344|0)+52>>2]=f[j+(h*124|0)+84>>2],f[i+(c*344|0)+56>>2]=f[j+(h*124|0)+88>>2],k=f[j+(h*124|0)+92>>2]|0,f[i+(c*344|0)+60>>2]=k,(k|0)>0):0){g=0;do{f[i+(c*344|0)+64+(g<<2)>>2]=f[j+(h*124|0)+96+(g<<2)>>2];g=g+1|0}while((g|0)!=(k|0));h=c}else h=c}else h=c;while(0);b:do if((d|0)==-99){if((Gt(106307,l)|0)!=268){if(!(f[55581]|0))f[55581]=431;Vy(v,106309,80)|0;b[v+79>>0]=0;vj(v);z=-1;u=A;return z|0}g=f[l>>2]|0;d=f[55567]|0;do if((d|0)==(f[55568]|0)){c=f[55566]|0;if(!c){f[55568]=100;d=Lv(34400)|0}else{f[55568]=d<<1;d=Ov(c,d*688|0)|0}if(!d){f[55581]=113;d=-1;break b}else{f[55566]=d;d=f[55567]|0;break}}while(0);f[55567]=d+1;if((d|0)>-1?(m=f[55566]|0,f[m+(d*344|0)>>2]=0-g,f[m+(d*344|0)+4>>2]=0,f[m+(d*344|0)+8>>2]=0,n=f[55574]|0,f[m+(d*344|0)+52>>2]=f[n+(g*124|0)+84>>2],f[m+(d*344|0)+56>>2]=f[n+(g*124|0)+88>>2],o=f[n+(g*124|0)+92>>2]|0,f[m+(d*344|0)+60>>2]=o,(o|0)>0):0){c=0;do{f[m+(d*344|0)+64+(c<<2)>>2]=f[n+(g*124|0)+96+(c<<2)>>2];c=c+1|0}while((c|0)!=(o|0))}}while(0);n=Kt(260,0,h)|0;m=Kt(260,0,d)|0;d=f[55567]|0;do if((d|0)==(f[55568]|0)){c=f[55566]|0;if(!c){f[55568]=100;d=Lv(34400)|0}else{f[55568]=d<<1;d=Ov(c,d*688|0)|0}if(!d){f[55581]=113;l=-1;break}else{f[55566]=d;d=f[55567]|0;t=38;break}}else t=38;while(0);if((t|0)==38){f[55567]=d+1;l=d}d=m|n;if((l|d|0)<0){z=-1;u=A;return z|0}do if((d|0)>=0){h=f[55566]|0;d=f[h+(n*344|0)+56>>2]|0;if((d|0)!=1?(p=f[h+(m*344|0)+56>>2]|0,(p|0)!=1):0){if(!((d|0)==(p|0)?(f[h+(n*344|0)+52>>2]|0)==(f[h+(m*344|0)+52>>2]|0):0))break;d=f[h+(n*344|0)+60>>2]|0;if((d|0)!=(f[h+(m*344|0)+60>>2]|0))break;if((d|0)>0){c=0;g=1;do{g=(f[h+(n*344|0)+64+(c<<2)>>2]|0)==(f[h+(m*344|0)+64+(c<<2)>>2]|0)?g:0;c=c+1|0}while((c|0)!=(d|0));if(!g)break}}d=f[55567]|0;do if((d|0)==(f[55568]|0)){if(!h){f[55568]=100;d=Lv(34400)|0}else{f[55568]=d<<1;d=Ov(h,d*688|0)|0}if(d|0){f[55566]=d;k=f[55567]|0;h=d;break}f[55581]=113;z=-1;u=A;return z|0}else k=d;while(0);f[55567]=k+1;if((k|0)<=-1){z=k;u=A;return z|0}j=h+(k*344|0)|0;f[h+(k*344|0)+8>>2]=3;f[h+(k*344|0)+12>>2]=l;f[h+(k*344|0)+16>>2]=n;f[h+(k*344|0)+20>>2]=m;f[j>>2]=1033;i=h+(k*344|0)+4|0;f[i>>2]=15;f[h+(k*344|0)+52>>2]=258;f[h+(k*344|0)+56>>2]=1;f[h+(k*344|0)+60>>2]=1;f[h+(k*344|0)+64>>2]=1;if((k|n|0)>=0?(f[h+(k*344|0)+56>>2]=f[h+(n*344|0)+56>>2],q=h+(n*344|0)+60|0,f[h+(k*344|0)+60>>2]=f[q>>2],(f[q>>2]|0)>0):0){d=0;do{f[h+(k*344|0)+64+(d<<2)>>2]=f[h+(n*344|0)+64+(d<<2)>>2];d=d+1|0}while((d|0)<(f[q>>2]|0))}d=f[h+(m*344|0)+56>>2]|0;if(!((k|m|0)<0?1:(f[h+(n*344|0)+56>>2]|0)>=(d|0))?(f[h+(k*344|0)+56>>2]=d,r=h+(m*344|0)+60|0,f[h+(k*344|0)+60>>2]=f[r>>2],(f[r>>2]|0)>0):0){d=0;do{f[h+(k*344|0)+64+(d<<2)>>2]=f[h+(m*344|0)+64+(d<<2)>>2];d=d+1|0}while((d|0)<(f[r>>2]|0))}f[h+(l*344|0)>>2]=-1e3;f[h+(l*344|0)+4>>2]=0;f[w>>2]=0;f[s>>2]=0;c=b[e>>0]|0;switch(c<<24>>24){case 0:{c=St(h+(n*344|0)|0)|0;f[s>>2]=c;d=St(h+(m*344|0)|0)|0;f[w>>2]=d;if((d|c|0)<0){if(!(f[55581]|0))f[55581]=431;Vy(v,106509,80)|0;b[v+79>>0]=0;vj(v);d=f[55567]|0;if(!d){z=-1;u=A;return z|0}f[55567]=d+-1;z=-1;u=A;return z|0}break}case 32:{d=e;do{d=d+1|0;c=b[d>>0]|0}while(c<<24>>24==32);t=66;break}default:{d=e;t=66}}do if((t|0)==66){g=d;c:while(1){switch(c<<24>>24){case 32:case 44:{t=70;break c}case 0:{c=g;break c}default:{}}e=g+1|0;c=b[e>>0]|0;g=e}if((t|0)==70){b[g>>0]=0;c=g+1|0}d:while(1){switch(b[c>>0]|0){case 0:{t=73;break d}case 32:break;default:{t=77;break d}}c=c+1|0}if((t|0)==73){if(!(f[55581]|0))f[55581]=431;Vy(v,106401,80)|0;b[v+79>>0]=0;vj(v);d=f[55567]|0;if(!d){z=-1;u=A;return z|0}f[55567]=d+-1;z=-1;u=A;return z|0}else if((t|0)==77){hk(f[55556]|0,0,d,s,222324)|0;hk(f[55556]|0,0,c,w,222324)|0;if(!(f[55581]|0)){c=f[s>>2]|0;d=f[w>>2]|0;break}Vy(v,106461,80)|0;b[v+79>>0]=0;vj(v);d=f[55567]|0;if(!d){z=-1;u=A;return z|0}f[55567]=d+-1;z=-1;u=A;return z|0}}while(0);f[z>>2]=0;if((c|0)>0&(d|0)>0){f[x>>2]=0;Vr(f[55556]|0,c,d,z+8|0,z+16|0,z+24|0,z+32|0,z+40|0,z+48|0,z+56|0,z+64|0,x)|0;d=f[x>>2]|0;switch(d|0){case 505:{d=0;break}case 0:{d=1;break}default:{f[55581]=d;d=f[55567]|0;if(!d){z=-1;u=A;return z|0}f[55567]=d+-1;z=-1;u=A;return z|0}}f[z>>2]=d}Fr(a,z,y,222324)|0;if(f[55581]|0){d=f[55567]|0;if(!d){z=-1;u=A;return z|0}f[55567]=d+-1;z=-1;u=A;return z|0}f[h+(l*344|0)+88>>2]=f[y>>2];d=f[55566]|0;if((f[d+(n*344|0)>>2]|0)!=-1e3){z=k;u=A;return z|0}if((f[d+(m*344|0)>>2]|0)!=-1e3){z=k;u=A;return z|0}ub[f[i>>2]&15](j);z=k;u=A;return z|0}while(0);if(!(f[55581]|0))f[55581]=431;Vy(v,106348,80)|0;b[v+79>>0]=0;vj(v);z=-1;u=A;return z|0}function Rt(a){a=a|0;var c=0,d=0,e=0,g=0.0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0;x=f[55566]|0;e=f[a+12>>2]|0;y=f[a+16>>2]|0;z=f[a+20>>2]|0;C=x+(y*344|0)|0;if((f[C>>2]|0)==-1e3){g=+p[x+(y*344|0)+88>>3];c=0}else{g=0.0;c=f[x+(y*344|0)+56>>2]|0}D=x+(z*344|0)|0;if((f[D>>2]|0)==-1e3){h=+p[x+(z*344|0)+88>>3];d=0}else{h=0.0;d=f[x+(z*344|0)+56>>2]|0}if(d|c){Tt(a);if((f[55581]|0)==0?(i=f[55571]|0,B=a+56|0,k=f[B>>2]|0,i|0):0){A=(c|0)>1;w=(c|0)==0;v=(d|0)>1;t=(d|0)==0;u=a+84|0;s=x+(e*344|0)+88|0;m=a+88|0;o=x+(z*344|0)+88|0;r=x+(z*344|0)+84|0;n=x+(y*344|0)+88|0;q=x+(y*344|0)+84|0;e=0;j=0;l=i;c=X(k,i)|0;while(1){l=l+-1|0;a=k+-1|0;do if(k){if(w){i=c;while(1){i=i+-1|0;d=v?i:l;if(!t){j=b[(f[r>>2]|0)+d>>0]|0;h=+p[(f[o>>2]|0)+(d<<3)>>3]}b[(f[u>>2]|0)+i>>0]=(j|e)<<24>>24!=0&1;if(!(b[(f[u>>2]|0)+i>>0]|0)){d=(Lr(g,h,f[s>>2]|0)|0)!=0&1;b[(f[m>>2]|0)+i>>0]=d}if(!a)break;else a=a+-1|0}c=c-k|0;break}if(A){i=c;while(1){i=i+-1|0;g=+p[(f[n>>2]|0)+(i<<3)>>3];e=b[(f[q>>2]|0)+i>>0]|0;d=v?i:l;if(!t){j=b[(f[r>>2]|0)+d>>0]|0;h=+p[(f[o>>2]|0)+(d<<3)>>3]}b[(f[u>>2]|0)+i>>0]=(j|e)<<24>>24!=0&1;if(!(b[(f[u>>2]|0)+i>>0]|0)){d=(Lr(g,h,f[s>>2]|0)|0)!=0&1;b[(f[m>>2]|0)+i>>0]=d}if(!a)break;else a=a+-1|0}c=c-k|0;break}else{i=c;while(1){i=i+-1|0;g=+p[(f[n>>2]|0)+(l<<3)>>3];e=b[(f[q>>2]|0)+l>>0]|0;d=v?i:l;if(!t){j=b[(f[r>>2]|0)+d>>0]|0;h=+p[(f[o>>2]|0)+(d<<3)>>3]}b[(f[u>>2]|0)+i>>0]=(j|e)<<24>>24!=0&1;if(!(b[(f[u>>2]|0)+i>>0]|0)){d=(Lr(g,h,f[s>>2]|0)|0)!=0&1;b[(f[m>>2]|0)+i>>0]=d}if(!a)break;else a=a+-1|0}c=c-k|0;break}}while(0);if(!l)break;else k=f[B>>2]|0}}}else{B=(Lr(g,h,f[x+(e*344|0)+88>>2]|0)|0)!=0&1;b[a+88>>0]=B;f[a>>2]=-1e3}if((f[C>>2]|0)>0)Mv(f[x+(y*344|0)+88>>2]|0);if((f[D>>2]|0)<=0)return;Mv(f[x+(z*344|0)+88>>2]|0);return}function St(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;e=f[a+8>>2]|0;if(!e){b=f[a>>2]|0;if((b|0)>0|(b|0)==-1e3){c=0;b=0}else return f[(f[55573]|0)+((0-b|0)*244|0)+4>>2]|0}else if((e|0)>0){g=f[55566]|0;h=f[55573]|0;i=0;j=0;b=0;while(1){d=g+((f[a+12+(j<<2)>>2]|0)*344|0)|0;c=f[d>>2]|0;do if((c|0)>0){d=St(d)|0;if((d|0)<1){c=i;b=b-d|0;break}if(!b){c=d;b=1}else{c=i;b=((i|0)!=(d|0)&1)+b|0}}else if((c|0)!=-1e3){d=f[h+((0-c|0)*244|0)+4>>2]|0;if(!b){c=d;b=1}else{c=i;b=((i|0)!=(d|0)&1)+b|0}}else c=i;while(0);j=j+1|0;if((j|0)>=(e|0))break;else i=c}}else{c=0;b=0}return ((b|0)==1?c:0-b|0)|0}function Tt(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;h=f[a+52>>2]|0;if((h+-261|0)>>>0>=2){d=X(f[55571]|0,f[a+56>>2]|0)|0;switch(h|0){case 260:{c=8;break}case 259:{c=4;break}case 258:{c=1;break}default:c=1}b=Nv(c+1|0,d)|0;f[a+88>>2]=b;if(!b){f[55581]=113;return}else{h=b+(X(c,d)|0)|0;f[a+84>>2]=h;return}}d=f[55571]|0;b=Lv(d<<2)|0;g=a+88|0;f[g>>2]=b;if(!b){f[55581]=113;return}e=f[a+56>>2]|0;c=Lv(X(e+2|0,d)|0)|0;f[b>>2]=c;b=f[g>>2]|0;c=f[b>>2]|0;if(!c){f[55581]=113;Mv(b);return}if((d|0)>1){f[b+4>>2]=c+e+1;if((d|0)==2)b=1;else{c=1;b=2;while(1){i=f[g>>2]|0;f[i+(b<<2)>>2]=(f[i+(c<<2)>>2]|0)+e+1;c=b+1|0;if((c|0)<(d|0)){i=b;b=c;c=i}else break}}}else b=0;if((h|0)==261)b=(f[(f[g>>2]|0)+(b<<2)>>2]|0)+e+1|0;else b=0;f[a+84>>2]=b;return}function Ut(a){a=a|0;var c=0,d=0,e=0,g=0.0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0;r=f[55566]|0;d=f[a+12>>2]|0;s=f[a+16>>2]|0;e=f[r+(d*344|0)+56>>2]|0;o=f[r+(d*344|0)+88>>2]|0;q=o+(e<<3)|0;d=f[r+(d*344|0)+52>>2]|0;t=r+(s*344|0)|0;a:do if((f[t>>2]|0)!=-1e3){Tt(a);k=f[r+(s*344|0)+88>>2]|0;if(!(f[55581]|0)){c=X(f[a+56>>2]|0,f[55571]|0)|0;if(!e){if(!c)break;e=a+88|0;d=a+84|0;while(1){c=c+-1|0;b[(f[e>>2]|0)+c>>0]=0;b[(f[d>>2]|0)+c>>0]=0;if(!c)break a}}l=r+(s*344|0)+84|0;m=a+84|0;h=e+-1|0;i=q+(h<<3)|0;j=e>>>1;a=a+88|0;if((e|0)>15&(d|0)!=0)d=-1;else{d=-1;while(1){do{j=c;c=c+-1|0;if(!j)break a;j=b[(f[l>>2]|0)+c>>0]|0;b[(f[m>>2]|0)+c>>0]=j}while(j<<24>>24!=0);g=+p[k+(c<<3)>>3];if(!(((d|0)>=0?!(g<+p[o+(d<<3)>>3]):0)?!(g>+p[q+(d<<3)>>3]):0)){e=h;n=42}b:do if((n|0)==42)while(1){n=0;if(+p[o+(e<<3)>>3]<=g?+p[q+(e<<3)>>3]>=g:0){d=e;break b}d=e+-1|0;if(!e)break;else{e=d;n=42}}while(0);b[(f[a>>2]|0)+c>>0]=d>>>31&255^1}}while(1){do{h=c;c=c+-1|0;if(!h)break a;h=b[(f[l>>2]|0)+c>>0]|0;b[(f[m>>2]|0)+c>>0]=h}while(h<<24>>24!=0);g=+p[k+(c<<3)>>3];if(!(((d|0)>=0?!(g<+p[o+(d<<3)>>3]):0)?!(g>+p[q+(d<<3)>>3]):0))n=25;c:do if((n|0)==25){n=0;if(+p[o>>3]<=g?+p[i>>3]>=g:0){d=j;e=j;while(1){e=e>>((e|0)>1&1);if(+p[q+(d<<3)>>3]<g){if(!(+p[o+(d+1<<3)>>3]<=g)){d=-1;break c}d=e+d|0;continue}if(!(+p[o+(d<<3)>>3]>g))break c;if(!(+p[q+(d+-1<<3)>>3]>=g)){d=-1;break c}d=d-e|0}}else d=-1}while(0);b[(f[a>>2]|0)+c>>0]=d>>>31&255^1}}}else{g=+p[r+(s*344|0)+88>>3];d:do if((e|0)>15&(d|0)!=0)if(+p[o>>3]<=g?+p[q+(e+-1<<3)>>3]>=g:0){d=e>>>1;c=d;while(1){d=d>>((d|0)>1&1);if(+p[q+(c<<3)>>3]<g){if(!(+p[o+(c+1<<3)>>3]<=g)){c=-1;break d}c=d+c|0;continue}if(!(+p[o+(c<<3)>>3]>g))break d;if(!(+p[q+(c+-1<<3)>>3]>=g)){c=-1;break d}c=c-d|0}}else c=-1;else{c=e+-1|0;if(e){d=c;while(1){if(+p[o+(d<<3)>>3]<=g?+p[q+(d<<3)>>3]>=g:0){c=d;break d}c=d+-1|0;if(!d)break;else d=c}}}while(0);b[a+88>>0]=c>>>31&255^1;f[a>>2]=-1e3}while(0);if((f[t>>2]|0)<=0)return;Mv(f[r+(s*344|0)+88>>2]|0);return}function Vt(a){a=a|0;var c=0,d=0,e=0.0,g=0,h=0,i=0.0,j=0.0,k=0.0,l=0.0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,M=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0.0,oa=0.0;ma=u;u=u+3056|0;z=ma+2976|0;la=ma+2920|0;ia=ma+2880|0;fa=ma;ha=ma+2960|0;ka=a+8|0;c=f[ka>>2]|0;a:do if(!c)d=1;else{d=1;while(1){while(1){c=c+-1|0;g=f[55566]|0;h=f[a+12+(c<<2)>>2]|0;ga=g+(h*344|0)|0;f[la+(c<<2)>>2]=ga;ga=(f[ga>>2]|0)!=-1e3;m=ia+(c<<2)|0;f[m>>2]=ga&1;if(ga)break;switch(f[g+(h*344|0)+52>>2]|0){case 260:{p[fa+(c*288|0)+32>>3]=+p[g+(h*344|0)+88>>3];break}case 259:{f[fa+(c*288|0)+32>>2]=f[g+(h*344|0)+88>>2];break}case 258:{b[fa+(c*288|0)+32>>0]=b[g+(h*344|0)+88>>0]|0;break}default:Jx(fa+(c*288|0)+32|0,g+(h*344|0)+88|0)|0}b[ha+c>>0]=0;if(!c)break a}f[m>>2]=f[g+(h*344|0)+56>>2];if(!c){d=0;break}else d=0}}while(0);c=f[a>>2]|0;b:do if((d|0)==0|((c|0)==1001|((f[ka>>2]|0)==0|(c|1|0)==1043))){Tt(a);c=f[55571]|0;ga=a+56|0;da=f[ga>>2]|0;ea=X(da,c)|0;if(!(f[55581]|0))do switch(f[a>>2]|0){case 1035:{if(!c)break b;g=a+88|0;d=a+84|0;do{c=c+-1|0;f[(f[g>>2]|0)+(c<<2)>>2]=(f[55570]|0)+c;b[(f[d>>2]|0)+c>>0]=0}while((c|0)!=0);break}case 1036:{switch(f[a+52>>2]|0){case 259:{if(!c)break b;g=a+88|0;d=a+84|0;do{c=c+-1|0;f[(f[g>>2]|0)+(c<<2)>>2]=0;b[(f[d>>2]|0)+c>>0]=1}while((c|0)!=0);break}case 261:{if(!c)break b;g=a+88|0;d=a+84|0;do{c=c+-1|0;b[f[(f[g>>2]|0)+(c<<2)>>2]>>0]=0;b[(f[d>>2]|0)+c>>0]=1}while((c|0)!=0);break}default:break b}break}case 1001:{if(!ea)break b;g=a+88|0;d=a+84|0;c=ea;do{c=c+-1|0;l=+ku();p[(f[g>>2]|0)+(c<<3)>>3]=l;b[(f[d>>2]|0)+c>>0]=0}while((c|0)!=0);break}case 1042:{if(!ea)break b;g=a+88|0;d=a+84|0;c=ea;do{c=c+-1|0;l=+lu();p[(f[g>>2]|0)+(c<<3)>>3]=l;b[(f[d>>2]|0)+c>>0]=0}while((c|0)!=0);break}case 1043:{d=f[la>>2]|0;h=(f[d>>2]|0)==-1e3;c=ea+-1|0;g=(ea|0)==0;if((f[d+52>>2]|0)==260){if(h){if(g)break b;g=fa+32|0;h=a+84|0;d=a+88|0;while(1){b[(f[h>>2]|0)+c>>0]=+p[g>>3]<0.0&1;if(!(b[(f[h>>2]|0)+c>>0]|0)){ja=mu(+p[g>>3])|0;f[(f[d>>2]|0)+(c<<2)>>2]=ja}if(!c)break b;else c=c+-1|0}}if(g)break b;h=a+84|0;g=a+88|0;while(1){b[(f[h>>2]|0)+c>>0]=b[(f[d+84>>2]|0)+c>>0]|0;if(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]<0.0)b[(f[h>>2]|0)+c>>0]=1;if(!(b[(f[h>>2]|0)+c>>0]|0)){ja=mu(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3])|0;f[(f[g>>2]|0)+(c<<2)>>2]=ja}if(!c)break b;d=f[la>>2]|0;c=c+-1|0}}else{if(h){if(g)break b;g=fa+32|0;h=a+84|0;d=a+88|0;while(1){b[(f[h>>2]|0)+c>>0]=(f[g>>2]|0)>>>31;if(!(b[(f[h>>2]|0)+c>>0]|0)){ja=mu(+(f[g>>2]|0))|0;f[(f[d>>2]|0)+(c<<2)>>2]=ja}if(!c)break b;else c=c+-1|0}}if(g)break b;h=a+84|0;g=a+88|0;while(1){b[(f[h>>2]|0)+c>>0]=b[(f[d+84>>2]|0)+c>>0]|0;if((f[(f[(f[la>>2]|0)+88>>2]|0)+(c<<2)>>2]|0)<0)b[(f[h>>2]|0)+c>>0]=1;if(!(b[(f[h>>2]|0)+c>>0]|0)){ja=mu(+(f[(f[(f[la>>2]|0)+88>>2]|0)+(c<<2)>>2]|0))|0;f[(f[g>>2]|0)+(c<<2)>>2]=ja}if(!c)break b;d=f[la>>2]|0;c=c+-1|0}}}case 1002:{g=f[la>>2]|0;d=X(f[g+56>>2]|0,c)|0;switch(f[g+52>>2]|0){case 258:{if(!c)break b;o=a+88|0;a=a+84|0;do{c=c+-1|0;f[(f[o>>2]|0)+(c<<2)>>2]=0;b[(f[a>>2]|0)+c>>0]=1;g=f[la>>2]|0;n=f[g+56>>2]|0;if(n){h=n;m=d;while(1){h=h+-1|0;m=m+-1|0;if(!(b[(f[g+84>>2]|0)+m>>0]|0)){ja=(f[o>>2]|0)+(c<<2)|0;f[ja>>2]=(f[ja>>2]|0)+((b[(f[g+88>>2]|0)+m>>0]|0)!=0&1);b[(f[a>>2]|0)+c>>0]=0}if(!h)break;g=f[la>>2]|0}d=d-n|0}}while((c|0)!=0);break}case 259:{if(!c)break b;o=a+88|0;a=a+84|0;do{c=c+-1|0;f[(f[o>>2]|0)+(c<<2)>>2]=0;b[(f[a>>2]|0)+c>>0]=1;g=f[la>>2]|0;n=f[g+56>>2]|0;if(n){h=n;m=d;while(1){h=h+-1|0;m=m+-1|0;if(!(b[(f[g+84>>2]|0)+m>>0]|0)){ja=(f[o>>2]|0)+(c<<2)|0;f[ja>>2]=(f[ja>>2]|0)+(f[(f[g+88>>2]|0)+(m<<2)>>2]|0);b[(f[a>>2]|0)+c>>0]=0}if(!h)break;g=f[la>>2]|0}d=d-n|0}}while((c|0)!=0);break}case 260:{if(!c)break b;o=a+88|0;a=a+84|0;do{c=c+-1|0;p[(f[o>>2]|0)+(c<<3)>>3]=0.0;b[(f[a>>2]|0)+c>>0]=1;g=f[la>>2]|0;n=f[g+56>>2]|0;if(n){h=n;m=d;while(1){h=h+-1|0;m=m+-1|0;if(!(b[(f[g+84>>2]|0)+m>>0]|0)){ja=(f[o>>2]|0)+(c<<3)|0;p[ja>>3]=+p[(f[g+88>>2]|0)+(m<<3)>>3]+ +p[ja>>3];b[(f[a>>2]|0)+c>>0]=0}if(!h)break;g=f[la>>2]|0}d=d-n|0}}while((c|0)!=0);break}default:{if(!c)break b;m=a+88|0;h=a+84|0;while(1){c=c+-1|0;d=f[(f[g+88>>2]|0)+(c<<2)>>2]|0;f[(f[m>>2]|0)+(c<<2)>>2]=0;b[(f[h>>2]|0)+c>>0]=0;c:while(1){switch(b[d>>0]|0){case 0:break c;case 49:{ja=(f[m>>2]|0)+(c<<2)|0;f[ja>>2]=(f[ja>>2]|0)+1;break}default:{}}d=d+1|0}if(!c)break b;g=f[la>>2]|0}}}break}case 1038:{h=f[la>>2]|0;d=f[h+56>>2]|0;g=X(d,c)|0;switch(f[h+52>>2]|0){case 259:{if(!c)break b;q=a+88|0;o=a+84|0;while(1){c=c+-1|0;m=(f[q>>2]|0)+(c<<3)|0;p[m>>3]=0.0;a=h+84|0;h=h+88|0;e=0.0;n=0;d:while(1){do{ja=d;d=d+-1|0;if(!ja)break d;g=g+-1|0}while((b[(f[a>>2]|0)+g>>0]|0)!=0);l=e+ +(f[(f[h>>2]|0)+(g<<2)>>2]|0);p[m>>3]=l;e=l;n=n+1|0}d=(f[o>>2]|0)+c|0;if(!n)b[d>>0]=1;else{b[d>>0]=0;ja=(f[q>>2]|0)+(c<<3)|0;p[ja>>3]=+p[ja>>3]/+(n|0)}if(!c)break b;h=f[la>>2]|0;d=f[h+56>>2]|0}}case 260:{if(!c)break b;q=a+88|0;o=a+84|0;while(1){c=c+-1|0;m=(f[q>>2]|0)+(c<<3)|0;p[m>>3]=0.0;a=h+84|0;h=h+88|0;e=0.0;n=0;e:while(1){do{ja=d;d=d+-1|0;if(!ja)break e;g=g+-1|0}while((b[(f[a>>2]|0)+g>>0]|0)!=0);l=+p[(f[h>>2]|0)+(g<<3)>>3]+e;p[m>>3]=l;e=l;n=n+1|0}d=(f[o>>2]|0)+c|0;if(!n)b[d>>0]=1;else{b[d>>0]=0;ja=(f[q>>2]|0)+(c<<3)|0;p[ja>>3]=+p[ja>>3]/+(n|0)}if(!c)break b;h=f[la>>2]|0;d=f[h+56>>2]|0}}default:break b}}case 1039:{g=f[la>>2]|0;h=f[g+56>>2]|0;d=X(h,c)|0;switch(f[g+52>>2]|0){case 259:{if(!c)break b;r=a+84|0;q=a+88|0;while(1){o=g+84|0;a=g+88|0;n=0;m=h;e=0.0;f:while(1){while(1){ja=m;m=m+-1|0;if(!ja)break f;g=d+-1|0;if(!(b[(f[o>>2]|0)+g>>0]|0))break;else d=g}n=n+1|0;d=g;e=e+ +(f[(f[a>>2]|0)+(g<<2)>>2]|0)}c=c+-1|0;if((n|0)>1){j=+(n|0);i=e/j;d=h+d|0;e=0.0;g:while(1){do{ja=h;h=h+-1|0;if(!ja)break g;d=d+-1|0}while((b[(f[o>>2]|0)+d>>0]|0)!=0);l=+(f[(f[a>>2]|0)+(d<<2)>>2]|0)-i;e=e+l*l}b[(f[r>>2]|0)+c>>0]=0;e=+L(+(e/(j+-1.0)))}else{b[(f[r>>2]|0)+c>>0]=0;e=0.0}p[(f[q>>2]|0)+(c<<3)>>3]=e;if(!c)break b;h=f[la>>2]|0;g=h;h=f[h+56>>2]|0}}case 260:{if(!c)break b;r=a+84|0;q=a+88|0;while(1){o=g+84|0;a=g+88|0;n=0;m=h;e=0.0;h:while(1){while(1){ja=m;m=m+-1|0;if(!ja)break h;g=d+-1|0;if(!(b[(f[o>>2]|0)+g>>0]|0))break;else d=g}n=n+1|0;d=g;e=e+ +p[(f[a>>2]|0)+(g<<3)>>3]}c=c+-1|0;if((n|0)>1){j=+(n|0);i=e/j;d=h+d|0;e=0.0;i:while(1){do{ja=h;h=h+-1|0;if(!ja)break i;d=d+-1|0}while((b[(f[o>>2]|0)+d>>0]|0)!=0);l=+p[(f[a>>2]|0)+(d<<3)>>3]-i;e=e+l*l}b[(f[r>>2]|0)+c>>0]=0;e=+L(+(e/(j+-1.0)))}else{b[(f[r>>2]|0)+c>>0]=0;e=0.0}p[(f[q>>2]|0)+(c<<3)>>3]=e;if(!c)break b;h=f[la>>2]|0;g=h;h=f[h+56>>2]|0}}default:break b}}case 1037:{ja=f[la>>2]|0;v=f[ja+56>>2]|0;n=f[ja+84>>2]|0;d=ja+88|0;if((f[ja+52>>2]|0)==259){d=f[d>>2]|0;t=Lv(v<<2)|0;if(!t){f[55581]=431;Vy(z,106963,80)|0;b[z+79>>0]=0;vj(z);Mv(f[a+88>>2]|0);break b}j:do if((c|0)>0){r=t;s=a+84|0;q=a+88|0;if(!v){d=0;while(1){b[(f[s>>2]|0)+d>>0]=1;f[(f[q>>2]|0)+(d<<2)>>2]=0;d=d+1|0;if((d|0)==(c|0))break j}}else{a=d;o=0}while(1){g=v;h=a;a=a+(v<<2)|0;d=t;m=n;while(1){g=g+-1|0;if(!(b[m>>0]|0)){f[d>>2]=f[h>>2];d=d+4|0}if(!g)break;else{h=h+4|0;m=m+1|0}}g=d-r|0;d=(f[s>>2]|0)+o|0;if((g|0)>0){b[d>>0]=0;d=Wt(t,g>>>2)|0}else{b[d>>0]=1;d=0}f[(f[q>>2]|0)+(o<<2)>>2]=d;o=o+1|0;if((o|0)==(c|0))break;else n=n+v|0}}while(0);Mv(t);break b}else{d=f[d>>2]|0;t=Lv(v<<3)|0;if(!t){f[55581]=431;Vy(z,106963,80)|0;b[z+79>>0]=0;vj(z);Mv(f[a+88>>2]|0);break b}k:do if((c|0)>0){r=t;s=a+84|0;q=a+88|0;if(!v){d=0;while(1){b[(f[s>>2]|0)+d>>0]=1;p[(f[q>>2]|0)+(d<<3)>>3]=0.0;d=d+1|0;if((d|0)==(c|0))break k}}else{o=0;a=n}while(1){h=v;m=d;d=d+(v<<3)|0;g=t;n=a;while(1){h=h+-1|0;if(!(b[n>>0]|0)){p[g>>3]=+p[m>>3];g=g+8|0}if(!h)break;else{m=m+8|0;n=n+1|0}}h=g-r|0;g=(f[s>>2]|0)+o|0;if((h|0)>0){b[g>>0]=0;e=+Xt(t,h>>>3)}else{b[g>>0]=1;e=0.0}p[(f[q>>2]|0)+(o<<3)>>3]=e;o=o+1|0;if((o|0)==(c|0))break;else a=a+v|0}}while(0);Mv(t);break b}}case 1017:{h=f[la>>2]|0;c=ea+-1|0;d=(ea|0)==0;if((f[h+52>>2]|0)==260){if(d)break b;g=a+88|0;d=a+84|0;l=+p[(f[h+88>>2]|0)+(c<<3)>>3];p[(f[g>>2]|0)+(c<<3)>>3]=l>0.0?l:-l;b[(f[d>>2]|0)+c>>0]=b[(f[h+84>>2]|0)+c>>0]|0;if(!c)break b;do{c=c+-1|0;ja=f[la>>2]|0;l=+p[(f[ja+88>>2]|0)+(c<<3)>>3];p[(f[g>>2]|0)+(c<<3)>>3]=l>0.0?l:-l;b[(f[d>>2]|0)+c>>0]=b[(f[ja+84>>2]|0)+c>>0]|0}while((c|0)!=0)}else{if(d)break b;g=a+88|0;d=a+84|0;ja=f[(f[h+88>>2]|0)+(c<<2)>>2]|0;f[(f[g>>2]|0)+(c<<2)>>2]=(ja|0)>0?ja:0-ja|0;b[(f[d>>2]|0)+c>>0]=b[(f[h+84>>2]|0)+c>>0]|0;if(!c)break b;do{c=c+-1|0;ja=f[la>>2]|0;ia=f[(f[ja+88>>2]|0)+(c<<2)>>2]|0;f[(f[g>>2]|0)+(c<<2)>>2]=(ia|0)>0?ia:0-ia|0;b[(f[d>>2]|0)+c>>0]=b[(f[ja+84>>2]|0)+c>>0]|0}while((c|0)!=0)}break}case 1040:{o=f[la>>2]|0;o=(f[o+52>>2]|0)==261?1:f[o+56>>2]|0;if(!c)break b;q=a+84|0;n=a+88|0;a=c;c=X(o,c)|0;do{a=a+-1|0;b[(f[q>>2]|0)+a>>0]=0;m=(f[n>>2]|0)+(a<<2)|0;h=0;d=o;l:while(1){f[m>>2]=h;g=(f[la>>2]|0)+84|0;do{ja=d;d=d+-1|0;if(!ja)break l;c=c+-1|0}while((b[(f[g>>2]|0)+c>>0]|0)!=0);h=h+1|0}}while((a|0)!=0);break}case 1030:{h=f[la>>2]|0;c=(f[h+52>>2]|0)==261?c:ea;if(!c)break b;g=a+88|0;d=a+84|0;c=c+-1|0;b[(f[g>>2]|0)+c>>0]=b[(f[h+84>>2]|0)+c>>0]|0;b[(f[d>>2]|0)+c>>0]=0;if(!c)break b;do{c=c+-1|0;b[(f[g>>2]|0)+c>>0]=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[d>>2]|0)+c>>0]=0}while((c|0)!=0);break}case 1031:{switch(f[a+52>>2]|0){case 258:{if(!c)break b;t=a+84|0;v=ha+1|0;a=a+88|0;o=ia+4|0;q=la+4|0;r=fa+320|0;s=fa+32|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{m=m+-1|0;g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=364}}else{g=m;ja=364}if((ja|0)==364){ja=0;ea=f[q>>2]|0;b[v>>0]=b[(f[ea+84>>2]|0)+g>>0]|0;b[r>>0]=b[(f[ea+88>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=744}else{g=m;ja=744}if((ja|0)==744){ja=0;da=f[la>>2]|0;ea=b[(f[da+84>>2]|0)+g>>0]|0;b[ha>>0]=ea;b[s>>0]=b[(f[da+88>>2]|0)+g>>0]|0;g=ea}h=h+-1|0;ea=g<<24>>24==0;b[(f[t>>2]|0)+m>>0]=ea?0:b[v>>0]|0;b[(f[a>>2]|0)+m>>0]=b[fa+(((ea^1)&1)*288|0)+32>>0]|0}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 259:{if(!c)break b;t=a+84|0;v=ha+1|0;a=a+88|0;o=ia+4|0;q=la+4|0;r=fa+320|0;s=fa+32|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{m=m+-1|0;g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=372}}else{g=m;ja=372}if((ja|0)==372){ja=0;ea=f[q>>2]|0;b[v>>0]=b[(f[ea+84>>2]|0)+g>>0]|0;f[r>>2]=f[(f[ea+88>>2]|0)+(g<<2)>>2]}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=748}else{g=m;ja=748}if((ja|0)==748){ja=0;da=f[la>>2]|0;ea=b[(f[da+84>>2]|0)+g>>0]|0;b[ha>>0]=ea;f[s>>2]=f[(f[da+88>>2]|0)+(g<<2)>>2];g=ea}h=h+-1|0;ea=g<<24>>24==0;b[(f[t>>2]|0)+m>>0]=ea?0:b[v>>0]|0;f[(f[a>>2]|0)+(m<<2)>>2]=f[fa+(((ea^1)&1)*288|0)+32>>2]}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 260:{if(!c)break b;t=a+84|0;v=ha+1|0;a=a+88|0;o=ia+4|0;q=la+4|0;r=fa+320|0;s=fa+32|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{m=m+-1|0;g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=380}}else{g=m;ja=380}if((ja|0)==380){ja=0;ea=f[q>>2]|0;b[v>>0]=b[(f[ea+84>>2]|0)+g>>0]|0;p[r>>3]=+p[(f[ea+88>>2]|0)+(g<<3)>>3]}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=752}else{g=m;ja=752}if((ja|0)==752){ja=0;da=f[la>>2]|0;ea=b[(f[da+84>>2]|0)+g>>0]|0;b[ha>>0]=ea;p[s>>3]=+p[(f[da+88>>2]|0)+(g<<3)>>3];g=ea}h=h+-1|0;ea=g<<24>>24==0;b[(f[t>>2]|0)+m>>0]=ea?0:b[v>>0]|0;p[(f[a>>2]|0)+(m<<3)>>3]=+p[fa+(((ea^1)&1)*288|0)+32>>3]}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 261:{if(!c)break b;q=a+84|0;a=a+88|0;o=fa+32|0;n=ha+1|0;m=fa+320|0;g=ia+4|0;h=la+4|0;do{c=c+-1|0;if(f[g>>2]|0){ja=f[h>>2]|0;b[n>>0]=b[(f[ja+84>>2]|0)+c>>0]|0;Jx(m,f[(f[ja+88>>2]|0)+(c<<2)>>2]|0)|0}if(f[ia>>2]|0){ja=f[la>>2]|0;b[ha>>0]=b[(f[ja+84>>2]|0)+c>>0]|0;Jx(o,f[(f[ja+88>>2]|0)+(c<<2)>>2]|0)|0}d=f[q>>2]|0;if(!(b[ha>>0]|0)){b[d+ea>>0]=0;Jx(f[(f[a>>2]|0)+(c<<2)>>2]|0,o)|0}else{b[d+c>>0]=b[n>>0]|0;Jx(f[(f[a>>2]|0)+(c<<2)>>2]|0,m)|0}}while((c|0)!=0);break}default:break b}break}case 1004:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+O(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1005:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+N(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1006:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+P(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1007:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;do if(!(ja<<24>>24)){e=+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3];if(e<-1.0|e>1.0){p[(f[d>>2]|0)+(c<<3)>>3]=0.0;b[(f[g>>2]|0)+c>>0]=1;break}else{l=+R(+e);p[(f[d>>2]|0)+(c<<3)>>3]=l;break}}while(0)}while((c|0)!=0);break}case 1008:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;do if(!(ja<<24>>24)){e=+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3];if(e<-1.0|e>1.0){p[(f[d>>2]|0)+(c<<3)>>3]=0.0;b[(f[g>>2]|0)+c>>0]=1;break}else{l=+Q(+e);p[(f[d>>2]|0)+(c<<3)>>3]=l;break}}while(0)}while((c|0)!=0);break}case 1009:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+S(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1010:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+pw(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]);p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1011:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+ow(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]);p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1012:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+Mx(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]);p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1013:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+U(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1014:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;do if(!(ja<<24>>24)){e=+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3];if(!(e<=0.0)){l=+V(+e);p[(f[d>>2]|0)+(c<<3)>>3]=l;break}else{p[(f[d>>2]|0)+(c<<3)>>3]=0.0;b[(f[g>>2]|0)+c>>0]=1;break}}while(0)}while((c|0)!=0);break}case 1015:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;do if(!(ja<<24>>24)){e=+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3];if(!(e<=0.0)){l=+Lx(e);p[(f[d>>2]|0)+(c<<3)>>3]=l;break}else{p[(f[d>>2]|0)+(c<<3)>>3]=0.0;b[(f[g>>2]|0)+c>>0]=1;break}}while(0)}while((c|0)!=0);break}case 1016:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;do if(!(ja<<24>>24)){e=+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3];if(e<0.0){p[(f[d>>2]|0)+(c<<3)>>3]=0.0;b[(f[g>>2]|0)+c>>0]=1;break}else{l=+L(+e);p[(f[d>>2]|0)+(c<<3)>>3]=l;break}}while(0)}while((c|0)!=0);break}case 1019:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+W(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1020:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+J(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1021:{if(!ea)break b;g=a+84|0;d=a+88|0;c=ea;do{c=c+-1|0;ja=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0;b[(f[g>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){l=+J(+(+p[(f[(f[la>>2]|0)+88>>2]|0)+(c<<3)>>3]+.5));p[(f[d>>2]|0)+(c<<3)>>3]=l}}while((c|0)!=0);break}case 1018:{if(!c)break b;s=ha+1|0;v=a+84|0;t=fa+32|0;r=fa+320|0;q=a+88|0;a=ia+4|0;o=la+4|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{m=m+-1|0;g=f[a>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=452}}else{g=m;ja=452}if((ja|0)==452){ja=0;fa=f[o>>2]|0;p[r>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[s>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=758}else{g=m;ja=758}if((ja|0)==758){ja=0;fa=f[la>>2]|0;p[t>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];g=b[(f[fa+84>>2]|0)+g>>0]|0;b[ha>>0]=g}h=h+-1|0;fa=(b[s>>0]|g)<<24>>24!=0;b[(f[v>>2]|0)+m>>0]=fa&1;if(!fa){l=+T(+(+p[t>>3]),+(+p[r>>3]));p[(f[q>>2]|0)+(m<<3)>>3]=l}}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 1041:{if(!c)break b;x=ha+1|0;y=ha+2|0;z=ha+3|0;D=a+84|0;A=fa+32|0;B=fa+320|0;C=fa+608|0;w=fa+896|0;v=a+88|0;a=ia+12|0;r=la+12|0;o=ia+8|0;s=la+8|0;q=ia+4|0;t=la+4|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{m=m+-1|0;g=f[a>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=462}}else{g=m;ja=462}if((ja|0)==462){ja=0;fa=f[r>>2]|0;p[w>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[z>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=761}}else{g=m;ja=761}if((ja|0)==761){ja=0;fa=f[s>>2]|0;p[C>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[y>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[q>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=764}}else{g=m;ja=764}if((ja|0)==764){ja=0;fa=f[t>>2]|0;p[B>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[x>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=768}else{g=m;ja=768}if((ja|0)==768){ja=0;fa=f[la>>2]|0;p[A>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];g=b[(f[fa+84>>2]|0)+g>>0]|0;b[ha>>0]=g}h=h+-1|0;if(!((g|b[x>>0]|b[y>>0])<<24>>24)){fa=(b[z>>0]|0)!=0;b[(f[D>>2]|0)+m>>0]=fa&1;if(!fa){i=+p[A>>3];j=+p[B>>3];k=+p[C>>3];l=+p[w>>3];e=+p[26580];if(e==0.0){p[26580]=.017453292519943295;e=.017453292519943295}k=+O(+((k-i)*e*.5));i=+O(+((l-j)*e*.5));l=i*i+k*(k*(+N(+(j*e))*+N(+(l*e))));l=l<0.0?0.0:l;l=l>1.0?1.0:l;l=+T(+(+L(+l)),+(+L(+(1.0-l))))*2.0/e;p[(f[v>>2]|0)+(m<<3)>>3]=l}}else b[(f[D>>2]|0)+m>>0]=1}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 1022:{d=f[la>>2]|0;g=X(f[d+56>>2]|0,c)|0;switch(f[a+52>>2]|0){case 259:{if(!c)break b;q=a+84|0;o=a+88|0;d=g;g=0;do{c=c+-1|0;b[(f[q>>2]|0)+c>>0]=1;h=f[la>>2]|0;a=h;h=f[h+56>>2]|0;n=1;m:while(1){m=a+84|0;do{ja=h;h=h+-1|0;if(!ja)break m;d=d+-1|0}while((b[(f[m>>2]|0)+d>>0]|0)!=0);ja=f[(f[a+88>>2]|0)+(d<<2)>>2]|0;b[(f[q>>2]|0)+c>>0]=0;a=f[la>>2]|0;g=(n|0)==0&(g|0)<(ja|0)?g:ja;n=0}f[(f[o>>2]|0)+(c<<2)>>2]=g}while((c|0)!=0);break}case 260:{if(!c)break b;o=a+84|0;a=a+88|0;d=g;e=0.0;do{c=c+-1|0;b[(f[o>>2]|0)+c>>0]=1;g=f[la>>2]|0;n=g;g=f[g+56>>2]|0;m=1;n:while(1){h=n+84|0;do{ja=g;g=g+-1|0;if(!ja)break n;d=d+-1|0}while((b[(f[h>>2]|0)+d>>0]|0)!=0);l=+p[(f[n+88>>2]|0)+(d<<3)>>3];b[(f[o>>2]|0)+c>>0]=0;n=f[la>>2]|0;e=(m|0)==0&e<l?e:l;m=0}p[(f[a>>2]|0)+(c<<3)>>3]=e}while((c|0)!=0);break}case 262:{if(!c)break b;h=a+88|0;g=d;while(1){c=c+-1|0;d=49;g=f[(f[g+88>>2]|0)+(c<<2)>>2]|0;o:while(1){switch(b[g>>0]|0){case 0:break o;case 48:{d=48;break}default:{}}g=g+1|0}b[f[(f[h>>2]|0)+(c<<2)>>2]>>0]=d;b[(f[(f[h>>2]|0)+(c<<2)>>2]|0)+1>>0]=0;if(!c)break b;g=f[la>>2]|0}}default:break b}break}case 1023:switch(f[a+52>>2]|0){case 259:{if(!c)break b;t=a+84|0;v=ha+1|0;w=fa+32|0;x=fa+320|0;q=a+88|0;r=ia+4|0;s=la+4|0;o=da;d=ea;while(1){c=c+-1|0;if(o){n=o;a=d;do{a=a+-1|0;g=f[r>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=506}}else{g=a;ja=506}if((ja|0)==506){ja=0;ea=f[s>>2]|0;f[x>>2]=f[(f[ea+88>>2]|0)+(g<<2)>>2];b[v>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=772}else{g=a;ja=772}if((ja|0)==772){ja=0;ea=f[la>>2]|0;f[w>>2]=f[(f[ea+88>>2]|0)+(g<<2)>>2];g=b[(f[ea+84>>2]|0)+g>>0]|0;b[ha>>0]=g}n=n+-1|0;m=(b[v>>0]|0)==0;h=(f[t>>2]|0)+a|0;do if(!(g<<24>>24)){b[h>>0]=0;g=f[w>>2]|0;if(m)g=f[fa+(((g|0)>=(f[x>>2]|0)&1)*288|0)+32>>2]|0}else if(m){b[h>>0]=0;g=f[x>>2]|0;break}else{b[h>>0]=1;g=0;break}while(0);f[(f[q>>2]|0)+(a<<2)>>2]=g}while((n|0)!=0);d=d-o|0}if(!c)break b;o=f[ga>>2]|0}}case 260:{if(!c)break b;t=a+84|0;v=ha+1|0;w=fa+32|0;x=fa+320|0;q=a+88|0;r=ia+4|0;s=la+4|0;o=da;d=ea;while(1){c=c+-1|0;if(o){n=o;a=d;do{a=a+-1|0;g=f[r>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=520}}else{g=a;ja=520}if((ja|0)==520){ja=0;ea=f[s>>2]|0;p[x>>3]=+p[(f[ea+88>>2]|0)+(g<<3)>>3];b[v>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=776}else{g=a;ja=776}if((ja|0)==776){ja=0;ea=f[la>>2]|0;p[w>>3]=+p[(f[ea+88>>2]|0)+(g<<3)>>3];g=b[(f[ea+84>>2]|0)+g>>0]|0;b[ha>>0]=g}n=n+-1|0;m=(b[v>>0]|0)==0;h=(f[t>>2]|0)+a|0;do if(!(g<<24>>24)){b[h>>0]=0;e=+p[w>>3];if(m)e=+p[fa+((!(e<+p[x>>3])&1)*288|0)+32>>3]}else if(m){b[h>>0]=0;e=+p[x>>3];break}else{b[h>>0]=1;e=0.0;break}while(0);p[(f[q>>2]|0)+(a<<3)>>3]=e}while((n|0)!=0);d=d-o|0}if(!c)break b;o=f[ga>>2]|0}}default:break b}case 1024:{d=f[la>>2]|0;g=X(f[d+56>>2]|0,c)|0;switch(f[a+52>>2]|0){case 259:{if(!c)break b;q=a+84|0;o=a+88|0;d=g;g=0;do{c=c+-1|0;b[(f[q>>2]|0)+c>>0]=1;h=f[la>>2]|0;a=h;h=f[h+56>>2]|0;n=1;p:while(1){m=a+84|0;do{ja=h;h=h+-1|0;if(!ja)break p;d=d+-1|0}while((b[(f[m>>2]|0)+d>>0]|0)!=0);ja=f[(f[a+88>>2]|0)+(d<<2)>>2]|0;b[(f[q>>2]|0)+c>>0]=0;a=f[la>>2]|0;g=(n|0)==0&(g|0)>(ja|0)?g:ja;n=0}f[(f[o>>2]|0)+(c<<2)>>2]=g}while((c|0)!=0);break}case 260:{if(!c)break b;o=a+84|0;a=a+88|0;d=g;e=0.0;do{c=c+-1|0;b[(f[o>>2]|0)+c>>0]=1;g=f[la>>2]|0;n=g;g=f[g+56>>2]|0;m=1;q:while(1){h=n+84|0;do{ja=g;g=g+-1|0;if(!ja)break q;d=d+-1|0}while((b[(f[h>>2]|0)+d>>0]|0)!=0);l=+p[(f[n+88>>2]|0)+(d<<3)>>3];b[(f[o>>2]|0)+c>>0]=0;n=f[la>>2]|0;e=(m|0)==0&e>l?e:l;m=0}p[(f[a>>2]|0)+(c<<3)>>3]=e}while((c|0)!=0);break}case 262:{if(!c)break b;h=a+88|0;g=d;while(1){c=c+-1|0;d=48;g=f[(f[g+88>>2]|0)+(c<<2)>>2]|0;r:while(1){switch(b[g>>0]|0){case 0:break r;case 49:{d=49;break}default:{}}g=g+1|0}b[f[(f[h>>2]|0)+(c<<2)>>2]>>0]=d;b[(f[(f[h>>2]|0)+(c<<2)>>2]|0)+1>>0]=0;if(!c)break b;g=f[la>>2]|0}}default:break b}break}case 1025:switch(f[a+52>>2]|0){case 259:{if(!c)break b;t=a+84|0;v=ha+1|0;w=fa+32|0;x=fa+320|0;q=a+88|0;r=ia+4|0;s=la+4|0;o=da;d=ea;while(1){c=c+-1|0;if(o){n=o;a=d;do{a=a+-1|0;g=f[r>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=564}}else{g=a;ja=564}if((ja|0)==564){ja=0;ea=f[s>>2]|0;f[x>>2]=f[(f[ea+88>>2]|0)+(g<<2)>>2];b[v>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=780}else{g=a;ja=780}if((ja|0)==780){ja=0;ea=f[la>>2]|0;f[w>>2]=f[(f[ea+88>>2]|0)+(g<<2)>>2];g=b[(f[ea+84>>2]|0)+g>>0]|0;b[ha>>0]=g}n=n+-1|0;m=(b[v>>0]|0)==0;h=(f[t>>2]|0)+a|0;do if(!(g<<24>>24)){b[h>>0]=0;g=f[w>>2]|0;if(m)g=f[fa+(((g|0)<=(f[x>>2]|0)&1)*288|0)+32>>2]|0}else if(m){b[h>>0]=0;g=f[x>>2]|0;break}else{b[h>>0]=1;g=0;break}while(0);f[(f[q>>2]|0)+(a<<2)>>2]=g}while((n|0)!=0);d=d-o|0}if(!c)break b;o=f[ga>>2]|0}}case 260:{if(!c)break b;t=a+84|0;v=ha+1|0;w=fa+32|0;x=fa+320|0;q=a+88|0;r=ia+4|0;s=la+4|0;o=da;d=ea;while(1){c=c+-1|0;if(o){n=o;a=d;do{a=a+-1|0;g=f[r>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=578}}else{g=a;ja=578}if((ja|0)==578){ja=0;ea=f[s>>2]|0;p[x>>3]=+p[(f[ea+88>>2]|0)+(g<<3)>>3];b[v>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=784}else{g=a;ja=784}if((ja|0)==784){ja=0;ea=f[la>>2]|0;p[w>>3]=+p[(f[ea+88>>2]|0)+(g<<3)>>3];g=b[(f[ea+84>>2]|0)+g>>0]|0;b[ha>>0]=g}n=n+-1|0;m=(b[v>>0]|0)==0;h=(f[t>>2]|0)+a|0;do if(!(g<<24>>24)){b[h>>0]=0;e=+p[w>>3];if(m)e=+p[fa+((!(e>+p[x>>3])&1)*288|0)+32>>3]}else if(m){b[h>>0]=0;e=+p[x>>3];break}else{b[h>>0]=1;e=0.0;break}while(0);p[(f[q>>2]|0)+(a<<3)>>3]=e}while((n|0)!=0);d=d-o|0}if(!c)break b;o=f[ga>>2]|0}}default:break b}case 1026:{if(!c)break b;w=ha+1|0;x=ha+2|0;A=a+84|0;y=fa+32|0;z=fa+320|0;v=fa+608|0;t=a+88|0;o=ia+8|0;r=la+8|0;q=ia+4|0;s=la+4|0;a=da;d=ea;while(1){c=c+-1|0;if(a){m=a;n=d;do{n=n+-1|0;g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=592}}else{g=n;ja=592}if((ja|0)==592){ja=0;fa=f[r>>2]|0;p[v>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[x>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[q>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=787}}else{g=n;ja=787}if((ja|0)==787){ja=0;fa=f[s>>2]|0;p[z>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[w>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=791}else{g=n;ja=791}if((ja|0)==791){ja=0;fa=f[la>>2]|0;p[y>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];g=b[(f[fa+84>>2]|0)+g>>0]|0;b[ha>>0]=g}m=m+-1|0;if(!((g|b[w>>0])<<24>>24)){fa=(b[x>>0]|0)!=0;b[(f[A>>2]|0)+n>>0]=fa&1;if(!fa){g=+K(+(+p[y>>3]-+p[z>>3]))<+p[v>>3]&1;h=t;ja=596}}else{g=1;h=A;ja=596}if((ja|0)==596){ja=0;b[(f[h>>2]|0)+n>>0]=g}}while((m|0)!=0);d=d-a|0}if(!c)break b;a=f[ga>>2]|0}}case 1027:{if(!c)break b;A=ha+1|0;B=ha+2|0;C=ha+3|0;D=ha+4|0;I=a+84|0;E=fa+32|0;F=fa+320|0;G=fa+608|0;H=fa+896|0;z=fa+1184|0;y=a+88|0;o=ia+16|0;t=la+16|0;q=ia+12|0;v=la+12|0;r=ia+8|0;w=la+8|0;s=ia+4|0;x=la+4|0;a=da;d=ea;while(1){c=c+-1|0;if(a){m=a;n=d;do{n=n+-1|0;g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=604}}else{g=n;ja=604}if((ja|0)==604){ja=0;fa=f[t>>2]|0;p[z>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[D>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[q>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=794}}else{g=n;ja=794}if((ja|0)==794){ja=0;fa=f[v>>2]|0;p[H>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[C>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[r>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=797}}else{g=n;ja=797}if((ja|0)==797){ja=0;fa=f[w>>2]|0;p[G>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[B>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[s>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=800}}else{g=n;ja=800}if((ja|0)==800){ja=0;fa=f[x>>2]|0;p[F>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[A>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=804}else{g=n;ja=804}if((ja|0)==804){ja=0;fa=f[la>>2]|0;p[E>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];g=b[(f[fa+84>>2]|0)+g>>0]|0;b[ha>>0]=g}m=m+-1|0;if(!((g|b[A>>0]|b[B>>0]|b[C>>0])<<24>>24)){fa=(b[D>>0]|0)!=0;b[(f[I>>2]|0)+n>>0]=fa&1;if(!fa){l=+p[G>>3];j=+p[H>>3]-+p[E>>3];k=+p[z>>3]-+p[F>>3];g=j*j+k*k<=l*l&1;h=y;ja=608}}else{g=1;h=I;ja=608}if((ja|0)==608){ja=0;b[(f[h>>2]|0)+n>>0]=g}}while((m|0)!=0);d=d-a|0}if(!c)break b;a=f[ga>>2]|0}}case 1028:{if(!c)break b;E=ha+1|0;F=ha+2|0;G=ha+3|0;H=ha+4|0;I=ha+5|0;M=ha+6|0;ca=a+84|0;Y=fa+32|0;Z=fa+320|0;_=fa+608|0;$=fa+896|0;aa=fa+1184|0;ba=fa+1472|0;D=fa+1760|0;C=a+88|0;o=ia+24|0;w=la+24|0;q=ia+20|0;x=la+20|0;r=ia+16|0;y=la+16|0;s=ia+12|0;z=la+12|0;t=ia+8|0;A=la+8|0;v=ia+4|0;B=la+4|0;a=da;d=ea;while(1){c=c+-1|0;if(a){m=a;n=d;do{n=n+-1|0;g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=616}}else{g=n;ja=616}if((ja|0)==616){ja=0;fa=f[w>>2]|0;p[D>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[M>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[q>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=807}}else{g=n;ja=807}if((ja|0)==807){ja=0;fa=f[x>>2]|0;p[ba>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[I>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[r>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=810}}else{g=n;ja=810}if((ja|0)==810){ja=0;fa=f[y>>2]|0;p[aa>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[H>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[s>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=813}}else{g=n;ja=813}if((ja|0)==813){ja=0;fa=f[z>>2]|0;p[$>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[G>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[t>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=816}}else{g=n;ja=816}if((ja|0)==816){ja=0;fa=f[A>>2]|0;p[_>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[F>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[v>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=819}}else{g=n;ja=819}if((ja|0)==819){ja=0;fa=f[B>>2]|0;p[Z>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[E>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=823}else{g=n;ja=823}if((ja|0)==823){ja=0;fa=f[la>>2]|0;p[Y>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];g=b[(f[fa+84>>2]|0)+g>>0]|0;b[ha>>0]=g}m=m+-1|0;if(!((g|b[E>>0]|b[F>>0]|b[G>>0]|b[H>>0]|b[I>>0])<<24>>24)){fa=(b[M>>0]|0)!=0;b[(f[ca>>2]|0)+n>>0]=fa&1;if(!fa){l=+p[_>>3];j=+p[$>>3];i=+p[aa>>3]/180.0*3.141592653589793;e=+p[ba>>3]-+p[Y>>3];oa=+p[D>>3]-+p[Z>>3];na=+N(+i);i=+O(+i);k=e*na+oa*i;i=oa*na-e*i;g=C;h=((!(i<=j*.5)|(!(i>=j*-.5)|(!(k>=l*-.5)|!(k<=l*.5))))^1)&1;ja=620}}else{g=ca;h=1;ja=620}if((ja|0)==620){ja=0;b[(f[g>>2]|0)+n>>0]=h}}while((m|0)!=0);d=d-a|0}if(!c)break b;a=f[ga>>2]|0}}case 1029:{if(!c)break b;E=ha+1|0;F=ha+2|0;G=ha+3|0;H=ha+4|0;I=ha+5|0;M=ha+6|0;ca=a+84|0;Y=fa+32|0;Z=fa+320|0;_=fa+608|0;$=fa+896|0;aa=fa+1184|0;ba=fa+1472|0;D=fa+1760|0;C=a+88|0;o=ia+24|0;w=la+24|0;q=ia+20|0;x=la+20|0;r=ia+16|0;y=la+16|0;s=ia+12|0;z=la+12|0;t=ia+8|0;A=la+8|0;v=ia+4|0;B=la+4|0;a=da;d=ea;while(1){c=c+-1|0;if(a){m=a;n=d;do{n=n+-1|0;g=f[o>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=628}}else{g=n;ja=628}if((ja|0)==628){ja=0;fa=f[w>>2]|0;p[D>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[M>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[q>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=826}}else{g=n;ja=826}if((ja|0)==826){ja=0;fa=f[x>>2]|0;p[ba>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[I>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[r>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=829}}else{g=n;ja=829}if((ja|0)==829){ja=0;fa=f[y>>2]|0;p[aa>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[H>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[s>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=832}}else{g=n;ja=832}if((ja|0)==832){ja=0;fa=f[z>>2]|0;p[$>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[G>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[t>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=835}}else{g=n;ja=835}if((ja|0)==835){ja=0;fa=f[A>>2]|0;p[_>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[F>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[v>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=838}}else{g=n;ja=838}if((ja|0)==838){ja=0;fa=f[B>>2]|0;p[Z>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];b[E>>0]=b[(f[fa+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1)if(!g)g=b[ha>>0]|0;else{g=c;ja=842}else{g=n;ja=842}if((ja|0)==842){ja=0;fa=f[la>>2]|0;p[Y>>3]=+p[(f[fa+88>>2]|0)+(g<<3)>>3];g=b[(f[fa+84>>2]|0)+g>>0]|0;b[ha>>0]=g}m=m+-1|0;if(!((g|b[E>>0]|b[F>>0]|b[G>>0]|b[H>>0]|b[I>>0])<<24>>24)){fa=(b[M>>0]|0)!=0;b[(f[ca>>2]|0)+n>>0]=fa&1;if(!fa){oa=+p[aa>>3]/180.0*3.141592653589793;l=+p[ba>>3]-+p[Y>>3];j=+p[D>>3]-+p[Z>>3];k=+N(+oa);oa=+O(+oa);na=(l*k+j*oa)/+p[_>>3];oa=(j*k-l*oa)/+p[$>>3];g=na*na+oa*oa<=1.0&1;h=C;ja=632}}else{g=1;h=ca;ja=632}if((ja|0)==632){ja=0;b[(f[h>>2]|0)+n>>0]=g}}while((m|0)!=0);d=d-a|0}if(!c)break b;a=f[ga>>2]|0}}case 1034:{switch(f[a+52>>2]|0){case 258:{if(!c)break b;v=ia+8|0;w=la+8|0;y=fa+608|0;x=ha+2|0;z=a+84|0;t=a+88|0;a=ia+4|0;o=la+4|0;r=fa+320|0;q=ha+1|0;s=fa+32|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{h=h+-1|0;m=m+-1|0;g=f[v>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=649}}else{g=m;ja=649}if((ja|0)==649){ja=0;ea=f[w>>2]|0;b[y>>0]=b[(f[ea+88>>2]|0)+g>>0]|0;b[x>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[a>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=652}}else{g=m;ja=652}if((ja|0)==652){ja=0;ea=f[o>>2]|0;b[r>>0]=b[(f[ea+88>>2]|0)+g>>0]|0;b[q>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=845}}else{g=m;ja=845}if((ja|0)==845){ja=0;ea=f[la>>2]|0;b[s>>0]=b[(f[ea+88>>2]|0)+g>>0]|0;b[ha>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}ea=b[x>>0]|0;b[(f[z>>2]|0)+m>>0]=ea;if(!(ea<<24>>24)){ea=(b[y>>0]|0)==0&1;b[(f[t>>2]|0)+m>>0]=b[fa+(ea*288|0)+32>>0]|0;b[(f[z>>2]|0)+m>>0]=b[ha+ea>>0]|0}}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 259:{if(!c)break b;v=ia+8|0;w=la+8|0;y=fa+608|0;x=ha+2|0;z=a+84|0;t=a+88|0;a=ia+4|0;o=la+4|0;r=fa+320|0;q=ha+1|0;s=fa+32|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{h=h+-1|0;m=m+-1|0;g=f[v>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=662}}else{g=m;ja=662}if((ja|0)==662){ja=0;ea=f[w>>2]|0;b[y>>0]=b[(f[ea+88>>2]|0)+g>>0]|0;b[x>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[a>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=665}}else{g=m;ja=665}if((ja|0)==665){ja=0;ea=f[o>>2]|0;f[r>>2]=f[(f[ea+88>>2]|0)+(g<<2)>>2];b[q>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=848}}else{g=m;ja=848}if((ja|0)==848){ja=0;ea=f[la>>2]|0;f[s>>2]=f[(f[ea+88>>2]|0)+(g<<2)>>2];b[ha>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}ea=b[x>>0]|0;b[(f[z>>2]|0)+m>>0]=ea;if(!(ea<<24>>24)){ea=f[z>>2]|0;da=(b[y>>0]|0)==0&1;f[(f[t>>2]|0)+(m<<2)>>2]=f[fa+(da*288|0)+32>>2];b[ea+m>>0]=b[ha+da>>0]|0}}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 260:{if(!c)break b;v=ia+8|0;w=la+8|0;y=fa+608|0;x=ha+2|0;z=a+84|0;r=a+88|0;a=ia+4|0;o=la+4|0;s=fa+320|0;q=ha+1|0;t=fa+32|0;n=da;d=ea;while(1){c=c+-1|0;if(n){h=n;m=d;do{h=h+-1|0;m=m+-1|0;g=f[v>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=675}}else{g=m;ja=675}if((ja|0)==675){ja=0;ea=f[w>>2]|0;b[y>>0]=b[(f[ea+88>>2]|0)+g>>0]|0;b[x>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[a>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=678}}else{g=m;ja=678}if((ja|0)==678){ja=0;ea=f[o>>2]|0;p[s>>3]=+p[(f[ea+88>>2]|0)+(g<<3)>>3];b[q>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}g=f[ia>>2]|0;if((g|0)<=1){if(g|0){g=c;ja=851}}else{g=m;ja=851}if((ja|0)==851){ja=0;ea=f[la>>2]|0;p[t>>3]=+p[(f[ea+88>>2]|0)+(g<<3)>>3];b[ha>>0]=b[(f[ea+84>>2]|0)+g>>0]|0}ea=b[x>>0]|0;b[(f[z>>2]|0)+m>>0]=ea;if(!(ea<<24>>24)){ea=f[z>>2]|0;da=(b[y>>0]|0)==0&1;p[(f[r>>2]|0)+(m<<3)>>3]=+p[fa+(da*288|0)+32>>3];b[ea+m>>0]=b[ha+da>>0]|0}}while((h|0)!=0);d=d-n|0}if(!c)break b;n=f[ga>>2]|0}}case 261:{if(!c)break b;r=ia+8|0;s=ha+2|0;v=a+84|0;t=fa+608|0;o=a+88|0;q=fa+320|0;a=fa+32|0;g=la+8|0;h=ia+4|0;m=la+4|0;n=ha+1|0;do{c=c+-1|0;if(f[r>>2]|0){ja=f[g>>2]|0;b[t>>0]=b[(f[ja+88>>2]|0)+c>>0]|0;b[s>>0]=b[(f[ja+84>>2]|0)+c>>0]|0}if(f[h>>2]|0){Jx(q,f[(f[(f[m>>2]|0)+88>>2]|0)+(c<<2)>>2]|0)|0;b[n>>0]=b[(f[(f[m>>2]|0)+84>>2]|0)+c>>0]|0}if(f[ia>>2]|0){Jx(a,f[(f[(f[la>>2]|0)+88>>2]|0)+(c<<2)>>2]|0)|0;b[ha>>0]=b[(f[(f[la>>2]|0)+84>>2]|0)+c>>0]|0}ja=b[s>>0]|0;b[(f[v>>2]|0)+c>>0]=ja;if(!(ja<<24>>24)){d=f[(f[o>>2]|0)+(c<<2)>>2]|0;if(!(b[t>>0]|0)){Jx(d,q)|0;d=1}else{Jx(d,a)|0;d=0}b[(f[v>>2]|0)+c>>0]=b[ha+d>>0]|0}else b[f[(f[o>>2]|0)+(c<<2)>>2]>>0]=0}while((c|0)!=0);break}default:break b}break}case 1044:{g=f[la>>2]|0;v=(f[g>>2]|0)==-1e3;s=la+4|0;d=f[s>>2]|0;w=(f[d>>2]|0)==-1e3;t=la+8|0;x=(f[f[t>>2]>>2]|0)==-1e3;if(!c)break b;y=a+88|0;r=a+84|0;m=f[g+56>>2]|0;while(1){c=c+-1|0;g=d+88|0;if(w)d=0;else{g=(f[g>>2]|0)+(c<<2)|0;d=(b[(f[d+84>>2]|0)+c>>0]|0)!=0&1}o=f[g>>2]|0;h=f[la>>2]|0;g=h+88|0;if(v)if(!m)q=Bx(g)|0;else q=m;else{q=m;g=f[(f[g>>2]|0)+(c<<2)>>2]|0;d=(b[(f[h+84>>2]|0)+c>>0]|0)==0?d:1}if(x)a=da;else{ja=f[t>>2]|0;a=f[(f[ja+88>>2]|0)+(c<<2)>>2]|0;d=(b[(f[ja+84>>2]|0)+c>>0]|0)==0?d:1}b[f[(f[y>>2]|0)+(c<<2)>>2]>>0]=0;n=(o|0)==0;d=n?1:d;if(!d){h=f[(f[y>>2]|0)+(c<<2)>>2]|0;if(!q)m=Bx(g)|0;else m=q;if((o|0)<0)break;do if(!(n|(m|0)<(o|0)))if((a+o|0)>(m|0)){ja=m-o+1|0;Lz(h|0,g+o+-1|0,ja|0)|0;Fz(h+ja|0,0,a-ja|0)|0;break}else{Lz(h|0,g+o+-1|0,a|0)|0;break}else Fz(h|0,0,a|0)|0;while(0);b[h+a>>0]=0}b[(f[r>>2]|0)+c>>0]=d;if(!c)break b;d=f[s>>2]|0;m=q}if(!(f[55581]|0))f[55581]=431;Vy(z,106926,80)|0;b[z+79>>0]=0;vj(z);break b}case 1045:{q=la+4|0;g=f[q>>2]|0;r=(f[g>>2]|0)==-1e3;d=c+-1|0;if(!c)break b;c=f[la>>2]|0;o=a+88|0;a=a+84|0;if((f[c>>2]|0)==-1e3){h=d;while(1){d=c+88|0;c=g+88|0;if(!r)if(!(b[(f[g+84>>2]|0)+h>>0]|0)){c=f[(f[c>>2]|0)+(h<<2)>>2]|0;ja=725}else{c=0;d=f[o>>2]|0;g=1}else ja=725;if((ja|0)==725){ja=0;ia=f[o>>2]|0;f[ia+(h<<2)>>2]=0;c=Cy(d,c)|0;g=(c|0)==0;c=g?0:1-d+c|0;d=ia;g=g&1}f[d+(h<<2)>>2]=c;b[(f[a>>2]|0)+h>>0]=g;if(!h)break b;c=f[la>>2]|0;g=f[q>>2]|0;h=h+-1|0}}else n=d;while(1){m=f[(f[c+88>>2]|0)+(n<<2)>>2]|0;h=(b[(f[c+84>>2]|0)+n>>0]|0)==0;c=g+88|0;if(!r)if(!(b[(f[g+84>>2]|0)+n>>0]|0)){c=f[(f[c>>2]|0)+(n<<2)>>2]|0;ja=732}else{g=0;d=f[o>>2]|0;c=1;ja=734}else ja=732;if((ja|0)==732){ja=0;d=f[o>>2]|0;f[d+(n<<2)>>2]=0;if(h){g=Cy(m,c)|0;c=(g|0)==0;g=c?0:1-m+g|0;c=c&1;ja=734}else c=1}if((ja|0)==734)f[d+(n<<2)>>2]=g;b[(f[a>>2]|0)+n>>0]=c;if(!n)break b;c=f[la>>2]|0;g=f[q>>2]|0;n=n+-1|0}}default:break b}while(0)}else{s:do switch(c|0){case 1002:switch(f[(f[la>>2]|0)+52>>2]|0){case 258:{f[a+88>>2]=(b[fa+32>>0]|0)!=0&1;break s}case 259:{f[a+88>>2]=f[fa+32>>2];break s}case 260:{p[a+88>>3]=+p[fa+32>>3];break s}case 262:{Jx(a+88|0,fa+32|0)|0;break s}default:break s}case 1038:switch(f[(f[la>>2]|0)+52>>2]|0){case 259:{p[a+88>>3]=+(f[fa+32>>2]|0);break s}case 260:{p[a+88>>3]=+p[fa+32>>3];break s}default:break s}case 1039:{p[a+88>>3]=0.0;break}case 1037:{d=f[(f[la>>2]|0)+52>>2]|0;if((d|0)==258){f[a+88>>2]=(b[fa+32>>0]|0)!=0&1;break s}c=fa+32|0;if((d|0)==259){f[a+88>>2]=f[c>>2];break s}else{p[a+88>>3]=+p[c>>3];break s}}case 1043:{ia=fa+32|0;ia=mu((f[(f[la>>2]|0)+52>>2]|0)==260?+p[ia>>3]:+(f[ia>>2]|0))|0;f[a+88>>2]=ia;break}case 1017:{c=fa+32|0;if((f[(f[la>>2]|0)+52>>2]|0)==260){oa=+p[c>>3];p[a+88>>3]=oa>0.0?oa:-oa;break s}else{ia=f[c>>2]|0;f[a+88>>2]=(ia|0)>0?ia:0-ia|0;break s}}case 1040:{f[a+88>>2]=1;break}case 1030:{b[a+88>>0]=0;break}case 1031:switch(f[a+52>>2]|0){case 258:{b[a+88>>0]=b[fa+32>>0]|0;break s}case 259:{f[a+88>>2]=f[fa+32>>2];break s}case 260:{p[a+88>>3]=+p[fa+32>>3];break s}case 261:{Jx(a+88|0,fa+32|0)|0;break s}default:break s}case 1004:{oa=+O(+(+p[fa+32>>3]));p[a+88>>3]=oa;break}case 1005:{oa=+N(+(+p[fa+32>>3]));p[a+88>>3]=oa;break}case 1006:{oa=+P(+(+p[fa+32>>3]));p[a+88>>3]=oa;break}case 1007:{e=+p[fa+32>>3];if(!(e<-1.0|e>1.0)){oa=+R(+e);p[a+88>>3]=oa;break s}if(!(f[55581]|0))f[55581]=431;Vy(z,106772,80)|0;b[z+79>>0]=0;vj(z);break}case 1008:{e=+p[fa+32>>3];if(!(e<-1.0|e>1.0)){oa=+Q(+e);p[a+88>>3]=oa;break s}if(!(f[55581]|0))f[55581]=431;Vy(z,106804,80)|0;b[z+79>>0]=0;vj(z);break}case 1009:{oa=+S(+(+p[fa+32>>3]));p[a+88>>3]=oa;break}case 1010:{oa=+pw(+p[fa+32>>3]);p[a+88>>3]=oa;break}case 1011:{oa=+ow(+p[fa+32>>3]);p[a+88>>3]=oa;break}case 1012:{oa=+Mx(+p[fa+32>>3]);p[a+88>>3]=oa;break}case 1013:{oa=+U(+(+p[fa+32>>3]));p[a+88>>3]=oa;break}case 1014:{e=+p[fa+32>>3];if(!(e<=0.0)){oa=+V(+e);p[a+88>>3]=oa;break s}if(!(f[55581]|0))f[55581]=431;Vy(z,106836,80)|0;b[z+79>>0]=0;vj(z);break}case 1015:{e=+p[fa+32>>3];if(!(e<=0.0)){oa=+Lx(e);p[a+88>>3]=oa;break s}if(!(f[55581]|0))f[55581]=431;Vy(z,106865,80)|0;b[z+79>>0]=0;vj(z);break}case 1016:{e=+p[fa+32>>3];if(!(e<0.0)){oa=+L(+e);p[a+88>>3]=oa;break s}if(!(f[55581]|0))f[55581]=431;Vy(z,106896,80)|0;b[z+79>>0]=0;vj(z);break}case 1019:{oa=+W(+(+p[fa+32>>3]));p[a+88>>3]=oa;break}case 1020:{oa=+J(+(+p[fa+32>>3]));p[a+88>>3]=oa;break}case 1021:{oa=+J(+(+p[fa+32>>3]+.5));p[a+88>>3]=oa;break}case 1018:{oa=+T(+(+p[fa+32>>3]),+(+p[fa+320>>3]));p[a+88>>3]=oa;break}case 1041:{i=+p[fa+32>>3];j=+p[fa+320>>3];k=+p[fa+608>>3];l=+p[fa+896>>3];e=+p[26580];if(e==0.0){p[26580]=.017453292519943295;e=.017453292519943295}oa=+O(+((k-i)*e*.5));na=+O(+((l-j)*e*.5));oa=na*na+oa*(oa*(+N(+(j*e))*+N(+(l*e))));oa=oa<0.0?0.0:oa;oa=oa>1.0?1.0:oa;oa=+T(+(+L(+oa)),+(+L(+(1.0-oa))))*2.0/e;p[a+88>>3]=oa;ja=78;break}case 1022:{ja=78;break}case 1023:switch(f[a+52>>2]|0){case 260:{p[a+88>>3]=+p[fa+((!(+p[fa+32>>3]<+p[fa+320>>3])&1)*288|0)+32>>3];break s}case 259:{f[a+88>>2]=f[fa+(((f[fa+32>>2]|0)>=(f[fa+320>>2]|0)&1)*288|0)+32>>2];break s}default:break s}case 1024:switch(f[a+52>>2]|0){case 260:{p[a+88>>3]=+p[fa+32>>3];break s}case 259:{f[a+88>>2]=f[fa+32>>2];break s}case 262:{Jx(a+88|0,fa+32|0)|0;break s}default:break s}case 1025:switch(f[a+52>>2]|0){case 260:{p[a+88>>3]=+p[fa+((!(+p[fa+32>>3]>+p[fa+320>>3])&1)*288|0)+32>>3];break s}case 259:{f[a+88>>2]=f[fa+(((f[fa+32>>2]|0)<=(f[fa+320>>2]|0)&1)*288|0)+32>>2];break s}default:break s}case 1026:{ia=+K(+(+p[fa+32>>3]-+p[fa+320>>3]))<+p[fa+608>>3]&1;b[a+88>>0]=ia;break}case 1027:{oa=+p[fa+608>>3];l=+p[fa+896>>3]-+p[fa+32>>3];na=+p[fa+1184>>3]-+p[fa+320>>3];b[a+88>>0]=l*l+na*na<=oa*oa&1;break}case 1028:{oa=+p[fa+608>>3];l=+p[fa+896>>3];k=+p[fa+1184>>3]/180.0*3.141592653589793;j=+p[fa+1472>>3]-+p[fa+32>>3];e=+p[fa+1760>>3]-+p[fa+320>>3];i=+N(+k);k=+O(+k);na=j*i+e*k;k=e*i-j*k;b[a+88>>0]=((!(k<=l*.5)|(!(k>=l*-.5)|(!(na>=oa*-.5)|!(na<=oa*.5))))^1)&1;break}case 1029:{oa=+p[fa+1184>>3]/180.0*3.141592653589793;l=+p[fa+1472>>3]-+p[fa+32>>3];j=+p[fa+1760>>3]-+p[fa+320>>3];k=+N(+oa);oa=+O(+oa);na=(l*k+j*oa)/+p[fa+608>>3];oa=(j*k-l*oa)/+p[fa+896>>3];b[a+88>>0]=na*na+oa*oa<=1.0&1;break}case 1034:switch(f[a+52>>2]|0){case 258:{b[a+88>>0]=b[fa+(((b[fa+608>>0]|0)==0&1)*288|0)+32>>0]|0;break s}case 259:{f[a+88>>2]=f[fa+(((b[fa+608>>0]|0)==0&1)*288|0)+32>>2];break s}case 260:{p[a+88>>3]=+p[fa+(((b[fa+608>>0]|0)==0&1)*288|0)+32>>3];break s}case 261:{Jx(a+88|0,fa+(((b[fa+608>>0]|0)==0&1)*288|0)+32|0)|0;break s}default:break s}case 1044:{h=a+88|0;g=f[a+56>>2]|0;m=fa+32|0;c=f[fa>>2]|0;d=f[fa+320>>2]|0;if(!c)c=Bx(m)|0;if((d|0)<0){if(!(f[55581]|0))f[55581]=431;Vy(z,106926,80)|0;b[z+79>>0]=0;vj(z);break s}do if(!((d|0)==0|(c|0)<(d|0)))if((d+g|0)>(c|0)){ia=c-d+1|0;Lz(h|0,m+d+-1|0,ia|0)|0;Fz(h+ia|0,0,g-ia|0)|0;break}else{Lz(h|0,m+d+-1|0,g|0)|0;break}else Fz(h|0,0,g|0)|0;while(0);b[h+g>>0]=0;break}case 1045:{ha=fa+32|0;ia=Cy(ha,fa+320|0)|0;f[a+88>>2]=(ia|0)==0?0:1-ha+ia|0;break}default:{}}while(0);t:do if((ja|0)==78)switch(f[a+52>>2]|0){case 260:{p[a+88>>3]=+p[fa+32>>3];break t}case 259:{f[a+88>>2]=f[fa+32>>2];break t}case 262:{Jx(a+88|0,fa+32|0)|0;break t}default:break t}while(0);f[a>>2]=-1e3}while(0);c=f[ka>>2]|0;if(!c){u=ma;return}do{c=c+-1|0;d=f[la+(c<<2)>>2]|0;if((f[d>>2]|0)>0)Mv(f[d+88>>2]|0)}while((c|0)!=0);u=ma;return}function Wt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;c=b+-1|0;o=(c|0)/2|0;if((b|0)>1)b=0;else{o=a+(o<<2)|0;o=f[o>>2]|0;return o|0}while(1){i=b+1|0;g=a+(c<<2)|0;e=f[g>>2]|0;if((c|0)==(i|0))break;h=a+(((b+c|0)/2|0)<<2)|0;d=f[h>>2]|0;if((d|0)>(e|0)){f[h>>2]=e;f[g>>2]=d}else d=e;m=a+(b<<2)|0;e=f[m>>2]|0;if((e|0)>(d|0)){f[m>>2]=d;f[g>>2]=e;e=f[m>>2]|0}d=f[h>>2]|0;if((d|0)>(e|0)){f[h>>2]=e;f[m>>2]=d;d=f[h>>2]|0}e=a+(i<<2)|0;f[h>>2]=f[e>>2];f[e>>2]=d;e=c;d=i;while(1){l=f[m>>2]|0;do{d=d+1|0;j=a+(d<<2)|0;i=f[j>>2]|0}while((l|0)>(i|0));k=e;while(1){e=k+-1|0;h=a+(e<<2)|0;g=f[h>>2]|0;if((g|0)>(l|0))k=e;else break}if((k|0)<=(d|0))break;f[j>>2]=g;f[h>>2]=i}f[m>>2]=g;f[h>>2]=l;b=(e|0)>(o|0)?b:d;c=(k|0)>(o|0)?k+-2|0:c;if((c|0)<=(b|0)){n=18;break}}if((n|0)==18){o=a+(o<<2)|0;o=f[o>>2]|0;return o|0}c=a+(b<<2)|0;b=f[c>>2]|0;if((b|0)<=(e|0)){o=a+(o<<2)|0;o=f[o>>2]|0;return o|0}f[c>>2]=e;f[g>>2]=b;o=a+(o<<2)|0;o=f[o>>2]|0;return o|0}function Xt(a,b){a=a|0;b=b|0;var c=0,d=0.0,e=0,f=0.0,g=0,h=0,i=0,j=0,k=0.0,l=0,m=0,n=0;c=b+-1|0;n=(c|0)/2|0;if((b|0)>1)b=0;else{n=a+(n<<3)|0;k=+p[n>>3];return +k}while(1){e=b+1|0;g=a+(c<<3)|0;f=+p[g>>3];if((c|0)==(e|0))break;h=a+(((b+c|0)/2|0)<<3)|0;d=+p[h>>3];if(d>f){p[h>>3]=f;p[g>>3]=d}else d=f;l=a+(b<<3)|0;f=+p[l>>3];if(f>d){p[l>>3]=d;p[g>>3]=f;f=+p[l>>3]}d=+p[h>>3];if(d>f){p[h>>3]=f;p[l>>3]=d;d=+p[h>>3]}g=a+(e<<3)|0;p[h>>3]=+p[g>>3];p[g>>3]=d;g=c;while(1){k=+p[l>>3];do{e=e+1|0;i=a+(e<<3)|0;f=+p[i>>3]}while(k>f);j=g;while(1){g=j+-1|0;h=a+(g<<3)|0;d=+p[h>>3];if(d>k)j=g;else break}if((j|0)<=(e|0))break;p[i>>3]=d;p[h>>3]=f}p[l>>3]=d;p[h>>3]=k;b=(g|0)>(n|0)?b:e;c=(j|0)>(n|0)?j+-2|0:c;if((c|0)<=(b|0)){m=18;break}}if((m|0)==18){n=a+(n<<3)|0;k=+p[n>>3];return +k}b=a+(b<<3)|0;d=+p[b>>3];if(!(d>f)){n=a+(n<<3)|0;k=+p[n>>3];return +k}p[b>>3]=f;p[g>>3]=d;n=a+(n<<3)|0;k=+p[n>>3];return +k}function Yt(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0;G=u;u=u+144|0;y=G+64|0;F=G+40|0;r=G+20|0;x=G;B=f[55566]|0;C=f[a+12>>2]|0;D=f[a+8>>2]|0;E=D+-1|0;t=(E|0)==0;a:do if(t)c=1;else{e=1;d=D+-2|0;c=E;while(1){g=d;while(1){c=f[a+12+(c<<2)>>2]|0;A=B+(c*344|0)|0;f[F+(g<<2)>>2]=A;A=(f[A>>2]|0)==-1e3;f[r+(g<<2)>>2]=A&1;if(!A)break;f[x+(g<<2)>>2]=f[B+(c*344|0)+88>>2];if(!g){c=e;break a}else{c=g;g=g+-1|0}}if(!g){c=0;break}else{e=0;d=g+-1|0;c=g}}}while(0);A=a+52|0;switch(f[A>>2]|0){case 260:{v=8;break}case 259:{v=4;break}case 258:{v=1;break}default:v=0}Tt(a);b:do if(!(f[55581]|0)){s=B+(C*344|0)+60|0;d=f[s>>2]|0;do if(c|0){if((d|0)!=(E|0)){if((E|0)!=1)break;c=f[x>>2]|0;if((c|0)>=1?(l=B+(C*344|0)+56|0,(c|0)<=(f[B+(C*344|0)+64+(d+-1<<2)>>2]|0)):0){k=a+56|0;j=f[k>>2]|0;d=X(j,c+-1|0)|0;c=(f[55571]|0)>0;if(((f[A>>2]|0)+-261|0)>>>0>=2){if(!c)break b;h=a+84|0;i=B+(C*344|0)+84|0;e=a+88|0;g=B+(C*344|0)+88|0;Lz(f[h>>2]|0,(f[i>>2]|0)+d|0,j|0)|0;Lz(f[e>>2]|0,(f[g>>2]|0)+(X(d,v)|0)|0,X(f[k>>2]|0,v)|0)|0;if((f[55571]|0)>1)c=1;else break b;while(1){d=(f[l>>2]|0)+d|0;z=f[k>>2]|0;A=(f[h>>2]|0)+(X(z,c)|0)|0;Lz(A|0,(f[i>>2]|0)+d|0,z|0)|0;z=X(c,v)|0;A=f[k>>2]|0;z=(f[e>>2]|0)+(X(z,A)|0)|0;Lz(z|0,(f[g>>2]|0)+(X(d,v)|0)|0,X(A,v)|0)|0;c=c+1|0;if((c|0)>=(f[55571]|0))break b}}if(!c)break b;j=a+84|0;g=a+88|0;h=B+(C*344|0)+88|0;i=B+(C*344|0)+84|0;e=0;while(1){c=f[j>>2]|0;if(c|0)b[c+e>>0]=b[(f[i>>2]|0)+e>>0]|0;A=f[k>>2]|0;z=(f[f[g>>2]>>2]|0)+(X(A+1|0,e)|0)|0;Lz(z|0,(f[f[h>>2]>>2]|0)+d|0,A|0)|0;b[(f[(f[g>>2]|0)+(e<<2)>>2]|0)+(f[k>>2]|0)>>0]=0;e=e+1|0;if((e|0)>=(f[55571]|0))break b;else d=d+1+(f[l>>2]|0)|0}}f[55581]=431;Vy(y,107168,80)|0;b[y+79>>0]=0;vj(y);Mv(f[a+88>>2]|0);break b}c:do if(!t){h=D+-2|0;c=0;g=E;while(1){d=f[x+(h<<2)>>2]|0;if((d|0)<1)break;e=f[B+(C*344|0)+64+(h<<2)>>2]|0;if((d|0)>(e|0))break;c=d+-1+(X(e,c)|0)|0;if(!h)break c;else{g=h;h=h+-1|0}}if((g|0)>=1){f[55581]=431;Vy(y,107168,80)|0;b[y+79>>0]=0;vj(y);Mv(f[a+88>>2]|0);break b}}else c=0;while(0);if((f[55571]|0)<=0)break b;k=B+(C*344|0)+84|0;l=a+84|0;j=B+(C*344|0)+88|0;h=a+88|0;i=B+(C*344|0)+56|0;g=0;while(1){switch(f[A>>2]|0){case 261:{d=g;z=24;break}case 262:{z=28;break}default:{d=c;z=24}}d:do if((z|0)==24){z=0;b[(f[l>>2]|0)+g>>0]=b[(f[k>>2]|0)+d>>0]|0;switch(f[A>>2]|0){case 260:{p[(f[h>>2]|0)+(g<<3)>>3]=+p[(f[j>>2]|0)+(c<<3)>>3];break d}case 259:{f[(f[h>>2]|0)+(g<<2)>>2]=f[(f[j>>2]|0)+(c<<2)>>2];break d}case 258:{d=b[(f[j>>2]|0)+c>>0]|0;e=(f[h>>2]|0)+g|0;z=29;break d}default:{z=28;break d}}}while(0);if((z|0)==28){b[f[(f[h>>2]|0)+(g<<2)>>2]>>0]=b[(f[f[j>>2]>>2]|0)+(c+g)>>0]|0;d=0;e=(f[(f[h>>2]|0)+(g<<2)>>2]|0)+1|0;z=29}if((z|0)==29)b[e>>0]=d;g=g+1|0;if((g|0)>=(f[55571]|0))break b;else c=(f[i>>2]|0)+c|0}}while(0);w=B+(C*344|0)+56|0;c=(f[55571]|0)>0;if((d|0)!=(E|0)){if(!c)break;o=f[F>>2]|0;r=o+84|0;o=o+88|0;n=y+79|0;q=a+88|0;m=a+84|0;j=a+56|0;i=B+(C*344|0)+88|0;l=B+(C*344|0)+84|0;c=f[x>>2]|0;k=0;while(1){if(b[(f[r>>2]|0)+k>>0]|0)break;c=f[(f[o>>2]|0)+(k<<2)>>2]|0;do if((c|0)>=1?(c|0)<=(f[B+(C*344|0)+64+((f[s>>2]|0)+-1<<2)>>2]|0):0){h=f[m>>2]|0;e=f[w>>2]|0;d=f[j>>2]|0;g=X(d,c+-1|0)|0;if(((f[A>>2]|0)+-261|0)>>>0>=2){t=g+(X(e,k)|0)|0;h=h+(X(d,k)|0)|0;Lz(h|0,(f[l>>2]|0)+t|0,d|0)|0;h=X(k,v)|0;a=f[j>>2]|0;h=(f[q>>2]|0)+(X(h,a)|0)|0;Lz(h|0,(f[i>>2]|0)+(X(t,v)|0)|0,X(a,v)|0)|0;break}e=g+(X(e+1|0,k)|0)|0;if(h){b[h+k>>0]=b[(f[l>>2]|0)+k>>0]|0;d=f[j>>2]|0}a=(f[f[q>>2]>>2]|0)+(X(d+1|0,k)|0)|0;Lz(a|0,(f[f[i>>2]>>2]|0)+e|0,d|0)|0;b[(f[(f[q>>2]|0)+(k<<2)>>2]|0)+(f[j>>2]|0)>>0]=0}else z=80;while(0);if((z|0)==80){z=0;if(!(f[55581]|0))f[55581]=431;Vy(y,107168,80)|0;b[n>>0]=0;vj(y);Mv(f[q>>2]|0)}k=k+1|0;if((k|0)>=(f[55571]|0)){z=89;break}}if((z|0)==89){f[x>>2]=c;break}f[x>>2]=c;if(!(f[55581]|0))f[55581]=431;Vy(y,107187,80)|0;b[n>>0]=0;vj(y);Mv(f[q>>2]|0);break}if(c){l=(D|0)>1;n=D+-2|0;o=B+(C*344|0)+84|0;q=a+84|0;m=B+(C*344|0)+88|0;j=a+88|0;i=y+79|0;k=0;do{e:do if(l){d=0;while(1){if(!(f[r+(d<<2)>>2]|0)){c=f[F+(d<<2)>>2]|0;if(b[(f[c+84>>2]|0)+k>>0]|0)break;f[x+(d<<2)>>2]=f[(f[c+88>>2]|0)+(k<<2)>>2]}d=d+1|0;if((d|0)>=(E|0))break e}if(!(f[55581]|0))f[55581]=431;Vy(y,107187,80)|0;b[i>>0]=0;vj(y);Mv(f[j>>2]|0)}while(0);if(f[55581]|0)break b;f:do if(!t){h=n;c=0;g=E;while(1){d=f[x+(h<<2)>>2]|0;if((d|0)<1)break;e=f[B+(C*344|0)+64+(h<<2)>>2]|0;if((d|0)>(e|0))break;c=d+-1+(X(e,c)|0)|0;if(!h){z=64;break f}else{g=h;h=h+-1|0}}if((g|0)<1)z=64;else{f[55581]=431;Vy(y,107168,80)|0;b[i>>0]=0;vj(y);Mv(f[j>>2]|0)}}else{c=0;z=64}while(0);g:do if((z|0)==64){c=(X(f[w>>2]|0,k)|0)+c|0;switch(f[A>>2]|0){case 261:{d=k;z=66;break}case 262:{z=70;break}default:{d=c;z=66}}h:do if((z|0)==66){z=0;b[(f[q>>2]|0)+k>>0]=b[(f[o>>2]|0)+d>>0]|0;switch(f[A>>2]|0){case 260:{p[(f[j>>2]|0)+(k<<3)>>3]=+p[(f[m>>2]|0)+(c<<3)>>3];break g}case 259:{f[(f[j>>2]|0)+(k<<2)>>2]=f[(f[m>>2]|0)+(c<<2)>>2];break g}case 258:{c=b[(f[m>>2]|0)+c>>0]|0;d=(f[j>>2]|0)+k|0;break h}default:{z=70;break h}}}while(0);if((z|0)==70){z=0;b[f[(f[j>>2]|0)+(k<<2)>>2]>>0]=b[(f[f[m>>2]>>2]|0)+(c+k)>>0]|0;c=0;d=(f[(f[j>>2]|0)+(k<<2)>>2]|0)+1|0}b[d>>0]=c}while(0);k=k+1|0}while((k|0)<(f[55571]|0))}}while(0);do if((f[B+(C*344|0)>>2]|0)>0){c=B+(C*344|0)+88|0;if(((f[B+(C*344|0)+52>>2]|0)+-261|0)>>>0<2){Mv(f[f[c>>2]>>2]|0);break}else{Mv(f[c>>2]|0);break}}while(0);if((D|0)>1)d=0;else{u=G;return}do{c=f[F+(d<<2)>>2]|0;if((f[c>>2]|0)>0)Mv(f[c+88>>2]|0);d=d+1|0}while((d|0)!=(E|0));u=G;return}function Zt(a){a=a|0;var c=0,d=0.0,e=0,g=0,h=0.0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0.0;E=u;u=u+80|0;c=E;z=f[55566]|0;A=f[a+12>>2]|0;B=f[a+16>>2]|0;C=z+(A*344|0)|0;if((f[C>>2]|0)==-1e3){d=+p[z+(A*344|0)+88>>3];g=0}else{d=0.0;g=f[z+(A*344|0)+56>>2]|0}D=z+(B*344|0)|0;if((f[D>>2]|0)==-1e3){h=+p[z+(B*344|0)+88>>3];i=0}else{h=0.0;i=f[z+(B*344|0)+56>>2]|0}e=f[a>>2]|0;do if(i|g){c=f[55571]|0;y=a+56|0;j=f[y>>2]|0;o=X(j,c)|0;Tt(a);if((e&-2|0)==288){if(f[55581]|0)break;m=z+(B*344|0)+88|0;d=+p[m>>3];n=z+(B*344|0)+84|0;c=f[n>>2]|0;e=(o|0)>0;if((f[a>>2]|0)==289){if(e){k=z+(A*344|0)+84|0;i=z+(A*344|0)+88|0;j=a+88|0;g=a+84|0;e=0;do{if(!(b[(f[k>>2]|0)+e>>0]|0))d=d+ +p[(f[i>>2]|0)+(e<<3)>>3];p[(f[j>>2]|0)+(e<<3)>>3]=d;b[(f[g>>2]|0)+e>>0]=0;e=e+1|0}while((e|0)!=(o|0))}}else if(e){k=z+(A*344|0)+88|0;l=z+(A*344|0)+84|0;j=a+84|0;g=a+88|0;e=f[l>>2]|0;i=0;while(1){h=+p[(f[k>>2]|0)+(i<<3)>>3];a=(c|0)!=0|(b[e+i>>0]|0)!=0;c=f[j>>2]|0;p[(f[g>>2]|0)+(i<<3)>>3]=a?0.0:h-d;b[c+i>>0]=a&1;e=f[l>>2]|0;c=b[e+i>>0]|0;i=i+1|0;if((i|0)==(o|0)){d=h;break}else d=h}}p[m>>3]=d;f[n>>2]=c;break}if((c|0)!=0&(f[55581]|0)==0){x=(g|0)>1;w=(g|0)==0;v=(i|0)>1;q=(i|0)==0;t=a+84|0;n=a+88|0;m=z+(B*344|0)+88|0;s=z+(B*344|0)+84|0;l=z+(A*344|0)+88|0;r=z+(A*344|0)+84|0;i=o;k=0;g=0;while(1){c=c+-1|0;a:do if(!j)e=0;else while(1){j=j+-1|0;i=i+-1|0;e=x?i:c;if(!w){k=b[(f[r>>2]|0)+e>>0]|0;d=+p[(f[l>>2]|0)+(e<<3)>>3]}e=v?i:c;if(!q){g=b[(f[s>>2]|0)+e>>0]|0;h=+p[(f[m>>2]|0)+(e<<3)>>3]}b[(f[t>>2]|0)+i>>0]=(g|k)<<24>>24!=0&1;b:do switch(f[a>>2]|0){case 126:{o=+K(+(d-h))<1.0e-07&1;b[(f[n>>2]|0)+i>>0]=o;break}case 278:{b[(f[n>>2]|0)+i>>0]=d==h&1;break}case 277:{b[(f[n>>2]|0)+i>>0]=d!=h&1;break}case 282:{b[(f[n>>2]|0)+i>>0]=d>h&1;break}case 281:{b[(f[n>>2]|0)+i>>0]=d<h&1;break}case 280:{b[(f[n>>2]|0)+i>>0]=d<=h&1;break}case 279:{b[(f[n>>2]|0)+i>>0]=d>=h&1;break}case 43:{p[(f[n>>2]|0)+(i<<3)>>3]=d+h;break}case 45:{p[(f[n>>2]|0)+(i<<3)>>3]=d-h;break}case 42:{p[(f[n>>2]|0)+(i<<3)>>3]=d*h;break}case 37:if(h!=0.0){p[(f[n>>2]|0)+(i<<3)>>3]=d-h*+(~~(d/h)|0);break b}else{p[(f[n>>2]|0)+(i<<3)>>3]=0.0;b[(f[t>>2]|0)+i>>0]=1;break b}case 47:if(h!=0.0){p[(f[n>>2]|0)+(i<<3)>>3]=d/h;break b}else{p[(f[n>>2]|0)+(i<<3)>>3]=0.0;b[(f[t>>2]|0)+i>>0]=1;break b}case 283:{F=+M(+d,+h);p[(f[n>>2]|0)+(i<<3)>>3]=F;break}default:{}}while(0);e=f[55581]|0;if(!((j|0)!=0&(e|0)==0))break a}while(0);if(!((c|0)!=0&(e|0)==0))break;else j=f[y>>2]|0}}}else{c:do switch(e|0){case 126:{y=+K(+(d-h))<1.0e-07&1;b[a+88>>0]=y;break}case 278:{b[a+88>>0]=d==h&1;break}case 277:{b[a+88>>0]=d!=h&1;break}case 282:{b[a+88>>0]=d>h&1;break}case 281:{b[a+88>>0]=d<h&1;break}case 280:{b[a+88>>0]=d<=h&1;break}case 279:{b[a+88>>0]=d>=h&1;break}case 43:{p[a+88>>3]=d+h;break}case 45:{p[a+88>>3]=d-h;break}case 42:{p[a+88>>3]=d*h;break}case 37:{if(h!=0.0){p[a+88>>3]=d-h*+(~~(d/h)|0);break c}if(!(f[55581]|0))f[55581]=431;Vy(c,107270,80)|0;b[c+79>>0]=0;vj(c);break}case 47:{if(h!=0.0){p[a+88>>3]=d/h;break c}if(!(f[55581]|0))f[55581]=431;Vy(c,107270,80)|0;b[c+79>>0]=0;vj(c);break}case 283:{F=+M(+d,+h);p[a+88>>3]=F;break}case 289:{p[a+88>>3]=d;break}case 288:{p[a+88>>3]=0.0;break}default:{}}while(0);f[a>>2]=-1e3}while(0);if((f[C>>2]|0)>0)Mv(f[z+(A*344|0)+88>>2]|0);if((f[D>>2]|0)<=0){u=E;return}Mv(f[z+(B*344|0)+88>>2]|0);u=E;return}function _t(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0;F=u;u=u+80|0;c=F;A=f[55566]|0;B=f[a+12>>2]|0;C=f[a+16>>2]|0;D=A+(B*344|0)|0;if((f[D>>2]|0)==-1e3){i=f[A+(B*344|0)+88>>2]|0;e=0}else{i=0;e=f[A+(B*344|0)+56>>2]|0}E=A+(C*344|0)|0;if((f[E>>2]|0)==-1e3){j=f[A+(C*344|0)+88>>2]|0;g=0}else{j=0;g=f[A+(C*344|0)+56>>2]|0}d=f[a>>2]|0;do if(g|e){c=f[55571]|0;z=a+56|0;h=f[z>>2]|0;o=X(h,c)|0;Tt(a);if((d&-2|0)==288){if(f[55581]|0)break;m=A+(C*344|0)+88|0;d=f[m>>2]|0;n=A+(C*344|0)+84|0;c=f[n>>2]|0;e=(o|0)>0;if((f[a>>2]|0)==289){if(e){j=A+(B*344|0)+84|0;h=A+(B*344|0)+88|0;i=a+88|0;g=a+84|0;e=0;do{if(!(b[(f[j>>2]|0)+e>>0]|0))d=(f[(f[h>>2]|0)+(e<<2)>>2]|0)+d|0;f[(f[i>>2]|0)+(e<<2)>>2]=d;b[(f[g>>2]|0)+e>>0]=0;e=e+1|0}while((e|0)!=(o|0))}}else if(e){k=A+(B*344|0)+88|0;l=A+(B*344|0)+84|0;j=a+84|0;h=a+88|0;g=f[l>>2]|0;i=0;while(1){e=f[(f[k>>2]|0)+(i<<2)>>2]|0;a=(c|0)!=0|(b[g+i>>0]|0)!=0;c=f[j>>2]|0;f[(f[h>>2]|0)+(i<<2)>>2]=a?0:e-d|0;b[c+i>>0]=a&1;g=f[l>>2]|0;c=b[g+i>>0]|0;i=i+1|0;if((i|0)==(o|0)){d=e;break}else d=e}}f[m>>2]=d;f[n>>2]=c;break}if((c|0)!=0&(f[55581]|0)==0){y=(e|0)>1;x=(e|0)==0;w=(g|0)>1;r=(g|0)==0;v=a+84|0;q=a+88|0;p=A+(C*344|0)+88|0;t=A+(C*344|0)+84|0;n=A+(B*344|0)+88|0;s=A+(B*344|0)+84|0;m=c;k=o;l=0;g=0;e=i;c=j;while(1){m=m+-1|0;a:do if(!h){d=0;h=k;i=l}else{d=k;i=l;while(1){h=h+-1|0;j=d+-1|0;d=y?j:m;if(!x){i=b[(f[s>>2]|0)+d>>0]|0;e=f[(f[n>>2]|0)+(d<<2)>>2]|0}d=w?j:m;if(!r){g=b[(f[t>>2]|0)+d>>0]|0;c=f[(f[p>>2]|0)+(d<<2)>>2]|0}b[(f[v>>2]|0)+j>>0]=(g|i)<<24>>24!=0&1;b:do switch(f[a>>2]|0){case 278:case 126:{b[(f[q>>2]|0)+j>>0]=(e|0)==(c|0)&1;break}case 277:{b[(f[q>>2]|0)+j>>0]=(e|0)!=(c|0)&1;break}case 282:{b[(f[q>>2]|0)+j>>0]=(e|0)>(c|0)&1;break}case 281:{b[(f[q>>2]|0)+j>>0]=(e|0)<(c|0)&1;break}case 280:{b[(f[q>>2]|0)+j>>0]=(e|0)<=(c|0)&1;break}case 279:{b[(f[q>>2]|0)+j>>0]=(e|0)>=(c|0)&1;break}case 43:{f[(f[q>>2]|0)+(j<<2)>>2]=c+e;break}case 45:{f[(f[q>>2]|0)+(j<<2)>>2]=e-c;break}case 42:{o=X(c,e)|0;f[(f[q>>2]|0)+(j<<2)>>2]=o;break}case 37:if(!c){f[(f[q>>2]|0)+(j<<2)>>2]=0;b[(f[v>>2]|0)+j>>0]=1;c=0;break b}else{f[(f[q>>2]|0)+(j<<2)>>2]=(e|0)%(c|0)|0;break b}case 47:if(!c){f[(f[q>>2]|0)+(j<<2)>>2]=0;b[(f[v>>2]|0)+j>>0]=1;c=0;break b}else{f[(f[q>>2]|0)+(j<<2)>>2]=(e|0)/(c|0)|0;break b}case 283:{o=~~+M(+(+(e|0)),+(+(c|0)));f[(f[q>>2]|0)+(j<<2)>>2]=o;break}default:{}}while(0);d=f[55581]|0;if(!((h|0)!=0&(d|0)==0)){h=j;break a}else d=j}}while(0);if(!((m|0)!=0&(d|0)==0))break;else{k=h;h=f[z>>2]|0;l=i}}}}else{c:do switch(d|0){case 278:case 126:{b[a+88>>0]=(i|0)==(j|0)&1;break}case 277:{b[a+88>>0]=(i|0)!=(j|0)&1;break}case 282:{b[a+88>>0]=(i|0)>(j|0)&1;break}case 281:{b[a+88>>0]=(i|0)<(j|0)&1;break}case 280:{b[a+88>>0]=(i|0)<=(j|0)&1;break}case 279:{b[a+88>>0]=(i|0)>=(j|0)&1;break}case 43:{f[a+88>>2]=j+i;break}case 45:{f[a+88>>2]=i-j;break}case 42:{z=X(j,i)|0;f[a+88>>2]=z;break}case 37:{if(j|0){f[a+88>>2]=(i|0)%(j|0)|0;break c}if(!(f[55581]|0))f[55581]=431;Vy(c,107270,80)|0;b[c+79>>0]=0;vj(c);break}case 47:{if(j|0){f[a+88>>2]=(i|0)/(j|0)|0;break c}if(!(f[55581]|0))f[55581]=431;Vy(c,107270,80)|0;b[c+79>>0]=0;vj(c);break}case 283:{z=~~+M(+(+(i|0)),+(+(j|0)));f[a+88>>2]=z;break}case 289:{f[a+88>>2]=i;break}case 288:{f[a+88>>2]=0;break}default:{}}while(0);f[a>>2]=-1e3}while(0);if((f[D>>2]|0)>0)Mv(f[A+(B*344|0)+88>>2]|0);if((f[E>>2]|0)<=0){u=F;return}Mv(f[A+(C*344|0)+88>>2]|0);u=F;return}function $t(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0;E=f[55566]|0;F=f[a+12>>2]|0;G=f[a+16>>2]|0;H=E+(F*344|0)|0;if((f[H>>2]|0)==-1e3){o=b[E+(F*344|0)+88>>0]|0;k=0}else{o=0;k=f[E+(F*344|0)+56>>2]|0}I=E+(G*344|0)|0;if((f[I>>2]|0)==-1e3){p=b[E+(G*344|0)+88>>0]|0;l=0}else{p=0;l=f[E+(G*344|0)+56>>2]|0}c=f[a>>2]|0;do if(l|k){m=f[55571]|0;D=a+56|0;n=f[D>>2]|0;q=X(n,m)|0;Tt(a);d=(f[55581]|0)==0;if((c|0)==289){if(!d)break;j=E+(G*344|0)+88|0;c=f[j>>2]|0;if((q|0)>0){i=E+(F*344|0)+84|0;g=E+(F*344|0)+88|0;h=a+88|0;e=a+84|0;d=0;do{if(!(b[(f[i>>2]|0)+d>>0]|0))c=(b[(f[g>>2]|0)+d>>0]|0)+c|0;f[(f[h>>2]|0)+(d<<2)>>2]=c;b[(f[e>>2]|0)+d>>0]=0;d=d+1|0}while((d|0)!=(q|0))}f[j>>2]=c;break}if(d){if((f[a>>2]|0)==289){j=E+(G*344|0)+88|0;c=f[j>>2]|0;if((q|0)>0){h=E+(F*344|0)+84|0;d=E+(F*344|0)+88|0;e=a+88|0;i=a+84|0;g=0;do{if(!(b[(f[h>>2]|0)+g>>0]|0))c=(b[(f[d>>2]|0)+g>>0]|0)+c|0;f[(f[e>>2]|0)+(g<<2)>>2]=c;b[(f[i>>2]|0)+g>>0]=0;g=g+1|0}while((g|0)!=(q|0))}f[j>>2]=c}if(m|0){C=(k|0)>1;B=(k|0)==0;A=(l|0)>1;w=(l|0)==0;z=a+84|0;v=a+88|0;u=E+(G*344|0)+88|0;y=E+(G*344|0)+84|0;t=E+(F*344|0)+88|0;x=E+(F*344|0)+84|0;s=q;c=0;g=0;r=o;d=p;while(1){m=m+-1|0;e=n+-1|0;do if(!n){h=s;e=r}else{if(!B){h=e;i=s;e=d;while(1){i=i+-1|0;c=C?i:m;k=b[(f[t>>2]|0)+c>>0]|0;c=b[(f[x>>2]|0)+c>>0]|0;d=A?i:m;if(w)j=e;else{g=b[(f[y>>2]|0)+d>>0]|0;j=b[(f[u>>2]|0)+d>>0]|0}d=c<<24>>24==0;e=g<<24>>24!=0;b[(f[z>>2]|0)+i>>0]=(e|d^1)&1;a:do switch(f[a>>2]|0){case 275:{if(!((g|c)<<24>>24)){b[(f[v>>2]|0)+i>>0]=(j|k)<<24>>24!=0&1;break a}if(j<<24>>24==0|(d|e)?k<<24>>24==0|(g<<24>>24==0|c<<24>>24!=0):0)break a;b[(f[v>>2]|0)+i>>0]=1;b[(f[z>>2]|0)+i>>0]=0;break}case 276:{if(!((g|c)<<24>>24)){b[(f[v>>2]|0)+i>>0]=k<<24>>24!=0&j<<24>>24!=0&1;break a}if(d|(g|j)<<24>>24!=0){if(!d)break a;if(k<<24>>24!=0|g<<24>>24==0){c=0;break a}}b[(f[v>>2]|0)+i>>0]=0;b[(f[z>>2]|0)+i>>0]=0;break}case 278:{b[(f[v>>2]|0)+i>>0]=((j|k)<<24>>24==0|k<<24>>24!=0&j<<24>>24!=0)&1;break}case 277:{q=k<<24>>24==0;r=j<<24>>24!=0;b[(f[v>>2]|0)+i>>0]=(q&r|(q|r)^1)&1;break}default:{}}while(0);if(!h)break;else{h=h+-1|0;e=j}}h=s-n|0;e=k;d=j;break}o=r<<24>>24==0;k=r<<24>>24!=0;p=r<<24>>24!=0;l=r<<24>>24!=0;q=r<<24>>24==0;j=s;while(1){j=j+-1|0;h=A?j:m;if(!w){g=b[(f[y>>2]|0)+h>>0]|0;d=b[(f[u>>2]|0)+h>>0]|0}h=c<<24>>24==0;i=g<<24>>24!=0;b[(f[z>>2]|0)+j>>0]=(i|h^1)&1;b:do switch(f[a>>2]|0){case 275:{if(!((g|c)<<24>>24)){b[(f[v>>2]|0)+j>>0]=(d|r)<<24>>24!=0&1;break b}if(d<<24>>24==0|(h|i)?o|(g<<24>>24==0|c<<24>>24!=0):0)break b;b[(f[v>>2]|0)+j>>0]=1;b[(f[z>>2]|0)+j>>0]=0;break}case 276:{if(!((g|c)<<24>>24)){b[(f[v>>2]|0)+j>>0]=k&d<<24>>24!=0&1;break b}if(h|(g|d)<<24>>24!=0){if(!h)break b;if(p|g<<24>>24==0){c=0;break b}}b[(f[v>>2]|0)+j>>0]=0;b[(f[z>>2]|0)+j>>0]=0;break}case 278:{b[(f[v>>2]|0)+j>>0]=((d|r)<<24>>24==0|l&d<<24>>24!=0)&1;break}case 277:{i=d<<24>>24!=0;b[(f[v>>2]|0)+j>>0]=(q&i|(q|i)^1)&1;break}default:{}}while(0);if(!e)break;else e=e+-1|0}h=s-n|0;e=r}while(0);if(!m)break;else{s=h;n=f[D>>2]|0;r=e}}}}}else{switch(c|0){case 275:{b[a+88>>0]=(p|o)<<24>>24!=0&1;break}case 276:{b[a+88>>0]=o<<24>>24!=0&p<<24>>24!=0&1;break}case 278:{b[a+88>>0]=((p|o)<<24>>24==0|o<<24>>24!=0&p<<24>>24!=0)&1;break}case 277:{C=o<<24>>24==0;D=p<<24>>24!=0;b[a+88>>0]=(C&D|(C|D)^1)&1;break}case 289:{f[a+88>>2]=o<<24>>24;break}default:{}}f[a>>2]=-1e3}while(0);if((f[H>>2]|0)>0)Mv(f[E+(F*344|0)+88>>2]|0);if((f[I>>2]|0)<=0)return;Mv(f[E+(G*344|0)+88>>2]|0);return}function au(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;g=f[55566]|0;h=f[a+12>>2]|0;d=f[a+16>>2]|0;r=g+(h*344|0)|0;i=(f[r>>2]|0)==-1e3;s=g+(d*344|0)|0;o=(f[s>>2]|0)==-1e3;p=g+(h*344|0)+88|0;n=i?p:0;q=g+(d*344|0)+88|0;e=o?q:0;a:do if(!(i&o)){Tt(a);if(!(f[55581]|0)){c=f[55571]|0;switch(f[a>>2]|0){case 278:case 277:{l=a+84|0;k=g+(d*344|0)+84|0;h=g+(h*344|0)+84|0;j=a+88|0;if(i)d=0;else{d=0;while(1){while(1){n=c;c=c+-1|0;if(!n)break a;if(o)g=d;else g=b[(f[k>>2]|0)+c>>0]|0;b[(f[l>>2]|0)+c>>0]=(g|b[(f[h>>2]|0)+c>>0])<<24>>24!=0&1;if(!(b[(f[l>>2]|0)+c>>0]|0))break;else d=g}d=f[(f[p>>2]|0)+(c<<2)>>2]|0;if(!o)e=f[(f[q>>2]|0)+(c<<2)>>2]|0;if((b[d>>0]|0)==(b[e>>0]|0))d=tw(d,e)|0;else d=-1;b[(f[j>>2]|0)+c>>0]=((d|0)==0^(f[a>>2]|0)!=278)&1;d=g}}while(1){if(o){h=d<<24>>24!=0&1;g=c;while(1){c=g+-1|0;if(!g)break a;b[(f[l>>2]|0)+c>>0]=h;if(!(b[(f[l>>2]|0)+c>>0]|0))break;else g=c}}else{d=c;while(1){c=d+-1|0;if(!d)break a;d=b[(f[k>>2]|0)+c>>0]|0;b[(f[l>>2]|0)+c>>0]=d<<24>>24!=0&1;if(!(b[(f[l>>2]|0)+c>>0]|0))break;else d=c}}if(o)g=e;else g=f[(f[q>>2]|0)+(c<<2)>>2]|0;if((b[n>>0]|0)==(b[g>>0]|0))e=tw(n,g)|0;else e=-1;b[(f[j>>2]|0)+c>>0]=((e|0)==0^(f[a>>2]|0)!=278)&1;e=g}}case 281:case 282:{m=a+84|0;l=g+(d*344|0)+84|0;j=g+(h*344|0)+84|0;k=a+88|0;if(i)d=0;else{d=0;while(1){while(1){n=c;c=c+-1|0;if(!n)break a;if(o)i=d;else i=b[(f[l>>2]|0)+c>>0]|0;b[(f[m>>2]|0)+c>>0]=(i|b[(f[j>>2]|0)+c>>0])<<24>>24!=0&1;if(!(b[(f[m>>2]|0)+c>>0]|0))break;else d=i}h=f[(f[p>>2]|0)+(c<<2)>>2]|0;if(!o)e=f[(f[q>>2]|0)+(c<<2)>>2]|0;d=b[h>>0]|0;g=b[e>>0]|0;if(d<<24>>24>=g<<24>>24)if(d<<24>>24>g<<24>>24)d=1;else d=tw(h,e)|0;else d=-1;b[(f[k>>2]|0)+c>>0]=((f[a>>2]|0)==282?(d|0)>0:(d|0)<0)&1;d=i}}while(1){if(o){h=d<<24>>24!=0&1;g=c;while(1){c=g+-1|0;if(!g)break a;b[(f[m>>2]|0)+c>>0]=h;if(!(b[(f[m>>2]|0)+c>>0]|0))break;else g=c}}else{d=c;while(1){c=d+-1|0;if(!d)break a;d=b[(f[l>>2]|0)+c>>0]|0;b[(f[m>>2]|0)+c>>0]=d<<24>>24!=0&1;if(!(b[(f[m>>2]|0)+c>>0]|0))break;else d=c}}if(o)h=e;else h=f[(f[q>>2]|0)+(c<<2)>>2]|0;e=b[n>>0]|0;g=b[h>>0]|0;if(e<<24>>24>=g<<24>>24)if(e<<24>>24>g<<24>>24)e=1;else e=tw(n,h)|0;else e=-1;b[(f[k>>2]|0)+c>>0]=((f[a>>2]|0)==282?(e|0)>0:(e|0)<0)&1;e=h}}case 280:case 279:{m=a+84|0;l=g+(d*344|0)+84|0;j=g+(h*344|0)+84|0;k=a+88|0;if(i)d=0;else{d=0;while(1){while(1){n=c;c=c+-1|0;if(!n)break a;if(o)i=d;else i=b[(f[l>>2]|0)+c>>0]|0;b[(f[m>>2]|0)+c>>0]=(i|b[(f[j>>2]|0)+c>>0])<<24>>24!=0&1;if(!(b[(f[m>>2]|0)+c>>0]|0))break;else d=i}h=f[(f[p>>2]|0)+(c<<2)>>2]|0;if(!o)e=f[(f[q>>2]|0)+(c<<2)>>2]|0;d=b[h>>0]|0;g=b[e>>0]|0;if(d<<24>>24>=g<<24>>24)if(d<<24>>24>g<<24>>24)d=1;else d=tw(h,e)|0;else d=-1;b[(f[k>>2]|0)+c>>0]=((f[a>>2]|0)==279?(d|0)>-1:(d|0)<1)&1;d=i}}while(1){if(o){h=d<<24>>24!=0&1;g=c;while(1){c=g+-1|0;if(!g)break a;b[(f[m>>2]|0)+c>>0]=h;if(!(b[(f[m>>2]|0)+c>>0]|0))break;else g=c}}else{d=c;while(1){c=d+-1|0;if(!d)break a;d=b[(f[l>>2]|0)+c>>0]|0;b[(f[m>>2]|0)+c>>0]=d<<24>>24!=0&1;if(!(b[(f[m>>2]|0)+c>>0]|0))break;else d=c}}if(o)h=e;else h=f[(f[q>>2]|0)+(c<<2)>>2]|0;e=b[n>>0]|0;g=b[h>>0]|0;if(e<<24>>24>=g<<24>>24)if(e<<24>>24>g<<24>>24)e=1;else e=tw(n,h)|0;else e=-1;b[(f[k>>2]|0)+c>>0]=((f[a>>2]|0)==279?(e|0)>-1:(e|0)<1)&1;e=h}}case 43:{l=a+84|0;k=g+(d*344|0)+84|0;g=g+(h*344|0)+84|0;j=a+88|0;if(i){d=0;h=e}else{d=0;while(1){do{a=c;c=c+-1|0;if(!a)break a;if(!o)d=b[(f[k>>2]|0)+c>>0]|0;b[(f[l>>2]|0)+c>>0]=(d|b[(f[g>>2]|0)+c>>0])<<24>>24!=0&1}while((b[(f[l>>2]|0)+c>>0]|0)!=0);if(!o)e=f[(f[q>>2]|0)+(c<<2)>>2]|0;Jx(f[(f[j>>2]|0)+(c<<2)>>2]|0,f[(f[p>>2]|0)+(c<<2)>>2]|0)|0;xz(f[(f[j>>2]|0)+(c<<2)>>2]|0,e)|0}}while(1){if(o){g=d<<24>>24!=0&1;e=c;while(1){c=e+-1|0;if(!e)break a;b[(f[l>>2]|0)+c>>0]=g;if(!(b[(f[l>>2]|0)+c>>0]|0))break;else e=c}}else while(1){e=c+-1|0;if(!c)break a;d=b[(f[k>>2]|0)+e>>0]|0;b[(f[l>>2]|0)+e>>0]=d<<24>>24!=0&1;if(!(b[(f[l>>2]|0)+e>>0]|0)){c=e;break}else c=e}if(o)e=h;else e=f[(f[q>>2]|0)+(c<<2)>>2]|0;Jx(f[(f[j>>2]|0)+(c<<2)>>2]|0,n)|0;xz(f[(f[j>>2]|0)+(c<<2)>>2]|0,e)|0;h=e}}default:break a}}}else{d=f[a>>2]|0;switch(d|0){case 278:case 277:{if((b[n>>0]|0)==(b[e>>0]|0))c=(tw(n,e)|0)==0;else c=0;b[a+88>>0]=(c^(d|0)!=278)&1;break}case 282:{d=b[n>>0]|0;c=b[e>>0]|0;if(d<<24>>24>=c<<24>>24)if(d<<24>>24>c<<24>>24)c=1;else c=(tw(n,e)|0)>0&1;else c=0;b[a+88>>0]=c;break}case 281:{c=b[n>>0]|0;d=b[e>>0]|0;if(c<<24>>24>=d<<24>>24)if(c<<24>>24>d<<24>>24)c=0;else c=(tw(n,e)|0)>>>31&255;else c=1;b[a+88>>0]=c;break}case 279:{c=b[n>>0]|0;d=b[e>>0]|0;if(c<<24>>24>=d<<24>>24)if(c<<24>>24>d<<24>>24)c=1;else c=(tw(n,e)|0)>>>31&255^1;else c=0;b[a+88>>0]=c;break}case 280:{c=b[n>>0]|0;d=b[e>>0]|0;if(c<<24>>24>=d<<24>>24)if(c<<24>>24>d<<24>>24)c=0;else c=(tw(n,e)|0)<1&1;else c=1;b[a+88>>0]=c;break}case 43:{o=a+88|0;Jx(o,n)|0;xz(o,e)|0;break}default:{}}f[a>>2]=-1e3}while(0);if((f[r>>2]|0)>0){Mv(f[f[p>>2]>>2]|0);Mv(f[p>>2]|0)}if((f[s>>2]|0)<=0)return;Mv(f[f[q>>2]>>2]|0);Mv(f[q>>2]|0);return}function bu(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;i=f[55566]|0;m=f[a+12>>2]|0;n=f[a+16>>2]|0;o=i+(m*344|0)|0;e=(f[o>>2]|0)==-1e3;p=i+(n*344|0)|0;l=(f[p>>2]|0)==-1e3;m=i+(m*344|0)+88|0;d=e?m:0;n=i+(n*344|0)+88|0;i=l?n:0;a:do if(!(e&l)){Tt(a);if(!(f[55581]|0)){j=f[55571]|0;switch(f[a>>2]|0){case 279:case 280:case 281:case 282:case 278:case 277:{c=j+-1|0;if(!j)break a;j=a+84|0;h=a+88|0;if(e){g=c;c=i;while(1){if(!l)c=f[(f[n>>2]|0)+(g<<2)>>2]|0;e=f[a>>2]|0;switch(e|0){case 277:{e=(cu(d,c)|0)<<24>>24==0&1;k=34;break}case 278:{e=cu(d,c)|0;k=34;break}case 279:case 280:case 281:case 282:{e=du(d,e,c)|0;k=34;break}default:{}}if((k|0)==34){k=0;b[(f[h>>2]|0)+g>>0]=e}b[(f[j>>2]|0)+g>>0]=0;if(!g)break a;else g=g+-1|0}}else{g=c;c=i;while(1){d=f[(f[m>>2]|0)+(g<<2)>>2]|0;if(l)e=c;else e=f[(f[n>>2]|0)+(g<<2)>>2]|0;c=f[a>>2]|0;switch(c|0){case 277:{c=(cu(d,e)|0)<<24>>24==0&1;k=42;break}case 278:{c=cu(d,e)|0;k=42;break}case 279:case 280:case 281:case 282:{c=du(d,c,e)|0;k=42;break}default:{}}if((k|0)==42){k=0;b[(f[h>>2]|0)+g>>0]=c}b[(f[j>>2]|0)+g>>0]=0;if(!g)break a;else{g=g+-1|0;c=e}}}}case 43:case 38:case 124:{c=j+-1|0;if(!j)break a;j=a+88|0;if(e){h=c;c=i;while(1){if(!l)c=f[(f[n>>2]|0)+(h<<2)>>2]|0;e=f[a>>2]|0;do if((e|0)!=124){g=f[(f[j>>2]|0)+(h<<2)>>2]|0;if((e|0)==38){fu(g,d,c);break}else{Jx(g,d)|0;xz(f[(f[j>>2]|0)+(h<<2)>>2]|0,c)|0;break}}else eu(f[(f[j>>2]|0)+(h<<2)>>2]|0,d,c);while(0);if(!h)break;else h=h+-1|0}}else{h=c;c=i;while(1){g=f[(f[m>>2]|0)+(h<<2)>>2]|0;if(!l)c=f[(f[n>>2]|0)+(h<<2)>>2]|0;d=f[a>>2]|0;do if((d|0)!=124){e=f[(f[j>>2]|0)+(h<<2)>>2]|0;if((d|0)==38){fu(e,g,c);break}else{Jx(e,g)|0;xz(f[(f[j>>2]|0)+(h<<2)>>2]|0,c)|0;break}}else eu(f[(f[j>>2]|0)+(h<<2)>>2]|0,g,c);while(0);if(!h)break;else h=h+-1|0}}break}case 289:{c=f[n>>2]|0;if((j|0)>0){i=a+88|0;h=a+84|0;g=0;do{d=0;e=f[(f[m>>2]|0)+(g<<2)>>2]|0;b:while(1){switch(b[e>>0]|0){case 0:break b;case 49:{d=d+1|0;break}default:{}}e=e+1|0}c=d+c|0;f[(f[i>>2]|0)+(g<<2)>>2]=c;b[(f[h>>2]|0)+g>>0]=0;g=g+1|0}while((g|0)!=(j|0))}f[n>>2]=c;break a}default:break a}}}else{c=f[a>>2]|0;c:do switch(c|0){case 277:{l=(cu(d,i)|0)<<24>>24==0&1;b[a+88>>0]=l;break}case 278:{l=cu(d,i)|0;b[a+88>>0]=l;break}case 279:case 280:case 281:case 282:{l=du(d,c,i)|0;b[a+88>>0]=l;break}case 124:{eu(a+88|0,d,i);break}case 38:{fu(a+88|0,d,i);break}case 43:{l=a+88|0;Jx(l,d)|0;xz(l,i)|0;break}case 289:{e=a+88|0;f[e>>2]=0;c=0;while(1){switch(b[d>>0]|0){case 0:break c;case 49:{c=c+1|0;f[e>>2]=c;break}default:{}}d=d+1|0}}default:{}}while(0);f[a>>2]=-1e3}while(0);if((f[o>>2]|0)>0){Mv(f[f[m>>2]>>2]|0);Mv(f[m>>2]|0)}if((f[p>>2]|0)<=0)return;Mv(f[f[n>>2]>>2]|0);Mv(f[n>>2]|0);return}function cu(a,c){a=a|0;c=c|0;var d=0,e=0,f=0,g=0,h=0,i=0,j=0;j=u;u=u+256|0;i=j;g=Bx(a)|0;h=Bx(c)|0;if((g|0)<(h|0)){d=h-g|0;if(!d)d=0;else Fz(i|0,48,d|0)|0;if(!g){a=i;f=13}else{e=d;f=g;while(1){f=f+-1|0;b[i+e>>0]=b[a>>0]|0;if(!f)break;else{a=a+1|0;e=e+1|0}}a=i;d=g+d|0;f=13}}else if((h|0)<(g|0)){d=g-h|0;if(!d)d=0;else Fz(i|0,48,d|0)|0;if(!h){c=i;f=13}else{e=d;f=h;while(1){f=f+-1|0;b[i+e>>0]=b[c>>0]|0;if(!f)break;else{c=c+1|0;e=e+1|0}}c=i;d=h+d|0;f=13}}else e=a;if((f|0)==13){b[i+d>>0]=0;e=a}while(1){d=b[e>>0]|0;if(!(d<<24>>24)){d=1;f=17;break}a=b[c>>0]|0;if(d<<24>>24==48&a<<24>>24==49){d=0;f=17;break}if(d<<24>>24==49&a<<24>>24==48){d=0;f=17;break}else{e=e+1|0;c=c+1|0}}if((f|0)==17){u=j;return d|0}return 0}function du(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+256|0;j=k;e=Bx(a)|0;i=Bx(d)|0;if((e|0)<(i|0)){f=i-e|0;if(!f)f=0;else Fz(j|0,48,f|0)|0;if(!e){a=j;e=i;g=13}else{g=f;h=e;while(1){h=h+-1|0;b[j+g>>0]=b[a>>0]|0;if(!h)break;else{a=a+1|0;g=g+1|0}}a=j;f=e+f|0;e=i;g=13}}else if((i|0)<(e|0)){f=e-i|0;if(!f)f=0;else Fz(j|0,48,f|0)|0;if(!i){d=j;g=13}else{g=f;h=i;while(1){h=h+-1|0;b[j+g>>0]=b[d>>0]|0;if(!h)break;else{d=d+1|0;g=g+1|0}}d=j;f=i+f|0;g=13}}else j=a;if((g|0)==13){b[j+f>>0]=0;j=a}a:do if(!e){f=0;e=0}else{a=e;i=1;f=0;e=0;while(1){h=a;b:while(1){h=h+-1|0;a=b[j+h>>0]|0;g=b[d+h>>0]|0;switch(a<<24>>24){case 88:case 120:break;default:switch(g<<24>>24){case 88:case 120:break;default:break b}}if(!h)break a}f=(a<<24>>24==49?i:0)+f|0;e=(g<<24>>24==49?i:0)+e|0;if(!h)break;else{a=h;i=i<<1}}}while(0);switch(c|0){case 281:{c=(f|0)<(e|0);c=c&1;u=k;return c|0}case 280:{c=(f|0)<=(e|0);c=c&1;u=k;return c|0}case 282:{c=(f|0)>(e|0);c=c&1;u=k;return c|0}case 279:{c=(f|0)>=(e|0);c=c&1;u=k;return c|0}default:{c=0;c=c&1;u=k;return c|0}}return 0}function eu(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+256|0;j=k;h=Bx(c)|0;i=Bx(d)|0;if((h|0)<(i|0)){e=i-h|0;if(!e)e=0;else Fz(j|0,48,e|0)|0;if(!h){c=j;f=13}else{f=e;g=h;while(1){g=g+-1|0;b[j+f>>0]=b[c>>0]|0;if(!g)break;else{c=c+1|0;f=f+1|0}}c=j;e=h+e|0;f=13}}else if((i|0)<(h|0)){e=h-i|0;if(!e)e=0;else Fz(j|0,48,e|0)|0;if(!i){d=j;f=13}else{f=e;g=i;while(1){g=g+-1|0;b[j+f>>0]=b[d>>0]|0;if(!g)break;else{d=d+1|0;f=f+1|0}}d=j;e=i+e|0;f=13}}if((f|0)==13)b[j+e>>0]=0;e=b[c>>0]|0;if(!(e<<24>>24)){j=a;b[j>>0]=0;u=k;return}while(1){c=c+1|0;if(e<<24>>24==49)e=49;else{j=b[d>>0]|0;e=j<<24>>24==49?49:e<<24>>24==48|j<<24>>24==48?48:120}b[a>>0]=e;a=a+1|0;e=b[c>>0]|0;if(!(e<<24>>24))break;else d=d+1|0}b[a>>0]=0;u=k;return}function fu(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0,k=0;k=u;u=u+256|0;j=k;h=Bx(c)|0;i=Bx(d)|0;if((h|0)<(i|0)){e=i-h|0;if(!e)e=0;else Fz(j|0,48,e|0)|0;if(!h){c=j;f=13}else{f=e;g=h;while(1){g=g+-1|0;b[j+f>>0]=b[c>>0]|0;if(!g)break;else{c=c+1|0;f=f+1|0}}c=j;e=h+e|0;f=13}}else if((i|0)<(h|0)){e=h-i|0;if(!e)e=0;else Fz(j|0,48,e|0)|0;if(!i){d=j;f=13}else{f=e;g=i;while(1){g=g+-1|0;b[j+f>>0]=b[d>>0]|0;if(!g)break;else{d=d+1|0;f=f+1|0}}d=j;e=i+e|0;f=13}}if((f|0)==13)b[j+e>>0]=0;e=b[c>>0]|0;if(!(e<<24>>24)){j=a;b[j>>0]=0;u=k;return}while(1){c=c+1|0;if(e<<24>>24==120)e=120;else{j=b[d>>0]|0;e=j<<24>>24==120?120:e<<24>>24==49&j<<24>>24==49?49:48}b[a>>0]=e;a=a+1|0;e=b[c>>0]|0;if(!(e<<24>>24))break;else d=d+1|0}b[a>>0]=0;u=k;return}
function _u(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=a+84|0;j=a+24|0;if(!(f[j>>2]|0)){c=f[a+28>>2]|0;l=Lv(c)|0;e=a+32|0;f[e>>2]=l;d=Lv(c<<1)|0;g=a+36|0;f[g>>2]=d;if((l|0)==0|(d|0)==0){Mv(d);Mv(f[e>>2]|0);Uu(a,-4,108773);n=-1;return n|0}f[j>>2]=c;f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;c=a+88|0;f[c>>2]=0;f[n>>2]=0;if(!(Au(n,31,108787,56)|0))l=c;else{Mv(f[g>>2]|0);Mv(f[e>>2]|0);f[j>>2]=0;Uu(a,-4,108773);n=-1;return n|0}}else l=a+88|0;c=f[l>>2]|0;a:do if(c>>>0<2){switch(f[a+76>>2]|0){case -5:case 0:break;default:{n=-1;return n|0}}i=a+52|0;if(!(f[i>>2]|0)){k=a+32|0;if(!c)c=0;else{b[f[k>>2]>>0]=b[f[n>>2]>>0]|0;c=f[l>>2]|0}h=(f[k>>2]|0)+c|0;g=(f[j>>2]|0)-c|0;e=a+16|0;c=0;do{d=g-c|0;d=Ox(f[e>>2]|0,h+c|0,d>>>0<1073741824?d:1073741824)|0;if((d|0)<1){m=15;break}c=d+c|0}while(c>>>0<g>>>0);do if((m|0)==15){if((d|0)>=0){f[i>>2]=1;break}n=Wv()|0;Uu(a,-1,Jw(f[n>>2]|0)|0);n=-1;return n|0}while(0);c=(f[l>>2]|0)+c|0;f[l>>2]=c;f[n>>2]=f[k>>2]}switch(c|0){case 1:{c=1;break a}case 0:{c=0;break}default:{m=20;break a}}return c|0}else m=20;while(0);if((m|0)==20){m=f[n>>2]|0;if((b[m>>0]|0)==31?(b[m+1>>0]|0)==-117:0){yu(n)|0;f[a+44>>2]=2;f[a+40>>2]=0;n=0;return n|0}}d=a+40|0;if(!(f[d>>2]|0)){f[l>>2]=0;f[a+52>>2]=1;f[a>>2]=0;n=0;return n|0}else{m=f[a+36>>2]|0;f[a+4>>2]=m;Lz(m|0,f[n>>2]|0,c|0)|0;f[a>>2]=f[l>>2];f[l>>2]=0;f[a+44>>2]=1;f[d>>2]=1;n=0;return n|0}return 0}function $u(a){a=a|0;var b=0,c=0;if(!a){a=-2;return a|0}if((f[a+12>>2]|0)!=7247){a=-2;return a|0}if(f[a+24>>2]|0){Du(a+84|0)|0;Mv(f[a+36>>2]|0);Mv(f[a+32>>2]|0)}b=(f[a+76>>2]|0)==-5?-5:0;Uu(a,0,0);Mv(f[a+20>>2]|0);c=bx(f[a+16>>2]|0)|0;Mv(a);a=c|0?-1:b;return a|0}function av(a,b,c){a=a|0;b=b|0;c=c|0;do if(((a|0)!=0?(f[a+12>>2]|0)==31153:0)?(f[a+76>>2]|0)==0:0)if((c|0)<0){Uu(a,-3,108697);b=0;break}else{b=bv(a,b,c)|0;break}else b=0;while(0);return b|0}function bv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;if(!c){a=0;return a|0}n=a+24|0;if((f[n>>2]|0)==0?(cv(a)|0)==-1:0){a=0;return a|0}d=a+72|0;a:do if(f[d>>2]|0){f[d>>2]=0;d=f[a+68>>2]|0;k=a+84|0;g=a+88|0;if(f[g>>2]|0?(dv(a,0)|0)==-1:0){a=0;return a|0}if(d|0){i=a+32|0;j=a+8|0;h=0;while(1){e=f[n>>2]|0;e=(e|0)<0|(e|0)>(d|0)?d:e;if(!h)Fz(f[i>>2]|0,0,e|0)|0;f[g>>2]=e;f[k>>2]=f[i>>2];f[j>>2]=(f[j>>2]|0)+e;d=d-e|0;if((dv(a,0)|0)==-1){c=0;break}if(!d)break a;else h=1}return c|0}}while(0);k=a+88|0;if((f[n>>2]|0)>>>0<=c>>>0){if(!(f[k>>2]|0)){n=a+84|0;f[n>>2]=b;n=a+8|0;f[k>>2]=c;b=f[n>>2]|0;b=b+c|0;f[n>>2]=b;a=dv(a,0)|0;a=(a|0)==-1;a=a?0:c;return a|0}if((dv(a,0)|0)==-1){a=0;return a|0}else{n=a+84|0;f[n>>2]=b;n=a+8|0;f[k>>2]=c;b=f[n>>2]|0;b=b+c|0;f[n>>2]=b;a=dv(a,0)|0;a=(a|0)==-1;a=a?0:c;return a|0}}j=a+32|0;l=a+84|0;m=a+8|0;h=b;i=c;while(1){d=f[k>>2]|0;e=f[j>>2]|0;if(!d){f[l>>2]=e;g=e}else g=f[l>>2]|0;b=g+d|0;d=e-b+(f[n>>2]|0)|0;d=d>>>0>i>>>0?i:d;Lz(b|0,h|0,d|0)|0;f[k>>2]=d+(f[k>>2]|0);f[m>>2]=d+(f[m>>2]|0);i=i-d|0;if(!i){d=23;break}if((dv(a,0)|0)==-1){c=0;d=23;break}else h=h+d|0}if((d|0)==23)return c|0;return 0}function cv(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0;e=a+84|0;g=a+28|0;b=f[g>>2]|0;c=Lv(b<<1)|0;d=a+32|0;f[d>>2]=c;if(!c){Uu(a,-4,108773);a=-1;return a|0}h=a+40|0;if(f[h>>2]|0){f[a+24>>2]=b;a=0;return a|0}i=Lv(b)|0;b=a+36|0;f[b>>2]=i;if(!i){Mv(c);Uu(a,-4,108773);i=-1;return i|0}f[a+116>>2]=0;f[a+120>>2]=0;f[a+124>>2]=0;if(ou(e,f[a+60>>2]|0,8,31,8,f[a+64>>2]|0,108787,56)|0){Mv(f[b>>2]|0);Mv(f[d>>2]|0);Uu(a,-4,108773);i=-1;return i|0}f[e>>2]=0;b=f[g>>2]|0;i=f[h>>2]|0;f[a+24>>2]=b;if(i|0){i=0;return i|0}f[a+100>>2]=b;i=f[a+36>>2]|0;f[a+96>>2]=i;f[a+4>>2]=i;i=0;return i|0}function dv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;m=a+84|0;l=a+24|0;if((f[l>>2]|0)==0?(cv(a)|0)==-1:0){m=-1;return m|0}if(f[a+40>>2]|0){e=a+88|0;c=f[e>>2]|0;if(!c){m=0;return m|0}g=a+16|0;d=f[m>>2]|0;while(1){d=Nx(f[g>>2]|0,d,c>>>0<1073741824?c:1073741824)|0;if((d|0)<0)break;c=(f[e>>2]|0)-d|0;f[e>>2]=c;d=(f[m>>2]|0)+d|0;f[m>>2]=d;if(!c){c=0;h=41;break}}if((h|0)==41)return c|0;m=Wv()|0;Uu(a,-1,Jw(f[m>>2]|0)|0);m=-1;return m|0}g=a+100|0;j=a+96|0;i=a+4|0;k=a+36|0;h=a+16|0;a:do switch(b|0){case 0:{d=f[g>>2]|0;while(1){do if(!d){c=f[j>>2]|0;d=f[i>>2]|0;if(c>>>0>d>>>0){do{c=c-d|0;c=Nx(f[h>>2]|0,d,(c|0)<1073741824?c:1073741824)|0;if((c|0)<0){h=31;break a}d=(f[i>>2]|0)+c|0;f[i>>2]=d;c=f[j>>2]|0}while(c>>>0>d>>>0);c=f[g>>2]|0;if(c|0)break}c=f[l>>2]|0;f[g>>2]=c;e=f[k>>2]|0;f[j>>2]=e;f[i>>2]=e}else c=d;while(0);if((xu(m,0)|0)==-2){h=37;break a}d=f[g>>2]|0;if((c|0)==(d|0)){h=39;break}}break}case 4:{c=f[g>>2]|0;e=0;while(1){if((c|0)==0|(e|0)==1){d=f[j>>2]|0;e=f[i>>2]|0;if(d>>>0>e>>>0){c=e;do{e=d-c|0;c=Nx(f[h>>2]|0,c,(e|0)<1073741824?e:1073741824)|0;if((c|0)<0){h=31;break a}c=(f[i>>2]|0)+c|0;f[i>>2]=c;d=f[j>>2]|0}while(d>>>0>c>>>0);c=f[g>>2]|0}if(!c){d=f[l>>2]|0;f[g>>2]=d;e=f[k>>2]|0;f[j>>2]=e;f[i>>2]=e}else d=c}else d=c;e=xu(m,4)|0;if((e|0)==-2){h=37;break a}c=f[g>>2]|0;if((d|0)==(c|0)){h=39;break}}break}default:while(1){c=f[j>>2]|0;d=f[i>>2]|0;if(c>>>0>d>>>0)do{c=c-d|0;c=Nx(f[h>>2]|0,d,(c|0)<1073741824?c:1073741824)|0;if((c|0)<0){h=31;break a}d=(f[i>>2]|0)+c|0;f[i>>2]=d;c=f[j>>2]|0}while(c>>>0>d>>>0);c=f[g>>2]|0;if(!c){c=f[l>>2]|0;f[g>>2]=c;e=f[k>>2]|0;f[j>>2]=e;f[i>>2]=e}if((xu(m,b)|0)==-2){h=37;break a}if((c|0)==(f[g>>2]|0)){h=39;break}}}while(0);if((h|0)==31){m=Wv()|0;Uu(a,-1,Jw(f[m>>2]|0)|0);m=-1;return m|0}else if((h|0)==37){Uu(a,-2,108734);m=-1;return m|0}else if((h|0)==39){if((b|0)!=4){m=0;return m|0}wu(m)|0;m=0;return m|0}return 0}function ev(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0,i=0,j=0;if(!a){a=-2;return a|0}if((f[a+12>>2]|0)!=31153){a=-2;return a|0}b=a+72|0;a:do if(!(f[b>>2]|0))b=0;else{f[b>>2]=0;b=f[a+68>>2]|0;j=a+88|0;if(!((f[j>>2]|0)!=0?(dv(a,0)|0)==-1:0))c=6;b:do if((c|0)==6){if(!b){b=0;break a}d=a+24|0;i=a+32|0;e=a+84|0;g=a+8|0;h=0;while(1){c=f[d>>2]|0;c=(c|0)<0|(c|0)>(b|0)?b:c;if(!h)Fz(f[i>>2]|0,0,c|0)|0;f[j>>2]=c;f[e>>2]=f[i>>2];f[g>>2]=(f[g>>2]|0)+c;b=b-c|0;if((dv(a,0)|0)==-1)break b;if(!b){b=0;break a}else h=1}}while(0);b=f[a+76>>2]|0}while(0);if((dv(a,4)|0)==-1)b=f[a+76>>2]|0;if(f[a+24>>2]|0){if(!(f[a+40>>2]|0)){pu(a+84|0)|0;Mv(f[a+36>>2]|0)}Mv(f[a+32>>2]|0)}Uu(a,0,0);Mv(f[a+20>>2]|0);j=(bx(f[a+16>>2]|0)|0)==-1;Mv(a);a=j?-1:b;return a|0}function fv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,f=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;d=a>>>16;a=a&65535;if((c|0)==1){i=(h[b>>0]|0)+a|0;i=i>>>0>65520?i+-65521|0:i;g=i+d|0;i=(g>>>0>65520?g+15|0:g)<<16|i;return i|0}if(!b){i=1;return i|0}if(c>>>0<16){if(c)while(1){c=c+-1|0;a=(h[b>>0]|0)+a|0;d=a+d|0;if(!c)break;else b=b+1|0}i=((d>>>0)%65521|0)<<16|(a>>>0>65520?a+-65521|0:a);return i|0}if(c>>>0>5551){do{c=c+-5552|0;e=b;f=347;while(1){w=(h[e>>0]|0)+a|0;v=w+(h[e+1>>0]|0)|0;u=v+(h[e+2>>0]|0)|0;t=u+(h[e+3>>0]|0)|0;s=t+(h[e+4>>0]|0)|0;r=s+(h[e+5>>0]|0)|0;q=r+(h[e+6>>0]|0)|0;p=q+(h[e+7>>0]|0)|0;o=p+(h[e+8>>0]|0)|0;n=o+(h[e+9>>0]|0)|0;m=n+(h[e+10>>0]|0)|0;l=m+(h[e+11>>0]|0)|0;k=l+(h[e+12>>0]|0)|0;j=k+(h[e+13>>0]|0)|0;i=j+(h[e+14>>0]|0)|0;a=i+(h[e+15>>0]|0)|0;d=w+d+v+u+t+s+r+q+p+o+n+m+l+k+j+i+a|0;f=f+-1|0;if(!f)break;else e=e+16|0}b=b+5552|0;a=(a>>>0)%65521|0;d=(d>>>0)%65521|0}while(c>>>0>5551);if(c)if(c>>>0>15)g=14;else g=17}else g=14;if((g|0)==14){f=c+-16|0;g=f&-16;i=g+16|0;e=b;while(1){c=c+-16|0;x=(h[e>>0]|0)+a|0;j=x+(h[e+1>>0]|0)|0;k=j+(h[e+2>>0]|0)|0;l=k+(h[e+3>>0]|0)|0;m=l+(h[e+4>>0]|0)|0;n=m+(h[e+5>>0]|0)|0;o=n+(h[e+6>>0]|0)|0;p=o+(h[e+7>>0]|0)|0;q=p+(h[e+8>>0]|0)|0;r=q+(h[e+9>>0]|0)|0;s=r+(h[e+10>>0]|0)|0;t=s+(h[e+11>>0]|0)|0;u=t+(h[e+12>>0]|0)|0;v=u+(h[e+13>>0]|0)|0;w=v+(h[e+14>>0]|0)|0;a=w+(h[e+15>>0]|0)|0;d=x+d+j+k+l+m+n+o+p+q+r+s+t+u+v+w+a|0;if(c>>>0<=15)break;else e=e+16|0}c=f-g|0;if(!c)g=18;else{b=b+i|0;g=17}}if((g|0)==17)while(1){c=c+-1|0;a=(h[b>>0]|0)+a|0;d=a+d|0;if(!c){g=18;break}else{b=b+1|0;g=17}}if((g|0)==18){a=(a>>>0)%65521|0;d=(d>>>0)%65521|0}x=d<<16|a;return x|0}function gv(a,b,c){a=a|0;b=b|0;c=c|0;return fv(a,b,c)|0}function hv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,i=0,j=0;if(!b){i=0;return i|0}a=~a;a:do if(c){while(1){if(!(b&3))break;a=f[8352+(((h[b>>0]|0)^a&255)<<2)>>2]^a>>>8;c=c+-1|0;if(!c)break a;else b=b+1|0}if(c>>>0>31){e=c+-32|0;g=e&-32;d=b+(g+32)|0;while(1){i=f[b>>2]^a;i=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2]^f[b+4>>2];i=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2]^f[b+8>>2];i=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2]^f[b+12>>2];i=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2]^f[b+16>>2];i=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2]^f[b+20>>2];i=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2]^f[b+24>>2];i=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2]^f[b+28>>2];a=f[10400+((i>>>8&255)<<2)>>2]^f[11424+((i&255)<<2)>>2]^f[9376+((i>>>16&255)<<2)>>2]^f[8352+(i>>>24<<2)>>2];c=c+-32|0;if(c>>>0<=31)break;else b=b+32|0}b=d;c=e-g|0}if(c>>>0>3){g=c+-4|0;i=g>>>2;d=i+1|0;e=b;while(1){j=f[e>>2]^a;a=f[10400+((j>>>8&255)<<2)>>2]^f[11424+((j&255)<<2)>>2]^f[9376+((j>>>16&255)<<2)>>2]^f[8352+(j>>>24<<2)>>2];c=c+-4|0;if(c>>>0<=3)break;else e=e+4|0}b=b+(d<<2)|0;c=g-(i<<2)|0}if(c)while(1){a=f[8352+(((h[b>>0]|0)^a&255)<<2)>>2]^a>>>8;c=c+-1|0;if(!c)break;else b=b+1|0}}while(0);j=~a;return j|0}function iv(a,b,c){a=a|0;b=b|0;c=c|0;return hv(a,b,c)|0}function jv(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0;D=f[a+28>>2]|0;e=f[a>>2]|0;G=a+4|0;E=e+((f[G>>2]|0)+-5)|0;K=a+12|0;p=f[K>>2]|0;H=a+16|0;u=f[H>>2]|0;F=p+(u+-257)|0;x=f[D+44>>2]|0;y=f[D+48>>2]|0;z=f[D+52>>2]|0;A=f[D+56>>2]|0;J=D+60|0;I=D+64|0;v=f[D+80>>2]|0;w=f[D+84>>2]|0;B=(1<<f[D+88>>2])+-1|0;C=(1<<f[D+92>>2])+-1|0;u=p+(u-c)|0;t=D+7108|0;s=(z|0)==0;r=z+x|0;q=u-z|0;i=f[I>>2]|0;g=f[J>>2]|0;c=p;a:while(1){if(i>>>0<15){l=i+16|0;g=((h[e>>0]|0)<<i)+g+((h[e+1>>0]|0)<<i+8)|0;e=e+2|0}else l=i;i=g&B;j=b[v+(i<<2)>>0]|0;k=d[v+(i<<2)+2>>1]|0;i=h[v+(i<<2)+1>>0]|0;g=g>>>i;i=l-i|0;do if(j<<24>>24){j=j&255;while(1){if(j&16|0)break;if(j&64|0){L=53;break a}p=(g&(1<<j)+-1)+(k&65535)|0;j=b[v+(p<<2)>>0]|0;k=d[v+(p<<2)+2>>1]|0;p=h[v+(p<<2)+1>>0]|0;g=g>>>p;i=i-p|0;if(!(j<<24>>24)){L=6;break}else j=j&255}if((L|0)==6){j=k&255;L=7;break}k=k&65535;m=j&15;if(!m)l=g;else{if(i>>>0<m>>>0){j=i+8|0;g=((h[e>>0]|0)<<i)+g|0;e=e+1|0}else j=i;i=j-m|0;l=g>>>m;k=(g&(1<<m)+-1)+k|0}if(i>>>0<15){j=i+16|0;g=((h[e>>0]|0)<<i)+l+((h[e+1>>0]|0)<<i+8)|0;e=e+2|0}else{j=i;g=l}p=g&C;l=d[w+(p<<2)+2>>1]|0;i=h[w+(p<<2)+1>>0]|0;g=g>>>i;i=j-i|0;j=h[w+(p<<2)>>0]|0;if(!(j&16))do{if(j&64|0){j=108822;L=55;break a}j=(g&(1<<j)+-1)+(l&65535)|0;l=d[w+(j<<2)+2>>1]|0;p=h[w+(j<<2)+1>>0]|0;g=g>>>p;i=i-p|0;j=h[w+(j<<2)>>0]|0}while((j&16|0)==0);m=l&65535;n=j&15;if(i>>>0<n>>>0){l=e+1|0;g=((h[e>>0]|0)<<i)+g|0;j=i+8|0;if(j>>>0<n>>>0){i=i+16|0;g=((h[l>>0]|0)<<j)+g|0;e=e+2|0}else{i=j;e=l}}p=(g&(1<<n)+-1)+m|0;g=g>>>n;i=i-n|0;m=c;j=m-u|0;if(p>>>0<=j>>>0){l=c+(0-p)|0;n=c;while(1){b[n>>0]=b[l>>0]|0;b[n+1>>0]=b[l+1>>0]|0;j=l+3|0;c=n+3|0;b[n+2>>0]=b[l+2>>0]|0;k=k+-3|0;if(k>>>0<=2)break;else{l=j;n=c}}if(!k)break;m=n+4|0;b[c>>0]=b[j>>0]|0;if((k|0)==1){c=m;break}b[m>>0]=b[l+4>>0]|0;c=n+5|0;break}l=p-j|0;if(l>>>0>y>>>0?f[t>>2]|0:0){j=108844;L=55;break a}do if(s){j=A+(x-l)|0;if(k>>>0>l>>>0){k=k-l|0;n=p-m|0;m=c;while(1){b[m>>0]=b[j>>0]|0;l=l+-1|0;if(!l)break;else{j=j+1|0;m=m+1|0}}c=c+u+n|0;j=c+(0-p)|0}}else{if(z>>>0>=l>>>0){j=A+(z-l)|0;if(k>>>0<=l>>>0)break;k=k-l|0;n=p-m|0;m=c;while(1){b[m>>0]=b[j>>0]|0;l=l+-1|0;if(!l)break;else{j=j+1|0;m=m+1|0}}c=c+u+n|0;j=c+(0-p)|0;break}j=A+(r-l)|0;l=l-z|0;if(k>>>0>l>>>0){k=k-l|0;o=p-m|0;m=c;while(1){b[m>>0]=b[j>>0]|0;l=l+-1|0;if(!l)break;else{j=j+1|0;m=m+1|0}}n=c+q+o|0;if(k>>>0>z>>>0){m=c+u|0;j=A;l=z;c=n;while(1){b[c>>0]=b[j>>0]|0;l=l+-1|0;if(!l)break;else{j=j+1|0;c=c+1|0}}c=m+o|0;j=c+(0-p)|0;k=k-z|0}else{j=A;c=n}}}while(0);if(k>>>0>2){m=j;while(1){b[c>>0]=b[m>>0]|0;b[c+1>>0]=b[m+1>>0]|0;j=m+3|0;l=c+3|0;b[c+2>>0]=b[m+2>>0]|0;c=k+-3|0;if(c>>>0>2){m=j;k=c;c=l}else{k=c;break}}}else l=c;if(k){c=l+1|0;b[l>>0]=b[j>>0]|0;if((k|0)!=1){b[c>>0]=b[j+1>>0]|0;c=l+2|0}}else c=l}else{j=k&255;L=7}while(0);if((L|0)==7){L=0;b[c>>0]=j;c=c+1|0}if(!(c>>>0<F>>>0&e>>>0<E>>>0)){L=57;break}}if((L|0)==53)if(!(j&32)){j=108794;L=55}else j=16191;else if((L|0)==57){L=i>>>3;C=0-L|0;C=e+C|0;L=L<<3;L=i-L|0;D=1<<L;D=D+-1|0;D=D&g;f[a>>2]=C;f[K>>2]=c;a=E;K=C;a=a+5|0;K=a-K|0;f[G>>2]=K;K=F;a=c;K=K+257|0;a=K-a|0;f[H>>2]=a;f[J>>2]=D;f[I>>2]=L;return}if((L|0)==55){f[a+24>>2]=j;j=16209}f[D+4>>2]=j;A=i;D=g;z=e;C=c;L=A>>>3;B=0-L|0;B=z+B|0;L=L<<3;L=A-L|0;A=1<<L;A=A+-1|0;D=A&D;f[a>>2]=B;f[K>>2]=C;a=E;K=B;a=a+5|0;K=a-K|0;f[G>>2]=K;K=F;a=C;K=K+257|0;a=K-a|0;f[H>>2]=a;f[J>>2]=D;f[I>>2]=L;return}function kv(a){a=a|0;var b=0,c=0;c=u;u=u+16|0;b=f[4971]|0;f[c>>2]=a;f[c+4>>2]=109317;zy(b,108874,c)|0;if((a|0)!=1007)kb(3);Vx(109336,1056,1,b)|0;kb(3)}function lv(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;if(d>>>0>250|((a|0)==0|(b+-1|0)>>>0>8)){c=-2;return c|0}l=(d|0)==0?30:d;e=a+36|0;d=f[e>>2]|0;if(!d){f[e>>2]=44;d=44}n=a+40|0;if(!(f[n>>2]|0))f[n>>2]=2;o=a+44|0;m=rb[d&63](f[o>>2]|0,55728,1)|0;if(!m){c=-3;return c|0}f[m>>2]=a;d=m+16|0;f[d>>2]=0;i=m+20|0;f[i>>2]=0;k=m+24|0;f[k>>2]=0;j=b*1e5|0;h=b*4e5|0;g=rb[f[e>>2]&63](f[o>>2]|0,h,1)|0;f[d>>2]=g;h=rb[f[e>>2]&63](f[o>>2]|0,h+136|0,1)|0;f[i>>2]=h;h=rb[f[e>>2]&63](f[o>>2]|0,262148,1)|0;f[k>>2]=h;d=f[d>>2]|0;e=d;do if(d|0){g=f[i>>2]|0;if((h|0)==0|(g|0)==0){vb[f[n>>2]&3](f[o>>2]|0,d);break}f[m+8>>2]=2;f[m+4>>2]=2;f[m+612>>2]=0;f[m+624>>2]=b;f[m+72>>2]=j+-19;f[m+616>>2]=c;f[m+48>>2]=l;f[m+36>>2]=g;f[m+40>>2]=e;f[m+44>>2]=0;f[m+32>>2]=e;f[a+32>>2]=m;f[a+8>>2]=0;f[a+12>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[m+52>>2]=256;f[m+56>>2]=0;f[m+68>>2]=0;f[m+76>>2]=0;f[m+80>>2]=0;f[m+608>>2]=-1;Fz(m+88|0,0,256)|0;f[m+620>>2]=1;c=0;return c|0}while(0);d=f[i>>2]|0;if(d|0)vb[f[n>>2]&3](f[o>>2]|0,d);d=f[k>>2]|0;if(d|0)vb[f[n>>2]&3](f[o>>2]|0,d);vb[f[n>>2]&3](f[o>>2]|0,m);c=-3;return c|0}function mv(a,b,c){a=a|0;b=b|0;c=c|0;return Lv(X(c,b)|0)|0}function nv(a,b){a=a|0;b=b|0;if(!b)return;Mv(b);return}function ov(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;l=f[a+32>>2]|0;v=l+8|0;y=l+80|0;t=l+76|0;q=l+4|0;m=l+12|0;w=l+52|0;x=l+56|0;r=l+68|0;o=l+608|0;u=l+88|0;p=l+620|0;z=l+44|0;s=l+72|0;n=l+36|0;c=0;a=0;a:while(1){switch(f[v>>2]|0){case 1:{e=f[l>>2]|0;d=f[y>>2]|0;b:do if(!(f[e+20>>2]|0))e=0;else{g=e;e=0;while(1){if((d|0)>=(f[t>>2]|0))break b;b[f[g+16>>2]>>0]=b[(f[z>>2]|0)+d>>0]|0;d=(f[y>>2]|0)+1|0;f[y>>2]=d;g=f[l>>2]|0;j=g+20|0;e=(f[j>>2]|0)+-1|0;f[j>>2]=e;j=g+16|0;f[j>>2]=(f[j>>2]|0)+1;j=g+24|0;k=(f[j>>2]|0)+1|0;f[j>>2]=k;if(!k){k=g+28|0;f[k>>2]=(f[k>>2]|0)+1}if(!e){e=1;break}else e=1}}while(0);a=e|a;if((d|0)<(f[t>>2]|0)){A=57;break a}d=f[q>>2]|0;if((d|0)==4?(f[m>>2]|0)==0:0){if((f[w>>2]|0)>>>0>=256){A=57;break a}if((f[x>>2]|0)<=0){A=57;break a}}f[r>>2]=0;f[t>>2]=0;f[y>>2]=0;f[o>>2]=-1;Fz(u|0,0,256)|0;f[p>>2]=(f[p>>2]|0)+1;f[v>>2]=2;if((d|0)==3)if(!(f[m>>2]|0)){if((f[w>>2]|0)>>>0>=256){A=57;break a}if((f[x>>2]|0)<=0){A=57;break a}else A=17}else A=17;break}case 2:{A=17;break}default:{A=58;break a}}if((A|0)==17){A=0;d=f[q>>2]|0}g=f[r>>2]|0;i=f[s>>2]|0;e=(g|0)<(i|0);c:do if((d|0)==2)if(e){k=f[l>>2]|0;j=f[k+4>>2]|0;e=i;d=0;while(1){if(!j)break c;g=h[f[k>>2]>>0]|0;d=f[w>>2]|0;e=f[x>>2]|0;if((g|0)==(d|0))if((e|0)==255)A=28;else f[x>>2]=e+1;else if((e|0)==1){k=f[o>>2]|0;f[o>>2]=k<<8^f[16544+((k>>>24^d&255)<<2)>>2];b[l+88+d>>0]=1;b[(f[n>>2]|0)+(f[r>>2]|0)>>0]=d;f[r>>2]=(f[r>>2]|0)+1;f[w>>2]=g}else A=28;if((A|0)==28){A=0;if(d>>>0<256)pv(l);f[w>>2]=g;f[x>>2]=1}k=f[l>>2]|0;f[k>>2]=(f[k>>2]|0)+1;g=k+4|0;j=(f[g>>2]|0)+-1|0;f[g>>2]=j;g=k+8|0;i=(f[g>>2]|0)+1|0;f[g>>2]=i;if(!i){i=k+12|0;f[i>>2]=(f[i>>2]|0)+1}d=f[r>>2]|0;e=f[s>>2]|0;if((d|0)>=(e|0)){g=d;d=1;break}else{g=d;d=1}}}else{e=i;d=0}else if(e){k=f[l>>2]|0;j=f[k+4>>2]|0;e=i;d=0;while(1){if(!j)break c;if(!(f[m>>2]|0))break c;g=h[f[k>>2]>>0]|0;d=f[w>>2]|0;e=f[x>>2]|0;if((g|0)==(d|0))if((e|0)==255)A=41;else f[x>>2]=e+1;else if((e|0)==1){k=f[o>>2]|0;f[o>>2]=k<<8^f[16544+((k>>>24^d&255)<<2)>>2];b[l+88+d>>0]=1;b[(f[n>>2]|0)+(f[r>>2]|0)>>0]=d;f[r>>2]=(f[r>>2]|0)+1;f[w>>2]=g}else A=41;if((A|0)==41){A=0;if(d>>>0<256)pv(l);f[w>>2]=g;f[x>>2]=1}k=f[l>>2]|0;f[k>>2]=(f[k>>2]|0)+1;g=k+4|0;j=(f[g>>2]|0)+-1|0;f[g>>2]=j;g=k+8|0;i=(f[g>>2]|0)+1|0;f[g>>2]=i;if(!i){i=k+12|0;f[i>>2]=(f[i>>2]|0)+1}f[m>>2]=(f[m>>2]|0)+-1;d=f[r>>2]|0;e=f[s>>2]|0;if((d|0)>=(e|0)){g=d;d=1;break}else{g=d;d=1}}}else{e=i;d=0}while(0);c=d|c;d=f[q>>2]|0;if((d|0)!=2?(f[m>>2]|0)==0:0){if((f[w>>2]|0)>>>0<256){pv(l);d=f[q>>2]|0}f[w>>2]=256;f[x>>2]=0;Bv(l,(d|0)==4&1)}else A=54;do if((A|0)==54){A=0;if((g|0)<(e|0))if(!(f[(f[l>>2]|0)+4>>2]|0)){A=57;break a}else continue a;else{Bv(l,0);break}}while(0);f[v>>2]=1}if((A|0)==57)return (c|a)<<24>>24!=0|0;else if((A|0)==58)while(1)A=58;return 0}function pv(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0;c=f[a+52>>2]|0;j=c&255;k=a+56|0;d=f[k>>2]|0;if((d|0)>0){g=a+608|0;h=c&255;e=f[g>>2]|0;i=0;do{e=e<<8^f[16544+((e>>>24^h)<<2)>>2];f[g>>2]=e;i=i+1|0}while((i|0)<(d|0))}b[a+88+c>>0]=1;c=f[k>>2]|0;switch(c|0){case 1:{k=a+68|0;a=(f[a+36>>2]|0)+(f[k>>2]|0)|0;b[a>>0]=j;a=f[k>>2]|0;a=a+1|0;f[k>>2]=a;return}case 2:{i=a+36|0;k=a+68|0;b[(f[i>>2]|0)+(f[k>>2]|0)>>0]=j;a=(f[k>>2]|0)+1|0;f[k>>2]=a;a=(f[i>>2]|0)+a|0;b[a>>0]=j;a=f[k>>2]|0;a=a+1|0;f[k>>2]=a;return}case 3:{i=a+36|0;k=a+68|0;b[(f[i>>2]|0)+(f[k>>2]|0)>>0]=j;a=(f[k>>2]|0)+1|0;f[k>>2]=a;b[(f[i>>2]|0)+a>>0]=j;a=(f[k>>2]|0)+1|0;f[k>>2]=a;a=(f[i>>2]|0)+a|0;b[a>>0]=j;a=f[k>>2]|0;a=a+1|0;f[k>>2]=a;return}default:{b[c+-4+(a+88)>>0]=1;h=a+36|0;i=a+68|0;b[(f[h>>2]|0)+(f[i>>2]|0)>>0]=j;a=(f[i>>2]|0)+1|0;f[i>>2]=a;b[(f[h>>2]|0)+a>>0]=j;a=(f[i>>2]|0)+1|0;f[i>>2]=a;b[(f[h>>2]|0)+a>>0]=j;a=(f[i>>2]|0)+1|0;f[i>>2]=a;b[(f[h>>2]|0)+a>>0]=j;a=(f[i>>2]|0)+1|0;f[i>>2]=a;a=(f[h>>2]|0)+a|0;j=(f[k>>2]|0)+252&255;k=i;b[a>>0]=j;a=f[k>>2]|0;a=a+1|0;f[k>>2]=a;return}}}function qv(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0;c=256;d=0;do{e=d+c>>1;g=(f[b+(e<<2)>>2]|0)>(a|0);c=g?e:c;d=g?d:e}while((c-d|0)!=1);return d|0}function rv(a){a=a|0;var c=0,d=0,e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0;S=u;u=u+16|0;Q=S+8|0;O=S;if(!a){R=-2;u=S;return R|0}L=f[a+32>>2]|0;if(!L){R=-2;u=S;return R|0}if((f[L>>2]|0)!=(a|0)){R=-2;u=S;return R|0}F=L+4|0;E=L+40|0;t=L+16|0;w=L+3168|0;G=L+8|0;H=L+12|0;A=L+1088|0;x=L+60|0;K=L+3148|0;J=L+56|0;v=L+36|0;D=L+64064|0;B=L+20|0;C=L+24|0;P=L+48|0;M=f[4971]|0;I=L+3160|0;N=L+3172|0;y=L+3152|0;z=L+3156|0;a=f[F>>2]|0;a:while(1){switch(a|0){case 1:{a=-1;R=154;break a}case 2:{d=(b[t>>0]|0)==0;b:do if(!(b[E>>0]|0)){if(d){r=f[K>>2]|0;c=f[L>>2]|0;s=f[c+20>>2]|0;m=(f[D>>2]|0)+1|0;q=(f[v>>2]|0)*1e5|0;l=f[w>>2]|0;a=f[x>>2]|0;o=f[A>>2]|0;p=b[G>>0]|0;g=f[H>>2]|0;e=f[J>>2]|0;k=s;c=f[c+16>>2]|0;c:while(1){d:do if((g|0)>0){if(!k){n=a;m=o;i=p;d=0;break c}i=p&255;d=l;while(1){if((g|0)==1){l=d;d=o;i=p;g=k;R=122;break d}b[c>>0]=p;d=f[16544+((d>>>24^i)<<2)>>2]^d<<8;g=g+-1|0;c=c+1|0;k=k+-1|0;if(!k){l=d;n=a;m=o;i=p;d=0;break c}}}else{n=a;a=p}while(0);while(1){if((R|0)==122){R=0;if(!g){n=a;m=d;g=1;d=0;break c}b[c>>0]=i;l=f[16544+((l>>>24^i&255)<<2)>>2]^l<<8;n=a;o=d;a=i;k=g+-1|0;c=c+1|0}if((o|0)>(m|0)){a=-4;R=154;break a}if((o|0)==(m|0)){i=a;g=0;d=k;break c}i=n&255;if(e>>>0>=q>>>0){a=-4;R=154;break a}a=f[r+(e<<2)>>2]|0;e=a>>>8;d=o+1|0;a=a&255;if((a|0)!=(n|0)){g=k;R=122;continue}if((d|0)==(m|0)){a=n;d=m;g=k;R=122}else break}if(e>>>0>=q>>>0){a=-4;R=154;break a}a=f[r+(e<<2)>>2]|0;e=a>>>8;d=o+2|0;if((d|0)==(m|0)){a=n;o=m;p=i;g=2;continue}a=a&255;if((a|0)!=(n|0)){o=d;p=i;g=2;continue}if(e>>>0>=q>>>0){a=-4;R=154;break a}a=f[r+(e<<2)>>2]|0;e=a>>>8;d=o+3|0;if((d|0)==(m|0)){a=n;o=m;p=i;g=3;continue}a=a&255;if((a|0)!=(n|0)){o=d;p=i;g=3;continue}if(e>>>0>=q>>>0){a=-4;R=154;break a}d=f[r+(e<<2)>>2]|0;a=d>>>8;if(a>>>0>=q>>>0){a=-4;R=154;break a}e=f[r+(a<<2)>>2]|0;a=e&255;o=o+5|0;p=i;g=(d&255)+4|0;e=e>>>8}a=f[L>>2]|0;p=a+24|0;q=f[p>>2]|0;s=q+(s-d)|0;f[p>>2]=s;if(s>>>0<q>>>0){s=a+28|0;f[s>>2]=(f[s>>2]|0)+1}f[w>>2]=l;b[G>>0]=i;f[H>>2]=g;f[A>>2]=m;f[x>>2]=n;f[K>>2]=r;f[J>>2]=e;f[a+16>>2]=c;f[a+20>>2]=d;break}c=f[L>>2]|0;if(f[c+20>>2]|0){a=f[H>>2]|0;do{while(1){if(!a)break;b[f[c+16>>2]>>0]=b[G>>0]|0;a=f[w>>2]|0;f[w>>2]=f[16544+((h[G>>0]^a>>>24)<<2)>>2]^a<<8;a=(f[H>>2]|0)+-1|0;f[H>>2]=a;c=f[L>>2]|0;r=c+16|0;f[r>>2]=(f[r>>2]|0)+1;r=c+20|0;d=(f[r>>2]|0)+-1|0;f[r>>2]=d;r=c+24|0;s=(f[r>>2]|0)+1|0;f[r>>2]=s;if(!s){s=c+28|0;f[s>>2]=(f[s>>2]|0)+1}if(!d)break b}o=f[A>>2]|0;k=f[D>>2]|0;a=k+1|0;if((o|0)==(a|0))break b;if((o|0)>(a|0)){a=-4;R=154;break a}f[H>>2]=1;l=f[x>>2]|0;b[G>>0]=l;a=f[J>>2]|0;n=(f[v>>2]|0)*1e5|0;if(a>>>0>=n>>>0){a=-4;R=154;break a}m=f[K>>2]|0;d=f[m+(a<<2)>>2]|0;e=d>>>8;f[J>>2]=e;a=f[B>>2]|0;if(!a){s=f[C>>2]|0;a=f[17568+(s<<2)>>2]|0;f[B>>2]=a;s=s+1|0;f[C>>2]=(s|0)==512?0:s}a=a+-1|0;f[B>>2]=a;i=o+1|0;f[A>>2]=i;do if((o|0)!=(k|0)){d=(a|0)==1^d&255;if((d|0)!=(l|0)){f[x>>2]=d;a=1;break}f[H>>2]=2;if(e>>>0>=n>>>0){a=-4;R=154;break a}d=f[m+(e<<2)>>2]|0;e=d>>>8;f[J>>2]=e;if(!a){s=f[C>>2]|0;a=f[17568+(s<<2)>>2]|0;f[B>>2]=a;s=s+1|0;f[C>>2]=(s|0)==512?0:s}a=a+-1|0;f[B>>2]=a;g=o+2|0;f[A>>2]=g;if((i|0)==(k|0))a=2;else{d=(a|0)==1^d&255;if((d|0)!=(l|0)){f[x>>2]=d;a=2;break}f[H>>2]=3;if(e>>>0>=n>>>0){a=-4;R=154;break a}d=f[m+(e<<2)>>2]|0;e=d>>>8;f[J>>2]=e;if(!a){s=f[C>>2]|0;a=f[17568+(s<<2)>>2]|0;f[B>>2]=a;s=s+1|0;f[C>>2]=(s|0)==512?0:s}a=a+-1|0;f[B>>2]=a;f[A>>2]=o+3;if((g|0)==(k|0)){a=3;break}d=(a|0)==1^d&255;if((d|0)!=(l|0)){f[x>>2]=d;a=3;break}if(e>>>0>=n>>>0){a=-4;R=154;break a}e=f[m+(e<<2)>>2]|0;g=e>>>8;f[J>>2]=g;if(!a){s=f[C>>2]|0;a=f[17568+(s<<2)>>2]|0;f[B>>2]=a;s=s+1|0;f[C>>2]=(s|0)==512?0:s}d=a+-1|0;f[B>>2]=d;f[A>>2]=o+4;a=((d|0)==1^e&255)+4|0;f[H>>2]=a;if(g>>>0>=n>>>0){a=-4;R=154;break a}s=f[m+(g<<2)>>2]|0;e=s&255;f[x>>2]=e;f[J>>2]=s>>>8;if(!d){s=f[C>>2]|0;d=f[17568+(s<<2)>>2]|0;f[B>>2]=d;s=s+1|0;f[C>>2]=(s|0)==512?0:s}s=d+-1|0;f[B>>2]=s;f[x>>2]=(s|0)==1^e;f[A>>2]=o+5}}else a=1;while(0)}while((f[c+20>>2]|0)!=0)}}else{c=f[L>>2]|0;a=(f[c+20>>2]|0)==0;if(d){if(a)break;a=f[H>>2]|0;while(1){while(1){if(!a)break;b[f[c+16>>2]>>0]=b[G>>0]|0;a=f[w>>2]|0;f[w>>2]=f[16544+((h[G>>0]^a>>>24)<<2)>>2]^a<<8;a=(f[H>>2]|0)+-1|0;f[H>>2]=a;c=f[L>>2]|0;r=c+16|0;f[r>>2]=(f[r>>2]|0)+1;r=c+20|0;d=(f[r>>2]|0)+-1|0;f[r>>2]=d;r=c+24|0;s=(f[r>>2]|0)+1|0;f[r>>2]=s;if(!s){s=c+28|0;f[s>>2]=(f[s>>2]|0)+1}if(!d)break b}r=f[A>>2]|0;m=f[D>>2]|0;a=m+1|0;if((r|0)==(a|0))break b;if((r|0)>(a|0)){a=-4;R=154;break a}f[H>>2]=1;n=f[x>>2]|0;b[G>>0]=n;d=f[J>>2]|0;o=(f[v>>2]|0)*1e5|0;if(d>>>0<o>>>0){a=256;e=0}else{a=-4;R=154;break a}do{s=e+a>>1;q=(f[L+1092+(s<<2)>>2]|0)>(d|0);a=q?s:a;e=q?e:s}while((a-e|0)!=1);p=f[y>>2]|0;i=j[p+(d<<1)>>1]|0;q=f[z>>2]|0;g=(h[q+(d>>>1)>>0]|0)>>>(d<<2&4)<<16&983040|i;f[J>>2]=g;k=r+1|0;f[A>>2]=k;do if((r|0)!=(m|0)){a=e&255;if((a|0)!=(n|0)){f[x>>2]=a;a=1;break}f[H>>2]=2;if(g>>>0<o>>>0){a=256;d=0}else{a=-4;R=154;break a}do{s=d+a>>1;l=(f[L+1092+(s<<2)>>2]|0)>(g|0);a=l?s:a;d=l?d:s}while((a-d|0)!=1);l=j[p+(g<<1)>>1]|0;e=(h[q+(g>>>1)>>0]|0)>>>(i<<2&4)<<16&983040|l;f[J>>2]=e;i=r+2|0;f[A>>2]=i;if((k|0)==(m|0))a=2;else{a=d&255;if((a|0)!=(n|0)){f[x>>2]=a;a=2;break}f[H>>2]=3;if(e>>>0<o>>>0){a=256;d=0}else{a=-4;R=154;break a}do{s=d+a>>1;k=(f[L+1092+(s<<2)>>2]|0)>(e|0);a=k?s:a;d=k?d:s}while((a-d|0)!=1);g=j[p+(e<<1)>>1]|0;e=(h[q+(e>>>1)>>0]|0)>>>(l<<2&4)<<16&983040|g;f[J>>2]=e;f[A>>2]=r+3;if((i|0)==(m|0)){a=3;break}a=d&255;if((a|0)!=(n|0)){f[x>>2]=a;a=3;break}if(e>>>0<o>>>0){a=256;d=0}else{a=-4;R=154;break a}do{s=d+a>>1;n=(f[L+1092+(s<<2)>>2]|0)>(e|0);a=n?s:a;d=n?d:s}while((a-d|0)!=1);i=j[p+(e<<1)>>1]|0;g=(h[q+(e>>>1)>>0]|0)>>>(g<<2&4)<<16&983040|i;f[J>>2]=g;f[A>>2]=r+4;a=(d&255)+4|0;f[H>>2]=a;if(g>>>0<o>>>0){d=256;e=0}else{a=-4;R=154;break a}do{s=e+d>>1;o=(f[L+1092+(s<<2)>>2]|0)>(g|0);d=o?s:d;e=o?e:s}while((d-e|0)!=1);f[x>>2]=e;f[J>>2]=(h[q+(g>>>1)>>0]|0)>>>(i<<2&4)<<16&983040|j[p+(g<<1)>>1];f[A>>2]=r+5}}else a=1;while(0);if(!(f[c+20>>2]|0))break b}}if(!a){a=f[H>>2]|0;do{while(1){if(!a)break;b[f[c+16>>2]>>0]=b[G>>0]|0;a=f[w>>2]|0;f[w>>2]=f[16544+((h[G>>0]^a>>>24)<<2)>>2]^a<<8;a=(f[H>>2]|0)+-1|0;f[H>>2]=a;c=f[L>>2]|0;r=c+16|0;f[r>>2]=(f[r>>2]|0)+1;r=c+20|0;d=(f[r>>2]|0)+-1|0;f[r>>2]=d;r=c+24|0;s=(f[r>>2]|0)+1|0;f[r>>2]=s;if(!s){s=c+28|0;f[s>>2]=(f[s>>2]|0)+1}if(!d)break b}s=f[A>>2]|0;n=f[D>>2]|0;a=n+1|0;if((s|0)==(a|0))break b;if((s|0)>(a|0)){a=-4;R=154;break a}f[H>>2]=1;o=f[x>>2]|0;b[G>>0]=o;d=f[J>>2]|0;p=(f[v>>2]|0)*1e5|0;if(d>>>0<p>>>0){a=256;e=0}else{a=-4;R=154;break a}do{r=e+a>>1;q=(f[L+1092+(r<<2)>>2]|0)>(d|0);a=q?r:a;e=q?e:r}while((a-e|0)!=1);q=f[y>>2]|0;i=j[q+(d<<1)>>1]|0;r=f[z>>2]|0;g=(h[r+(d>>>1)>>0]|0)>>>(d<<2&4)<<16&983040|i;f[J>>2]=g;a=f[B>>2]|0;if(!a){m=f[C>>2]|0;a=f[17568+(m<<2)>>2]|0;f[B>>2]=a;m=m+1|0;f[C>>2]=(m|0)==512?0:m}a=a+-1|0;f[B>>2]=a;l=s+1|0;f[A>>2]=l;do if((s|0)!=(n|0)){d=(a|0)==1^e&255;if((d|0)!=(o|0)){f[x>>2]=d;a=1;break}f[H>>2]=2;if(g>>>0<p>>>0){d=256;e=0}else{a=-4;R=154;break a}do{m=e+d>>1;k=(f[L+1092+(m<<2)>>2]|0)>(g|0);d=k?m:d;e=k?e:m}while((d-e|0)!=1);m=j[q+(g<<1)>>1]|0;g=(h[r+(g>>>1)>>0]|0)>>>(i<<2&4)<<16&983040|m;f[J>>2]=g;if(!a){k=f[C>>2]|0;a=f[17568+(k<<2)>>2]|0;f[B>>2]=a;k=k+1|0;f[C>>2]=(k|0)==512?0:k}a=a+-1|0;f[B>>2]=a;k=s+2|0;f[A>>2]=k;if((l|0)==(n|0))a=2;else{d=(a|0)==1^e&255;if((d|0)!=(o|0)){f[x>>2]=d;a=2;break}f[H>>2]=3;if(g>>>0<p>>>0){d=256;e=0}else{a=-4;R=154;break a}do{l=e+d>>1;i=(f[L+1092+(l<<2)>>2]|0)>(g|0);d=i?l:d;e=i?e:l}while((d-e|0)!=1);i=j[q+(g<<1)>>1]|0;g=(h[r+(g>>>1)>>0]|0)>>>(m<<2&4)<<16&983040|i;f[J>>2]=g;if(!a){m=f[C>>2]|0;a=f[17568+(m<<2)>>2]|0;f[B>>2]=a;m=m+1|0;f[C>>2]=(m|0)==512?0:m}a=a+-1|0;f[B>>2]=a;f[A>>2]=s+3;if((k|0)==(n|0)){a=3;break}d=(a|0)==1^e&255;if((d|0)!=(o|0)){f[x>>2]=d;a=3;break}if(g>>>0<p>>>0){d=256;e=0}else{a=-4;R=154;break a}do{o=e+d>>1;n=(f[L+1092+(o<<2)>>2]|0)>(g|0);d=n?o:d;e=n?e:o}while((d-e|0)!=1);k=j[q+(g<<1)>>1]|0;i=(h[r+(g>>>1)>>0]|0)>>>(i<<2&4)<<16&983040|k;f[J>>2]=i;if(!a){o=f[C>>2]|0;a=f[17568+(o<<2)>>2]|0;f[B>>2]=a;o=o+1|0;f[C>>2]=(o|0)==512?0:o}d=a+-1|0;f[B>>2]=d;f[A>>2]=s+4;a=((d|0)==1^e&255)+4|0;f[H>>2]=a;if(i>>>0<p>>>0){e=256;g=0}else{a=-4;R=154;break a}do{p=g+e>>1;o=(f[L+1092+(p<<2)>>2]|0)>(i|0);e=o?p:e;g=o?g:p}while((e-g|0)!=1);f[x>>2]=g;f[J>>2]=(h[r+(i>>>1)>>0]|0)>>>(k<<2&4)<<16&983040|j[q+(i<<1)>>1];if(!d){r=f[C>>2]|0;d=f[17568+(r<<2)>>2]|0;f[B>>2]=d;r=r+1|0;f[C>>2]=(r|0)==512?0:r}r=d+-1|0;f[B>>2]=r;f[x>>2]=(r|0)==1^g;f[A>>2]=s+5}}else a=1;while(0)}while((f[c+20>>2]|0)!=0)}}while(0);if((f[A>>2]|0)!=((f[D>>2]|0)+1|0)){a=0;R=154;break a}if(f[H>>2]|0){a=0;R=154;break a}c=~f[w>>2];f[w>>2]=c;a=f[P>>2]|0;if((a|0)>2){f[O>>2]=f[I>>2];f[O+4>>2]=c;zy(M,110393,O)|0;a=f[P>>2]|0}if((a|0)>1)iz(93,M)|0;a=f[w>>2]|0;if((a|0)!=(f[I>>2]|0)){a=-4;R=154;break a}s=f[N>>2]|0;f[N>>2]=(s<<1|s>>>31)^a;f[F>>2]=14;break}default:if((a|0)<=9){R=8;break a}}a=Ev(L)|0;if((a|0)==4){R=150;break}if((f[F>>2]|0)==2)a=2;else{R=154;break}}if((R|0)==8)while(1)R=8;else if((R|0)==150){a=L+3164|0;if((f[P>>2]|0)>2){R=f[N>>2]|0;f[Q>>2]=f[a>>2];f[Q+4>>2]=R;zy(M,110411,Q)|0}R=(f[N>>2]|0)==(f[a>>2]|0)?4:-4;u=S;return R|0}else if((R|0)==154){u=S;return a|0}return 0}function sv(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;l=(a|0)!=0;if(l)f[a>>2]=0;g=(c|0)!=0;if(g?(m=c+5060|0,f[m>>2]=0,!((d|0)==0|(e|0)<0)):0){if(!(b[c+5008>>0]|0)){if(l)f[a>>2]=-1;f[m>>2]=-1;return}if(py(f[c>>2]|0)|0){if(l)f[a>>2]=-6;f[m>>2]=-6;return}if(!e){if(l)f[a>>2]=0;f[m>>2]=0;return}k=c+5012|0;j=c+5016|0;f[j>>2]=e;f[k>>2]=d;d=c+5032|0;e=c+4|0;h=c+5028|0;i=c+5044|0;a:while(1){f[d>>2]=5e3;f[h>>2]=e;g=f[i>>2]|0;if(!g){g=-2;n=26;break}if((f[g>>2]|0)!=(k|0)){g=-2;n=26;break}switch(f[g+4>>2]|0){case 4:case 3:case 1:{g=-1;break a}case 2:break;default:{g=0;n=26;break a}}if(!((ov(k)|0)<<24>>24)){g=-2;n=26;break}g=f[d>>2]|0;if(g>>>0<5e3){g=5e3-g|0;if((g|0)!=(Vx(e,1,g,f[c>>2]|0)|0)){n=33;break}if(py(f[c>>2]|0)|0){n=33;break}}if(!(f[j>>2]|0)){n=37;break}}if((n|0)!=26)if((n|0)==33){if(l)f[a>>2]=-6;f[m>>2]=-6;return}else if((n|0)==37){if(l)f[a>>2]=0;f[m>>2]=0;return}if(l)f[a>>2]=g;f[m>>2]=g;return}if(l)f[a>>2]=-2;if(!g)return;f[c+5060>>2]=-2;return}function tv(a,c,d,e,g,h,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;if(!c){if(!a)return;f[a>>2]=0;return}if(!(b[c+5008>>0]|0)){if(a|0)f[a>>2]=-1;f[c+5060>>2]=-1;return}j=f[c>>2]|0;if(py(j)|0){if(a|0)f[a>>2]=-6;f[c+5060>>2]=-6;return}s=(e|0)!=0;if(s)f[e>>2]=0;t=(g|0)!=0;if(t)f[g>>2]=0;u=(h|0)!=0;if(u)f[h>>2]=0;v=(i|0)!=0;if(v)f[i>>2]=0;if(!d){w=c+5060|0;do if(!(f[w>>2]|0)){r=c+5012|0;n=c+5032|0;o=c+4|0;p=c+5028|0;q=c+5044|0;m=c+5016|0;a:while(1){f[n>>2]=5e3;f[p>>2]=o;j=f[q>>2]|0;if(!j){j=-2;break}if((f[j>>2]|0)!=(r|0)){j=-2;break}l=j+4|0;k=j+12|0;d=f[l>>2]|0;b:while(1){switch(d|0){case 3:case 1:{j=-1;break a}case 4:break b;case 2:break;default:{x=35;break a}}f[k>>2]=f[m>>2];f[l>>2]=4;d=4}if((f[k>>2]|0)!=(f[m>>2]|0)){j=-1;break}if(!((ov(r)|0)<<24>>24)){j=-1;break}do if(!(f[k>>2]|0)){if((f[j+52>>2]|0)>>>0<256?(f[j+56>>2]|0)>0:0){d=3;break}if((f[j+80>>2]|0)>=(f[j+76>>2]|0)){f[l>>2]=1;d=4}else d=3}else d=3;while(0);j=f[n>>2]|0;if(j>>>0<5e3){l=5e3-j|0;if((l|0)!=(Vx(o,1,l,f[c>>2]|0)|0)){x=42;break}if(py(f[c>>2]|0)|0){x=42;break}}if((d|0)==4){x=46;break}}if((x|0)==35)j=0;else if((x|0)==42){if(a|0)f[a>>2]=-6;f[w>>2]=-6;return}else if((x|0)==46){j=f[c>>2]|0;break}if(a|0)f[a>>2]=j;f[w>>2]=j;return}while(0);if((py(j)|0)==0?(ly(j)|0,py(f[c>>2]|0)|0):0){if(a|0)f[a>>2]=-6;f[w>>2]=-6;return}}if(s)f[e>>2]=f[c+5020>>2];if(t)f[g>>2]=f[c+5024>>2];if(u)f[h>>2]=f[c+5036>>2];if(v)f[i>>2]=f[c+5040>>2];if(a|0)f[a>>2]=0;f[c+5060>>2]=0;l=c+5044|0;d=f[l>>2]|0;if(d|0?(f[d>>2]|0)==(c+5012|0):0){j=f[d+16>>2]|0;if(j|0)vb[f[c+5052>>2]&3](f[c+5056>>2]|0,j);j=f[d+20>>2]|0;k=c+5052|0;if(j|0)vb[f[k>>2]&3](f[c+5056>>2]|0,j);j=f[d+24>>2]|0;if(!j)j=c+5056|0;else{a=c+5056|0;vb[f[k>>2]&3](f[a>>2]|0,j);j=a}vb[f[k>>2]&3](f[j>>2]|0,f[l>>2]|0)}Mv(c);return}function uv(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;r=(a|0)!=0;if(r)f[a>>2]=0;if(((c|0?!(d>>>0>4|e>>>0>1):0)?!((g|0)==0&(h|0)!=0):0)?!((g|0)!=0&h>>>0>5e3):0){if(py(c)|0){if(!r){d=0;return d|0}f[a>>2]=-6;d=0;return d|0}q=Lv(5068)|0;if(!q){if(!r){d=0;return d|0}f[a>>2]=-3;d=0;return d|0}if(r)f[a>>2]=0;f[q+5060>>2]=0;p=q+5064|0;b[p>>0]=0;f[q>>2]=c;n=q+5004|0;f[n>>2]=0;b[q+5008>>0]=0;o=q+5012|0;k=q+5048|0;f[k>>2]=0;l=q+5052|0;f[l>>2]=0;m=q+5056|0;f[m>>2]=0;if((h|0)>0){j=q+4|0;i=0;c=g;while(1){b[j+i>>0]=b[c>>0]|0;i=(f[n>>2]|0)+1|0;f[n>>2]=i;if((h|0)<=1)break;else{h=h+-1|0;c=c+1|0}}}c=f[k>>2]|0;if(!c){f[k>>2]=44;c=44}if(!(f[l>>2]|0))f[l>>2]=2;c=rb[c&63](f[m>>2]|0,64116,1)|0;if(c|0){f[c>>2]=o;f[q+5044>>2]=c;f[c+4>>2]=10;f[c+32>>2]=0;f[c+28>>2]=0;f[c+3172>>2]=0;f[q+5020>>2]=0;f[q+5024>>2]=0;f[q+5036>>2]=0;f[q+5040>>2]=0;b[c+40>>0]=e;f[c+3156>>2]=0;f[c+3152>>2]=0;f[c+3148>>2]=0;f[c+44>>2]=0;f[c+48>>2]=d;f[q+5016>>2]=f[n>>2];f[o>>2]=q+4;b[p>>0]=1;d=q;return d|0}if(r)f[a>>2]=-3;Mv(q);d=0;return d|0}if(!r){d=0;return d|0}f[a>>2]=-2;d=0;return d|0}function vv(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;n=(a|0)!=0;if(n)f[a>>2]=0;g=(c|0)!=0;if(g?(o=c+5060|0,f[o>>2]=0,!((d|0)==0|(e|0)<0)):0){if(b[c+5008>>0]|0){if(n)f[a>>2]=-1;f[o>>2]=-1;p=0;return p|0}if(!e){if(n)f[a>>2]=0;f[o>>2]=0;p=0;return p|0}l=c+5012|0;k=c+5032|0;f[k>>2]=e;f[c+5028>>2]=d;h=c+5016|0;i=c+4|0;j=c+5004|0;a:do{g=f[c>>2]|0;if(py(g)|0){p=19;break}if((f[h>>2]|0)==0?(m=dz(g)|0,(m|0)!=-1):0){ez(m,g)|0;g=jz(i,1,5e3,f[c>>2]|0)|0;if(py(f[c>>2]|0)|0){p=25;break}f[j>>2]=g;f[h>>2]=g;f[l>>2]=i}g=rv(l)|0;switch(g|0){case 4:{p=40;break a}case 0:break;default:{p=30;break a}}g=f[c>>2]|0;d=dz(g)|0;if((d|0)==-1){if(!(f[h>>2]|0)){p=36;break}}else ez(d,g)|0}while((f[k>>2]|0)!=0);if((p|0)==19){if(n)f[a>>2]=-6;f[o>>2]=-6;p=0;return p|0}else if((p|0)==25){if(n)f[a>>2]=-6;f[o>>2]=-6;p=0;return p|0}else if((p|0)==30){if(n)f[a>>2]=g;f[o>>2]=g;p=0;return p|0}else if((p|0)==36){if(f[k>>2]|0){if(n)f[a>>2]=-7;f[o>>2]=-7;p=0;return p|0}}else if((p|0)==40){if(n)f[a>>2]=4;f[o>>2]=4;p=e-(f[k>>2]|0)|0;return p|0}if(n)f[a>>2]=0;f[o>>2]=0;p=e;return p|0}if(n)f[a>>2]=-2;if(!g){p=0;return p|0}f[c+5060>>2]=-2;p=0;return p|0}function wv(a,b){a=a|0;b=b|0;return xv(a,-1,b,0)|0}function xv(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+5024|0;m=n;l=n+16|0;k=n+4|0;g=k;h=g+10|0;do{b[g>>0]=0;g=g+1|0}while((g|0)<(h|0));if(!d){m=0;u=n;return m|0}g=b[d>>0]|0;a:do if(!(g<<24>>24)){d=9;h=0;g=0}else{i=9;h=0;j=0;while(1){g=g<<24>>24;switch(g|0){case 114:{j=0;break}case 119:{j=1;break}case 115:{h=1;break}default:{g=g+-48|0;i=g>>>0<10?g:i}}d=d+1|0;g=b[d>>0]|0;if(!(g<<24>>24)){d=i;g=j;break a}}}while(0);g=(g|0)!=0;j=k+(Bx(k)|0)|0;i=g?119:114;b[j>>0]=i;b[j+1>>0]=i>>8;j=k+(Bx(k)|0)|0;b[j>>0]=98;b[j+1>>0]=0;do if(!e){if(a|0?b[a>>0]|0:0){i=ey(a,k)|0;break}i=g?f[5096]|0:f[5064]|0}else i=gy(c,k)|0;while(0);if(!i){m=0;u=n;return m|0}do if(!g){g=uv(m,i,0,h,l,0)|0;if(g|0){m=g;u=n;return m|0}}else{g=(d|0)>1?d:1;g=(g|0)<9?g:9;f[m>>2]=0;if((g+-1|0)>>>0>8){f[m>>2]=-2;break}if(py(i)|0){f[m>>2]=-6;break}d=Lv(5068)|0;if(!d){f[m>>2]=-3;break}f[m>>2]=0;f[d+5060>>2]=0;h=d+5064|0;b[h>>0]=0;f[d+5004>>2]=0;f[d>>2]=i;b[d+5008>>0]=1;f[d+5048>>2]=0;f[d+5052>>2]=0;f[d+5056>>2]=0;g=lv(d+5012|0,g,0,30)|0;if(g|0){f[m>>2]=g;Mv(d);break}f[d+5016>>2]=0;b[h>>0]=1;m=d;u=n;return m|0}while(0);if((i|0)==(f[5064]|0)|(i|0)==(f[5096]|0)){m=0;u=n;return m|0}ky(i)|0;m=0;u=n;return m|0}function yv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=u;u=u+16|0;d=e;if((f[a+5060>>2]|0)==4){c=0;u=e;return c|0}c=vv(d,a,b,c)|0;c=(f[d>>2]|4|0)==4?c:-1;u=e;return c|0}function zv(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;e=u;u=u+16|0;d=e;sv(d,a,b,c);u=e;return ((f[d>>2]|0)==0?c:-1)|0}function Av(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;i=u;u=u+16|0;d=i;if(!a){u=i;return}h=f[a>>2]|0;c=a+5008|0;do if(b[c>>0]|0){tv(d,a,0,0,0,0,0);if(f[d>>2]|0){if(!(b[c>>0]|0)){f[a+5060>>2]=-1;break}c=a+5060|0;if(py(f[a>>2]|0)|0){f[c>>2]=-6;break}f[c>>2]=0;g=a+5044|0;d=f[g>>2]|0;if(d|0?(f[d>>2]|0)==(a+5012|0):0){c=f[d+16>>2]|0;e=a+5052|0;if(c|0)vb[f[e>>2]&3](f[a+5056>>2]|0,c);c=f[d+20>>2]|0;if(c|0)vb[f[e>>2]&3](f[a+5056>>2]|0,c);c=f[d+24>>2]|0;if(!c)c=a+5056|0;else{d=a+5056|0;vb[f[e>>2]&3](f[d>>2]|0,c);c=d}vb[f[e>>2]&3](f[c>>2]|0,f[g>>2]|0)}Mv(a)}}else{f[d>>2]=0;f[a+5060>>2]=0;if((b[a+5064>>0]|0?(g=a+5044|0,e=f[g>>2]|0,e|0):0)?(f[e>>2]|0)==(a+5012|0):0){c=f[e+3148>>2]|0;d=a+5052|0;if(c|0)vb[f[d>>2]&3](f[a+5056>>2]|0,c);c=f[e+3152>>2]|0;if(c|0)vb[f[d>>2]&3](f[a+5056>>2]|0,c);c=f[e+3156>>2]|0;if(!c)c=a+5056|0;else{e=a+5056|0;vb[f[d>>2]&3](f[e>>2]|0,c);c=e}vb[f[d>>2]&3](f[c>>2]|0,f[g>>2]|0)}Mv(a)}while(0);if((h|0)==(f[5064]|0)|(h|0)==(f[5096]|0)){u=i;return}ky(h)|0;u=i;return}function Bv(a,c){a=a|0;c=c|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0;y=u;u=u+288|0;x=y+16|0;k=y;v=y+24|0;t=a+68|0;e=f[t>>2]|0;if((e|0)>0){g=a+608|0;j=~f[g>>2];f[g>>2]=j;g=a+612|0;l=f[g>>2]|0;l=(l<<1|l>>>31)^j;f[g>>2]=l;g=a+620|0;i=f[g>>2]|0;if((i|0)>1)f[a+76>>2]=0;if((f[a+616>>2]|0)>1){w=f[4971]|0;f[k>>2]=i;f[k+4>>2]=j;f[k+8>>2]=l;f[k+12>>2]=e;zy(w,110466,k)|0}Fv(a);e=f[t>>2]|0}else g=a+620|0;i=(f[a+20>>2]|0)+e|0;w=a+44|0;f[w>>2]=i;if((f[g>>2]|0)==1){m=a+604|0;l=a+600|0;f[l>>2]=1107296256;f[m>>2]=8;k=a+76|0;b[i+(f[k>>2]|0)>>0]=66;e=(f[k>>2]|0)+1|0;f[k>>2]=e;g=f[l>>2]<<8;f[l>>2]=g;i=f[m>>2]|0;s=i+-8|0;f[m>>2]=s;if((s|0)>7)do{b[(f[w>>2]|0)+e>>0]=g>>>24;e=(f[k>>2]|0)+1|0;f[k>>2]=e;g=f[l>>2]<<8;f[l>>2]=g;i=f[m>>2]|0;s=i+-8|0;f[m>>2]=s}while((s|0)>7);g=90<<32-i|g;f[l>>2]=g;f[m>>2]=i;if((i|0)>7)do{b[(f[w>>2]|0)+e>>0]=g>>>24;e=(f[k>>2]|0)+1|0;f[k>>2]=e;g=f[l>>2]<<8;f[l>>2]=g;i=(f[m>>2]|0)+-8|0;f[m>>2]=i}while((i|0)>7);g=104<<24-i|g;f[l>>2]=g;i=i+8|0;f[m>>2]=i;j=(f[a+624>>2]|0)+48&255;if((i|0)>7){do{b[(f[w>>2]|0)+e>>0]=g>>>24;e=(f[k>>2]|0)+1|0;f[k>>2]=e;g=f[l>>2]<<8;f[l>>2]=g;i=(f[m>>2]|0)+-8|0;f[m>>2]=i}while((i|0)>7);e=g}else e=g;f[l>>2]=j<<24-i|e;f[m>>2]=i+8;e=f[t>>2]|0}if((e|0)>0){m=a+604|0;e=f[m>>2]|0;l=a+600|0;if((e|0)>7){j=a+76|0;g=f[l>>2]|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=g>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;g=f[l>>2]<<8;f[l>>2]=g;e=(f[m>>2]|0)+-8|0;f[m>>2]=e}while((e|0)>7)}else g=f[l>>2]|0;i=49<<24-e|g;f[l>>2]=i;e=e+8|0;f[m>>2]=e;if((e|0)>7){j=a+76|0;e=i;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[l>>2]<<8;f[l>>2]=e;g=(f[m>>2]|0)+-8|0;f[m>>2]=g}while((g|0)>7)}else{g=e;e=i}e=65<<24-g|e;f[l>>2]=e;g=g+8|0;f[m>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[l>>2]<<8;f[l>>2]=e;g=(f[m>>2]|0)+-8|0;f[m>>2]=g}while((g|0)>7)}e=89<<24-g|e;f[l>>2]=e;g=g+8|0;f[m>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[l>>2]<<8;f[l>>2]=e;g=(f[m>>2]|0)+-8|0;f[m>>2]=g}while((g|0)>7)}e=38<<24-g|e;f[l>>2]=e;g=g+8|0;f[m>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[l>>2]<<8;f[l>>2]=e;g=(f[m>>2]|0)+-8|0;f[m>>2]=g}while((g|0)>7)}e=83<<24-g|e;f[l>>2]=e;g=g+8|0;f[m>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[l>>2]<<8;f[l>>2]=e;g=(f[m>>2]|0)+-8|0;f[m>>2]=g}while((g|0)>7)}f[l>>2]=89<<24-g|e;f[m>>2]=g+8;Cv(a,f[a+608>>2]|0);e=f[m>>2]|0;if((e|0)>7){j=a+76|0;e=f[l>>2]|0;i=f[j>>2]|0;while(1){b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;g=f[l>>2]<<8;f[l>>2]=g;e=(f[m>>2]|0)+-8|0;f[m>>2]=e;if((e|0)<=7){i=g;break}else e=g}}else i=f[l>>2]|0;f[l>>2]=i;g=e+1|0;f[m>>2]=g;k=f[a+28>>2]|0;if((e|0)>6){j=a+76|0;e=i;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[l>>2]<<8;f[l>>2]=e;g=(f[m>>2]|0)+-8|0;f[m>>2]=g}while((g|0)>7)}else e=i;f[l>>2]=k<<8-g|e;f[m>>2]=g+24;p=f[a+32>>2]|0;q=f[a+36>>2]|0;s=f[a+40>>2]|0;i=a+84|0;f[i>>2]=0;e=0;g=0;do{if(b[a+88+g>>0]|0){b[a+344+g>>0]=e;e=(f[i>>2]|0)+1|0;f[i>>2]=e}g=g+1|0}while((g|0)!=256);r=e+1|0;if((e|0)>=-1?(Fz(a+632|0,0,(e<<2)+8|0)|0,(e|0)>0):0){g=0;do{b[v+g>>0]=g;g=g+1|0}while((g|0)!=(e|0))}e=f[t>>2]|0;if((e|0)>0){n=v+1|0;o=v;m=0;j=0;k=0;while(1){l=(f[p+(m<<2)>>2]|0)+-1|0;l=b[(h[q+(((l|0)<0?e:0)+l)>>0]|0)+(a+344)>>0]|0;if((b[v>>0]|0)==l<<24>>24)i=k+1|0;else{do if((k|0)>0){g=k+-1|0;e=g&1;i=j+1|0;d[s+(j<<1)>>1]=e;j=a+632+(e<<2)|0;f[j>>2]=(f[j>>2]|0)+1;if((k|0)<3){k=0;break}while(1){k=g+-2|0;g=(k|0)/2|0;j=g&1;e=i+1|0;d[s+(i<<1)>>1]=j;j=a+632+(j<<2)|0;f[j>>2]=(f[j>>2]|0)+1;if((k|0)<4){i=e;k=0;break}else i=e}}else i=j;while(0);e=b[n>>0]|0;b[n>>0]=b[v>>0]|0;if(l<<24>>24==e<<24>>24)e=n;else{g=n;do{g=g+1|0;j=e;e=b[g>>0]|0;b[g>>0]=j}while(l<<24>>24!=e<<24>>24);e=g}b[v>>0]=l;e=e-o+1|0;d[s+(i<<1)>>1]=e;e=a+632+(e<<2)|0;f[e>>2]=(f[e>>2]|0)+1;e=f[t>>2]|0;j=i+1|0;i=k}m=m+1|0;if((m|0)>=(e|0))break;else k=i}if((i|0)>0){g=i+-1|0;v=g&1;e=j+1|0;d[s+(j<<1)>>1]=v;v=a+632+(v<<2)|0;f[v>>2]=(f[v>>2]|0)+1;if((i|0)>=3){i=e;while(1){v=g+-2|0;g=(v|0)/2|0;t=g&1;e=i+1|0;d[s+(i<<1)>>1]=t;t=a+632+(t<<2)|0;f[t>>2]=(f[t>>2]|0)+1;if((v|0)<4)break;else i=e}}}else e=j}else e=0;d[s+(e<<1)>>1]=r;v=a+632+(r<<2)|0;f[v>>2]=(f[v>>2]|0)+1;f[a+628>>2]=e+1;Dv(a)}if(!(c<<24>>24)){u=y;return}l=a+604|0;e=f[l>>2]|0;k=a+600|0;if((e|0)>7){j=a+76|0;g=f[k>>2]|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=g>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;g=f[k>>2]<<8;f[k>>2]=g;e=(f[l>>2]|0)+-8|0;f[l>>2]=e}while((e|0)>7)}else g=f[k>>2]|0;i=23<<24-e|g;f[k>>2]=i;e=e+8|0;f[l>>2]=e;if((e|0)>7){j=a+76|0;e=i;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[k>>2]<<8;f[k>>2]=e;g=(f[l>>2]|0)+-8|0;f[l>>2]=g}while((g|0)>7)}else{g=e;e=i}e=114<<24-g|e;f[k>>2]=e;g=g+8|0;f[l>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[k>>2]<<8;f[k>>2]=e;g=(f[l>>2]|0)+-8|0;f[l>>2]=g}while((g|0)>7)}e=69<<24-g|e;f[k>>2]=e;g=g+8|0;f[l>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[k>>2]<<8;f[k>>2]=e;g=(f[l>>2]|0)+-8|0;f[l>>2]=g}while((g|0)>7)}e=56<<24-g|e;f[k>>2]=e;g=g+8|0;f[l>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[k>>2]<<8;f[k>>2]=e;g=(f[l>>2]|0)+-8|0;f[l>>2]=g}while((g|0)>7)}e=80<<24-g|e;f[k>>2]=e;g=g+8|0;f[l>>2]=g;if((g|0)>7){j=a+76|0;i=f[j>>2]|0;do{b[(f[w>>2]|0)+i>>0]=e>>>24;i=(f[j>>2]|0)+1|0;f[j>>2]=i;e=f[k>>2]<<8;f[k>>2]=e;g=(f[l>>2]|0)+-8|0;f[l>>2]=g}while((g|0)>7)}f[k>>2]=144<<24-g|e;f[l>>2]=g+8;e=a+612|0;Cv(a,f[e>>2]|0);if((f[a+616>>2]|0)>1){c=f[4971]|0;f[x>>2]=f[e>>2];zy(c,110528,x)|0}if((f[l>>2]|0)<=0){u=y;return}i=a+76|0;e=f[k>>2]|0;g=f[i>>2]|0;do{b[(f[w>>2]|0)+g>>0]=e>>>24;g=(f[i>>2]|0)+1|0;f[i>>2]=g;e=f[k>>2]<<8;f[k>>2]=e;x=f[l>>2]|0;f[l>>2]=x+-8}while((x|0)>8);u=y;return}function Cv(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0;j=c>>>24;m=a+604|0;d=f[m>>2]|0;l=a+600|0;if((d|0)>7){i=a+44|0;h=a+76|0;e=f[l>>2]|0;g=f[h>>2]|0;do{b[(f[i>>2]|0)+g>>0]=e>>>24;g=(f[h>>2]|0)+1|0;f[h>>2]=g;e=f[l>>2]<<8;f[l>>2]=e;d=(f[m>>2]|0)+-8|0;f[m>>2]=d}while((d|0)>7)}else e=f[l>>2]|0;i=j<<24-d|e;f[l>>2]=i;d=d+8|0;f[m>>2]=d;k=c>>>16&255;if((d|0)>7){j=a+44|0;h=a+76|0;g=f[h>>2]|0;d=i;do{b[(f[j>>2]|0)+g>>0]=d>>>24;g=(f[h>>2]|0)+1|0;f[h>>2]=g;d=f[l>>2]<<8;f[l>>2]=d;e=(f[m>>2]|0)+-8|0;f[m>>2]=e}while((e|0)>7)}else{e=d;d=i}d=k<<24-e|d;f[l>>2]=d;e=e+8|0;f[m>>2]=e;j=c>>>8&255;if((e|0)>7){i=a+44|0;h=a+76|0;g=f[h>>2]|0;do{b[(f[i>>2]|0)+g>>0]=d>>>24;g=(f[h>>2]|0)+1|0;f[h>>2]=g;d=f[l>>2]<<8;f[l>>2]=d;e=(f[m>>2]|0)+-8|0;f[m>>2]=e}while((e|0)>7)}d=j<<24-e|d;f[l>>2]=d;e=e+8|0;f[m>>2]=e;j=c&255;if((e|0)<=7){a=e;c=d;k=24-a|0;k=j<<k;c=k|c;f[l>>2]=c;l=a+8|0;f[m>>2]=l;return}i=a+44|0;h=a+76|0;g=f[h>>2]|0;do{b[(f[i>>2]|0)+g>>0]=d>>>24;g=(f[h>>2]|0)+1|0;f[h>>2]=g;d=f[l>>2]<<8;f[l>>2]=d;e=(f[m>>2]|0)+-8|0;f[m>>2]=e}while((e|0)>7);a=24-e|0;a=j<<a;a=a|d;f[l>>2]=a;l=e+8|0;f[m>>2]=l;return}function Dv(a){a=a|0;var c=0,e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0.0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0;V=u;u=u+176|0;T=V+104|0;M=V+96|0;J=V+88|0;I=V+80|0;G=V+72|0;F=V+64|0;n=V+40|0;o=V+16|0;c=V;D=V+136|0;E=V+112|0;H=V+152|0;R=f[a+40>>2]|0;U=a+616|0;if((f[U>>2]|0)>2){P=f[4971]|0;N=f[a+628>>2]|0;Q=a+84|0;O=f[Q>>2]|0;f[c>>2]=f[a+68>>2];f[c+4>>2]=N;f[c+8>>2]=O;zy(P,110564,c)|0;c=Q}else c=a+84|0;q=f[c>>2]|0;K=q+2|0;L=(q|0)>-2;if(L){Q=(K|0)>1?K:1;Fz(a+37668|0,15,Q|0)|0;Fz(a+37926|0,15,Q|0)|0;Fz(a+38184|0,15,Q|0)|0;Fz(a+38442|0,15,Q|0)|0;Fz(a+38700|0,15,Q|0)|0;Fz(a+38958|0,15,Q|0)|0}Q=a+628|0;c=f[Q>>2]|0;if((c|0)<=0)kv(3001);if((c|0)>=200)if((c|0)<600)P=3;else P=(c|0)<1200?4:(c|0)<2400?5:6;else P=2;C=f[4971]|0;if(L){m=0;n=P;while(1){i=(c|0)/(n|0)|0;e=m+-1|0;if((i|0)>0&(e|0)<=(q|0)){g=0;while(1){k=e+1|0;g=(f[a+632+(k<<2)>>2]|0)+g|0;if(!((g|0)<(i|0)&(e|0)<(q|0)))break;else e=k}if(((e|0)>=(m|0)?(P|0)!=(n|0)&(n|0)!=1:0)?((P-n|0)%2|0|0)==1:0)l=g-(f[a+632+(k<<2)>>2]|0)|0;else{l=g;e=k}}else l=0;if((f[U>>2]|0)>2){W=+(l|0)*100.0/+(f[Q>>2]|0);f[o>>2]=n;f[o+4>>2]=m;f[o+8>>2]=e;f[o+12>>2]=l;p[o+16>>3]=W;zy(C,110628,o)|0}g=n;n=n+-1|0;i=0;do{b[a+37668+(n*258|0)+i>>0]=(i|0)<(m|0)|(i|0)>(e|0)?15:0;i=i+1|0}while((i|0)<(K|0));if((g|0)<=1)break;else{m=e+1|0;c=c-l|0}}}else{l=0;m=P;k=c;while(1){g=(k|0)/(m|0)|0;c=l+-1|0;if((g|0)>0&(c|0)<=(q|0)){e=0;while(1){i=c+1|0;e=(f[a+632+(i<<2)>>2]|0)+e|0;if(!((e|0)<(g|0)&(c|0)<(q|0)))break;else c=i}if(((c|0)>=(l|0)?(P|0)!=(m|0)&(m|0)!=1:0)?((P-m|0)%2|0|0)==1:0)e=e-(f[a+632+(i<<2)>>2]|0)|0;else c=i}else e=0;if((f[U>>2]|0)>2){W=+(e|0)*100.0/+(f[Q>>2]|0);f[n>>2]=m;f[n+4>>2]=l;f[n+8>>2]=c;f[n+12>>2]=e;p[n+16>>3]=W;zy(C,110628,n)|0}if((m|0)>1){l=c+1|0;m=m+-1|0;k=k-e|0}else break}}O=(P|0)==6;x=D+2|0;y=D+4|0;z=D+6|0;A=D+8|0;B=D+10|0;t=P<<2;v=((K|0)>1?K:1)<<2;w=P<<1;r=(q|0)<-1|O^1;s=0;do{Fz(E|0,0,t|0)|0;if(L){c=0;do{Fz(a+45408+(c*1032|0)|0,0,v|0)|0;c=c+1|0}while((c|0)<(P|0));if(!r){c=0;do{f[a+51600+(c<<4)>>2]=h[a+37926+c>>0]<<16|h[a+37668+c>>0];f[a+51600+(c<<4)+4>>2]=h[a+38442+c>>0]<<16|h[a+38184+c>>0];f[a+51600+(c<<4)+8>>2]=h[a+38958+c>>0]<<16|h[a+38700+c>>0];c=c+1|0}while((c|0)<(K|0))}}c=f[Q>>2]|0;if((c|0)>0){n=0;l=0;k=0;while(1){o=n+49|0;Fz(D|0,0,w|0)|0;q=(o|0)<(c|0)?o:c+-1|0;m=O&(q-n|0)==49;if(!m)if((q|0)<(n|0)){c=999999999;i=-1;e=0}else{c=n;while(1){e=j[R+(c<<1)>>1]|0;g=0;do{N=D+(g<<1)|0;d[N>>1]=(j[N>>1]|0)+(h[a+37668+(g*258|0)+e>>0]|0);g=g+1|0}while((g|0)<(P|0));if((c|0)<(q|0))c=c+1|0;else{c=999999999;i=-1;e=0;break}}}else{Oa=j[R+(n<<1)>>1]|0;Pa=j[R+(n+1<<1)>>1]|0;Na=j[R+(n+2<<1)>>1]|0;Ma=j[R+(n+3<<1)>>1]|0;La=j[R+(n+4<<1)>>1]|0;Ka=j[R+(n+5<<1)>>1]|0;Ja=j[R+(n+6<<1)>>1]|0;Ia=j[R+(n+7<<1)>>1]|0;Ha=j[R+(n+8<<1)>>1]|0;Ga=j[R+(n+9<<1)>>1]|0;Fa=j[R+(n+10<<1)>>1]|0;Ea=j[R+(n+11<<1)>>1]|0;Da=j[R+(n+12<<1)>>1]|0;Ca=j[R+(n+13<<1)>>1]|0;Ba=j[R+(n+14<<1)>>1]|0;Aa=j[R+(n+15<<1)>>1]|0;za=j[R+(n+16<<1)>>1]|0;ya=j[R+(n+17<<1)>>1]|0;xa=j[R+(n+18<<1)>>1]|0;wa=j[R+(n+19<<1)>>1]|0;va=j[R+(n+20<<1)>>1]|0;ua=j[R+(n+21<<1)>>1]|0;ta=j[R+(n+22<<1)>>1]|0;sa=j[R+(n+23<<1)>>1]|0;ra=j[R+(n+24<<1)>>1]|0;qa=j[R+(n+25<<1)>>1]|0;pa=j[R+(n+26<<1)>>1]|0;oa=j[R+(n+27<<1)>>1]|0;na=j[R+(n+28<<1)>>1]|0;ma=j[R+(n+29<<1)>>1]|0;la=j[R+(n+30<<1)>>1]|0;ka=j[R+(n+31<<1)>>1]|0;ja=j[R+(n+32<<1)>>1]|0;ia=j[R+(n+33<<1)>>1]|0;ha=j[R+(n+34<<1)>>1]|0;ga=j[R+(n+35<<1)>>1]|0;fa=j[R+(n+36<<1)>>1]|0;ea=j[R+(n+37<<1)>>1]|0;da=j[R+(n+38<<1)>>1]|0;ca=j[R+(n+39<<1)>>1]|0;ba=j[R+(n+40<<1)>>1]|0;aa=j[R+(n+41<<1)>>1]|0;$=j[R+(n+42<<1)>>1]|0;_=j[R+(n+43<<1)>>1]|0;Z=j[R+(n+44<<1)>>1]|0;Y=j[R+(n+45<<1)>>1]|0;X=j[R+(n+46<<1)>>1]|0;g=j[R+(n+47<<1)>>1]|0;N=j[R+(n+48<<1)>>1]|0;c=j[R+(o<<1)>>1]|0;e=(f[a+51600+(Pa<<4)>>2]|0)+(f[a+51600+(Oa<<4)>>2]|0)+(f[a+51600+(Na<<4)>>2]|0)+(f[a+51600+(Ma<<4)>>2]|0)+(f[a+51600+(La<<4)>>2]|0)+(f[a+51600+(Ka<<4)>>2]|0)+(f[a+51600+(Ja<<4)>>2]|0)+(f[a+51600+(Ia<<4)>>2]|0)+(f[a+51600+(Ha<<4)>>2]|0)+(f[a+51600+(Ga<<4)>>2]|0)+(f[a+51600+(Fa<<4)>>2]|0)+(f[a+51600+(Ea<<4)>>2]|0)+(f[a+51600+(Da<<4)>>2]|0)+(f[a+51600+(Ca<<4)>>2]|0)+(f[a+51600+(Ba<<4)>>2]|0)+(f[a+51600+(Aa<<4)>>2]|0)+(f[a+51600+(za<<4)>>2]|0)+(f[a+51600+(ya<<4)>>2]|0)+(f[a+51600+(xa<<4)>>2]|0)+(f[a+51600+(wa<<4)>>2]|0)+(f[a+51600+(va<<4)>>2]|0)+(f[a+51600+(ua<<4)>>2]|0)+(f[a+51600+(ta<<4)>>2]|0)+(f[a+51600+(sa<<4)>>2]|0)+(f[a+51600+(ra<<4)>>2]|0)+(f[a+51600+(qa<<4)>>2]|0)+(f[a+51600+(pa<<4)>>2]|0)+(f[a+51600+(oa<<4)>>2]|0)+(f[a+51600+(na<<4)>>2]|0)+(f[a+51600+(ma<<4)>>2]|0)+(f[a+51600+(la<<4)>>2]|0)+(f[a+51600+(ka<<4)>>2]|0)+(f[a+51600+(ja<<4)>>2]|0)+(f[a+51600+(ia<<4)>>2]|0)+(f[a+51600+(ha<<4)>>2]|0)+(f[a+51600+(ga<<4)>>2]|0)+(f[a+51600+(fa<<4)>>2]|0)+(f[a+51600+(ea<<4)>>2]|0)+(f[a+51600+(da<<4)>>2]|0)+(f[a+51600+(ca<<4)>>2]|0)+(f[a+51600+(ba<<4)>>2]|0)+(f[a+51600+(aa<<4)>>2]|0)+(f[a+51600+($<<4)>>2]|0)+(f[a+51600+(_<<4)>>2]|0)+(f[a+51600+(Z<<4)>>2]|0)+(f[a+51600+(Y<<4)>>2]|0)+(f[a+51600+(X<<4)>>2]|0)+(f[a+51600+(g<<4)>>2]|0)+(f[a+51600+(N<<4)>>2]|0)+(f[a+51600+(c<<4)>>2]|0)|0;i=(f[a+51600+(Pa<<4)+4>>2]|0)+(f[a+51600+(Oa<<4)+4>>2]|0)+(f[a+51600+(Na<<4)+4>>2]|0)+(f[a+51600+(Ma<<4)+4>>2]|0)+(f[a+51600+(La<<4)+4>>2]|0)+(f[a+51600+(Ka<<4)+4>>2]|0)+(f[a+51600+(Ja<<4)+4>>2]|0)+(f[a+51600+(Ia<<4)+4>>2]|0)+(f[a+51600+(Ha<<4)+4>>2]|0)+(f[a+51600+(Ga<<4)+4>>2]|0)+(f[a+51600+(Fa<<4)+4>>2]|0)+(f[a+51600+(Ea<<4)+4>>2]|0)+(f[a+51600+(Da<<4)+4>>2]|0)+(f[a+51600+(Ca<<4)+4>>2]|0)+(f[a+51600+(Ba<<4)+4>>2]|0)+(f[a+51600+(Aa<<4)+4>>2]|0)+(f[a+51600+(za<<4)+4>>2]|0)+(f[a+51600+(ya<<4)+4>>2]|0)+(f[a+51600+(xa<<4)+4>>2]|0)+(f[a+51600+(wa<<4)+4>>2]|0)+(f[a+51600+(va<<4)+4>>2]|0)+(f[a+51600+(ua<<4)+4>>2]|0)+(f[a+51600+(ta<<4)+4>>2]|0)+(f[a+51600+(sa<<4)+4>>2]|0)+(f[a+51600+(ra<<4)+4>>2]|0)+(f[a+51600+(qa<<4)+4>>2]|0)+(f[a+51600+(pa<<4)+4>>2]|0)+(f[a+51600+(oa<<4)+4>>2]|0)+(f[a+51600+(na<<4)+4>>2]|0)+(f[a+51600+(ma<<4)+4>>2]|0)+(f[a+51600+(la<<4)+4>>2]|0)+(f[a+51600+(ka<<4)+4>>2]|0)+(f[a+51600+(ja<<4)+4>>2]|0)+(f[a+51600+(ia<<4)+4>>2]|0)+(f[a+51600+(ha<<4)+4>>2]|0)+(f[a+51600+(ga<<4)+4>>2]|0)+(f[a+51600+(fa<<4)+4>>2]|0)+(f[a+51600+(ea<<4)+4>>2]|0)+(f[a+51600+(da<<4)+4>>2]|0)+(f[a+51600+(ca<<4)+4>>2]|0)+(f[a+51600+(ba<<4)+4>>2]|0)+(f[a+51600+(aa<<4)+4>>2]|0)+(f[a+51600+($<<4)+4>>2]|0)+(f[a+51600+(_<<4)+4>>2]|0)+(f[a+51600+(Z<<4)+4>>2]|0)+(f[a+51600+(Y<<4)+4>>2]|0)+(f[a+51600+(X<<4)+4>>2]|0)+(f[a+51600+(g<<4)+4>>2]|0)+(f[a+51600+(N<<4)+4>>2]|0)+(f[a+51600+(c<<4)+4>>2]|0)|0;c=(f[a+51600+(Pa<<4)+8>>2]|0)+(f[a+51600+(Oa<<4)+8>>2]|0)+(f[a+51600+(Na<<4)+8>>2]|0)+(f[a+51600+(Ma<<4)+8>>2]|0)+(f[a+51600+(La<<4)+8>>2]|0)+(f[a+51600+(Ka<<4)+8>>2]|0)+(f[a+51600+(Ja<<4)+8>>2]|0)+(f[a+51600+(Ia<<4)+8>>2]|0)+(f[a+51600+(Ha<<4)+8>>2]|0)+(f[a+51600+(Ga<<4)+8>>2]|0)+(f[a+51600+(Fa<<4)+8>>2]|0)+(f[a+51600+(Ea<<4)+8>>2]|0)+(f[a+51600+(Da<<4)+8>>2]|0)+(f[a+51600+(Ca<<4)+8>>2]|0)+(f[a+51600+(Ba<<4)+8>>2]|0)+(f[a+51600+(Aa<<4)+8>>2]|0)+(f[a+51600+(za<<4)+8>>2]|0)+(f[a+51600+(ya<<4)+8>>2]|0)+(f[a+51600+(xa<<4)+8>>2]|0)+(f[a+51600+(wa<<4)+8>>2]|0)+(f[a+51600+(va<<4)+8>>2]|0)+(f[a+51600+(ua<<4)+8>>2]|0)+(f[a+51600+(ta<<4)+8>>2]|0)+(f[a+51600+(sa<<4)+8>>2]|0)+(f[a+51600+(ra<<4)+8>>2]|0)+(f[a+51600+(qa<<4)+8>>2]|0)+(f[a+51600+(pa<<4)+8>>2]|0)+(f[a+51600+(oa<<4)+8>>2]|0)+(f[a+51600+(na<<4)+8>>2]|0)+(f[a+51600+(ma<<4)+8>>2]|0)+(f[a+51600+(la<<4)+8>>2]|0)+(f[a+51600+(ka<<4)+8>>2]|0)+(f[a+51600+(ja<<4)+8>>2]|0)+(f[a+51600+(ia<<4)+8>>2]|0)+(f[a+51600+(ha<<4)+8>>2]|0)+(f[a+51600+(ga<<4)+8>>2]|0)+(f[a+51600+(fa<<4)+8>>2]|0)+(f[a+51600+(ea<<4)+8>>2]|0)+(f[a+51600+(da<<4)+8>>2]|0)+(f[a+51600+(ca<<4)+8>>2]|0)+(f[a+51600+(ba<<4)+8>>2]|0)+(f[a+51600+(aa<<4)+8>>2]|0)+(f[a+51600+($<<4)+8>>2]|0)+(f[a+51600+(_<<4)+8>>2]|0)+(f[a+51600+(Z<<4)+8>>2]|0)+(f[a+51600+(Y<<4)+8>>2]|0)+(f[a+51600+(X<<4)+8>>2]|0)+(f[a+51600+(g<<4)+8>>2]|0)+(f[a+51600+(N<<4)+8>>2]|0)+(f[a+51600+(c<<4)+8>>2]|0)|0;d[D>>1]=e;d[x>>1]=e>>>16;d[y>>1]=i;d[z>>1]=i>>>16;d[A>>1]=c;d[B>>1]=c>>>16;c=999999999;i=-1;e=0}do{Oa=j[D+(e<<1)>>1]|0;Pa=(Oa|0)<(c|0);c=Pa?Oa:c;i=Pa?e:i;e=e+1|0}while((e|0)<(P|0));g=c+k|0;e=E+(i<<2)|0;f[e>>2]=(f[e>>2]|0)+1;b[a+1664+l>>0]=i;e=l+1|0;if(!m){if((q|0)>=(n|0)){c=n;while(1){Pa=a+45408+(i*1032|0)+(j[R+(c<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;if((c|0)<(q|0))c=c+1|0;else break}}}else{Pa=a+45408+(i*1032|0)+(j[R+(n<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+1<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+2<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+3<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+4<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+5<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+6<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+7<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+8<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+9<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+10<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+11<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+12<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+13<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+14<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+15<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+16<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+17<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+18<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+19<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+20<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+21<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+22<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+23<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+24<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+25<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+26<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+27<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+28<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+29<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+30<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+31<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+32<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+33<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+34<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+35<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+36<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+37<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+38<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+39<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+40<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+41<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+42<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+43<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+44<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+45<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+46<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+47<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(n+48<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1;Pa=a+45408+(i*1032|0)+(j[R+(o<<1)>>1]<<2)|0;f[Pa>>2]=(f[Pa>>2]|0)+1}n=q+1|0;c=f[Q>>2]|0;if((n|0)>=(c|0)){N=e;c=g;break}else{l=e;k=g}}}else{N=0;c=0}if((f[U>>2]|0)>2){f[F>>2]=s+1;f[F+4>>2]=(c|0)/8|0;zy(C,110687,F)|0;c=0;do{f[G>>2]=f[E+(c<<2)>>2];zy(C,110728,G)|0;c=c+1|0}while((c|0)<(P|0));iz(10,C)|0;c=0}else c=0;do{Iv(a+37668+(c*258|0)|0,a+45408+(c*1032|0)|0,K,17);c=c+1|0}while((c|0)<(P|0));s=s+1|0}while((s|0)!=4);if((N|0)>=18003)kv(3003);c=0;do{b[H+c>>0]=c;c=c+1|0}while((c|0)<(P|0));o=(N|0)>0;if(o){g=b[H>>0]|0;i=0;do{e=g;g=b[a+1664+i>>0]|0;if(g<<24>>24==e<<24>>24)c=0;else{c=0;do{c=c+1|0;Pa=H+c|0;Oa=e;e=b[Pa>>0]|0;b[Pa>>0]=Oa}while(g<<24>>24!=e<<24>>24)}b[H>>0]=g;b[a+19666+i>>0]=c;i=i+1|0}while((i|0)!=(N|0))}a:do if(L){i=0;while(1){c=0;e=0;g=32;do{Pa=h[a+37668+(i*258|0)+c>>0]|0;e=(Pa|0)>(e|0)?Pa:e;g=(Pa|0)<(g|0)?Pa:g;c=c+1|0}while((c|0)<(K|0));if((e|0)>17){c=67;break}if((g|0)<1){c=69;break}Jv(a+39216+(i*1032|0)|0,a+37668+(i*258|0)|0,g,e,K);i=i+1|0;if((i|0)>=(P|0))break a}if((c|0)==67)kv(3004);else if((c|0)==69)kv(3005)}else{c=0;do{Jv(a+39216+(c*1032|0)|0,a+37668+(c*258|0)|0,32,0,K);c=c+1|0}while((c|0)<(P|0))}while(0);c=0;do{Pa=H+c|0;b[Pa>>0]=0;Oa=c<<4;Na=b[a+88+Oa>>0]|0;b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|1)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|2)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|3)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|4)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|5)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|6)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|7)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|8)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|9)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|10)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|11)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|12)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|13)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;Na=Na|b[(Oa|14)+(a+88)>>0];b[Pa>>0]=Na<<24>>24!=0&1;b[Pa>>0]=(Na|b[(Oa|15)+(a+88)>>0])<<24>>24!=0&1;c=c+1|0}while((c|0)!=16);v=a+76|0;n=f[v>>2]|0;t=a+604|0;s=a+600|0;w=a+44|0;e=f[s>>2]|0;c=n;g=f[t>>2]|0;k=0;do{i=(g|0)>7;if(!(b[H+k>>0]|0)){if(i)do{b[(f[w>>2]|0)+c>>0]=e>>>24;c=(f[v>>2]|0)+1|0;f[v>>2]=c;e=f[s>>2]<<8;f[s>>2]=e;g=(f[t>>2]|0)+-8|0;f[t>>2]=g}while((g|0)>7)}else{if(i){do{b[(f[w>>2]|0)+c>>0]=e>>>24;c=(f[v>>2]|0)+1|0;f[v>>2]=c;e=f[s>>2]<<8;f[s>>2]=e;g=(f[t>>2]|0)+-8|0;f[t>>2]=g}while((g|0)>7);i=g}else i=g;g=i;e=1<<31-i|e}f[s>>2]=e;g=g+1|0;f[t>>2]=g;k=k+1|0}while((k|0)!=16);m=0;do{if(b[H+m>>0]|0){l=m<<4;k=0;do{i=(g|0)>7;if(!(b[k+l+(a+88)>>0]|0)){if(i)do{b[(f[w>>2]|0)+c>>0]=e>>>24;c=(f[v>>2]|0)+1|0;f[v>>2]=c;e=f[s>>2]<<8;f[s>>2]=e;g=(f[t>>2]|0)+-8|0;f[t>>2]=g}while((g|0)>7)}else{if(i){do{b[(f[w>>2]|0)+c>>0]=e>>>24;c=(f[v>>2]|0)+1|0;f[v>>2]=c;e=f[s>>2]<<8;f[s>>2]=e;g=(f[t>>2]|0)+-8|0;f[t>>2]=g}while((g|0)>7);i=g}else i=g;g=i;e=1<<31-i|e}f[s>>2]=e;g=g+1|0;f[t>>2]=g;k=k+1|0}while((k|0)!=16)}m=m+1|0}while((m|0)!=16);if((f[U>>2]|0)>2){g=f[4971]|0;f[I>>2]=c-n;zy(g,110732,I)|0;g=f[t>>2]|0;n=f[v>>2]|0}else n=c;e=f[s>>2]|0;if((g|0)>7){c=n;do{b[(f[w>>2]|0)+c>>0]=e>>>24;c=(f[v>>2]|0)+1|0;f[v>>2]=c;e=f[s>>2]<<8;f[s>>2]=e;g=(f[t>>2]|0)+-8|0;f[t>>2]=g}while((g|0)>7)}else c=n;i=P<<29-g|e;f[s>>2]=i;g=g+3|0;f[t>>2]=g;if((g|0)>7){e=i;while(1){b[(f[w>>2]|0)+c>>0]=e>>>24;c=(f[v>>2]|0)+1|0;f[v>>2]=c;i=f[s>>2]<<8;f[s>>2]=i;g=(f[t>>2]|0)+-8|0;f[t>>2]=g;if((g|0)>7)e=i;else{e=c;c=i;break}}}else{e=c;c=i}c=N<<17-g|c;f[s>>2]=c;i=g+15|0;f[t>>2]=i;if(o){m=0;do{l=a+19666+m|0;g=(i|0)>7;if(b[l>>0]|0){k=0;do{if(g)do{b[(f[w>>2]|0)+e>>0]=c>>>24;e=(f[v>>2]|0)+1|0;f[v>>2]=e;c=f[s>>2]<<8;f[s>>2]=c;g=(f[t>>2]|0)+-8|0;f[t>>2]=g}while((g|0)>7);else g=i;c=1<<31-g|c;f[s>>2]=c;i=g+1|0;f[t>>2]=i;k=k+1|0;g=(g|0)>6}while((k|0)<(h[l>>0]|0))}if(g)do{b[(f[w>>2]|0)+e>>0]=c>>>24;e=(f[v>>2]|0)+1|0;f[v>>2]=e;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7);f[s>>2]=c;i=i+1|0;f[t>>2]=i;m=m+1|0}while((m|0)!=(N|0))}if((f[U>>2]|0)>2){c=f[4971]|0;f[J>>2]=e-n;zy(c,110758,J)|0;c=f[s>>2]|0;i=f[t>>2]|0;e=f[v>>2]|0}g=e;q=0;do{m=h[a+37668+(q*258|0)>>0]|0;if((i|0)>7)do{b[(f[w>>2]|0)+g>>0]=c>>>24;g=(f[v>>2]|0)+1|0;f[v>>2]=g;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7);c=m<<27-i|c;f[s>>2]=c;i=i+5|0;f[t>>2]=i;if(L){o=0;do{n=a+37668+(q*258|0)+o|0;k=b[n>>0]|0;if((m|0)<(k&255|0)){do{if((i|0)>7)do{b[(f[w>>2]|0)+g>>0]=c>>>24;g=(f[v>>2]|0)+1|0;f[v>>2]=g;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7);c=2<<30-i|c;f[s>>2]=c;i=i+2|0;f[t>>2]=i;m=m+1|0;k=b[n>>0]|0}while((m|0)<(k&255|0));l=k}else l=k;k=(i|0)>7;if((m|0)>(l&255|0))do{if(k)do{b[(f[w>>2]|0)+g>>0]=c>>>24;g=(f[v>>2]|0)+1|0;f[v>>2]=g;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7);c=3<<30-i|c;f[s>>2]=c;i=i+2|0;f[t>>2]=i;m=m+-1|0;k=(i|0)>7}while((m|0)>(h[n>>0]|0));if(k)do{b[(f[w>>2]|0)+g>>0]=c>>>24;g=(f[v>>2]|0)+1|0;f[v>>2]=g;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7);f[s>>2]=c;i=i+1|0;f[t>>2]=i;o=o+1|0}while((o|0)<(K|0))}q=q+1|0}while((q|0)<(P|0));if((f[U>>2]|0)>2){Pa=f[4971]|0;f[M>>2]=g-e;zy(Pa,110773,M)|0;g=f[v>>2]|0}c=f[Q>>2]|0;b:do if((c|0)>0){n=0;e=0;while(1){q=n+49|0;r=(q|0)<(c|0)?q:c+-1|0;o=a+1664+e|0;if((h[o>>0]|0)>>>0>=P>>>0)break;do if(O&(r-n|0)==49){o=h[o>>0]|0;l=j[R+(n<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;c=f[t>>2]|0;i=f[s>>2]|0;if((c|0)>7){c=i;k=f[v>>2]|0;while(1){b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;i=f[s>>2]<<8;f[s>>2]=i;c=(f[t>>2]|0)+-8|0;f[t>>2]=c;if((c|0)<=7)break;else c=i}}k=l<<32-m-c|i;f[s>>2]=k;c=c+m|0;f[t>>2]=c;l=j[R+(n+1<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((c|0)>7){c=k;k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}else{i=c;c=k}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+2<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+3<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+4<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+5<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+6<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+7<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+8<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+9<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+10<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+11<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+12<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+13<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+14<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+15<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+16<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+17<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+18<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+19<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+20<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+21<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+22<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+23<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+24<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+25<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+26<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+27<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+28<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+29<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+30<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+31<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+32<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+33<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+34<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+35<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+36<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+37<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+38<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+39<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+40<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+41<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+42<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+43<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+44<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+45<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+46<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+47<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(n+48<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;l=j[R+(q<<1)>>1]|0;m=h[a+37668+(o*258|0)+l>>0]|0;l=f[a+39216+(o*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}f[s>>2]=l<<32-m-i|c;f[t>>2]=i+m}else{if((r|0)<(n|0))break;c=f[s>>2]|0;i=f[t>>2]|0;while(1){Pa=h[o>>0]|0;l=j[R+(n<<1)>>1]|0;m=h[a+37668+(Pa*258|0)+l>>0]|0;l=f[a+39216+(Pa*1032|0)+(l<<2)>>2]|0;if((i|0)>7){k=f[v>>2]|0;do{b[(f[w>>2]|0)+k>>0]=c>>>24;k=(f[v>>2]|0)+1|0;f[v>>2]=k;c=f[s>>2]<<8;f[s>>2]=c;i=(f[t>>2]|0)+-8|0;f[t>>2]=i}while((i|0)>7)}c=l<<32-m-i|c;f[s>>2]=c;i=i+m|0;f[t>>2]=i;if((n|0)>=(r|0))break;else n=n+1|0}}while(0);n=r+1|0;e=e+1|0;c=f[Q>>2]|0;if((n|0)>=(c|0)){S=e;break b}}kv(3006)}else S=0;while(0);if((S|0)!=(N|0))kv(3007);if((f[U>>2]|0)<=2){u=V;return}Pa=f[4971]|0;f[T>>2]=(f[v>>2]|0)-g;zy(Pa,110791,T)|0;u=V;return}
function Gs(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;c=b+-1|0;r=(c|0)/2|0;if((b|0)>1)b=0;else{a=a+(r<<3)|0;r=a;r=f[r>>2]|0;a=a+4|0;a=f[a>>2]|0;I=a;return r|0}while(1){k=b+1|0;i=a+(c<<3)|0;g=i;h=f[g>>2]|0;g=f[g+4>>2]|0;if((c|0)==(k|0))break;j=a+(((b+c|0)/2|0)<<3)|0;d=j;e=f[d>>2]|0;d=f[d+4>>2]|0;if((d|0)>(g|0)|(d|0)==(g|0)&e>>>0>h>>>0){p=j;f[p>>2]=h;f[p+4>>2]=g;p=i;f[p>>2]=e;f[p+4>>2]=d}else{d=g;e=h}p=a+(b<<3)|0;h=p;g=f[h>>2]|0;h=f[h+4>>2]|0;if((h|0)>(d|0)|(h|0)==(d|0)&g>>>0>e>>>0){o=p;f[o>>2]=e;f[o+4>>2]=d;o=i;f[o>>2]=g;f[o+4>>2]=h;g=p;h=f[g+4>>2]|0;g=f[g>>2]|0}d=j;e=f[d>>2]|0;d=f[d+4>>2]|0;if((d|0)>(h|0)|(d|0)==(h|0)&e>>>0>g>>>0){o=j;f[o>>2]=g;f[o+4>>2]=h;o=p;f[o>>2]=e;f[o+4>>2]=d;d=j;e=f[d>>2]|0;d=f[d+4>>2]|0}o=a+(k<<3)|0;l=o;m=f[l+4>>2]|0;n=j;f[n>>2]=f[l>>2];f[n+4>>2]=m;f[o>>2]=e;f[o+4>>2]=d;e=c;d=k;while(1){o=p;n=f[o>>2]|0;o=f[o+4>>2]|0;do{d=d+1|0;l=a+(d<<3)|0;k=l;j=f[k>>2]|0;k=f[k+4>>2]|0}while((o|0)>(k|0)|(o|0)==(k|0)&n>>>0>j>>>0);m=e;while(1){e=m+-1|0;i=a+(e<<3)|0;h=i;g=f[h>>2]|0;h=f[h+4>>2]|0;if((h|0)>(o|0)|(h|0)==(o|0)&g>>>0>n>>>0)m=e;else break}if((m|0)<=(d|0))break;o=l;f[o>>2]=g;f[o+4>>2]=h;o=i;f[o>>2]=j;f[o+4>>2]=k}f[p>>2]=g;f[p+4>>2]=h;p=i;f[p>>2]=n;f[p+4>>2]=o;b=(e|0)>(r|0)?b:d;c=(m|0)>(r|0)?m+-2|0:c;if((c|0)<=(b|0)){q=18;break}}if((q|0)==18){a=a+(r<<3)|0;r=a;r=f[r>>2]|0;a=a+4|0;a=f[a>>2]|0;I=a;return r|0}d=a+(b<<3)|0;b=d;c=f[b>>2]|0;b=f[b+4>>2]|0;if(!((b|0)>(g|0)|(b|0)==(g|0)&c>>>0>h>>>0)){a=a+(r<<3)|0;r=a;r=f[r>>2]|0;a=a+4|0;a=f[a>>2]|0;I=a;return r|0}q=d;f[q>>2]=h;f[q+4>>2]=g;q=i;f[q>>2]=c;f[q+4>>2]=b;a=a+(r<<3)|0;r=a;r=f[r>>2]|0;a=a+4|0;a=f[a>>2]|0;I=a;return r|0}function Hs(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0;v=d;t=d+e|0;u=Lv(g<<2)|0;if(!u){vj(102261);v=-1;return v|0}h=f[a>>2]|0;i=h>>>24;b[d>>0]=i;b[d+1>>0]=h>>>16;b[d+2>>0]=h>>>8;e=d+4|0;b[d+3>>0]=h;do if((c|0)>0){l=i<<24|h&16777215;k=8;r=0;h=f[a>>2]|0;s=g;a:while(1){m=c-r|0;s=(m|0)<(g|0)?m:s;m=(s|0)>0;if(m){d=0;j=0.0;while(1){i=f[a+(d+r<<2)>>2]|0;q=i-h|0;q=q<<1^q>>31;f[u+(d<<2)>>2]=q;j=j+ +(q>>>0);d=d+1|0;if((d|0)==(s|0)){q=i;break}else h=i}}else{q=h;j=0.0}w=(j-+((s|0)/2|0|0)+-1.0)/+(s|0);p=0;h=~~(w<0.0?0.0:w)>>>0;while(1){h=h>>>1;i=p+1|0;if(!h)break;else p=i}do if((p|0)>24){if((k+5|0)>32){p=5-k|0;h=f[5016+(k<<2)>>2]&26>>>p|l<<k;b[e>>0]=h;e=e+1|0;k=8;l=p}else{h=l;l=5}i=f[5016+(l<<2)>>2]&26|h<<l;h=k-l|0;if((h|0)<1){d=l-k|0;do{p=e;e=p+1|0;b[p>>0]=i>>0-h;h=h+8|0}while((h|0)<1);h=8-l+k+(d&-8)|0}if(m){m=0;do{d=f[u+(m<<2)>>2]|0;if((h|0)>0){l=32-h|0;i=f[5016+(h<<2)>>2]&d>>l|i<<h;b[e>>0]=i;e=e+1|0;h=8}else l=32;i=f[5016+(l<<2)>>2]&d|i<<l;d=h-l|0;if((d|0)<1){k=l-h|0;do{p=e;e=p+1|0;b[p>>0]=i>>0-d;d=d+8|0}while((d|0)<1);h=8-l+h+(k&-8)|0}else h=d;m=m+1|0}while((m|0)!=(s|0));k=h}else k=h}else{d=(k+5|0)>32;if(j==0.0&(p|0)==0){h=l<<k;i=e;if(d){b[i>>0]=h;e=i+1|0;l=8;k=5-k|0}else{h=l;l=k;k=5}i=h<<k;h=l-k|0;if((h|0)>=1){k=h;break}d=k-l|0;do{p=e;e=p+1|0;b[p>>0]=i>>0-h;h=h+8|0}while((h|0)<1);k=8-k+l+(d&-8)|0;break}if(d){o=5-k|0;h=f[5016+(k<<2)>>2]&i>>o|l<<k;b[e>>0]=h;e=e+1|0;k=8;l=o}else{h=l;l=5}i=f[5016+(l<<2)>>2]&i|h<<l;h=k-l|0;if((h|0)<1){d=l-k|0;do{o=e;e=o+1|0;b[o>>0]=i>>0-h;h=h+8|0}while((h|0)<1);h=8-l+k+(d&-8)|0}o=(1<<p)+-1|0;b:do if(m){if((p|0)<=0){l=0;while(1){k=f[u+(l<<2)>>2]>>p;d=k+1|0;if((k|0)<(h|0)){i=i<<d|1;h=h-d|0}else{b[e>>0]=i<<h;d=k-h|0;i=e+1|0;if((d|0)>7){o=k+-8-h|0;h=o>>>3;Fz(i|0,0,h+1|0)|0;e=e+2+h|0;h=o-(h<<3)|0}else{e=i;h=d}i=1;h=7-h|0}l=l+1|0;if((l|0)==(s|0))break b}}n=8-p|0;m=0;do{l=f[u+(m<<2)>>2]|0;k=l>>p;d=k+1|0;if((k|0)<(h|0)){i=i<<d|1;k=h-d|0}else{b[e>>0]=i<<h;d=k-h|0;i=e+1|0;if((d|0)>7){k=k+-8-h|0;h=k>>>3;Fz(i|0,0,h+1|0)|0;e=e+2+h|0;h=k-(h<<3)|0}else{e=i;h=d}i=1;k=7-h|0}i=i<<p|l&o;h=k-p|0;if((h|0)<1){d=p-k&-8;do{l=e;e=l+1|0;b[l>>0]=i>>0-h;h=h+8|0}while((h|0)<1);h=n+k+d|0}m=m+1|0}while((m|0)!=(s|0))}while(0);if(e>>>0>t>>>0){h=57;break a}else k=h}while(0);r=r+g|0;if((r|0)>=(c|0)){h=59;break}else{l=i;h=q}}if((h|0)==57){vj(102293);Mv(u);v=-1;return v|0}else if((h|0)==59){h=e;if((k|0)>=8)break;b[h>>0]=i<<k;e=h+1|0;break}}while(0);Mv(u);v=e-v|0;return v|0}function Is(a,c,e,g,h){a=a|0;c=c|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0.0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0.0;w=e;u=e+g|0;v=Lv(h<<2)|0;if(!v){vj(102261);w=-1;return w|0}i=d[a>>1]|0;b[e>>0]=(i&65535)>>>8;g=e+2|0;b[e+1>>0]=i;do if((c|0)>0){m=i&65535;l=8;s=0;i=d[a>>1]|0;t=h;a:while(1){n=c-s|0;t=(n|0)<(h|0)?n:t;n=(t|0)>0;if(n){j=0;k=0.0;while(1){e=d[a+(j+s<<1)>>1]|0;r=e-i<<16;r=r>>15^r>>31;f[v+(j<<2)>>2]=r;k=k+ +(r>>>0);j=j+1|0;if((j|0)==(t|0)){r=e;break}else i=e}}else{r=i;k=0.0}x=(k-+((t|0)/2|0|0)+-1.0)/+(t|0);q=0;i=~~(x<0.0?0.0:x)&65535;while(1){i=(i&65535)>>>1;e=q+1|0;if(!(i<<16>>16))break;else q=e}do if((q|0)>13){if((l+4|0)>32){q=4-l|0;i=f[5016+(l<<2)>>2]&15>>>q|m<<l;b[g>>0]=i;g=g+1|0;l=8;m=q}else{i=m;m=4}e=f[5016+(m<<2)>>2]&15|i<<m;i=l-m|0;if((i|0)<1){j=m-l|0;do{q=g;g=q+1|0;b[q>>0]=e>>0-i;i=i+8|0}while((i|0)<1);i=8-m+l+(j&-8)|0}if(n){n=0;do{j=f[v+(n<<2)>>2]|0;if((i+16|0)>32){m=16-i|0;e=f[5016+(i<<2)>>2]&j>>m|e<<i;b[g>>0]=e;g=g+1|0;i=8}else m=16;e=f[5016+(m<<2)>>2]&j|e<<m;j=i-m|0;if((j|0)<1){l=m-i|0;do{q=g;g=q+1|0;b[q>>0]=e>>0-j;j=j+8|0}while((j|0)<1);i=8-m+i+(l&-8)|0}else i=j;n=n+1|0}while((n|0)!=(t|0));l=i}else l=i}else{j=(l+4|0)>32;if(k==0.0&(q|0)==0){i=m<<l;e=g;if(j){b[e>>0]=i;g=e+1|0;m=8;l=4-l|0}else{i=m;m=l;l=4}e=i<<l;i=m-l|0;if((i|0)>=1){l=i;break}j=l-m|0;do{q=g;g=q+1|0;b[q>>0]=e>>0-i;i=i+8|0}while((i|0)<1);l=8-l+m+(j&-8)|0;break}if(j){p=4-l|0;i=f[5016+(l<<2)>>2]&e>>p|m<<l;b[g>>0]=i;g=g+1|0;l=8;m=p}else{i=m;m=4}e=f[5016+(m<<2)>>2]&e|i<<m;i=l-m|0;if((i|0)<1){j=m-l|0;do{p=g;g=p+1|0;b[p>>0]=e>>0-i;i=i+8|0}while((i|0)<1);i=8-m+l+(j&-8)|0}p=(1<<q)+-1|0;b:do if(n){if((q|0)<=0){m=0;while(1){l=f[v+(m<<2)>>2]>>q;j=l+1|0;if((l|0)<(i|0)){e=e<<j|1;i=i-j|0}else{b[g>>0]=e<<i;j=l-i|0;e=g+1|0;if((j|0)>7){p=l+-8-i|0;i=p>>>3;Fz(e|0,0,i+1|0)|0;g=g+2+i|0;i=p-(i<<3)|0}else{g=e;i=j}e=1;i=7-i|0}m=m+1|0;if((m|0)==(t|0))break b}}o=8-q|0;n=0;do{m=f[v+(n<<2)>>2]|0;l=m>>q;j=l+1|0;if((l|0)<(i|0)){e=e<<j|1;l=i-j|0}else{b[g>>0]=e<<i;j=l-i|0;e=g+1|0;if((j|0)>7){l=l+-8-i|0;i=l>>>3;Fz(e|0,0,i+1|0)|0;g=g+2+i|0;i=l-(i<<3)|0}else{g=e;i=j}e=1;l=7-i|0}e=e<<q|m&p;i=l-q|0;if((i|0)<1){j=q-l&-8;do{m=g;g=m+1|0;b[m>>0]=e>>0-i;i=i+8|0}while((i|0)<1);i=o+l+j|0}n=n+1|0}while((n|0)!=(t|0))}while(0);if(g>>>0>u>>>0){i=57;break a}else l=i}while(0);s=s+h|0;if((s|0)>=(c|0)){i=59;break}else{m=e;i=r}}if((i|0)==57){vj(102293);Mv(v);w=-1;return w|0}else if((i|0)==59){i=g;if((l|0)>=8)break;b[i>>0]=e<<l;g=i+1|0;break}}while(0);Mv(v);w=g-w|0;return w|0}function Js(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0.0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0.0;v=d;t=d+e|0;u=Lv(g<<2)|0;if(!u){vj(102261);v=-1;return v|0}h=b[a>>0]|0;e=d+1|0;b[d>>0]=h;do if((c|0)>0){l=h&255;k=8;r=0;h=b[a>>0]|0;s=g;a:while(1){m=c-r|0;s=(m|0)<(g|0)?m:s;m=(s|0)>0;if(m){i=0;j=0.0;while(1){d=b[a+(i+r)>>0]|0;q=d-h<<24;q=q>>23^q>>31;f[u+(i<<2)>>2]=q;j=j+ +(q>>>0);i=i+1|0;if((i|0)==(s|0)){q=d;break}else h=d}}else{q=h;j=0.0}w=(j-+((s|0)/2|0|0)+-1.0)/+(s|0);p=0;h=~~(w<0.0?0.0:w)&255;while(1){h=(h&255)>>>1;d=p+1|0;if(!(h<<24>>24))break;else p=d}do if((p|0)>5){if((k+3|0)>32){p=3-k|0;h=f[5016+(k<<2)>>2]&7>>>p|l<<k;b[e>>0]=h;e=e+1|0;k=8;l=p}else{h=l;l=3}d=f[5016+(l<<2)>>2]&7|h<<l;h=k-l|0;if((h|0)<1){i=l-k|0;do{p=e;e=p+1|0;b[p>>0]=d>>0-h;h=h+8|0}while((h|0)<1);h=8-l+k+(i&-8)|0}if(m){m=0;do{i=f[u+(m<<2)>>2]|0;if((h+8|0)>32){l=8-h|0;d=f[5016+(h<<2)>>2]&i>>l|d<<h;b[e>>0]=d;e=e+1|0;h=8}else l=8;d=f[5016+(l<<2)>>2]&i|d<<l;i=h-l|0;if((i|0)<1){k=l-h|0;do{p=e;e=p+1|0;b[p>>0]=d>>0-i;i=i+8|0}while((i|0)<1);h=8-l+h+(k&-8)|0}else h=i;m=m+1|0}while((m|0)!=(s|0));k=h}else k=h}else{i=(k+3|0)>32;if(j==0.0&(p|0)==0){h=l<<k;d=e;if(i){b[d>>0]=h;e=d+1|0;l=8;k=3-k|0}else{h=l;l=k;k=3}d=h<<k;h=l-k|0;if((h|0)>=1){k=h;break}i=k-l|0;do{p=e;e=p+1|0;b[p>>0]=d>>0-h;h=h+8|0}while((h|0)<1);k=8-k+l+(i&-8)|0;break}if(i){o=3-k|0;h=f[5016+(k<<2)>>2]&d>>o|l<<k;b[e>>0]=h;e=e+1|0;k=8;l=o}else{h=l;l=3}d=f[5016+(l<<2)>>2]&d|h<<l;h=k-l|0;if((h|0)<1){i=l-k|0;do{o=e;e=o+1|0;b[o>>0]=d>>0-h;h=h+8|0}while((h|0)<1);h=8-l+k+(i&-8)|0}o=(1<<p)+-1|0;b:do if(m){if((p|0)<=0){l=0;while(1){k=f[u+(l<<2)>>2]>>p;i=k+1|0;if((k|0)<(h|0)){d=d<<i|1;h=h-i|0}else{b[e>>0]=d<<h;i=k-h|0;d=e+1|0;if((i|0)>7){o=k+-8-h|0;h=o>>>3;Fz(d|0,0,h+1|0)|0;e=e+2+h|0;h=o-(h<<3)|0}else{e=d;h=i}d=1;h=7-h|0}l=l+1|0;if((l|0)==(s|0))break b}}n=8-p|0;m=0;do{l=f[u+(m<<2)>>2]|0;k=l>>p;i=k+1|0;if((k|0)<(h|0)){d=d<<i|1;k=h-i|0}else{b[e>>0]=d<<h;i=k-h|0;d=e+1|0;if((i|0)>7){k=k+-8-h|0;h=k>>>3;Fz(d|0,0,h+1|0)|0;e=e+2+h|0;h=k-(h<<3)|0}else{e=d;h=i}d=1;k=7-h|0}d=d<<p|l&o;h=k-p|0;if((h|0)<1){i=p-k&-8;do{l=e;e=l+1|0;b[l>>0]=d>>0-h;h=h+8|0}while((h|0)<1);h=n+k+i|0}m=m+1|0}while((m|0)!=(s|0))}while(0);if(e>>>0>t>>>0){h=57;break a}else k=h}while(0);r=r+g|0;if((r|0)>=(c|0)){h=59;break}else{l=d;h=q}}if((h|0)==57){vj(102293);Mv(u);v=-1;return v|0}else if((h|0)==59){h=e;if((k|0)>=8)break;b[h>>0]=d<<k;e=h+1|0;break}}while(0);Mv(u);v=e-v|0;return v|0}function Ks(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;k=a+4|0;v=k+c+-4|0;k=h[k>>0]|0;j=a+5|0;c=0;a=(h[a+1>>0]|0)<<16|(h[a>>0]|0)<<24|(h[a+2>>0]|0)<<8|(h[a+3>>0]|0);n=8;while(1){if((c|0)>=(e|0))break;i=n+-5|0;if((n|0)<5){m=(((i|0)>-8?i:-8)+12-n|0)>>>3;l=j+1+m|0;m=m<<3;while(1){k=h[j>>0]|0|k<<8;if((i|0)>=-8)break;else{j=j+1|0;i=i+8|0}}j=l;i=n+3+m|0}r=k>>>i;t=r+-1|0;s=(1<<i)+-1|0;k=s&k;m=c+g|0;u=(m|0)>(e|0)?e:m;a:do if((t|0)<0){if((c|0)<(u|0)){do{f[d+(c<<2)>>2]=a;c=c+1|0}while((c|0)<(u|0));c=u}}else{l=(c|0)<(u|0);if((t|0)!=25){if(!l)break;p=r+7|0;q=8-r|0;while(1){if(!k){do{i=i+8|0;k=j;j=j+1|0;k=b[k>>0]|0}while(!(k<<24>>24));k=k&255}n=f[5148+(k<<2)>>2]|0;o=i-n|0;i=i+-1-o|0;k=1<<i^k;i=i-t|0;if((i|0)<0){m=n-r|0;m=(p+((m|0)>-8?m:-8)-n|0)>>>3;l=j+1+m|0;m=m<<3;while(1){k=h[j>>0]|0|k<<8;if((i|0)>=-8)break;else{j=j+1|0;i=i+8|0}}j=l;i=q+n+m|0}s=k>>>i|o<<t;k=(1<<i)+-1&k;a=(s<<31>>31^s>>>1)+a|0;f[d+(c<<2)>>2]=a;c=c+1|0;if((c|0)>=(u|0)){c=u;break a}}}if(l){t=32-i|0;r=t+-8|0;q=(i|0)>0;if((r|0)<=-1){if(!q)while(1){s=k<<t;a=(s<<31>>31^s>>>1)+a|0;f[d+(c<<2)>>2]=a;c=c+1|0;if((c|0)>=(u|0)){k=0;c=u;break a}else k=0}n=0-c-~((m|0)>(e|0)?e:m)|0;m=8-t|0;l=j;while(1){q=h[l>>0]|0;r=q>>>m|k<<t;k=q&s;a=(r<<31>>31^r>>>1)+a|0;f[d+(c<<2)>>2]=a;c=c+1|0;if((c|0)>=(u|0))break;else l=l+1|0}j=j+-1+n|0;c=u;break}o=r>>>3;p=(o<<3)+(i+-24)+8|0;do{n=j+1|0;m=j;l=k<<t;k=r;while(1){l=(h[m>>0]|0)<<k|l;k=k+-8|0;if((k|0)<=-1)break;else m=m+1|0}m=n+o|0;if(q){n=h[m>>0]|0;k=n&s;j=j+o+2|0;l=n>>>p|l}else{k=0;j=m}a=(l<<31>>31^l>>>1)+a|0;f[d+(c<<2)>>2]=a;c=c+1|0}while((c|0)<(u|0));c=u}}while(0);if(j>>>0>v>>>0){w=35;break}else n=i}if((w|0)==35){vj(102320);w=1;return w|0}if(j>>>0>=v>>>0){w=0;return w|0}vj(102375);w=0;return w|0}function Ls(a,c,e,g,i){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0;l=a+2|0;x=l+c+-2|0;l=h[l>>0]|0;k=a+3|0;c=0;a=(h[a>>0]|0)<<8|(h[a+1>>0]|0);o=8;while(1){if((c|0)>=(g|0))break;j=o+-4|0;if((o|0)<4){n=(((j|0)>-8?j:-8)+11-o|0)>>>3;m=k+1+n|0;n=n<<3;while(1){l=h[k>>0]|0|l<<8;if((j|0)>=-8)break;else{k=k+1|0;j=j+8|0}}k=m;v=o+4+n|0}else v=j;t=l>>>v;u=t+-1|0;s=(1<<v)+-1|0;l=s&l;m=c+i|0;w=(m|0)>(g|0)?g:m;a:do if((u|0)<0)if((c|0)<(w|0)){j=a&65535;do{d[e+(c<<1)>>1]=j;c=c+1|0}while((c|0)<(w|0));c=w;j=v}else j=v;else{j=(c|0)<(w|0);if((u|0)!=14){if(!j){j=v;break}q=t+7|0;r=8-t|0;j=v;while(1){if(!l){do{j=j+8|0;l=k;k=k+1|0;l=b[l>>0]|0}while(!(l<<24>>24));l=l&255}o=f[5148+(l<<2)>>2]|0;p=j-o|0;j=j+-1-p|0;l=1<<j^l;j=j-u|0;if((j|0)<0){n=o-t|0;n=(q+((n|0)>-8?n:-8)-o|0)>>>3;m=k+1+n|0;n=n<<3;while(1){l=h[k>>0]|0|l<<8;if((j|0)>=-8)break;else{k=k+1|0;j=j+8|0}}k=m;j=r+o+n|0}v=l>>>j|p<<u;l=(1<<j)+-1&l;a=(v<<31>>31^v>>>1)+a|0;d[e+(c<<1)>>1]=a;a=a&65535;c=c+1|0;if((c|0)>=(w|0)){c=w;break a}}}if(j){t=16-v|0;r=t+-8|0;q=(v|0)>0;if((r|0)<=-1){if(!q)while(1){u=l<<t;a=(u<<31>>31^u>>>1)+a|0;d[e+(c<<1)>>1]=a;a=a&65535;c=c+1|0;if((c|0)>=(w|0)){l=0;c=w;j=v;break a}else l=0}n=0-c-~((m|0)>(g|0)?g:m)|0;m=8-t|0;j=k;while(1){r=h[j>>0]|0;u=r>>>m|l<<t;l=r&s;u=(u<<31>>31^u>>>1)+a|0;d[e+(c<<1)>>1]=u;a=u&65535;c=c+1|0;if((c|0)>=(w|0))break;else j=j+1|0}k=k+-1+n|0;c=w;j=v;break}o=r>>>3;p=(o<<3)+v|0;do{n=k+1|0;m=k;j=l<<t;l=r;while(1){j=(h[m>>0]|0)<<l|j;l=l+-8|0;if((l|0)<=-1)break;else m=m+1|0}m=n+o|0;if(q){u=h[m>>0]|0;l=u&s;k=k+o+2|0;j=u>>>p|j}else{l=0;k=m}a=(j<<31>>31^j>>>1)+a|0;d[e+(c<<1)>>1]=a;a=a&65535;c=c+1|0}while((c|0)<(w|0));c=w;j=v}else j=v}while(0);if(k>>>0>x>>>0){y=36;break}else o=j}if((y|0)==36){vj(102320);y=1;return y|0}if(k>>>0>=x>>>0){y=0;return y|0}vj(102375);y=0;return y|0}function Ms(a,c,d,e,g){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0;k=a+1|0;w=k+c+-1|0;v=~e;k=h[k>>0]|0;i=a+2|0;j=0;c=h[a>>0]|0;n=8;while(1){if((j|0)>=(e|0))break;a=n+-3|0;if((n|0)<3){m=(((a|0)>-8?a:-8)+10-n|0)>>>3;l=i+1+m|0;m=m<<3;while(1){k=h[i>>0]|0|k<<8;if((a|0)>=-8)break;else{i=i+1|0;a=a+8|0}}i=l;a=n+5+m|0}r=k>>>a;t=r+-1|0;s=(1<<a)+-1|0;k=s&k;m=j+g|0;u=(m|0)>(e|0)?e:m;a:do if((t|0)<0){if((j|0)<(u|0)){t=~m;Fz(d+j|0,c&255|0,~j-((v|0)>(t|0)?v:t)|0)|0;j=u}}else{l=(j|0)<(u|0);if((t|0)!=6){if(!l)break;p=r+7|0;q=8-r|0;while(1){if(!k){do{a=a+8|0;k=i;i=i+1|0;k=b[k>>0]|0}while(!(k<<24>>24));k=k&255}n=f[5148+(k<<2)>>2]|0;o=a-n|0;a=a+-1-o|0;k=1<<a^k;a=a-t|0;if((a|0)<0){m=n-r|0;m=(p+((m|0)>-8?m:-8)-n|0)>>>3;l=i+1+m|0;m=m<<3;while(1){k=h[i>>0]|0|k<<8;if((a|0)>=-8)break;else{i=i+1|0;a=a+8|0}}i=l;a=q+n+m|0}s=k>>>a|o<<t;k=(1<<a)+-1&k;c=(s<<31>>31^s>>>1)+c|0;b[d+j>>0]=c;c=c&255;j=j+1|0;if((j|0)>=(u|0)){j=u;break a}}}if(l){t=8-a|0;r=t+-8|0;q=(a|0)>0;if((r|0)<=-1){if(!q)while(1){s=k<<t;c=(s<<31>>31^s>>>1)+c|0;b[d+j>>0]=c;c=c&255;j=j+1|0;if((j|0)>=(u|0)){k=0;j=u;break a}else k=0}m=~m;m=0-j-((v|0)>(m|0)?v:m)|0;l=i;while(1){q=h[l>>0]|0;r=q>>>a|k<<t;k=q&s;r=(r<<31>>31^r>>>1)+c|0;b[d+j>>0]=r;c=r&255;j=j+1|0;if((j|0)>=(u|0))break;else l=l+1|0}i=i+-1+m|0;j=u;break}o=r>>>3;p=(o<<3)-r+8|0;do{n=i+1|0;m=i;l=k<<t;k=r;while(1){l=(h[m>>0]|0)<<k|l;k=k+-8|0;if((k|0)<=-1)break;else m=m+1|0}m=n+o|0;if(q){n=h[m>>0]|0;k=n&s;i=i+o+2|0;l=n>>>p|l}else{k=0;i=m}c=(l<<31>>31^l>>>1)+c|0;b[d+j>>0]=c;c=c&255;j=j+1|0}while((j|0)<(u|0));j=u}}while(0);if(i>>>0>w>>>0){x=35;break}else n=a}if((x|0)==35){vj(102320);x=1;return x|0}if(i>>>0>=w>>>0){x=0;return x|0}vj(102375);x=0;return x|0}function Ns(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0;r=c+-2|0;q=a+-4|0;if((e|0)<1){s=0;return s|0}d[c+4>>1]=-100;d[c+2>>1]=7;d[c>>1]=0;d[c+10>>1]=0;d[c+12>>1]=0;n=e+b|0;o=n+-1|0;l=f[q+(b<<2)>>2]|0;e=1;i=b;j=b;h=0;a=8;l=(l|0)>0?l:0;g=b;while(1){if((i|0)<(o|0)){h=i+1|0;b=f[q+(h<<2)>>2]|0;b=(b|0)>0?b:0;if((b|0)!=(l|0))if(!l){i=h;g=h}else{m=b;p=7}else{i=h;b=l}}else{m=h;g=(l|0)==0?n:g;p=7}if((p|0)==7){k=i-g|0;b=k+1|0;h=g-j|0;j=(l|0)>0;do if(j?(s=l-e|0,(s|0)!=0):0){if((((s|0)>-1?s:0-s|0)|0)>4095){d[r+(a<<1)>>1]=l&4095|4096;d[r+(a+1<<1)>>1]=l>>>12;e=l;a=a+2|0;p=13;break}e=(s|0)<0?12288-s|0:s+8192|0;d[r+(a<<1)>>1]=e;a=a+1|0;if(!(k|h)){b=e<<16>>16|16384;e=l;p=19}else{e=l;p=13}}else p=13;while(0);do if((p|0)==13){p=0;if((h|0)>0){while(1){g=(h|0)<4095?h:4095;d[r+(a<<1)>>1]=g;a=a+1|0;if((h|0)<=4095)break;else h=h+-4095|0}if(j&(k|0)==0){b=(g&65535)+20481|0;p=19;break}}if((k|0)>-1)while(1){d[r+(a<<1)>>1]=((b|0)<4095?b:4095)+16384;a=a+1|0;if((b|0)>4095)b=b+-4095|0;else break}}while(0);if((p|0)==19){p=0;d[r+(a+-1<<1)>>1]=b}g=i+1|0;i=g;j=g;b=m}if((i|0)<(n|0)){h=b;l=b}else break}s=a+-1|0;d[c+6>>1]=(s|0)%32768|0;d[c+8>>1]=(s|0)/32768|0;return s|0}function Os(a,b,c,e){a=a|0;b=b|0;c=c|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;q=c+-4|0;r=a+-2|0;g=d[a+4>>1]|0;if(g<<16>>16>0){h=4;o=g<<16>>16}else{h=(d[a+2>>1]|0)+1|0;o=(d[a+8>>1]<<15)+(d[a+6>>1]|0)|0}if((e|0)<1|(o|0)<1){c=0;return c|0}n=e+b|0;p=n+-1|0;a:do if((h|0)>(o|0))g=1;else{a=1;i=1;g=0;l=1;while(1){if(!g){m=d[r+(h<<1)>>1]|0;k=m<<16>>16;j=k&4095;b:do if(m<<16>>16<-4095){g=a;j=0;a=l}else{switch((k|0)/4096|0|0){case 5:case 4:case 0:{m=j+l|0;j=m+-1|0;j=((j|0)<(p|0)?j:p)-((l|0)>(b|0)?l:b)|0;if((j|0)<=-1){g=a;j=0;a=m;break b}g=a+1+j|0;l=j+a|0;j=k&-4096;k=(a|0)>(l|0);if((j|0)==16384){if(k){j=0;a=m;break b}while(1){f[q+(a<<2)>>2]=i;if((a|0)<(l|0))a=a+1|0;else{j=0;a=m;break b}}}if(!k)Fz(q+(a<<2)|0,0,l+1-a<<2|0)|0;if((j|0)!=20480|(m|0)>(n|0)){j=0;a=m;break b}f[q+(l<<2)>>2]=i;j=0;a=m;break b}case 1:{g=a;i=d[r+(h+1<<1)>>1]<<12|j;j=1;a=l;break b}case 2:{g=a;i=j+i|0;j=0;a=l;break b}case 3:{g=a;i=i-j|0;j=0;a=l;break b}case 6:{i=j+i|0;break}case 7:{i=i-j|0;break}default:{g=a;j=0;a=l;break b}}if((l|0)>=(b|0)&(l|0)<(n|0)){f[q+(a<<2)>>2]=i;g=a+1|0}else g=a;j=0;a=l+1|0}while(0);if((a|0)<(n|0)){k=j;j=a}else break a}else{g=a;k=0;j=l}if((h|0)<(o|0)){h=h+1|0;a=g;g=k;l=j}else break}}while(0);if((g|0)>(e|0)){c=e;return c|0}Fz(c+(g+-1<<2)|0,0,e+1-g<<2|0)|0;c=e;return c|0}function Ps(a,c,e,g,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,Y=0,Z=0,_=0;O=u;u=u+16|0;N=O;l=f[k>>2]|0;if((l|0)>0){k=l;u=O;return k|0}E=(e|0)>(c|0)?e:c;D=~~(+V(+(+(E|0)))/.6931471805599453+.5);D=((E|0)>(1<<D|0)&1)+D|0;E=Lv(((E+1|0)/2|0)<<2)|0;if(!E){vj(102439);l=413}else{if((D|0)>0){C=c<<1;B=c+2|0;F=0;w=-2;G=-4;A=1;H=e;J=c;x=1;K=2;z=0;while(1){v=(H|0)%2|0;y=(J|0)%2|0;t=H-v|0;do if((t|0)>0){s=J-y|0;l=(y|0)==0;r=z^1;if((s|0)<=0){if(!l){l=0;do{s=X(l,c)|0;p=a+(s+c<<2)|0;n=f[p>>2]|0;s=a+(s<<2)|0;o=f[s>>2]|0;q=o+n<<r;o=n-o<<r;f[p>>2]=((o|0)>-1?x:0)+o&w;f[s>>2]=((q|0)>-1?K:A)+q&G;l=l+2|0}while((l|0)<(t|0))}l=H+1-v&-2;break}m=J+-1-y&-2;if(l){l=0;do{o=X(l,c)|0;m=0;n=o;o=o+c|0;while(1){S=a+(o+1<<2)|0;P=f[S>>2]|0;Q=a+(o<<2)|0;W=f[Q>>2]|0;R=W+P|0;p=a+(n+1<<2)|0;U=f[p>>2]|0;r=a+(n<<2)|0;T=f[r>>2]|0;q=R+U+T>>z;R=R-U-T>>z;W=P-W|0;P=W+U-T>>z;f[S>>2]=W-U+T>>z;f[Q>>2]=((R|0)>-1?x:0)+R&w;f[p>>2]=((P|0)>-1?x:0)+P&w;f[r>>2]=((q|0)>-1?K:A)+q&G;m=m+2|0;if((m|0)>=(s|0))break;else{n=n+2|0;o=o+2|0}}l=l+2|0}while((l|0)<(t|0))}else{p=0;q=m+2|0;l=B+m|0;while(1){o=X(p,c)|0;m=0;n=o;o=o+c|0;while(1){P=a+(o+1<<2)|0;S=f[P>>2]|0;R=a+(o<<2)|0;_=f[R>>2]|0;Q=_+S|0;T=a+(n+1<<2)|0;Z=f[T>>2]|0;W=a+(n<<2)|0;Y=f[W>>2]|0;U=Q+Z+Y>>z;Q=Q-Z-Y>>z;_=S-_|0;S=_+Z-Y>>z;f[P>>2]=_-Z+Y>>z;f[R>>2]=((Q|0)>-1?x:0)+Q&w;f[T>>2]=((S|0)>-1?x:0)+S&w;f[W>>2]=((U|0)>-1?K:A)+U&G;m=m+2|0;if((m|0)>=(s|0))break;else{n=n+2|0;o=o+2|0}}Y=a+(l<<2)|0;U=f[Y>>2]|0;_=a+(q<<2)|0;W=f[_>>2]|0;Z=W+U<<r;W=U-W<<r;f[Y>>2]=((W|0)>-1?x:0)+W&w;f[_>>2]=((Z|0)>-1?K:A)+Z&G;p=p+2|0;if((p|0)>=(t|0))break;else{q=q+C|0;l=l+C|0}}}l=H+1-v&-2}else l=0;while(0);if(v|0){l=X(l,c)|0;p=J-y|0;if((p|0)>0){q=z^1;m=J+-1|0;n=0;o=l;while(1){Y=a+(o+1<<2)|0;U=f[Y>>2]|0;_=a+(o<<2)|0;W=f[_>>2]|0;Z=W+U<<q;W=U-W<<q;f[Y>>2]=((W|0)>-1?x:0)+W&w;f[_>>2]=((Z|0)>-1?K:A)+Z&G;n=n+2|0;if((n|0)>=(p|0))break;else o=o+2|0}l=(m-y+2&-2)+l|0}if(y|0){_=a+(l<<2)|0;Z=f[_>>2]<<2-z;f[_>>2]=((Z|0)>-1?K:A)+Z&G}}do if((H|0)>0?(L=((J+2147483645|0)>>>1<<2)+8|0,(J|0)>1):0){if((J|0)==2){l=a+((X(H+-1|0,c)|0)<<2)+4|0;f[E>>2]=f[l>>2];l=37;break}else q=0;do{p=a+((X(q,c)|0)<<2)|0;l=p+4|0;m=1;n=l;o=E;while(1){f[o>>2]=f[n>>2];m=m+2|0;if((m|0)>=(J|0)){n=2;m=p;break}else{n=n+8|0;o=o+4|0}}while(1){m=m+8|0;f[l>>2]=f[m>>2];n=n+2|0;if((n|0)>=(J|0))break;else l=l+4|0}n=1;l=p+L|0;m=E;while(1){f[l>>2]=f[m>>2];n=n+2|0;if((n|0)>=(J|0))break;else{l=l+4|0;m=m+4|0}}q=q+1|0}while((q|0)!=(H|0));l=36}else l=36;while(0);if((l|0)==36?(l=0,(J|0)>0):0)l=37;do if((l|0)==37?(0,M=X(((H+2147483645|0)>>>1<<2)+8|0,c)|0,(H|0)>1):0){if((H|0)==2){m=0;while(1){l=m+1|0;if((l|0)==(J|0))break;else m=l}f[E>>2]=f[a+(m<<2)+(c<<2)>>2];break}else q=0;do{p=a+(q<<2)|0;l=p+(c<<2)|0;m=1;n=l;o=E;while(1){f[o>>2]=f[n>>2];m=m+2|0;if((m|0)>=(H|0)){n=2;m=p;break}else{n=n+(C<<2)|0;o=o+4|0}}while(1){m=m+(C<<2)|0;f[l>>2]=f[m>>2];n=n+2|0;if((n|0)>=(H|0))break;else l=l+(c<<2)|0}n=1;l=p+M|0;m=E;while(1){f[l>>2]=f[m>>2];n=n+2|0;if((n|0)>=(H|0))break;else{l=l+(c<<2)|0;m=m+4|0}}q=q+1|0}while((q|0)!=(J|0))}while(0);l=K<<1;F=F+1|0;if((F|0)==(D|0))break;else{x=K;w=G;G=G<<1;A=l+-1|0;H=H+1>>1;J=J+1>>1;K=l;z=1}}}Mv(E);if((g|0)>=2){l=(g+1|0)/2|0;p=l+-1|0;o=X(e,c)|0;n=a+(o+-1<<2)|0;if((o|0)>=1){l=1-l|0;m=a;do{_=f[m>>2]|0;f[m>>2]=(((_|0)>0?p:l)+_|0)/(g|0)|0;m=m+4|0}while(m>>>0<=n>>>0)}}else o=X(e,c)|0;n=f[j>>2]|0;f[55543]=n;f[j>>2]=0;f[55544]=0;if((n|0)<2)l=0;else{l=d[10368]|0;b[i>>0]=l;b[i+1>>0]=l>>8;f[55544]=2;l=2}m=l|1;if((l|0)<(n|0)){b[i+l>>0]=e>>>24;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=e>>>16;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=e>>>8;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=e;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=c>>>24;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=c>>>16;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=c>>>8;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=c;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=g>>>24;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=g>>>16;f[55544]=m;l=m}m=l+1|0;if((l|0)<(n|0)){b[i+l>>0]=g>>>8;f[55544]=m;l=m}if((l|0)<(n|0)){b[i+l>>0]=g;f[55544]=l+1}v=f[a>>2]|0;Qs(i,v,((v|0)<0)<<31>>31);f[a>>2]=0;v=Nv(1,(o+7|0)/8|0)|0;a:do if(!v){vj(102467);l=413}else{do if((o|0)>0){p=0;l=8;q=0;n=0;while(1){m=a+(q<<2)|0;do if((p|0)>0){_=v+n|0;b[_>>0]=(h[_>>0]|0)<<1;l=l+-1|0}else{if((p|0)>=0)break;_=v+n|0;b[_>>0]=(h[_>>0]|0)<<1|1;f[m>>2]=0-p;l=l+-1|0}while(0);m=(l|0)==0;n=(m&1)+n|0;l=m?8:l;m=q+1|0;if((m|0)==(o|0))break;p=f[a+(m<<2)>>2]|0;q=m}if((l|0)!=8){_=v+n|0;b[_>>0]=(h[_>>0]|0)<<l;n=n+1|0};f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;s=(e+1|0)/2|0;t=(c+1|0)/2|0;q=0;p=0;r=0;while(1){m=N+(((p|0)>=(t|0)&1)+((r|0)>=(s|0)&1)<<2)|0;l=f[a+(q<<2)>>2]|0;if((f[m>>2]|0)<(l|0))f[m>>2]=l;l=p+1|0;m=(l|0)<(c|0);q=q+1|0;if((q|0)==(o|0))break;else{p=m?l:0;r=((m^1)&1)+r|0}}l=f[N>>2]|0;if((l|0)>0)m=0;else{p=0;r=n;break}do{l=l>>>1;m=m+1<<24>>24}while((l|0)!=0);f[N>>2]=0;p=m;r=n}else{f[N>>2]=0;f[N+4>>2]=0;f[N+8>>2]=0;s=(e+1|0)/2|0;t=(c+1|0)/2|0;p=0;r=0}while(0);n=N+4|0;l=f[n>>2]|0;if((l|0)>0){m=0;do{l=l>>>1;m=m+1<<24>>24}while((l|0)!=0);f[n>>2]=0;o=m}else o=0;n=N+8|0;l=f[n>>2]|0;if((l|0)>0){m=0;do{l=l>>>1;m=m+1<<24>>24}while((l|0)!=0);f[n>>2]=0;q=m}else q=0;l=f[55544]|0;m=l+3|0;if((m|0)>(f[55543]|0)){f[j>>2]=l;vj(102495);l=413;break}l=i+l|0;b[l>>0]=p;b[l+1>>0]=o;b[l+2>>0]=q;f[55544]=m;f[55545]=0;f[55546]=8;l=212376;f[l>>2]=0;f[l+4>>2]=0;l=Rs(i,a,c,s,t,p&255)|0;do if(!l){p=(c|0)/2|0;o=o&255;l=Rs(i,a+(t<<2)|0,c,s,p,o)|0;if(l|0)break;n=X(s,c)|0;m=(e|0)/2|0;l=Rs(i,a+(n<<2)|0,c,m,t,o)|0;if(l|0)break;l=Rs(i,a+(n+t<<2)|0,c,m,p,q&255)|0}while(0);q=f[55545]<<4;f[55545]=q;n=f[55546]|0;m=n+-4|0;f[55546]=m;if((m|0)<1){m=f[55544]|0;b[i+m>>0]=q>>4-n;if((m|0)<(f[55543]|0))f[55544]=m+1;m=n+4|0;f[55546]=m}o=212376;o=Ez(f[o>>2]|0,f[o+4>>2]|0,4,0)|0;p=I;_=212376;f[_>>2]=o;f[_+4>>2]=p;if((m|0)<8){n=f[55544]|0;b[i+n>>0]=q<<m;if((n|0)<(f[55543]|0))f[55544]=n+1;Z=Ez(o|0,p|0,m|0,((m|0)<0)<<31>>31|0)|0;_=212376;f[_>>2]=Z;f[_+4>>2]=I}do if((r|0)>0){m=f[55544]|0;n=m+r|0;if((n|0)>(f[55543]|0)){Mv(v);f[j>>2]=f[55544];vj(102495);l=413;break a}else{Lz(i+m|0,v|0,r|0)|0;f[55544]=n;break}}while(0);Mv(v);_=f[55544]|0;f[j>>2]=_;if((_|0)<(f[55543]|0))break;vj(102495);l=413}while(0)}f[k>>2]=l;_=l;u=O;return _|0}function Qs(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;k=Oz(c|0,d|0,8)|0;j=Oz(c|0,d|0,16)|0;i=Oz(c|0,d|0,24)|0;h=Oz(c|0,d|0,40)|0;g=Oz(c|0,d|0,48)|0;l=f[55543]|0;e=f[55544]|0;if((e|0)<(l|0)){n=Oz(c|0,d|0,56)|0;m=e+1|0;b[a+e>>0]=n;f[55544]=m;e=m}if((e|0)<(l|0)){n=e+1|0;b[a+e>>0]=g;f[55544]=n;e=n}if((e|0)<(l|0)){n=e+1|0;b[a+e>>0]=h;f[55544]=n;e=n}if((e|0)<(l|0)){n=e+1|0;b[a+e>>0]=d;f[55544]=n;e=n}if((e|0)<(l|0)){n=e+1|0;b[a+e>>0]=i;f[55544]=n;e=n}if((e|0)<(l|0)){n=e+1|0;b[a+e>>0]=j;f[55544]=n;e=n}if((e|0)<(l|0)){n=e+1|0;b[a+e>>0]=k;f[55544]=n;e=n}if((e|0)>=(l|0))return;b[a+e>>0]=c;f[55544]=e+1;return}function Rs(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;j=(e|0)>(g|0)?e:g;B=~~(+V(+(+(j|0)))/.6931471805599453+.5);B=((j|0)>(1<<B|0)&1)+B|0;j=e+1|0;k=g+1|0;F=X((k|0)/2|0,(j|0)/2|0)|0;E=(F+1|0)/2|0;C=Lv(E<<1)|0;D=Lv(E)|0;if((C|0)==0|(D|0)==0){vj(102527);a=413;return a|0}if((i|0)>0){y=j>>1;x=k>>1;w=X(x,y)|0;u=(w|0)>0;v=(B|0)>1;do{t=i;i=i+-1|0;f[55547]=0;f[55548]=0;Ss(c,d,e,g,C,i);a:do if(u){j=0;l=0;while(1){k=b[C+l>>0]|0;if(k<<24>>24!=0?(r=k&255,z=f[55548]|0,G=f[55547]|f[6172+(r<<2)>>2]<<z,f[55547]=G,z=(f[6236+(r<<2)>>2]|0)+z|0,f[55548]=z,(z|0)>7):0){b[D+j>>0]=G;j=j+1|0;if((j|0)>=(E|0))break;f[55547]=G>>8;f[55548]=z+-8}l=l+1|0;if((l|0)>=(w|0)){s=11;break a}}l=f[55545]<<4;f[55545]=l;j=f[55546]|0;r=j+-4|0;f[55546]=r;if((r|0)<1){k=f[55544]|0;b[a+k>>0]=l>>4-j;if((k|0)<(f[55543]|0))f[55544]=k+1;f[55546]=j+4}q=212376;q=Ez(f[q>>2]|0,f[q+4>>2]|0,4,0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;Ss(c,d,e,g,C,i);Ts(a,F,C)}else{j=0;s=11}while(0);b:do if((s|0)==11){s=0;c:do if(v){n=1;o=y;p=x;d:while(1){Us(C,p,o,p,C);o=o+1>>1;p=p+1>>1;m=X(p,o)|0;if((m|0)>0){l=0;do{k=b[C+l>>0]|0;if(k<<24>>24!=0?(r=k&255,A=f[55548]|0,H=f[55547]|f[6172+(r<<2)>>2]<<A,f[55547]=H,A=(f[6236+(r<<2)>>2]|0)+A|0,f[55548]=A,(A|0)>7):0){b[D+j>>0]=H;j=j+1|0;if((j|0)>=(E|0))break d;f[55547]=H>>8;f[55548]=A+-8}l=l+1|0}while((l|0)<(m|0))}n=n+1|0;if((n|0)>=(B|0))break c}l=f[55545]<<4;f[55545]=l;j=f[55546]|0;r=j+-4|0;f[55546]=r;if((r|0)<1){k=f[55544]|0;b[a+k>>0]=l>>4-j;if((k|0)<(f[55543]|0))f[55544]=k+1;f[55546]=j+4}q=212376;q=Ez(f[q>>2]|0,f[q+4>>2]|0,4,0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;Ss(c,d,e,g,C,i);Ts(a,F,C);break b}while(0);q=f[55545]<<4|15;f[55545]=q;l=f[55546]|0;k=l+-4|0;f[55546]=k;if((k|0)<1){k=f[55544]|0;b[a+k>>0]=q>>4-l;if((k|0)<(f[55543]|0))f[55544]=k+1;k=l+4|0;f[55546]=k}o=212376;m=f[o>>2]|0;o=f[o+4>>2]|0;p=Ez(m|0,o|0,4,0)|0;n=I;r=212376;f[r>>2]=p;f[r+4>>2]=n;r=f[55548]|0;l=(r|0)>0;if(!j)if(l){l=f[55547]&(1<<r)+-1&f[6300+(r<<2)>>2]|q<<r;f[55545]=l;k=k-r|0;f[55546]=k;if((k|0)<1){j=f[55544]|0;b[a+j>>0]=l>>0-k;if((j|0)<(f[55543]|0))f[55544]=j+1;f[55546]=k+8}q=Ez(p|0,n|0,r|0,((r|0)<0)<<31>>31|0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;break}else{l=q<<6|62;f[55545]=l;r=k+-6|0;f[55546]=r;if((r|0)<1){j=f[55544]|0;b[a+j>>0]=l>>6-k;if((j|0)<(f[55543]|0))f[55544]=j+1;f[55546]=k+2}q=Ez(m|0,o|0,10,0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;break}if(l){m=f[55547]&(1<<r)+-1&f[6300+(r<<2)>>2]|q<<r;f[55545]=m;k=k-r|0;f[55546]=k;if((k|0)<1){l=f[55544]|0;b[a+l>>0]=m>>0-k;if((l|0)<(f[55543]|0))f[55544]=l+1;k=k+8|0;f[55546]=k}l=m;o=r;m=((r|0)<0)<<31>>31;s=52}else l=q;while(1){if((s|0)==52){s=0;p=Ez(p|0,n|0,o|0,m|0)|0;n=I;r=212376;f[r>>2]=p;f[r+4>>2]=n}q=j+-1|0;if((j|0)<=0)break b;l=l<<8|(h[D+q>>0]|0);f[55545]=l;j=k+-8|0;f[55546]=j;if((j|0)>=1){k=j;o=8;m=0;j=q;s=52;continue}j=f[55544]|0;b[a+j>>0]=l>>8-k;if((j|0)<(f[55543]|0))f[55544]=j+1;f[55546]=k;o=8;m=0;j=q;s=52}}while(0)}while((t|0)>1)}Mv(D);Mv(C);a=0;return a|0}function Ss(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0;v=1<<h;x=v<<1;z=v<<2;A=v<<3;y=d+-1|0;do if((d|0)>1){w=e+-1|0;if((e|0)<=1){k=(e|0)==1;l=0;j=0;do{i=X(l,c)|0;if(k){b[g+j>>0]=(f[a+(i<<2)>>2]<<3&A|f[a+(i+c<<2)>>2]<<1&x)>>h;j=j+1|0}l=l+2|0}while((l|0)<(y|0));i=d&-2;break}o=(e+-2|0)>>>1;p=o+1|0;u=o<<1;t=u+2|0;q=c<<1;r=(t|0)<(e|0);s=0;u=u+c+2|0;j=0;while(1){m=X(s,c)|0;n=o+j|0;i=0;k=j;l=m;m=m+c|0;while(1){b[g+k>>0]=(f[a+(m<<2)>>2]<<1&x|f[a+(m+1<<2)>>2]&v|f[a+(l+1<<2)>>2]<<2&z|f[a+(l<<2)>>2]<<3&A)>>h;i=i+2|0;if((i|0)>=(w|0))break;else{k=k+1|0;l=l+2|0;m=m+2|0}}j=p+j|0;if(r){b[g+j>>0]=(f[a+(t<<2)>>2]<<3&A|f[a+(u<<2)>>2]<<1&x)>>h;j=n+2|0}s=s+2|0;if((s|0)>=(y|0))break;else{t=t+q|0;u=u+q|0}}i=d&-2}else{i=0;j=0}while(0);if((i|0)>=(d|0))return;p=X(i,c)|0;n=e+-1|0;if((e|0)>1){l=(e+-2|0)>>>1;o=j+l|0;l=l<<1;i=p+l+2|0;m=0;k=p;while(1){b[g+j>>0]=(f[a+(k<<2)>>2]<<3&A|f[a+((k|1)<<2)>>2]<<2&z)>>h;m=m+2|0;if((m|0)>=(n|0))break;else{j=j+1|0;k=k+2|0}}k=l+2|0;j=o+1|0}else{k=0;i=p}if((k|0)>=(e|0))return;b[g+j>>0]=(f[a+(i<<2)>>2]<<3&A)>>h;return}function Ts(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0;do if((c|0)==1){h=f[55545]<<4|b[d>>0]&15;f[55545]=h;e=f[55546]|0;c=e+-4|0;f[55546]=c;if((c|0)<1){g=f[55544]|0;b[a+g>>0]=h>>4-e;if((g|0)<(f[55543]|0))f[55544]=g+1;f[55546]=e+4}}else{h=f[55546]|0;if((h|0)<5){g=f[55545]<<4|b[d>>0]&15;f[55545]=g;e=h+-4|0;f[55546]=e;if((e|0)<1){e=f[55544]|0;b[a+e>>0]=g>>4-h;if((e|0)<(f[55543]|0))f[55544]=e+1;h=h+4|0;f[55546]=h}else h=e;k=212376;k=Ez(f[k>>2]|0,f[k+4>>2]|0,4,0)|0;l=212376;f[l>>2]=k;f[l+4>>2]=I;if((c|0)==2){g=g<<4|b[d+1>>0]&15;f[55545]=g;c=h+-4|0;f[55546]=c;if((c|0)>=1)break;e=f[55544]|0;b[a+e>>0]=g>>4-h;if((e|0)<(f[55543]|0))f[55544]=e+1;f[55546]=h+4;break}else e=1}else e=0;k=8-h|0;g=c-e|0;l=(g|0)/2|0;if((h|0)==8){f[55545]=0;if((g|0)>1){g=0;i=f[55544]|0;do{b[a+i>>0]=b[d+(e+1)>>0]&15|b[d+e>>0]<<4&255;e=e+2|0;i=i+1|0;g=g+1|0}while((g|0)<(l|0));f[55544]=i}else g=0}else if((g|0)>1){g=0;j=f[55544]|0;i=f[55545]|0;do{i=b[d+e>>0]<<4&255|i<<8|b[d+(e+1)>>0]&15;e=e+2|0;b[a+j>>0]=i>>k;j=j+1|0;g=g+1|0}while((g|0)<(l|0));f[55545]=i;f[55544]=j}else g=0;l=(g<<3)+-8|0;k=212376;k=Ez(l|0,((l|0)<0)<<31>>31|0,f[k>>2]|0,f[k+4>>2]|0)|0;l=212376;f[l>>2]=k;f[l+4>>2]=I;if((e|0)==(c|0))return;g=f[55545]<<4|b[d+(c+-1)>>0]&15;f[55545]=g;c=h+-4|0;f[55546]=c;if((c|0)<1){e=f[55544]|0;b[a+e>>0]=g>>4-h;if((e|0)<(f[55543]|0))f[55544]=e+1;f[55546]=h+4}}while(0);c=212376;c=Ez(f[c>>2]|0,f[c+4>>2]|0,4,0)|0;a=212376;f[a>>2]=c;f[a+4>>2]=I;return}function Us(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;u=d+-1|0;do if((d|0)>1){t=e+-1|0;if((e|0)<=1){i=(e|0)==1;j=0;h=0;do{g=X(j,c)|0;if(i){b[f+h>>0]=((b[a+g>>0]|0)!=0&1)<<3|((b[a+(g+c)>>0]|0)!=0&1)<<1;h=h+1|0}j=j+2|0}while((j|0)<(u|0));g=d&-2;break}m=(e+-2|0)>>>1;n=m+1|0;s=m<<1;r=s+2|0;o=c<<1;p=(r|0)<(e|0);q=0;s=s+c+2|0;h=0;while(1){k=X(q,c)|0;l=m+h|0;g=0;i=h;j=k;k=k+c|0;while(1){b[f+i>>0]=((b[a+k>>0]|0)!=0&1)<<1|(b[a+(k+1)>>0]|0)!=0|((b[a+(j+1)>>0]|0)!=0&1)<<2|((b[a+j>>0]|0)!=0&1)<<3;g=g+2|0;if((g|0)>=(t|0))break;else{i=i+1|0;j=j+2|0;k=k+2|0}}h=n+h|0;if(p){b[f+h>>0]=((b[a+r>>0]|0)!=0&1)<<3|((b[a+s>>0]|0)!=0&1)<<1;h=l+2|0}q=q+2|0;if((q|0)>=(u|0))break;else{r=r+o|0;s=s+o|0}}g=d&-2}else{g=0;h=0}while(0);if((g|0)>=(d|0))return;n=X(g,c)|0;l=e+-1|0;if((e|0)>1){j=(e+-2|0)>>>1;m=h+j|0;j=j<<1;g=n+j+2|0;k=0;i=n;while(1){b[f+h>>0]=((b[a+i>>0]|0)!=0&1)<<3|((b[a+(i|1)>>0]|0)!=0&1)<<2;k=k+2|0;if((k|0)>=(l|0))break;else{h=h+1|0;i=i+2|0}}i=j+2|0;h=m+1|0}else{i=0;g=n}if((i|0)>=(e|0))return;b[f+h>>0]=((b[a+g>>0]|0)!=0&1)<<3;return}function Vs(a,c,e,g,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0;T=u;u=u+32|0;S=T;l=f[k>>2]|0;if((l|0)>0){k=l;u=T;return k|0}M=(e|0)>(c|0)?e:c;L=~~(+V(+(+(M|0)))/.6931471805599453+.5);L=((M|0)>(1<<L|0)&1)+L|0;M=Lv(((M+1|0)/2|0)<<3)|0;if(!M){vj(102561);l=413}else{if((L|0)>0){K=c<<1;E=c+2|0;F=2;D=1;G=0;C=0;H=-4;J=-1;w=1;x=0;y=-2;z=-1;N=0;O=e;P=c;B=0;while(1){v=(O|0)%2|0;A=(P|0)%2|0;t=O-v|0;do if((t|0)>0){s=P-A|0;l=(A|0)==0;r=B^1;if((s|0)<=0){if(!l){l=0;do{s=X(l,c)|0;o=a+(s+c<<3)|0;U=o;W=f[U>>2]|0;U=f[U+4>>2]|0;s=a+(s<<3)|0;m=s;n=f[m>>2]|0;m=f[m+4>>2]|0;p=Ez(n|0,m|0,W|0,U|0)|0;p=Gz(p|0,I|0,r|0)|0;q=I;m=Dz(W|0,U|0,n|0,m|0)|0;m=Gz(m|0,I|0,r|0)|0;n=I;U=(n|0)>-1|(n|0)==-1&m>>>0>4294967295;n=Ez((U?w:0)|0,(U?x:0)|0,m|0,n|0)|0;f[o>>2]=n&y;f[o+4>>2]=I&z;o=(q|0)>-1|(q|0)==-1&p>>>0>4294967295;q=Ez((o?F:D)|0,(o?G:C)|0,p|0,q|0)|0;f[s>>2]=q&H;f[s+4>>2]=I&J;l=l+2|0}while((l|0)<(t|0))}l=O+1-v&-2;break}m=P+-1-A&-2;if(l){l=0;do{o=X(l,c)|0;m=0;n=o;o=o+c|0;while(1){aa=a+(o+1<<3)|0;Y=aa;p=f[Y>>2]|0;Y=f[Y+4>>2]|0;Z=a+(o<<3)|0;ga=Z;fa=f[ga>>2]|0;ga=f[ga+4>>2]|0;_=Ez(fa|0,ga|0,p|0,Y|0)|0;$=I;q=a+(n+1<<3)|0;da=q;ea=f[da>>2]|0;da=f[da+4>>2]|0;r=Ez(_|0,$|0,ea|0,da|0)|0;W=a+(n<<3)|0;ba=W;ca=f[ba>>2]|0;ba=f[ba+4>>2]|0;r=Ez(r|0,I|0,ca|0,ba|0)|0;r=Nz(r|0,I|0,B|0)|0;U=I;$=Dz(_|0,$|0,ea|0,da|0)|0;$=Dz($|0,I|0,ca|0,ba|0)|0;$=Nz($|0,I|0,B|0)|0;_=I;ga=Dz(p|0,Y|0,fa|0,ga|0)|0;fa=I;Y=Ez(ga|0,fa|0,ea|0,da|0)|0;Y=Dz(Y|0,I|0,ca|0,ba|0)|0;Y=Nz(Y|0,I|0,B|0)|0;p=I;da=Dz(ga|0,fa|0,ea|0,da|0)|0;ba=Ez(da|0,I|0,ca|0,ba|0)|0;ba=Nz(ba|0,I|0,B|0)|0;f[aa>>2]=ba;f[aa+4>>2]=I;aa=(_|0)>-1|(_|0)==-1&$>>>0>4294967295;_=Ez((aa?w:0)|0,(aa?x:0)|0,$|0,_|0)|0;f[Z>>2]=_&y;f[Z+4>>2]=I&z;Z=(p|0)>-1|(p|0)==-1&Y>>>0>4294967295;p=Ez((Z?w:0)|0,(Z?x:0)|0,Y|0,p|0)|0;f[q>>2]=p&y;f[q+4>>2]=I&z;q=(U|0)>-1|(U|0)==-1&r>>>0>4294967295;U=Ez((q?F:D)|0,(q?G:C)|0,r|0,U|0)|0;f[W>>2]=U&H;f[W+4>>2]=I&J;m=m+2|0;if((m|0)>=(s|0))break;else{n=n+2|0;o=o+2|0}}l=l+2|0}while((l|0)<(t|0))}else{p=0;q=m+2|0;l=E+m|0;while(1){o=X(p,c)|0;m=0;n=o;o=o+c|0;while(1){Z=a+(o+1<<3)|0;ba=Z;ca=f[ba>>2]|0;ba=f[ba+4>>2]|0;aa=a+(o<<3)|0;ja=aa;ia=f[ja>>2]|0;ja=f[ja+4>>2]|0;$=Ez(ia|0,ja|0,ca|0,ba|0)|0;_=I;da=a+(n+1<<3)|0;U=da;ha=f[U>>2]|0;U=f[U+4>>2]|0;ea=Ez($|0,_|0,ha|0,U|0)|0;ga=a+(n<<3)|0;Y=ga;W=f[Y>>2]|0;Y=f[Y+4>>2]|0;ea=Ez(ea|0,I|0,W|0,Y|0)|0;ea=Nz(ea|0,I|0,B|0)|0;fa=I;_=Dz($|0,_|0,ha|0,U|0)|0;_=Dz(_|0,I|0,W|0,Y|0)|0;_=Nz(_|0,I|0,B|0)|0;$=I;ja=Dz(ca|0,ba|0,ia|0,ja|0)|0;ia=I;ba=Ez(ja|0,ia|0,ha|0,U|0)|0;ba=Dz(ba|0,I|0,W|0,Y|0)|0;ba=Nz(ba|0,I|0,B|0)|0;ca=I;U=Dz(ja|0,ia|0,ha|0,U|0)|0;Y=Ez(U|0,I|0,W|0,Y|0)|0;Y=Nz(Y|0,I|0,B|0)|0;f[Z>>2]=Y;f[Z+4>>2]=I;Z=($|0)>-1|($|0)==-1&_>>>0>4294967295;$=Ez((Z?w:0)|0,(Z?x:0)|0,_|0,$|0)|0;f[aa>>2]=$&y;f[aa+4>>2]=I&z;aa=(ca|0)>-1|(ca|0)==-1&ba>>>0>4294967295;ca=Ez((aa?w:0)|0,(aa?x:0)|0,ba|0,ca|0)|0;f[da>>2]=ca&y;f[da+4>>2]=I&z;da=(fa|0)>-1|(fa|0)==-1&ea>>>0>4294967295;fa=Ez((da?F:D)|0,(da?G:C)|0,ea|0,fa|0)|0;f[ga>>2]=fa&H;f[ga+4>>2]=I&J;m=m+2|0;if((m|0)>=(s|0))break;else{n=n+2|0;o=o+2|0}}ga=a+(l<<3)|0;da=ga;ca=f[da>>2]|0;da=f[da+4>>2]|0;ja=a+(q<<3)|0;ea=ja;fa=f[ea>>2]|0;ea=f[ea+4>>2]|0;ha=Ez(fa|0,ea|0,ca|0,da|0)|0;ha=Gz(ha|0,I|0,r|0)|0;ia=I;ea=Dz(ca|0,da|0,fa|0,ea|0)|0;ea=Gz(ea|0,I|0,r|0)|0;fa=I;da=(fa|0)>-1|(fa|0)==-1&ea>>>0>4294967295;fa=Ez((da?w:0)|0,(da?x:0)|0,ea|0,fa|0)|0;f[ga>>2]=fa&y;f[ga+4>>2]=I&z;ga=(ia|0)>-1|(ia|0)==-1&ha>>>0>4294967295;ia=Ez((ga?F:D)|0,(ga?G:C)|0,ha|0,ia|0)|0;f[ja>>2]=ia&H;f[ja+4>>2]=I&J;p=p+2|0;if((p|0)>=(t|0))break;else{q=q+K|0;l=l+K|0}}}l=O+1-v&-2}else l=0;while(0);if(v|0){l=X(l,c)|0;p=P-A|0;if((p|0)>0){q=B^1;m=P+-1|0;n=0;o=l;while(1){ga=a+(o+1<<3)|0;da=ga;ca=f[da>>2]|0;da=f[da+4>>2]|0;ja=a+(o<<3)|0;ea=ja;fa=f[ea>>2]|0;ea=f[ea+4>>2]|0;ha=Ez(fa|0,ea|0,ca|0,da|0)|0;ha=Gz(ha|0,I|0,q|0)|0;ia=I;ea=Dz(ca|0,da|0,fa|0,ea|0)|0;ea=Gz(ea|0,I|0,q|0)|0;fa=I;da=(fa|0)>-1|(fa|0)==-1&ea>>>0>4294967295;fa=Ez((da?w:0)|0,(da?x:0)|0,ea|0,fa|0)|0;f[ga>>2]=fa&y;f[ga+4>>2]=I&z;ga=(ia|0)>-1|(ia|0)==-1&ha>>>0>4294967295;ia=Ez((ga?F:D)|0,(ga?G:C)|0,ha|0,ia|0)|0;f[ja>>2]=ia&H;f[ja+4>>2]=I&J;n=n+2|0;if((n|0)>=(p|0))break;else o=o+2|0}l=(m-A+2&-2)+l|0}if(A|0){ja=a+(l<<3)|0;ha=ja;ha=Gz(f[ha>>2]|0,f[ha+4>>2]|0,2-B|0)|0;ia=I;ga=(ia|0)>-1|(ia|0)==-1&ha>>>0>4294967295;ia=Ez((ga?F:D)|0,(ga?G:C)|0,ha|0,ia|0)|0;f[ja>>2]=ia&H;f[ja+4>>2]=I&J}}do if((O|0)>0?(Q=((P+1073741821|0)>>>1<<3)+16|0,(P|0)>1):0){if((P|0)==2){ia=a+((X(O+-1|0,c)|0)<<3)+8|0;ja=f[ia+4>>2]|0;l=M;f[l>>2]=f[ia>>2];f[l+4>>2]=ja;l=37;break}else q=0;do{p=a+((X(q,c)|0)<<3)|0;l=p+8|0;m=1;n=l;o=M;while(1){ha=n;ia=f[ha+4>>2]|0;ja=o;f[ja>>2]=f[ha>>2];f[ja+4>>2]=ia;m=m+2|0;if((m|0)>=(P|0)){n=2;m=p;break}else{n=n+16|0;o=o+8|0}}while(1){m=m+16|0;ha=m;ia=f[ha+4>>2]|0;ja=l;f[ja>>2]=f[ha>>2];f[ja+4>>2]=ia;n=n+2|0;if((n|0)>=(P|0))break;else l=l+8|0}n=1;l=p+Q|0;m=M;while(1){ha=m;ia=f[ha+4>>2]|0;ja=l;f[ja>>2]=f[ha>>2];f[ja+4>>2]=ia;n=n+2|0;if((n|0)>=(P|0))break;else{l=l+8|0;m=m+8|0}}q=q+1|0}while((q|0)!=(O|0));l=36}else l=36;while(0);if((l|0)==36?(l=0,(P|0)>0):0)l=37;do if((l|0)==37?(0,R=X(((O+1073741821|0)>>>1<<3)+16|0,c)|0,(O|0)>1):0){if((O|0)==2){m=0;while(1){l=m+1|0;if((l|0)==(P|0))break;else m=l}ha=a+(m<<3)+(c<<3)|0;ia=f[ha+4>>2]|0;ja=M;f[ja>>2]=f[ha>>2];f[ja+4>>2]=ia;break}else q=0;do{p=a+(q<<3)|0;l=p+(c<<3)|0;m=1;n=l;o=M;while(1){ha=n;ia=f[ha+4>>2]|0;ja=o;f[ja>>2]=f[ha>>2];f[ja+4>>2]=ia;m=m+2|0;if((m|0)>=(O|0)){n=2;m=p;break}else{n=n+(K<<3)|0;o=o+8|0}}while(1){m=m+(K<<3)|0;ha=m;ia=f[ha+4>>2]|0;ja=l;f[ja>>2]=f[ha>>2];f[ja+4>>2]=ia;n=n+2|0;if((n|0)>=(O|0))break;else l=l+(c<<3)|0}n=1;l=p+R|0;m=M;while(1){ha=m;ia=f[ha+4>>2]|0;ja=l;f[ja>>2]=f[ha>>2];f[ja+4>>2]=ia;n=n+2|0;if((n|0)>=(O|0))break;else{l=l+(c<<3)|0;m=m+8|0}}q=q+1|0}while((q|0)!=(P|0))}while(0);n=Gz(H|0,J|0,1)|0;o=I;l=Gz(F|0,G|0,1)|0;m=I;D=Ez(l|0,m|0,-1,-1)|0;N=N+1|0;if((N|0)==(L|0))break;else{z=J;y=H;x=G;w=F;F=l;G=m;C=I;H=n;J=o;O=O+1>>1;P=P+1>>1;B=1}}}Mv(M);if((g|0)>=2){s=((g+1|0)/2|0)+-1|0;l=((s|0)<0)<<31>>31;m=((g|0)<0)<<31>>31;q=X(e,c)|0;p=a+(q+-1<<3)|0;if((q|0)>=1){n=Dz(0,0,s|0,l|0)|0;o=I;r=a;do{ia=r;ja=f[ia>>2]|0;ia=f[ia+4>>2]|0;ha=(ia|0)>0|(ia|0)==0&ja>>>0>0;ia=Ez((ha?s:n)|0,(ha?l:o)|0,ja|0,ia|0)|0;ia=Jz(ia|0,I|0,g|0,m|0)|0;ja=r;f[ja>>2]=ia;f[ja+4>>2]=I;r=r+8|0}while(r>>>0<=p>>>0)}}else q=X(e,c)|0;x=f[j>>2]|0;f[55543]=x;f[j>>2]=0;f[55544]=0;if((x|0)<2)l=0;else{l=d[10368]|0;b[i>>0]=l;b[i+1>>0]=l>>8;f[55544]=2;l=2}m=l|1;if((l|0)<(x|0)){b[i+l>>0]=e>>>24;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=e>>>16;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=e>>>8;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=e;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=c>>>24;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=c>>>16;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=c>>>8;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=c;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=g>>>24;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=g>>>16;f[55544]=m;l=m}m=l+1|0;if((l|0)<(x|0)){b[i+l>>0]=g>>>8;f[55544]=m;l=m}if((l|0)<(x|0)){b[i+l>>0]=g;f[55544]=l+1}w=a;Qs(i,f[w>>2]|0,f[w+4>>2]|0);w=a;f[w>>2]=0;f[w+4>>2]=0;w=Nv(1,(q+7|0)/8|0)|0;a:do if(!w){vj(102591);l=413}else{do if((q|0)>0){o=0;p=0;l=8;r=0;n=0;while(1){m=a+(r<<3)|0;do if((o|0)>0|(o|0)==0&p>>>0>0){ja=w+n|0;b[ja>>0]=(h[ja>>0]|0)<<1;l=l+-1|0}else{if((o|0)>=0)break;ia=w+n|0;b[ia>>0]=(h[ia>>0]|0)<<1|1;ia=Dz(0,0,p|0,o|0)|0;ja=m;f[ja>>2]=ia;f[ja+4>>2]=I;l=l+-1|0}while(0);m=(l|0)==0;n=(m&1)+n|0;l=m?8:l;m=r+1|0;if((m|0)==(q|0))break;p=a+(m<<3)|0;o=f[p+4>>2]|0;p=f[p>>2]|0;r=m}if((l|0)==8)v=n;else{v=w+n|0;b[v>>0]=(h[v>>0]|0)<<l;v=n+1|0};f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;f[S+16>>2]=0;f[S+20>>2]=0;s=(e+1|0)/2|0;t=(c+1|0)/2|0;p=0;o=0;r=0;while(1){n=S+(((o|0)>=(t|0)&1)+((r|0)>=(s|0)&1)<<3)|0;ja=n;ia=f[ja+4>>2]|0;m=a+(p<<3)|0;l=f[m>>2]|0;m=f[m+4>>2]|0;if((ia|0)<(m|0)|((ia|0)==(m|0)?(f[ja>>2]|0)>>>0<l>>>0:0)){ja=n;f[ja>>2]=l;f[ja+4>>2]=m}l=o+1|0;m=(l|0)<(c|0);p=p+1|0;if((p|0)==(q|0))break;else{o=m?l:0;r=((m^1)&1)+r|0}}m=S;l=f[m>>2]|0;m=f[m+4>>2]|0;if((m|0)>0|(m|0)==0&l>>>0>0)n=0;else{r=0;break}do{l=Oz(l|0,m|0,1)|0;m=I;n=n+1<<24>>24}while(!((l|0)==0&(m|0)==0));r=S;f[r>>2]=0;f[r+4>>2]=0;r=n}else{f[S>>2]=0;f[S+4>>2]=0;f[S+8>>2]=0;f[S+12>>2]=0;f[S+16>>2]=0;f[S+20>>2]=0;s=(e+1|0)/2|0;t=(c+1|0)/2|0;r=0;v=0}while(0);o=S+8|0;m=o;l=f[m>>2]|0;m=f[m+4>>2]|0;if((m|0)>0|(m|0)==0&l>>>0>0){n=0;do{l=Oz(l|0,m|0,1)|0;m=I;n=n+1<<24>>24}while(!((l|0)==0&(m|0)==0));ja=o;f[ja>>2]=0;f[ja+4>>2]=0}else n=0;p=S+16|0;m=p;l=f[m>>2]|0;m=f[m+4>>2]|0;if((m|0)>0|(m|0)==0&l>>>0>0){o=0;do{l=Oz(l|0,m|0,1)|0;m=I;o=o+1<<24>>24}while(!((l|0)==0&(m|0)==0));q=p;f[q>>2]=0;f[q+4>>2]=0;q=o}else q=0;l=f[55544]|0;m=l+3|0;if((m|0)>(x|0)){f[j>>2]=l;vj(102495);l=413;break}l=i+l|0;b[l>>0]=r;b[l+1>>0]=n;b[l+2>>0]=q;f[55544]=m;f[55545]=0;f[55546]=8;l=212376;f[l>>2]=0;f[l+4>>2]=0;l=Ws(i,a,c,s,t,r&255)|0;do if(!l){p=(c|0)/2|0;o=n&255;l=Ws(i,a+(t<<3)|0,c,s,p,o)|0;if(l|0)break;n=X(s,c)|0;m=(e|0)/2|0;l=Ws(i,a+(n<<3)|0,c,m,t,o)|0;if(l|0)break;l=Ws(i,a+(n+t<<3)|0,c,m,p,q&255)|0}while(0);q=f[55545]<<4;f[55545]=q;n=f[55546]|0;m=n+-4|0;f[55546]=m;if((m|0)<1){m=f[55544]|0;b[i+m>>0]=q>>4-n;if((m|0)<(f[55543]|0))f[55544]=m+1;m=n+4|0;f[55546]=m}n=212376;n=Ez(f[n>>2]|0,f[n+4>>2]|0,4,0)|0;o=I;ja=212376;f[ja>>2]=n;f[ja+4>>2]=o;if((m|0)<8){p=f[55544]|0;b[i+p>>0]=q<<m;if((p|0)<(f[55543]|0))f[55544]=p+1;ia=Ez(n|0,o|0,m|0,((m|0)<0)<<31>>31|0)|0;ja=212376;f[ja>>2]=ia;f[ja+4>>2]=I}do if((v|0)>0){m=f[55544]|0;n=m+v|0;if((n|0)>(f[55543]|0)){Mv(w);f[j>>2]=f[55544];vj(102495);l=413;break a}else{Lz(i+m|0,w|0,v|0)|0;f[55544]=n;break}}while(0);Mv(w);ja=f[55544]|0;f[j>>2]=ja;if((ja|0)<(f[55543]|0))break;vj(102621);l=413}while(0)}f[k>>2]=l;ja=l;u=T;return ja|0}function Ws(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0;j=(e|0)>(g|0)?e:g;B=~~(+V(+(+(j|0)))/.6931471805599453+.5);B=((j|0)>(1<<B|0)&1)+B|0;j=e+1|0;k=g+1|0;F=X((k|0)/2|0,(j|0)/2|0)|0;E=(F+1|0)/2|0;C=Lv(E<<1)|0;D=Lv(E)|0;if((C|0)==0|(D|0)==0){vj(102655);a=413;return a|0}if((i|0)>0){y=j>>1;x=k>>1;w=X(x,y)|0;u=(w|0)>0;v=(B|0)>1;do{t=i;i=i+-1|0;f[55547]=0;f[55548]=0;Xs(c,d,e,g,C,i);a:do if(u){j=0;l=0;while(1){k=b[C+l>>0]|0;if(k<<24>>24!=0?(r=k&255,z=f[55548]|0,G=f[55547]|f[6172+(r<<2)>>2]<<z,f[55547]=G,z=(f[6236+(r<<2)>>2]|0)+z|0,f[55548]=z,(z|0)>7):0){b[D+j>>0]=G;j=j+1|0;if((j|0)>=(E|0))break;f[55547]=G>>8;f[55548]=z+-8}l=l+1|0;if((l|0)>=(w|0)){s=11;break a}}l=f[55545]<<4;f[55545]=l;j=f[55546]|0;r=j+-4|0;f[55546]=r;if((r|0)<1){k=f[55544]|0;b[a+k>>0]=l>>4-j;if((k|0)<(f[55543]|0))f[55544]=k+1;f[55546]=j+4}q=212376;q=Ez(f[q>>2]|0,f[q+4>>2]|0,4,0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;Xs(c,d,e,g,C,i);Ts(a,F,C)}else{j=0;s=11}while(0);b:do if((s|0)==11){s=0;c:do if(v){n=1;o=y;p=x;d:while(1){Us(C,p,o,p,C);o=o+1>>1;p=p+1>>1;m=X(p,o)|0;if((m|0)>0){l=0;do{k=b[C+l>>0]|0;if(k<<24>>24!=0?(r=k&255,A=f[55548]|0,H=f[55547]|f[6172+(r<<2)>>2]<<A,f[55547]=H,A=(f[6236+(r<<2)>>2]|0)+A|0,f[55548]=A,(A|0)>7):0){b[D+j>>0]=H;j=j+1|0;if((j|0)>=(E|0))break d;f[55547]=H>>8;f[55548]=A+-8}l=l+1|0}while((l|0)<(m|0))}n=n+1|0;if((n|0)>=(B|0))break c}l=f[55545]<<4;f[55545]=l;j=f[55546]|0;r=j+-4|0;f[55546]=r;if((r|0)<1){k=f[55544]|0;b[a+k>>0]=l>>4-j;if((k|0)<(f[55543]|0))f[55544]=k+1;f[55546]=j+4}q=212376;q=Ez(f[q>>2]|0,f[q+4>>2]|0,4,0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;Xs(c,d,e,g,C,i);Ts(a,F,C);break b}while(0);q=f[55545]<<4|15;f[55545]=q;l=f[55546]|0;k=l+-4|0;f[55546]=k;if((k|0)<1){k=f[55544]|0;b[a+k>>0]=q>>4-l;if((k|0)<(f[55543]|0))f[55544]=k+1;k=l+4|0;f[55546]=k}o=212376;m=f[o>>2]|0;o=f[o+4>>2]|0;p=Ez(m|0,o|0,4,0)|0;n=I;r=212376;f[r>>2]=p;f[r+4>>2]=n;r=f[55548]|0;l=(r|0)>0;if(!j)if(l){l=f[55547]&(1<<r)+-1&f[6300+(r<<2)>>2]|q<<r;f[55545]=l;k=k-r|0;f[55546]=k;if((k|0)<1){j=f[55544]|0;b[a+j>>0]=l>>0-k;if((j|0)<(f[55543]|0))f[55544]=j+1;f[55546]=k+8}q=Ez(p|0,n|0,r|0,((r|0)<0)<<31>>31|0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;break}else{l=q<<6|62;f[55545]=l;r=k+-6|0;f[55546]=r;if((r|0)<1){j=f[55544]|0;b[a+j>>0]=l>>6-k;if((j|0)<(f[55543]|0))f[55544]=j+1;f[55546]=k+2}q=Ez(m|0,o|0,10,0)|0;r=212376;f[r>>2]=q;f[r+4>>2]=I;break}if(l){m=f[55547]&(1<<r)+-1&f[6300+(r<<2)>>2]|q<<r;f[55545]=m;k=k-r|0;f[55546]=k;if((k|0)<1){l=f[55544]|0;b[a+l>>0]=m>>0-k;if((l|0)<(f[55543]|0))f[55544]=l+1;k=k+8|0;f[55546]=k}l=m;o=r;m=((r|0)<0)<<31>>31;s=52}else l=q;while(1){if((s|0)==52){s=0;p=Ez(p|0,n|0,o|0,m|0)|0;n=I;r=212376;f[r>>2]=p;f[r+4>>2]=n}q=j+-1|0;if((j|0)<=0)break b;l=l<<8|(h[D+q>>0]|0);f[55545]=l;j=k+-8|0;f[55546]=j;if((j|0)>=1){k=j;o=8;m=0;j=q;s=52;continue}j=f[55544]|0;b[a+j>>0]=l>>8-k;if((j|0)<(f[55543]|0))f[55544]=j+1;f[55546]=k;o=8;m=0;j=q;s=52}}while(0)}while((t|0)>1)}Mv(D);Mv(C);a=0;return a|0}function Xs(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0;o=Gz(1,0,h|0)|0;p=I;y=Gz(o|0,p|0,1)|0;z=I;B=Gz(o|0,p|0,2)|0;C=I;D=Gz(o|0,p|0,3)|0;E=I;A=d+-1|0;do if((d|0)>1){x=e+-1|0;if((e|0)<=1){k=(e|0)==1;l=0;j=0;do{i=X(l,c)|0;if(k){w=a+(i+c<<3)|0;w=Gz(f[w>>2]|0,f[w+4>>2]|0,1)|0;x=I&z;v=a+(i<<3)|0;v=Gz(f[v>>2]|0,f[v+4>>2]|0,3)|0;x=Nz(v&D|w&y|0,I&E|x|0,h|0)|0;b[g+j>>0]=x;j=j+1|0}l=l+2|0}while((l|0)<(A|0));i=d&-2;break}s=(e+-2|0)>>>1;q=s+1|0;w=s<<1;v=w+2|0;r=c<<1;t=(v|0)<(e|0);u=0;w=w+c+2|0;j=0;while(1){m=X(u,c)|0;n=s+j|0;i=0;k=j;l=m;m=m+c|0;while(1){F=a+(m+1<<3)|0;J=f[F>>2]&o;F=f[F+4>>2]&p;K=a+(m<<3)|0;K=Gz(f[K>>2]|0,f[K+4>>2]|0,1)|0;F=I&z|F;H=a+(l+1<<3)|0;H=Gz(f[H>>2]|0,f[H+4>>2]|0,2)|0;F=F|I&C;G=a+(l<<3)|0;G=Gz(f[G>>2]|0,f[G+4>>2]|0,3)|0;F=Nz(K&y|J|H&B|G&D|0,F|I&E|0,h|0)|0;b[g+k>>0]=F;i=i+2|0;if((i|0)>=(x|0))break;else{k=k+1|0;l=l+2|0;m=m+2|0}}j=q+j|0;if(t){J=a+(w<<3)|0;J=Gz(f[J>>2]|0,f[J+4>>2]|0,1)|0;K=I&z;H=a+(v<<3)|0;H=Gz(f[H>>2]|0,f[H+4>>2]|0,3)|0;K=Nz(H&D|J&y|0,I&E|K|0,h|0)|0;b[g+j>>0]=K;j=n+2|0}u=u+2|0;if((u|0)>=(A|0))break;else{v=v+r|0;w=w+r|0}}i=d&-2}else{i=0;j=0}while(0);if((i|0)>=(d|0))return;p=X(i,c)|0;n=e+-1|0;if((e|0)>1){l=(e+-2|0)>>>1;o=j+l|0;l=l<<1;i=p+l+2|0;m=0;k=p;while(1){J=a+((k|1)<<3)|0;J=Gz(f[J>>2]|0,f[J+4>>2]|0,2)|0;K=I&C;H=a+(k<<3)|0;H=Gz(f[H>>2]|0,f[H+4>>2]|0,3)|0;K=Nz(H&D|J&B|0,I&E|K|0,h|0)|0;b[g+j>>0]=K;m=m+2|0;if((m|0)>=(n|0))break;else{j=j+1|0;k=k+2|0}}k=l+2|0;j=o+1|0}else{k=0;i=p}if((k|0)>=(e|0))return;K=a+(i<<3)|0;K=Gz(f[K>>2]|0,f[K+4>>2]|0,3)|0;K=Nz(K&D|0,I&E|0,h|0)|0;b[g+j>>0]=K;return}function Ys(a,c,e,g,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0;ga=u;u=u+16|0;m=ga;l=f[k>>2]|0;if((l|0)>0){k=l;u=ga;return k|0}d[m>>1]=h[a>>0]|h[a+1>>0]<<8;f[55549]=2;a:do if(!(uw(m,102691,2)|0)){p=a+2|0;p=Kz(h[p>>0]|h[p+1>>0]<<8|h[p+2>>0]<<16|h[p+3>>0]<<24|0)|0;f[i>>2]=p;p=a+6|0;p=Kz(h[p>>0]|h[p+1>>0]<<8|h[p+2>>0]<<16|h[p+3>>0]<<24|0)|0;f[g>>2]=p;p=a+10|0;p=Kz(h[p>>0]|h[p+1>>0]<<8|h[p+2>>0]<<16|h[p+3>>0]<<24|0)|0;f[j>>2]=p;p=a+14|0;r=p;r=h[r>>0]|h[r+1>>0]<<8|h[r+2>>0]<<16|h[r+3>>0]<<24;p=p+4|0;p=h[p>>0]|h[p+1>>0]<<8|h[p+2>>0]<<16|h[p+3>>0]<<24;t=Oz(r|0,p|0,40)|0;m=Oz(r|0,p|0,48)|0;x=Oz(r|0,p|0,56)|0;l=I;p=Oz(r|0,p|0,24)|0;t=Gz(p&65280|t&255|0,0,8)|0;m=Gz(t|m&255|0,I|0,8)|0;x=m|x;l=b[a+22>>0]|0;m=b[a+23>>0]|0;t=b[a+24>>0]|0;f[55549]=25;p=f[i>>2]|0;r=f[g>>2]|0;w=X(r,p)|0;n=(p+1|0)/2|0;s=(r+1|0)/2|0;v=(w|0)>0;if(v)Fz(e|0,0,w<<2|0)|0;f[55550]=0;l=Zs(a,e,r,n,s,l&255)|0;do if(!l){q=(r|0)/2|0;o=m&255;l=Zs(a,e+(s<<2)|0,r,n,q,o)|0;if(!l){n=X(n,r)|0;m=(p|0)/2|0;l=Zs(a,e+(n<<2)|0,r,m,s,o)|0;if(!l){l=Zs(a,e+(n+s<<2)|0,r,m,q,t&255)|0;if(!l){l=f[55550]|0;m=f[55551]|0;if((l|0)<4){fa=f[55549]|0;m=h[a+fa>>0]|0|m<<8;f[55551]=m;f[55549]=fa+1;l=l+8|0;f[55550]=l}fa=l+-4|0;f[55550]=fa;if(m>>fa&15|0){vj(102709);l=414;break}f[55550]=0;if(v){l=0;p=0;do{o=e+(p<<2)|0;n=f[o>>2]|0;if(n){if(!l){l=f[55549]|0;m=h[a+l>>0]|0;f[55551]=m;f[55549]=l+1;f[55550]=8;l=7}else l=l+-1|0;f[55550]=l;if(1<<l&m)f[o>>2]=0-n}p=p+1|0}while((p|0)!=(w|0))}f[e>>2]=x;f[k>>2]=0;l=f[j>>2]|0;if((l|0)>=2?(fa=X(f[i>>2]|0,f[g>>2]|0)|0,y=e+(fa+-1<<2)|0,(fa|0)>=1):0){m=e;do{fa=X(f[m>>2]|0,l)|0;f[m>>2]=fa;m=m+4|0}while(m>>>0<=y>>>0);l=f[j>>2]|0}q=f[i>>2]|0;ba=f[g>>2]|0;da=(q|0)>(ba|0)?q:ba;n=~~(+V(+(+(da|0)))/.6931471805599453+.5);n=((da|0)>(1<<n|0)&1)+n|0;da=Lv(((da+1|0)/2|0)<<2)|0;if(!da){vj(102740);l=414;break a}o=n+-1|0;r=1<<o;m=r<<1;p=0-r|0;s=m>>1;fa=f[e>>2]|0;f[e>>2]=fa+(r<<2>>1)+(fa>>31)&p<<2;if((n|0)>0){ea=0-ba|0;ca=ba<<1;fa=0-ca|0;$=l>>1;aa=0-$|0;_=ba+2|0;Z=(c|0)==0|($|0)<1;Y=r;w=1<<n;W=p;U=p<<1;x=s+-1|0;t=1;v=ba;p=1;n=r;l=s;r=1;while(1){R=l;T=n>>1;w=w>>1;M=t<<1;P=p<<1;L=(q|0)>(w|0);q=q-(L?w:0)|0;L=(L^1)<<31>>31;t=L+M|0;N=(v|0)>(w|0);v=v-(N?w:0)|0;N=(N^1)<<31>>31;Q=N+P|0;B=(o|0)==0;S=B?2:r;O=x;x=B?0:T+-1|0;B=(t|0)>0;b:do if(B){j=Q+1>>1;i=j+-1|0;l=(j|0)>0;y=i<<1;a=(Q|0)>1;if((j|0)>=(Q|0)){if(!l){if(a)l=0;else break;while(1){n=1;p=e+((X(l,ba)|0)<<2)+4|0;r=da;while(1){f[p>>2]=f[r>>2];n=n+2|0;if((n|0)>=(Q|0))break;else{p=p+8|0;r=r+4|0}}l=l+1|0;if((l|0)==(t|0))break b}}if(a)s=0;else{l=0;while(1){r=e+((X(l,ba)|0)<<2)|0;n=i;p=r+(y<<2)|0;r=r+(i<<2)|0;while(1){f[p>>2]=f[r>>2];if((n|0)>0){n=n+-1|0;p=p+-8|0;r=r+-4|0}else break}l=l+1|0;if((l|0)==(t|0))break b}}while(1){r=e+((X(s,ba)|0)<<2)|0;l=i;n=r+(y<<2)|0;p=r+(i<<2)|0;while(1){f[n>>2]=f[p>>2];if((l|0)>0){l=l+-1|0;n=n+-8|0;p=p+-4|0}else break}p=1;l=r+4|0;n=da;while(1){f[l>>2]=f[n>>2];p=p+2|0;if((p|0)>=(Q|0))break;else{l=l+8|0;n=n+4|0}}s=s+1|0;if((s|0)==(t|0))break b}}if(l){s=0;while(1){r=e+((X(s,ba)|0)<<2)|0;l=j;n=r+(j<<2)|0;p=da;while(1){f[p>>2]=f[n>>2];l=l+1|0;if((l|0)==(Q|0))break;else{n=n+4|0;p=p+4|0}}l=i;n=r+(y<<2)|0;p=r+(i<<2)|0;while(1){f[n>>2]=f[p>>2];if((l|0)>0){l=l+-1|0;n=n+-8|0;p=p+-4|0}else break}if(a){p=1;l=r+4|0;n=da;while(1){f[l>>2]=f[n>>2];p=p+2|0;if((p|0)>=(Q|0))break;else{l=l+8|0;n=n+4|0}}}s=s+1|0;if((s|0)==(t|0))break b}}if(a)s=0;else{l=0;while(1){n=j;p=e+((X(l,ba)|0)<<2)+(j<<2)|0;r=da;while(1){f[r>>2]=f[p>>2];n=n+1|0;if((n|0)==(Q|0))break;else{p=p+4|0;r=r+4|0}}l=l+1|0;if((l|0)==(t|0))break b}}do{r=e+((X(s,ba)|0)<<2)|0;l=j;n=r+(j<<2)|0;p=da;while(1){f[p>>2]=f[n>>2];l=l+1|0;if((l|0)==(Q|0))break;else{n=n+4|0;p=p+4|0}}p=1;l=r+4|0;n=da;while(1){f[l>>2]=f[n>>2];p=p+2|0;if((p|0)>=(Q|0))break;else{l=l+8|0;n=n+4|0}}s=s+1|0}while((s|0)!=(t|0))}while(0);A=(Q|0)>0;c:do if(A){i=t+1>>1;a=X(i,ba)|0;g=i+-1|0;y=X(g,ba)|0;l=(i|0)>0;j=y<<1;c=(t|0)>1;if((i|0)>=(t|0)){if(l)s=0;else{if(c)n=0;else break;while(1){l=1;p=e+(n<<2)+(ba<<2)|0;r=da;while(1){f[p>>2]=f[r>>2];l=l+2|0;if((l|0)>=(t|0))break;else{p=p+(ca<<2)|0;r=r+4|0}}n=n+1|0;if((n|0)==(Q|0))break c}}while(1){r=e+(s<<2)|0;l=g;n=r+(j<<2)|0;p=r+(y<<2)|0;while(1){f[n>>2]=f[p>>2];if((l|0)>0){l=l+-1|0;n=n+(fa<<2)|0;p=p+(ea<<2)|0}else break}if(c){p=1;l=r+(ba<<2)|0;n=da;while(1){f[l>>2]=f[n>>2];p=p+2|0;if((p|0)>=(t|0))break;else{l=l+(ca<<2)|0;n=n+4|0}}}s=s+1|0;if((s|0)==(Q|0))break c}}if(l)s=0;else{s=0;while(1){r=e+(s<<2)|0;l=i;n=r+(a<<2)|0;p=da;while(1){f[p>>2]=f[n>>2];l=l+1|0;if((l|0)==(t|0))break;else{n=n+(ba<<2)|0;p=p+4|0}}if(c){p=1;l=r+(ba<<2)|0;n=da;while(1){f[l>>2]=f[n>>2];p=p+2|0;if((p|0)>=(t|0))break;else{l=l+(ca<<2)|0;n=n+4|0}}}s=s+1|0;if((s|0)==(Q|0))break c}}do{r=e+(s<<2)|0;l=i;n=r+(a<<2)|0;p=da;while(1){f[p>>2]=f[n>>2];l=l+1|0;if((l|0)==(t|0))break;else{n=n+(ba<<2)|0;p=p+4|0}}l=g;n=r+(j<<2)|0;p=r+(y<<2)|0;while(1){f[n>>2]=f[p>>2];if((l|0)>0){l=l+-1|0;n=n+(fa<<2)|0;p=p+(ea<<2)|0}else break}if(c){p=1;l=r+(ba<<2)|0;n=da;while(1){f[l>>2]=f[n>>2];p=p+2|0;if((p|0)>=(t|0))break;else{l=l+(ca<<2)|0;n=n+4|0}}}s=s+1|0}while((s|0)!=(Q|0))}while(0);do if(!Z){z=t+-2|0;c=(z|0)>2;if(A&c){l=2;do{r=X(l,ba)|0;n=0;p=r;r=r+ba|0;while(1){a=f[e+(p-ca<<2)>>2]|0;s=f[e+(p<<2)>>2]|0;K=f[e+(p+ca<<2)>>2]|0;y=K-a|0;K=K-s|0;a=s-a|0;s=(K|0)<(a|0)?K:a;s=((s|0)>0?s:0)<<2;a=(K|0)>(a|0)?K:a;a=((a|0)<0?a:0)<<2;if((a|0)<(s|0)){H=(y|0)<(s|0)?y:s;K=e+(r<<2)|0;J=f[K>>2]|0;H=((H|0)>(a|0)?H:a)-(J<<3)|0;H=((H|0)>-1?H:H+7|0)>>3;H=(H|0)<($|0)?H:$;f[K>>2]=((H|0)>(aa|0)?H:aa)+J}n=n+2|0;if((n|0)>=(Q|0))break;else{p=p+2|0;r=r+2|0}}l=l+2|0}while((l|0)<(z|0))}do if(B){i=Q+-2|0;if((i|0)>2)s=0;else break;do{l=X(s,ba)|0;y=l+2|0;l=f[e+(l<<2)>>2]|0;r=f[e+(y<<2)>>2]|0;a=2;while(1){j=y;y=y+2|0;p=f[e+(y<<2)>>2]|0;g=p-l|0;K=p-r|0;n=r-l|0;l=(K|0)<(n|0)?K:n;l=((l|0)>0?l:0)<<2;n=(K|0)>(n|0)?K:n;n=((n|0)<0?n:0)<<2;if((n|0)<(l|0)){H=(g|0)<(l|0)?g:l;K=e+(j+1<<2)|0;J=f[K>>2]|0;H=((H|0)>(n|0)?H:n)-(J<<3)|0;H=((H|0)>-1?H:H+7|0)>>3;H=(H|0)<($|0)?H:$;f[K>>2]=((H|0)>(aa|0)?H:aa)+J}a=a+2|0;if((a|0)>=(i|0))break;else{l=r;r=p}}s=s+2|0}while((s|0)<(t|0))}while(0);if(!c)break;i=Q+-2|0;s=(i|0)>2;a=2;do{l=(X(a,ba)|0)+2|0;if(s){y=2;j=l;l=l+ba|0;while(1){H=j-ca|0;n=f[e+(H+-2<<2)>>2]|0;F=j+ca|0;K=f[e+(F+-2<<2)>>2]|0;H=f[e+(H+2<<2)>>2]|0;F=f[e+(F+2<<2)>>2]|0;G=f[e+(j<<2)>>2]|0;r=n-K-H+F|0;J=f[e+(l<<2)>>2]<<1;p=f[e+((j|1)<<2)>>2]<<1;F=F-G|0;D=((F|0)>0?F:0)-J|0;K=G-K|0;E=((K|0)>0?K:0)+J|0;E=((D|0)<(E|0)?D:E)-p|0;H=G-H|0;D=((H|0)>0?H:0)-J|0;G=n-G|0;n=((G|0)>0?G:0)+J|0;n=((D|0)<(n|0)?D:n)+p|0;n=((E|0)<(n|0)?E:n)<<4;F=((F|0)<0?F:0)-J|0;K=((K|0)<0?K:0)+J|0;K=((F|0)>(K|0)?F:K)-p|0;H=((H|0)<0?H:0)-J|0;J=((G|0)<0?G:0)+J|0;p=((H|0)>(J|0)?H:J)+p|0;p=((K|0)>(p|0)?K:p)<<4;if((p|0)<(n|0)){H=(r|0)<(n|0)?r:n;K=e+(l+1<<2)|0;J=f[K>>2]|0;H=((H|0)>(p|0)?H:p)-(J<<6)|0;H=((H|0)>-1?H:H+63|0)>>6;H=(H|0)<($|0)?H:$;f[K>>2]=((H|0)>(aa|0)?H:aa)+J}y=y+2|0;if((y|0)>=(i|0))break;else{j=j+2|0;l=l+2|0}}}a=a+2|0}while((a|0)<(z|0))}while(0);J=(t|0)%2|0;K=(Q|0)%2|0;F=t-J|0;if((F|0)>0){G=Q-K|0;B=(G|0)>0;H=(K|0)==0;E=P+-1+N-K&-2;C=0;D=E+2|0;E=_+E|0;while(1){n=X(C,ba)|0;l=n+ba|0;if(B){A=0;while(1){y=e+(n<<2)|0;p=f[y>>2]|0;j=e+(l<<2)|0;c=f[j>>2]|0;i=e+((n|1)<<2)|0;z=f[i>>2]|0;g=e+(l+1<<2)|0;a=f[g>>2]|0;c=((c|0)>-1?R:O)+c&U;z=((z|0)>-1?R:O)+z&U;a=((a|0)>-1?T:x)+a&W;r=a&Y;s=0-r|0;c=((c|0)>-1?s:r)+c|0;z=((z|0)>-1?s:r)+z|0;s=(c^a^z)&m;if((p|0)>-1)p=r+p-s|0;else p=((r|0)==0?s:r-s|0)+p|0;r=p+c|0;s=z+a|0;f[g>>2]=r+s>>S;f[j>>2]=r-s>>S;c=p-c|0;f[i>>2]=z-a+c>>S;f[y>>2]=a-z+c>>S;A=A+2|0;if((A|0)>=(G|0)){n=D;l=E;break}else{n=n+2|0;l=l+2|0}}}if(!H){A=e+(n<<2)|0;c=f[A>>2]|0;g=e+(l<<2)|0;z=f[g>>2]|0;z=((z|0)>-1?R:O)+z&U;i=z&m;c=((c|0)>-1?0-i|0:i)+c|0;f[g>>2]=c+z>>S;f[A>>2]=c-z>>S}C=C+2|0;if((C|0)>=(F|0))break;else{D=D+ca|0;E=E+ca|0}}l=(M|1)+L-J&-2}else l=0;do if(J|0){l=X(l,ba)|0;s=Q-K|0;if((s|0)>0){n=P+-1+N|0;p=0;r=l;while(1){P=e+(r<<2)|0;M=f[P>>2]|0;L=e+((r|1)<<2)|0;N=f[L>>2]|0;N=((N|0)>-1?R:O)+N&U;J=N&m;M=((M|0)>-1?0-J|0:J)+M|0;f[L>>2]=M+N>>S;f[P>>2]=M-N>>S;p=p+2|0;if((p|0)>=(s|0))break;else r=r+2|0}l=(n-K+2&-2)+l|0}l=e+(l<<2)|0;if(!K)break;f[l>>2]=f[l>>2]>>S}while(0);if((o|0)>0){U=W;m=Y;Y=Y>>1;o=o+-1|0;W=W>>1;p=Q;n=T;l=T;r=S}else break}}Mv(da);l=0;break a}}}}while(0);f[e>>2]=x}else{vj(102693);l=414}while(0);f[k>>2]=l;k=l;u=ga;return k|0}function Zs(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=(e|0)>(g|0)?e:g;t=~~(+V(+(+(v|0)))/.6931471805599453+.5);t=((v|0)>(1<<t|0)&1)+t|0;v=X((g+1|0)/2|0,(e+1|0)/2|0)|0;u=Lv(v)|0;if(!u){vj(102766);g=414;return g|0}j=i+-1|0;a:do if((i|0)>0){s=1<<t;b:do if((t|0)>1)while(1){i=f[55550]|0;k=f[55551]|0;if((i|0)<4){r=f[55549]|0;k=h[a+r>>0]|0|k<<8;f[55551]=k;f[55549]=r+1;i=i+8|0;f[55550]=i}r=i+-4|0;f[55550]=r;switch(k>>r&15){case 0:{at(a,v,u);bt(u,e,g,c,d,j);break}case 15:{i=(_s(a)|0)&255;b[u>>0]=i;i=s;m=1;n=e;o=g;p=1;q=1;while(1){r=i>>1;k=(n|0)>(r|0);p=((k^1)<<31>>31)+(p<<1)|0;l=(o|0)>(r|0);q=((l^1)<<31>>31)+(q<<1)|0;$s(a,u,p,q,u);m=m+1|0;if((m|0)==(t|0))break;else{i=r;n=n-(k?r:0)|0;o=o-(l?r:0)|0}}bt(u,e,g,c,d,j);break}default:break b}if((j|0)>0)j=j+-1|0;else break a}else{k=j;while(1){j=f[55550]|0;i=f[55551]|0;if((j|0)<4){t=f[55549]|0;i=h[a+t>>0]|0|i<<8;f[55551]=i;f[55549]=t+1;j=j+8|0;f[55550]=j}t=j+-4|0;f[55550]=t;switch(i>>t&15){case 0:{at(a,v,u);bt(u,e,g,c,d,k);break}case 15:{t=(_s(a)|0)&255;b[u>>0]=t;bt(u,e,g,c,d,k);break}default:break b}if((k|0)>0)k=k+-1|0;else break a}}while(0);vj(102800);g=414;return g|0}while(0);Mv(u);g=0;return g|0}function _s(a){a=a|0;var b=0,c=0,d=0,e=0;c=f[55550]|0;b=f[55551]|0;if((c|0)<3){e=f[55549]|0;b=h[a+e>>0]|0|b<<8;f[55551]=b;f[55549]=e+1;c=c+8|0;f[55550]=c}d=c+-3|0;f[55550]=d;e=b>>d&7;if(e>>>0<4){a=1<<e;return a|0}if(!d){c=f[55549]|0;b=h[a+c>>0]|0;f[55551]=b;f[55549]=c+1;f[55550]=8;c=7}else c=c+-4|0;f[55550]=c;d=b>>>c&1|e<<1;a:do if(d>>>0<13)switch(d&15){case 9:{a=5;return a|0}case 10:{a=10;return a|0}case 11:{a=12;return a|0}case 12:{a=15;return a|0}case 8:{a=3;return a|0}default:break a}while(0);if(!c){c=f[55549]|0;b=h[a+c>>0]|0;f[55551]=b;f[55549]=c+1;f[55550]=8;c=7}else c=c+-1|0;f[55550]=c;d=b>>>c&1|d<<1;b:do if((d|0)!=31)switch(d&31){case 27:{a=7;return a|0}case 28:{a=9;return a|0}case 29:{a=11;return a|0}case 30:{a=13;return a|0}case 26:{a=6;return a|0}default:break b}while(0);if(!c){c=f[55549]|0;b=h[a+c>>0]|0;f[55551]=b;f[55549]=c+1;f[55550]=8;c=7}else c=c+-1|0;f[55550]=c;a=(b>>>c&1|d<<1|0)==62?0:14;return a|0}function $s(a,c,d,e,f){a=a|0;c=c|0;d=d|0;e=e|0;f=f|0;var g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0;g=(d+1|0)/2|0;l=(e+1|0)/2|0;do if((d|0)>0){if((e|0)>0){m=g;g=(X(l,g)|0)+-1|0;do{j=m;m=m+-1|0;k=l;i=(X(m,e)|0)+l<<1;while(1){i=i+-2|0;b[f+i>>0]=b[c+g>>0]|0;g=g+-1|0;if((k|0)<=1)break;else k=k+-1|0}}while((j|0)>1)}t=d+-1|0;if((d|0)>1){s=e+-1|0;if((e|0)<=1){if((e|0)==1){g=0;do{u=f+g|0;s=h[u>>0]|0;b[f+(g|1)>>0]=s>>>1&1;b[u>>0]=s>>>3&1;g=g+2|0}while((g|0)<(t|0))}g=d&-2;break}i=e+-2&-2;g=i+2|0;q=e<<1;if((g|0)<(e|0)){r=0;m=e+2+i|0;while(1){p=X(r,e)|0;n=0;o=p;p=p+e|0;while(1){l=f+o|0;do switch(b[l>>0]|0){case 0:{i=0;j=0;k=0;c=0;u=30;break}case 1:{i=0;j=0;k=0;c=1;u=30;break}case 2:{i=0;j=0;k=1;c=0;u=30;break}case 3:{i=0;j=0;k=1;c=1;u=30;break}case 4:{i=0;j=1;k=0;c=0;u=30;break}case 5:{i=0;j=1;k=0;c=1;u=30;break}case 6:{i=0;j=1;k=1;c=0;u=30;break}case 7:{i=0;j=1;k=1;c=1;u=30;break}case 8:{i=1;j=0;k=0;c=0;u=30;break}case 9:{i=1;j=0;k=0;c=1;u=30;break}case 10:{i=1;j=0;k=1;c=0;u=30;break}case 11:{i=1;j=0;k=1;c=1;u=30;break}case 12:{i=1;j=1;k=0;c=0;u=30;break}case 13:{i=1;j=1;k=0;c=1;u=30;break}case 14:{i=1;j=1;k=1;c=0;u=30;break}case 15:{i=1;j=1;k=1;c=1;u=30;break}default:{}}while(0);if((u|0)==30){u=0;b[f+(p+1)>>0]=c;b[f+p>>0]=k;b[f+(o+1)>>0]=j;b[l>>0]=i}n=n+2|0;if((n|0)>=(s|0))break;else{o=o+2|0;p=p+2|0}}p=f+g|0;b[f+m>>0]=(h[p>>0]|0)>>>1&1;b[p>>0]=(h[p>>0]|0)>>>3&1;r=r+2|0;if((r|0)>=(t|0))break;else{g=g+q|0;m=m+q|0}}}else{l=0;do{o=X(l,e)|0;m=0;n=o;o=o+e|0;while(1){c=f+n|0;do switch(b[c>>0]|0){case 0:{g=0;i=0;j=0;k=0;u=50;break}case 1:{g=0;i=0;j=0;k=1;u=50;break}case 2:{g=0;i=0;j=1;k=0;u=50;break}case 3:{g=0;i=0;j=1;k=1;u=50;break}case 4:{g=0;i=1;j=0;k=0;u=50;break}case 5:{g=0;i=1;j=0;k=1;u=50;break}case 6:{g=0;i=1;j=1;k=0;u=50;break}case 7:{g=0;i=1;j=1;k=1;u=50;break}case 8:{g=1;i=0;j=0;k=0;u=50;break}case 9:{g=1;i=0;j=0;k=1;u=50;break}case 10:{g=1;i=0;j=1;k=0;u=50;break}case 11:{g=1;i=0;j=1;k=1;u=50;break}case 12:{g=1;i=1;j=0;k=0;u=50;break}case 13:{g=1;i=1;j=0;k=1;u=50;break}case 14:{g=1;i=1;j=1;k=0;u=50;break}case 15:{g=1;i=1;j=1;k=1;u=50;break}default:{}}while(0);if((u|0)==50){u=0;b[f+(o+1)>>0]=k;b[f+o>>0]=j;b[f+(n+1)>>0]=i;b[c>>0]=g}m=m+2|0;if((m|0)>=(s|0))break;else{n=n+2|0;o=o+2|0}}l=l+2|0}while((l|0)<(t|0))}g=d&-2}else g=0}else g=0;while(0);if((g|0)<(d|0)){g=X(g,e)|0;k=e+-1|0;if((e|0)>1){c=e&-2;i=0;j=g;while(1){u=f+j|0;t=h[u>>0]|0;b[f+(j|1)>>0]=t>>>2&1;b[u>>0]=t>>>3&1;i=i+2|0;if((i|0)>=(k|0))break;else j=j+2|0}i=c;g=c+g|0}else i=0;if((i|0)<(e|0)){u=f+g|0;b[u>>0]=(h[u>>0]|0)>>>3&1}}g=X(e,d)|0;if((g|0)<=0)return;do{j=g;g=g+-1|0;i=f+g|0;if(b[i>>0]|0){e=(_s(a)|0)&255;b[i>>0]=e}}while((j|0)>1);return}function at(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0;g=f[55550]|0;if((c|0)==1){e=f[55551]|0;if((g|0)<4){c=f[55549]|0;e=h[a+c>>0]|0|e<<8;f[55551]=e;f[55549]=c+1;g=g+8|0;f[55550]=g}c=g+-4|0;f[55550]=c;b[d>>0]=e>>c&15;return}if((g|0)!=8){j=g+4|0;e=(c|0)/2|0;if(g)if((c|0)>1){i=f[55551]|0;m=0;k=f[55549]|0;l=0;while(1){i=h[a+k>>0]|0|i<<8;k=k+1|0;b[d+l>>0]=i>>j&15;b[d+(l|1)>>0]=i>>g&15;m=m+1|0;if((m|0)>=(e|0))break;else l=l+2|0}f[55551]=i;f[55549]=k;e=m}else e=0;else n=10}else{f[55549]=(f[55549]|0)+-1;f[55550]=0;e=(c|0)/2|0;n=10}if((n|0)==10)if((e|0)>0){k=f[55549]|0;g=0;i=k;j=0;l=f[55551]|0;while(1){m=b[a+i>>0]|0;n=m&255;l=n|l<<8;b[d+j>>0]=(m&255)>>>4;b[d+(j|1)>>0]=n&15;g=g+1|0;if((g|0)==(e|0))break;else{i=i+1|0;j=j+2|0}}f[55551]=l;f[55549]=e+k;g=0}else{g=0;e=0}if((e<<1|0)==(c|0))return;e=f[55551]|0;if((g|0)<4){n=f[55549]|0;e=h[a+n>>0]|0|e<<8;f[55551]=e;f[55549]=n+1;g=g+8|0;f[55550]=g}a=g+-4|0;f[55550]=a;b[d+(c+-1)>>0]=e>>a&15;return}function bt(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0;w=1<<h;t=c+-1|0;if((c|0)>1){u=d+-1|0;q=(d|0)>1;p=g+1|0;o=(d+-2|0)>>>1;m=(o<<1)+2|0;n=g<<1;o=o+1|0;r=0;s=m;k=0;while(1){h=X(r,g)|0;if(q){j=0;l=k;while(1){do switch(b[a+l>>0]|0){case 15:{i=h+g|0;v=e+(i+1<<2)|0;f[v>>2]=f[v>>2]|w;i=e+(i<<2)|0;f[i>>2]=f[i>>2]|w;i=e+((h|1)<<2)|0;f[i>>2]=f[i>>2]|w;i=h;v=19;break}case 1:{i=p+h|0;v=19;break}case 2:{i=h+g|0;v=19;break}case 3:{i=h+g|0;v=e+(i+1<<2)|0;f[v>>2]=f[v>>2]|w;v=19;break}case 4:{i=h|1;v=19;break}case 5:{i=e+(p+h<<2)|0;f[i>>2]=f[i>>2]|w;i=h|1;v=19;break}case 6:{i=e+(h+g<<2)|0;f[i>>2]=f[i>>2]|w;i=h|1;v=19;break}case 7:{i=h+g|0;v=e+(i+1<<2)|0;f[v>>2]=f[v>>2]|w;i=e+(i<<2)|0;f[i>>2]=f[i>>2]|w;i=h|1;v=19;break}case 8:{i=h;v=19;break}case 9:{i=e+(p+h<<2)|0;f[i>>2]=f[i>>2]|w;i=h;v=19;break}case 10:{i=e+(h+g<<2)|0;f[i>>2]=f[i>>2]|w;i=h;v=19;break}case 11:{i=h+g|0;v=e+(i+1<<2)|0;f[v>>2]=f[v>>2]|w;i=e+(i<<2)|0;f[i>>2]=f[i>>2]|w;i=h;v=19;break}case 12:{i=e+((h|1)<<2)|0;f[i>>2]=f[i>>2]|w;i=h;v=19;break}case 13:{i=e+(p+h<<2)|0;f[i>>2]=f[i>>2]|w;i=e+((h|1)<<2)|0;f[i>>2]=f[i>>2]|w;i=h;v=19;break}case 14:{i=e+(h+g<<2)|0;f[i>>2]=f[i>>2]|w;i=e+((h|1)<<2)|0;f[i>>2]=f[i>>2]|w;i=h;v=19;break}default:{}}while(0);if((v|0)==19){v=0;i=e+(i<<2)|0;f[i>>2]=f[i>>2]|w}j=j+2|0;if((j|0)>=(u|0))break;else{l=l+1|0;h=h+2|0}}i=m;k=o+k|0;h=s}else i=0;if((i|0)<(d|0)){switch(b[a+k>>0]|0){case 15:{v=e+(h+g<<2)|0;f[v>>2]=f[v>>2]|w;v=32;break}case 14:{v=e+(h+g<<2)|0;f[v>>2]=f[v>>2]|w;v=32;break}case 2:{h=h+g|0;v=32;break}case 3:{h=h+g|0;v=32;break}case 9:case 8:case 12:case 13:{v=32;break}case 6:{h=h+g|0;v=32;break}case 7:{h=h+g|0;v=32;break}case 10:{v=e+(h+g<<2)|0;f[v>>2]=f[v>>2]|w;v=32;break}case 11:{v=e+(h+g<<2)|0;f[v>>2]=f[v>>2]|w;v=32;break}default:{}}if((v|0)==32){v=0;l=e+(h<<2)|0;f[l>>2]=f[l>>2]|w}k=k+1|0}r=r+2|0;if((r|0)>=(t|0))break;else s=s+n|0}h=c&-2}else{h=0;k=0}if((h|0)>=(c|0))return;h=X(h,g)|0;n=d+-1|0;if((d|0)>1){i=(d+-2|0)>>>1;l=i<<1;o=h+l|0;i=k+i+1|0;m=0;while(1){switch(b[a+k>>0]|0){case 15:{j=e+((h|1)<<2)|0;f[j>>2]=f[j>>2]|w;j=h;v=48;break}case 14:{j=e+((h|1)<<2)|0;f[j>>2]=f[j>>2]|w;j=h;v=48;break}case 13:{j=e+((h|1)<<2)|0;f[j>>2]=f[j>>2]|w;j=h;v=48;break}case 12:{j=e+((h|1)<<2)|0;f[j>>2]=f[j>>2]|w;j=h;v=48;break}case 4:{j=h|1;v=48;break}case 5:{j=h|1;v=48;break}case 6:{j=h|1;v=48;break}case 7:{j=h|1;v=48;break}case 11:case 10:case 9:case 8:{j=h;v=48;break}default:{}}if((v|0)==48){v=0;c=e+(j<<2)|0;f[c>>2]=f[c>>2]|w}m=m+2|0;if((m|0)>=(n|0))break;else{k=k+1|0;h=h+2|0}}j=l+2|0;h=o+2|0}else{j=0;i=k}if((j|0)>=(d|0))return;h=e+(h<<2)|0;if((b[a+i>>0]&-8)<<24>>24!=8)return;f[h>>2]=f[h>>2]|w;return}
function ct(a,c,e,g,i,j,k){a=a|0;c=c|0;e=e|0;g=g|0;i=i|0;j=j|0;k=k|0;var l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,W=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,Aa=0;ya=u;u=u+16|0;m=ya;l=f[k>>2]|0;if((l|0)>0){k=l;u=ya;return k|0}d[m>>1]=h[a>>0]|h[a+1>>0]<<8;f[55549]=2;if(uw(m,102691,2)|0){vj(102693);f[k>>2]=414;k=414;u=ya;return k|0}x=a+2|0;x=Kz(h[x>>0]|h[x+1>>0]<<8|h[x+2>>0]<<16|h[x+3>>0]<<24|0)|0;f[i>>2]=x;x=a+6|0;x=Kz(h[x>>0]|h[x+1>>0]<<8|h[x+2>>0]<<16|h[x+3>>0]<<24|0)|0;f[g>>2]=x;x=a+10|0;x=Kz(h[x>>0]|h[x+1>>0]<<8|h[x+2>>0]<<16|h[x+3>>0]<<24|0)|0;f[j>>2]=x;x=a+14|0;y=x;x=x+4|0;x=za(h[y>>0]|h[y+1>>0]<<8|h[y+2>>0]<<16|h[y+3>>0]<<24|0,h[x>>0]|h[x+1>>0]<<8|h[x+2>>0]<<16|h[x+3>>0]<<24|0)|0;y=I;l=b[a+22>>0]|0;m=b[a+23>>0]|0;t=b[a+24>>0]|0;f[55549]=25;p=f[i>>2]|0;r=f[g>>2]|0;w=X(r,p)|0;n=(p+1|0)/2|0;s=(r+1|0)/2|0;v=(w|0)>0;if(v)Fz(e|0,0,w<<3|0)|0;f[55550]=0;l=dt(a,e,r,n,s,l&255)|0;do if(!l){q=(r|0)/2|0;o=m&255;l=dt(a,e+(s<<3)|0,r,n,q,o)|0;if(!l){n=X(n,r)|0;m=(p|0)/2|0;l=dt(a,e+(n<<3)|0,r,m,s,o)|0;if(!l){l=dt(a,e+(n+s<<3)|0,r,m,q,t&255)|0;if(!l){l=f[55550]|0;m=f[55551]|0;if((l|0)<4){xa=f[55549]|0;m=h[a+xa>>0]|0|m<<8;f[55551]=m;f[55549]=xa+1;l=l+8|0;f[55550]=l}xa=l+-4|0;f[55550]=xa;if(m>>xa&15|0){vj(102830);l=414;break}f[55550]=0;if(v){l=0;q=0;do{p=e+(q<<3)|0;o=p;n=f[o>>2]|0;o=f[o+4>>2]|0;if(!((n|0)==0&(o|0)==0)){if(!l){l=f[55549]|0;m=h[a+l>>0]|0;f[55551]=m;f[55549]=l+1;f[55550]=8;l=7}else l=l+-1|0;f[55550]=l;if(1<<l&m){wa=Dz(0,0,n|0,o|0)|0;xa=p;f[xa>>2]=wa;f[xa+4>>2]=I}}q=q+1|0}while((q|0)!=(w|0))}q=e;f[q>>2]=x;f[q+4>>2]=y;f[k>>2]=0;q=f[j>>2]|0;if((q|0)>=2){p=f[g>>2]|0;m=f[i>>2]|0;n=((q|0)<0)<<31>>31;l=X(m,p)|0;o=e+(l+-1<<3)|0;if((l|0)>=1?(wa=Sz(x|0,y|0,q|0,n|0)|0,xa=e,f[xa>>2]=wa,f[xa+4>>2]=I,(l|0)!=1):0){l=e+8|0;do{wa=l;wa=Sz(f[wa>>2]|0,f[wa+4>>2]|0,q|0,n|0)|0;xa=l;f[xa>>2]=wa;f[xa+4>>2]=I;l=l+8|0}while(l>>>0<=o>>>0)}}else{m=f[i>>2]|0;p=f[g>>2]|0}va=(m|0)>(p|0)?m:p;a=~~(+V(+(+(va|0)))/.6931471805599453+.5);a=((va|0)>(1<<a|0)&1)+a|0;va=Lv(((va+1|0)/2|0)<<3)|0;if(!va){vj(102863);l=414}else{j=a+-1|0;s=Gz(1,0,j|0)|0;t=I;v=Gz(s|0,t|0,1)|0;w=I;sa=Gz(s|0,t|0,2)|0;ra=I;o=Dz(0,0,s|0,t|0)|0;r=I;ua=Gz(o|0,r|0,2)|0;wa=I;l=Nz(v|0,w|0,1)|0;n=I;ra=Nz(sa|0,ra|0,1)|0;sa=I;qa=e;pa=f[qa>>2]|0;qa=f[qa+4>>2]|0;xa=Nz(pa|0,qa|0,63)|0;ta=I;sa=Ez(pa|0,qa|0,ra|0,sa|0)|0;ta=Ez(sa|0,I|0,xa|0,ta|0)|0;xa=e;f[xa>>2]=ta&ua;f[xa+4>>2]=I&wa;if((a|0)>0){z=Ez(l|0,n|0,-1,-1)|0;A=I;ka=Gz(o|0,r|0,1)|0;la=I;wa=0-p|0;ua=p<<1;xa=0-ua|0;ta=q>>1;pa=((ta|0)<0)<<31>>31;qa=Dz(0,0,ta|0,pa|0)|0;ra=I;sa=p+2|0;oa=(c|0)==0|(ta|0)<1;y=s;c=t;na=s;ma=t;t=1<<a;s=1;a=p;q=1;x=1;while(1){ga=Nz(y|0,c|0,1)|0;ha=I;ba=Ez(ga|0,ha|0,-1,-1)|0;ja=t>>1;Z=s<<1;aa=q<<1;W=(m|0)>(ja|0);m=m-(W?ja:0)|0;W=(W^1)<<31>>31;da=W+Z|0;_=(a|0)>(ja|0);ea=a-(_?ja:0)|0;_=(_^1)<<31>>31;ia=_+aa|0;ca=(j|0)==0;fa=ca?2:x;$=z;ba=ca?0:ba;Y=A;ca=ca?0:I;E=(da|0)>0;a:do if(E){z=ia+1>>1;A=z+-1|0;q=(z|0)>0;c=A<<1;y=(ia|0)>1;if((z|0)>=(ia|0)){if(!q){if(y)q=0;else break;while(1){s=1;t=e+((X(q,p)|0)<<3)+8|0;a=va;while(1){S=a;T=f[S+4>>2]|0;U=t;f[U>>2]=f[S>>2];f[U+4>>2]=T;s=s+2|0;if((s|0)>=(ia|0))break;else{t=t+16|0;a=a+8|0}}q=q+1|0;if((q|0)==(da|0))break a}}if(y)x=0;else{q=0;while(1){a=e+((X(q,p)|0)<<3)|0;s=A;t=a+(c<<3)|0;a=a+(A<<3)|0;while(1){S=a;T=f[S+4>>2]|0;U=t;f[U>>2]=f[S>>2];f[U+4>>2]=T;if((s|0)>0){s=s+-1|0;t=t+-16|0;a=a+-8|0}else break}q=q+1|0;if((q|0)==(da|0))break a}}while(1){a=e+((X(x,p)|0)<<3)|0;q=A;s=a+(c<<3)|0;t=a+(A<<3)|0;while(1){S=t;T=f[S+4>>2]|0;U=s;f[U>>2]=f[S>>2];f[U+4>>2]=T;if((q|0)>0){q=q+-1|0;s=s+-16|0;t=t+-8|0}else break}t=1;q=a+8|0;s=va;while(1){S=s;T=f[S+4>>2]|0;U=q;f[U>>2]=f[S>>2];f[U+4>>2]=T;t=t+2|0;if((t|0)>=(ia|0))break;else{q=q+16|0;s=s+8|0}}x=x+1|0;if((x|0)==(da|0))break a}}if(q){x=0;while(1){a=e+((X(x,p)|0)<<3)|0;q=z;s=a+(z<<3)|0;t=va;while(1){S=s;T=f[S+4>>2]|0;U=t;f[U>>2]=f[S>>2];f[U+4>>2]=T;q=q+1|0;if((q|0)==(ia|0))break;else{s=s+8|0;t=t+8|0}}q=A;s=a+(c<<3)|0;t=a+(A<<3)|0;while(1){S=t;T=f[S+4>>2]|0;U=s;f[U>>2]=f[S>>2];f[U+4>>2]=T;if((q|0)>0){q=q+-1|0;s=s+-16|0;t=t+-8|0}else break}if(y){t=1;q=a+8|0;s=va;while(1){S=s;T=f[S+4>>2]|0;U=q;f[U>>2]=f[S>>2];f[U+4>>2]=T;t=t+2|0;if((t|0)>=(ia|0))break;else{q=q+16|0;s=s+8|0}}}x=x+1|0;if((x|0)==(da|0))break a}}if(y)x=0;else{q=0;while(1){s=z;t=e+((X(q,p)|0)<<3)+(z<<3)|0;a=va;while(1){S=t;T=f[S+4>>2]|0;U=a;f[U>>2]=f[S>>2];f[U+4>>2]=T;s=s+1|0;if((s|0)==(ia|0))break;else{t=t+8|0;a=a+8|0}}q=q+1|0;if((q|0)==(da|0))break a}}do{a=e+((X(x,p)|0)<<3)|0;q=z;s=a+(z<<3)|0;t=va;while(1){S=s;T=f[S+4>>2]|0;U=t;f[U>>2]=f[S>>2];f[U+4>>2]=T;q=q+1|0;if((q|0)==(ia|0))break;else{s=s+8|0;t=t+8|0}}t=1;q=a+8|0;s=va;while(1){S=s;T=f[S+4>>2]|0;U=q;f[U>>2]=f[S>>2];f[U+4>>2]=T;t=t+2|0;if((t|0)>=(ia|0))break;else{q=q+16|0;s=s+8|0}}x=x+1|0}while((x|0)!=(da|0))}while(0);D=(ia|0)>0;b:do if(D){A=da+1>>1;y=X(A,p)|0;B=A+-1|0;c=X(B,p)|0;q=(A|0)>0;z=c<<1;C=(da|0)>1;if((A|0)>=(da|0)){if(q)x=0;else{if(C)s=0;else break;while(1){q=1;t=e+(s<<3)+(p<<3)|0;a=va;while(1){S=a;T=f[S+4>>2]|0;U=t;f[U>>2]=f[S>>2];f[U+4>>2]=T;q=q+2|0;if((q|0)>=(da|0))break;else{t=t+(ua<<3)|0;a=a+8|0}}s=s+1|0;if((s|0)==(ia|0))break b}}while(1){a=e+(x<<3)|0;q=B;s=a+(z<<3)|0;t=a+(c<<3)|0;while(1){S=t;T=f[S+4>>2]|0;U=s;f[U>>2]=f[S>>2];f[U+4>>2]=T;if((q|0)>0){q=q+-1|0;s=s+(xa<<3)|0;t=t+(wa<<3)|0}else break}if(C){t=1;q=a+(p<<3)|0;s=va;while(1){S=s;T=f[S+4>>2]|0;U=q;f[U>>2]=f[S>>2];f[U+4>>2]=T;t=t+2|0;if((t|0)>=(da|0))break;else{q=q+(ua<<3)|0;s=s+8|0}}}x=x+1|0;if((x|0)==(ia|0))break b}}if(q)x=0;else{x=0;while(1){a=e+(x<<3)|0;q=A;s=a+(y<<3)|0;t=va;while(1){S=s;T=f[S+4>>2]|0;U=t;f[U>>2]=f[S>>2];f[U+4>>2]=T;q=q+1|0;if((q|0)==(da|0))break;else{s=s+(p<<3)|0;t=t+8|0}}if(C){t=1;q=a+(p<<3)|0;s=va;while(1){S=s;T=f[S+4>>2]|0;U=q;f[U>>2]=f[S>>2];f[U+4>>2]=T;t=t+2|0;if((t|0)>=(da|0))break;else{q=q+(ua<<3)|0;s=s+8|0}}}x=x+1|0;if((x|0)==(ia|0))break b}}do{a=e+(x<<3)|0;q=A;s=a+(y<<3)|0;t=va;while(1){S=s;T=f[S+4>>2]|0;U=t;f[U>>2]=f[S>>2];f[U+4>>2]=T;q=q+1|0;if((q|0)==(da|0))break;else{s=s+(p<<3)|0;t=t+8|0}}q=B;s=a+(z<<3)|0;t=a+(c<<3)|0;while(1){S=t;T=f[S+4>>2]|0;U=s;f[U>>2]=f[S>>2];f[U+4>>2]=T;if((q|0)>0){q=q+-1|0;s=s+(xa<<3)|0;t=t+(wa<<3)|0}else break}if(C){t=1;q=a+(p<<3)|0;s=va;while(1){S=s;T=f[S+4>>2]|0;U=q;f[U>>2]=f[S>>2];f[U+4>>2]=T;t=t+2|0;if((t|0)>=(da|0))break;else{q=q+(ua<<3)|0;s=s+8|0}}}x=x+1|0}while((x|0)!=(ia|0))}while(0);do if(!oa){J=da+-2|0;H=(J|0)>2;if(D&H){c=2;do{B=X(c,p)|0;z=0;A=B;B=B+p|0;while(1){U=e+(A-ua<<3)|0;x=f[U>>2]|0;U=f[U+4>>2]|0;t=e+(A<<3)|0;S=f[t>>2]|0;t=f[t+4>>2]|0;T=e+(A+ua<<3)|0;y=f[T>>2]|0;T=f[T+4>>2]|0;q=Dz(y|0,T|0,x|0,U|0)|0;s=I;T=Dz(y|0,T|0,S|0,t|0)|0;y=I;U=Dz(S|0,t|0,x|0,U|0)|0;x=I;t=(y|0)<(x|0)|(y|0)==(x|0)&T>>>0<U>>>0;S=t?T:U;t=t?y:x;a=(t|0)>0|(t|0)==0&S>>>0>0;t=Gz((a?S:0)|0,(a?t:0)|0,2)|0;a=I;S=(y|0)>(x|0)|(y|0)==(x|0)&T>>>0>U>>>0;x=S?y:x;y=(x|0)<0;x=Gz((y?(S?T:U):0)|0,(y?x:0)|0,2)|0;y=I;if((y|0)<(a|0)|(y|0)==(a|0)&x>>>0<t>>>0){P=(s|0)<(a|0)|(s|0)==(a|0)&q>>>0<t>>>0;Q=P?q:t;P=P?s:a;R=(P|0)>(y|0)|(P|0)==(y|0)&Q>>>0>x>>>0;U=e+(B<<3)|0;T=U;S=f[T>>2]|0;T=f[T+4>>2]|0;O=Gz(S|0,T|0,3)|0;O=Dz((R?Q:x)|0,(R?P:y)|0,O|0,I|0)|0;P=I;R=(P|0)>-1|(P|0)==-1&O>>>0>4294967295;Q=Ez(O|0,P|0,7,0)|0;P=Nz((R?O:Q)|0,(R?P:I)|0,3)|0;R=I;Q=(R|0)<(pa|0)|(R|0)==(pa|0)&P>>>0<ta>>>0;P=Q?P:ta;R=Q?R:pa;Q=(R|0)>(ra|0)|(R|0)==(ra|0)&P>>>0>qa>>>0;T=Ez((Q?P:qa)|0,(Q?R:ra)|0,S|0,T|0)|0;f[U>>2]=T;f[U+4>>2]=I}z=z+2|0;if((z|0)>=(ia|0))break;else{A=A+2|0;B=B+2|0}}c=c+2|0}while((c|0)<(J|0))}do if(E){G=ia+-2|0;if((G|0)>2)C=0;else break;do{s=X(C,p)|0;E=s+2|0;s=e+(s<<3)|0;B=e+(E<<3)|0;q=f[s>>2]|0;s=f[s+4>>2]|0;A=f[B>>2]|0;B=f[B+4>>2]|0;D=2;while(1){F=E;E=E+2|0;y=e+(E<<3)|0;x=f[y>>2]|0;y=f[y+4>>2]|0;c=Dz(x|0,y|0,q|0,s|0)|0;z=I;T=Dz(x|0,y|0,A|0,B|0)|0;a=I;U=Dz(A|0,B|0,q|0,s|0)|0;t=I;q=(a|0)<(t|0)|(a|0)==(t|0)&T>>>0<U>>>0;S=q?T:U;q=q?a:t;s=(q|0)>0|(q|0)==0&S>>>0>0;q=Gz((s?S:0)|0,(s?q:0)|0,2)|0;s=I;S=(a|0)>(t|0)|(a|0)==(t|0)&T>>>0>U>>>0;t=S?a:t;a=(t|0)<0;t=Gz((a?(S?T:U):0)|0,(a?t:0)|0,2)|0;a=I;if((a|0)<(s|0)|(a|0)==(s|0)&t>>>0<q>>>0){P=(z|0)<(s|0)|(z|0)==(s|0)&c>>>0<q>>>0;Q=P?c:q;P=P?z:s;R=(P|0)>(a|0)|(P|0)==(a|0)&Q>>>0>t>>>0;U=e+(F+1<<3)|0;T=U;S=f[T>>2]|0;T=f[T+4>>2]|0;O=Gz(S|0,T|0,3)|0;O=Dz((R?Q:t)|0,(R?P:a)|0,O|0,I|0)|0;P=I;R=(P|0)>-1|(P|0)==-1&O>>>0>4294967295;Q=Ez(O|0,P|0,7,0)|0;P=Nz((R?O:Q)|0,(R?P:I)|0,3)|0;R=I;Q=(R|0)<(pa|0)|(R|0)==(pa|0)&P>>>0<ta>>>0;P=Q?P:ta;R=Q?R:pa;Q=(R|0)>(ra|0)|(R|0)==(ra|0)&P>>>0>qa>>>0;T=Ez((Q?P:qa)|0,(Q?R:ra)|0,S|0,T|0)|0;f[U>>2]=T;f[U+4>>2]=I}D=D+2|0;if((D|0)>=(G|0))break;else{s=B;q=A;A=x;B=y}}C=C+2|0}while((C|0)<(da|0))}while(0);if(!H)break;D=ia+-2|0;z=(D|0)>2;A=2;do{q=(X(A,p)|0)+2|0;if(z){B=2;C=q;c=q+p|0;while(1){N=C-ua|0;F=e+(N+-2<<3)|0;H=f[F>>2]|0;F=f[F+4>>2]|0;S=C+ua|0;R=e+(S+-2<<3)|0;L=f[R>>2]|0;R=f[R+4>>2]|0;N=e+(N+2<<3)|0;O=f[N>>2]|0;N=f[N+4>>2]|0;S=e+(S+2<<3)|0;K=f[S>>2]|0;S=f[S+4>>2]|0;M=e+(C<<3)|0;Q=f[M>>2]|0;M=f[M+4>>2]|0;q=Dz(H|0,F|0,L|0,R|0)|0;q=Dz(q|0,I|0,O|0,N|0)|0;q=Ez(q|0,I|0,K|0,S|0)|0;s=I;U=e+(c<<3)|0;U=Gz(f[U>>2]|0,f[U+4>>2]|0,1)|0;P=I;x=e+((C|1)<<3)|0;x=Gz(f[x>>2]|0,f[x+4>>2]|0,1)|0;T=I;S=Dz(K|0,S|0,Q|0,M|0)|0;K=I;y=(K|0)>0|(K|0)==0&S>>>0>0;y=Dz((y?S:0)|0,(y?K:0)|0,U|0,P|0)|0;a=I;R=Dz(Q|0,M|0,L|0,R|0)|0;L=I;t=(L|0)>0|(L|0)==0&R>>>0>0;t=Ez((t?R:0)|0,(t?L:0)|0,U|0,P|0)|0;G=I;E=(a|0)<(G|0)|(a|0)==(G|0)&y>>>0<t>>>0;G=Dz((E?y:t)|0,(E?a:G)|0,x|0,T|0)|0;a=I;N=Dz(Q|0,M|0,O|0,N|0)|0;O=I;E=(O|0)>0|(O|0)==0&N>>>0>0;E=Dz((E?N:0)|0,(E?O:0)|0,U|0,P|0)|0;t=I;M=Dz(H|0,F|0,Q|0,M|0)|0;Q=I;F=(Q|0)>0|(Q|0)==0&M>>>0>0;F=Ez((F?M:0)|0,(F?Q:0)|0,U|0,P|0)|0;H=I;y=(t|0)<(H|0)|(t|0)==(H|0)&E>>>0<F>>>0;H=Ez((y?E:F)|0,(y?t:H)|0,x|0,T|0)|0;t=I;y=(a|0)<(t|0)|(a|0)==(t|0)&G>>>0<H>>>0;t=Gz((y?G:H)|0,(y?a:t)|0,4)|0;a=I;y=(K|0)<0;K=Dz((y?S:0)|0,(y?K:0)|0,U|0,P|0)|0;y=I;S=(L|0)<0;L=Ez((S?R:0)|0,(S?L:0)|0,U|0,P|0)|0;S=I;R=(y|0)>(S|0)|(y|0)==(S|0)&K>>>0>L>>>0;S=Dz((R?K:L)|0,(R?y:S)|0,x|0,T|0)|0;y=I;R=(O|0)<0;O=Dz((R?N:0)|0,(R?O:0)|0,U|0,P|0)|0;R=I;N=(Q|0)<0;P=Ez((N?M:0)|0,(N?Q:0)|0,U|0,P|0)|0;U=I;Q=(R|0)>(U|0)|(R|0)==(U|0)&O>>>0>P>>>0;T=Ez((Q?O:P)|0,(Q?R:U)|0,x|0,T|0)|0;x=I;U=(y|0)>(x|0)|(y|0)==(x|0)&S>>>0>T>>>0;x=Gz((U?S:T)|0,(U?y:x)|0,4)|0;y=I;if((y|0)<(a|0)|(y|0)==(a|0)&x>>>0<t>>>0){P=(s|0)<(a|0)|(s|0)==(a|0)&q>>>0<t>>>0;Q=P?q:t;P=P?s:a;R=(P|0)>(y|0)|(P|0)==(y|0)&Q>>>0>x>>>0;U=e+(c+1<<3)|0;T=U;S=f[T>>2]|0;T=f[T+4>>2]|0;O=Gz(S|0,T|0,6)|0;O=Dz((R?Q:x)|0,(R?P:y)|0,O|0,I|0)|0;P=I;R=(P|0)>-1|(P|0)==-1&O>>>0>4294967295;Q=Ez(O|0,P|0,63,0)|0;P=Nz((R?O:Q)|0,(R?P:I)|0,6)|0;R=I;Q=(R|0)<(pa|0)|(R|0)==(pa|0)&P>>>0<ta>>>0;P=Q?P:ta;R=Q?R:pa;Q=(R|0)>(ra|0)|(R|0)==(ra|0)&P>>>0>qa>>>0;T=Ez((Q?P:qa)|0,(Q?R:ra)|0,S|0,T|0)|0;f[U>>2]=T;f[U+4>>2]=I}B=B+2|0;if((B|0)>=(D|0))break;else{C=C+2|0;c=c+2|0}}}A=A+2|0}while((A|0)<(J|0))}while(0);T=(da|0)%2|0;U=(ia|0)%2|0;Q=da-T|0;if((Q|0)>0){R=ia-U|0;M=(R|0)>0;S=(U|0)==0;P=aa+-1+_-U&-2;N=0;O=P+2|0;P=sa+P|0;while(1){s=X(N,p)|0;q=s+p|0;if(M){L=0;while(1){G=e+(s<<3)|0;a=G;t=f[a>>2]|0;a=f[a+4>>2]|0;H=e+(q<<3)|0;D=H;C=f[D>>2]|0;D=f[D+4>>2]|0;J=e+((s|1)<<3)|0;F=J;E=f[F>>2]|0;F=f[F+4>>2]|0;K=e+(q+1<<3)|0;A=K;B=f[A>>2]|0;A=f[A+4>>2]|0;x=(D|0)>-1|(D|0)==-1&C>>>0>4294967295;D=Ez((x?l:$)|0,(x?n:Y)|0,C|0,D|0)|0;D=D&ka;C=I&la;x=(F|0)>-1|(F|0)==-1&E>>>0>4294967295;F=Ez((x?l:$)|0,(x?n:Y)|0,E|0,F|0)|0;F=F&ka;E=I&la;x=(A|0)>-1|(A|0)==-1&B>>>0>4294967295;A=Ez((x?ga:ba)|0,(x?ha:ca)|0,B|0,A|0)|0;A=A&o;B=I&r;x=A&na;y=B&ma;z=(C|0)>-1|(C|0)==-1&D>>>0>4294967295;Aa=Dz(0,0,x|0,y|0)|0;c=I;C=Ez((z?Aa:x)|0,(z?c:y)|0,D|0,C|0)|0;D=I;z=(E|0)>-1|(E|0)==-1&F>>>0>4294967295;E=Ez((z?Aa:x)|0,(z?c:y)|0,F|0,E|0)|0;F=I;c=(C^A^E)&v;z=(D^B^F)&w;if((a|0)>-1|(a|0)==-1&t>>>0>4294967295){t=Ez(x|0,y|0,t|0,a|0)|0;t=Dz(t|0,I|0,c|0,z|0)|0;a=I}else{Aa=(x|0)==0&(y|0)==0;y=Dz(x|0,y|0,c|0,z|0)|0;t=Ez((Aa?c:y)|0,(Aa?z:I)|0,t|0,a|0)|0;a=I}y=Ez(t|0,a|0,C|0,D|0)|0;c=I;z=Ez(E|0,F|0,A|0,B|0)|0;Aa=I;x=Ez(y|0,c|0,z|0,Aa|0)|0;x=Nz(x|0,I|0,fa|0)|0;f[K>>2]=x;f[K+4>>2]=I;K=Dz(y|0,c|0,z|0,Aa|0)|0;K=Nz(K|0,I|0,fa|0)|0;Aa=H;f[Aa>>2]=K;f[Aa+4>>2]=I;Aa=Dz(t|0,a|0,C|0,D|0)|0;K=I;H=Dz(E|0,F|0,A|0,B|0)|0;H=Ez(H|0,I|0,Aa|0,K|0)|0;H=Nz(H|0,I|0,fa|0)|0;f[J>>2]=H;f[J+4>>2]=I;J=Dz(A|0,B|0,E|0,F|0)|0;K=Ez(J|0,I|0,Aa|0,K|0)|0;K=Nz(K|0,I|0,fa|0)|0;Aa=G;f[Aa>>2]=K;f[Aa+4>>2]=I;L=L+2|0;if((L|0)>=(R|0)){s=O;q=P;break}else{s=s+2|0;q=q+2|0}}}if(!S){Aa=e+(s<<3)|0;H=Aa;J=f[H>>2]|0;H=f[H+4>>2]|0;G=e+(q<<3)|0;K=G;L=f[K>>2]|0;K=f[K+4>>2]|0;D=(K|0)>-1|(K|0)==-1&L>>>0>4294967295;K=Ez((D?l:$)|0,(D?n:Y)|0,L|0,K|0)|0;K=K&ka;L=I&la;D=K&v;F=L&w;E=(H|0)>-1|(H|0)==-1&J>>>0>4294967295;C=Dz(0,0,D|0,F|0)|0;H=Ez((E?C:D)|0,(E?I:F)|0,J|0,H|0)|0;J=I;F=Ez(H|0,J|0,K|0,L|0)|0;F=Nz(F|0,I|0,fa|0)|0;f[G>>2]=F;f[G+4>>2]=I;L=Dz(H|0,J|0,K|0,L|0)|0;L=Nz(L|0,I|0,fa|0)|0;f[Aa>>2]=L;f[Aa+4>>2]=I}N=N+2|0;if((N|0)>=(Q|0))break;else{O=O+ua|0;P=P+ua|0}}q=(Z|1)+W-T&-2}else q=0;do if(T|0){a=X(q,p)|0;x=ia-U|0;if((x|0)>0){q=aa+-1+_|0;s=0;t=a;while(1){Aa=e+(t<<3)|0;W=Aa;Z=f[W>>2]|0;W=f[W+4>>2]|0;T=e+(t+1<<3)|0;_=T;aa=f[_>>2]|0;_=f[_+4>>2]|0;Q=(_|0)>-1|(_|0)==-1&aa>>>0>4294967295;_=Ez((Q?l:$)|0,(Q?n:Y)|0,aa|0,_|0)|0;_=_&ka;aa=I&la;Q=_&v;S=aa&w;R=(W|0)>-1|(W|0)==-1&Z>>>0>4294967295;P=Dz(0,0,Q|0,S|0)|0;W=Ez((R?P:Q)|0,(R?I:S)|0,Z|0,W|0)|0;Z=I;S=Ez(W|0,Z|0,_|0,aa|0)|0;S=Nz(S|0,I|0,fa|0)|0;f[T>>2]=S;f[T+4>>2]=I;aa=Dz(W|0,Z|0,_|0,aa|0)|0;aa=Nz(aa|0,I|0,fa|0)|0;f[Aa>>2]=aa;f[Aa+4>>2]=I;s=s+2|0;if((s|0)>=(x|0))break;else t=t+2|0}l=(q-U+2&-2)+a|0}else l=a;l=e+(l<<3)|0;if(!U)break;la=l;la=Nz(f[la>>2]|0,f[la+4>>2]|0,fa|0)|0;Aa=l;f[Aa>>2]=la;f[Aa+4>>2]=I}while(0);q=Nz(na|0,ma|0,1)|0;s=I;t=Nz(o|0,r|0,1)|0;if((j|0)>0){w=ma;v=na;la=r;ka=o;y=ga;c=ha;l=ga;z=ba;n=ha;A=ca;o=t;r=I;na=q;ma=s;t=ja;j=j+-1|0;s=da;a=ea;q=ia;x=fa}else break}}Mv(va);l=0}f[k>>2]=l;m=X(f[g>>2]|0,f[i>>2]|0)|0;if((m|0)>0)l=0;else{Aa=l;u=ya;return Aa|0}do{f[e+(l<<2)>>2]=f[e+(l<<3)>>2];l=l+1|0}while((l|0)!=(m|0));Aa=f[k>>2]|0;u=ya;return Aa|0}}}}while(0);Aa=e;f[Aa>>2]=x;f[Aa+4>>2]=y;f[k>>2]=l;Aa=l;u=ya;return Aa|0}function dt(a,c,d,e,g,i){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;i=i|0;var j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0;v=(e|0)>(g|0)?e:g;t=~~(+V(+(+(v|0)))/.6931471805599453+.5);t=((v|0)>(1<<t|0)&1)+t|0;v=X((g+1|0)/2|0,(e+1|0)/2|0)|0;u=Lv(v)|0;if(!u){vj(102891);g=414;return g|0}j=i+-1|0;a:do if((i|0)>0){s=1<<t;b:do if((t|0)>1)while(1){i=f[55550]|0;k=f[55551]|0;if((i|0)<4){r=f[55549]|0;k=h[a+r>>0]|0|k<<8;f[55551]=k;f[55549]=r+1;i=i+8|0;f[55550]=i}r=i+-4|0;f[55550]=r;switch(k>>r&15){case 0:{at(a,v,u);et(u,e,g,c,d,j);break}case 15:{i=(_s(a)|0)&255;b[u>>0]=i;i=s;m=1;n=e;o=g;p=1;q=1;while(1){r=i>>1;k=(n|0)>(r|0);p=((k^1)<<31>>31)+(p<<1)|0;l=(o|0)>(r|0);q=((l^1)<<31>>31)+(q<<1)|0;$s(a,u,p,q,u);m=m+1|0;if((m|0)==(t|0))break;else{i=r;n=n-(k?r:0)|0;o=o-(l?r:0)|0}}et(u,e,g,c,d,j);break}default:break b}if((j|0)>0)j=j+-1|0;else break a}else{k=j;while(1){j=f[55550]|0;i=f[55551]|0;if((j|0)<4){t=f[55549]|0;i=h[a+t>>0]|0|i<<8;f[55551]=i;f[55549]=t+1;j=j+8|0;f[55550]=j}t=j+-4|0;f[55550]=t;switch(i>>t&15){case 0:{at(a,v,u);et(u,e,g,c,d,k);break}case 15:{t=(_s(a)|0)&255;b[u>>0]=t;et(u,e,g,c,d,k);break}default:break b}if((k|0)>0)k=k+-1|0;else break a}}while(0);vj(102927);g=414;return g|0}while(0);Mv(u);g=0;return g|0}function et(a,c,d,e,g,h){a=a|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,u=0,v=0,w=0,x=0,y=0,z=0;w=Gz(1,0,h|0)|0;x=I;t=c+-1|0;if((c|0)>1){u=d+-1|0;q=(d|0)>1;p=g+1|0;o=(d+-2|0)>>>1;m=(o<<1)+2|0;n=g<<1;o=o+1|0;r=0;s=m;k=0;while(1){h=X(r,g)|0;if(q){j=0;l=k;while(1){do switch(b[a+l>>0]|0){case 15:{i=h+g|0;v=e+(i+1<<3)|0;z=v;y=f[z+4>>2]|x;f[v>>2]=f[z>>2]|w;f[v+4>>2]=y;i=e+(i<<3)|0;v=i;y=f[v+4>>2]|x;f[i>>2]=f[v>>2]|w;f[i+4>>2]=y;i=e+((h|1)<<3)|0;y=i;v=f[y+4>>2]|x;f[i>>2]=f[y>>2]|w;f[i+4>>2]=v;i=h;v=19;break}case 1:{i=p+h|0;v=19;break}case 2:{i=h+g|0;v=19;break}case 3:{i=h+g|0;v=e+(i+1<<3)|0;y=v;z=f[y+4>>2]|x;f[v>>2]=f[y>>2]|w;f[v+4>>2]=z;v=19;break}case 4:{i=h|1;v=19;break}case 5:{i=e+(p+h<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h|1;v=19;break}case 6:{i=e+(h+g<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h|1;v=19;break}case 7:{i=h+g|0;z=e+(i+1<<3)|0;y=z;v=f[y+4>>2]|x;f[z>>2]=f[y>>2]|w;f[z+4>>2]=v;i=e+(i<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h|1;v=19;break}case 8:{i=h;v=19;break}case 9:{i=e+(p+h<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h;v=19;break}case 10:{i=e+(h+g<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h;v=19;break}case 11:{i=h+g|0;z=e+(i+1<<3)|0;y=z;v=f[y+4>>2]|x;f[z>>2]=f[y>>2]|w;f[z+4>>2]=v;i=e+(i<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h;v=19;break}case 12:{i=e+((h|1)<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h;v=19;break}case 13:{i=e+(p+h<<3)|0;v=i;z=f[v+4>>2]|x;f[i>>2]=f[v>>2]|w;f[i+4>>2]=z;i=e+((h|1)<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h;v=19;break}case 14:{i=e+(h+g<<3)|0;v=i;z=f[v+4>>2]|x;f[i>>2]=f[v>>2]|w;f[i+4>>2]=z;i=e+((h|1)<<3)|0;z=i;v=f[z+4>>2]|x;f[i>>2]=f[z>>2]|w;f[i+4>>2]=v;i=h;v=19;break}default:{}}while(0);if((v|0)==19){v=0;z=e+(i<<3)|0;i=z;y=f[i+4>>2]|x;f[z>>2]=f[i>>2]|w;f[z+4>>2]=y}j=j+2|0;if((j|0)>=(u|0))break;else{l=l+1|0;h=h+2|0}}i=m;k=o+k|0;h=s}else i=0;if((i|0)<(d|0)){switch(b[a+k>>0]|0){case 15:{v=e+(h+g<<3)|0;y=v;z=f[y+4>>2]|x;f[v>>2]=f[y>>2]|w;f[v+4>>2]=z;v=32;break}case 14:{v=e+(h+g<<3)|0;y=v;z=f[y+4>>2]|x;f[v>>2]=f[y>>2]|w;f[v+4>>2]=z;v=32;break}case 2:{h=h+g|0;v=32;break}case 3:{h=h+g|0;v=32;break}case 9:case 8:case 12:case 13:{v=32;break}case 6:{h=h+g|0;v=32;break}case 7:{h=h+g|0;v=32;break}case 10:{v=e+(h+g<<3)|0;y=v;z=f[y+4>>2]|x;f[v>>2]=f[y>>2]|w;f[v+4>>2]=z;v=32;break}case 11:{v=e+(h+g<<3)|0;y=v;z=f[y+4>>2]|x;f[v>>2]=f[y>>2]|w;f[v+4>>2]=z;v=32;break}default:{}}if((v|0)==32){v=0;z=e+(h<<3)|0;l=z;y=f[l+4>>2]|x;f[z>>2]=f[l>>2]|w;f[z+4>>2]=y}k=k+1|0}r=r+2|0;if((r|0)>=(t|0))break;else s=s+n|0}h=c&-2}else{h=0;k=0}if((h|0)>=(c|0))return;h=X(h,g)|0;n=d+-1|0;if((d|0)>1){i=(d+-2|0)>>>1;l=i<<1;o=h+l|0;i=k+i+1|0;m=0;while(1){switch(b[a+k>>0]|0){case 15:{j=e+((h|1)<<3)|0;z=j;v=f[z+4>>2]|x;f[j>>2]=f[z>>2]|w;f[j+4>>2]=v;j=h;v=48;break}case 14:{j=e+((h|1)<<3)|0;z=j;v=f[z+4>>2]|x;f[j>>2]=f[z>>2]|w;f[j+4>>2]=v;j=h;v=48;break}case 13:{j=e+((h|1)<<3)|0;z=j;v=f[z+4>>2]|x;f[j>>2]=f[z>>2]|w;f[j+4>>2]=v;j=h;v=48;break}case 12:{j=e+((h|1)<<3)|0;z=j;v=f[z+4>>2]|x;f[j>>2]=f[z>>2]|w;f[j+4>>2]=v;j=h;v=48;break}case 4:{j=h|1;v=48;break}case 5:{j=h|1;v=48;break}case 6:{j=h|1;v=48;break}case 7:{j=h|1;v=48;break}case 11:case 10:case 9:case 8:{j=h;v=48;break}default:{}}if((v|0)==48){v=0;z=e+(j<<3)|0;c=z;y=f[c+4>>2]|x;f[z>>2]=f[c>>2]|w;f[z+4>>2]=y}m=m+2|0;if((m|0)>=(n|0))break;else{k=k+1|0;h=h+2|0}}j=l+2|0;h=o+2|0}else{j=0;i=k}if((j|0)>=(d|0))return;h=e+(h<<3)|0;if((b[a+i>>0]&-8)<<24>>24!=8)return;a=h;y=f[a+4>>2]|x;z=h;f[z>>2]=f[a>>2]|w;f[z+4>>2]=y;return}function ft(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0;g=f[e>>2]|0;if((g|0)>0){c=g;return c|0}if((c|0)<0){f[e>>2]=304;c=304;return c|0}g=f[a>>2]|0;i=a+4|0;h=f[i>>2]|0;if((g|0)!=(f[h+68>>2]|0)){Hj(a,g+1|0,0,e)|0;h=f[i>>2]|0}g=Qz(b|0,c|0,2880,0)|0;j=f[h+64>>2]|0;if(!((j|0)>=0?(g|0)==(f[h+1248+(j<<2)>>2]|0):0))gt(a,g,d,e)|0;g=f[e>>2]|0;if((g|0)>=1){j=g;return j|0}j=(f[i>>2]|0)+48|0;f[j>>2]=b;f[j+4>>2]=c;j=g;return j|0}function gt(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;e=f[a>>2]|0;k=a+4|0;g=f[k>>2]|0;if((e|0)!=(f[g+68>>2]|0)){Hj(a,e+1|0,0,d)|0;g=f[k>>2]|0}j=39;while(1){e=f[g+1568+(j<<2)>>2]|0;if((f[g+1248+(e<<2)>>2]|0)==(b|0)){l=5;break}a=j+-1|0;if((j|0)>0)j=a;else{l=8;break}}a:do if((l|0)==5){f[g+64>>2]=e;h=g;a=j;l=6}else if((l|0)==8){h=Sz(b|0,((b|0)<0)<<31>>31|0,2880,0)|0;i=I;if((c|0)==0?(c=g+32|0,e=f[c+4>>2]|0,!((i|0)<(e|0)|((i|0)==(e|0)?h>>>0<(f[c>>2]|0)>>>0:0))):0){f[d>>2]=107;d=107;return d|0}e=f[g+1568>>2]|0;if((e|0)<0){f[d>>2]=103;d=103;return d|0}if(f[g+1408+(e<<2)>>2]|0){ht(g,e,d)|0;g=f[k>>2]|0}c=g+24|0;m=f[c+4>>2]|0;if((i|0)<(m|0)|((i|0)==(m|0)?h>>>0<(f[c>>2]|0)>>>0:0)){m=g+56|0;if(!((f[m>>2]|0)==(h|0)?(f[m+4>>2]|0)==(i|0):0)){jh(g,h,i)|0;g=f[k>>2]|0}ch(g,2880,(f[g+1244>>2]|0)+(e*2880|0)|0,d)|0;i=Ez(h|0,i|0,2880,0)|0;g=f[k>>2]|0;m=g+56|0;f[m>>2]=i;f[m+4>>2]=I}else{c=(f[g+1244>>2]|0)+(e*2880|0)|0;if((f[g+72>>2]|0)==1)Fz(c|0,32,2880)|0;else Fz(c|0,0,2880)|0;g=f[k>>2]|0;m=g+32|0;c=m;n=f[c>>2]|0;c=f[c+4>>2]|0;h=Ez(h|0,i|0,2880,0)|0;k=I;i=(c|0)>(k|0)|(c|0)==(k|0)&n>>>0>h>>>0;f[m>>2]=i?n:h;f[m+4>>2]=i?c:k;f[g+1408+(e<<2)>>2]=1}f[g+1248+(e<<2)>>2]=b;f[g+64>>2]=e;if((j|0)<1){a=0;do{if((f[g+1568+(a<<2)>>2]|0)==(e|0)){h=g;l=6;break a}a=a+1|0}while((a|0)<40)}else{h=g;l=6}}while(0);if((l|0)==6){g=a+1|0;if((g|0)<40){c=g;while(1){f[h+1568+(a<<2)>>2]=f[h+1568+(c<<2)>>2];g=c+1|0;if((g|0)==40){g=h;break}else{a=c;c=g}}}else g=h}f[g+1724>>2]=e;n=f[d>>2]|0;return n|0}function ht(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if(!(f[a+76>>2]|0)){vj(102959);if((f[a+4>>2]|0)==8)vj(103e3);f[a+1408+(b<<2)>>2]=0;f[c>>2]=112;c=112;return c|0}l=a+1248+(b<<2)|0;i=f[l>>2]|0;i=Sz(i|0,((i|0)<0)<<31>>31|0,2880,0)|0;j=I;m=a+24|0;d=m;e=f[d>>2]|0;d=f[d+4>>2]|0;n=a+56|0;h=n;g=f[h>>2]|0;h=f[h+4>>2]|0;if((j|0)>(d|0)|(j|0)==(d|0)&i>>>0>e>>>0){if(!((g|0)==(e|0)&(h|0)==(d|0))){jh(a,e,d)|0;d=m;e=f[d>>2]|0;d=f[d+4>>2]|0}if((b|0)!=40){k=a+1244|0;do{g=Jz(e|0,d|0,2880,0)|0;j=b;h=0;i=f[l>>2]|0;do{o=f[a+1248+(h<<2)>>2]|0;p=(o|0)>=(g|0)&(o|0)<(i|0);j=p?h:j;i=p?o:i;h=h+1|0}while((h|0)!=40);g=Sz(i|0,((i|0)<0)<<31>>31|0,2880,0)|0;h=I;if((h|0)>(d|0)|(h|0)==(d|0)&g>>>0>e>>>0){d=Dz(g|0,h|0,e|0,d|0)|0;d=Jz(d|0,I|0,2880,0)|0;a:do if((d|0)>0){e=0;do{if(f[c>>2]|0)break a;kh(a,2880,3015273,c)|0;e=e+1|0}while((e|0)<(d|0))}while(0);p=m;f[p>>2]=g;f[p+4>>2]=h}kh(a,2880,(f[k>>2]|0)+(j*2880|0)|0,c)|0;f[a+1408+(j<<2)>>2]=0;e=m;e=Ez(f[e>>2]|0,f[e+4>>2]|0,2880,0)|0;d=I;p=m;f[p>>2]=e;f[p+4>>2]=d}while((j|0)!=(b|0))}p=n;f[p>>2]=e;f[p+4>>2]=d}else{if(!((g|0)==(i|0)&(h|0)==(j|0)))jh(a,i,j)|0;kh(a,2880,(f[a+1244>>2]|0)+(b*2880|0)|0,c)|0;d=Ez(i|0,j|0,2880,0)|0;e=I;p=n;f[p>>2]=d;f[p+4>>2]=e;p=m;if((i|0)==(f[p>>2]|0)?(j|0)==(f[p+4>>2]|0):0){p=m;f[p>>2]=d;f[p+4>>2]=e}f[a+1408+(b<<2)>>2]=0}p=f[c>>2]|0;return p|0}function it(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0;g=f[e>>2]|0;if((g|0)>0){e=g;return e|0}g=f[a>>2]|0;o=a+4|0;if((g|0)!=(f[(f[o>>2]|0)+68>>2]|0))Hj(a,g+1|0,0,e)|0;if((c|0)>0|(c|0)==0&b>>>0>2147483647){vj(103052);f[e>>2]=106;e=106;return e|0}g=f[o>>2]|0;h=f[g+64>>2]|0;if((h|0)<0){h=g+48|0;h=Jz(f[h>>2]|0,f[h+4>>2]|0,2880,0)|0;gt(a,h,0,e)|0;h=f[o>>2]|0;g=h;h=f[h+64>>2]|0}l=g+48|0;k=f[l>>2]|0;l=f[l+4>>2]|0;m=f[g+1248+(h<<2)>>2]|0;j=Sz(m|0,((m|0)<0)<<31>>31|0,-2880,-1)|0;j=Ez(j|0,I|0,k|0,l|0)|0;i=2880-j|0;a:do if((c|0)>0|(c|0)==0&b>>>0>8639){n=Ez(b|0,c|0,-1,-1)|0;n=Ez(n|0,I|0,k|0,l|0)|0;n=Jz(n|0,I|0,2880,0)|0;if(!i){a=l;j=b}else{Lz((f[g+1244>>2]|0)+(h*2880|0)+j|0,d|0,i|0)|0;k=Ez(i|0,((i|0)<0)<<31>>31|0,k|0,l|0)|0;g=f[o>>2]|0;f[g+1408+(h<<2)>>2]=1;a=I;d=d+i|0;j=b-i|0}i=0;do{b=f[g+1248+(i<<2)>>2]|0;if(!((b|0)<(m|0)|(b|0)>(n|0))){if(f[g+1408+(i<<2)>>2]|0){ht(g,i,e)|0;g=f[o>>2]|0}f[g+1248+(i<<2)>>2]=-1}i=i+1|0}while((i|0)!=40);b=g+56|0;if(!((f[b>>2]|0)==(k|0)?(f[b+4>>2]|0)==(a|0):0)){jh(g,k,a)|0;g=f[o>>2]|0}i=j+-1|0;i=i-((i|0)%2880|0)|0;kh(g,i,d,e)|0;c=j-i|0;l=d+i|0;j=Ez(i|0,((i|0)<0)<<31>>31|0,k|0,a|0)|0;k=I;i=f[o>>2]|0;g=i+56|0;f[g>>2]=j;f[g+4>>2]=k;g=i+24|0;b=g;m=f[b+4>>2]|0;do if(!((k|0)<(m|0)|((k|0)==(m|0)?j>>>0<(f[b>>2]|0)>>>0:0))){f[g>>2]=j;f[g+4>>2]=k;g=h*2880|0;d=(f[i+1244>>2]|0)+g|0;if((f[i+72>>2]|0)==1){Fz(d|0,32,2880)|0;break}else{Fz(d|0,0,2880)|0;break}}else{g=h*2880|0;ch(i,2880,(f[i+1244>>2]|0)+g|0,e)|0;b=(f[o>>2]|0)+56|0;m=b;m=Ez(f[m>>2]|0,f[m+4>>2]|0,2880,0)|0;f[b>>2]=m;f[b+4>>2]=I}while(0);Lz((f[(f[o>>2]|0)+1244>>2]|0)+g|0,l|0,c|0)|0;o=f[o>>2]|0;f[o+1408+(h<<2)>>2]=1;f[o+1248+(h<<2)>>2]=n;d=o+32|0;m=d;i=f[m>>2]|0;m=f[m+4>>2]|0;l=n+1|0;l=Sz(l|0,((l|0)<0)<<31>>31|0,2880,0)|0;b=I;a=(m|0)>(b|0)|(m|0)==(b|0)&i>>>0>l>>>0;n=d;f[n>>2]=a?i:l;f[n+4>>2]=a?m:b;n=Ez(j|0,k|0,c|0,((c|0)<0)<<31>>31|0)|0;o=o+48|0;f[o>>2]=n;f[o+4>>2]=I}else{g=b;while(1){while(1){if(!g)break a;m=(g|0)<(i|0)?g:i;n=f[o>>2]|0;Lz((f[n+1244>>2]|0)+((f[n+64>>2]|0)*2880|0)+j|0,d|0,m|0)|0;g=g-m|0;d=d+m|0;n=f[o>>2]|0;h=n+48|0;b=h;m=Ez(f[b>>2]|0,f[b+4>>2]|0,m|0,((m|0)<0)<<31>>31|0)|0;b=h;f[b>>2]=m;f[b+4>>2]=I;f[n+1408+(f[n+64>>2]<<2)>>2]=1;if(g|0)break;else g=0}j=h;j=Jz(f[j>>2]|0,f[j+4>>2]|0,2880,0)|0;gt(a,j,1,e)|0;j=0;i=2880}}while(0);e=f[e>>2]|0;return e|0}function jt(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0;h=f[g>>2]|0;if((h|0)>0){g=h;return g|0}h=f[a>>2]|0;q=a+4|0;i=f[q>>2]|0;if((h|0)!=(f[i+68>>2]|0)){Hj(a,h+1|0,0,g)|0;i=f[q>>2]|0}h=f[i+64>>2]|0;if((h|0)<0){h=i+48|0;h=Jz(f[h>>2]|0,f[h+4>>2]|0,2880,0)|0;gt(a,h,0,g)|0;h=f[q>>2]|0;i=h;h=f[h+64>>2]|0}n=f[i+1248+(h<<2)>>2]|0;l=i+48|0;m=f[l>>2]|0;l=f[l+4>>2]|0;j=Sz(n|0,((n|0)<0)<<31>>31|0,-2880,-1)|0;l=Ez(j|0,I|0,m|0,l|0)|0;m=2880-l|0;l=(f[i+1244>>2]|0)+(h*2880|0)+l|0;j=(m|0)>(b|0)?b:m;Lz(l|0,e|0,j|0)|0;i=e+j|0;k=(m|0)<(b|0);if((c|0)>1){p=2880-d|0;e=i;o=1;i=n;do{if(k){f[(f[q>>2]|0)+1408+(h<<2)>>2]=1;i=i+1|0;gt(a,i,1,g)|0;n=f[q>>2]|0;h=f[n+64>>2]|0;n=(f[n+1244>>2]|0)+(h*2880|0)|0;k=b-j|0;Lz(n|0,e|0,k|0)|0;e=e+k|0;j=n+(k+d)|0;k=p-k|0}else{k=j+d|0;j=l+k|0;k=m-k|0}if((k|0)<1){f[(f[q>>2]|0)+1408+(h<<2)>>2]=1;i=((2880-k|0)/2880|0)+i|0;gt(a,i,1,g)|0;n=f[q>>2]|0;l=f[n+64>>2]|0;m=(0-k|0)%2880|0;h=l;l=(f[n+1244>>2]|0)+(l*2880|0)+m|0;m=2880-m|0}else{l=j;m=k}o=o+1|0;j=(m|0)>(b|0)?b:m;Lz(l|0,e|0,j|0)|0;e=e+j|0;k=(m|0)<(b|0)}while((o|0)!=(c|0))}else{e=i;i=n}if(k){f[(f[q>>2]|0)+1408+(h<<2)>>2]=1;gt(a,i+1|0,1,g)|0;a=f[q>>2]|0;h=f[a+64>>2]|0;Lz((f[a+1244>>2]|0)+(h*2880|0)|0,e|0,b-j|0)|0}a=f[q>>2]|0;f[a+1408+(h<<2)>>2]=1;a=a+48|0;q=a;p=f[q>>2]|0;q=f[q+4>>2]|0;b=X(c,b)|0;c=X(c+-1|0,d)|0;c=Ez(c|0,((c|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;c=Ez(c|0,I|0,p|0,q|0)|0;d=a;f[d>>2]=c;f[d+4>>2]=I;g=f[g>>2]|0;return g|0}function kt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;g=f[e>>2]|0;if((g|0)>0){e=g;return e|0}h=f[a>>2]|0;m=a+4|0;g=f[m>>2]|0;if((h|0)!=(f[g+68>>2]|0)){Hj(a,h+1|0,0,e)|0;g=f[m>>2]|0}a:do if((c|0)>0|(c|0)==0&b>>>0>8639){j=g+48|0;i=f[j>>2]|0;j=f[j+4>>2]|0;k=Jz(i|0,j|0,2880,0)|0;a=Ez(i|0,j|0,b|0,c|0)|0;l=I;c=Ez(a|0,l|0,-1,-1)|0;c=Jz(c|0,I|0,2880,0)|0;h=0;do{if((f[g+1408+(h<<2)>>2]|0)!=0?(n=f[g+1248+(h<<2)>>2]|0,!((n|0)<(k|0)|(n|0)>(c|0))):0){ht(g,h,e)|0;g=f[m>>2]|0}h=h+1|0}while((h|0)!=40);n=g+56|0;if(!((f[n>>2]|0)==(i|0)?(f[n+4>>2]|0)==(j|0):0)){jh(g,i,j)|0;g=f[m>>2]|0}ch(g,b,d,e)|0;n=(f[m>>2]|0)+56|0;f[n>>2]=a;f[n+4>>2]=l}else{h=f[g+64>>2]|0;if((h|0)<0){h=g+48|0;h=Jz(f[h>>2]|0,f[h+4>>2]|0,2880,0)|0;gt(a,h,0,e)|0;h=f[m>>2]|0;g=h;h=f[h+64>>2]|0}j=g+48|0;k=f[j>>2]|0;j=f[j+4>>2]|0;h=f[g+1248+(h<<2)>>2]|0;h=Sz(h|0,((h|0)<0)<<31>>31|0,-2880,-1)|0;j=Ez(h|0,I|0,k|0,j|0)|0;k=j;h=d;j=2880-j|0;g=b;while(1){i=h;while(1){if(!g)break a;h=(g|0)<(j|0)?g:j;n=f[m>>2]|0;Lz(i|0,(f[n+1244>>2]|0)+((f[n+64>>2]|0)*2880|0)+k|0,h|0)|0;g=g-h|0;i=i+h|0;n=(f[m>>2]|0)+48|0;c=n;h=Ez(f[c>>2]|0,f[c+4>>2]|0,h|0,((h|0)<0)<<31>>31|0)|0;c=I;f[n>>2]=h;f[n+4>>2]=c;if(g|0)break;else g=0}k=Jz(h|0,c|0,2880,0)|0;gt(a,k,0,e)|0;k=0;h=i;j=2880}}while(0);n=f[e>>2]|0;return n|0}function lt(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;h=f[g>>2]|0;if((h|0)>0){g=h;return g|0}h=f[a>>2]|0;p=a+4|0;i=f[p>>2]|0;if((h|0)!=(f[i+68>>2]|0)){Hj(a,h+1|0,0,g)|0;i=f[p>>2]|0}h=f[i+64>>2]|0;if((h|0)<0){h=i+48|0;h=Jz(f[h>>2]|0,f[h+4>>2]|0,2880,0)|0;gt(a,h,0,g)|0;h=f[p>>2]|0;i=h;h=f[h+64>>2]|0}m=f[i+1248+(h<<2)>>2]|0;l=i+48|0;k=f[l>>2]|0;l=f[l+4>>2]|0;j=Sz(m|0,((m|0)<0)<<31>>31|0,-2880,-1)|0;l=Ez(j|0,I|0,k|0,l|0)|0;k=2880-l|0;l=(f[i+1244>>2]|0)+(h*2880|0)+l|0;i=(k|0)>(b|0)?b:k;Lz(e|0,l|0,i|0)|0;h=e+i|0;j=(k|0)<(b|0);if((c|0)>1){o=2880-d|0;e=h;n=1;h=m;do{if(j){h=h+1|0;gt(a,h,0,g)|0;j=f[p>>2]|0;j=(f[j+1244>>2]|0)+((f[j+64>>2]|0)*2880|0)|0;k=b-i|0;Lz(e|0,j|0,k|0)|0;e=e+k|0;j=j+(k+d)|0;k=o-k|0}else{m=i+d|0;j=l+m|0;k=k-m|0}i=k+-1|0;if(i>>>0>2879){if((k|0)<1){j=(0-k|0)%2880|0;h=((2880-k|0)/2880|0)+h|0}else{j=2880-((k>>>0)%2880|0)|0;h=h-((i|0)/2880|0)|0}gt(a,h,0,g)|0;l=f[p>>2]|0;l=(f[l+1244>>2]|0)+((f[l+64>>2]|0)*2880|0)+j|0;k=2880-j|0}else l=j;n=n+1|0;i=(k|0)>(b|0)?b:k;Lz(e|0,l|0,i|0)|0;e=e+i|0;j=(k|0)<(b|0)}while((n|0)!=(c|0))}else{e=h;h=m}if(j){gt(a,h+1|0,0,g)|0;a=f[p>>2]|0;Lz(e|0,(f[a+1244>>2]|0)+((f[a+64>>2]|0)*2880|0)|0,b-i|0)|0}a=(f[p>>2]|0)+48|0;p=a;o=f[p>>2]|0;p=f[p+4>>2]|0;b=X(c,b)|0;c=X(c+-1|0,d)|0;c=Ez(c|0,((c|0)<0)<<31>>31|0,b|0,((b|0)<0)<<31>>31|0)|0;c=Ez(c|0,I|0,o|0,p|0)|0;d=a;f[d>>2]=c;f[d+4>>2]=I;g=f[g>>2]|0;return g|0}function mt(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;d=a+4|0;if(!b){b=0;do{a=f[d>>2]|0;if((f[a+1248+(b<<2)>>2]|0)>-1?f[a+1408+(b<<2)>>2]|0:0)ht(a,b,c)|0;b=b+1|0}while((b|0)!=40)}else{a=f[d>>2]|0;b=0;do{if((f[a+1248+(b<<2)>>2]|0)>-1?(f[a+1408+(b<<2)>>2]|0)!=0:0){ht(a,b,c)|0;a=f[d>>2]|0}f[a+1248+(b<<2)>>2]=-1;b=b+1|0}while((b|0)!=40)}if((f[c>>2]|0)==112){c=112;return c|0}ih(f[d>>2]|0)|0;c=f[c>>2]|0;return c|0}function nt(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,g=0,h=0,i=0,j=0;a=f[a+4>>2]|0;d=a+24|0;e=0;do{c=a+1248+(e<<2)|0;h=f[c>>2]|0;h=Sz(h|0,((h|0)<0)<<31>>31|0,2880,0)|0;j=I;g=d;i=f[g+4>>2]|0;if(!((j|0)<(i|0)|((j|0)==(i|0)?h>>>0<(f[g>>2]|0)>>>0:0)))f[c>>2]=-1;e=e+1|0}while((e|0)!=40);return f[b>>2]|0}function ot(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;i=u;u=u+16|0;h=i;d=f[a>>2]|0;g=a+4|0;e=f[g>>2]|0;if((d|0)==(f[e+68>>2]|0)){e=e+120|0;if(((f[e>>2]|0)==-1?(f[e+4>>2]|0)==-1:0)?(Kj(a,c)|0)>0:0){c=f[c>>2]|0;u=i;return c|0}}else Hj(a,d+1|0,0,c)|0;d=f[g>>2]|0;if(!(f[d+72>>2]|0)){kk(a,2,h,0,0,c)|0;d=112320/((f[h>>2]|0)/10|0|0)|0}else{d=d+952|0;a=f[d>>2]|0;d=f[d+4>>2]|0;h=(d|0)>0|(d|0)==0&a>>>0>1;d=Qz(112320,0,(h?a:1)|0,(h?d:0)|0)|0;f[b>>2]=d;d=(d|0)==0?1:d}f[b>>2]=d;c=f[c>>2]|0;u=i;return c|0}function pt(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0;k=f[j>>2]|0;if((h|0)<0|(h|0)==0&g>>>0<1|(k|0)>0){i=k;return i|0}if((c|0)<0|(c|0)==0&b>>>0<1){f[j>>2]=307;i=307;return i|0}if((e|0)<0|(e|0)==0&d>>>0<1){f[j>>2]=308;i=308;return i|0}k=f[a>>2]|0;n=a+4|0;l=f[n>>2]|0;if((k|0)!=(f[l+68>>2]|0)){Hj(a,k+1|0,0,j)|0;l=f[n>>2]|0}p=Ez(d|0,e|0,-2,-1)|0;p=Ez(p|0,I|0,g|0,h|0)|0;m=l+952|0;k=f[m>>2]|0;m=f[m+4>>2]|0;p=Jz(p|0,I|0,k|0,m|0)|0;p=Ez(p|0,I|0,b|0,c|0)|0;r=I;o=l+944|0;q=f[o+4>>2]|0;if((r|0)>(q|0)|((r|0)==(q|0)?p>>>0>(f[o>>2]|0)>>>0:0)){vj(103112);f[j>>2]=307;r=307;return r|0}r=l+120|0;q=f[r>>2]|0;r=f[r+4>>2]|0;b=Ez(b|0,c|0,-1,-1)|0;k=Sz(k|0,m|0,b|0,I|0)|0;k=Ez(k|0,I|0,d|0,e|0)|0;k=Ez(k|0,I|0,q|0,r|0)|0;m=I;b=Ez(k|0,m|0,-1,-1)|0;c=I;do if((f[j>>2]|0)<=0){if((m|0)<0|(m|0)==0&k>>>0<1){f[j>>2]=304;break}k=f[a>>2]|0;if((k|0)!=(f[l+68>>2]|0)){Hj(a,k+1|0,0,j)|0;l=f[n>>2]|0}k=Qz(b|0,c|0,2880,0)|0;r=f[l+64>>2]|0;if(!((r|0)>=0?(k|0)==(f[l+1248+(r<<2)>>2]|0):0))gt(a,k,0,j)|0;if((f[j>>2]|0)<1){r=(f[n>>2]|0)+48|0;f[r>>2]=b;f[r+4>>2]=c}}while(0);kt(a,g,h,i,j)|0;r=f[j>>2]|0;return r|0}function qt(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((e|0)!=1){do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);lt(a,1,d,e+-1|0,g,h)|0;l=f[h>>2]|0;return l|0}if((d|0)>=8640){l=a+4|0;j=(f[l>>2]|0)+48|0;e=j;k=f[e>>2]|0;e=f[e+4>>2]|0;f[j>>2]=b;f[j+4>>2]=c;kt(a,d,((d|0)<0)<<31>>31,g,h)|0;l=(f[l>>2]|0)+48|0;f[l>>2]=k;f[l+4>>2]=e;l=f[h>>2]|0;return l|0}do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);kt(a,d,((d|0)<0)<<31>>31,g,h)|0;l=f[h>>2]|0;return l|0}function rt(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((e|0)!=2){do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);lt(a,2,d,e+-2|0,g,h)|0;Qr(g,d);l=f[h>>2]|0;return l|0}e=d<<1;if((e|0)>=8640){l=a+4|0;i=(f[l>>2]|0)+48|0;k=i;j=f[k>>2]|0;k=f[k+4>>2]|0;f[i>>2]=b;f[i+4>>2]=c;kt(a,e,((e|0)<0)<<31>>31,g,h)|0;l=(f[l>>2]|0)+48|0;f[l>>2]=j;f[l+4>>2]=k;Qr(g,d);l=f[h>>2]|0;return l|0}do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);kt(a,e,((e|0)<0)<<31>>31,g,h)|0;Qr(g,d);l=f[h>>2]|0;return l|0}function st(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((e|0)!=4){do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);lt(a,4,d,e+-4|0,g,h)|0;Rr(g,d);l=f[h>>2]|0;return l|0}e=d<<2;if((e|0)>=8640){l=a+4|0;i=(f[l>>2]|0)+48|0;k=i;j=f[k>>2]|0;k=f[k+4>>2]|0;f[i>>2]=b;f[i+4>>2]=c;kt(a,e,((e|0)<0)<<31>>31,g,h)|0;l=(f[l>>2]|0)+48|0;f[l>>2]=j;f[l+4>>2]=k;Rr(g,d);l=f[h>>2]|0;return l|0}do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);kt(a,e,((e|0)<0)<<31>>31,g,h)|0;Rr(g,d);l=f[h>>2]|0;return l|0}function tt(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((e|0)!=8){do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);lt(a,8,d,e+-8|0,g,h)|0;Sr(g,d);l=f[h>>2]|0;return l|0}e=d<<3;if((e|0)>=8640){l=a+4|0;i=(f[l>>2]|0)+48|0;k=i;j=f[k>>2]|0;k=f[k+4>>2]|0;f[i>>2]=b;f[i+4>>2]=c;kt(a,e,((e|0)<0)<<31>>31,g,h)|0;l=(f[l>>2]|0)+48|0;f[l>>2]=j;f[l+4>>2]=k;Sr(g,d);l=f[h>>2]|0;return l|0}do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);kt(a,e,((e|0)<0)<<31>>31,g,h)|0;Sr(g,d);l=f[h>>2]|0;return l|0}function ut(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((e|0)!=4){do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);lt(a,4,d,e+-4|0,g,h)|0;Rr(g,d);l=f[h>>2]|0;return l|0}e=d<<2;if((e|0)>=8640){l=a+4|0;i=(f[l>>2]|0)+48|0;k=i;j=f[k>>2]|0;k=f[k+4>>2]|0;f[i>>2]=b;f[i+4>>2]=c;kt(a,e,((e|0)<0)<<31>>31,g,h)|0;l=(f[l>>2]|0)+48|0;f[l>>2]=j;f[l+4>>2]=k;Rr(g,d);l=f[h>>2]|0;return l|0}do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);kt(a,e,((e|0)<0)<<31>>31,g,h)|0;Rr(g,d);l=f[h>>2]|0;return l|0}function vt(a,b,c,d,e,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;var i=0,j=0,k=0,l=0;if((e|0)!=8){do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);lt(a,8,d,e+-8|0,g,h)|0;Sr(g,d);l=f[h>>2]|0;return l|0}e=d<<3;if((e|0)>=8640){l=a+4|0;i=(f[l>>2]|0)+48|0;k=i;j=f[k>>2]|0;k=f[k+4>>2]|0;f[i>>2]=b;f[i+4>>2]=c;kt(a,e,((e|0)<0)<<31>>31,g,h)|0;l=(f[l>>2]|0)+48|0;f[l>>2]=j;f[l+4>>2]=k;Sr(g,d);l=f[h>>2]|0;return l|0}do if((f[h>>2]|0)<=0){if((c|0)<0){f[h>>2]=304;break}i=f[a>>2]|0;k=a+4|0;j=f[k>>2]|0;if((i|0)!=(f[j+68>>2]|0)){Hj(a,i+1|0,0,h)|0;j=f[k>>2]|0}i=Qz(b|0,c|0,2880,0)|0;l=f[j+64>>2]|0;if(!((l|0)>=0?(i|0)==(f[j+1248+(l<<2)>>2]|0):0))gt(a,i,0,h)|0;if((f[h>>2]|0)<1){l=(f[k>>2]|0)+48|0;f[l>>2]=b;f[l+4>>2]=c}}while(0);kt(a,e,((e|0)<0)<<31>>31,g,h)|0;Sr(g,d);l=f[h>>2]|0;return l|0}function wt(a,b,c,d,e,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;h=h|0;i=i|0;j=j|0;var k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0;z=u;u=u+96|0;x=z;w=z+8|0;k=f[j>>2]|0;if((h|0)<0|(h|0)==0&g>>>0<1|(k|0)>0){i=k;u=z;return i|0}if((c|0)<0|(c|0)==0&b>>>0<1){f[j>>2]=307;i=307;u=z;return i|0}if((e|0)<0|(e|0)==0&d>>>0<1){f[j>>2]=308;i=308;u=z;return i|0}k=f[a>>2]|0;y=a+4|0;l=f[y>>2]|0;if((k|0)==(f[l+68>>2]|0)){if((f[l+120+4>>2]|0)<0)Kj(a,j)|0}else Hj(a,k+1|0,0,j)|0;n=Ez(d|0,e|0,-2,-1)|0;n=Ez(n|0,I|0,g|0,h|0)|0;l=f[y>>2]|0;k=l+952|0;m=f[k>>2]|0;k=f[k+4>>2]|0;n=Jz(n|0,I|0,m|0,k|0)|0;n=Ez(n|0,I|0,b|0,c|0)|0;o=I;v=l+944|0;r=v;q=f[r>>2]|0;r=f[r+4>>2]|0;do if((o|0)>(r|0)|(o|0)==(r|0)&n>>>0>q>>>0){A=(f[l+40>>2]|0)==0;s=Dz(n|0,o|0,q|0,r|0)|0;t=I;if(!A?(A=l+976|0,B=f[A+4>>2]|0,!((B|0)>0|(B|0)==0&(f[A>>2]|0)>>>0>0)):0){A=Sz(s|0,t|0,m|0,k|0)|0;B=l+968|0;x=B;A=Ez(f[x>>2]|0,f[x+4>>2]|0,A|0,I|0)|0;f[B>>2]=A;f[B+4>>2]=I;B=v;f[B>>2]=n;f[B+4>>2]=o;break}if((Pi(a,q,r,s,t,j)|0)<=0){l=f[y>>2]|0;k=l+952|0;m=f[k>>2]|0;k=f[k+4>>2]|0;break}p[x>>3]=+(s>>>0)+4294967296.0*+(t|0);ww(w,103155,x)|0;vj(w);B=f[j>>2]|0;u=z;return B|0}while(0);n=l+120|0;o=f[n>>2]|0;n=f[n+4>>2]|0;B=Ez(b|0,c|0,-1,-1)|0;m=Sz(m|0,k|0,B|0,I|0)|0;k=I;n=Ez(o|0,n|0,d|0,e|0)|0;k=Ez(n|0,I|0,m|0,k|0)|0;m=I;n=Ez(k|0,m|0,-1,-1)|0;o=I;do if((f[j>>2]|0)<=0){if((m|0)<0|(m|0)==0&k>>>0<1){f[j>>2]=304;break}k=f[a>>2]|0;if((k|0)!=(f[l+68>>2]|0)){Hj(a,k+1|0,0,j)|0;l=f[y>>2]|0}k=Qz(n|0,o|0,2880,0)|0;B=f[l+64>>2]|0;if(!((B|0)>=0?(k|0)==(f[l+1248+(B<<2)>>2]|0):0))gt(a,k,1,j)|0;if((f[j>>2]|0)<1){B=(f[y>>2]|0)+48|0;f[B>>2]=n;f[B+4>>2]=o}}while(0);it(a,g,h,i,j)|0;B=f[j>>2]|0;u=z;return B|0}function xt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;if((c|0)==1){it(a,b,((b|0)<0)<<31>>31,d,e)|0;d=f[e>>2]|0;return d|0}else{jt(a,1,b,c+-1|0,d,e)|0;d=f[e>>2]|0;return d|0}return 0}function yt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Qr(d,b);if((c|0)==2){b=b<<1;it(a,b,((b|0)<0)<<31>>31,d,e)|0;d=f[e>>2]|0;return d|0}else{jt(a,2,b,c+-2|0,d,e)|0;d=f[e>>2]|0;return d|0}return 0}function zt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Rr(d,b);if((c|0)==4){b=b<<2;it(a,b,((b|0)<0)<<31>>31,d,e)|0;d=f[e>>2]|0;return d|0}else{jt(a,4,b,c+-4|0,d,e)|0;d=f[e>>2]|0;return d|0}return 0}function At(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Sr(d,b);if((c|0)==8){b=b<<3;it(a,b,((b|0)<0)<<31>>31,d,e)|0;d=f[e>>2]|0;return d|0}else{jt(a,8,b,c+-8|0,d,e)|0;d=f[e>>2]|0;return d|0}return 0}function Bt(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Rr(d,b);if((c|0)==4){b=b<<2;it(a,b,((b|0)<0)<<31>>31,d,e)|0;d=f[e>>2]|0;return d|0}else{jt(a,4,b,c+-4|0,d,e)|0;d=f[e>>2]|0;return d|0}return 0}function Ct(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;Sr(d,b);if((c|0)==8){b=b<<3;it(a,b,((b|0)<0)<<31>>31,d,e)|0;d=f[e>>2]|0;return d|0}else{jt(a,8,b,c+-8|0,d,e)|0;d=f[e>>2]|0;return d|0}return 0}function Dt(){var a=0,c=0,e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0.0;A=u;u=u+624|0;z=A+360|0;y=A+104|0;w=A;if(!(f[55582]|0)){f[55582]=1;if(!(f[55583]|0))f[55583]=1;a=f[55552]|0;if(!a){a=f[5064]|0;f[55552]=a}if(!(f[55553]|0))f[55553]=f[5096];g=f[55584]|0;do if(!g){c=Lv(4)|0;f[55584]=c;if(!c)Et(103210);else{f[c>>2]=0;f[55586]=1;f[55585]=0;x=17;break}}else{e=f[55585]|0;c=f[g+(e<<2)>>2]|0;if(!c){c=f[55586]|0;if(e>>>0>=(c+-1|0)>>>0){c=c+8|0;a=Ov(g,c<<2)|0;f[55584]=a;if(!a)Et(103210);else{a=a+(f[55586]<<2)|0;f[a>>2]=0;f[a+4>>2]=0;f[a+8>>2]=0;f[a+12>>2]=0;f[a+16>>2]=0;f[a+20>>2]=0;f[a+24>>2]=0;f[a+28>>2]=0;f[55586]=c;a=f[55552]|0;x=17;break}}else x=17}else{i=g;j=e;k=c}}while(0);if((x|0)==17){k=Ft(a,16384)|0;i=f[55584]|0;j=f[55585]|0;f[i+(j<<2)>>2]=k}f[55587]=f[k+16>>2];v=f[k+8>>2]|0;f[55588]=v;f[55554]=v;f[55552]=f[f[i+(j<<2)>>2]>>2];b[3018153]=b[v>>0]|0}a:while(1){c=f[55588]|0;b[c>>0]=b[3018153]|0;i=c;a=f[55583]|0;b:while(1){e=a;while(1){a=f[6336+(h[c>>0]<<2)>>2]|0;if(d[20738+(e<<1)>>1]|0){f[55589]=e;f[55590]=c}c:while(1){g=a&255;do{a=(d[21058+(e<<1)>>1]|0)+g|0;if((d[21392+(a<<1)>>1]|0)==(e|0))break c;v=d[22240+(e<<1)>>1]|0;e=v<<16>>16}while(v<<16>>16<=159);a=f[7360+(g<<2)>>2]|0}a=d[22574+(a<<1)>>1]|0;c=c+1|0;if((d[21058+(a<<1)>>1]|0)==368){v=i;break}else e=a}d:while(1){t=v;e:while(1){a=d[20738+(a<<1)>>1]|0;if(!(a<<16>>16)){a=d[20738+(f[55589]<<1)>>1]|0;c=f[55590]|0}else a=a<<16>>16;f[55554]=v;s=c;f[55555]=s-t;b[3018153]=b[c>>0]|0;b[c>>0]=0;f[55588]=c;f:while(1){switch(a|0){case 1:continue a;case 2:{x=35;break a}case 3:{x=38;break a}case 4:{x=55;break a}case 5:{x=80;break a}case 6:{x=81;break a}case 7:{x=84;break a}case 8:{x=85;break a}case 9:{x=97;break a}case 10:{x=101;break a}case 11:{x=33;break a}case 12:{x=202;break a}case 13:{x=203;break a}case 14:{x=204;break a}case 15:{x=205;break a}case 16:{x=206;break a}case 18:{x=116;break a}case 19:{x=117;break a}case 20:{x=118;break a}case 21:{x=119;break a}case 22:{x=120;break a}case 23:{x=121;break a}case 24:{x=122;break a}case 25:{x=123;break a}case 28:{x=125;break a}case 17:{a=276;x=207;break a}case 26:break b;case 0:break f;case 27:break;default:{x=201;break a}}r=f[55554]|0;b[c>>0]=b[3018153]|0;g=f[55584]|0;i=f[55585]|0;n=g+(i<<2)|0;a=f[n>>2]|0;if(!(f[a+44>>2]|0)){e=f[a+16>>2]|0;f[55587]=e;f[a>>2]=f[55552];a=f[n>>2]|0;f[a+44>>2]=1}else e=f[55587]|0;j=f[55588]|0;l=f[a+4>>2]|0;if(j>>>0<=(l+e|0)>>>0)break e;m=f[55554]|0;o=j;k=m;if(j>>>0>(l+(e+1)|0)>>>0){x=147;break a}j=o-k|0;if(!(f[a+40>>2]|0))a=(j|0)==1?1:2;else{q=j+-1|0;if((j|0)>1){e=l;i=0;a=m;while(1){b[e>>0]=b[a>>0]|0;i=i+1|0;if((i|0)>=(q|0))break;else{e=e+1|0;a=a+1|0}}a=f[n>>2]|0}if((f[a+44>>2]|0)!=2){e=(f[a+12>>2]|0)-q+-1|0;if((e|0)<1){i=o;do{a=(g|0)==0?0:a;g=a+4|0;e=f[g>>2]|0;if(!(f[a+20>>2]|0)){x=157;break a}o=a+12|0;n=f[o>>2]|0;a=n<<1;a=(a|0)<1?(n>>>3)+n|0:a;f[o>>2]=a;a=Ov(e,a+2|0)|0;f[g>>2]=a;if(!a){x=159;break a}i=a+(i-e)|0;f[55588]=i;g=f[55584]|0;a=f[g+(f[55585]<<2)>>2]|0;e=(f[a+12>>2]|0)-q+-1|0}while((e|0)<1)}l=(e|0)<8192?e:8192;i=(f[a+4>>2]|0)+q|0;if(!(f[55565]|0)){a=f[55564]|0;g=f[55563]|0;k=0;while(1){f[55564]=a+1;e=k+1|0;b[i+k>>0]=b[g+a>>0]|0;a=f[55564]|0;g=f[55563]|0;j=(b[g+a>>0]|0)==0;if((e|0)>=(l|0)|j)break;else k=e}if(j)f[55565]=1;b[i+e>>0]=0;f[55587]=e;if((k|0)<-1){x=168;break a}}else{b[i>>0]=0;f[55587]=0;e=0}a=f[(f[55584]|0)+(f[55585]<<2)>>2]|0;f[a+16>>2]=e;if(!e)x=170;else j=0}else{f[55587]=0;f[a+16>>2]=0;x=170}do if((x|0)==170){x=0;if(!q){Ht(f[55552]|0);e=f[55587]|0;a=f[(f[55584]|0)+(f[55585]<<2)>>2]|0;j=1;break}else{f[a+44>>2]=2;e=0;j=2;break}}while(0);g=e+q|0;if(g>>>0>(f[a+12>>2]|0)>>>0){o=Ov(f[a+4>>2]|0,g+(e>>1)|0)|0;a=(f[55584]|0)+(f[55585]<<2)|0;f[(f[a>>2]|0)+4>>2]=o;a=f[(f[a>>2]|0)+4>>2]|0;if(!a){x=177;break a}e=f[55587]|0}else a=f[a+4>>2]|0;g=e+q|0;f[55587]=g;b[a+g>>0]=0;g=f[55584]|0;i=f[55585]|0;m=g+(i<<2)|0;e=f[55587]|0;b[(f[(f[m>>2]|0)+4>>2]|0)+(e+1)>>0]=0;m=f[(f[m>>2]|0)+4>>2]|0;f[55554]=m;k=m;a=j}switch(a|0){case 0:break d;case 2:{x=191;break e}case 1:break;default:continue a}f[55588]=k;a=(((f[55583]|0)+-1|0)/2|0)+28|0}b[c>>0]=b[3018153]|0;c=f[55590]|0;a=f[55589]|0}if((x|0)==191){x=0;c=(f[(f[g+(i<<2)>>2]|0)+4>>2]|0)+e|0;f[55588]=c;a=f[55583]|0;if(m>>>0<c>>>0)e=m;else{v=m;continue}while(1){g=b[e>>0]|0;if(!(g<<24>>24))g=1;else g=f[6336+((g&255)<<2)>>2]|0;if(d[20738+(a<<1)>>1]|0){f[55589]=a;f[55590]=e}g:while(1){i=g&255;do{g=(d[21058+(a<<1)>>1]|0)+i|0;if((d[21392+(g<<1)>>1]|0)==(a|0))break g;v=d[22240+(a<<1)>>1]|0;a=v<<16>>16}while(v<<16>>16<=159);g=f[7360+(i<<2)>>2]|0}a=d[22574+(g<<1)>>1]|0;e=e+1|0;if((e|0)==(c|0)){v=m;continue d}}}t=s-r|0;v=f[55554]|0;c=v+(t+-1)|0;f[55588]=c;a=f[55583]|0;j=c;if((t|0)>1){i=v;while(1){e=b[i>>0]|0;if(!(e<<24>>24))e=1;else e=f[6336+((e&255)<<2)>>2]|0;if(d[20738+(a<<1)>>1]|0){f[55589]=a;f[55590]=i}h:while(1){g=e&255;do{e=(d[21058+(a<<1)>>1]|0)+g|0;if((d[21392+(e<<1)>>1]|0)==(a|0))break h;t=d[22240+(a<<1)>>1]|0;a=t<<16>>16}while(t<<16>>16<=159);e=f[7360+(g<<2)>>2]|0}a=d[22574+(e<<1)>>1]|0;i=i+1|0;if(i>>>0>=c>>>0){g=a;break}}}else g=a;if(d[20738+(g<<1)>>1]|0){f[55589]=g;f[55590]=j}a=(d[21058+(g<<1)>>1]|0)+1|0;if((d[21392+(a<<1)>>1]|0)!=(g|0)){e=g;do{t=d[22240+(e<<1)>>1]|0;e=t<<16>>16;a=(d[21058+(e<<1)>>1]|0)+1|0}while((d[21392+(a<<1)>>1]|0)!=t<<16>>16)}e=d[22574+(a<<1)>>1]|0;if(!(e<<16>>16==159|(a|0)==0)){x=145;break}else a=g}if((x|0)==145){x=0;c=c+1|0;f[55588]=c;i=v;a=e<<16>>16;continue}v=s-r|0;c=m+(v+-1)|0;f[55588]=c;a=f[55583]|0;if((v|0)>1)e=m;else{i=m;continue}while(1){g=b[e>>0]|0;if(!(g<<24>>24))g=1;else g=f[6336+((g&255)<<2)>>2]|0;if(d[20738+(a<<1)>>1]|0){f[55589]=a;f[55590]=e}i:while(1){i=g&255;do{g=(d[21058+(a<<1)>>1]|0)+i|0;if((d[21392+(g<<1)>>1]|0)==(a|0))break i;v=d[22240+(a<<1)>>1]|0;a=v<<16>>16}while(v<<16>>16<=159);g=f[7360+(i<<2)>>2]|0}a=d[22574+(g<<1)>>1]|0;e=e+1|0;if(e>>>0>=c>>>0){i=m;continue b}}}Vx(f[55554]|0,f[55555]|0,1,f[55553]|0)|0}switch(x|0){case 33:{a=f[55554]|0;c=0;while(1){z=(lw(b[a+c>>0]|0)|0)&255;b[212384+c>>0]=z;if(!(z<<24>>24))break;else c=c+1|0}switch(b[212384]|0){case 66:{if(!(tw(212384,105766)|0)){z=264;u=A;return z|0}else x=111;break}case 67:{if(!(tw(212384,105700)|0)){z=264;u=A;return z|0}else x=111;break}case 69:{if(!(tw(212384,105771)|0)){z=264;u=A;return z|0}else x=111;break}case 78:{if(!(tw(212384,105613)|0)){z=264;u=A;return z|0}else x=111;break}case 73:{if(!(tw(212384,105478)|0)){z=264;u=A;return z|0}else x=114;break}case 71:{if(!(tw(212384,103486)|0)){z=266;u=A;return z|0}else x=114;break}case 82:{if(!(tw(212384,103497)|0)){z=267;u=A;return z|0}else x=114;break}case 83:{z=(tw(212384,105110)|0)==0;u=A;return (z?265:263)|0}default:{z=263;u=A;return z|0}}if((x|0)==111){z=263;u=A;return z|0}else if((x|0)==114){z=263;u=A;return z|0}break}case 35:{a=f[55554]|0;c=Bx(a)|0;do{z=c;c=c+-1|0}while((b[a+z>>0]|0)==32);Vy(212384,a+1|0,c)|0;b[212384+c>>0]=0;z=262;u=A;return z|0}case 38:{c=f[55554]|0;a=Bx(c)|0;if((a|0)>255){f[55581]=431;a=w;e=103259;g=a+37|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));yz(w,c,20)|0;a=w+(Bx(w)|0)|0;b[a>>0]=b[103296]|0;b[a+1>>0]=b[103297]|0;b[a+2>>0]=b[103298]|0;b[a+3>>0]=b[103299]|0;b[a+4>>0]=b[103300]|0;vj(w);a=0}else{do{w=a;a=a+-1|0}while((b[c+w>>0]|0)==32);Vy(z,c+1|0,a)|0}b[z+a>>0]=0;b[y>>0]=0;a=b[z>>0]|0;j:do if(a<<24>>24){c=0;while(1){switch(a<<24>>24|0){case 48:{a=3158064;x=52;break}case 49:{a=3223600;x=52;break}case 50:{a=3158320;x=52;break}case 51:{a=3223856;x=52;break}case 52:{a=3158065;x=52;break}case 53:{a=3223601;x=52;break}case 54:{a=3158321;x=52;break}case 55:{a=3223857;x=52;break}case 88:case 120:{a=7895160;x=52;break}default:{}}if((x|0)==52){x=0;w=y+(Bx(y)|0)|0;b[w>>0]=a;b[w+1>>0]=a>>8;b[w+2>>0]=a>>16;b[w+3>>0]=a>>24}c=c+1|0;a=b[z+c>>0]|0;if(!(a<<24>>24))break j}}while(0);Jx(212384,y)|0;z=262;u=A;return z|0}case 55:{c=f[55554]|0;a=Bx(c)|0;if((a|0)>255){f[55581]=431;a=w;e=103301;g=a+37|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));yz(w,c,20)|0;a=w+(Bx(w)|0)|0;b[a>>0]=b[103296]|0;b[a+1>>0]=b[103297]|0;b[a+2>>0]=b[103298]|0;b[a+3>>0]=b[103299]|0;b[a+4>>0]=b[103300]|0;vj(w);a=0}else{do{x=a;a=a+-1|0}while((b[c+x>>0]|0)==32);Vy(z,c+1|0,a)|0}b[z+a>>0]=0;b[y>>0]=0;a=b[z>>0]|0;k:do if(a<<24>>24){c=0;while(1){do switch(a<<24>>24|0){case 48:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103338]|0;b[x+1>>0]=b[103339]|0;b[x+2>>0]=b[103340]|0;b[x+3>>0]=b[103341]|0;b[x+4>>0]=b[103342]|0;break}case 49:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103343]|0;b[x+1>>0]=b[103344]|0;b[x+2>>0]=b[103345]|0;b[x+3>>0]=b[103346]|0;b[x+4>>0]=b[103347]|0;break}case 50:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103348]|0;b[x+1>>0]=b[103349]|0;b[x+2>>0]=b[103350]|0;b[x+3>>0]=b[103351]|0;b[x+4>>0]=b[103352]|0;break}case 51:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103353]|0;b[x+1>>0]=b[103354]|0;b[x+2>>0]=b[103355]|0;b[x+3>>0]=b[103356]|0;b[x+4>>0]=b[103357]|0;break}case 52:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103358]|0;b[x+1>>0]=b[103359]|0;b[x+2>>0]=b[103360]|0;b[x+3>>0]=b[103361]|0;b[x+4>>0]=b[103362]|0;break}case 53:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103363]|0;b[x+1>>0]=b[103364]|0;b[x+2>>0]=b[103365]|0;b[x+3>>0]=b[103366]|0;b[x+4>>0]=b[103367]|0;break}case 54:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103368]|0;b[x+1>>0]=b[103369]|0;b[x+2>>0]=b[103370]|0;b[x+3>>0]=b[103371]|0;b[x+4>>0]=b[103372]|0;break}case 55:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103373]|0;b[x+1>>0]=b[103374]|0;b[x+2>>0]=b[103375]|0;b[x+3>>0]=b[103376]|0;b[x+4>>0]=b[103377]|0;break}case 56:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103378]|0;b[x+1>>0]=b[103379]|0;b[x+2>>0]=b[103380]|0;b[x+3>>0]=b[103381]|0;b[x+4>>0]=b[103382]|0;break}case 57:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103383]|0;b[x+1>>0]=b[103384]|0;b[x+2>>0]=b[103385]|0;b[x+3>>0]=b[103386]|0;b[x+4>>0]=b[103387]|0;break}case 65:case 97:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103388]|0;b[x+1>>0]=b[103389]|0;b[x+2>>0]=b[103390]|0;b[x+3>>0]=b[103391]|0;b[x+4>>0]=b[103392]|0;break}case 66:case 98:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103393]|0;b[x+1>>0]=b[103394]|0;b[x+2>>0]=b[103395]|0;b[x+3>>0]=b[103396]|0;b[x+4>>0]=b[103397]|0;break}case 67:case 99:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103398]|0;b[x+1>>0]=b[103399]|0;b[x+2>>0]=b[103400]|0;b[x+3>>0]=b[103401]|0;b[x+4>>0]=b[103402]|0;break}case 68:case 100:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103403]|0;b[x+1>>0]=b[103404]|0;b[x+2>>0]=b[103405]|0;b[x+3>>0]=b[103406]|0;b[x+4>>0]=b[103407]|0;break}case 69:case 101:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103408]|0;b[x+1>>0]=b[103409]|0;b[x+2>>0]=b[103410]|0;b[x+3>>0]=b[103411]|0;b[x+4>>0]=b[103412]|0;break}case 70:case 102:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103413]|0;b[x+1>>0]=b[103414]|0;b[x+2>>0]=b[103415]|0;b[x+3>>0]=b[103416]|0;b[x+4>>0]=b[103417]|0;break}case 88:case 120:{x=y+(Bx(y)|0)|0;b[x>>0]=b[103418]|0;b[x+1>>0]=b[103419]|0;b[x+2>>0]=b[103420]|0;b[x+3>>0]=b[103421]|0;b[x+4>>0]=b[103422]|0;break}default:{}}while(0);c=c+1|0;a=b[z+c>>0]|0;if(!(a<<24>>24))break k}}while(0);Jx(212384,y)|0;z=262;u=A;return z|0}case 80:{z=vz(f[55554]|0)|0;f[53096]=z;z=259;u=A;return z|0}case 81:{switch(b[f[55554]>>0]|0){case 84:case 116:{a=1;break}default:a=0}b[212384]=a;z=258;u=A;return z|0}case 84:{B=+rz(f[55554]|0);p[26548]=B;z=260;u=A;return z|0}case 85:{a=f[55554]|0;if(!(Ax(a,103423)|0)){p[26548]=3.141592653589793;z=260;u=A;return z|0}if(!(Ax(a,103427)|0)){p[26548]=2.718281828459045;z=260;u=A;return z|0}if(!(Ax(a,103430)|0)){p[26548]=.017453292519943295;z=260;u=A;return z|0}if(!(Ax(a,103435)|0)){z=272;u=A;return z|0}if(!(Ax(a,103440)|0)){z=273;u=A;return z|0}if(!(Ax(a,103446)|0)){z=274;u=A;return z|0}if((b[a+1>>0]|0)==36){z=Bx(a)|0;b[212384]=35;Vy(212385,a+2|0,z+-3|0)|0;b[212384+(z+-2)>>0]=0;f[55554]=212384;a=212384}z=zb[f[222228>>2]&31](a,212384)|0;u=A;return z|0}case 97:{c=f[55554]|0;a=(Bx(c)|0)+-2|0;if((a|0)>255){f[55581]=431;a=z;e=103453;g=a+33|0;do{b[a>>0]=b[e>>0]|0;a=a+1|0;e=e+1|0}while((a|0)<(g|0));yz(z,c+1|0,20)|0;a=z+(Bx(z)|0)|0;b[a>>0]=b[103296]|0;b[a+1>>0]=b[103297]|0;b[a+2>>0]=b[103298]|0;b[a+3>>0]=b[103299]|0;b[a+4>>0]=b[103300]|0;vj(z);a=0}else Vy(212384,c+1|0,a)|0;b[212384+a>>0]=0;z=261;u=A;return z|0}case 101:{a=f[55554]|0;if((b[a>>0]|0)==36){z=(Bx(a)|0)+-2|0;Vy(212384,a+1|0,z)|0;b[212384+z>>0]=0;f[55554]=212384;a=212384}z=Gt(a,212384)|0;u=A;return z|0}case 116:{z=278;u=A;return z|0}case 117:{z=277;u=A;return z|0}case 118:{z=282;u=A;return z|0}case 119:{z=281;u=A;return z|0}case 120:{z=279;u=A;return z|0}case 121:{z=280;u=A;return z|0}case 122:{z=10;u=A;return z|0}case 123:{z=b[f[55554]>>0]|0;u=A;return z|0}case 125:{z=0;u=A;return z|0}case 147:{Et(103508);break}case 157:{f[g>>2]=0;Et(103564);break}case 159:{Et(103564);break}case 168:{Et(103608);break}case 177:{Et(103638);break}case 201:{Et(103684);break}case 202:{z=286;u=A;return z|0}case 203:{z=285;u=A;return z|0}case 204:{z=283;u=A;return z|0}case 205:{z=284;u=A;return z|0}case 206:{z=275;u=A;return z|0}case 207:{u=A;return a|0}}return 0}function Et(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=f[4971]|0;f[b>>2]=a;zy(c,103825,b)|0;kb(2)}function Ft(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;h=Lv(48)|0;if(!h)Et(103781);f[h+12>>2]=c;c=Lv(c+2|0)|0;f[h+4>>2]=c;if(!c)Et(103781);f[h+20>>2]=1;g=Wv()|0;g=f[g>>2]|0;f[h+16>>2]=0;b[c>>0]=0;b[c+1>>0]=0;f[h+8>>2]=c;f[h+28>>2]=1;f[h+44>>2]=0;c=f[55584]|0;e=(c|0)==0;if(e)d=0;else d=f[c+(f[55585]<<2)>>2]|0;if((d|0)==(h|0)){i=c+(f[55585]<<2)|0;d=f[i>>2]|0;f[55587]=f[d+16>>2];d=f[d+8>>2]|0;f[55588]=d;f[55554]=d;f[55552]=f[f[i>>2]>>2];b[3018153]=b[d>>0]|0}f[h>>2]=a;f[h+40>>2]=1;if(e)c=0;else c=f[c+(f[55585]<<2)>>2]|0;if((c|0)!=(h|0)){f[h+32>>2]=1;f[h+36>>2]=0}if(!a){a=0;i=h+24|0;f[i>>2]=a;i=Wv()|0;f[i>>2]=g;return h|0}a=(Bz(hz(a)|0)|0)>0&1;i=h+24|0;f[i>>2]=a;i=Wv()|0;f[i>>2]=g;return h|0}function Gt(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0;j=u;u=u+112|0;i=j;e=f[55572]|0;a:do if((e|0)>0){g=f[55574]|0;h=0;while(1){if(!(Ix(g+(h*124|0)|0,a,80)|0))break;d=h+1|0;if((d|0)<(e|0))h=d;else break a}if((h|0)>=0){switch(f[g+(h*124|0)+84>>2]|0){case 260:case 259:{d=268;break}case 258:{d=269;break}case 261:{d=270;break}case 262:{d=271;break}default:{f[55581]=431;d=i;e=103757;g=d+24|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));yz(i,a,80)|0;vj(i);d=-1}}f[c>>2]=h;c=d;u=j;return c|0}}while(0);d=f[55557]|0;if(!d){f[55581]=431;d=i;e=103735;g=d+22|0;do{b[d>>0]=b[e>>0]|0;d=d+1|0;e=e+1|0}while((d|0)<(g|0));yz(i,a,80)|0;vj(i);c=-1;u=j;return c|0}else{c=zb[d&31](a,c)|0;u=j;return c|0}return 0}function Ht(a){a=a|0;var c=0,d=0,e=0,g=0,h=0,i=0;g=f[55584]|0;do if(!g){c=Lv(4)|0;f[55584]=c;if(!c)Et(103210);else{f[c>>2]=0;f[55586]=1;f[55585]=0;i=11;break}}else{e=f[55585]|0;c=f[g+(e<<2)>>2]|0;if(c|0){g=Wv()|0;g=f[g>>2]|0;i=12;break}c=f[55586]|0;if(e>>>0>=(c+-1|0)>>>0){e=c+8|0;c=Ov(g,e<<2)|0;f[55584]=c;if(!c)Et(103210);else{i=c+(f[55586]<<2)|0;f[i>>2]=0;f[i+4>>2]=0;f[i+8>>2]=0;f[i+12>>2]=0;f[i+16>>2]=0;f[i+20>>2]=0;f[i+24>>2]=0;f[i+28>>2]=0;f[55586]=e;i=11;break}}else i=11}while(0);if((i|0)==11){c=Ft(f[55552]|0,16384)|0;h=f[55584]|0;f[h+(f[55585]<<2)>>2]=c;d=Wv()|0;d=f[d>>2]|0;if((h|0)==0|(c|0)==0)h=0;else{g=d;i=12}}if((i|0)==12){f[c+16>>2]=0;d=c+4|0;b[f[d>>2]>>0]=0;b[(f[d>>2]|0)+1>>0]=0;f[c+8>>2]=f[d>>2];f[c+28>>2]=1;f[c+44>>2]=0;d=f[55584]|0;if(!d)e=0;else e=f[d+(f[55585]<<2)>>2]|0;if((e|0)==(c|0)){h=d+(f[55585]<<2)|0;d=f[h>>2]|0;f[55587]=f[d+16>>2];d=f[d+8>>2]|0;f[55588]=d;f[55554]=d;f[55552]=f[f[h>>2]>>2];b[3018153]=b[d>>0]|0;d=g;h=c}else{d=g;h=c}}f[h>>2]=a;f[h+40>>2]=1;c=f[55584]|0;if(!c)c=0;else c=f[c+(f[55585]<<2)>>2]|0;if((c|0)!=(h|0)){f[h+32>>2]=1;f[h+36>>2]=0}if(!a){i=0;a=h+24|0;f[a>>2]=i;a=Wv()|0;f[a>>2]=d;a=f[55584]|0;i=f[55585]|0;i=a+(i<<2)|0;a=f[i>>2]|0;h=a+16|0;h=f[h>>2]|0;f[55587]=h;a=a+8|0;a=f[a>>2]|0;f[55588]=a;f[55554]=a;i=f[i>>2]|0;i=f[i>>2]|0;f[55552]=i;a=b[a>>0]|0;b[3018153]=a;return}i=(Bz(hz(a)|0)|0)>0&1;a=h+24|0;f[a>>2]=i;a=Wv()|0;f[a>>2]=d;a=f[55584]|0;i=f[55585]|0;i=a+(i<<2)|0;a=f[i>>2]|0;h=a+16|0;h=f[h>>2]|0;f[55587]=h;a=a+8|0;a=f[a>>2]|0;f[55588]=a;f[55554]=a;i=f[i>>2]|0;i=f[i>>2]|0;f[55552]=i;a=b[a>>0]|0;b[3018153]=a;return}
function Ev(a){a=a|0;var c=0,e=0,g=0,i=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,I=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0,R=0,S=0,T=0,U=0,V=0,W=0,X=0,Y=0,Z=0,_=0,$=0,aa=0,ba=0,ca=0,da=0,ea=0,fa=0,ga=0,ha=0,ia=0,ja=0,ka=0,la=0,ma=0,na=0,oa=0,pa=0,qa=0,ra=0,sa=0,ta=0,ua=0,va=0,wa=0,xa=0,ya=0,za=0,Aa=0,Ba=0,Ca=0,Da=0,Ea=0,Fa=0,Ga=0,Ha=0,Ia=0,Ja=0,Ka=0,La=0,Ma=0,Na=0,Oa=0,Pa=0,Qa=0,Ra=0,Sa=0,Ta=0,Ua=0,Va=0,Wa=0,Xa=0,Ya=0,Za=0,_a=0,$a=0,ab=0,bb=0,cb=0,db=0;db=u;u=u+16|0;Wa=db;Ya=db+4|0;Ua=f[a>>2]|0;bb=a+4|0;c=f[bb>>2]|0;cb=a+64020|0;a:do if((c|0)==10){P=a+64024|0;D=a+64028|0;x=a+64032|0;U=a+64036|0;L=a+64040|0;t=a+64044|0;T=a+64048|0;R=a+64052|0;F=a+64056|0;G=a+64060|0;J=a+64064|0;A=a+64068|0;w=a+64072|0;z=a+64076|0;K=a+64080|0;M=a+64084|0;H=a+64088|0;C=a+64092|0;Q=a+64096|0;I=a+64100|0;E=a+64104|0;B=a+64108|0;O=a+64112|0;c=cb;e=c+96|0;do{f[c>>2]=0;c=c+4|0}while((c|0)<(e|0));f[bb>>2]=10;r=a+32|0;c=f[r>>2]|0;m=a+28|0;if((c|0)>7)e=f[m>>2]|0;else{i=Ua+4|0;l=Ua+8|0;k=Ua+12|0;g=f[i>>2]|0;do{if(!g){Z=0;g=0;q=0;oa=0;aa=0;k=0;l=0;m=0;Y=0;n=0;o=0;$=0;i=0;p=0;v=0;W=0;ca=0;r=0;s=0;V=0;c=0;N=U;ba=0;S=0;y=0;e=0;ab=506;break a}ab=f[Ua>>2]|0;e=h[ab>>0]|f[m>>2]<<8;f[m>>2]=e;c=c+8|0;f[r>>2]=c;f[Ua>>2]=ab+1;g=g+-1|0;f[i>>2]=g;ab=(f[l>>2]|0)+1|0;f[l>>2]=ab;if(!ab)f[k>>2]=(f[k>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[r>>2]=c;if((e>>>c&255|0)==66){p=0;ea=0;ba=0;X=0;W=0;ca=0;g=0;$=0;da=0;ga=0;_=0;ja=0;k=0;q=0;V=0;Z=0;y=0;e=0;S=0;o=0;Y=0;m=0;l=0;n=0;N=r;ha=t;ia=w;ab=42}else{Z=0;g=0;q=0;oa=0;aa=0;k=0;l=0;m=0;Y=0;n=0;o=0;$=0;i=0;p=0;v=0;W=0;ca=0;r=0;s=0;V=0;c=-5;N=U;ba=0;S=0;y=0;e=0;ab=506}}else{p=f[cb>>2]|0;P=a+64024|0;v=f[P>>2]|0;D=a+64028|0;ba=f[D>>2]|0;x=a+64032|0;X=f[x>>2]|0;U=a+64036|0;W=f[U>>2]|0;L=a+64040|0;ca=f[L>>2]|0;t=a+64044|0;_=f[t>>2]|0;T=a+64048|0;$=f[T>>2]|0;R=a+64052|0;da=f[R>>2]|0;F=a+64056|0;Va=f[F>>2]|0;G=a+64060|0;s=f[G>>2]|0;J=a+64064|0;ja=f[J>>2]|0;A=a+64068|0;k=f[A>>2]|0;Xa=a+64072|0;q=f[Xa>>2]|0;z=a+64076|0;V=f[z>>2]|0;K=a+64080|0;Z=f[K>>2]|0;M=a+64084|0;y=f[M>>2]|0;H=a+64088|0;e=f[H>>2]|0;C=a+64092|0;S=f[C>>2]|0;Q=a+64096|0;o=f[Q>>2]|0;I=a+64100|0;Y=f[I>>2]|0;E=a+64104|0;m=f[E>>2]|0;B=a+64108|0;l=f[B>>2]|0;O=a+64112|0;n=f[O>>2]|0;do switch(c|0){case 28:{la=v;g=_;ka=Va;ia=s;ga=o;ea=m;_=l;fa=n;ha=t;w=Xa;N=U;ab=187;break a}case 29:{g=_;la=Va;ka=s;ha=o;ea=m;_=l;fa=n;ga=v;ia=t;w=Xa;N=U;ab=198;break a}case 30:{i=da;ha=Va;ga=s;ea=m;da=l;fa=n;ia=t;ka=Xa;N=U;ab=215;break a}case 32:{g=_;la=Va;ga=s;ka=o;ha=m;ea=l;ia=n;fa=v;ma=t;w=Xa;N=U;ab=233;break a}case 33:{g=_;ka=Va;aa=q;ha=o;fa=m;ea=l;ga=n;_=p;w=Xa;N=U;ab=256;break a}case 34:{ka=Va;ia=s;r=ja;ha=k;fa=m;ea=l;ga=n;w=Xa;N=U;ab=266;break a}case 36:{ka=Va;ea=l;fa=m;ga=n;ha=o;ia=p;w=Xa;N=U;ab=289;break a}case 38:{ea=k;fa=l;ga=m;ha=n;r=ja;ia=Va;w=Xa;N=U;ja=y;ab=319;break a}case 40:{ea=l;fa=m;ga=n;ha=o;ia=p;ka=Va;w=Xa;N=U;la=y;ab=371;break a}case 50:{N=a+32|0;g=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=497;break a}case 11:{N=a+32|0;c=f[N>>2]|0;ea=v;g=_;ga=Va;_=s;ha=t;ia=Xa;ab=42;break a}case 12:{N=a+32|0;ea=v;g=_;ga=Va;_=s;i=f[N>>2]|0;ha=t;ia=Xa;ab=50;break a}case 13:{N=a+32|0;g=_;ga=Va;ka=k;ea=m;_=l;fa=n;i=f[N>>2]|0;w=Xa;ab=58;break a}case 14:{ma=v;g=_;ga=Va;la=s;N=a+32|0;ha=t;ia=Xa;ka=x;ab=69;break a}case 15:{N=a+32|0;ea=v;g=_;ga=Va;la=s;c=f[N>>2]|0;ha=t;ia=Xa;ka=x;ab=77;break a}case 16:{N=a+32|0;ea=v;g=_;ga=Va;la=s;i=f[N>>2]|0;ha=t;ia=Xa;ka=x;ab=85;break a}case 17:{N=a+32|0;ea=v;g=_;ga=Va;la=s;i=f[N>>2]|0;ha=t;ia=Xa;ka=x;ab=93;break a}case 18:{N=a+32|0;ea=v;g=_;ga=Va;la=s;i=f[N>>2]|0;ha=t;ia=Xa;ka=x;ab=101;break a}case 19:{N=a+32|0;ea=v;g=_;ga=Va;la=s;i=f[N>>2]|0;ha=t;ia=Xa;ka=x;ab=109;break a}case 20:{g=_;ga=Va;la=s;ea=m;_=l;fa=n;N=a+32|0;ha=t;w=Xa;ab=120;break a}case 21:{N=a+32|0;i=f[N>>2]|0;g=_;ga=Va;ia=s;ea=m;_=l;fa=n;ha=t;w=Xa;ab=128;break a}case 22:{N=a+32|0;g=_;ga=Va;ia=s;ea=m;_=l;fa=n;i=f[N>>2]|0;ha=t;w=Xa;ab=136;break a}case 23:{N=a+32|0;g=_;ga=Va;ia=s;ea=m;_=l;fa=n;i=f[N>>2]|0;ha=t;w=Xa;ab=144;break a}case 24:{N=a+32|0;g=_;ka=Va;ia=s;ga=o;ea=m;_=l;fa=n;i=f[N>>2]|0;ha=t;w=Xa;ab=152;break a}case 25:{N=a+32|0;g=_;ka=Va;ia=s;ea=m;_=l;fa=n;i=f[N>>2]|0;ga=t;w=Xa;ab=160;break a}case 26:{N=a+32|0;g=_;ka=Va;ha=s;ea=m;_=l;fa=n;i=f[N>>2]|0;ga=t;w=Xa;ab=168;break a}case 27:{N=a+32|0;g=_;ia=Va;ha=s;ea=m;_=l;fa=n;i=f[N>>2]|0;ga=t;w=Xa;ab=176;break a}case 31:{w=a+32|0;i=da;la=Va;ga=s;ea=m;ha=l;fa=n;g=f[w>>2]|0;ia=t;ka=Xa;N=U;ab=223;break a}case 35:{w=a+32|0;c=f[w>>2]|0;ka=Va;ia=s;r=ja;ha=k;fa=m;ea=l;ga=n;s=w;w=Xa;N=U;ab=273;break a}case 37:{aa=a+32|0;g=f[aa>>2]|0;ia=Va;ha=k;ea=l;fa=m;ga=n;r=ja;w=Xa;N=U;ab=300;break a}case 39:{aa=a+32|0;g=f[aa>>2]|0;ea=k;fa=l;ga=m;ha=n;r=ja;ia=Va;w=Xa;N=U;ab=329;break a}case 41:{aa=a+32|0;g=f[aa>>2]|0;ea=k;ga=l;fa=m;ha=n;r=ja;ia=Va;w=Xa;N=U;ab=382;break a}case 42:{N=a+32|0;c=f[N>>2]|0;na=ba;ea=X;ma=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=432;break a}case 43:{N=a+32|0;c=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=440;break a}case 44:{N=a+32|0;c=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=448;break a}case 45:{N=a+32|0;c=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=456;break a}case 46:{N=a+32|0;c=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=464;break a}case 47:{N=a+32|0;c=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=473;break a}case 48:{N=a+32|0;g=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=481;break a}case 49:{N=a+32|0;g=f[N>>2]|0;ia=ba;ea=X;ha=W;fa=$;ga=Va;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;w=Xa;ab=489;break a}default:kv(4001)}while(0)}while(0);b:do if((ab|0)==42){f[bb>>2]=11;w=a+28|0;if((c|0)>7)i=f[w>>2]|0;else{s=Ua+4|0;v=Ua+8|0;t=Ua+12|0;r=f[s>>2]|0;do{if(!r){oa=X;aa=V;i=da;v=ea;r=ja;s=_;V=ga;c=0;t=ha;w=ia;N=U;ab=506;break b}ab=f[Ua>>2]|0;i=h[ab>>0]|f[w>>2]<<8;f[w>>2]=i;c=c+8|0;f[N>>2]=c;f[Ua>>2]=ab+1;r=r+-1|0;f[s>>2]=r;ab=(f[v>>2]|0)+1|0;f[v>>2]=ab;if(!ab)f[t>>2]=(f[t>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;if((i>>>c&255|0)==90){i=c;ab=50}else{oa=X;aa=V;i=da;v=ea;r=ja;s=_;V=ga;c=-5;t=ha;w=ia;N=U;ab=506}}while(0);c:do if((ab|0)==50){f[bb>>2]=12;w=a+28|0;if((i|0)>7)c=f[w>>2]|0;else{s=Ua+4|0;v=Ua+8|0;t=Ua+12|0;r=f[s>>2]|0;do{if(!r){oa=X;aa=V;i=da;v=ea;r=ja;s=_;V=ga;c=0;t=ha;w=ia;N=U;ab=506;break c}ab=f[Ua>>2]|0;c=h[ab>>0]|f[w>>2]<<8;f[w>>2]=c;i=i+8|0;f[N>>2]=i;f[Ua>>2]=ab+1;r=r+-1|0;f[s>>2]=r;ab=(f[v>>2]|0)+1|0;f[v>>2]=ab;if(!ab)f[t>>2]=(f[t>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;if((c>>>i&255|0)==104){v=ea;s=_;ka=k;ea=m;_=l;fa=n;t=ha;w=ia;ab=58}else{oa=X;aa=V;i=da;v=ea;r=ja;s=_;V=ga;c=-5;t=ha;w=ia;N=U;ab=506}}while(0);d:do if((ab|0)==58){f[bb>>2]=13;r=a+28|0;if((i|0)>7)c=f[r>>2]|0;else{l=Ua+4|0;n=Ua+8|0;m=Ua+12|0;k=f[l>>2]|0;do{if(!k){oa=X;aa=V;k=ka;l=_;m=ea;n=fa;i=da;r=ja;V=ga;c=0;N=U;ab=506;break d}ab=f[Ua>>2]|0;c=h[ab>>0]|f[r>>2]<<8;f[r>>2]=c;i=i+8|0;f[N>>2]=i;f[Ua>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((i|0)<=7)}n=i+-8|0;c=c>>>n&255;f[N>>2]=n;n=a+36|0;f[n>>2]=c;if((c+-49|0)>>>0<=8){m=c+-48|0;f[n>>2]=m;l=Ua+36|0;k=f[l>>2]|0;i=Ua+44|0;c=f[i>>2]|0;if(!(b[a+40>>0]|0)){ab=rb[k&63](c,m*4e5|0,1)|0;f[a+3148>>2]=ab;if(!ab){oa=X;aa=V;k=ka;l=_;m=ea;n=fa;i=da;r=ja;V=ga;c=-3;N=U;ab=506;break}else{ma=v;la=s;k=ka;m=ea;l=_;n=fa;ha=t;ia=w;ka=x;ab=69;break}}else{Xa=rb[k&63](c,m*2e5|0,1)|0;ab=a+3152|0;f[ab>>2]=Xa;Xa=rb[f[l>>2]&63](f[i>>2]|0,(f[n>>2]|0)*1e5>>1,1)|0;f[a+3156>>2]=Xa;if((Xa|0)==0|(f[ab>>2]|0)==0){oa=X;aa=V;k=ka;l=_;m=ea;n=fa;i=da;r=ja;V=ga;c=-3;N=U;ab=506;break}else{ma=v;la=s;k=ka;m=ea;l=_;n=fa;ha=t;ia=w;ka=x;ab=69;break}}}else{oa=X;aa=V;k=ka;l=_;m=ea;n=fa;i=da;r=ja;V=ga;c=-5;N=U;ab=506}}while(0);e:do if((ab|0)==69){f[bb>>2]=14;c=f[N>>2]|0;x=a+28|0;if((c|0)>7)i=f[x>>2]|0;else{r=f[a>>2]|0;t=r+4|0;w=r+8|0;v=r+12|0;s=f[t>>2]|0;do{if(!s){oa=X;aa=V;i=da;v=ma;r=ja;s=la;V=ga;c=0;t=ha;w=ia;x=ka;N=U;ab=506;break e}ab=f[r>>2]|0;i=h[ab>>0]|f[x>>2]<<8;f[x>>2]=i;c=c+8|0;f[N>>2]=c;f[r>>2]=ab+1;s=s+-1|0;f[t>>2]=s;ab=(f[w>>2]|0)+1|0;f[w>>2]=ab;if(!ab)f[v>>2]=(f[v>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;switch((i>>>c&255)<<24>>24){case 23:{v=ma;na=ba;ea=X;ma=W;_=g;fa=$;s=la;r=ja;ba=k;aa=V;$=o;X=m;V=l;W=n;t=ha;w=ia;x=ka;ab=432;break}case 49:{ea=ma;ab=77;break}default:{oa=X;aa=V;i=da;v=ma;r=ja;s=la;V=ga;c=-4;t=ha;w=ia;x=ka;N=U;ab=506}}}while(0);f:do if((ab|0)==77){f[bb>>2]=15;x=a+28|0;if((c|0)>7)i=f[x>>2]|0;else{r=f[a>>2]|0;t=r+4|0;w=r+8|0;v=r+12|0;s=f[t>>2]|0;do{if(!s){oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=0;t=ha;w=ia;x=ka;N=U;ab=506;break f}ab=f[r>>2]|0;i=h[ab>>0]|f[x>>2]<<8;f[x>>2]=i;c=c+8|0;f[N>>2]=c;f[r>>2]=ab+1;s=s+-1|0;f[t>>2]=s;ab=(f[w>>2]|0)+1|0;f[w>>2]=ab;if(!ab)f[v>>2]=(f[v>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;if((i>>>c&255|0)==65){i=c;ab=85}else{oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=-4;t=ha;w=ia;x=ka;N=U;ab=506}}else if((ab|0)==432){f[bb>>2]=42;o=a+28|0;if((c|0)>7)g=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ma;V=ga;c=0;N=U;ba=na;ab=506;break f}ab=f[i>>2]|0;g=h[ab>>0]|f[o>>2]<<8;f[o>>2]=g;c=c+8|0;f[N>>2]=c;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;if((g>>>c&255|0)==114){ia=na;ha=ma;ab=440}else{g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ma;V=ga;c=-4;N=U;ba=na;ab=506}}while(0);g:do if((ab|0)==85){f[bb>>2]=16;x=a+28|0;if((i|0)>7)c=f[x>>2]|0;else{r=f[a>>2]|0;t=r+4|0;w=r+8|0;v=r+12|0;s=f[t>>2]|0;do{if(!s){oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=0;t=ha;w=ia;x=ka;N=U;ab=506;break g}ab=f[r>>2]|0;c=h[ab>>0]|f[x>>2]<<8;f[x>>2]=c;i=i+8|0;f[N>>2]=i;f[r>>2]=ab+1;s=s+-1|0;f[t>>2]=s;ab=(f[w>>2]|0)+1|0;f[w>>2]=ab;if(!ab)f[v>>2]=(f[v>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;if((c>>>i&255|0)==89)ab=93;else{oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=-4;t=ha;w=ia;x=ka;N=U;ab=506}}else if((ab|0)==440){f[bb>>2]=43;o=a+28|0;if((c|0)>7)g=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break g}ab=f[i>>2]|0;g=h[ab>>0]|f[o>>2]<<8;f[o>>2]=g;c=c+8|0;f[N>>2]=c;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;if((g>>>c&255|0)==69)ab=448;else{g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=-4;N=U;ba=ia;ab=506}}while(0);h:do if((ab|0)==93){f[bb>>2]=17;x=a+28|0;if((i|0)>7)c=f[x>>2]|0;else{r=f[a>>2]|0;t=r+4|0;w=r+8|0;v=r+12|0;s=f[t>>2]|0;do{if(!s){oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=0;t=ha;w=ia;x=ka;N=U;ab=506;break h}ab=f[r>>2]|0;c=h[ab>>0]|f[x>>2]<<8;f[x>>2]=c;i=i+8|0;f[N>>2]=i;f[r>>2]=ab+1;s=s+-1|0;f[t>>2]=s;ab=(f[w>>2]|0)+1|0;f[w>>2]=ab;if(!ab)f[v>>2]=(f[v>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;if((c>>>i&255|0)==38)ab=101;else{oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=-4;t=ha;w=ia;x=ka;N=U;ab=506}}else if((ab|0)==448){f[bb>>2]=44;o=a+28|0;if((c|0)>7)g=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break h}ab=f[i>>2]|0;g=h[ab>>0]|f[o>>2]<<8;f[o>>2]=g;c=c+8|0;f[N>>2]=c;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;if((g>>>c&255|0)==56)ab=456;else{g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=-4;N=U;ba=ia;ab=506}}while(0);i:do if((ab|0)==101){f[bb>>2]=18;x=a+28|0;if((i|0)>7)c=f[x>>2]|0;else{r=f[a>>2]|0;t=r+4|0;w=r+8|0;v=r+12|0;s=f[t>>2]|0;do{if(!s){oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=0;t=ha;w=ia;x=ka;N=U;ab=506;break i}ab=f[r>>2]|0;c=h[ab>>0]|f[x>>2]<<8;f[x>>2]=c;i=i+8|0;f[N>>2]=i;f[r>>2]=ab+1;s=s+-1|0;f[t>>2]=s;ab=(f[w>>2]|0)+1|0;f[w>>2]=ab;if(!ab)f[v>>2]=(f[v>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;if((c>>>i&255|0)==83)ab=109;else{oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=-4;t=ha;w=ia;x=ka;N=U;ab=506}}else if((ab|0)==456){f[bb>>2]=45;o=a+28|0;if((c|0)>7)g=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break i}ab=f[i>>2]|0;g=h[ab>>0]|f[o>>2]<<8;f[o>>2]=g;c=c+8|0;f[N>>2]=c;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;if((g>>>c&255|0)==80)ab=464;else{g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=-4;N=U;ba=ia;ab=506}}while(0);j:do if((ab|0)==109){f[bb>>2]=19;x=a+28|0;if((i|0)>7)c=f[x>>2]|0;else{r=f[a>>2]|0;t=r+4|0;w=r+8|0;v=r+12|0;s=f[t>>2]|0;do{if(!s){oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=0;t=ha;w=ia;x=ka;N=U;ab=506;break j}ab=f[r>>2]|0;c=h[ab>>0]|f[x>>2]<<8;f[x>>2]=c;i=i+8|0;f[N>>2]=i;f[r>>2]=ab+1;s=s+-1|0;f[t>>2]=s;ab=(f[w>>2]|0)+1|0;f[w>>2]=ab;if(!ab)f[v>>2]=(f[v>>2]|0)+1}while((i|0)<=7)}ab=i+-8|0;f[N>>2]=ab;if((c>>>ab&255|0)==89){ab=a+44|0;c=(f[ab>>2]|0)+1|0;f[ab>>2]=c;if((f[a+48>>2]|0)>1){ab=f[4971]|0;f[Wa>>2]=c;zy(ab,110801,Wa)|0}f[a+3160>>2]=0;v=ea;ea=m;_=l;fa=n;w=ia;x=ka;ab=120}else{oa=X;aa=V;i=da;v=ea;r=ja;s=la;V=ga;c=-4;t=ha;w=ia;x=ka;N=U;ab=506}}else if((ab|0)==464){f[bb>>2]=46;o=a+28|0;if((c|0)>7)g=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break j}ab=f[i>>2]|0;g=h[ab>>0]|f[o>>2]<<8;f[o>>2]=g;c=c+8|0;f[N>>2]=c;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((c|0)<=7)}c=c+-8|0;f[N>>2]=c;if((g>>>c&255|0)==144){f[a+3164>>2]=0;ab=473}else{g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=-4;N=U;ba=ia;ab=506}}while(0);k:do if((ab|0)==120){f[bb>>2]=20;i=f[N>>2]|0;t=a+28|0;if((i|0)>7)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;do{if(!m){oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=la;V=ga;c=0;t=ha;N=U;ab=506;break k}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;i=i+8|0;f[N>>2]=i;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;ia=a+3160|0;f[ia>>2]=f[ia>>2]<<8|c>>>i&255;ia=la;ab=128}else if((ab|0)==473){f[bb>>2]=47;o=a+28|0;if((c|0)>7){g=c;c=f[o>>2]|0}else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;g=c;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break k}ab=f[i>>2]|0;c=h[ab>>0]|f[o>>2]<<8;f[o>>2]=c;g=g+8|0;f[N>>2]=g;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((g|0)<=7)}g=g+-8|0;f[N>>2]=g;ab=a+3164|0;f[ab>>2]=f[ab>>2]<<8|c>>>g&255;ab=481}while(0);l:do if((ab|0)==128){f[bb>>2]=21;t=a+28|0;if((i|0)>7)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;do{if(!m){oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=ia;V=ga;c=0;t=ha;N=U;ab=506;break l}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;i=i+8|0;f[N>>2]=i;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;ab=a+3160|0;f[ab>>2]=f[ab>>2]<<8|c>>>i&255;ab=136}else if((ab|0)==481){f[bb>>2]=48;o=a+28|0;if((g|0)>7)c=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break l}ab=f[i>>2]|0;c=h[ab>>0]|f[o>>2]<<8;f[o>>2]=c;g=g+8|0;f[N>>2]=g;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((g|0)<=7)}g=g+-8|0;f[N>>2]=g;ab=a+3164|0;f[ab>>2]=f[ab>>2]<<8|c>>>g&255;ab=489}while(0);m:do if((ab|0)==136){f[bb>>2]=22;t=a+28|0;if((i|0)>7)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;do{if(!m){oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=ia;V=ga;c=0;t=ha;N=U;ab=506;break m}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;i=i+8|0;f[N>>2]=i;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;ab=a+3160|0;f[ab>>2]=f[ab>>2]<<8|c>>>i&255;ab=144}else if((ab|0)==489){f[bb>>2]=49;o=a+28|0;if((g|0)>7)c=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break m}ab=f[i>>2]|0;c=h[ab>>0]|f[o>>2]<<8;f[o>>2]=c;g=g+8|0;f[N>>2]=g;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((g|0)<=7)}g=g+-8|0;f[N>>2]=g;ab=a+3164|0;f[ab>>2]=f[ab>>2]<<8|c>>>g&255;ab=497}while(0);n:do if((ab|0)==144){f[bb>>2]=23;t=a+28|0;if((i|0)>7)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;do{if(!m){oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=ia;V=ga;c=0;t=ha;N=U;ab=506;break n}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;i=i+8|0;f[N>>2]=i;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;ka=a+3160|0;f[ka>>2]=f[ka>>2]<<8|c>>>i&255;ka=ga;ga=o;ab=152}else if((ab|0)==497){f[bb>>2]=50;o=a+28|0;if((g|0)>7)c=f[o>>2]|0;else{i=f[a>>2]|0;l=i+4|0;n=i+8|0;m=i+12|0;k=f[l>>2]|0;do{if(!k){g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=0;N=U;ba=ia;ab=506;break n}ab=f[i>>2]|0;c=h[ab>>0]|f[o>>2]<<8;f[o>>2]=c;g=g+8|0;f[N>>2]=g;f[i>>2]=ab+1;k=k+-1|0;f[l>>2]=k;ab=(f[n>>2]|0)+1|0;f[n>>2]=ab;if(!ab)f[m>>2]=(f[m>>2]|0)+1}while((g|0)<=7)}oa=g+-8|0;f[N>>2]=oa;g=a+3164|0;f[g>>2]=f[g>>2]<<8|c>>>oa&255;f[bb>>2]=1;g=_;oa=ea;k=ba;l=V;m=X;n=W;o=$;$=fa;i=da;W=ha;V=ga;c=4;N=U;ba=ia;ab=506}while(0);o:do if((ab|0)==152){f[bb>>2]=24;t=a+28|0;if((i|0)>0)c=f[t>>2]|0;else{m=f[a>>2]|0;o=m+4|0;s=m+8|0;r=m+12|0;n=f[o>>2]|0;while(1){if(!n){oa=X;aa=V;l=_;m=ea;n=fa;o=ga;i=da;r=ja;s=ia;V=ka;c=0;t=ha;N=U;ab=506;break o}ab=f[m>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;l=i+8|0;f[N>>2]=l;f[m>>2]=ab+1;n=n+-1|0;f[o>>2]=n;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1;if((i|0)>-8){i=l;break}else i=l}}i=i+-1|0;f[N>>2]=i;b[a+16>>0]=c>>>i&1;f[a+52>>2]=0;o=ga;ga=ha;ab=160}while(0);p:do if((ab|0)==160){f[bb>>2]=25;t=a+28|0;if((i|0)>7)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;do{if(!m){oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=ia;V=ka;c=0;t=ga;N=U;ab=506;break p}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;i=i+8|0;f[N>>2]=i;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;ha=a+52|0;f[ha>>2]=f[ha>>2]<<8|c>>>i&255;ha=ia;ab=168}while(0);q:do if((ab|0)==168){f[bb>>2]=26;t=a+28|0;if((i|0)>7)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;do{if(!m){oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=ha;V=ka;c=0;t=ga;N=U;ab=506;break q}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;i=i+8|0;f[N>>2]=i;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1}while((i|0)<=7)}i=i+-8|0;f[N>>2]=i;ia=a+52|0;f[ia>>2]=f[ia>>2]<<8|c>>>i&255;ia=ka;ab=176}while(0);r:do if((ab|0)==176){f[bb>>2]=27;t=a+28|0;if((i|0)>7)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;do{if(!m){oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=ha;V=ia;c=0;t=ga;N=U;ab=506;break r}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;i=i+8|0;f[N>>2]=i;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1}while((i|0)<=7)}ab=i+-8|0;f[N>>2]=ab;Xa=a+52|0;ab=f[Xa>>2]<<8|c>>>ab&255;f[Xa>>2]=ab;if((ab|0)>=0?(ab|0)<=((f[a+36>>2]|0)*1e5|10|0):0){c=ia;s=ha;r=ja;m=ea;l=_;n=fa;p=0;t=ga;N=U;ab=185}else{oa=X;aa=V;l=_;m=ea;n=fa;i=da;r=ja;s=ha;V=ia;c=-4;t=ga;N=U;ab=506}}while(0);s:while(1){switch(ab|0){case 185:{if((p|0)<16){la=v;ka=c;ia=s;ja=r;ga=o;ea=m;_=l;fa=n;ha=t;ab=187;continue s}Fz(a+3180|0,0,256)|0;ja=c;U=k;p=0;ab=195;break}case 187:{f[bb>>2]=28;v=a+32|0;i=f[v>>2]|0;t=a+28|0;if((i|0)>0)c=f[t>>2]|0;else{m=f[a>>2]|0;o=m+4|0;s=m+8|0;r=m+12|0;n=f[o>>2]|0;while(1){if(!n){oa=X;aa=V;l=_;m=ea;n=fa;o=ga;i=da;v=la;r=ja;s=ia;V=ka;c=0;t=ha;ab=506;continue s}ab=f[m>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;l=i+8|0;f[v>>2]=l;f[m>>2]=ab+1;n=n+-1|0;f[o>>2]=n;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1;if((i|0)>-8){i=l;break}else i=l}}s=i+-1|0;f[v>>2]=s;b[a+3436+p>>0]=(c&1<<s|0)!=0&1;v=la;c=ka;s=ia;r=ja;o=ga;m=ea;l=_;n=fa;p=p+1|0;t=ha;ab=185;continue s}case 198:{f[bb>>2]=29;v=a+32|0;i=f[v>>2]|0;t=a+28|0;if((i|0)>0)c=f[t>>2]|0;else{m=f[a>>2]|0;o=m+4|0;s=m+8|0;r=m+12|0;n=f[o>>2]|0;while(1){if(!n){oa=X;aa=V;l=_;m=ea;n=fa;o=ha;i=da;v=ga;r=ja;s=ka;V=la;c=0;t=ia;ab=506;continue s}ab=f[m>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;l=i+8|0;f[v>>2]=l;f[m>>2]=ab+1;n=n+-1|0;f[o>>2]=n;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1;if((i|0)>-8){i=l;break}else i=l}}ab=i+-1|0;f[v>>2]=ab;if(c&1<<ab|0)b[(p<<4)+ga+(a+3180)>>0]=1;c=la;s=ka;r=ja;o=ha;m=ea;l=_;n=fa;i=ga+1|0;t=ia;ab=197;break}case 215:{f[bb>>2]=30;w=a+32|0;g=f[w>>2]|0;t=a+28|0;if((g|0)>2)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;while(1){if(!m){g=_;oa=X;aa=V;l=da;m=ea;n=fa;r=ja;s=ga;V=ha;c=0;t=ia;w=ka;ab=506;continue s}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;g=g+8|0;f[w>>2]=g;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1;if((g|0)>2)break}}g=g+-3|0;ab=c>>>g;c=ab&7;f[w>>2]=g;switch(ab&7){case 0:case 1:case 7:{g=_;oa=X;aa=V;l=da;m=ea;n=fa;W=c;r=ja;s=ga;V=ha;c=-4;t=ia;w=ka;ab=506;continue s}default:{la=ha;ha=da;W=c;ab=223;continue s}}}case 223:{f[bb>>2]=31;t=a+28|0;if((g|0)>14)c=f[t>>2]|0;else{l=f[a>>2]|0;n=l+4|0;s=l+8|0;r=l+12|0;m=f[n>>2]|0;while(1){if(!m){g=_;oa=X;aa=V;l=ha;m=ea;n=fa;r=ja;s=ga;V=la;c=0;t=ia;w=ka;ab=506;continue s}ab=f[l>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;g=g+8|0;f[w>>2]=g;f[l>>2]=ab+1;m=m+-1|0;f[n>>2]=m;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1;if((g|0)>14)break}}ab=g+-15|0;c=c>>>ab&32767;f[w>>2]=ab;if(!c){g=_;oa=X;aa=V;l=ha;m=ea;n=fa;ca=0;r=ja;s=ga;V=la;c=-4;t=ia;w=ka;ab=506;continue s}else{da=i;aa=la;s=ga;r=ja;ga=k;m=ea;ea=ha;n=fa;p=0;U=c;t=ia;w=ka;ab=231}break}case 233:{f[bb>>2]=32;v=a+32|0;i=f[v>>2]|0;t=a+28|0;if((i|0)>0)c=f[t>>2]|0;else{m=f[a>>2]|0;o=m+4|0;s=m+8|0;r=m+12|0;n=f[o>>2]|0;while(1){if(!n){oa=X;aa=V;l=ea;m=ha;n=ia;o=ka;i=da;v=fa;r=ja;s=ga;V=la;c=0;t=ma;ab=506;continue s}ab=f[m>>2]|0;c=h[ab>>0]|f[t>>2]<<8;f[t>>2]=c;l=i+8|0;f[v>>2]=l;f[m>>2]=ab+1;n=n+-1|0;f[o>>2]=n;ab=(f[s>>2]|0)+1|0;f[s>>2]=ab;if(!ab)f[r>>2]=(f[r>>2]|0)+1;if((i|0)>-8){i=l;break}else i=l}}ab=i+-1|0;f[v>>2]=ab;if(c&1<<ab){v=fa+1|0;if((v|0)<(W|0)){aa=la;s=ga;r=ja;o=ka;m=ha;_=ea;n=ia;U=ca;t=ma;l=M;i=K;c=H;ab=232;break}else{oa=X;aa=V;l=ea;m=ha;n=ia;o=ka;i=da;r=ja;s=ga;V=la;c=-4;t=ma;ab=506;continue s}}else{b[a+25870+p>>0]=fa;_=g;aa=la;s=ga;r=ja;ga=k;o=ka;m=ha;n=ia;p=p+1|0;v=fa;U=ca;t=ma;ab=231;break}}case 256:{f[bb>>2]=33;r=a+32|0;c=f[r>>2]|0;q=a+28|0;if((c|0)>4)n=f[q>>2]|0;else{i=f[a>>2]|0;m=i+4|0;p=i+8|0;o=i+12|0;l=f[m>>2]|0;while(1){if(!l){q=aa;oa=X;aa=V;l=ea;m=fa;n=ga;o=ha;i=da;p=_;r=ja;V=ka;c=0;ab=506;continue s}ab=f[i>>2]|0;n=h[ab>>0]|f[q>>2]<<8;f[q>>2]=n;c=c+8|0;f[r>>2]=c;f[i>>2]=ab+1;l=l+-1|0;f[m>>2]=l;ab=(f[p>>2]|0)+1|0;f[p>>2]=ab;if(!ab)f[o>>2]=(f[o>>2]|0)+1;if((c|0)>4)break}}V=c+-5|0;f[r>>2]=V;i=da;c=ka;r=ja;q=aa;o=ha;m=fa;l=ea;_=ga;V=n>>>V&31;p=0;U=ca;ab=264;break}case 266:{f[bb>>2]=34;s=a+32|0;c=f[s>>2]|0;n=a+28|0;if((c|0)>0)g=f[n>>2]|0;else{l=c;while(1){i=f[a>>2]|0;m=i+4|0;k=f[m>>2]|0;if(!k){g=_;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ia;V=ka;c=0;ab=506;continue s}Ya=f[i>>2]|0;g=h[Ya>>0]|f[n>>2]<<8;f[n>>2]=g;c=l+8|0;f[s>>2]=c;f[i>>2]=Ya+1;f[m>>2]=k+-1;Ya=i+8|0;ab=(f[Ya>>2]|0)+1|0;f[Ya>>2]=ab;if(!ab){ab=i+12|0;f[ab>>2]=(f[ab>>2]|0)+1}if((l|0)>-8)break;else l=c}}c=c+-1|0;f[s>>2]=c;if(g&1<<c|0){ab=273;continue s}b[a+43872+(ba*258|0)+p>>0]=V;g=_;i=da;c=ka;s=ia;k=ha;m=fa;l=ea;_=ga;p=p+1|0;U=ca;ab=264;break}case 273:{f[bb>>2]=35;n=a+28|0;if((c|0)>0){g=c;c=f[n>>2]|0}else{l=c;while(1){i=f[a>>2]|0;m=i+4|0;k=f[m>>2]|0;if(!k){g=_;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ia;V=ka;c=0;ab=506;continue s}Ya=f[i>>2]|0;c=h[Ya>>0]|f[n>>2]<<8;f[n>>2]=c;g=l+8|0;f[s>>2]=g;f[i>>2]=Ya+1;f[m>>2]=k+-1;Ya=i+8|0;ab=(f[Ya>>2]|0)+1|0;f[Ya>>2]=ab;if(!ab){ab=i+12|0;f[ab>>2]=(f[ab>>2]|0)+1}if((l|0)>-8)break;else l=g}}ab=g+-1|0;f[s>>2]=ab;if(!(c&1<<ab)){g=_;i=da;c=ka;s=ia;k=ha;m=fa;l=ea;n=ga;V=V+1|0;U=ca;ab=265;break}else{g=_;i=da;c=ka;s=ia;k=ha;m=fa;l=ea;n=ga;V=V+-1|0;U=ca;ab=265;break}}case 289:{f[bb>>2]=36;r=a+32|0;c=f[r>>2]|0;p=a+28|0;if((c|0)<(y|0)){g=f[a>>2]|0;l=g+4|0;o=g+8|0;n=g+12|0;i=f[l>>2]|0;while(1){if(!i){g=_;oa=X;aa=V;l=ea;m=fa;n=ga;o=ha;i=da;p=ia;r=ja;V=ka;c=0;ab=506;continue s}ab=f[g>>2]|0;m=h[ab>>0]|f[p>>2]<<8;f[p>>2]=m;c=c+8|0;f[r>>2]=c;f[g>>2]=ab+1;i=i+-1|0;f[l>>2]=i;ab=(f[o>>2]|0)+1|0;f[o>>2]=ab;if(!ab)f[n>>2]=(f[n>>2]|0)+1;if((c|0)>=(y|0))break}}else m=f[p>>2]|0;e=c-y|0;f[r>>2]=e;U=ka;g=e;l=ea;n=ga;o=ha;i=da;p=ia;r=ja;ja=y;e=m>>>e&(1<<y)+-1;ab=297;break}case 300:{f[bb>>2]=37;n=a+28|0;if((g|0)>0)c=f[n>>2]|0;else while(1){i=f[a>>2]|0;m=i+4|0;k=f[m>>2]|0;if(!k){g=_;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;V=ia;c=0;ab=506;continue s}Ya=f[i>>2]|0;c=h[Ya>>0]|f[n>>2]<<8;f[n>>2]=c;l=g+8|0;f[aa>>2]=l;f[i>>2]=Ya+1;f[m>>2]=k+-1;Ya=i+8|0;ab=(f[Ya>>2]|0)+1|0;f[Ya>>2]=ab;if(!ab){ab=i+12|0;f[ab>>2]=(f[ab>>2]|0)+1}if((g|0)>-8){g=l;break}else g=l}g=g+-1|0;ab=c>>>g&1;f[aa>>2]=g;U=ia;k=ha;l=ea;n=ga;i=da;S=ab;ja=y;e=ab|e<<1;ab=297;break}case 319:{f[bb>>2]=38;n=a+32|0;c=f[n>>2]|0;m=a+28|0;if((c|0)<(ja|0))while(1){g=f[a>>2]|0;k=g+4|0;i=f[k>>2]|0;if(!i){g=_;oa=X;aa=V;k=ea;l=fa;m=ga;n=ha;i=da;V=ia;c=0;y=ja;ab=506;continue s}Ya=f[g>>2]|0;l=h[Ya>>0]|f[m>>2]<<8;f[m>>2]=l;c=c+8|0;f[n>>2]=c;f[g>>2]=Ya+1;f[k>>2]=i+-1;Ya=g+8|0;ab=(f[Ya>>2]|0)+1|0;f[Ya>>2]=ab;if(!ab){ab=g+12|0;f[ab>>2]=(f[ab>>2]|0)+1}if((c|0)>=(ja|0))break}else l=f[m>>2]|0;e=c-ja|0;f[n>>2]=e;g=e;k=ea;m=ga;n=ha;U=ia;y=ja;e=l>>>e&(1<<ja)+-1;ab=326;break}case 329:{f[bb>>2]=39;n=a+28|0;if((g|0)>0)c=f[n>>2]|0;else while(1){i=f[a>>2]|0;m=i+4|0;k=f[m>>2]|0;if(!k){g=_;oa=X;aa=V;k=ea;l=fa;m=ga;n=ha;i=da;V=ia;c=0;ab=506;continue s}Ya=f[i>>2]|0;c=h[Ya>>0]|f[n>>2]<<8;f[n>>2]=c;l=g+8|0;f[aa>>2]=l;f[i>>2]=Ya+1;f[m>>2]=k+-1;Ya=i+8|0;ab=(f[Ya>>2]|0)+1|0;f[Ya>>2]=ab;if(!ab){ab=i+12|0;f[ab>>2]=(f[ab>>2]|0)+1}if((g|0)>-8){g=l;break}else g=l}g=g+-1|0;ab=c>>>g&1;f[aa>>2]=g;k=ea;m=ga;n=ha;U=ia;S=ab;e=ab|e<<1;ab=326;break}case 371:{f[bb>>2]=40;r=a+32|0;c=f[r>>2]|0;p=a+28|0;if((c|0)<(la|0)){g=f[a>>2]|0;l=g+4|0;o=g+8|0;n=g+12|0;i=f[l>>2]|0;while(1){if(!i){g=_;oa=X;aa=V;l=ea;m=fa;n=ga;o=ha;i=da;p=ia;r=ja;V=ka;c=0;y=la;ab=506;continue s}ab=f[g>>2]|0;m=h[ab>>0]|f[p>>2]<<8;f[p>>2]=m;c=c+8|0;f[r>>2]=c;f[g>>2]=ab+1;i=i+-1|0;f[l>>2]=i;ab=(f[o>>2]|0)+1|0;f[o>>2]=ab;if(!ab)f[n>>2]=(f[n>>2]|0)+1;if((c|0)>=(la|0))break}}else m=f[p>>2]|0;e=c-la|0;f[r>>2]=e;g=e;l=ea;n=ga;o=ha;i=da;p=ia;r=ja;U=ka;y=la;e=m>>>e&(1<<la)+-1;ab=379;break}case 382:{f[bb>>2]=41;n=a+28|0;if((g|0)>0)c=f[n>>2]|0;else while(1){i=f[a>>2]|0;m=i+4|0;k=f[m>>2]|0;if(!k){g=_;oa=X;aa=V;k=ea;l=ga;m=fa;n=ha;i=da;V=ia;c=0;ab=506;continue s}Ya=f[i>>2]|0;c=h[Ya>>0]|f[n>>2]<<8;f[n>>2]=c;l=g+8|0;f[aa>>2]=l;f[i>>2]=Ya+1;f[m>>2]=k+-1;Ya=i+8|0;ab=(f[Ya>>2]|0)+1|0;f[Ya>>2]=ab;if(!ab){ab=i+12|0;f[ab>>2]=(f[ab>>2]|0)+1}if((g|0)>-8){g=l;break}else g=l}g=g+-1|0;ab=c>>>g&1;f[aa>>2]=g;k=ea;l=ga;n=ha;i=da;U=ia;S=ab;e=ab|e<<1;ab=379;break}case 506:{f[cb>>2]=p;f[P>>2]=v;f[D>>2]=ba;f[x>>2]=oa;f[N>>2]=W;f[L>>2]=ca;f[t>>2]=g;f[T>>2]=$;f[R>>2]=i;f[F>>2]=V;f[G>>2]=s;f[J>>2]=r;f[A>>2]=k;f[w>>2]=q;f[z>>2]=aa;f[K>>2]=Z;f[M>>2]=y;f[H>>2]=e;f[C>>2]=S;f[Q>>2]=o;f[I>>2]=Y;f[E>>2]=m;f[B>>2]=l;f[O>>2]=n;ab=507;break s}}do if((ab|0)==231)if((p|0)<(U|0)){g=_;k=ga;_=ea;v=0;l=M;i=K;c=H;ab=232}else{if((W|0)>0){c=0;g=0;do{b[Ya+c>>0]=g;g=g+1<<24>>24;c=g&255}while((c|0)<(W|0))}if((U|0)>0){l=0;do{ab=b[a+25870+l>>0]|0;c=ab&255;k=b[Ya+c>>0]|0;if(ab<<24>>24){g=c;i=c;while(1){b[Ya+g>>0]=b[Ya+(g+-1)>>0]|0;c=(i&255)+-1<<24>>24;if(!(c<<24>>24))break;else{g=c&255;i=i+-1|0}}}b[Ya>>0]=k;b[a+7868+l>>0]=k;l=l+1|0}while((l|0)!=(U|0));p=U}else p=0;g=_;i=da;ka=aa;k=ga;fa=e;l=ea;c=0;ab=250}else if((ab|0)==264)if((p|0)<(X|0)){n=_;ab=265}else{ka=c;fa=e;n=_;c=ba+1|0;ab=250}else if((ab|0)==297){if((ja|0)>20){g=_;oa=X;aa=V;m=fa;V=U;c=-4;y=ja;ab=506;continue s}if((e|0)>(f[fa+(ja<<2)>>2]|0)){ia=U;ha=k;aa=a+32|0;ea=l;ga=n;da=i;y=ja+1|0;ab=300;continue s}c=e-(f[l+(ja<<2)>>2]|0)|0;if(c>>>0>257){g=_;oa=X;aa=V;m=fa;V=U;c=-4;y=ja;ab=506;continue s}ha=k;ea=l;ga=n;da=i;ka=s;U=f[n+(c<<2)>>2]|0;la=t;ma=w;y=ja;ab=309}else if((ab|0)==326){if((y|0)>20){g=_;oa=X;aa=V;l=fa;i=da;V=U;c=-4;ab=506;continue s}if((e|0)>(f[m+(y<<2)>>2]|0)){aa=a+32|0;ea=k;ga=m;ha=n;ia=U;y=y+1|0;ab=329;continue s}c=e-(f[fa+(y<<2)>>2]|0)|0;if(c>>>0>257){g=_;oa=X;aa=V;l=fa;i=da;V=U;c=-4;ab=506;continue s}U=f[n+(c<<2)>>2]|0;if((U|1|0)!=1){l=k+1|0;g=b[(h[(f[a+7804>>2]|0)+(a+3708)>>0]|0)+(a+3452)>>0]|0;i=g&255;c=a+64+(i<<2)|0;f[c>>2]=(f[c>>2]|0)+l;c=(k|0)>-1;if(!(b[a+40>>0]|0)){if(!c){ha=l;ea=fa;fa=m;ga=n;ka=s;la=t;ma=w;ab=309;break}c=a+3148|0;k=l;while(1){if((r|0)>=(s|0)){g=_;oa=X;aa=V;l=fa;i=da;V=U;c=-4;ab=506;continue s}f[(f[c>>2]|0)+(r<<2)>>2]=i;r=r+1|0;g=k+-1|0;if((k|0)>1)k=g;else{ha=g;ea=fa;fa=m;ga=n;ka=s;la=t;ma=w;ab=309;break}}}else{if(!c){ha=l;ea=fa;fa=m;ga=n;ka=s;la=t;ma=w;ab=309;break}c=g&255;g=a+3152|0;k=l;while(1){if((r|0)>=(s|0)){g=_;oa=X;aa=V;l=fa;i=da;V=U;c=-4;ab=506;continue s}d[(f[g>>2]|0)+(r<<1)>>1]=c;r=r+1|0;i=k+-1|0;if((k|0)>1)k=i;else{ha=i;ea=fa;fa=m;ga=n;ka=s;la=t;ma=w;ab=309;break}}}}else{g=_;l=fa;c=$;i=da;ab=311}}else if((ab|0)==379){if((y|0)>20){g=_;oa=X;aa=V;m=fa;V=U;c=-4;ab=506;continue s}if((e|0)>(f[fa+(y<<2)>>2]|0)){aa=a+32|0;ea=k;ga=l;ha=n;da=i;ia=U;y=y+1|0;ab=382;continue s}c=e-(f[l+(y<<2)>>2]|0)|0;if(c>>>0>257){g=_;oa=X;aa=V;m=fa;V=U;c=-4;ab=506;continue s}ha=k;ea=l;ga=n;da=i;ka=s;U=f[n+(c<<2)>>2]|0;la=t;ma=w;ab=309}while(0);do if((ab|0)==232){la=aa;ga=s;ja=r;ka=o;ha=m;ea=_;ia=n;fa=v;ca=U;ma=t;M=l;K=i;H=c;ab=233;continue s}else if((ab|0)==250){if((c|0)<(W|0)){da=i;ja=r;aa=q;e=fa;ha=o;fa=m;ea=l;ga=n;_=p;ca=U;ba=c;ab=256;continue s}t:do if((W|0)>0){if((X|0)>0)i=0;else{c=0;while(1){Kv(a+45420+(c*1032|0)|0,a+51612+(c*1032|0)|0,a+57804+(c*1032|0)|0,a+43872+(c*258|0)|0,32,0,X);f[a+63996+(c<<2)>>2]=32;c=c+1|0;if((c|0)==(W|0)){ba=W;break t}}}do{c=0;e=0;g=32;do{ab=h[a+43872+(i*258|0)+c>>0]|0;e=(ab|0)>(e|0)?ab:e;g=(ab|0)<(g|0)?ab:g;c=c+1|0}while((c|0)!=(X|0));Kv(a+45420+(i*1032|0)|0,a+51612+(i*1032|0)|0,a+57804+(i*1032|0)|0,a+43872+(i*258|0)|0,g,e,X);f[a+63996+(i<<2)>>2]=g;i=i+1|0}while((i|0)!=(W|0));ba=W}else ba=0;while(0);g=f[a+3176>>2]|0;s=f[a+36>>2]|0;Fz(a+64|0,0,1024)|0;g=g+1|0;s=s*1e5|0;c=15;e=4095;while(1){ab=c<<4;b[a+3708+e>>0]=ab|15;b[e+-1+(a+3708)>>0]=ab|14;b[e+-2+(a+3708)>>0]=ab|13;b[e+-3+(a+3708)>>0]=ab|12;b[e+-4+(a+3708)>>0]=ab|11;b[e+-5+(a+3708)>>0]=ab|10;b[e+-6+(a+3708)>>0]=ab|9;b[e+-7+(a+3708)>>0]=ab|8;b[e+-8+(a+3708)>>0]=ab|7;b[e+-9+(a+3708)>>0]=ab|6;b[e+-10+(a+3708)>>0]=ab|5;b[e+-11+(a+3708)>>0]=ab|4;b[e+-12+(a+3708)>>0]=ab|3;b[e+-13+(a+3708)>>0]=ab|2;b[e+-14+(a+3708)>>0]=ab|1;b[e+-15+(a+3708)>>0]=ab;f[a+7804+(c<<2)>>2]=e+-15;if((c|0)>0){c=c+-1|0;e=e+-16|0}else break}if((U|0)<1){oa=X;aa=V;$=0;i=0;p=256;ca=U;r=0;V=ka;c=-4;e=fa;ab=506;continue s}ha=h[a+7868>>0]|0;y=f[a+63996+(ha<<2)>>2]|0;e=fa;_=g;ea=a+51612+(ha*1032|0)|0;fa=a+45420+(ha*1032|0)|0;Y=y;ga=a+57804+(ha*1032|0)|0;$=0;da=49;ia=256;ca=U;ja=0;ab=289;continue s}else if((ab|0)==265)if((V+-1|0)>>>0>19){oa=X;aa=V;ca=U;V=c;c=-4;ab=506;continue s}else{_=g;da=i;ka=c;ia=s;ha=k;fa=m;ea=l;ga=n;ca=U;ab=266;continue s}else if((ab|0)==309){ab=0;if((U|0)!=(_|0)){if((U|1|0)==1){g=_;q=1;k=-1;l=ea;m=fa;n=ga;c=$;i=da;s=ka;t=la;w=ma;ab=311;break}if((r|0)>=(ka|0)){g=_;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ka;V=U;c=-4;t=la;w=ma;ab=506;continue s}g=U+-1|0;if(g>>>0>=16){m=g>>>4;Ya=g&15;l=a+7804+(m<<2)|0;i=f[l>>2]|0;k=i+Ya|0;c=b[a+3708+k>>0]|0;if(Ya){do{i=k;k=k+-1|0;b[a+3708+i>>0]=b[a+3708+k>>0]|0;i=f[l>>2]|0}while((k|0)>(i|0));i=i+1|0;f[l>>2]=i;if(m|0){Za=i;ab=360}}else{Za=i+1|0;f[l>>2]=Za;ab=360}if((ab|0)==360?(0,ab=Za+-1|0,f[a+7804+(m<<2)>>2]=ab,$a=m+-1|0,_a=a+7804+($a<<2)|0,b[a+3708+ab>>0]=b[(f[_a>>2]|0)+15+(a+3708)>>0]|0,g>>>0>31):0){g=_a;i=$a;do{Ya=(f[g>>2]|0)+-1|0;f[a+7804+(i<<2)>>2]=Ya;ab=i;i=i+-1|0;g=a+7804+(i<<2)|0;b[a+3708+Ya>>0]=b[(f[g>>2]|0)+15+(a+3708)>>0]|0}while((ab|0)>1)}ab=a+7804|0;Ya=(f[ab>>2]|0)+-1|0;f[ab>>2]=Ya;b[a+3708+Ya>>0]=c;if(!(f[ab>>2]|0)){g=15;i=4095;while(1){ab=a+7804+(g<<2)|0;b[a+3708+i>>0]=b[(f[ab>>2]|0)+15+(a+3708)>>0]|0;b[i+-1+(a+3708)>>0]=b[(f[ab>>2]|0)+14+(a+3708)>>0]|0;b[i+-2+(a+3708)>>0]=b[(f[ab>>2]|0)+13+(a+3708)>>0]|0;b[i+-3+(a+3708)>>0]=b[(f[ab>>2]|0)+12+(a+3708)>>0]|0;b[i+-4+(a+3708)>>0]=b[(f[ab>>2]|0)+11+(a+3708)>>0]|0;b[i+-5+(a+3708)>>0]=b[(f[ab>>2]|0)+10+(a+3708)>>0]|0;b[i+-6+(a+3708)>>0]=b[(f[ab>>2]|0)+9+(a+3708)>>0]|0;b[i+-7+(a+3708)>>0]=b[(f[ab>>2]|0)+8+(a+3708)>>0]|0;b[i+-8+(a+3708)>>0]=b[(f[ab>>2]|0)+7+(a+3708)>>0]|0;b[i+-9+(a+3708)>>0]=b[(f[ab>>2]|0)+6+(a+3708)>>0]|0;b[i+-10+(a+3708)>>0]=b[(f[ab>>2]|0)+5+(a+3708)>>0]|0;b[i+-11+(a+3708)>>0]=b[(f[ab>>2]|0)+4+(a+3708)>>0]|0;b[i+-12+(a+3708)>>0]=b[(f[ab>>2]|0)+3+(a+3708)>>0]|0;b[i+-13+(a+3708)>>0]=b[(f[ab>>2]|0)+2+(a+3708)>>0]|0;b[i+-14+(a+3708)>>0]=b[(f[ab>>2]|0)+1+(a+3708)>>0]|0;b[i+-15+(a+3708)>>0]=b[(f[ab>>2]|0)+(a+3708)>>0]|0;f[ab>>2]=i+-15;if((g|0)>0){g=g+-1|0;i=i+-16|0}else break}}}else{k=f[a+7804>>2]|0;c=b[k+g+(a+3708)>>0]|0;if(g>>>0>3){i=U+3|0;do{Ya=g+k|0;ab=Ya+-1+(a+3708)|0;b[a+3708+Ya>>0]=b[ab>>0]|0;Xa=Ya+-2+(a+3708)|0;b[ab>>0]=b[Xa>>0]|0;ab=Ya+-3+(a+3708)|0;b[Xa>>0]=b[ab>>0]|0;b[ab>>0]=b[Ya+-4+(a+3708)>>0]|0;g=g+-4|0}while(g>>>0>3);g=i&3}if(g|0)do{ab=g+k|0;b[a+3708+ab>>0]=b[ab+-1+(a+3708)>>0]|0;g=g+-1|0}while((g|0)!=0);b[a+3708+k>>0]=c}c=(c&255)+(a+3452)|0;ab=a+64+(h[c>>0]<<2)|0;f[ab>>2]=(f[ab>>2]|0)+1;c=b[c>>0]|0;if(!(b[a+40>>0]|0))f[(f[a+3148>>2]|0)+(r<<2)>>2]=c&255;else d[(f[a+3152>>2]|0)+(r<<1)>>1]=c&255;r=r+1|0;if(!da){c=$+1|0;if((c|0)>=(ca|0)){g=_;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;$=c;i=0;s=ka;V=U;c=-4;t=la;w=ma;ab=506;continue s}n=h[a+7868+c>>0]|0;i=a+51612+(n*1032|0)|0;l=a+45420+(n*1032|0)|0;y=f[a+63996+(n<<2)>>2]|0;m=a+57804+(n*1032|0)|0;g=50}else{i=ea;l=fa;y=Y;m=ga;n=o;c=$;g=da}k=ha;ea=i;fa=l;Y=y;ga=m;ha=n;$=c;da=g+-1|0;ia=p;ja=r;s=ka;ka=U;t=la;w=ma;la=y;ab=371;continue s}m=a+52|0;ab=f[m>>2]|0;if((ab|0)>-1&(ab|0)<(r|0))c=0;else{g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ka;V=U;c=-4;t=la;w=ma;ab=506;continue s}while(1){ab=f[a+64+(c<<2)>>2]|0;if((ab|0)<0|(ab|0)>(r|0)){g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;p=c;s=ka;V=U;c=-4;t=la;w=ma;ab=506;continue s}c=c+1|0;if((c|0)>=256)break}w=a+1092|0;f[w>>2]=0;c=1;do{f[a+1092+(c<<2)>>2]=f[a+64+(c+-1<<2)>>2];c=c+1|0}while((c|0)!=257);c=f[w>>2]|0;g=1;do{ab=a+1092+(g<<2)|0;c=(f[ab>>2]|0)+c|0;f[ab>>2]=c;g=g+1|0}while((g|0)!=257);c=0;while(1){ab=f[a+1092+(c<<2)>>2]|0;if((ab|0)<0|(ab|0)>(r|0)){g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;p=c;s=ka;V=U;c=-4;t=la;w=ma;ab=506;continue s}c=c+1|0;if((c|0)>=257)break}c=f[w>>2]|0;p=1;while(1){ab=c;c=f[a+1092+(p<<2)>>2]|0;if((ab|0)>(c|0)){g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ka;V=U;c=-4;t=la;w=ma;ab=506;continue s}p=p+1|0;if((p|0)>=257)break}f[a+12>>2]=0;b[a+8>>0]=0;f[a+3168>>2]=-1;f[bb>>2]=2;if((f[a+48>>2]|0)>1)Vx(110821,6,1,f[4971]|0)|0;if(!(b[a+40>>0]|0)){i=a+3148|0;c=f[i>>2]|0;if((r|0)>0){g=0;do{bb=a+1092+((f[c+(g<<2)>>2]&255)<<2)|0;c=c+(f[bb>>2]<<2)|0;f[c>>2]=f[c>>2]|g<<8;f[bb>>2]=(f[bb>>2]|0)+1;g=g+1|0;c=f[i>>2]|0}while((g|0)!=(r|0));p=r}else p=0;m=(f[c+(f[m>>2]<<2)>>2]|0)>>>8;n=a+56|0;f[n>>2]=m;i=a+1088|0;f[i>>2]=0;g=(f[a+36>>2]|0)*1e5|0;if(!(b[a+16>>0]|0)){if(m>>>0>=g>>>0){c=1;ab=507;break s}g=f[c+(m<<2)>>2]|0;f[a+60>>2]=g&255;f[n>>2]=g>>>8;f[i>>2]=1;g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ka;V=U;c=0;t=la;w=ma;ab=506;continue s}else{k=a+20|0;f[k>>2]=0;l=a+24|0;f[l>>2]=0;if(m>>>0>=g>>>0){c=1;ab=507;break s}g=f[c+(m<<2)>>2]|0;f[n>>2]=g>>>8;f[i>>2]=1;oa=f[4392]|0;f[l>>2]=1;oa=oa+-1|0;f[k>>2]=oa;f[a+60>>2]=(oa|0)==1^g&255;g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ka;V=U;c=0;t=la;w=ma;ab=506;continue s}}else c=0;do{f[a+2120+(c<<2)>>2]=f[a+1092+(c<<2)>>2];c=c+1|0}while((c|0)!=257);s=a+3152|0;c=f[s>>2]|0;t=a+3156|0;g=f[t>>2]|0;if((r|0)>0){l=0;do{c=c+(l<<1)|0;k=a+2120+((d[c>>1]&255)<<2)|0;i=f[k>>2]|0;d[c>>1]=i;g=g+(l>>1)|0;c=h[g>>0]|0;if(!(l&1))c=c&240|i>>16;else c=i>>16<<4|c&15;b[g>>0]=c;f[k>>2]=(f[k>>2]|0)+1;l=l+1|0;c=f[s>>2]|0;g=f[t>>2]|0}while((l|0)!=(r|0))}p=f[m>>2]|0;i=c;k=g;l=p;p=(h[g+(p>>1)>>0]|0)>>>(p<<2&4)<<16&983040|j[c+(p<<1)>>1];while(1){g=i+(p<<1)|0;i=k+(p>>1)|0;v=(h[i>>0]|0)>>>(p<<2&4)<<16&983040|j[g>>1];d[g>>1]=l;g=h[i>>0]|0;c=l>>16;if(!(p&1))c=g&240|c;else c=g&15|c<<4;b[i>>0]=c;if((p|0)==(f[m>>2]|0))break;l=p;i=f[s>>2]|0;k=f[t>>2]|0;p=v}l=a+56|0;f[l>>2]=p;k=a+1088|0;f[k>>2]=0;c=p>>>0>=((f[a+36>>2]|0)*1e5|0)>>>0;if(!(b[a+16>>0]|0)){if(c){c=1;ab=507;break s}g=qv(p,w)|0;f[a+60>>2]=g;g=f[l>>2]|0;f[l>>2]=(h[(f[t>>2]|0)+(g>>>1)>>0]|0)>>>(g<<2&4)<<16&983040|j[(f[s>>2]|0)+(g<<1)>>1];f[k>>2]=(f[k>>2]|0)+1;g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ka;V=U;c=0;t=la;w=ma;ab=506;continue s}n=a+20|0;f[n>>2]=0;m=a+24|0;f[m>>2]=0;if(c){c=1;ab=507;break s}i=qv(p,w)|0;g=a+60|0;f[g>>2]=i;c=f[l>>2]|0;f[l>>2]=(h[(f[t>>2]|0)+(c>>>1)>>0]|0)>>>(c<<2&4)<<16&983040|j[(f[s>>2]|0)+(c<<1)>>1];f[k>>2]=(f[k>>2]|0)+1;c=f[n>>2]|0;if(!c){a=f[m>>2]|0;c=f[17568+(a<<2)>>2]|0;f[n>>2]=c;a=a+1|0;f[m>>2]=(a|0)==512?0:a}oa=c+-1|0;f[n>>2]=oa;f[g>>2]=(oa|0)==1^i;g=U;oa=X;aa=V;k=ha;l=ea;m=fa;n=ga;i=da;s=ka;V=U;c=0;t=la;w=ma;ab=506;continue s}while(0);if((ab|0)==311){if((q|0)>2097151){oa=X;aa=V;$=c;V=U;c=-4;ab=506;continue}switch(U|0){case 0:{k=k+q|0;break}case 1:{k=k+(q<<1)|0;break}default:{}}q=q<<1;if(!i){c=c+1|0;if((c|0)>=(ca|0)){oa=X;aa=V;$=c;i=0;V=U;c=-4;ab=506;continue}o=h[a+7868+c>>0]|0;l=a+51612+(o*1032|0)|0;m=a+45420+(o*1032|0)|0;y=f[a+63996+(o<<2)>>2]|0;n=a+57804+(o*1032|0)|0;i=50}else y=Y;_=g;ea=k;fa=l;ga=m;Y=y;ha=n;$=c;da=i+-1|0;ia=U;ja=y;ab=319;continue}while(1){if((ab|0)==195){if((p|0)>=16)break;if(!(b[a+3436+p>>0]|0)){Ta=ba;Sa=X;Ra=W;Qa=ca;Pa=$;Oa=da;Na=ja;Ma=s;La=U;Ka=q;Ja=V;Ia=Z;Ha=y;Ga=e;Fa=S;Ea=o;Da=Y;Ca=m;Ba=l;Aa=n;za=p;i=v;ya=t;xa=x;wa=z;va=A;ua=B;ta=E;sa=I;ra=O;qa=Q;pa=T;oa=R;na=P;ma=L;la=J;ka=G;ia=F;ha=D;ga=C;fa=M;ea=K;aa=H}else{c=ja;k=U;i=0;ab=197;continue}}else if((ab|0)==197)if((i|0)<16){la=c;ka=s;ja=r;ha=o;ea=m;_=l;fa=n;ga=i;ia=t;ab=198;continue s}else{Ta=ba;Sa=X;Ra=W;Qa=ca;Pa=$;Oa=da;Na=c;Ma=s;La=k;Ka=q;Ja=V;Ia=Z;Ha=y;Ga=e;Fa=S;Ea=o;Da=Y;Ca=m;Ba=l;Aa=n;za=p;ya=t;xa=x;wa=z;va=A;ua=B;ta=E;sa=I;ra=O;qa=Q;pa=T;oa=R;na=P;ma=L;la=J;ka=G;ia=F;ha=D;ga=C;fa=M;ea=K;aa=H}ba=Ta;X=Sa;W=Ra;ca=Qa;$=Pa;da=Oa;ja=Na;s=Ma;U=La;q=Ka;V=Ja;Z=Ia;y=Ha;e=Ga;S=Fa;o=Ea;Y=Da;m=Ca;l=Ba;n=Aa;p=za+1|0;v=i;t=ya;x=xa;z=wa;A=va;B=ua;E=ta;I=sa;O=ra;Q=qa;T=pa;R=oa;P=na;L=ma;J=la;G=ka;F=ia;D=ha;C=ga;M=fa;K=ea;H=aa;ab=195}k=a+3176|0;f[k>>2]=0;c=0;i=0;do{if(b[a+3180+i>>0]|0){b[a+3452+c>>0]=i;c=(f[k>>2]|0)+1|0;f[k>>2]=c}i=i+1|0}while((i|0)!=256);if(!c){oa=X;aa=V;k=U;i=da;V=ja;c=-4;ab=506;continue}_=g;i=da;ha=ja;ga=s;ja=r;k=U;ea=m;da=l;fa=n;X=c+2|0;ia=t;ka=w;ab=215}if((ab|0)==507){u=db;return c|0}return 0}
function Wx(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;h=a&255;d=a&255;if((f[c+76>>2]|0)>=0?(Bw(c)|0)!=0:0){if((d|0)!=(b[c+75>>0]|0)?(j=c+20|0,g=f[j>>2]|0,g>>>0<(f[c+16>>2]|0)>>>0):0){f[j>>2]=g+1;b[g>>0]=h}else d=_x(c,a)|0;Cw(c)}else k=3;do if((k|0)==3){if((d|0)!=(b[c+75>>0]|0)?(i=c+20|0,e=f[i>>2]|0,e>>>0<(f[c+16>>2]|0)>>>0):0){f[i>>2]=e+1;b[e>>0]=h;break}d=_x(c,a)|0}while(0);return d|0}function Xx(a){a=a|0;var b=0,c=0;c=a+68|0;b=f[c>>2]|0;if((b|0)==1){Yx(a);f[c>>2]=0;Cw(a)}else f[c>>2]=b+-1;return}function Yx(a){a=a|0;var b=0;if(f[a+68>>2]|0){b=f[a+116>>2]|0;a=a+112|0;if(b|0)f[b+112>>2]=f[a>>2];a=f[a>>2]|0;if(!a)a=(Zx()|0)+232|0;else a=a+116|0;f[a>>2]=b}return}function Zx(){return Yv()|0}function _x(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,i=0,j=0,k=0,l=0;l=u;u=u+16|0;j=l;k=c&255;b[j>>0]=k;g=a+16|0;e=f[g>>2]|0;if(!e)if(!(_w(a)|0)){e=f[g>>2]|0;i=4}else d=-1;else i=4;do if((i|0)==4){i=a+20|0;g=f[i>>2]|0;if(g>>>0<e>>>0?(d=c&255,(d|0)!=(b[a+75>>0]|0)):0){f[i>>2]=g+1;b[g>>0]=k;break}if((rb[f[a+36>>2]&63](a,j,1)|0)==1)d=h[j>>0]|0;else d=-1}while(0);u=l;return d|0}function $x(a){a=a|0;var b=0,c=0,d=0;c=Zx()|0;b=f[c+52>>2]|0;d=a+76|0;if((f[d>>2]|0)==(b|0)){c=a+68|0;b=f[c>>2]|0;if((b|0)==2147483647)b=-1;else{f[c>>2]=b+1;b=0}}else{if((f[d>>2]|0)<0)f[d>>2]=0;if(!(f[d>>2]|0)){ay(d,b);f[a+68>>2]=1;f[a+112>>2]=0;c=c+232|0;b=f[c>>2]|0;f[a+116>>2]=b;if(b|0)f[b+112>>2]=a;f[c>>2]=a;b=0}else b=-1}return b|0}function ay(a,b){a=a|0;b=b|0;if(!(f[a>>2]|0))f[a>>2]=b;return}function by(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;m=u;u=u+16|0;k=m+4|0;l=m;e=f[4918]|0;if((e|0)==0|(f[55735]|0)!=0){f[55735]=0;f[55736]=0;f[4918]=1;e=1}a:do if((e|0)<(a|0)?(g=f[c+(e<<2)>>2]|0,(g|0)!=0):0){if((b[g>>0]|0)!=45){if((b[d>>0]|0)!=45){e=-1;break}f[4918]=e+1;f[55737]=g;e=1;break}switch(b[g+1>>0]|0){case 0:{e=-1;break a}case 45:{if(!(b[g+2>>0]|0)){f[4918]=e+1;e=-1;break a}break}default:{}}e=f[55736]|0;if(!e){f[55736]=1;e=1}e=cy(k,g+e|0,4)|0;if((e|0)<0){f[k>>2]=65533;g=65533;j=1}else{g=f[k>>2]|0;j=e}e=f[4918]|0;n=f[c+(e<<2)>>2]|0;h=f[55736]|0;i=n+h|0;f[55738]=g;h=h+j|0;f[55736]=h;if(!(b[n+h>>0]|0)){f[4918]=e+1;f[55736]=0}switch(b[d>>0]|0){case 43:case 45:{d=d+1|0;break}default:{}}f[l>>2]=0;h=0;do{n=cy(l,d+h|0,4)|0;h=((n|0)>1?n:1)+h|0;e=f[k>>2]|0;g=(f[l>>2]|0)!=(e|0)}while(!((n|0)==0|g^1));if(g){if(!((b[d>>0]|0)!=58&(f[4919]|0)!=0)){e=63;break}Sx(f[c>>2]|0,113856,i,j);e=63;break}if((b[d+h>>0]|0)==58){h=d+(h+1)|0;do if((b[h>>0]|0)==58){f[55737]=0;g=f[55736]|0;if(!((b[h>>0]|0)!=58|(g|0)!=0))break a}else{if((f[4918]|0)<(a|0)){g=f[55736]|0;break}if((b[d>>0]|0)==58){e=58;break a}if(!(f[4919]|0)){e=63;break a}Sx(f[c>>2]|0,113880,i,j);e=63;break a}while(0);n=f[4918]|0;f[4918]=n+1;f[55737]=(f[c+(n<<2)>>2]|0)+g;f[55736]=0}}else e=-1;while(0);u=m;return e|0}function cy(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0;j=u;u=u+16|0;e=j;a:do if(!c)e=0;else{do if(d|0){i=(a|0)==0?e:a;e=b[c>>0]|0;if(e<<24>>24>-1){f[i>>2]=e&255;e=e<<24>>24!=0&1;break a}g=(dy()|0)+188|0;e=b[c>>0]|0;if(!(f[f[g>>2]>>2]|0)){f[i>>2]=e<<24>>24&57343;e=1;break a}e=(e&255)+-194|0;if(e>>>0<=50){g=c+1|0;a=f[19680+(e<<2)>>2]|0;if(d>>>0<4?a&-2147483648>>>((d*6|0)+-6|0)|0:0)break;e=h[g>>0]|0;d=e>>>3;if((d+-16|d+(a>>26))>>>0<=7){e=e+-128|a<<6;if((e|0)>=0){f[i>>2]=e;e=2;break a}a=(h[c+2>>0]|0)+-128|0;if(a>>>0<=63){a=a|e<<6;if((a|0)>=0){f[i>>2]=a;e=3;break a}e=(h[c+3>>0]|0)+-128|0;if(e>>>0<=63){f[i>>2]=e|a<<6;e=4;break a}}}}}while(0);e=Wv()|0;f[e>>2]=84;e=-1}while(0);u=j;return e|0}function dy(){return Yv()|0}function ey(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;i=u;u=u+48|0;h=i+32|0;g=i+16|0;d=i;if(Kw(113912,b[c>>0]|0,4)|0){e=fy(c)|0;f[d>>2]=a;f[d+4>>2]=e|32768;f[d+8>>2]=438;d=Vv(eb(5,d|0)|0)|0;if((d|0)>=0){if(e&524288|0){f[g>>2]=d;f[g+4>>2]=2;f[g+8>>2]=1;pa(221,g|0)|0}a=gy(d,c)|0;if(!a){f[h>>2]=d;db(6,h|0)|0;a=0}}else a=0}else{a=Wv()|0;f[a>>2]=22;a=0}u=i;return a|0}function fy(a){a=a|0;var c=0,d=0,e=0;d=(Cx(a,43)|0)==0;c=b[a>>0]|0;d=d?c<<24>>24!=114&1:2;e=(Cx(a,120)|0)==0;d=e?d:d|128;a=(Cx(a,101)|0)==0;a=a?d:d|524288;a=c<<24>>24==114?a:a|64;a=c<<24>>24==119?a|512:a;return (c<<24>>24==97?a|1024:a)|0}function gy(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0;n=u;u=u+64|0;l=n+40|0;k=n+24|0;j=n+16|0;g=n;m=n+56|0;e=b[c>>0]|0;if(Kw(113912,e<<24>>24,4)|0){d=Lv(1156)|0;if(!d)d=0;else{h=d;i=h+124|0;do{f[h>>2]=0;h=h+4|0}while((h|0)<(i|0));if(!(Cx(c,43)|0))f[d>>2]=e<<24>>24==114?8:4;if(Cx(c,101)|0){f[g>>2]=a;f[g+4>>2]=2;f[g+8>>2]=1;pa(221,g|0)|0;e=b[c>>0]|0}if(e<<24>>24==97){f[j>>2]=a;f[j+4>>2]=3;e=pa(221,j|0)|0;if(!(e&1024)){f[k>>2]=a;f[k+4>>2]=4;f[k+8>>2]=e|1024;pa(221,k|0)|0}c=f[d>>2]|128;f[d>>2]=c}else c=f[d>>2]|0;f[d+60>>2]=a;f[d+44>>2]=d+132;f[d+48>>2]=1024;e=d+75|0;b[e>>0]=-1;if((c&8|0)==0?(f[l>>2]=a,f[l+4>>2]=21523,f[l+8>>2]=m,(Va(54,l|0)|0)==0):0)b[e>>0]=10;f[d+32>>2]=3;f[d+36>>2]=1;f[d+40>>2]=2;f[d+12>>2]=1;if(!(f[55720]|0))f[d+76>>2]=-1;hy(d)|0}}else{d=Wv()|0;f[d>>2]=22;d=0}u=n;return d|0}function hy(a){a=a|0;var b=0,c=0;c=iy()|0;f[a+56>>2]=f[c>>2];b=f[c>>2]|0;if(b|0)f[b+52>>2]=a;f[c>>2]=a;jy();return a|0}function iy(){Xa(222960);return 222968}function jy(){Wa(222960);return}function ky(a){a=a|0;var b=0,c=0,d=0,e=0,g=0;if((f[a+76>>2]|0)>-1)e=Bw(a)|0;else e=0;Yx(a);g=(f[a>>2]&1|0)!=0;if(!g){d=iy()|0;c=f[a+52>>2]|0;b=a+56|0;if(c|0)f[c+56>>2]=f[b>>2];b=f[b>>2]|0;if(b|0)f[b+52>>2]=c;if((f[d>>2]|0)==(a|0))f[d>>2]=b;jy()}c=ly(a)|0;c=wb[f[a+12>>2]&31](a)|0|c;b=f[a+92>>2]|0;if(b|0)Mv(b);if(g){if(e|0)Cw(a)}else Mv(a);return c|0}function ly(a){a=a|0;var b=0,c=0;do if(a){if((f[a+76>>2]|0)<=-1){b=my(a)|0;break}c=(Bw(a)|0)==0;b=my(a)|0;if(!c)Cw(a)}else{if(!(f[5128]|0))b=0;else b=ly(f[5128]|0)|0;a=iy()|0;a=f[a>>2]|0;if(a)do{if((f[a+76>>2]|0)>-1)c=Bw(a)|0;else c=0;if((f[a+20>>2]|0)>>>0>(f[a+28>>2]|0)>>>0)b=my(a)|0|b;if(c|0)Cw(a);a=f[a+56>>2]|0}while((a|0)!=0);jy()}while(0);return b|0}function my(a){a=a|0;var b=0,c=0,d=0,e=0,g=0,h=0;h=a+20|0;g=a+28|0;if((f[h>>2]|0)>>>0>(f[g>>2]|0)>>>0?(rb[f[a+36>>2]&63](a,0,0)|0,(f[h>>2]|0)==0):0)b=-1;else{e=a+4|0;b=f[e>>2]|0;d=a+8|0;c=f[d>>2]|0;if(b>>>0<c>>>0)rb[f[a+40>>2]&63](a,b-c|0,1)|0;f[a+16>>2]=0;f[g>>2]=0;f[h>>2]=0;f[d>>2]=0;f[e>>2]=0;b=0}return b|0}function ny(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;if((f[d+76>>2]|0)>-1)l=Bw(d)|0;else l=0;g=c+-1|0;e=(g|0)!=0;if((c|0)<2){m=d+74|0;k=b[m>>0]|0;b[m>>0]=k+255|k;if(l|0)Cw(d);if(e)a=0;else b[a>>0]=0}else{a:do if(e){k=d+4|0;j=d+8|0;c=a;while(1){e=f[k>>2]|0;o=e;p=(f[j>>2]|0)-o|0;n=Kw(e,10,p)|0;i=(n|0)==0;n=i?p:1-o+n|0;n=n>>>0<g>>>0?n:g;Lz(c|0,e|0,n|0)|0;e=(f[k>>2]|0)+n|0;f[k>>2]=e;c=c+n|0;g=g-n|0;if(!(i&(g|0)!=0)){m=17;break a}if(e>>>0>=(f[j>>2]|0)>>>0){e=hw(d)|0;if((e|0)<0)break}else{f[k>>2]=e+1;e=h[e>>0]|0}g=g+-1|0;i=c+1|0;b[c>>0]=e;if(!((g|0)!=0&(e&255|0)!=10)){c=i;m=17;break a}else c=i}if((c|0)!=(a|0)?(f[d>>2]&16|0)!=0:0)m=17;else a=0}else{c=a;m=17}while(0);if((m|0)==17)if(!a)a=0;else b[c>>0]=0;if(l)Cw(d)}return a|0}function oy(a){a=a|0;var b=0;if((f[a+76>>2]|0)>-1){b=(Bw(a)|0)==0;a=(f[a>>2]|0)>>>4&1}else a=(f[a>>2]|0)>>>4&1;return a|0}function py(a){a=a|0;var b=0;if((f[a+76>>2]|0)>-1){b=(Bw(a)|0)==0;a=(f[a>>2]|0)>>>5&1}else a=(f[a>>2]|0)>>>5&1;return a|0}function qy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=ry(a,b,e)|0;u=d;return c|0}function ry(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;g=u;u=u+128|0;d=g;e=d;h=e+124|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(h|0));f[d+32>>2]=45;f[d+44>>2]=a;f[d+76>>2]=-1;f[d+84>>2]=a;h=ty(d,b,c)|0;u=g;return h|0}function sy(a,b,c){a=a|0;b=b|0;c=c|0;return xy(a,b,c)|0}function ty(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,i=0,j=0,k=0,l=0.0,m=0,o=0,q=0,r=0,s=0,t=0,v=0,w=0,x=0,y=0,z=0,A=0,B=0,C=0,D=0,E=0,F=0,G=0,H=0,J=0,K=0,L=0,M=0,N=0,O=0,P=0,Q=0;Q=u;u=u+288|0;M=Q+8|0;J=Q+17|0;N=Q;z=Q+16|0;if((f[a+76>>2]|0)>-1)P=Bw(a)|0;else P=0;e=b[c>>0]|0;a:do if(e<<24>>24){H=a+4|0;L=a+100|0;K=a+108|0;G=a+8|0;C=J+10|0;D=J+33|0;y=M+4|0;E=J+46|0;F=J+94|0;A=J+1|0;B=J+1|0;g=0;i=e;e=0;m=c;o=0;c=0;b:while(1){c:do if(!(gw(i&255)|0)){j=i<<24>>24==37;d:do if(j){k=m+1|0;i=b[k>>0]|0;e:do switch(i<<24>>24){case 37:break d;case 42:{x=0;k=m+2|0;break}default:{i=(i&255)+-48|0;if(i>>>0<10?(b[m+2>>0]|0)==36:0){x=uy(d,i)|0;k=m+3|0;break e}w=(f[d>>2]|0)+(4-1)&~(4-1);x=f[w>>2]|0;f[d>>2]=w+4}}while(0);i=b[k>>0]|0;j=i&255;if((j+-48|0)>>>0<10){i=0;while(1){m=(i*10|0)+-48+j|0;k=k+1|0;i=b[k>>0]|0;j=i&255;if((j+-48|0)>>>0>=10)break;else i=m}}else m=0;i=i<<24>>24==109;w=(x|0)!=0;c=i?0:c;g=i?0:g;j=i?k+1|0:k;i=w&i;k=j+1|0;switch(b[j>>0]|0){case 104:{v=(b[k>>0]|0)==104;j=v?j+2|0:k;k=v?-2:-1;break}case 108:{v=(b[k>>0]|0)==108;j=v?j+2|0:k;k=v?3:1;break}case 106:{j=k;k=3;break}case 116:case 122:{j=k;k=1;break}case 76:{j=k;k=2;break}case 110:case 112:case 67:case 83:case 91:case 99:case 115:case 88:case 71:case 70:case 69:case 65:case 103:case 102:case 101:case 97:case 120:case 117:case 111:case 105:case 100:{k=0;break}default:{O=137;break b}}r=h[j>>0]|0;s=(r&47|0)==3;r=s?r|32:r;s=s?1:k;q=r&255;switch(q<<24>>24){case 99:{v=o;m=(m|0)>1?m:1;break}case 91:{v=o;break}case 110:{vy(x,s,o,((o|0)<0)<<31>>31);k=o;break c}default:{dw(a,0);do{k=f[H>>2]|0;if(k>>>0<(f[L>>2]|0)>>>0){f[H>>2]=k+1;k=h[k>>0]|0}else k=fw(a)|0}while((gw(k)|0)!=0);if(!(f[L>>2]|0))k=f[H>>2]|0;else{k=(f[H>>2]|0)+-1|0;f[H>>2]=k}v=(f[K>>2]|0)+o+k-(f[G>>2]|0)|0}}dw(a,m);k=f[H>>2]|0;o=f[L>>2]|0;if(k>>>0<o>>>0)f[H>>2]=k+1;else{if((fw(a)|0)<0){O=137;break b}o=f[L>>2]|0}if(o|0)f[H>>2]=(f[H>>2]|0)+-1;f:do switch(q<<24>>24){case 91:case 99:case 115:{t=(r|0)==99;g:do if((r|16|0)==115){Fz(A|0,-1,256)|0;b[J>>0]=0;if((r|0)==115){b[D>>0]=0;b[C>>0]=0;b[C+1>>0]=0;b[C+2>>0]=0;b[C+3>>0]=0;b[C+4>>0]=0}}else{k=j+1|0;r=(b[k>>0]|0)==94;q=r&1;j=r?j+2|0:k;Fz(B|0,r&1|0,256)|0;b[J>>0]=0;switch(b[j>>0]|0){case 45:{k=E;O=64;break}case 93:{k=F;O=64;break}default:r=(q^1)&255}if((O|0)==64){O=0;r=(q^1)&255;b[k>>0]=r;j=j+1|0}while(1){k=b[j>>0]|0;h:do switch(k<<24>>24){case 0:{O=137;break b}case 93:break g;case 45:{q=j+1|0;k=b[q>>0]|0;switch(k<<24>>24){case 93:case 0:{k=45;break h}default:{}}j=b[j+-1>>0]|0;if((j&255)<(k&255)){j=j&255;do{j=j+1|0;b[J+j>>0]=r;k=b[q>>0]|0}while((j|0)<(k&255|0));j=q}else j=q;break}default:{}}while(0);b[J+((k&255)+1)>>0]=r;j=j+1|0}}while(0);k=t?m+1|0:31;s=(s|0)==1;i:do if(s){if(i){c=Lv(k<<2)|0;if(!c){g=0;i=1;c=0;O=137;break b}}else c=x;f[M>>2]=0;f[y>>2]=0;r=c;c=0;o=k;j:while(1){k=(r|0)==0;do{k:while(1){g=f[H>>2]|0;if(g>>>0<(f[L>>2]|0)>>>0){f[H>>2]=g+1;g=h[g>>0]|0}else g=fw(a)|0;if(!(b[J+(g+1)>>0]|0))break j;b[z>>0]=g;switch(Ex(N,z,1,M)|0){case -1:{g=r;c=0;O=137;break b}case -2:break;default:break k}}if(!k){f[r+(c<<2)>>2]=f[N>>2];c=c+1|0}}while(!(i&(c|0)==(o|0)));c=o<<1|1;g=Ov(r,c<<2)|0;if(!g){g=r;i=1;c=0;O=137;break b}else{q=o;r=g;o=c;c=q}}if(!(wy(M)|0)){g=r;c=0;O=137;break b}else{g=r;q=c;c=0;o=r}}else{if(i){c=Lv(k)|0;if(!c){g=0;i=1;c=0;O=137;break b}else{g=0;o=k}while(1){k=g;do{g=f[H>>2]|0;if(g>>>0<(f[L>>2]|0)>>>0){f[H>>2]=g+1;g=h[g>>0]|0}else g=fw(a)|0;if(!(b[J+(g+1)>>0]|0)){g=0;q=k;o=0;break i}b[c+k>>0]=g;k=k+1|0}while((k|0)!=(o|0));g=o<<1|1;k=Ov(c,g)|0;if(!k){g=0;i=1;O=137;break b}else{r=o;o=g;c=k;g=r}}}if(!x){g=o;while(1){c=f[H>>2]|0;if(c>>>0<g>>>0){f[H>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0;if(!(b[J+(c+1)>>0]|0)){g=0;q=0;c=0;o=0;break i}g=f[L>>2]|0}}else{g=o;k=0;while(1){c=f[H>>2]|0;if(c>>>0<g>>>0){f[H>>2]=c+1;c=h[c>>0]|0}else c=fw(a)|0;if(!(b[J+(c+1)>>0]|0)){g=0;q=k;c=x;o=0;break i}b[x+k>>0]=c;g=f[L>>2]|0;k=k+1|0}}}while(0);if(!(f[L>>2]|0))k=f[H>>2]|0;else{k=(f[H>>2]|0)+-1|0;f[H>>2]=k}k=k-(f[G>>2]|0)+(f[K>>2]|0)|0;if(!k){O=139;break b}if(!((k|0)==(m|0)|t^1)){O=139;break b}do if(i)if(s){f[x>>2]=o;break}else{f[x>>2]=c;break}while(0);if(!t){if(o|0)f[o+(q<<2)>>2]=0;if(!c){c=0;break f}b[c+q>>0]=0}break}case 120:case 88:case 112:{k=16;O=125;break}case 111:{k=8;O=125;break}case 117:case 100:{k=10;O=125;break}case 105:{k=0;O=125;break}case 71:case 103:case 70:case 102:case 69:case 101:case 65:case 97:{l=+ox(a,s,0);if((f[K>>2]|0)==((f[G>>2]|0)-(f[H>>2]|0)|0)){O=139;break b}if(x)switch(s|0){case 0:{n[x>>2]=l;break f}case 1:{p[x>>3]=l;break f}case 2:{p[x>>3]=l;break f}default:break f}break}default:{}}while(0);do if((O|0)==125){O=0;k=ew(a,k,0,-1,-1)|0;if((f[K>>2]|0)==((f[G>>2]|0)-(f[H>>2]|0)|0)){O=139;break b}if(w&(r|0)==112){f[x>>2]=k;break}else{vy(x,s,k,I);break}}while(0);e=(w&1)+e|0;k=(f[K>>2]|0)+v+(f[H>>2]|0)-(f[G>>2]|0)|0;break c}while(0);j=m+(j&1)|0;dw(a,0);i=f[H>>2]|0;if(i>>>0<(f[L>>2]|0)>>>0){f[H>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0;if((i|0)!=(h[j>>0]|0)){O=22;break b}k=o+1|0}else{j=m;while(1){i=j+1|0;if(!(gw(h[i>>0]|0)|0))break;else j=i}dw(a,0);do{i=f[H>>2]|0;if(i>>>0<(f[L>>2]|0)>>>0){f[H>>2]=i+1;i=h[i>>0]|0}else i=fw(a)|0}while((gw(i)|0)!=0);if(!(f[L>>2]|0))i=f[H>>2]|0;else{i=(f[H>>2]|0)+-1|0;f[H>>2]=i}k=(f[K>>2]|0)+o+i-(f[G>>2]|0)|0}while(0);m=j+1|0;i=b[m>>0]|0;if(!(i<<24>>24))break a;else o=k}if((O|0)==22){if(f[L>>2]|0)f[H>>2]=(f[H>>2]|0)+-1;if((e|0)!=0|(i|0)>-1)break;else{e=0;O=138}}else if((O|0)==137){i=i&1;if(!e){e=i;O=138}}else if((O|0)==139)i=i&1;if((O|0)==138){i=e;e=-1}if(i){Mv(c);Mv(g)}}else e=0;while(0);if(P|0)Cw(a);u=Q;return e|0}function uy(a,b){a=a|0;b=b|0;var c=0,d=0,e=0;d=u;u=u+16|0;c=d;f[c>>2]=f[a>>2];while(1){e=(f[c>>2]|0)+(4-1)&~(4-1);a=f[e>>2]|0;f[c>>2]=e+4;if(b>>>0>1)b=b+-1|0;else break}u=d;return a|0}function vy(a,c,e,g){a=a|0;c=c|0;e=e|0;g=g|0;a:do if(a|0)switch(c|0){case -2:{b[a>>0]=e;break a}case -1:{d[a>>1]=e;break a}case 0:{f[a>>2]=e;break a}case 1:{f[a>>2]=e;break a}case 3:{c=a;f[c>>2]=e;f[c+4>>2]=g;break a}default:break a}while(0);return}function wy(a){a=a|0;if(!a)a=1;else a=(f[a>>2]|0)==0;return a&1|0}function xy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0;d=a+84|0;g=f[d>>2]|0;h=c+256|0;e=Kw(g,0,h)|0;e=(e|0)==0?h:e-g|0;c=e>>>0<c>>>0?e:c;Lz(b|0,g|0,c|0)|0;f[a+4>>2]=g+c;b=g+e|0;f[a+8>>2]=b;f[d>>2]=b;return c|0}function yy(a,b,c){a=a|0;b=b|0;c=c|0;return Ay(a,b,c)|0}function zy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;d=u;u=u+16|0;e=d;f[e>>2]=c;c=zw(a,b,e)|0;u=d;return c|0}function Ay(a,b,c){a=a|0;b=b|0;c=c|0;var d=0;if((f[a+76>>2]|0)>-1){d=(Bw(a)|0)==0;b=By(a,b,c)|0;if(!d)Cw(a)}else b=By(a,b,c)|0;return b|0}function By(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;if((c|0)==1)b=b-(f[a+8>>2]|0)+(f[a+4>>2]|0)|0;e=a+20|0;d=a+28|0;if((f[e>>2]|0)>>>0>(f[d>>2]|0)>>>0?(rb[f[a+36>>2]&63](a,0,0)|0,(f[e>>2]|0)==0):0)b=-1;else{f[a+16>>2]=0;f[d>>2]=0;f[e>>2]=0;if((rb[f[a+40>>2]&63](a,b,c)|0)<0)b=-1;else{f[a+8>>2]=0;f[a+4>>2]=0;f[a>>2]=f[a>>2]&-17;b=0}}return b|0}function Cy(a,c){a=a|0;c=c|0;var d=0;d=b[c>>0]|0;do if(d<<24>>24){a=Cx(a,d<<24>>24)|0;if(a){if(b[c+1>>0]|0)if(b[a+1>>0]|0){if(!(b[c+2>>0]|0)){a=Dy(a,c)|0;break}if(b[a+2>>0]|0){if(!(b[c+3>>0]|0)){a=Ey(a,c)|0;break}if(b[a+3>>0]|0)if(!(b[c+4>>0]|0)){a=Fy(a,c)|0;break}else{a=Gy(a,c)|0;break}else a=0}else a=0}else a=0}else a=0}while(0);return a|0}function Dy(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;f=(h[c>>0]|0)<<8|(h[c+1>>0]|0);c=a;e=h[a>>0]|0;while(1){d=c+1|0;a=b[d>>0]|0;if(!(a<<24>>24)){c=0;break}e=a&255|e<<8&65280;if((e|0)==(f|0))break;else c=d}return c|0}function Ey(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;f=(h[c+1>>0]|0)<<16|(h[c>>0]|0)<<24|(h[c+2>>0]|0)<<8;d=a+2|0;c=b[d>>0]|0;e=(h[a+1>>0]|0)<<16|(h[a>>0]|0)<<24|(c&255)<<8;c=c<<24>>24!=0;if((e|0)==(f|0)|c^1)a=d;else{a=d;d=e;do{a=a+1|0;c=b[a>>0]|0;d=(c&255|d)<<8;c=c<<24>>24!=0}while(!((d|0)==(f|0)|c^1))}return (c?a+-2|0:0)|0}function Fy(a,c){a=a|0;c=c|0;var d=0,e=0,f=0;f=(h[c+1>>0]|0)<<16|(h[c>>0]|0)<<24|(h[c+2>>0]|0)<<8|(h[c+3>>0]|0);d=a+3|0;c=b[d>>0]|0;e=c&255|((h[a+1>>0]|0)<<16|(h[a>>0]|0)<<24|(h[a+2>>0]|0)<<8);c=c<<24>>24!=0;if((e|0)==(f|0)|c^1)a=d;else{a=d;do{a=a+1|0;c=b[a>>0]|0;e=c&255|e<<8;c=c<<24>>24!=0}while(!((e|0)==(f|0)|c^1))}return (c?a+-3|0:0)|0}function Gy(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0,q=0,r=0,s=0,t=0,v=0;v=u;u=u+1056|0;s=v+1024|0;t=v;f[s>>2]=0;f[s+4>>2]=0;f[s+8>>2]=0;f[s+12>>2]=0;f[s+16>>2]=0;f[s+20>>2]=0;f[s+24>>2]=0;f[s+28>>2]=0;d=b[c>>0]|0;a:do if(d<<24>>24){e=d;d=d&255;r=0;while(1){if(!(b[a+r>>0]|0)){d=0;break a}q=s+(((e&255)>>>5&255)<<2)|0;f[q>>2]=f[q>>2]|1<<(e&31);r=r+1|0;f[t+(d<<2)>>2]=r;d=b[c+r>>0]|0;if(!(d<<24>>24))break;else{e=d;d=d&255}}l=r>>>0>1;if(l){d=1;k=-1;e=0;b:while(1){j=1;while(1){c:while(1){i=d;h=1;while(1){d=b[c+(h+k)>>0]|0;g=b[c+i>>0]|0;if(d<<24>>24!=g<<24>>24)break c;if((h|0)==(j|0))break;h=h+1|0;d=h+e|0;if(d>>>0>=r>>>0){e=k;m=j;break b}else i=d}e=j+e|0;d=e+1|0;if(d>>>0>=r>>>0){e=k;m=j;break b}}h=i-k|0;if((d&255)<=(g&255))break;d=i+1|0;if(d>>>0>=r>>>0){e=k;m=h;break b}else{e=i;j=h}}d=e+2|0;if(d>>>0>=r>>>0){m=1;break}else{k=e;e=e+1|0}}if(l){d=1;l=-1;g=0;while(1){i=d;d=1;while(1){h=i;d:while(1){k=1;while(1){i=b[c+(k+l)>>0]|0;j=b[c+h>>0]|0;if(i<<24>>24!=j<<24>>24)break d;if((k|0)==(d|0))break;k=k+1|0;h=k+g|0;if(h>>>0>=r>>>0){g=l;h=m;i=27;break a}}g=d+g|0;h=g+1|0;if(h>>>0>=r>>>0){g=l;h=m;i=27;break a}}d=h-l|0;if((i&255)>=(j&255))break;i=h+1|0;if(i>>>0>=r>>>0){g=l;h=m;i=27;break a}else g=h}d=g+2|0;if(d>>>0>=r>>>0){h=m;d=1;i=27;break}else{l=g;g=g+1|0}}}else{g=-1;h=m;d=1;i=27}}else{e=-1;g=-1;h=1;d=1;i=27}}else{e=-1;g=-1;r=0;h=1;d=1;i=27}while(0);e:do if((i|0)==27){p=(g+1|0)>>>0>(e+1|0)>>>0;d=p?d:h;p=p?g:e;o=p+1|0;if(!(uw(c,c+d|0,o)|0)){q=r-d|0;k=d}else{k=r-p+-1|0;q=0;k=(p>>>0>k>>>0?p:k)+1|0}j=r|63;l=r+-1|0;n=(q|0)!=0;m=r-k|0;d=a;g=0;i=a;while(1){h=d;do if((i-h|0)>>>0<r>>>0){e=Kw(i,0,j)|0;if(e)if((e-h|0)>>>0<r>>>0){d=0;break e}else{i=e;break}else{i=i+j|0;break}}while(0);e=b[d+l>>0]|0;f:do if(!(1<<(e&31)&f[s+(((e&255)>>>5&255)<<2)>>2])){e=r;g=0}else{e=r-(f[t+((e&255)<<2)>>2]|0)|0;if(e|0){e=n&(g|0)!=0&e>>>0<k>>>0?m:e;g=0;break}h=o>>>0>g>>>0?o:g;e=b[c+h>>0]|0;g:do if(!(e<<24>>24))e=o;else{while(1){if(e<<24>>24!=(b[d+h>>0]|0))break;h=h+1|0;e=b[c+h>>0]|0;if(!(e<<24>>24)){e=o;break g}}e=h-p|0;g=0;break f}while(0);while(1){if(e>>>0<=g>>>0)break e;e=e+-1|0;if((b[c+e>>0]|0)!=(b[d+e>>0]|0)){e=k;g=q;break}}}while(0);d=d+e|0}}while(0);u=v;return d|0}function Hy(a,b){a=a|0;b=b|0;return Iy(a,b,(Bx(a)|0)+1|0)|0}function Iy(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;e=c&255;do{if(!d){c=0;break}d=d+-1|0;c=a+d|0}while((b[c>>0]|0)!=e<<24>>24);return c|0}function Jy(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;j=u;u=u+96|0;h=j+32|0;i=j+16|0;g=j+8|0;d=j;k=j+72|0;e=j+48|0;f[k>>2]=a;f[k+4>>2]=b;f[k+8>>2]=c;f[k+12>>2]=0;f[k+16>>2]=0;f[k+20>>2]=0;f[d>>2]=1;f[d+4>>2]=k;d=Vv(ta(102,d|0)|0)|0;do if((d|0)<0){k=Wv()|0;if((f[k>>2]|0)==22){if(!(b&526336))break}else{k=Wv()|0;if((b&526336|0)==0|(f[k>>2]|0)!=93)break}f[e>>2]=a;f[e+4>>2]=b&-526337;f[e+8>>2]=c;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[g>>2]=1;f[g+4>>2]=e;d=Vv(ta(102,g|0)|0)|0;if((d|0)>=0){if(b&524288|0){f[i>>2]=d;f[i+4>>2]=2;f[i+8>>2]=1;pa(221,i|0)|0}if(b&2048){f[h>>2]=d;f[h+4>>2]=4;f[h+8>>2]=2048;pa(221,h|0)|0}}}while(0);u=j;return d|0}function Ky(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0,g=0;d=u;u=u+32|0;e=d;g=d+8|0;f[g>>2]=a;f[g+4>>2]=b;f[g+8>>2]=c;f[g+12>>2]=0;f[g+16>>2]=0;f[g+20>>2]=0;f[e>>2]=3;f[e+4>>2]=g;c=Vv(ta(102,e|0)|0)|0;u=d;return c|0}function Ly(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return My(a,b,c,d,0,0)|0}function My(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h;j=h+8|0;f[j>>2]=a;f[j+4>>2]=b;f[j+8>>2]=c;f[j+12>>2]=d;f[j+16>>2]=e;f[j+20>>2]=g;f[i>>2]=11;f[i+4>>2]=j;c=Vv(ta(102,i|0)|0)|0;u=h;return c|0}function Ny(a){a=a|0;var b=0,c=0;b=u;u=u+16|0;c=b;f[c>>2]=a;a=Vv(Za(10,c|0)|0)|0;u=b;return a|0}function Oy(a){a=a|0;return Ty(a)|0}function Py(a){a=a|0;return Sy(a)|0}function Qy(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0;g=u;u=u+32|0;h=g;i=g+8|0;f[i>>2]=a;f[i+4>>2]=b;f[i+8>>2]=c;f[i+12>>2]=d;f[i+16>>2]=e;f[i+20>>2]=0;f[h>>2]=14;f[h+4>>2]=i;d=Vv(ta(102,h|0)|0)|0;u=g;return d|0}function Ry(a,b,c,d,e,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;g=g|0;var h=0,i=0,j=0;h=u;u=u+32|0;i=h;j=h+8|0;f[j>>2]=a;f[j+4>>2]=b;f[j+8>>2]=c;f[j+12>>2]=d;f[j+16>>2]=e;f[j+20>>2]=g;f[i>>2]=12;f[i+4>>2]=j;c=Vv(ta(102,i|0)|0)|0;u=h;return c|0}function Sy(a){a=a|0;return Kz(a|0)|0}function Ty(a){a=a|0;return Wz(a|0)|0}function Uy(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Ry(a,b,c,d,0,0)|0}function Vy(a,b,c){a=a|0;b=b|0;c=c|0;Wy(a,b,c)|0;return a|0}function Wy(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;g=c;do if(!((g^a)&3)){e=(d|0)!=0;a:do if(e&(g&3|0)!=0)while(1){g=b[c>>0]|0;b[a>>0]=g;if(!(g<<24>>24))break a;d=d+-1|0;c=c+1|0;a=a+1|0;e=(d|0)!=0;if(!(e&(c&3|0)!=0)){h=5;break}}else h=5;while(0);if((h|0)==5)if(!e){d=0;break}if(b[c>>0]|0){b:do if(d>>>0>3){e=c;while(1){c=f[e>>2]|0;if((c&-2139062144^-2139062144)&c+-16843009|0){c=e;break b}f[a>>2]=c;d=d+-4|0;c=e+4|0;a=a+4|0;if(d>>>0>3)e=c;else break}}while(0);h=11}}else h=11;while(0);c:do if((h|0)==11)if(!d)d=0;else while(1){h=b[c>>0]|0;b[a>>0]=h;if(!(h<<24>>24))break c;d=d+-1|0;a=a+1|0;if(!d){d=0;break}else c=c+1|0}while(0);Fz(a|0,0,d|0)|0;return a|0}function Xy(a){a=a|0;return Yy(a)|0}function Yy(a){a=a|0;return Kz(a|0)|0}function Zy(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;g=u;u=u+32|0;e=g;f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;d=b[c>>0]|0;do if(!(d<<24>>24))c=0;else{if(!(b[c+1>>0]|0)){c=a;while(1)if((b[c>>0]|0)==d<<24>>24)c=c+1|0;else break;c=c-a|0;break}do{h=e+(((d&255)>>>5&255)<<2)|0;f[h>>2]=f[h>>2]|1<<(d&31);c=c+1|0;d=b[c>>0]|0}while(d<<24>>24!=0);c=b[a>>0]|0;a:do if(!(c<<24>>24))c=a;else{d=c;c=a;do{if(!(f[e+(((d&255)>>>5&255)<<2)>>2]&1<<(d&31)))break a;c=c+1|0;d=b[c>>0]|0}while(d<<24>>24!=0)}while(0);c=c-a|0}while(0);u=g;return c|0}function _y(a){a=a|0;var b=0,c=0,d=0;if((f[a+76>>2]|0)>=0?(Bw(a)|0)!=0:0){c=a+4|0;b=f[c>>2]|0;if(b>>>0<(f[a+8>>2]|0)>>>0){f[c>>2]=b+1;b=h[b>>0]|0}else b=hw(a)|0}else d=3;do if((d|0)==3){c=a+4|0;b=f[c>>2]|0;if(b>>>0<(f[a+8>>2]|0)>>>0){f[c>>2]=b+1;b=h[b>>0]|0;break}else{b=hw(a)|0;break}}while(0);return b|0}function $y(a){a=a|0;return az(a)|0}function az(a){a=a|0;return Wz(a|0)|0}function bz(a){a=a|0;var b=0;b=212680;f[b>>2]=a+-1;f[b+4>>2]=0;return}function cz(){var a=0,b=0,c=0;b=212680;b=Sz(f[b>>2]|0,f[b+4>>2]|0,1284865837,1481765933)|0;b=Ez(b|0,I|0,1,0)|0;a=I;c=212680;f[c>>2]=b;f[c+4>>2]=a;a=Oz(b|0,a|0,33)|0;return a|0}function dz(a){a=a|0;var b=0,c=0,d=0;if((f[a+76>>2]|0)>=0?(Bw(a)|0)!=0:0){c=a+4|0;b=f[c>>2]|0;if(b>>>0<(f[a+8>>2]|0)>>>0){f[c>>2]=b+1;b=h[b>>0]|0}else b=hw(a)|0}else d=3;do if((d|0)==3){c=a+4|0;b=f[c>>2]|0;if(b>>>0<(f[a+8>>2]|0)>>>0){f[c>>2]=b+1;b=h[b>>0]|0;break}else{b=hw(a)|0;break}}while(0);return b|0}function ez(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0;do if((a|0)!=-1){if((f[c+76>>2]|0)>-1)e=Bw(c)|0;else e=0;g=c+4|0;d=f[g>>2]|0;if(!d){iw(c)|0;d=f[g>>2]|0;e=(e|0)!=0;if(!d)a=e;else h=7}else{e=(e|0)!=0;h=7}if((h|0)==7)if(d>>>0>((f[c+44>>2]|0)+-8|0)>>>0){h=d+-1|0;f[g>>2]=h;b[h>>0]=a;f[c>>2]=f[c>>2]&-17;if(!e)break;Cw(c);break}else a=e;if(a){Cw(c);a=-1}else a=-1}else a=-1;while(0);return a|0}function fz(a){a=a|0;var b=0;if((f[a+76>>2]|0)>-1){b=(Bw(a)|0)==0;a=gz(a)|0}else a=gz(a)|0;return a|0}function gz(a){a=a|0;var b=0;if(!(f[a>>2]&128))b=1;else b=(f[a+20>>2]|0)>>>0>(f[a+28>>2]|0)>>>0?2:1;b=rb[f[a+40>>2]&63](a,0,b)|0;if((b|0)>=0)b=b-(f[a+8>>2]|0)+(f[a+4>>2]|0)+(f[a+20>>2]|0)-(f[a+28>>2]|0)|0;return b|0}function hz(a){a=a|0;(f[a+76>>2]|0)>-1?Bw(a)|0:0;return f[a+60>>2]|0}function iz(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0,j=0,k=0;h=a&255;d=a&255;if((f[c+76>>2]|0)>=0?(Bw(c)|0)!=0:0){if((d|0)!=(b[c+75>>0]|0)?(j=c+20|0,g=f[j>>2]|0,g>>>0<(f[c+16>>2]|0)>>>0):0){f[j>>2]=g+1;b[g>>0]=h}else d=_x(c,a)|0;Cw(c)}else k=3;do if((k|0)==3){if((d|0)!=(b[c+75>>0]|0)?(i=c+20|0,e=f[i>>2]|0,e>>>0<(f[c+16>>2]|0)>>>0):0){f[i>>2]=e+1;b[e>>0]=h;break}d=_x(c,a)|0}while(0);return d|0}function jz(a,c,d,e){a=a|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0;k=X(d,c)|0;d=(c|0)==0?0:d;if((f[e+76>>2]|0)>-1)j=Bw(e)|0;else j=0;h=e+74|0;g=b[h>>0]|0;b[h>>0]=g+255|g;h=e+4|0;g=f[h>>2]|0;m=(f[e+8>>2]|0)-g|0;i=m>>>0<k>>>0?m:k;if((m|0)>0){Lz(a|0,g|0,i|0)|0;f[h>>2]=g+i;g=a+i|0;h=k-i|0}else{g=a;h=k}a:do if(!h)l=13;else{i=e+32|0;while(1){if(iw(e)|0)break;a=rb[f[i>>2]&63](e,g,h)|0;if((a+1|0)>>>0<2)break;h=h-a|0;if(!h){l=13;break a}else g=g+a|0}if(j|0)Cw(e);d=((k-h|0)>>>0)/(c>>>0)|0}while(0);if((l|0)==13)if(j)Cw(e);return d|0}function kz(a){a=a|0;return fz(a)|0}function lz(a){a=a|0;var c=0,d=0,e=0;c=f[4971]|0;d=Wv()|0;d=Jw(f[d>>2]|0)|0;if((f[c+76>>2]|0)>-1)e=Bw(c)|0;else e=0;if(a|0?b[a>>0]|0:0){Vx(a,Bx(a)|0,1,c)|0;iz(58,c)|0;iz(32,c)|0}Vx(d,Bx(d)|0,1,c)|0;iz(10,c)|0;if(e|0)Cw(c);return}function mz(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=b;b=zw(f[5096]|0,a,d)|0;u=c;return b|0}function nz(a){a=a|0;return iz(a,f[5096]|0)|0}function oz(a){a=a|0;var c=0,d=0,e=0,g=0;e=f[5096]|0;if((f[e+76>>2]|0)>-1)g=Bw(e)|0;else g=0;do if((Ux(a,e)|0)<0)c=1;else{if((b[e+75>>0]|0)!=10?(d=e+20|0,c=f[d>>2]|0,c>>>0<(f[e+16>>2]|0)>>>0):0){f[d>>2]=c+1;b[c>>0]=10;c=0;break}c=(_x(e,10)|0)<0}while(0);if(g|0)Cw(e);return c<<31>>31|0}function pz(a){a=a|0;var b=0,c=0,d=0,e=0;d=u;u=u+16|0;c=d+8|0;e=d;b=a;f[e>>2]=b;a=Za(10,e|0)|0;if((a|0)==-21){f[c>>2]=b;a=xa(40,c|0)|0}e=Vv(a)|0;u=d;return e|0}function qz(a){a=a|0;var b=0;if((f[a+76>>2]|0)>-1){b=(Bw(a)|0)==0;By(a,0,0)|0;f[a>>2]=f[a>>2]&-33;if(!b)Cw(a)}else{By(a,0,0)|0;f[a>>2]=f[a>>2]&-33}return}function rz(a){a=a|0;return +(+sz(a,0))}function sz(a,b){a=a|0;b=b|0;return +(+tz(a,b,1))}function tz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0.0,e=0,g=0,h=0,i=0;i=u;u=u+128|0;h=i;e=h;g=e+124|0;do{f[e>>2]=0;e=e+4|0}while((e|0)<(g|0));e=h+4|0;f[e>>2]=a;g=h+8|0;f[g>>2]=-1;f[h+44>>2]=a;f[h+76>>2]=-1;dw(h,0);d=+ox(h,c,1);c=(f[e>>2]|0)-(f[g>>2]|0)+(f[h+108>>2]|0)|0;if(b|0)f[b>>2]=c|0?a+c|0:a;u=i;return +d}function uz(a){a=a|0;var c=0,d=0,e=0,f=0,g=0;while(1){c=b[a>>0]|0;d=c<<24>>24;e=a+1|0;if(!(gw(d)|0))break;else a=e}switch(d|0){case 45:{a=1;f=5;break}case 43:{a=0;f=5;break}default:{g=0;e=a}}if((f|0)==5){c=b[e>>0]|0;g=a}a=(c<<24>>24)+-48|0;if(a>>>0<10){d=a;a=0;c=e;do{c=c+1|0;a=(a*10|0)-d|0;d=(b[c>>0]|0)+-48|0}while(d>>>0<10)}else a=0;return (g|0?a:0-a|0)|0}function vz(a){a=a|0;var c=0,d=0,e=0,f=0,g=0;while(1){c=b[a>>0]|0;d=c<<24>>24;e=a+1|0;if(!(gw(d)|0))break;else a=e}switch(d|0){case 45:{a=1;f=5;break}case 43:{a=0;f=5;break}default:{g=0;e=a}}if((f|0)==5){c=b[e>>0]|0;g=a}a=(c<<24>>24)+-48|0;if(a>>>0<10){d=a;a=0;c=e;do{c=c+1|0;a=(a*10|0)-d|0;d=(b[c>>0]|0)+-48|0}while(d>>>0<10)}else a=0;return (g|0?a:0-a|0)|0}function wz(a,c){a=a|0;c=c|0;var d=0,e=0,g=0,h=0,i=0;h=u;u=u+32|0;e=h;d=b[c>>0]|0;a:do if(d<<24>>24!=0?(b[c+1>>0]|0)!=0:0){f[e>>2]=0;f[e+4>>2]=0;f[e+8>>2]=0;f[e+12>>2]=0;f[e+16>>2]=0;f[e+20>>2]=0;f[e+24>>2]=0;f[e+28>>2]=0;do{i=e+(((d&255)>>>5&255)<<2)|0;f[i>>2]=f[i>>2]|1<<(d&31);c=c+1|0;d=b[c>>0]|0}while(d<<24>>24!=0);d=b[a>>0]|0;if(!(d<<24>>24))d=a;else{c=d;d=a;do{if(f[e+(((c&255)>>>5&255)<<2)>>2]&1<<(c&31)|0)break a;d=d+1|0;c=b[d>>0]|0}while(c<<24>>24!=0)}}else g=3;while(0);if((g|0)==3)d=Dx(a,d<<24>>24)|0;u=h;return d-a|0}function xz(a,b){a=a|0;b=b|0;Jx(a+(Bx(a)|0)|0,b)|0;return a|0}function yz(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,f=0,g=0;e=a+(Bx(a)|0)|0;a:do if(d){g=c;while(1){c=b[g>>0]|0;if(!(c<<24>>24))break a;d=d+-1|0;f=e+1|0;b[e>>0]=c;if(!d){e=f;break}else{e=f;g=g+1|0}}}while(0);b[e>>0]=0;return a|0}function zz(a,c){a=a|0;c=c|0;var d=0;if(!a){a=f[55743]|0;if(!a)a=0;else d=3}else d=3;do if((d|0)==3){d=a+(Zy(a,c)|0)|0;if(!(b[d>>0]|0)){f[55743]=0;a=0;break}a=d+(wz(d,c)|0)|0;f[55743]=a;if(!(b[a>>0]|0)){f[55743]=0;a=d;break}else{f[55743]=a+1;b[a>>0]=0;a=d;break}}while(0);return a|0}function Az(a,b){a=a|0;b=b|0;var c=0,d=0;c=u;u=u+16|0;d=c;f[d>>2]=a;f[d+4>>2]=0;f[d+8>>2]=b;f[d+12>>2]=((b|0)<0)<<31>>31;b=Vv(La(194,d|0)|0)|0;u=c;return b|0}function Bz(a){a=a|0;var b=0,c=0;b=u;u=u+32|0;c=b;f[c>>2]=a;f[c+4>>2]=21523;f[c+8>>2]=b+16;a=(Vv(Va(54,c|0)|0)|0)==0&1;u=b;return a|0}function Cz(){}function Dz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;d=b-d-(c>>>0>a>>>0|0)>>>0;return (I=d,a-c>>>0|0)|0}function Ez(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;c=a+c>>>0;return (I=b+d+(c>>>0<a>>>0|0)>>>0,c|0)|0}function Fz(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0;h=a+d|0;c=c&255;if((d|0)>=67){while(a&3){b[a>>0]=c;a=a+1|0}e=h&-4|0;g=e-64|0;i=c|c<<8|c<<16|c<<24;while((a|0)<=(g|0)){f[a>>2]=i;f[a+4>>2]=i;f[a+8>>2]=i;f[a+12>>2]=i;f[a+16>>2]=i;f[a+20>>2]=i;f[a+24>>2]=i;f[a+28>>2]=i;f[a+32>>2]=i;f[a+36>>2]=i;f[a+40>>2]=i;f[a+44>>2]=i;f[a+48>>2]=i;f[a+52>>2]=i;f[a+56>>2]=i;f[a+60>>2]=i;a=a+64|0}while((a|0)<(e|0)){f[a>>2]=i;a=a+4|0}}while((a|0)<(h|0)){b[a>>0]=c;a=a+1|0}return h-d|0}function Gz(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){I=b<<c|(a&(1<<c)-1<<32-c)>>>32-c;return a<<c}I=a<<c-32;return 0}function Hz(a){a=a|0;var c=0;c=b[w+(a&255)>>0]|0;if((c|0)<8)return c|0;c=b[w+(a>>8&255)>>0]|0;if((c|0)<8)return c+8|0;c=b[w+(a>>16&255)>>0]|0;if((c|0)<8)return c+16|0;return (b[w+(a>>>24)>>0]|0)+24|0}function Iz(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;var g=0,h=0,i=0,j=0,k=0,l=0,m=0,n=0,o=0,p=0;l=a;j=b;k=j;h=c;n=d;i=n;if(!k){g=(e|0)!=0;if(!i){if(g){f[e>>2]=(l>>>0)%(h>>>0);f[e+4>>2]=0}n=0;e=(l>>>0)/(h>>>0)>>>0;return (I=n,e)|0}else{if(!g){n=0;e=0;return (I=n,e)|0}f[e>>2]=a|0;f[e+4>>2]=b&0;n=0;e=0;return (I=n,e)|0}}g=(i|0)==0;do if(h){if(!g){g=(_(i|0)|0)-(_(k|0)|0)|0;if(g>>>0<=31){m=g+1|0;i=31-g|0;b=g-31>>31;h=m;a=l>>>(m>>>0)&b|k<<i;b=k>>>(m>>>0)&b;g=0;i=l<<i;break}if(!e){n=0;e=0;return (I=n,e)|0}f[e>>2]=a|0;f[e+4>>2]=j|b&0;n=0;e=0;return (I=n,e)|0}g=h-1|0;if(g&h|0){i=(_(h|0)|0)+33-(_(k|0)|0)|0;p=64-i|0;m=32-i|0;j=m>>31;o=i-32|0;b=o>>31;h=i;a=m-1>>31&k>>>(o>>>0)|(k<<m|l>>>(i>>>0))&b;b=b&k>>>(i>>>0);g=l<<p&j;i=(k<<p|l>>>(o>>>0))&j|l<<m&i-33>>31;break}if(e|0){f[e>>2]=g&l;f[e+4>>2]=0}if((h|0)==1){o=j|b&0;p=a|0|0;return (I=o,p)|0}else{p=Hz(h|0)|0;o=k>>>(p>>>0)|0;p=k<<32-p|l>>>(p>>>0)|0;return (I=o,p)|0}}else{if(g){if(e|0){f[e>>2]=(k>>>0)%(h>>>0);f[e+4>>2]=0}o=0;p=(k>>>0)/(h>>>0)>>>0;return (I=o,p)|0}if(!l){if(e|0){f[e>>2]=0;f[e+4>>2]=(k>>>0)%(i>>>0)}o=0;p=(k>>>0)/(i>>>0)>>>0;return (I=o,p)|0}g=i-1|0;if(!(g&i)){if(e|0){f[e>>2]=a|0;f[e+4>>2]=g&k|b&0}o=0;p=k>>>((Hz(i|0)|0)>>>0);return (I=o,p)|0}g=(_(i|0)|0)-(_(k|0)|0)|0;if(g>>>0<=30){b=g+1|0;i=31-g|0;h=b;a=k<<i|l>>>(b>>>0);b=k>>>(b>>>0);g=0;i=l<<i;break}if(!e){o=0;p=0;return (I=o,p)|0}f[e>>2]=a|0;f[e+4>>2]=j|b&0;o=0;p=0;return (I=o,p)|0}while(0);if(!h){k=i;j=0;i=0}else{m=c|0|0;l=n|d&0;k=Ez(m|0,l|0,-1,-1)|0;c=I;j=i;i=0;do{d=j;j=g>>>31|j<<1;g=i|g<<1;d=a<<1|d>>>31|0;n=a>>>31|b<<1|0;Dz(k|0,c|0,d|0,n|0)|0;p=I;o=p>>31|((p|0)<0?-1:0)<<1;i=o&1;a=Dz(d|0,n|0,o&m|0,(((p|0)<0?-1:0)>>31|((p|0)<0?-1:0)<<1)&l|0)|0;b=I;h=h-1|0}while((h|0)!=0);k=j;j=0}h=0;if(e|0){f[e>>2]=a;f[e+4>>2]=b}o=(g|0)>>>31|(k|h)<<1|(h<<1|g>>>31)&0|j;p=(g<<1|0>>>31)&-2|i;return (I=o,p)|0}function Jz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0,g=0,h=0,i=0,j=0;j=b>>31|((b|0)<0?-1:0)<<1;i=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;f=d>>31|((d|0)<0?-1:0)<<1;e=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;h=Dz(j^a|0,i^b|0,j|0,i|0)|0;g=I;a=f^j;b=e^i;return Dz((Iz(h,g,Dz(f^c|0,e^d|0,f|0,e|0)|0,I,0)|0)^a|0,I^b|0,a|0,b|0)|0}function Kz(a){a=a|0;return (a&255)<<24|(a>>8&255)<<16|(a>>16&255)<<8|a>>>24|0}function Lz(a,c,d){a=a|0;c=c|0;d=d|0;var e=0,g=0,h=0;if((d|0)>=8192)return Ka(a|0,c|0,d|0)|0;h=a|0;g=a+d|0;if((a&3)==(c&3)){while(a&3){if(!d)return h|0;b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0;d=d-1|0}d=g&-4|0;e=d-64|0;while((a|0)<=(e|0)){f[a>>2]=f[c>>2];f[a+4>>2]=f[c+4>>2];f[a+8>>2]=f[c+8>>2];f[a+12>>2]=f[c+12>>2];f[a+16>>2]=f[c+16>>2];f[a+20>>2]=f[c+20>>2];f[a+24>>2]=f[c+24>>2];f[a+28>>2]=f[c+28>>2];f[a+32>>2]=f[c+32>>2];f[a+36>>2]=f[c+36>>2];f[a+40>>2]=f[c+40>>2];f[a+44>>2]=f[c+44>>2];f[a+48>>2]=f[c+48>>2];f[a+52>>2]=f[c+52>>2];f[a+56>>2]=f[c+56>>2];f[a+60>>2]=f[c+60>>2];a=a+64|0;c=c+64|0}while((a|0)<(d|0)){f[a>>2]=f[c>>2];a=a+4|0;c=c+4|0}}else{d=g-4|0;while((a|0)<(d|0)){b[a>>0]=b[c>>0]|0;b[a+1>>0]=b[c+1>>0]|0;b[a+2>>0]=b[c+2>>0]|0;b[a+3>>0]=b[c+3>>0]|0;a=a+4|0;c=c+4|0}}while((a|0)<(g|0)){b[a>>0]=b[c>>0]|0;a=a+1|0;c=c+1|0}return h|0}function Mz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0;z=z+1|0;f[a>>2]=z;while((e|0)<(d|0)){if(!(f[c+(e<<3)>>2]|0)){f[c+(e<<3)>>2]=z;f[c+((e<<3)+4)>>2]=b;f[c+((e<<3)+8)>>2]=0;I=d;return c|0}e=e+1|0}d=d*2|0;c=Ov(c|0,8*(d+1|0)|0)|0;c=Mz(a|0,b|0,c|0,d|0)|0;I=d;return c|0}function Nz(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){I=b>>c;return a>>>c|(b&(1<<c)-1)<<32-c}I=(b|0)<0?-1:0;return b>>c-32|0}function Oz(a,b,c){a=a|0;b=b|0;c=c|0;if((c|0)<32){I=b>>>c;return a>>>c|(b&(1<<c)-1)<<32-c}I=0;return b>>>c-32|0}function Pz(a,b,c){a=a|0;b=b|0;c=c|0;var d=0,e=0;while((e|0)<(c|0)){d=f[b+(e<<3)>>2]|0;if(!d)break;if((d|0)==(a|0))return f[b+((e<<3)+4)>>2]|0;e=e+1|0}return 0}function Qz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return Iz(a,b,c,d,0)|0}function Rz(a,b){a=a|0;b=b|0;var c=0,d=0,e=0,f=0;f=a&65535;e=b&65535;c=X(e,f)|0;d=a>>>16;a=(c>>>16)+(X(e,d)|0)|0;e=b>>>16;b=X(e,f)|0;return (I=(a>>>16)+(X(e,d)|0)+(((a&65535)+b|0)>>>16)|0,a+b<<16|c&65535|0)|0}function Sz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,f=0;e=a;f=c;c=Rz(e,f)|0;a=I;return (I=(X(b,f)|0)+(X(d,e)|0)+a|a&0,c|0|0)|0}function Tz(a){a=a|0;var b=0,c=0;c=a+15&-16|0;b=f[r>>2]|0;a=b+c|0;if((c|0)>0&(a|0)<(b|0)|(a|0)<0){da()|0;Ia(12);return -1}f[r>>2]=a;if((a|0)>(ca()|0)?(ba()|0)==0:0){f[r>>2]=b;Ia(12);return -1}return b|0}function Uz(a,c,d){a=a|0;c=c|0;d=d|0;var e=0;if((c|0)<(a|0)&(a|0)<(c+d|0)){e=a;c=c+d|0;a=a+d|0;while((d|0)>0){a=a-1|0;c=c-1|0;d=d-1|0;b[a>>0]=b[c>>0]|0}a=e}else Lz(a,c,d)|0;return a|0}function Vz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0;g=u;u=u+16|0;e=g|0;Iz(a,b,c,d,e)|0;u=g;return (I=f[e+4>>2]|0,f[e>>2]|0)|0}function Wz(a){a=a|0;return (a&255)<<8|a>>8&255|0}function Xz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;var e=0,g=0,h=0,i=0,j=0,k=0;e=u;u=u+16|0;i=e|0;h=b>>31|((b|0)<0?-1:0)<<1;g=((b|0)<0?-1:0)>>31|((b|0)<0?-1:0)<<1;k=d>>31|((d|0)<0?-1:0)<<1;j=((d|0)<0?-1:0)>>31|((d|0)<0?-1:0)<<1;a=Dz(h^a|0,g^b|0,h|0,g|0)|0;b=I;Iz(a,b,Dz(k^c|0,j^d|0,k|0,j|0)|0,I,i)|0;d=Dz(f[i>>2]^h|0,f[i+4>>2]^g|0,h|0,g|0)|0;c=I;u=e;return (I=c,d)|0}function Yz(a,b,c,d,e,f,g,h){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=h|0;return qb[a&7](b|0,c|0,d|0,e|0,f|0,g|0,h|0)|0}function Zz(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;return rb[a&63](b|0,c|0,d|0)|0}function _z(a,b,c,d,e,f){a=a|0;b=+b;c=+c;d=d|0;e=e|0;f=f|0;return sb[a&63](+b,+c,d|0,e|0,f|0)|0}function $z(a){a=a|0;return tb[a&7]()|0}function aA(a,b){a=a|0;b=b|0;ub[a&15](b|0)}function bA(a,b,c){a=a|0;b=b|0;c=c|0;vb[a&3](b|0,c|0)}function cA(a,b){a=a|0;b=b|0;return wb[a&31](b|0)|0}function dA(a,b,c,d,e,f,g,h,i,j){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;h=+h;i=i|0;j=j|0;xb[a&1](b|0,c|0,d|0,e|0,f|0,g|0,+h,i|0,j|0)}function eA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;return yb[a&7](b|0,c|0,d|0,e|0)|0}function fA(a,b,c){a=a|0;b=b|0;c=c|0;return zb[a&31](b|0,c|0)|0}function gA(a,b,c,d,e,f){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;return Ab[a&1](b|0,c|0,d|0,e|0,f|0)|0}function hA(a,b,c,d,e,f,g){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=g|0;$(0);return 0}function iA(a,b,c){a=a|0;b=b|0;c=c|0;$(1);return 0}function jA(a,b,c,d,e){a=+a;b=+b;c=c|0;d=d|0;e=e|0;$(2);return 0}function kA(){$(3);return 0}function lA(a){a=a|0;$(4)}function mA(a,b){a=a|0;b=b|0;$(5)}function nA(a){a=a|0;$(6);return 0}function oA(a){a=a|0;return Ja(a|0)|0}function pA(a,b,c,d,e,f,g,h,i){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;f=f|0;g=+g;h=h|0;i=i|0;$(7)}function qA(a,b,c,d){a=a|0;b=b|0;c=c|0;d=d|0;$(8);return 0}function rA(a,b){a=a|0;b=b|0;$(9);return 0}function sA(a,b){a=a|0;b=b|0;return va(a|0,b|0)|0}function tA(a,b,c,d,e){a=a|0;b=b|0;c=c|0;d=d|0;e=e|0;$(10);return 0}

// EMSCRIPTEN_END_FUNCS
var qb=[hA,ej,pj,ap,bp,hA,hA,hA];var rb=[iA,Tv,Uv,_v,$v,$w,Vy,Eh,rh,wh,xh,Bh,uh,Vh,ji,ki,li,Wh,Xh,ei,fi,bi,ai,Ch,Ei,Mi,Ni,Oi,xi,mi,si,ri,yi,ti,vi,wi,Fh,Kh,Lh,Mh,ci,ww,vw,Ou,mv,sy,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA,iA];var sb=[jA,ff,gf,hf,jf,kf,lf,mf,nf,pf,qf,rf,sf,tf,uf,vf,wf,xf,yf,zf,Af,Bf,Cf,Df,Ef,Ff,Gf,Hf,If,Jf,Kf,Of,Pf,Qf,Rf,Sf,Tf,Uf,Vf,Wf,Xf,Yf,Zf,_f,$f,ag,bg,ng,og,lg,mg,ig,jg,gg,hg,eg,fg,cg,dg,jA,jA,jA,jA,jA];var tb=[kA,mh,qh,Nh,Rh,zi,Di,kA];var ub=[lA,Mv,vj,ni,Jt,Lt,gu,bu,au,$t,_t,Zt,Yt,Vt,Ut,Rt];var vb=[mA,Pu,nv,mA];var wb=[nA,Sv,gw,Rx,ky,Ny,nh,oh,ph,vh,zh,Ah,Oh,Ph,Qh,di,hi,$h,ii,Ai,Bi,Ci,Ki,Li,Ih,Jh,oA,Bx,dz,nA,nA,nA];var xb=[pA,bd];var yb=[qA,Hx,jz,oi,Yc,ui,Ly,qA];var zb=[rA,$c,ru,su,tu,zz,xc,ey,oc,dd,th,yh,Sh,gi,Th,Ii,Ji,Gh,Hh,Ov,sA,Cy,Cx,Jx,ez,tw,gj,Cs,rA,rA,rA,rA];var Ab=[tA,hj];return{_gzread:Wu,_closeFITSFile:fc,_bitshift64Lshr:Oz,_gzwrite:av,_vcat:Xb,_bitshift64Ashr:Nz,_sbrk:Tz,_wcsunits:Pb,_memcpy:Lz,_filterTableToImage:dc,_BZ2_bzread:yv,stackAlloc:Bb,_ffghdn:qk,___udivmoddi4:Iz,_ffmahd:Hj,dynCall_iiii:Zz,_emscripten_get_global_libc:Rv,_gzopen:Ru,_BZ2_bzclose:Av,_ffghdt:mk,dynCall_iiiiii:gA,stackSave:Cb,_free:Mv,runPostSets:Cz,_BZ2_bzwrite:zv,dynCall_iiiiiiii:Yz,_reproject:Vb,setThrew:Fb,_pix2wcsstr:Mb,dynCall_iiiii:eA,_freewcs:Kb,_llvm_cttz_i32:Hz,_vls:Yb,dynCall_vi:aA,___divdi3:Jz,getTempRet0:Hb,_ntohs:$y,_getHeaderToString:ec,_openFITSFile:$b,_llvm_bswap_i32:Kz,establishStackSpace:Eb,dynCall_iii:fA,_saodtype:Sb,_listhdu:Wb,_getImageToArray:cc,_zscale:Tb,_initwcs:Jb,_saostrtod:Rb,_wcsinfo:Lb,_memset:Fz,_maxFITSMemory:gc,_tanhdr:Ub,_i64Subtract:Dz,_ffgerr:uj,setTempRet0:Gb,_BZ2_bzopen:wv,_llvm_bswap_i16:Wz,___remdi3:Xz,_ffmnhd:Lk,___muldsi3:Rz,_testSetjmp:Pz,dynCall_i:$z,dynCall_iddiii:_z,_malloc:Lv,_emscripten_replace_memory:pb,_openFITSMem:ac,___udivdi3:Qz,_wcssys:Ob,_bitshift64Shl:Gz,_fflush:ly,___muldi3:Sz,_gzclose:Qu,dynCall_vii:bA,___uremdi3:Vz,_fffree:Wn,_htonl:Py,_realloc:Ov,_i64Add:Ez,dynCall_viiiiiidii:dA,_wcs2pixstr:Nb,stackRestore:Db,_ffgky:Kn,_htons:Oy,_gzseek:Vu,___errno_location:Wv,_saveSetjmp:Mz,dynCall_ii:cA,_memmove:Uz,_reg2wcsstr:Qb}})


// EMSCRIPTEN_END_ASM
(Module.asmGlobalArg,Module.asmLibraryArg,buffer);var stackSave=Module["stackSave"]=asm["stackSave"];var _reproject=Module["_reproject"]=asm["_reproject"];var _saodtype=Module["_saodtype"]=asm["_saodtype"];var _listhdu=Module["_listhdu"]=asm["_listhdu"];var _closeFITSFile=Module["_closeFITSFile"]=asm["_closeFITSFile"];var _openFITSMem=Module["_openFITSMem"]=asm["_openFITSMem"];var _zscale=Module["_zscale"]=asm["_zscale"];var getTempRet0=Module["getTempRet0"]=asm["getTempRet0"];var _initwcs=Module["_initwcs"]=asm["_initwcs"];var ___udivdi3=Module["___udivdi3"]=asm["___udivdi3"];var _bitshift64Lshr=Module["_bitshift64Lshr"]=asm["_bitshift64Lshr"];var setThrew=Module["setThrew"]=asm["setThrew"];var _ffghdt=Module["_ffghdt"]=asm["_ffghdt"];var _wcssys=Module["_wcssys"]=asm["_wcssys"];var _pix2wcsstr=Module["_pix2wcsstr"]=asm["_pix2wcsstr"];var _bitshift64Shl=Module["_bitshift64Shl"]=asm["_bitshift64Shl"];var _gzwrite=Module["_gzwrite"]=asm["_gzwrite"];var _saostrtod=Module["_saostrtod"]=asm["_saostrtod"];var _vcat=Module["_vcat"]=asm["_vcat"];var setTempRet0=Module["setTempRet0"]=asm["setTempRet0"];var _freewcs=Module["_freewcs"]=asm["_freewcs"];var _wcsinfo=Module["_wcsinfo"]=asm["_wcsinfo"];var stackRestore=Module["stackRestore"]=asm["stackRestore"];var _bitshift64Ashr=Module["_bitshift64Ashr"]=asm["_bitshift64Ashr"];var _llvm_cttz_i32=Module["_llvm_cttz_i32"]=asm["_llvm_cttz_i32"];var _vls=Module["_vls"]=asm["_vls"];var _wcsunits=Module["_wcsunits"]=asm["_wcsunits"];var _memcpy=Module["_memcpy"]=asm["_memcpy"];var ___errno_location=Module["___errno_location"]=asm["___errno_location"];var ___muldi3=Module["___muldi3"]=asm["___muldi3"];var _gzclose=Module["_gzclose"]=asm["_gzclose"];var ___uremdi3=Module["___uremdi3"]=asm["___uremdi3"];var _getImageToArray=Module["_getImageToArray"]=asm["_getImageToArray"];var _fffree=Module["_fffree"]=asm["_fffree"];var ___divdi3=Module["___divdi3"]=asm["___divdi3"];var _tanhdr=Module["_tanhdr"]=asm["_tanhdr"];var _i64Subtract=Module["_i64Subtract"]=asm["_i64Subtract"];var _ffghdn=Module["_ffghdn"]=asm["_ffghdn"];var _ffgerr=Module["_ffgerr"]=asm["_ffgerr"];var ___udivmoddi4=Module["___udivmoddi4"]=asm["___udivmoddi4"];var _htonl=Module["_htonl"]=asm["_htonl"];var _realloc=Module["_realloc"]=asm["_realloc"];var _i64Add=Module["_i64Add"]=asm["_i64Add"];var _ffmahd=Module["_ffmahd"]=asm["_ffmahd"];var _openFITSFile=Module["_openFITSFile"]=asm["_openFITSFile"];var _BZ2_bzopen=Module["_BZ2_bzopen"]=asm["_BZ2_bzopen"];var _llvm_bswap_i16=Module["_llvm_bswap_i16"]=asm["_llvm_bswap_i16"];var _maxFITSMemory=Module["_maxFITSMemory"]=asm["_maxFITSMemory"];var _ntohs=Module["_ntohs"]=asm["_ntohs"];var _gzopen=Module["_gzopen"]=asm["_gzopen"];var ___remdi3=Module["___remdi3"]=asm["___remdi3"];var _BZ2_bzclose=Module["_BZ2_bzclose"]=asm["_BZ2_bzclose"];var _sbrk=Module["_sbrk"]=asm["_sbrk"];var _ffgky=Module["_ffgky"]=asm["_ffgky"];var _htons=Module["_htons"]=asm["_htons"];var stackAlloc=Module["stackAlloc"]=asm["stackAlloc"];var _gzseek=Module["_gzseek"]=asm["_gzseek"];var _fflush=Module["_fflush"]=asm["_fflush"];var _ffmnhd=Module["_ffmnhd"]=asm["_ffmnhd"];var _llvm_bswap_i32=Module["_llvm_bswap_i32"]=asm["_llvm_bswap_i32"];var ___muldsi3=Module["___muldsi3"]=asm["___muldsi3"];var _getHeaderToString=Module["_getHeaderToString"]=asm["_getHeaderToString"];var _saveSetjmp=Module["_saveSetjmp"]=asm["_saveSetjmp"];var _free=Module["_free"]=asm["_free"];var runPostSets=Module["runPostSets"]=asm["runPostSets"];var _wcs2pixstr=Module["_wcs2pixstr"]=asm["_wcs2pixstr"];var establishStackSpace=Module["establishStackSpace"]=asm["establishStackSpace"];var _filterTableToImage=Module["_filterTableToImage"]=asm["_filterTableToImage"];var _emscripten_get_global_libc=Module["_emscripten_get_global_libc"]=asm["_emscripten_get_global_libc"];var _testSetjmp=Module["_testSetjmp"]=asm["_testSetjmp"];var _BZ2_bzread=Module["_BZ2_bzread"]=asm["_BZ2_bzread"];var _malloc=Module["_malloc"]=asm["_malloc"];var _reg2wcsstr=Module["_reg2wcsstr"]=asm["_reg2wcsstr"];var _emscripten_replace_memory=Module["_emscripten_replace_memory"]=asm["_emscripten_replace_memory"];var _memmove=Module["_memmove"]=asm["_memmove"];var _gzread=Module["_gzread"]=asm["_gzread"];var _BZ2_bzwrite=Module["_BZ2_bzwrite"]=asm["_BZ2_bzwrite"];var _memset=Module["_memset"]=asm["_memset"];var dynCall_iiiiiiii=Module["dynCall_iiiiiiii"]=asm["dynCall_iiiiiiii"];var dynCall_iiii=Module["dynCall_iiii"]=asm["dynCall_iiii"];var dynCall_iddiii=Module["dynCall_iddiii"]=asm["dynCall_iddiii"];var dynCall_i=Module["dynCall_i"]=asm["dynCall_i"];var dynCall_vi=Module["dynCall_vi"]=asm["dynCall_vi"];var dynCall_vii=Module["dynCall_vii"]=asm["dynCall_vii"];var dynCall_ii=Module["dynCall_ii"]=asm["dynCall_ii"];var dynCall_viiiiiidii=Module["dynCall_viiiiiidii"]=asm["dynCall_viiiiiidii"];var dynCall_iiiii=Module["dynCall_iiiii"]=asm["dynCall_iiiii"];var dynCall_iii=Module["dynCall_iii"]=asm["dynCall_iii"];var dynCall_iiiiii=Module["dynCall_iiiiii"]=asm["dynCall_iiiiii"];Runtime.stackAlloc=Module["stackAlloc"];Runtime.stackSave=Module["stackSave"];Runtime.stackRestore=Module["stackRestore"];Runtime.establishStackSpace=Module["establishStackSpace"];Runtime.setTempRet0=Module["setTempRet0"];Runtime.getTempRet0=Module["getTempRet0"];Module["asm"]=asm;function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}ExitStatus.prototype=new Error;ExitStatus.prototype.constructor=ExitStatus;var initialStackTop;var preloadStartTime=null;var calledMain=false;dependenciesFulfilled=function runCaller(){if(!Module["calledRun"])run();if(!Module["calledRun"])dependenciesFulfilled=runCaller};Module["callMain"]=Module.callMain=function callMain(args){args=args||[];ensureInitRuntime();var argc=args.length+1;function pad(){for(var i=0;i<4-1;i++){argv.push(0)}}var argv=[allocate(intArrayFromString(Module["thisProgram"]),"i8",ALLOC_NORMAL)];pad();for(var i=0;i<argc-1;i=i+1){argv.push(allocate(intArrayFromString(args[i]),"i8",ALLOC_NORMAL));pad()}argv.push(0);argv=allocate(argv,"i32",ALLOC_NORMAL);try{var ret=Module["_main"](argc,argv,0);exit(ret,true)}catch(e){if(e instanceof ExitStatus){return}else if(e=="SimulateInfiniteLoop"){Module["noExitRuntime"]=true;return}else{var toLog=e;if(e&&typeof e==="object"&&e.stack){toLog=[e,e.stack]}Module.printErr("exception thrown: "+toLog);Module["quit"](1,e)}}finally{calledMain=true}};function run(args){args=args||Module["arguments"];if(preloadStartTime===null)preloadStartTime=Date.now();if(runDependencies>0){return}preRun();if(runDependencies>0)return;if(Module["calledRun"])return;function doRun(){if(Module["calledRun"])return;Module["calledRun"]=true;if(ABORT)return;ensureInitRuntime();preMain();if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(Module["_main"]&&shouldRunNow)Module["callMain"](args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout((function(){setTimeout((function(){Module["setStatus"]("")}),1);doRun()}),1)}else{doRun()}}Module["run"]=Module.run=run;function exit(status,implicit){if(implicit&&Module["noExitRuntime"]){return}if(Module["noExitRuntime"]){}else{ABORT=true;EXITSTATUS=status;STACKTOP=initialStackTop;exitRuntime();if(Module["onExit"])Module["onExit"](status)}if(ENVIRONMENT_IS_NODE){process["exit"](status)}Module["quit"](status,new ExitStatus(status))}Module["exit"]=Module.exit=exit;var abortDecorators=[];function abort(what){if(Module["onAbort"]){Module["onAbort"](what)}if(what!==undefined){Module.print(what);Module.printErr(what);what=JSON.stringify(what)}else{what=""}ABORT=true;EXITSTATUS=1;var extra="\nIf this abort() is unexpected, build with -s ASSERTIONS=1 which can give more information.";var output="abort("+what+") at "+stackTrace()+extra;if(abortDecorators){abortDecorators.forEach((function(decorator){output=decorator(output,what)}))}throw output}Module["abort"]=Module.abort=abort;if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"]){shouldRunNow=false}run();Module["print"]=(function(text){console.log(text)});Module["rootdir"]="/";Module["vfile"]=(function(filename,buf,canOwn){var size;if(buf){try{FS.unlink(Module["rootdir"]+filename)}catch(ignore){}FS.createDataFile(Module["rootdir"],filename,buf,true,true,canOwn);if(buf.length!==undefined){size=buf.length}else if(buf.byteLength!==undefined){size=buf.byteLength}else if(buf.size!==undefined){size=buf.size}else{size=-1}return{path:filename,size:size}}return FS.readFile(Module["rootdir"]+filename,{encoding:"binary"})});Module["vsize"]=(function(filename){var buf={size:-1};try{buf=FS.stat(Module["rootdir"]+filename)}catch(ignore){}return buf.size});Module["vunlink"]=(function(filename){try{FS.unlink(Module["rootdir"]+filename)}catch(ignore){}});Module["arrfile"]=(function(filename,arr){Module["vunlink"](filename);FS.createDataFile(Module["rootdir"],filename,arr,true,true,false);return{path:filename,size:arr.byteLength}});Module["gzcompress"]=(function(data){var ret;var gzFile=ccall("gzopen","number",["string","string"],["output.gz","wb"]);var buffer=_malloc(data.length);HEAPU8.set(data,buffer);ccall("gzwrite","number",["number","number","number"],[gzFile,buffer,data.length]);ccall("gzclose","number",["number"],[gzFile]);_free(buffer);ret=new Uint8Array(FS.root.contents["output.gz"].contents);FS.unlink("output.gz");return ret});Module["gzdecompress"]=(function(data,filename,canOwn){var i,ret,curr,len,gzFile;var BUFSIZE=1024*1024;var buffer=_malloc(BUFSIZE);var chunks=[];var total=0;FS.createDataFile(Module["rootdir"],"input.gz",data,true,true,false);gzFile=ccall("gzopen","number",["string","string"],["input.gz","rb"]);while(true){len=ccall("gzread","number",["number","number","number"],[gzFile,buffer,BUFSIZE]);if(len<=0){break}chunks.push(new Uint8Array(len));chunks[chunks.length-1].set(HEAPU8.subarray(buffer,buffer+len));total+=len}ccall("gzclose","number",["number"],[gzFile]);FS.unlink("input.gz");_free(buffer);ret=new Uint8Array(total);curr=0;for(i=0;i<chunks.length;i++){ret.set(chunks[i],curr);curr+=chunks[i].length}if(filename){Module["vfile"](filename,ret,canOwn)}return ret});Module["bz2decompress"]=(function(data,filename,canOwn){var i,ret,curr,len,bz2File;var BUFSIZE=1024*1024;var buffer=_malloc(BUFSIZE);var chunks=[];var total=0;FS.createDataFile(Module["rootdir"],"input.bz2",data,true,true,false);bz2File=ccall("BZ2_bzopen","number",["string","string"],["input.bz2","rb"]);while(true){len=ccall("BZ2_bzread","number",["number","number","number"],[bz2File,buffer,BUFSIZE]);if(len<=0){break}chunks.push(new Uint8Array(len));chunks[chunks.length-1].set(HEAPU8.subarray(buffer,buffer+len));total+=len}ccall("BZ2_bzclose","number",["number"],[bz2File]);FS.unlink("input.bz2");_free(buffer);ret=new Uint8Array(total);curr=0;for(i=0;i<chunks.length;i++){ret.set(chunks[i],curr);curr+=chunks[i].length}if(filename){Module["vfile"](filename,ret,canOwn)}return ret});Module["errchk"]=(function(status){var i,c,hptr,bytes;var hlen=82;var s="ERROR from cfitsio.js: ";if(status){hptr=_malloc(hlen);ccall("ffgerr",null,["number","number"],[status,hptr]);bytes=HEAPU8.subarray(hptr,hptr+hlen);for(i=0;i<hlen;i++){if(bytes[i]===0){break}c=String.fromCharCode(bytes[i]);s+=c}_free(hptr);Module["error"](s)}});Module["error"]=(function(s,e){if(Module["options"].error){Module["options"].error(s,e,true)}else{throw new Error(s)}});Module["getFITSImage"]=(function(fits,hdu,opts,handler){var i,ofptr,hptr,status,datalen,extnum,extname;var buf,bufptr,buflen,bufptr2,slice,doerr,ctype1;var filter=null;var fptr=fits.fptr;var cens=[0,0];var dims=[0,0];var bin=1;opts=opts||{};if(!fptr){Module["error"]("virtual FITS file is missing for getFITSImage()")}if(typeof opts.extension==="string"){hptr=_malloc(4);setValue(hptr,0,"i32");ccall("ffmnhd",null,["number","number","string","number","number"],[fptr,-1,opts.extension,0,hptr]);status=getValue(hptr,"i32");_free(hptr);Module["errchk"](status);hptr=_malloc(8);setValue(hptr+4,0,"i32");ccall("ffghdt",null,["number","number","number"],[fptr,hptr,hptr+4]);hdu.type=getValue(hptr,"i32");status=getValue(hptr+4,"i32");_free(hptr);Module["errchk"](status)}else if(typeof opts.extension==="number"){hptr=_malloc(8);setValue(hptr+4,0,"i32");ccall("ffmahd",null,["number","number","number","number"],[fptr,opts.extension+1,hptr,hptr+4]);hdu.type=getValue(hptr,"i32");status=getValue(hptr+4,"i32");_free(hptr);Module["errchk"](status)}hptr=_malloc(8);setValue(hptr+4,0,"i32");ccall("ffghdt",null,["number","number","number"],[fptr,hptr,hptr+4]);hdu.type=getValue(hptr,"i32");_free(hptr);Module["errchk"](status);hptr=_malloc(4);ccall("ffghdn",null,["number","number"],[fptr,hptr]);extnum=getValue(hptr,"i32")-1;_free(hptr);hptr=_malloc(88);setValue(hptr+84,0,"i32");ccall("ffgky",null,["number","number","string","number","number","number"],[fptr,16,"EXTNAME",hptr,0,hptr+84]);status=getValue(hptr+84,"i32");if(status===0){extname=Pointer_stringify(hptr).replace(/^'/,"").replace(/'$/,"").trim()}else{extname=""}_free(hptr);switch(hdu.type){case 0:hdu.imtab="image";ofptr=fptr;break;case 1:case 2:hdu.imtab="table";hdu.table={};hptr=_malloc(28);if(opts.table){if(opts.table.filter){filter=opts.table.filter}if(opts.table.bin){bin=opts.table.bin}if(opts.table.nx){dims[0]=opts.table.nx}if(opts.table.ny){dims[1]=opts.table.ny}if(opts.table.cx){cens[0]=opts.table.cx}if(opts.table.cy){cens[1]=opts.table.cy}if(opts.table.xdim){dims[0]=opts.table.xdim}if(opts.table.ydim){dims[1]=opts.table.ydim}if(opts.table.xcen){cens[0]=opts.table.xcen}if(opts.table.ycen){cens[1]=opts.table.ycen}}if(opts.xdim){dims[0]=opts.xdim}if(opts.ydim){dims[1]=opts.ydim}if(opts.xcen){cens[0]=opts.xcen}if(opts.ycen){cens[1]=opts.ycen}if(opts.filter){filter=opts.filter}if(opts.bin){bin=opts.bin}setValue(hptr,dims[0],"i32");setValue(hptr+4,dims[1],"i32");setValue(hptr+8,cens[0],"double");setValue(hptr+16,cens[1],"double");setValue(hptr+24,0,"i32");doerr=false;try{ofptr=ccall("filterTableToImage","number",["number","string","number","number","number","number","number"],[fptr,filter,0,hptr,hptr+8,bin,hptr+24])}catch(e){doerr=true}hdu.table.xdim=getValue(hptr,"i32");hdu.table.ydim=getValue(hptr+4,"i32");hdu.table.xcen=getValue(hptr+8,"double");hdu.table.ycen=getValue(hptr+16,"double");hdu.table.bin=bin;hdu.table.filter=filter;status=getValue(hptr+24,"i32");_free(hptr);Module["errchk"](status);if(!ofptr||doerr){Module["error"]("can't convert table to image (image too large?)")}hptr=_malloc(88);setValue(hptr+84,0,"i32");ccall("ffgky",null,["number","number","string","number","number","number"],[ofptr,16,"CTYPE1",hptr,0,hptr+84]);status=getValue(hptr+84,"i32");if(status===0){ctype1=Pointer_stringify(hptr).replace(/^'/,"").replace(/'$/,"").trim()}_free(hptr);if(!ctype1||!ctype1.match(/\-\-HPX/i)){delete opts.xcen;delete opts.ycen;delete opts.xdim;delete opts.ydim;delete opts.bin;dims[0]=0;dims[1]=0;cens[0]=0;cens[1]=0;bin=1}break}if(opts.image){if(opts.image.xmax){dims[0]=opts.image.xmax}if(opts.image.ymax){dims[1]=opts.image.ymax}if(opts.image.xdim){dims[0]=opts.image.xdim}if(opts.image.ydim){dims[1]=opts.image.ydim}}if(opts.bin){bin=opts.bin}if(opts.xdim){dims[0]=opts.xdim}if(opts.ydim){dims[1]=opts.ydim}if(opts.xcen){cens[0]=opts.xcen}if(opts.ycen){cens[1]=opts.ycen}hptr=_malloc(48);setValue(hptr,dims[0],"i32");setValue(hptr+4,dims[1],"i32");setValue(hptr+8,cens[0],"double");setValue(hptr+16,cens[1],"double");setValue(hptr+44,0,"i32");slice=opts.slice||"";doerr=false;try{bufptr=ccall("getImageToArray","number",["number","number","number","number","string","number","number","number","number"],[ofptr,hptr,hptr+8,bin,slice,hptr+24,hptr+32,hptr+40,hptr+44])}catch(e){doerr=true}hdu.bin=bin;hdu.x1=getValue(hptr+24,"i32");hdu.y1=getValue(hptr+28,"i32");hdu.x2=getValue(hptr+32,"i32");hdu.y2=getValue(hptr+36,"i32");hdu.naxis1=Math.floor((hdu.x2-hdu.x1)/bin+1);hdu.naxis2=Math.floor((hdu.y2-hdu.y1)/bin+1);hdu.bitpix=getValue(hptr+40,"i32");if(opts.filter){hdu.filter=opts.filter}status=getValue(hptr+44,"i32");_free(hptr);Module["errchk"](status);if(!bufptr||doerr){Module["error"]("can't convert image to array (image too large?)")}datalen=hdu.naxis1*hdu.naxis2;switch(hdu.bitpix){case 8:hdu.image=HEAPU8.subarray(bufptr,bufptr+datalen);break;case 16:hdu.image=HEAP16.subarray(bufptr/2,bufptr/2+datalen);break;case-16:hdu.image=HEAPU16.subarray(bufptr/2,bufptr/2+datalen);break;case 32:hdu.image=HEAP32.subarray(bufptr/4,bufptr/4+datalen);break;case-32:hdu.image=HEAPF32.subarray(bufptr/4,bufptr/4+datalen);break;case-64:hdu.image=HEAPF64.subarray(bufptr/8,bufptr/8+datalen);break}hptr=_malloc(20);setValue(hptr+12,0,"i32");ccall("getHeaderToString",null,["number","number","number","number"],[ofptr,hptr,hptr+8,hptr+12]);hdu.ncard=getValue(hptr+8,"i32");bufptr2=getValue(hptr,"*");buf=HEAPU8.subarray(bufptr2,bufptr2+hdu.ncard*80);buflen=buf.byteLength;hdu.cardstr="";for(i=0;i<buflen;i++){hdu.cardstr+=String.fromCharCode(buf[i])}setValue(hptr+16,0,"i32");ccall("fffree",null,["number","number"],[bufptr2,hptr+16]);status=getValue(hptr+12,"i32");_free(hptr);Module["errchk"](status);if(ofptr&&ofptr!==fptr){hptr=_malloc(4);setValue(hptr,0,"i32");ccall("closeFITSFile",null,["number","number"],[ofptr,hptr]);status=getValue(hptr,"i32");_free(hptr);Module["errchk"](status)}if(opts.filename){hdu.filename=opts.filename}hdu.fits={fptr:fptr,vfile:hdu.vfile,heap:bufptr,cardstr:hdu.cardstr,extnum:extnum,extname:extname};if(handler){handler(hdu,opts)}else{Module["error"]("no handler specified for this FITS file")}});Module["handleFITSFile"]=(function(fits,opts,handler){var fptr,hptr,status,fileReader;var hdu={};opts=opts||{};handler=handler||Module["options"].handler;if(fits instanceof Blob){fileReader=new FileReader;fileReader.onload=(function(){var fitsname,arr;var narr;if(!opts.filename&&fits.name){opts.filename=fits.name}if(opts.filename){fitsname=opts.filename.replace(/^\.\.*/,"X").replace(/\//g,"__");hdu.vfile=fitsname.replace(/\[.*\]/g,"")}else{fitsname="myblob.gz";hdu.vfile=fitsname}Module["vunlink"](hdu.vfile);arr=new Uint8Array(fileReader.result);if(arr[0]===31&&arr[1]===139){hdu.vfile=hdu.vfile.replace(/\.gz$/,"");fitsname=fitsname.replace(/\.gz/,"");try{narr=Module["gzdecompress"](arr,hdu.vfile,false)}catch(e){Module["error"]("can't gunzip to virtual file: "+hdu.vfile)}}else if(arr[0]===66&&arr[1]===90&&arr[2]===104){hdu.vfile=hdu.vfile.replace(/\.bz2$/,"");fitsname=fitsname.replace(/\.bz2/,"");try{narr=Module["bz2decompress"](arr,hdu.vfile,false)}catch(e){Module["error"]("can't bunzip2 to virtual file: "+hdu.vfile)}}else{try{Module["vfile"](hdu.vfile,arr,false)}catch(e){Module["error"]("can't create virtual file: "+hdu.vfile)}}hptr=_malloc(8);setValue(hptr+4,0,"i32");fptr=ccall("openFITSFile","number",["string","number","string","number","number"],[fitsname,0,opts.extlist,hptr,hptr+4]);hdu.type=getValue(hptr,"i32");status=getValue(hptr+4,"i32");_free(hptr);Module["errchk"](status);hptr=_malloc(4);ccall("ffghdn",null,["number","number"],[fptr,hptr]);hdu.extnum=getValue(hptr,"i32")-1;_free(hptr);Module["getFITSImage"]({fptr:fptr},hdu,opts,handler);delete fileReader.result;arr=null;narr=null});fileReader.onerror=(function(e){Module["error"]("fileReader could not read blob as a FITS file",e)});fileReader.onabort=(function(e){Module["error"]("fileReader did not read blob as a FITS file",e)});fileReader.readAsArrayBuffer(fits)}else if(typeof fits==="string"){if(!fits){Module["error"]("FITS file name not specified")}hdu.vfile=fits;hptr=_malloc(8);setValue(hptr+4,0,"i32");fptr=ccall("openFITSFile","number",["string","number","string","number","number"],[fits,0,opts.extlist,hptr,hptr+4]);hdu.type=getValue(hptr,"i32");status=getValue(hptr+4,"i32");_free(hptr);Module["errchk"](status);Module["getFITSImage"]({fptr:fptr},hdu,opts,handler)}else{Module["error"]("invalid fits input for handleFITSFile")}});Module["cleanupFITSFile"]=(function(fits,all){var hptr;if(!fits){return}if(fits.heap){_free(fits.heap);fits.heap=null}if(fits.cardstr){_free(fits.cardstr);fits.cardstr=null}if(all){if(fits.fptr){hptr=_malloc(4);setValue(hptr,0,"i32");ccall("closeFITSFile",null,["number","number"],[fits.fptr,hptr]);_free(hptr);fits.fptr=null}if(fits.vfile){Module["vunlink"](fits.vfile)}}});Module["maxFITSMemory"]=(function(bytes){bytes=bytes||0;return ccall("maxFITSMemory","number",["number"],[bytes])});Module["options"]={"library":"cfitsio"}




// set Astroem object with important properties and wrapped calls
Astroem = {
      initwcs:  Module.cwrap('initwcs', 'number', ['string', 'number']),
      freewcs:  Module.cwrap('freewcs', 'number', ['number']),
      listhdu:  Module.cwrap('listhdu', 'string', ['string', 'string']),
      wcsinfo:  Module.cwrap('wcsinfo', 'string', ['number']),
      wcssys:  Module.cwrap('wcssys', 'string', ['number', 'string']),
      wcsunits:  Module.cwrap('wcsunits', 'string', ['number', 'string']),
      pix2wcs: Module.cwrap('pix2wcsstr', 'string', ['number', 'number', 'number']),
      wcs2pix: Module.cwrap('wcs2pixstr', 'string', ['number', 'number', 'number']),
      reg2wcs: Module.cwrap('reg2wcsstr', 'string', ['number', 'string']),
      saostrtod: Module.cwrap('saostrtod', 'number', ['string']),
      saodtype:  Module.cwrap('saodtype', 'number'),
      arrfile: Module["arrfile"],
      vfile: Module["vfile"],
      vsize: Module["vsize"],
      vunlink: Module["vunlink"],
      vheap: Module["HEAPU8"],
      vmalloc: Module["_malloc"],
      vmemcpy: Module["writeArrayToMemory"],
      vfree: Module["_free"],
      gzopen: Module.cwrap('gzopen', 'number', ['string', 'string']),
      gzread: Module.cwrap('gzread', 'number', ['number', 'number', 'number']),
      gzwrite: Module.cwrap('gzwrite', 'number', ['number', 'number', 'number']),
      gzclose: Module.cwrap('gzclose', 'number', ['number']),
      gzseek: Module.cwrap('gzseek', 'number', ['number', 'number', 'number']),
      compress: Module['gzcompress'],
      decompress: Module['gzdecompress'],
      handleFITSFile: Module["handleFITSFile"],
      cleanupFITSFile: Module["cleanupFITSFile"],
      getFITSImage: Module["getFITSImage"],
      maxFITSMemory: Module["maxFITSMemory"],
      zscale: Module.cwrap('zscale', 'string', ['number', 'number', 'number', 'number', 'number', 'number', 'number']),
      tanhdr: Module.cwrap('tanhdr', 'string', ['string', 'string', 'string']),
      reproject: Module.cwrap('reproject', 'string', ['string', 'string', 'string', 'string']),
      vls: Module.cwrap('vls', 'int', ['string']),
      vcat: Module.cwrap('vcat', 'string', ['string', 'number']),
      options: Module["options"]
  };

// signal that astroem is ready
if( window.jQuery ){
    if( Module["astroemReady"] ){
	$(document).trigger("astroem:ready", {status: "OK"});
    } else {
	Module["astroemReady"] = true;
    }
}
